(function(){
'use strict';
/* Scala.js runtime support
 * Copyright 2013 LAMP/EPFL
 * Author: Sébastien Doeraene
 */

/* ---------------------------------- *
 * The top-level Scala.js environment *
 * ---------------------------------- */





// Get the environment info
var $env = (typeof __ScalaJSEnv === "object" && __ScalaJSEnv) ? __ScalaJSEnv : {};

// Global scope
var $g =
  (typeof $env["global"] === "object" && $env["global"])
    ? $env["global"]
    : ((typeof global === "object" && global && global["Object"] === Object) ? global : this);
$env["global"] = $g;

// Where to send exports



var $e =
  (typeof $env["exportsNamespace"] === "object" && $env["exportsNamespace"])
    ? $env["exportsNamespace"] : $g;

$env["exportsNamespace"] = $e;

// Freeze the environment info
$g["Object"]["freeze"]($env);

// Linking info - must be in sync with scala.scalajs.runtime.LinkingInfo
var $linkingInfo = {
  "envInfo": $env,
  "semantics": {




    "asInstanceOfs": 1,








    "arrayIndexOutOfBounds": 1,










    "moduleInit": 2,





    "strictFloats": false,




    "productionMode": false

  },



  "assumingES6": false,

  "linkerVersion": "0.6.18",
  "globalThis": this
};
$g["Object"]["freeze"]($linkingInfo);
$g["Object"]["freeze"]($linkingInfo["semantics"]);

// Snapshots of builtins and polyfills






var $imul = $g["Math"]["imul"] || (function(a, b) {
  // See https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Math/imul
  var ah = (a >>> 16) & 0xffff;
  var al = a & 0xffff;
  var bh = (b >>> 16) & 0xffff;
  var bl = b & 0xffff;
  // the shift by 0 fixes the sign on the high part
  // the final |0 converts the unsigned value into a signed value
  return ((al * bl) + (((ah * bl + al * bh) << 16) >>> 0) | 0);
});

var $fround = $g["Math"]["fround"] ||









  (function(v) {
    return +v;
  });


var $clz32 = $g["Math"]["clz32"] || (function(i) {
  // See Hacker's Delight, Section 5-3
  if (i === 0) return 32;
  var r = 1;
  if ((i & 0xffff0000) === 0) { i <<= 16; r += 16; };
  if ((i & 0xff000000) === 0) { i <<= 8; r += 8; };
  if ((i & 0xf0000000) === 0) { i <<= 4; r += 4; };
  if ((i & 0xc0000000) === 0) { i <<= 2; r += 2; };
  return r + (i >> 31);
});


// Other fields




















var $lastIDHash = 0; // last value attributed to an id hash code



var $idHashCodeMap = $g["WeakMap"] ? new $g["WeakMap"]() : null;



// Core mechanism

var $makeIsArrayOfPrimitive = function(primitiveData) {
  return function(obj, depth) {
    return !!(obj && obj.$classData &&
      (obj.$classData.arrayDepth === depth) &&
      (obj.$classData.arrayBase === primitiveData));
  }
};


var $makeAsArrayOfPrimitive = function(isInstanceOfFunction, arrayEncodedName) {
  return function(obj, depth) {
    if (isInstanceOfFunction(obj, depth) || (obj === null))
      return obj;
    else
      $throwArrayCastException(obj, arrayEncodedName, depth);
  }
};


/** Encode a property name for runtime manipulation
  *  Usage:
  *    env.propertyName({someProp:0})
  *  Returns:
  *    "someProp"
  *  Useful when the property is renamed by a global optimizer (like Closure)
  *  but we must still get hold of a string of that name for runtime
  * reflection.
  */
var $propertyName = function(obj) {
  for (var prop in obj)
    return prop;
};

// Runtime functions

var $isScalaJSObject = function(obj) {
  return !!(obj && obj.$classData);
};


var $throwClassCastException = function(instance, classFullName) {




  throw new $c_sjsr_UndefinedBehaviorError().init___jl_Throwable(
    new $c_jl_ClassCastException().init___T(
      instance + " is not an instance of " + classFullName));

};

var $throwArrayCastException = function(instance, classArrayEncodedName, depth) {
  for (; depth; --depth)
    classArrayEncodedName = "[" + classArrayEncodedName;
  $throwClassCastException(instance, classArrayEncodedName);
};



var $throwArrayIndexOutOfBoundsException = function(i) {
  var msg = (i === null) ? null : ("" + i);



  throw new $c_sjsr_UndefinedBehaviorError().init___jl_Throwable(
    new $c_jl_ArrayIndexOutOfBoundsException().init___T(msg));

};


var $noIsInstance = function(instance) {
  throw new $g["TypeError"](
    "Cannot call isInstance() on a Class representing a raw JS trait/object");
};

var $makeNativeArrayWrapper = function(arrayClassData, nativeArray) {
  return new arrayClassData.constr(nativeArray);
};

var $newArrayObject = function(arrayClassData, lengths) {
  return $newArrayObjectInternal(arrayClassData, lengths, 0);
};

var $newArrayObjectInternal = function(arrayClassData, lengths, lengthIndex) {
  var result = new arrayClassData.constr(lengths[lengthIndex]);

  if (lengthIndex < lengths.length-1) {
    var subArrayClassData = arrayClassData.componentData;
    var subLengthIndex = lengthIndex+1;
    var underlying = result.u;
    for (var i = 0; i < underlying.length; i++) {
      underlying[i] = $newArrayObjectInternal(
        subArrayClassData, lengths, subLengthIndex);
    }
  }

  return result;
};

var $objectToString = function(instance) {
  if (instance === void 0)
    return "undefined";
  else
    return instance.toString();
};

var $objectGetClass = function(instance) {
  switch (typeof instance) {
    case "string":
      return $d_T.getClassOf();
    case "number": {
      var v = instance | 0;
      if (v === instance) { // is the value integral?
        if ($isByte(v))
          return $d_jl_Byte.getClassOf();
        else if ($isShort(v))
          return $d_jl_Short.getClassOf();
        else
          return $d_jl_Integer.getClassOf();
      } else {
        if ($isFloat(instance))
          return $d_jl_Float.getClassOf();
        else
          return $d_jl_Double.getClassOf();
      }
    }
    case "boolean":
      return $d_jl_Boolean.getClassOf();
    case "undefined":
      return $d_sr_BoxedUnit.getClassOf();
    default:
      if (instance === null)
        return instance.getClass__jl_Class();
      else if ($is_sjsr_RuntimeLong(instance))
        return $d_jl_Long.getClassOf();
      else if ($isScalaJSObject(instance))
        return instance.$classData.getClassOf();
      else
        return null; // Exception?
  }
};

var $objectClone = function(instance) {
  if ($isScalaJSObject(instance) || (instance === null))
    return instance.clone__O();
  else
    throw new $c_jl_CloneNotSupportedException().init___();
};

var $objectNotify = function(instance) {
  // final and no-op in java.lang.Object
  if (instance === null)
    instance.notify__V();
};

var $objectNotifyAll = function(instance) {
  // final and no-op in java.lang.Object
  if (instance === null)
    instance.notifyAll__V();
};

var $objectFinalize = function(instance) {
  if ($isScalaJSObject(instance) || (instance === null))
    instance.finalize__V();
  // else no-op
};

var $objectEquals = function(instance, rhs) {
  if ($isScalaJSObject(instance) || (instance === null))
    return instance.equals__O__Z(rhs);
  else if (typeof instance === "number")
    return typeof rhs === "number" && $numberEquals(instance, rhs);
  else
    return instance === rhs;
};

var $numberEquals = function(lhs, rhs) {
  return (lhs === rhs) ? (
    // 0.0.equals(-0.0) must be false
    lhs !== 0 || 1/lhs === 1/rhs
  ) : (
    // are they both NaN?
    (lhs !== lhs) && (rhs !== rhs)
  );
};

var $objectHashCode = function(instance) {
  switch (typeof instance) {
    case "string":
      return $m_sjsr_RuntimeString$().hashCode__T__I(instance);
    case "number":
      return $m_sjsr_Bits$().numberHashCode__D__I(instance);
    case "boolean":
      return instance ? 1231 : 1237;
    case "undefined":
      return 0;
    default:
      if ($isScalaJSObject(instance) || instance === null)
        return instance.hashCode__I();

      else if ($idHashCodeMap === null)
        return 42;

      else
        return $systemIdentityHashCode(instance);
  }
};

var $comparableCompareTo = function(instance, rhs) {
  switch (typeof instance) {
    case "string":

      $as_T(rhs);

      return instance === rhs ? 0 : (instance < rhs ? -1 : 1);
    case "number":

      $as_jl_Number(rhs);

      return $m_jl_Double$().compare__D__D__I(instance, rhs);
    case "boolean":

      $asBoolean(rhs);

      return instance - rhs; // yes, this gives the right result
    default:
      return instance.compareTo__O__I(rhs);
  }
};

var $charSequenceLength = function(instance) {
  if (typeof(instance) === "string")

    return $uI(instance["length"]);



  else
    return instance.length__I();
};

var $charSequenceCharAt = function(instance, index) {
  if (typeof(instance) === "string")

    return $uI(instance["charCodeAt"](index)) & 0xffff;



  else
    return instance.charAt__I__C(index);
};

var $charSequenceSubSequence = function(instance, start, end) {
  if (typeof(instance) === "string")

    return $as_T(instance["substring"](start, end));



  else
    return instance.subSequence__I__I__jl_CharSequence(start, end);
};

var $booleanBooleanValue = function(instance) {
  if (typeof instance === "boolean") return instance;
  else                               return instance.booleanValue__Z();
};

var $numberByteValue = function(instance) {
  if (typeof instance === "number") return (instance << 24) >> 24;
  else                              return instance.byteValue__B();
};
var $numberShortValue = function(instance) {
  if (typeof instance === "number") return (instance << 16) >> 16;
  else                              return instance.shortValue__S();
};
var $numberIntValue = function(instance) {
  if (typeof instance === "number") return instance | 0;
  else                              return instance.intValue__I();
};
var $numberLongValue = function(instance) {
  if (typeof instance === "number")
    return $m_sjsr_RuntimeLong$().fromDouble__D__sjsr_RuntimeLong(instance);
  else
    return instance.longValue__J();
};
var $numberFloatValue = function(instance) {
  if (typeof instance === "number") return $fround(instance);
  else                              return instance.floatValue__F();
};
var $numberDoubleValue = function(instance) {
  if (typeof instance === "number") return instance;
  else                              return instance.doubleValue__D();
};

var $isNaN = function(instance) {
  return instance !== instance;
};

var $isInfinite = function(instance) {
  return !$g["isFinite"](instance) && !$isNaN(instance);
};

var $doubleToInt = function(x) {
  return (x > 2147483647) ? (2147483647) : ((x < -2147483648) ? -2147483648 : (x | 0));
};

/** Instantiates a JS object with variadic arguments to the constructor. */
var $newJSObjectWithVarargs = function(ctor, args) {
  // This basically emulates the ECMAScript specification for 'new'.
  var instance = $g["Object"]["create"](ctor.prototype);
  var result = ctor["apply"](instance, args);
  switch (typeof result) {
    case "string": case "number": case "boolean": case "undefined": case "symbol":
      return instance;
    default:
      return result === null ? instance : result;
  }
};

var $resolveSuperRef = function(initialProto, propName) {
  var getPrototypeOf = $g["Object"]["getPrototypeOf"];
  var getOwnPropertyDescriptor = $g["Object"]["getOwnPropertyDescriptor"];

  var superProto = getPrototypeOf(initialProto);
  while (superProto !== null) {
    var desc = getOwnPropertyDescriptor(superProto, propName);
    if (desc !== void 0)
      return desc;
    superProto = getPrototypeOf(superProto);
  }

  return void 0;
};

var $superGet = function(initialProto, self, propName) {
  var desc = $resolveSuperRef(initialProto, propName);
  if (desc !== void 0) {
    var getter = desc["get"];
    if (getter !== void 0)
      return getter["call"](self);
    else
      return desc["value"];
  }
  return void 0;
};

var $superSet = function(initialProto, self, propName, value) {
  var desc = $resolveSuperRef(initialProto, propName);
  if (desc !== void 0) {
    var setter = desc["set"];
    if (setter !== void 0) {
      setter["call"](self, value);
      return void 0;
    }
  }
  throw new $g["TypeError"]("super has no setter '" + propName + "'.");
};







var $propertiesOf = function(obj) {
  var result = [];
  for (var prop in obj)
    result["push"](prop);
  return result;
};

var $systemArraycopy = function(src, srcPos, dest, destPos, length) {
  var srcu = src.u;
  var destu = dest.u;


  if (srcPos < 0 || destPos < 0 || length < 0 ||
      (srcPos > ((srcu.length - length) | 0)) ||
      (destPos > ((destu.length - length) | 0))) {
    $throwArrayIndexOutOfBoundsException(null);
  }


  if (srcu !== destu || destPos < srcPos || (((srcPos + length) | 0) < destPos)) {
    for (var i = 0; i < length; i = (i + 1) | 0)
      destu[(destPos + i) | 0] = srcu[(srcPos + i) | 0];
  } else {
    for (var i = (length - 1) | 0; i >= 0; i = (i - 1) | 0)
      destu[(destPos + i) | 0] = srcu[(srcPos + i) | 0];
  }
};

var $systemIdentityHashCode =

  ($idHashCodeMap !== null) ?

  (function(obj) {
    switch (typeof obj) {
      case "string": case "number": case "boolean": case "undefined":
        return $objectHashCode(obj);
      default:
        if (obj === null) {
          return 0;
        } else {
          var hash = $idHashCodeMap["get"](obj);
          if (hash === void 0) {
            hash = ($lastIDHash + 1) | 0;
            $lastIDHash = hash;
            $idHashCodeMap["set"](obj, hash);
          }
          return hash;
        }
    }

  }) :
  (function(obj) {
    if ($isScalaJSObject(obj)) {
      var hash = obj["$idHashCode$0"];
      if (hash !== void 0) {
        return hash;
      } else if (!$g["Object"]["isSealed"](obj)) {
        hash = ($lastIDHash + 1) | 0;
        $lastIDHash = hash;
        obj["$idHashCode$0"] = hash;
        return hash;
      } else {
        return 42;
      }
    } else if (obj === null) {
      return 0;
    } else {
      return $objectHashCode(obj);
    }

  });

// is/as for hijacked boxed classes (the non-trivial ones)

var $isByte = function(v) {
  return typeof v === "number" && (v << 24 >> 24) === v && 1/v !== 1/-0;
};

var $isShort = function(v) {
  return typeof v === "number" && (v << 16 >> 16) === v && 1/v !== 1/-0;
};

var $isInt = function(v) {
  return typeof v === "number" && (v | 0) === v && 1/v !== 1/-0;
};

var $isFloat = function(v) {



  return typeof v === "number";

};


var $asUnit = function(v) {
  if (v === void 0 || v === null)
    return v;
  else
    $throwClassCastException(v, "scala.runtime.BoxedUnit");
};

var $asBoolean = function(v) {
  if (typeof v === "boolean" || v === null)
    return v;
  else
    $throwClassCastException(v, "java.lang.Boolean");
};

var $asByte = function(v) {
  if ($isByte(v) || v === null)
    return v;
  else
    $throwClassCastException(v, "java.lang.Byte");
};

var $asShort = function(v) {
  if ($isShort(v) || v === null)
    return v;
  else
    $throwClassCastException(v, "java.lang.Short");
};

var $asInt = function(v) {
  if ($isInt(v) || v === null)
    return v;
  else
    $throwClassCastException(v, "java.lang.Integer");
};

var $asFloat = function(v) {
  if ($isFloat(v) || v === null)
    return v;
  else
    $throwClassCastException(v, "java.lang.Float");
};

var $asDouble = function(v) {
  if (typeof v === "number" || v === null)
    return v;
  else
    $throwClassCastException(v, "java.lang.Double");
};


// Unboxes


var $uZ = function(value) {
  return !!$asBoolean(value);
};
var $uB = function(value) {
  return $asByte(value) | 0;
};
var $uS = function(value) {
  return $asShort(value) | 0;
};
var $uI = function(value) {
  return $asInt(value) | 0;
};
var $uJ = function(value) {
  return null === value ? $m_sjsr_RuntimeLong$().Zero$1
                        : $as_sjsr_RuntimeLong(value);
};
var $uF = function(value) {
  /* Here, it is fine to use + instead of fround, because asFloat already
   * ensures that the result is either null or a float.
   */
  return +$asFloat(value);
};
var $uD = function(value) {
  return +$asDouble(value);
};






// TypeArray conversions

var $byteArray2TypedArray = function(value) { return new $g["Int8Array"](value.u); };
var $shortArray2TypedArray = function(value) { return new $g["Int16Array"](value.u); };
var $charArray2TypedArray = function(value) { return new $g["Uint16Array"](value.u); };
var $intArray2TypedArray = function(value) { return new $g["Int32Array"](value.u); };
var $floatArray2TypedArray = function(value) { return new $g["Float32Array"](value.u); };
var $doubleArray2TypedArray = function(value) { return new $g["Float64Array"](value.u); };

var $typedArray2ByteArray = function(value) {
  var arrayClassData = $d_B.getArrayOf();
  return new arrayClassData.constr(new $g["Int8Array"](value));
};
var $typedArray2ShortArray = function(value) {
  var arrayClassData = $d_S.getArrayOf();
  return new arrayClassData.constr(new $g["Int16Array"](value));
};
var $typedArray2CharArray = function(value) {
  var arrayClassData = $d_C.getArrayOf();
  return new arrayClassData.constr(new $g["Uint16Array"](value));
};
var $typedArray2IntArray = function(value) {
  var arrayClassData = $d_I.getArrayOf();
  return new arrayClassData.constr(new $g["Int32Array"](value));
};
var $typedArray2FloatArray = function(value) {
  var arrayClassData = $d_F.getArrayOf();
  return new arrayClassData.constr(new $g["Float32Array"](value));
};
var $typedArray2DoubleArray = function(value) {
  var arrayClassData = $d_D.getArrayOf();
  return new arrayClassData.constr(new $g["Float64Array"](value));
};

// TypeData class


/** @constructor */
var $TypeData = function() {




  // Runtime support
  this.constr = void 0;
  this.parentData = void 0;
  this.ancestors = null;
  this.componentData = null;
  this.arrayBase = null;
  this.arrayDepth = 0;
  this.zero = null;
  this.arrayEncodedName = "";
  this._classOf = void 0;
  this._arrayOf = void 0;
  this.isArrayOf = void 0;

  // java.lang.Class support
  this["name"] = "";
  this["isPrimitive"] = false;
  this["isInterface"] = false;
  this["isArrayClass"] = false;
  this["isRawJSType"] = false;
  this["isInstance"] = void 0;
};


$TypeData.prototype.initPrim = function(



    zero, arrayEncodedName, displayName) {
  // Runtime support
  this.ancestors = {};
  this.componentData = null;
  this.zero = zero;
  this.arrayEncodedName = arrayEncodedName;
  this.isArrayOf = function(obj, depth) { return false; };

  // java.lang.Class support
  this["name"] = displayName;
  this["isPrimitive"] = true;
  this["isInstance"] = function(obj) { return false; };

  return this;
};


$TypeData.prototype.initClass = function(



    internalNameObj, isInterface, fullName,
    ancestors, isRawJSType, parentData, isInstance, isArrayOf) {
  var internalName = $propertyName(internalNameObj);

  isInstance = isInstance || function(obj) {
    return !!(obj && obj.$classData && obj.$classData.ancestors[internalName]);
  };

  isArrayOf = isArrayOf || function(obj, depth) {
    return !!(obj && obj.$classData && (obj.$classData.arrayDepth === depth)
      && obj.$classData.arrayBase.ancestors[internalName])
  };

  // Runtime support
  this.parentData = parentData;
  this.ancestors = ancestors;
  this.arrayEncodedName = "L"+fullName+";";
  this.isArrayOf = isArrayOf;

  // java.lang.Class support
  this["name"] = fullName;
  this["isInterface"] = isInterface;
  this["isRawJSType"] = !!isRawJSType;
  this["isInstance"] = isInstance;

  return this;
};


$TypeData.prototype.initArray = function(



    componentData) {
  // The constructor

  var componentZero0 = componentData.zero;

  // The zero for the Long runtime representation
  // is a special case here, since the class has not
  // been defined yet, when this file is read
  var componentZero = (componentZero0 == "longZero")
    ? $m_sjsr_RuntimeLong$().Zero$1
    : componentZero0;


  /** @constructor */
  var ArrayClass = function(arg) {
    if (typeof(arg) === "number") {
      // arg is the length of the array
      this.u = new Array(arg);
      for (var i = 0; i < arg; i++)
        this.u[i] = componentZero;
    } else {
      // arg is a native array that we wrap
      this.u = arg;
    }
  }
  ArrayClass.prototype = new $h_O;
  ArrayClass.prototype.constructor = ArrayClass;


  ArrayClass.prototype.get = function(i) {
    if (i < 0 || i >= this.u.length)
      $throwArrayIndexOutOfBoundsException(i);
    return this.u[i];
  };
  ArrayClass.prototype.set = function(i, v) {
    if (i < 0 || i >= this.u.length)
      $throwArrayIndexOutOfBoundsException(i);
    this.u[i] = v;
  };


  ArrayClass.prototype.clone__O = function() {
    if (this.u instanceof Array)
      return new ArrayClass(this.u["slice"](0));
    else
      // The underlying Array is a TypedArray
      return new ArrayClass(new this.u.constructor(this.u));
  };






































  ArrayClass.prototype.$classData = this;

  // Don't generate reflective call proxies. The compiler special cases
  // reflective calls to methods on scala.Array

  // The data

  var encodedName = "[" + componentData.arrayEncodedName;
  var componentBase = componentData.arrayBase || componentData;
  var arrayDepth = componentData.arrayDepth + 1;

  var isInstance = function(obj) {
    return componentBase.isArrayOf(obj, arrayDepth);
  }

  // Runtime support
  this.constr = ArrayClass;
  this.parentData = $d_O;
  this.ancestors = {O: 1, jl_Cloneable: 1, Ljava_io_Serializable: 1};
  this.componentData = componentData;
  this.arrayBase = componentBase;
  this.arrayDepth = arrayDepth;
  this.zero = null;
  this.arrayEncodedName = encodedName;
  this._classOf = undefined;
  this._arrayOf = undefined;
  this.isArrayOf = undefined;

  // java.lang.Class support
  this["name"] = encodedName;
  this["isPrimitive"] = false;
  this["isInterface"] = false;
  this["isArrayClass"] = true;
  this["isInstance"] = isInstance;

  return this;
};


$TypeData.prototype.getClassOf = function() {



  if (!this._classOf)
    this._classOf = new $c_jl_Class().init___jl_ScalaJSClassData(this);
  return this._classOf;
};


$TypeData.prototype.getArrayOf = function() {



  if (!this._arrayOf)
    this._arrayOf = new $TypeData().initArray(this);
  return this._arrayOf;
};

// java.lang.Class support


$TypeData.prototype["getFakeInstance"] = function() {



  if (this === $d_T)
    return "some string";
  else if (this === $d_jl_Boolean)
    return false;
  else if (this === $d_jl_Byte ||
           this === $d_jl_Short ||
           this === $d_jl_Integer ||
           this === $d_jl_Float ||
           this === $d_jl_Double)
    return 0;
  else if (this === $d_jl_Long)
    return $m_sjsr_RuntimeLong$().Zero$1;
  else if (this === $d_sr_BoxedUnit)
    return void 0;
  else
    return {$classData: this};
};


$TypeData.prototype["getSuperclass"] = function() {



  return this.parentData ? this.parentData.getClassOf() : null;
};


$TypeData.prototype["getComponentType"] = function() {



  return this.componentData ? this.componentData.getClassOf() : null;
};


$TypeData.prototype["newArrayOfThisClass"] = function(lengths) {



  var arrayClassData = this;
  for (var i = 0; i < lengths.length; i++)
    arrayClassData = arrayClassData.getArrayOf();
  return $newArrayObject(arrayClassData, lengths);
};




// Create primitive types

var $d_V = new $TypeData().initPrim(undefined, "V", "void");
var $d_Z = new $TypeData().initPrim(false, "Z", "boolean");
var $d_C = new $TypeData().initPrim(0, "C", "char");
var $d_B = new $TypeData().initPrim(0, "B", "byte");
var $d_S = new $TypeData().initPrim(0, "S", "short");
var $d_I = new $TypeData().initPrim(0, "I", "int");
var $d_J = new $TypeData().initPrim("longZero", "J", "long");
var $d_F = new $TypeData().initPrim(0.0, "F", "float");
var $d_D = new $TypeData().initPrim(0.0, "D", "double");

// Instance tests for array of primitives

var $isArrayOf_Z = $makeIsArrayOfPrimitive($d_Z);
$d_Z.isArrayOf = $isArrayOf_Z;

var $isArrayOf_C = $makeIsArrayOfPrimitive($d_C);
$d_C.isArrayOf = $isArrayOf_C;

var $isArrayOf_B = $makeIsArrayOfPrimitive($d_B);
$d_B.isArrayOf = $isArrayOf_B;

var $isArrayOf_S = $makeIsArrayOfPrimitive($d_S);
$d_S.isArrayOf = $isArrayOf_S;

var $isArrayOf_I = $makeIsArrayOfPrimitive($d_I);
$d_I.isArrayOf = $isArrayOf_I;

var $isArrayOf_J = $makeIsArrayOfPrimitive($d_J);
$d_J.isArrayOf = $isArrayOf_J;

var $isArrayOf_F = $makeIsArrayOfPrimitive($d_F);
$d_F.isArrayOf = $isArrayOf_F;

var $isArrayOf_D = $makeIsArrayOfPrimitive($d_D);
$d_D.isArrayOf = $isArrayOf_D;


// asInstanceOfs for array of primitives
var $asArrayOf_Z = $makeAsArrayOfPrimitive($isArrayOf_Z, "Z");
var $asArrayOf_C = $makeAsArrayOfPrimitive($isArrayOf_C, "C");
var $asArrayOf_B = $makeAsArrayOfPrimitive($isArrayOf_B, "B");
var $asArrayOf_S = $makeAsArrayOfPrimitive($isArrayOf_S, "S");
var $asArrayOf_I = $makeAsArrayOfPrimitive($isArrayOf_I, "I");
var $asArrayOf_J = $makeAsArrayOfPrimitive($isArrayOf_J, "J");
var $asArrayOf_F = $makeAsArrayOfPrimitive($isArrayOf_F, "F");
var $asArrayOf_D = $makeAsArrayOfPrimitive($isArrayOf_D, "D");

function $s_Lcom_iteration3_smilejs_FromJs$class__fromJsonString__Lcom_iteration3_smilejs_FromJs__T__O($$this, string) {
  var json = $g.JSON.parse(string);
  return $$this.fromJs__sjs_js_Dynamic__O(json)
}
function $s_Lcom_iteration3_smilejs_FromJs$class__fromJsonStringToList__Lcom_iteration3_smilejs_FromJs__T__sci_List($$this, string) {
  var jsonArray = $g.JSON.parse(string);
  var array = [];
  $uI(jsonArray.length);
  var i = 0;
  var len = $uI(jsonArray.length);
  while ((i < len)) {
    var index = i;
    var arg1 = jsonArray[index];
    var elem = $$this.fromJs__sjs_js_Dynamic__O(arg1);
    array.push(elem);
    i = ((1 + i) | 0)
  };
  $m_sci_List$();
  var xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array(array);
  var this$5 = $m_sci_List$();
  var cbf = this$5.ReusableCBFInstance$2;
  return $as_sci_List($s_sc_TraversableLike$class__to__sc_TraversableLike__scg_CanBuildFrom__O(xs, cbf))
}
function $is_Lcom_iteration3_smilejs_ToJs(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_ToJs)))
}
function $as_Lcom_iteration3_smilejs_ToJs(obj) {
  return (($is_Lcom_iteration3_smilejs_ToJs(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.ToJs"))
}
function $isArrayOf_Lcom_iteration3_smilejs_ToJs(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_ToJs)))
}
function $asArrayOf_Lcom_iteration3_smilejs_ToJs(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_ToJs(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.ToJs;", depth))
}
function $s_Lcom_iteration3_smilejs_ToJs$class__toJsonString__Lcom_iteration3_smilejs_ToJs__O__T($$this, t) {
  return $as_T($g.JSON.stringify($$this.toJs__O__sjs_js_Dynamic(t)))
}
/** @constructor */
function $c_O() {
  /*<skip>*/
}
/** @constructor */
function $h_O() {
  /*<skip>*/
}
$h_O.prototype = $c_O.prototype;
$c_O.prototype.init___ = (function() {
  return this
});
$c_O.prototype.equals__O__Z = (function(that) {
  return (this === that)
});
$c_O.prototype.toString__T = (function() {
  var jsx$2 = $objectGetClass(this).getName__T();
  var i = this.hashCode__I();
  var x = $uD((i >>> 0));
  var jsx$1 = x.toString(16);
  return ((jsx$2 + "@") + $as_T(jsx$1))
});
$c_O.prototype.hashCode__I = (function() {
  return $systemIdentityHashCode(this)
});
$c_O.prototype.toString = (function() {
  return this.toString__T()
});
function $is_O(obj) {
  return (obj !== null)
}
function $as_O(obj) {
  return obj
}
function $isArrayOf_O(obj, depth) {
  var data = (obj && obj.$classData);
  if ((!data)) {
    return false
  } else {
    var arrayDepth = (data.arrayDepth || 0);
    return ((!(arrayDepth < depth)) && ((arrayDepth > depth) || (!data.arrayBase.isPrimitive)))
  }
}
function $asArrayOf_O(obj, depth) {
  return (($isArrayOf_O(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.Object;", depth))
}
var $d_O = new $TypeData().initClass({
  O: 0
}, false, "java.lang.Object", {
  O: 1
}, (void 0), (void 0), $is_O, $isArrayOf_O);
$c_O.prototype.$classData = $d_O;
function $is_jl_Runnable(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Runnable)))
}
function $as_jl_Runnable(obj) {
  return (($is_jl_Runnable(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.Runnable"))
}
function $isArrayOf_jl_Runnable(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Runnable)))
}
function $asArrayOf_jl_Runnable(obj, depth) {
  return (($isArrayOf_jl_Runnable(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.Runnable;", depth))
}
function $s_s_PartialFunction$class__applyOrElse__s_PartialFunction__O__F1__O($$this, x, $default) {
  return ($$this.isDefinedAt__O__Z(x) ? $$this.apply__O__O(x) : $default.apply__O__O(x))
}
function $s_s_Product2$class__productElement__s_Product2__I__O($$this, n) {
  switch (n) {
    case 0: {
      return $$this.$$und1$f;
      break
    }
    case 1: {
      return $$this.$$und2$f;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + n))
    }
  }
}
function $s_s_Proxy$class__toString__s_Proxy__T($$this) {
  return ("" + $$this.self$1)
}
function $s_s_Proxy$class__equals__s_Proxy__O__Z($$this, that) {
  return ((that !== null) && (((that === $$this) || (that === $$this.self$1)) || $objectEquals(that, $$this.self$1)))
}
function $s_s_concurrent_BatchingExecutor$class__batchable__s_concurrent_BatchingExecutor__jl_Runnable__Z($$this, runnable) {
  return $is_s_concurrent_OnCompleteRunnable(runnable)
}
function $s_s_concurrent_BatchingExecutor$class__execute__s_concurrent_BatchingExecutor__jl_Runnable__V($$this, runnable) {
  if ($s_s_concurrent_BatchingExecutor$class__batchable__s_concurrent_BatchingExecutor__jl_Runnable__Z($$this, runnable)) {
    var x1 = $as_sci_List($$this.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.get__O());
    if ((x1 === null)) {
      $m_sci_List$();
      var xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([runnable]);
      var this$2 = $m_sci_List$();
      var cbf = this$2.ReusableCBFInstance$2;
      var r = new $c_s_concurrent_BatchingExecutor$Batch().init___s_concurrent_BatchingExecutor__sci_List($$this, $as_sci_List($s_sc_TraversableLike$class__to__sc_TraversableLike__scg_CanBuildFrom__O(xs, cbf)));
      r.run__V()
    } else {
      $$this.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.set__O__V(new $c_sci_$colon$colon().init___O__sci_List(runnable, x1))
    }
  } else {
    runnable.run__V()
  }
}
function $is_s_concurrent_BlockContext(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_concurrent_BlockContext)))
}
function $as_s_concurrent_BlockContext(obj) {
  return (($is_s_concurrent_BlockContext(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.concurrent.BlockContext"))
}
function $isArrayOf_s_concurrent_BlockContext(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_concurrent_BlockContext)))
}
function $asArrayOf_s_concurrent_BlockContext(obj, depth) {
  return (($isArrayOf_s_concurrent_BlockContext(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.concurrent.BlockContext;", depth))
}
function $s_s_concurrent_Future$class__flatMap__s_concurrent_Future__F1__s_concurrent_ExecutionContext__s_concurrent_Future($$this, f, executor) {
  var p = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
  $$this.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$1, p$1, f$1) {
    return (function(x0$5$2) {
      var x0$5 = $as_s_util_Try(x0$5$2);
      if ($is_s_util_Failure(x0$5)) {
        var x3 = $as_s_util_Failure(x0$5);
        return $s_s_concurrent_Promise$class__complete__s_concurrent_Promise__s_util_Try__s_concurrent_Promise(p$1, x3)
      } else if ($is_s_util_Success(x0$5)) {
        var x2 = $as_s_util_Success(x0$5);
        var v = x2.value$2;
        try {
          var x1$2 = $as_s_concurrent_Future(f$1.apply__O__O(v));
          if ($is_s_concurrent_impl_Promise$DefaultPromise(x1$2)) {
            var x2$2 = $as_s_concurrent_impl_Promise$DefaultPromise(x1$2);
            x2$2.link__p3__s_concurrent_impl_Promise$DefaultPromise__V(p$1.compressedRoot__p3__s_concurrent_impl_Promise$DefaultPromise())
          } else {
            x1$2.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$2, p$4) {
              return (function(result$2) {
                var result = $as_s_util_Try(result$2);
                return $as_s_concurrent_impl_Promise$DefaultPromise($s_s_concurrent_Promise$class__complete__s_concurrent_Promise__s_util_Try__s_concurrent_Promise(p$4, result))
              })
            })($$this$1, p$1)), $m_s_concurrent_Future$InternalCallbackExecutor$())
          };
          return (void 0)
        } catch (e) {
          var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
          if ((e$2 !== null)) {
            var o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
            if ((!o11.isEmpty__Z())) {
              var t = $as_jl_Throwable(o11.get__O());
              return $s_s_concurrent_Promise$class__failure__s_concurrent_Promise__jl_Throwable__s_concurrent_Promise(p$1, t)
            };
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
          } else {
            throw e
          }
        }
      } else {
        throw new $c_s_MatchError().init___O(x0$5)
      }
    })
  })($$this, p, f)), executor);
  return p
}
function $s_s_concurrent_Future$class__recover__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future($$this, pf, executor) {
  var p = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
  $$this.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$1, p$1, pf$1) {
    return (function(v$2) {
      var v = $as_s_util_Try(v$2);
      var result = v.recover__s_PartialFunction__s_util_Try(pf$1);
      return $s_s_concurrent_Promise$class__complete__s_concurrent_Promise__s_util_Try__s_concurrent_Promise(p$1, result)
    })
  })($$this, p, pf)), executor);
  return p
}
function $s_s_concurrent_Future$class__map__s_concurrent_Future__F1__s_concurrent_ExecutionContext__s_concurrent_Future($$this, f, executor) {
  var p = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
  $$this.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$1, p$1, f$1) {
    return (function(v$2) {
      var v = $as_s_util_Try(v$2);
      var result = v.map__F1__s_util_Try(f$1);
      return $s_s_concurrent_Promise$class__complete__s_concurrent_Promise__s_util_Try__s_concurrent_Promise(p$1, result)
    })
  })($$this, p, f)), executor);
  return p
}
function $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V($$this, pf, executor) {
  $$this.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$1, pf$1) {
    return (function(x0$1$2) {
      var x0$1 = $as_s_util_Try(x0$1$2);
      if ($is_s_util_Success(x0$1)) {
        var x2 = $as_s_util_Success(x0$1);
        var v = x2.value$2;
        var this$1 = $m_s_Predef$();
        return pf$1.applyOrElse__O__F1__O(v, this$1.singleton$und$less$colon$less$2)
      } else {
        return (void 0)
      }
    })
  })($$this, pf)), executor)
}
function $is_s_concurrent_OnCompleteRunnable(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_concurrent_OnCompleteRunnable)))
}
function $as_s_concurrent_OnCompleteRunnable(obj) {
  return (($is_s_concurrent_OnCompleteRunnable(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.concurrent.OnCompleteRunnable"))
}
function $isArrayOf_s_concurrent_OnCompleteRunnable(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_concurrent_OnCompleteRunnable)))
}
function $asArrayOf_s_concurrent_OnCompleteRunnable(obj, depth) {
  return (($isArrayOf_s_concurrent_OnCompleteRunnable(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.concurrent.OnCompleteRunnable;", depth))
}
function $s_s_concurrent_Promise$class__success__s_concurrent_Promise__O__s_concurrent_Promise($$this, value) {
  var result = new $c_s_util_Success().init___O(value);
  return $s_s_concurrent_Promise$class__complete__s_concurrent_Promise__s_util_Try__s_concurrent_Promise($$this, result)
}
function $s_s_concurrent_Promise$class__failure__s_concurrent_Promise__jl_Throwable__s_concurrent_Promise($$this, cause) {
  var result = new $c_s_util_Failure().init___jl_Throwable(cause);
  return $s_s_concurrent_Promise$class__complete__s_concurrent_Promise__s_util_Try__s_concurrent_Promise($$this, result)
}
function $s_s_concurrent_Promise$class__complete__s_concurrent_Promise__s_util_Try__s_concurrent_Promise($$this, result) {
  if ($$this.tryComplete__s_util_Try__Z(result)) {
    return $$this
  } else {
    throw new $c_jl_IllegalStateException().init___T("Promise already completed.")
  }
}
function $s_s_concurrent_impl_Promise$class__toString__s_concurrent_impl_Promise__T($$this) {
  var x1 = $$this.value__s_Option();
  if ($is_s_Some(x1)) {
    var x2 = $as_s_Some(x1);
    var result = $as_s_util_Try(x2.x$2);
    return (("Future(" + result) + ")")
  } else {
    var x = $m_s_None$();
    if ((x === x1)) {
      return "Future(<not completed>)"
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
}
function $s_s_reflect_ClassTag$class__newArray__s_reflect_ClassTag__I__O($$this, len) {
  var x1 = $$this.runtimeClass__jl_Class();
  return ((x1 === $d_B.getClassOf()) ? $newArrayObject($d_B.getArrayOf(), [len]) : ((x1 === $d_S.getClassOf()) ? $newArrayObject($d_S.getArrayOf(), [len]) : ((x1 === $d_C.getClassOf()) ? $newArrayObject($d_C.getArrayOf(), [len]) : ((x1 === $d_I.getClassOf()) ? $newArrayObject($d_I.getArrayOf(), [len]) : ((x1 === $d_J.getClassOf()) ? $newArrayObject($d_J.getArrayOf(), [len]) : ((x1 === $d_F.getClassOf()) ? $newArrayObject($d_F.getArrayOf(), [len]) : ((x1 === $d_D.getClassOf()) ? $newArrayObject($d_D.getArrayOf(), [len]) : ((x1 === $d_Z.getClassOf()) ? $newArrayObject($d_Z.getArrayOf(), [len]) : ((x1 === $d_V.getClassOf()) ? $newArrayObject($d_sr_BoxedUnit.getArrayOf(), [len]) : $m_jl_reflect_Array$().newInstance__jl_Class__I__O($$this.runtimeClass__jl_Class(), len))))))))))
}
function $s_s_reflect_ClassTag$class__equals__s_reflect_ClassTag__O__Z($$this, x) {
  if ($is_s_reflect_ClassTag(x)) {
    var x$2 = $$this.runtimeClass__jl_Class();
    var x$3 = $as_s_reflect_ClassTag(x).runtimeClass__jl_Class();
    return (x$2 === x$3)
  } else {
    return false
  }
}
function $s_s_reflect_ClassTag$class__prettyprint$1__p0__s_reflect_ClassTag__jl_Class__T($$this, clazz) {
  if (clazz.isArray__Z()) {
    var jsx$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Array[", "]"]));
    if ((clazz !== null)) {
      var jsx$1 = clazz.getComponentType__jl_Class()
    } else {
      if ((!$is_s_reflect_ClassTag(clazz))) {
        throw new $c_jl_UnsupportedOperationException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["unsupported schematic ", " (", ")"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([clazz, $objectGetClass(clazz)])))
      };
      var x3 = $as_s_reflect_ClassTag(clazz);
      var jsx$1 = x3.runtimeClass__jl_Class()
    };
    return jsx$2.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$s_s_reflect_ClassTag$class__prettyprint$1__p0__s_reflect_ClassTag__jl_Class__T($$this, jsx$1)]))
  } else {
    return clazz.getName__T()
  }
}
function $s_s_util_control_NoStackTrace$class__fillInStackTrace__s_util_control_NoStackTrace__jl_Throwable($$this) {
  var this$1 = $m_s_util_control_NoStackTrace$();
  if (this$1.$$undnoSuppression$1) {
    return $c_jl_Throwable.prototype.fillInStackTrace__jl_Throwable.call($$this)
  } else {
    return $as_jl_Throwable($$this)
  }
}
function $s_sc_GenMapLike$class__liftedTree1$1__p0__sc_GenMapLike__sc_GenMap__Z($$this, x2$1) {
  try {
    var this$1 = $$this.iterator__sc_Iterator();
    var res = true;
    while ((res && this$1.hasNext__Z())) {
      var arg1 = this$1.next__O();
      var x0$1 = $as_T2(arg1);
      if ((x0$1 === null)) {
        throw new $c_s_MatchError().init___O(x0$1)
      };
      var k = x0$1.$$und1$f;
      var v = x0$1.$$und2$f;
      var x1$2 = x2$1.get__O__s_Option(k);
      matchEnd6: {
        if ($is_s_Some(x1$2)) {
          var x2 = $as_s_Some(x1$2);
          var p3 = x2.x$2;
          if ($m_sr_BoxesRunTime$().equals__O__O__Z(v, p3)) {
            res = true;
            break matchEnd6
          }
        };
        res = false
      }
    };
    return res
  } catch (e) {
    if ($is_jl_ClassCastException(e)) {
      $as_jl_ClassCastException(e);
      return false
    } else {
      throw e
    }
  }
}
function $s_sc_GenMapLike$class__equals__sc_GenMapLike__O__Z($$this, that) {
  if ($is_sc_GenMap(that)) {
    var x2 = $as_sc_GenMap(that);
    return (($$this === x2) || (($$this.size__I() === x2.size__I()) && $s_sc_GenMapLike$class__liftedTree1$1__p0__sc_GenMapLike__sc_GenMap__Z($$this, x2)))
  } else {
    return false
  }
}
function $s_sc_GenSeqLike$class__equals__sc_GenSeqLike__O__Z($$this, that) {
  if ($is_sc_GenSeq(that)) {
    var x2 = $as_sc_GenSeq(that);
    return $$this.sameElements__sc_GenIterable__Z(x2)
  } else {
    return false
  }
}
function $s_sc_GenSeqLike$class__isDefinedAt__sc_GenSeqLike__I__Z($$this, idx) {
  return ((idx >= 0) && (idx < $$this.length__I()))
}
function $s_sc_GenSetLike$class__liftedTree1$1__p0__sc_GenSetLike__sc_GenSet__Z($$this, x2$1) {
  try {
    return $$this.subsetOf__sc_GenSet__Z(x2$1)
  } catch (e) {
    if ($is_jl_ClassCastException(e)) {
      $as_jl_ClassCastException(e);
      return false
    } else {
      throw e
    }
  }
}
function $s_sc_GenSetLike$class__equals__sc_GenSetLike__O__Z($$this, that) {
  if ($is_sc_GenSet(that)) {
    var x2 = $as_sc_GenSet(that);
    return (($$this === x2) || (($$this.size__I() === x2.size__I()) && $s_sc_GenSetLike$class__liftedTree1$1__p0__sc_GenSetLike__sc_GenSet__Z($$this, x2)))
  } else {
    return false
  }
}
function $is_sc_GenTraversableOnce(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenTraversableOnce)))
}
function $as_sc_GenTraversableOnce(obj) {
  return (($is_sc_GenTraversableOnce(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.GenTraversableOnce"))
}
function $isArrayOf_sc_GenTraversableOnce(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenTraversableOnce)))
}
function $asArrayOf_sc_GenTraversableOnce(obj, depth) {
  return (($isArrayOf_sc_GenTraversableOnce(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.GenTraversableOnce;", depth))
}
function $s_sc_IndexedSeqOptimized$class__lengthCompare__sc_IndexedSeqOptimized__I__I($$this, len) {
  return (($$this.length__I() - len) | 0)
}
function $s_sc_IndexedSeqOptimized$class__last__sc_IndexedSeqOptimized__O($$this) {
  return (($$this.length__I() > 0) ? $$this.apply__I__O((((-1) + $$this.length__I()) | 0)) : $s_sc_TraversableLike$class__last__sc_TraversableLike__O($$this))
}
function $s_sc_IndexedSeqOptimized$class__foldl__p0__sc_IndexedSeqOptimized__I__I__O__F2__O($$this, start, end, z, op) {
  _foldl: while (true) {
    if ((start === end)) {
      return z
    } else {
      var temp$start = ((1 + start) | 0);
      var temp$z = op.apply__O__O__O(z, $$this.apply__I__O(start));
      start = temp$start;
      z = temp$z;
      continue _foldl
    }
  }
}
function $s_sc_IndexedSeqOptimized$class__copyToArray__sc_IndexedSeqOptimized__O__I__I__V($$this, xs, start, len) {
  var i = 0;
  var j = start;
  var x = $$this.length__I();
  var x$1 = ((x < len) ? x : len);
  var that = (($m_sr_ScalaRunTime$().array$undlength__O__I(xs) - start) | 0);
  var end = ((x$1 < that) ? x$1 : that);
  while ((i < end)) {
    $m_sr_ScalaRunTime$().array$undupdate__O__I__O__V(xs, j, $$this.apply__I__O(i));
    i = ((1 + i) | 0);
    j = ((1 + j) | 0)
  }
}
function $s_sc_IndexedSeqOptimized$class__sameElements__sc_IndexedSeqOptimized__sc_GenIterable__Z($$this, that) {
  if ($is_sc_IndexedSeq(that)) {
    var x2 = $as_sc_IndexedSeq(that);
    var len = $$this.length__I();
    if ((len === x2.length__I())) {
      var i = 0;
      while (((i < len) && $m_sr_BoxesRunTime$().equals__O__O__Z($$this.apply__I__O(i), x2.apply__I__O(i)))) {
        i = ((1 + i) | 0)
      };
      return (i === len)
    } else {
      return false
    }
  } else {
    return $s_sc_IterableLike$class__sameElements__sc_IterableLike__sc_GenIterable__Z($$this, that)
  }
}
function $s_sc_IndexedSeqOptimized$class__reverse__sc_IndexedSeqOptimized__O($$this) {
  var b = $$this.newBuilder__scm_Builder();
  b.sizeHint__I__V($$this.length__I());
  var i = $$this.length__I();
  while ((i > 0)) {
    i = (((-1) + i) | 0);
    b.$$plus$eq__O__scm_Builder($$this.apply__I__O(i))
  };
  return b.result__O()
}
function $s_sc_IndexedSeqOptimized$class__foreach__sc_IndexedSeqOptimized__F1__V($$this, f) {
  var i = 0;
  var len = $$this.length__I();
  while ((i < len)) {
    f.apply__O__O($$this.apply__I__O(i));
    i = ((1 + i) | 0)
  }
}
function $s_sc_IndexedSeqOptimized$class__isEmpty__sc_IndexedSeqOptimized__Z($$this) {
  return ($$this.length__I() === 0)
}
function $s_sc_IndexedSeqOptimized$class__head__sc_IndexedSeqOptimized__O($$this) {
  return ($s_sc_IndexedSeqOptimized$class__isEmpty__sc_IndexedSeqOptimized__Z($$this) ? new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I($$this, 0, $$this.length__I()).next__O() : $$this.apply__I__O(0))
}
function $s_sc_IterableLike$class__copyToArray__sc_IterableLike__O__I__I__V($$this, xs, start, len) {
  var i = start;
  var x = ((start + len) | 0);
  var that = $m_sr_ScalaRunTime$().array$undlength__O__I(xs);
  var end = ((x < that) ? x : that);
  var it = $$this.iterator__sc_Iterator();
  while (((i < end) && it.hasNext__Z())) {
    $m_sr_ScalaRunTime$().array$undupdate__O__I__O__V(xs, i, it.next__O());
    i = ((1 + i) | 0)
  }
}
function $s_sc_IterableLike$class__take__sc_IterableLike__I__O($$this, n) {
  var b = $$this.newBuilder__scm_Builder();
  if ((n <= 0)) {
    return b.result__O()
  } else {
    b.sizeHintBounded__I__sc_TraversableLike__V(n, $$this);
    var i = 0;
    var it = $$this.iterator__sc_Iterator();
    while (((i < n) && it.hasNext__Z())) {
      b.$$plus$eq__O__scm_Builder(it.next__O());
      i = ((1 + i) | 0)
    };
    return b.result__O()
  }
}
function $s_sc_IterableLike$class__sameElements__sc_IterableLike__sc_GenIterable__Z($$this, that) {
  var these = $$this.iterator__sc_Iterator();
  var those = that.iterator__sc_Iterator();
  while ((these.hasNext__Z() && those.hasNext__Z())) {
    if ((!$m_sr_BoxesRunTime$().equals__O__O__Z(these.next__O(), those.next__O()))) {
      return false
    }
  };
  return ((!these.hasNext__Z()) && (!those.hasNext__Z()))
}
function $s_sc_Iterator$class__toStream__sc_Iterator__sci_Stream($$this) {
  if ($$this.hasNext__Z()) {
    var hd = $$this.next__O();
    var tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($$this$1) {
      return (function() {
        return $$this$1.toStream__sci_Stream()
      })
    })($$this));
    return new $c_sci_Stream$Cons().init___O__F0(hd, tl)
  } else {
    $m_sci_Stream$();
    return $m_sci_Stream$Empty$()
  }
}
function $s_sc_Iterator$class__isEmpty__sc_Iterator__Z($$this) {
  return (!$$this.hasNext__Z())
}
function $s_sc_Iterator$class__toString__sc_Iterator__T($$this) {
  return (($$this.hasNext__Z() ? "non-empty" : "empty") + " iterator")
}
function $s_sc_Iterator$class__foreach__sc_Iterator__F1__V($$this, f) {
  while ($$this.hasNext__Z()) {
    f.apply__O__O($$this.next__O())
  }
}
function $s_sc_Iterator$class__forall__sc_Iterator__F1__Z($$this, p) {
  var res = true;
  while ((res && $$this.hasNext__Z())) {
    res = $uZ(p.apply__O__O($$this.next__O()))
  };
  return res
}
function $s_sc_LinearSeqOptimized$class__isDefinedAt__sc_LinearSeqOptimized__I__Z($$this, x) {
  return ((x >= 0) && ($s_sc_LinearSeqOptimized$class__lengthCompare__sc_LinearSeqOptimized__I__I($$this, x) > 0))
}
function $s_sc_LinearSeqOptimized$class__lengthCompare__sc_LinearSeqOptimized__I__I($$this, len) {
  return ((len < 0) ? 1 : $s_sc_LinearSeqOptimized$class__loop$1__p0__sc_LinearSeqOptimized__I__sc_LinearSeqOptimized__I__I($$this, 0, $$this, len))
}
function $s_sc_LinearSeqOptimized$class__foldLeft__sc_LinearSeqOptimized__O__F2__O($$this, z, op) {
  var acc = z;
  var these = $$this;
  while ((!these.isEmpty__Z())) {
    acc = op.apply__O__O__O(acc, these.head__O());
    these = $as_sc_LinearSeqOptimized(these.tail__O())
  };
  return acc
}
function $s_sc_LinearSeqOptimized$class__apply__sc_LinearSeqOptimized__I__O($$this, n) {
  var rest = $$this.drop__I__sc_LinearSeqOptimized(n);
  if (((n < 0) || rest.isEmpty__Z())) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + n))
  };
  return rest.head__O()
}
function $s_sc_LinearSeqOptimized$class__loop$1__p0__sc_LinearSeqOptimized__I__sc_LinearSeqOptimized__I__I($$this, i, xs, len$1) {
  _loop: while (true) {
    if ((i === len$1)) {
      return (xs.isEmpty__Z() ? 0 : 1)
    } else if (xs.isEmpty__Z()) {
      return (-1)
    } else {
      var temp$i = ((1 + i) | 0);
      var temp$xs = $as_sc_LinearSeqOptimized(xs.tail__O());
      i = temp$i;
      xs = temp$xs;
      continue _loop
    }
  }
}
function $s_sc_LinearSeqOptimized$class__length__sc_LinearSeqOptimized__I($$this) {
  var these = $$this;
  var len = 0;
  while ((!these.isEmpty__Z())) {
    len = ((1 + len) | 0);
    these = $as_sc_LinearSeqOptimized(these.tail__O())
  };
  return len
}
function $s_sc_LinearSeqOptimized$class__last__sc_LinearSeqOptimized__O($$this) {
  if ($$this.isEmpty__Z()) {
    throw new $c_ju_NoSuchElementException().init___()
  };
  var these = $$this;
  var nx = $as_sc_LinearSeqOptimized(these.tail__O());
  while ((!nx.isEmpty__Z())) {
    these = nx;
    nx = $as_sc_LinearSeqOptimized(nx.tail__O())
  };
  return these.head__O()
}
function $s_sc_LinearSeqOptimized$class__sameElements__sc_LinearSeqOptimized__sc_GenIterable__Z($$this, that) {
  if ($is_sc_LinearSeq(that)) {
    var x2 = $as_sc_LinearSeq(that);
    if (($$this === x2)) {
      return true
    } else {
      var these = $$this;
      var those = x2;
      while ((((!these.isEmpty__Z()) && (!those.isEmpty__Z())) && $m_sr_BoxesRunTime$().equals__O__O__Z(these.head__O(), those.head__O()))) {
        these = $as_sc_LinearSeqOptimized(these.tail__O());
        those = $as_sc_LinearSeq(those.tail__O())
      };
      return (these.isEmpty__Z() && those.isEmpty__Z())
    }
  } else {
    return $s_sc_IterableLike$class__sameElements__sc_IterableLike__sc_GenIterable__Z($$this, that)
  }
}
function $s_sc_MapLike$class__addString__sc_MapLike__scm_StringBuilder__T__T__T__scm_StringBuilder($$this, b, start, sep, end) {
  var this$2 = $$this.iterator__sc_Iterator();
  var f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$1) {
    return (function(x0$1$2) {
      var x0$1 = $as_T2(x0$1$2);
      if ((x0$1 !== null)) {
        var k = x0$1.$$und1$f;
        var v = x0$1.$$und2$f;
        return (("" + $m_s_Predef$any2stringadd$().$$plus$extension__O__T__T(k, " -> ")) + v)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      }
    })
  })($$this));
  var this$3 = new $c_sc_Iterator$$anon$11().init___sc_Iterator__F1(this$2, f);
  return $s_sc_TraversableOnce$class__addString__sc_TraversableOnce__scm_StringBuilder__T__T__T__scm_StringBuilder(this$3, b, start, sep, end)
}
function $s_sc_MapLike$class__apply__sc_MapLike__O__O($$this, key) {
  var x1 = $$this.get__O__s_Option(key);
  var x = $m_s_None$();
  if ((x === x1)) {
    return $s_sc_MapLike$class__$default__sc_MapLike__O__O($$this, key)
  } else if ($is_s_Some(x1)) {
    var x2 = $as_s_Some(x1);
    var value = x2.x$2;
    return value
  } else {
    throw new $c_s_MatchError().init___O(x1)
  }
}
function $s_sc_MapLike$class__isEmpty__sc_MapLike__Z($$this) {
  return ($$this.size__I() === 0)
}
function $s_sc_MapLike$class__contains__sc_MapLike__O__Z($$this, key) {
  return $$this.get__O__s_Option(key).isDefined__Z()
}
function $s_sc_MapLike$class__$default__sc_MapLike__O__O($$this, key) {
  throw new $c_ju_NoSuchElementException().init___T(("key not found: " + key))
}
function $s_sc_SeqLike$class__isEmpty__sc_SeqLike__Z($$this) {
  return ($$this.lengthCompare__I__I(0) === 0)
}
function $s_sc_SeqLike$class__reverse__sc_SeqLike__O($$this) {
  var elem = $m_sci_Nil$();
  var xs = new $c_sr_ObjectRef().init___O(elem);
  $$this.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$1, xs$1) {
    return (function(x$2) {
      var this$2 = $as_sci_List(xs$1.elem$1);
      xs$1.elem$1 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$2)
    })
  })($$this, xs)));
  var b = $$this.newBuilder__scm_Builder();
  $s_scm_Builder$class__sizeHint__scm_Builder__sc_TraversableLike__V(b, $$this);
  var this$3 = $as_sci_List(xs.elem$1);
  var these = this$3;
  while ((!these.isEmpty__Z())) {
    var arg1 = these.head__O();
    b.$$plus$eq__O__scm_Builder(arg1);
    var this$4 = these;
    these = this$4.tail__sci_List()
  };
  return b.result__O()
}
function $s_sc_SeqLike$class__reverseIterator__sc_SeqLike__sc_Iterator($$this) {
  return $$this.toCollection__O__sc_Seq($$this.reverse__O()).iterator__sc_Iterator()
}
function $s_sc_SetLike$class__isEmpty__sc_SetLike__Z($$this) {
  return ($$this.size__I() === 0)
}
function $s_sc_TraversableLike$class__to__sc_TraversableLike__scg_CanBuildFrom__O($$this, cbf) {
  var b = cbf.apply__scm_Builder();
  $s_scm_Builder$class__sizeHint__scm_Builder__sc_TraversableLike__V(b, $$this);
  b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($$this.thisCollection__sc_Traversable());
  return b.result__O()
}
function $s_sc_TraversableLike$class__toString__sc_TraversableLike__T($$this) {
  return $$this.mkString__T__T__T__T(($$this.stringPrefix__T() + "("), ", ", ")")
}
function $s_sc_TraversableLike$class__flatMap__sc_TraversableLike__F1__scg_CanBuildFrom__O($$this, f, bf) {
  var b = bf.apply__O__scm_Builder($$this.repr__O());
  $$this.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$1, b$1, f$1) {
    return (function(x$2) {
      return $as_scm_Builder(b$1.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($as_sc_GenTraversableOnce(f$1.apply__O__O(x$2)).seq__sc_TraversableOnce()))
    })
  })($$this, b, f)));
  return b.result__O()
}
function $s_sc_TraversableLike$class__$$plus$plus__sc_TraversableLike__sc_GenTraversableOnce__scg_CanBuildFrom__O($$this, that, bf) {
  var b = bf.apply__O__scm_Builder($$this.repr__O());
  if ($is_sc_IndexedSeqLike(that)) {
    var delta = that.seq__sc_TraversableOnce().size__I();
    $s_scm_Builder$class__sizeHint__scm_Builder__sc_TraversableLike__I__V(b, $$this, delta)
  };
  b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($$this.thisCollection__sc_Traversable());
  b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(that.seq__sc_TraversableOnce());
  return b.result__O()
}
function $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder($$this, bf$1) {
  var b = bf$1.apply__O__scm_Builder($$this.repr__O());
  $s_scm_Builder$class__sizeHint__scm_Builder__sc_TraversableLike__V(b, $$this);
  return b
}
function $s_sc_TraversableLike$class__stringPrefix__sc_TraversableLike__T($$this) {
  var this$1 = $$this.repr__O();
  var string = $objectGetClass(this$1).getName__T();
  var idx1 = $m_sjsr_RuntimeString$().lastIndexOf__T__I__I(string, 46);
  if ((idx1 !== (-1))) {
    var thiz = string;
    var beginIndex = ((1 + idx1) | 0);
    string = $as_T(thiz.substring(beginIndex))
  };
  var idx2 = $m_sjsr_RuntimeString$().indexOf__T__I__I(string, 36);
  if ((idx2 !== (-1))) {
    var thiz$1 = string;
    string = $as_T(thiz$1.substring(0, idx2))
  };
  return string
}
function $s_sc_TraversableLike$class__last__sc_TraversableLike__O($$this) {
  var elem = $$this.head__O();
  var lst = new $c_sr_ObjectRef().init___O(elem);
  $$this.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$1, lst$1) {
    return (function(x$2) {
      lst$1.elem$1 = x$2
    })
  })($$this, lst)));
  return lst.elem$1
}
function $s_sc_TraversableOnce$class__to__sc_TraversableOnce__scg_CanBuildFrom__O($$this, cbf) {
  var b = cbf.apply__scm_Builder();
  b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($$this.seq__sc_TraversableOnce());
  return b.result__O()
}
function $s_sc_TraversableOnce$class__addString__sc_TraversableOnce__scm_StringBuilder__T__T__T__scm_StringBuilder($$this, b, start, sep, end) {
  var first = new $c_sr_BooleanRef().init___Z(true);
  b.append__T__scm_StringBuilder(start);
  $$this.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$1, first$1, b$1, sep$1) {
    return (function(x$2) {
      if (first$1.elem$1) {
        b$1.append__O__scm_StringBuilder(x$2);
        first$1.elem$1 = false;
        return (void 0)
      } else {
        b$1.append__T__scm_StringBuilder(sep$1);
        return b$1.append__O__scm_StringBuilder(x$2)
      }
    })
  })($$this, first, b, sep)));
  b.append__T__scm_StringBuilder(end);
  return b
}
function $s_sc_TraversableOnce$class__foldLeft__sc_TraversableOnce__O__F2__O($$this, z, op) {
  var result = new $c_sr_ObjectRef().init___O(z);
  $$this.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$1, result$1, op$1) {
    return (function(x$2) {
      result$1.elem$1 = op$1.apply__O__O__O(result$1.elem$1, x$2)
    })
  })($$this, result, op)));
  return result.elem$1
}
function $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T($$this, start, sep, end) {
  var this$1 = $$this.addString__scm_StringBuilder__T__T__T__scm_StringBuilder(new $c_scm_StringBuilder().init___(), start, sep, end);
  var this$2 = this$1.underlying$5;
  return this$2.content$1
}
function $s_sc_TraversableOnce$class__nonEmpty__sc_TraversableOnce__Z($$this) {
  return (!$$this.isEmpty__Z())
}
function $s_sc_TraversableOnce$class__size__sc_TraversableOnce__I($$this) {
  var result = new $c_sr_IntRef().init___I(0);
  $$this.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$1, result$1) {
    return (function(x$2) {
      result$1.elem$1 = ((1 + result$1.elem$1) | 0)
    })
  })($$this, result)));
  return result.elem$1
}
function $s_scg_Growable$class__loop$1__p0__scg_Growable__sc_LinearSeq__V($$this, xs) {
  _loop: while (true) {
    var this$1 = xs;
    if ($s_sc_TraversableOnce$class__nonEmpty__sc_TraversableOnce__Z(this$1)) {
      $$this.$$plus$eq__O__scg_Growable(xs.head__O());
      xs = $as_sc_LinearSeq(xs.tail__O());
      continue _loop
    };
    break
  }
}
function $s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable($$this, xs) {
  if ($is_sc_LinearSeq(xs)) {
    var x2 = $as_sc_LinearSeq(xs);
    $s_scg_Growable$class__loop$1__p0__scg_Growable__sc_LinearSeq__V($$this, x2)
  } else {
    xs.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$1) {
      return (function(elem$2) {
        return $$this$1.$$plus$eq__O__scg_Growable(elem$2)
      })
    })($$this)))
  };
  return $$this
}
function $s_sci_VectorPointer$class__getElem__sci_VectorPointer__I__I__O($$this, index, xor) {
  if ((xor < 32)) {
    return $$this.display0__AO().get((31 & index))
  } else if ((xor < 1024)) {
    return $asArrayOf_O($$this.display1__AO().get((31 & (index >> 5))), 1).get((31 & index))
  } else if ((xor < 32768)) {
    return $asArrayOf_O($asArrayOf_O($$this.display2__AO().get((31 & (index >> 10))), 1).get((31 & (index >> 5))), 1).get((31 & index))
  } else if ((xor < 1048576)) {
    return $asArrayOf_O($asArrayOf_O($asArrayOf_O($$this.display3__AO().get((31 & (index >> 15))), 1).get((31 & (index >> 10))), 1).get((31 & (index >> 5))), 1).get((31 & index))
  } else if ((xor < 33554432)) {
    return $asArrayOf_O($asArrayOf_O($asArrayOf_O($asArrayOf_O($$this.display4__AO().get((31 & (index >> 20))), 1).get((31 & (index >> 15))), 1).get((31 & (index >> 10))), 1).get((31 & (index >> 5))), 1).get((31 & index))
  } else if ((xor < 1073741824)) {
    return $asArrayOf_O($asArrayOf_O($asArrayOf_O($asArrayOf_O($asArrayOf_O($$this.display5__AO().get((31 & (index >> 25))), 1).get((31 & (index >> 20))), 1).get((31 & (index >> 15))), 1).get((31 & (index >> 10))), 1).get((31 & (index >> 5))), 1).get((31 & index))
  } else {
    throw new $c_jl_IllegalArgumentException().init___()
  }
}
function $s_sci_VectorPointer$class__gotoNextBlockStartWritable__sci_VectorPointer__I__I__V($$this, index, xor) {
  if ((xor < 1024)) {
    if (($$this.depth__I() === 1)) {
      $$this.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
      $$this.display1__AO().set(0, $$this.display0__AO());
      $$this.depth$und$eq__I__V(((1 + $$this.depth__I()) | 0))
    };
    $$this.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display1__AO().set((31 & (index >> 5)), $$this.display0__AO())
  } else if ((xor < 32768)) {
    if (($$this.depth__I() === 2)) {
      $$this.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
      $$this.display2__AO().set(0, $$this.display1__AO());
      $$this.depth$und$eq__I__V(((1 + $$this.depth__I()) | 0))
    };
    $$this.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display1__AO().set((31 & (index >> 5)), $$this.display0__AO());
    $$this.display2__AO().set((31 & (index >> 10)), $$this.display1__AO())
  } else if ((xor < 1048576)) {
    if (($$this.depth__I() === 3)) {
      $$this.display3$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
      $$this.display3__AO().set(0, $$this.display2__AO());
      $$this.depth$und$eq__I__V(((1 + $$this.depth__I()) | 0))
    };
    $$this.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display1__AO().set((31 & (index >> 5)), $$this.display0__AO());
    $$this.display2__AO().set((31 & (index >> 10)), $$this.display1__AO());
    $$this.display3__AO().set((31 & (index >> 15)), $$this.display2__AO())
  } else if ((xor < 33554432)) {
    if (($$this.depth__I() === 4)) {
      $$this.display4$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
      $$this.display4__AO().set(0, $$this.display3__AO());
      $$this.depth$und$eq__I__V(((1 + $$this.depth__I()) | 0))
    };
    $$this.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display3$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display1__AO().set((31 & (index >> 5)), $$this.display0__AO());
    $$this.display2__AO().set((31 & (index >> 10)), $$this.display1__AO());
    $$this.display3__AO().set((31 & (index >> 15)), $$this.display2__AO());
    $$this.display4__AO().set((31 & (index >> 20)), $$this.display3__AO())
  } else if ((xor < 1073741824)) {
    if (($$this.depth__I() === 5)) {
      $$this.display5$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
      $$this.display5__AO().set(0, $$this.display4__AO());
      $$this.depth$und$eq__I__V(((1 + $$this.depth__I()) | 0))
    };
    $$this.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display3$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display4$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display1__AO().set((31 & (index >> 5)), $$this.display0__AO());
    $$this.display2__AO().set((31 & (index >> 10)), $$this.display1__AO());
    $$this.display3__AO().set((31 & (index >> 15)), $$this.display2__AO());
    $$this.display4__AO().set((31 & (index >> 20)), $$this.display3__AO());
    $$this.display5__AO().set((31 & (index >> 25)), $$this.display4__AO())
  } else {
    throw new $c_jl_IllegalArgumentException().init___()
  }
}
function $s_sci_VectorPointer$class__stabilize__sci_VectorPointer__I__V($$this, index) {
  var x1 = (((-1) + $$this.depth__I()) | 0);
  switch (x1) {
    case 5: {
      var a = $$this.display5__AO();
      $$this.display5$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a));
      var a$1 = $$this.display4__AO();
      $$this.display4$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$1));
      var a$2 = $$this.display3__AO();
      $$this.display3$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$2));
      var a$3 = $$this.display2__AO();
      $$this.display2$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$3));
      var a$4 = $$this.display1__AO();
      $$this.display1$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$4));
      $$this.display5__AO().set((31 & (index >> 25)), $$this.display4__AO());
      $$this.display4__AO().set((31 & (index >> 20)), $$this.display3__AO());
      $$this.display3__AO().set((31 & (index >> 15)), $$this.display2__AO());
      $$this.display2__AO().set((31 & (index >> 10)), $$this.display1__AO());
      $$this.display1__AO().set((31 & (index >> 5)), $$this.display0__AO());
      break
    }
    case 4: {
      var a$5 = $$this.display4__AO();
      $$this.display4$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$5));
      var a$6 = $$this.display3__AO();
      $$this.display3$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$6));
      var a$7 = $$this.display2__AO();
      $$this.display2$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$7));
      var a$8 = $$this.display1__AO();
      $$this.display1$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$8));
      $$this.display4__AO().set((31 & (index >> 20)), $$this.display3__AO());
      $$this.display3__AO().set((31 & (index >> 15)), $$this.display2__AO());
      $$this.display2__AO().set((31 & (index >> 10)), $$this.display1__AO());
      $$this.display1__AO().set((31 & (index >> 5)), $$this.display0__AO());
      break
    }
    case 3: {
      var a$9 = $$this.display3__AO();
      $$this.display3$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$9));
      var a$10 = $$this.display2__AO();
      $$this.display2$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$10));
      var a$11 = $$this.display1__AO();
      $$this.display1$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$11));
      $$this.display3__AO().set((31 & (index >> 15)), $$this.display2__AO());
      $$this.display2__AO().set((31 & (index >> 10)), $$this.display1__AO());
      $$this.display1__AO().set((31 & (index >> 5)), $$this.display0__AO());
      break
    }
    case 2: {
      var a$12 = $$this.display2__AO();
      $$this.display2$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$12));
      var a$13 = $$this.display1__AO();
      $$this.display1$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$13));
      $$this.display2__AO().set((31 & (index >> 10)), $$this.display1__AO());
      $$this.display1__AO().set((31 & (index >> 5)), $$this.display0__AO());
      break
    }
    case 1: {
      var a$14 = $$this.display1__AO();
      $$this.display1$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$14));
      $$this.display1__AO().set((31 & (index >> 5)), $$this.display0__AO());
      break
    }
    case 0: {
      break
    }
    default: {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
}
function $s_sci_VectorPointer$class__initFrom__sci_VectorPointer__sci_VectorPointer__I__V($$this, that, depth) {
  $$this.depth$und$eq__I__V(depth);
  var x1 = (((-1) + depth) | 0);
  switch (x1) {
    case (-1): {
      break
    }
    case 0: {
      $$this.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    case 1: {
      $$this.display1$und$eq__AO__V(that.display1__AO());
      $$this.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    case 2: {
      $$this.display2$und$eq__AO__V(that.display2__AO());
      $$this.display1$und$eq__AO__V(that.display1__AO());
      $$this.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    case 3: {
      $$this.display3$und$eq__AO__V(that.display3__AO());
      $$this.display2$und$eq__AO__V(that.display2__AO());
      $$this.display1$und$eq__AO__V(that.display1__AO());
      $$this.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    case 4: {
      $$this.display4$und$eq__AO__V(that.display4__AO());
      $$this.display3$und$eq__AO__V(that.display3__AO());
      $$this.display2$und$eq__AO__V(that.display2__AO());
      $$this.display1$und$eq__AO__V(that.display1__AO());
      $$this.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    case 5: {
      $$this.display5$und$eq__AO__V(that.display5__AO());
      $$this.display4$und$eq__AO__V(that.display4__AO());
      $$this.display3$und$eq__AO__V(that.display3__AO());
      $$this.display2$und$eq__AO__V(that.display2__AO());
      $$this.display1$und$eq__AO__V(that.display1__AO());
      $$this.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    default: {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
}
function $s_sci_VectorPointer$class__gotoNextBlockStart__sci_VectorPointer__I__I__V($$this, index, xor) {
  if ((xor < 1024)) {
    $$this.display0$und$eq__AO__V($asArrayOf_O($$this.display1__AO().get((31 & (index >> 5))), 1))
  } else if ((xor < 32768)) {
    $$this.display1$und$eq__AO__V($asArrayOf_O($$this.display2__AO().get((31 & (index >> 10))), 1));
    $$this.display0$und$eq__AO__V($asArrayOf_O($$this.display1__AO().get(0), 1))
  } else if ((xor < 1048576)) {
    $$this.display2$und$eq__AO__V($asArrayOf_O($$this.display3__AO().get((31 & (index >> 15))), 1));
    $$this.display1$und$eq__AO__V($asArrayOf_O($$this.display2__AO().get(0), 1));
    $$this.display0$und$eq__AO__V($asArrayOf_O($$this.display1__AO().get(0), 1))
  } else if ((xor < 33554432)) {
    $$this.display3$und$eq__AO__V($asArrayOf_O($$this.display4__AO().get((31 & (index >> 20))), 1));
    $$this.display2$und$eq__AO__V($asArrayOf_O($$this.display3__AO().get(0), 1));
    $$this.display1$und$eq__AO__V($asArrayOf_O($$this.display2__AO().get(0), 1));
    $$this.display0$und$eq__AO__V($asArrayOf_O($$this.display1__AO().get(0), 1))
  } else if ((xor < 1073741824)) {
    $$this.display4$und$eq__AO__V($asArrayOf_O($$this.display5__AO().get((31 & (index >> 25))), 1));
    $$this.display3$und$eq__AO__V($asArrayOf_O($$this.display4__AO().get(0), 1));
    $$this.display2$und$eq__AO__V($asArrayOf_O($$this.display3__AO().get(0), 1));
    $$this.display1$und$eq__AO__V($asArrayOf_O($$this.display2__AO().get(0), 1));
    $$this.display0$und$eq__AO__V($asArrayOf_O($$this.display1__AO().get(0), 1))
  } else {
    throw new $c_jl_IllegalArgumentException().init___()
  }
}
function $s_sci_VectorPointer$class__gotoPos__sci_VectorPointer__I__I__V($$this, index, xor) {
  if ((xor >= 32)) {
    if ((xor < 1024)) {
      $$this.display0$und$eq__AO__V($asArrayOf_O($$this.display1__AO().get((31 & (index >> 5))), 1))
    } else if ((xor < 32768)) {
      $$this.display1$und$eq__AO__V($asArrayOf_O($$this.display2__AO().get((31 & (index >> 10))), 1));
      $$this.display0$und$eq__AO__V($asArrayOf_O($$this.display1__AO().get((31 & (index >> 5))), 1))
    } else if ((xor < 1048576)) {
      $$this.display2$und$eq__AO__V($asArrayOf_O($$this.display3__AO().get((31 & (index >> 15))), 1));
      $$this.display1$und$eq__AO__V($asArrayOf_O($$this.display2__AO().get((31 & (index >> 10))), 1));
      $$this.display0$und$eq__AO__V($asArrayOf_O($$this.display1__AO().get((31 & (index >> 5))), 1))
    } else if ((xor < 33554432)) {
      $$this.display3$und$eq__AO__V($asArrayOf_O($$this.display4__AO().get((31 & (index >> 20))), 1));
      $$this.display2$und$eq__AO__V($asArrayOf_O($$this.display3__AO().get((31 & (index >> 15))), 1));
      $$this.display1$und$eq__AO__V($asArrayOf_O($$this.display2__AO().get((31 & (index >> 10))), 1));
      $$this.display0$und$eq__AO__V($asArrayOf_O($$this.display1__AO().get((31 & (index >> 5))), 1))
    } else if ((xor < 1073741824)) {
      $$this.display4$und$eq__AO__V($asArrayOf_O($$this.display5__AO().get((31 & (index >> 25))), 1));
      $$this.display3$und$eq__AO__V($asArrayOf_O($$this.display4__AO().get((31 & (index >> 20))), 1));
      $$this.display2$und$eq__AO__V($asArrayOf_O($$this.display3__AO().get((31 & (index >> 15))), 1));
      $$this.display1$und$eq__AO__V($asArrayOf_O($$this.display2__AO().get((31 & (index >> 10))), 1));
      $$this.display0$und$eq__AO__V($asArrayOf_O($$this.display1__AO().get((31 & (index >> 5))), 1))
    } else {
      throw new $c_jl_IllegalArgumentException().init___()
    }
  }
}
function $s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a) {
  var b = $newArrayObject($d_O.getArrayOf(), [a.u.length]);
  var length = a.u.length;
  $systemArraycopy(a, 0, b, 0, length);
  return b
}
function $s_scm_ArrayOps$class__copyToArray__scm_ArrayOps__O__I__I__V($$this, xs, start, len) {
  var y = $$this.repr$1.u.length;
  var l = ((len < y) ? len : y);
  if (((($m_sr_ScalaRunTime$().array$undlength__O__I(xs) - start) | 0) < l)) {
    var x = (($m_sr_ScalaRunTime$().array$undlength__O__I(xs) - start) | 0);
    l = ((x > 0) ? x : 0)
  };
  $m_s_Array$().copy__O__I__O__I__I__V($$this.repr$1, 0, xs, start, l)
}
function $s_scm_Builder$class__sizeHint__scm_Builder__sc_TraversableLike__V($$this, coll) {
  if ($is_sc_IndexedSeqLike(coll)) {
    $$this.sizeHint__I__V(coll.size__I())
  }
}
function $s_scm_Builder$class__sizeHint__scm_Builder__sc_TraversableLike__I__V($$this, coll, delta) {
  if ($is_sc_IndexedSeqLike(coll)) {
    $$this.sizeHint__I__V(((coll.size__I() + delta) | 0))
  }
}
function $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V($$this, size, boundingColl) {
  if ($is_sc_IndexedSeqLike(boundingColl)) {
    var that = boundingColl.size__I();
    $$this.sizeHint__I__V(((size < that) ? size : that))
  }
}
function $s_scm_FlatHashTable$HashUtils$class__improve__scm_FlatHashTable$HashUtils__I__I__I($$this, hcode, seed) {
  var i = $m_s_util_hashing_package$().byteswap32__I__I(hcode);
  return (((i >>> seed) | 0) | (i << ((-seed) | 0)))
}
function $s_scm_FlatHashTable$HashUtils$class__entryToElem__scm_FlatHashTable$HashUtils__O__O($$this, entry) {
  return ((entry === $m_scm_FlatHashTable$NullSentinel$()) ? null : entry)
}
function $s_scm_FlatHashTable$HashUtils$class__elemToEntry__scm_FlatHashTable$HashUtils__O__O($$this, elem) {
  return ((elem === null) ? $m_scm_FlatHashTable$NullSentinel$() : elem)
}
function $s_scm_FlatHashTable$class__growTable__p0__scm_FlatHashTable__V($$this) {
  var oldtable = $$this.table$5;
  $$this.table$5 = $newArrayObject($d_O.getArrayOf(), [($$this.table$5.u.length << 1)]);
  $$this.tableSize$5 = 0;
  var tableLength = $$this.table$5.u.length;
  $s_scm_FlatHashTable$class__nnSizeMapReset__scm_FlatHashTable__I__V($$this, tableLength);
  $$this.seedvalue$5 = $s_scm_FlatHashTable$class__tableSizeSeed__scm_FlatHashTable__I($$this);
  $$this.threshold$5 = $m_scm_FlatHashTable$().newThreshold__I__I__I($$this.$$undloadFactor$5, $$this.table$5.u.length);
  var i = 0;
  while ((i < oldtable.u.length)) {
    var entry = oldtable.get(i);
    if ((entry !== null)) {
      $s_scm_FlatHashTable$class__addEntry__scm_FlatHashTable__O__Z($$this, entry)
    };
    i = ((1 + i) | 0)
  }
}
function $s_scm_FlatHashTable$class__calcSizeMapSize__scm_FlatHashTable__I__I($$this, tableLength) {
  return ((1 + (tableLength >> 5)) | 0)
}
function $s_scm_FlatHashTable$class__nnSizeMapAdd__scm_FlatHashTable__I__V($$this, h) {
  if (($$this.sizemap$5 !== null)) {
    var p = (h >> 5);
    var ev$1 = $$this.sizemap$5;
    ev$1.set(p, ((1 + ev$1.get(p)) | 0))
  }
}
function $s_scm_FlatHashTable$class__$$init$__scm_FlatHashTable__V($$this) {
  $$this.$$undloadFactor$5 = 450;
  $$this.table$5 = $newArrayObject($d_O.getArrayOf(), [$s_scm_FlatHashTable$class__capacity__scm_FlatHashTable__I__I($$this, 32)]);
  $$this.tableSize$5 = 0;
  $$this.threshold$5 = $m_scm_FlatHashTable$().newThreshold__I__I__I($$this.$$undloadFactor$5, $s_scm_FlatHashTable$class__capacity__scm_FlatHashTable__I__I($$this, 32));
  $$this.sizemap$5 = null;
  $$this.seedvalue$5 = $s_scm_FlatHashTable$class__tableSizeSeed__scm_FlatHashTable__I($$this)
}
function $s_scm_FlatHashTable$class__findElemImpl__p0__scm_FlatHashTable__O__O($$this, elem) {
  var searchEntry = $s_scm_FlatHashTable$HashUtils$class__elemToEntry__scm_FlatHashTable$HashUtils__O__O($$this, elem);
  var hcode = $objectHashCode(searchEntry);
  var h = $s_scm_FlatHashTable$class__index__scm_FlatHashTable__I__I($$this, hcode);
  var curEntry = $$this.table$5.get(h);
  while (((curEntry !== null) && (!$m_sr_BoxesRunTime$().equals__O__O__Z(curEntry, searchEntry)))) {
    h = ((((1 + h) | 0) % $$this.table$5.u.length) | 0);
    curEntry = $$this.table$5.get(h)
  };
  return curEntry
}
function $s_scm_FlatHashTable$class__addEntry__scm_FlatHashTable__O__Z($$this, newEntry) {
  var hcode = $objectHashCode(newEntry);
  var h = $s_scm_FlatHashTable$class__index__scm_FlatHashTable__I__I($$this, hcode);
  var curEntry = $$this.table$5.get(h);
  while ((curEntry !== null)) {
    if ($m_sr_BoxesRunTime$().equals__O__O__Z(curEntry, newEntry)) {
      return false
    };
    h = ((((1 + h) | 0) % $$this.table$5.u.length) | 0);
    curEntry = $$this.table$5.get(h)
  };
  $$this.table$5.set(h, newEntry);
  $$this.tableSize$5 = ((1 + $$this.tableSize$5) | 0);
  var h$1 = h;
  $s_scm_FlatHashTable$class__nnSizeMapAdd__scm_FlatHashTable__I__V($$this, h$1);
  if (($$this.tableSize$5 >= $$this.threshold$5)) {
    $s_scm_FlatHashTable$class__growTable__p0__scm_FlatHashTable__V($$this)
  };
  return true
}
function $s_scm_FlatHashTable$class__addElem__scm_FlatHashTable__O__Z($$this, elem) {
  var newEntry = $s_scm_FlatHashTable$HashUtils$class__elemToEntry__scm_FlatHashTable$HashUtils__O__O($$this, elem);
  return $s_scm_FlatHashTable$class__addEntry__scm_FlatHashTable__O__Z($$this, newEntry)
}
function $s_scm_FlatHashTable$class__index__scm_FlatHashTable__I__I($$this, hcode) {
  var seed = $$this.seedvalue$5;
  var improved = $s_scm_FlatHashTable$HashUtils$class__improve__scm_FlatHashTable$HashUtils__I__I__I($$this, hcode, seed);
  var ones = (((-1) + $$this.table$5.u.length) | 0);
  return (((improved >>> ((32 - $m_jl_Integer$().bitCount__I__I(ones)) | 0)) | 0) & ones)
}
function $s_scm_FlatHashTable$class__capacity__scm_FlatHashTable__I__I($$this, expectedSize) {
  return ((expectedSize === 0) ? 1 : $m_scm_HashTable$().powerOfTwo__I__I(expectedSize))
}
function $s_scm_FlatHashTable$class__tableSizeSeed__scm_FlatHashTable__I($$this) {
  return $m_jl_Integer$().bitCount__I__I((((-1) + $$this.table$5.u.length) | 0))
}
function $s_scm_FlatHashTable$class__nnSizeMapReset__scm_FlatHashTable__I__V($$this, tableLength) {
  if (($$this.sizemap$5 !== null)) {
    var nsize = $s_scm_FlatHashTable$class__calcSizeMapSize__scm_FlatHashTable__I__I($$this, tableLength);
    if (($$this.sizemap$5.u.length !== nsize)) {
      $$this.sizemap$5 = $newArrayObject($d_I.getArrayOf(), [nsize])
    } else {
      $m_ju_Arrays$().fill__AI__I__V($$this.sizemap$5, 0)
    }
  }
}
function $s_scm_FlatHashTable$class__initWithContents__scm_FlatHashTable__scm_FlatHashTable$Contents__V($$this, c) {
  if ((c !== null)) {
    $$this.$$undloadFactor$5 = c.loadFactor__I();
    $$this.table$5 = c.table__AO();
    $$this.tableSize$5 = c.tableSize__I();
    $$this.threshold$5 = c.threshold__I();
    $$this.seedvalue$5 = c.seedvalue__I();
    $$this.sizemap$5 = c.sizemap__AI()
  }
}
function $s_scm_FlatHashTable$class__containsElem__scm_FlatHashTable__O__Z($$this, elem) {
  return ($s_scm_FlatHashTable$class__findElemImpl__p0__scm_FlatHashTable__O__O($$this, elem) !== null)
}
function $s_scm_ResizableArray$class__copyToArray__scm_ResizableArray__O__I__I__V($$this, xs, start, len) {
  var that = (($m_sr_ScalaRunTime$().array$undlength__O__I(xs) - start) | 0);
  var x = ((len < that) ? len : that);
  var that$1 = $$this.size0$6;
  var len1 = ((x < that$1) ? x : that$1);
  $m_s_Array$().copy__O__I__O__I__I__V($$this.array$6, 0, xs, start, len1)
}
function $s_scm_ResizableArray$class__ensureSize__scm_ResizableArray__I__V($$this, n) {
  var value = $$this.array$6.u.length;
  var hi = (value >> 31);
  var hi$1 = (n >> 31);
  if (((hi$1 === hi) ? (((-2147483648) ^ n) > ((-2147483648) ^ value)) : (hi$1 > hi))) {
    var lo = (value << 1);
    var hi$2 = (((value >>> 31) | 0) | (hi << 1));
    var newSize_$_lo$2 = lo;
    var newSize_$_hi$2 = hi$2;
    while (true) {
      var hi$3 = (n >> 31);
      var b_$_lo$2 = newSize_$_lo$2;
      var b_$_hi$2 = newSize_$_hi$2;
      var bhi = b_$_hi$2;
      if (((hi$3 === bhi) ? (((-2147483648) ^ n) > ((-2147483648) ^ b_$_lo$2)) : (hi$3 > bhi))) {
        var this$1_$_lo$2 = newSize_$_lo$2;
        var this$1_$_hi$2 = newSize_$_hi$2;
        var lo$1 = (this$1_$_lo$2 << 1);
        var hi$4 = (((this$1_$_lo$2 >>> 31) | 0) | (this$1_$_hi$2 << 1));
        var jsx$1_$_lo$2 = lo$1;
        var jsx$1_$_hi$2 = hi$4;
        newSize_$_lo$2 = jsx$1_$_lo$2;
        newSize_$_hi$2 = jsx$1_$_hi$2
      } else {
        break
      }
    };
    var this$2_$_lo$2 = newSize_$_lo$2;
    var this$2_$_hi$2 = newSize_$_hi$2;
    var ahi = this$2_$_hi$2;
    if (((ahi === 0) ? (((-2147483648) ^ this$2_$_lo$2) > (-1)) : (ahi > 0))) {
      var jsx$2_$_lo$2 = 2147483647;
      var jsx$2_$_hi$2 = 0;
      newSize_$_lo$2 = jsx$2_$_lo$2;
      newSize_$_hi$2 = jsx$2_$_hi$2
    };
    var this$3_$_lo$2 = newSize_$_lo$2;
    var this$3_$_hi$2 = newSize_$_hi$2;
    var newArray = $newArrayObject($d_O.getArrayOf(), [this$3_$_lo$2]);
    var src = $$this.array$6;
    var length = $$this.size0$6;
    $systemArraycopy(src, 0, newArray, 0, length);
    $$this.array$6 = newArray
  }
}
function $s_scm_ResizableArray$class__foreach__scm_ResizableArray__F1__V($$this, f) {
  var i = 0;
  var top = $$this.size0$6;
  while ((i < top)) {
    f.apply__O__O($$this.array$6.get(i));
    i = ((1 + i) | 0)
  }
}
function $s_scm_ResizableArray$class__apply__scm_ResizableArray__I__O($$this, idx) {
  if ((idx >= $$this.size0$6)) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + idx))
  };
  return $$this.array$6.get(idx)
}
function $s_scm_ResizableArray$class__$$init$__scm_ResizableArray__V($$this) {
  var x = $$this.initialSize$6;
  $$this.array$6 = $newArrayObject($d_O.getArrayOf(), [((x > 1) ? x : 1)]);
  $$this.size0$6 = 0
}
/** @constructor */
function $c_Lcom_iteration3_smilejs_BackendService$() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_BackendService$.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_BackendService$.prototype.constructor = $c_Lcom_iteration3_smilejs_BackendService$;
/** @constructor */
function $h_Lcom_iteration3_smilejs_BackendService$() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_BackendService$.prototype = $c_Lcom_iteration3_smilejs_BackendService$.prototype;
$c_Lcom_iteration3_smilejs_BackendService$.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_BackendService$.prototype.createRequestHeader__p1__Z__sci_Map = (function(multiPart) {
  if (multiPart) {
    var contentType = $as_sci_Map($m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()))
  } else {
    var array = [new $c_T2().init___O__O("Content-Type", "application/json")];
    var this$4 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    var i = 0;
    var len = $uI(array.length);
    while ((i < len)) {
      var index = i;
      var arg1 = array[index];
      this$4.$$plus$eq__T2__scm_MapBuilder($as_T2(arg1));
      i = ((1 + i) | 0)
    };
    var contentType = $as_sci_Map(this$4.elems$1)
  };
  var smileAuthToken = $as_T($m_Lorg_scalajs_dom_package$().window__Lorg_scalajs_dom_raw_Window().sessionStorage.getItem("smile_auth_token"));
  var smileAuthTokenDefined = ((smileAuthToken !== (void 0)) && (smileAuthToken !== null));
  return (smileAuthTokenDefined ? contentType.$$plus__T2__sci_Map(new $c_T2().init___O__O("smile_auth_token", smileAuthToken)) : contentType)
});
$c_Lcom_iteration3_smilejs_BackendService$.prototype.getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future = (function(url, input, multiPart, evidence$18, evidence$19) {
  var this$6 = this.getString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(url, input, multiPart, evidence$18);
  var f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(evidence$19$1) {
    return (function(x0$8$2) {
      var x0$8 = $as_T2(x0$8$2);
      if ((x0$8 !== null)) {
        var xhr = x0$8.$$und1$f;
        var p2 = $as_s_util_Either(x0$8.$$und2$f);
        if ($is_s_util_Left(p2)) {
          var x3 = $as_s_util_Left(p2);
          var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x3.a$2);
          return new $c_T2().init___O__O(xhr, ($m_s_package$(), new $c_s_util_Left().init___O(error)))
        }
      };
      if ((x0$8 !== null)) {
        var xhr$2 = x0$8.$$und1$f;
        var p4 = $as_s_util_Either(x0$8.$$und2$f);
        if ($is_s_util_Right(p4)) {
          var x5 = $as_s_util_Right(p4);
          var outputString = $as_T(x5.b$2);
          $m_s_package$();
          var b = $s_Lcom_iteration3_smilejs_FromJs$class__fromJsonStringToList__Lcom_iteration3_smilejs_FromJs__T__sci_List(evidence$19$1, outputString);
          var y = new $c_s_util_Right().init___O(b);
          return new $c_T2().init___O__O(xhr$2, y)
        }
      };
      throw new $c_s_MatchError().init___O(x0$8)
    })
  })(evidence$19));
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  return $s_s_concurrent_Future$class__map__s_concurrent_Future__F1__s_concurrent_ExecutionContext__s_concurrent_Future(this$6, f, executor)
});
$c_Lcom_iteration3_smilejs_BackendService$.prototype.postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future = (function(url, input, multiPart, evidence$5) {
  if (multiPart) {
    var b = evidence$5.toJs__O__sjs_js_Dynamic(input);
    var x$3 = this.createRequestHeader__p1__Z__sci_Map(multiPart);
    var this$3 = $m_Lorg_scalajs_dom_ext_Ajax$();
    var ret = this$3.apply__T__T__Lorg_scalajs_dom_ext_Ajax$InputData__I__sci_Map__Z__T__s_concurrent_Future("POST", url, b, 0, x$3, false, "")
  } else {
    var s = $s_Lcom_iteration3_smilejs_ToJs$class__toJsonString__Lcom_iteration3_smilejs_ToJs__O__T(evidence$5, input);
    var x$9 = this.createRequestHeader__p1__Z__sci_Map(multiPart);
    var this$6 = $m_Lorg_scalajs_dom_ext_Ajax$();
    var ret = this$6.apply__T__T__Lorg_scalajs_dom_ext_Ajax$InputData__I__sci_Map__Z__T__s_concurrent_Future("POST", url, s, 0, x$9, false, "")
  };
  var f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(xhr$2) {
    var y = $m_Lcom_iteration3_smilejs_BackendService$().com$iteration3$smilejs$BackendService$$processOutput__Lorg_scalajs_dom_raw_XMLHttpRequest__s_util_Either(xhr$2);
    return new $c_T2().init___O__O(xhr$2, y)
  }));
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  var this$9 = $s_s_concurrent_Future$class__map__s_concurrent_Future__F1__s_concurrent_ExecutionContext__s_concurrent_Future(ret, f, executor);
  var pf = new $c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1().init___();
  var executor$1 = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  return $s_s_concurrent_Future$class__recover__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(this$9, pf, executor$1)
});
$c_Lcom_iteration3_smilejs_BackendService$.prototype.com$iteration3$smilejs$BackendService$$processOutput__Lorg_scalajs_dom_raw_XMLHttpRequest__s_util_Either = (function(xhr) {
  if ((($uI(xhr.status) >= 200) && ($uI(xhr.status) <= 210))) {
    $m_s_package$();
    var b = $as_T(xhr.responseText);
    return new $c_s_util_Right().init___O(b)
  } else {
    var x1 = $uI(xhr.status);
    switch (x1) {
      case 401: {
        var errorResponse = new $c_Lcom_iteration3_smilejs_Unauthorized().init___T($as_T(xhr.responseText));
        break
      }
      case 403: {
        var errorResponse = new $c_Lcom_iteration3_smilejs_Forbidden().init___T($as_T(xhr.responseText));
        break
      }
      case 500: {
        var errorResponse = new $c_Lcom_iteration3_smilejs_ServerError().init___T($as_T(xhr.responseText));
        break
      }
      case 502: {
        try {
          var x = $as_T(xhr.responseText);
          var this$4 = new $c_sci_StringOps().init___T(x);
          var this$6 = $m_jl_Integer$();
          var $$this = this$4.repr$1;
          var this$7 = new $c_s_util_Success().init___O(this$6.parseInt__T__I__I($$this, 10))
        } catch (e) {
          var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
          if ((e$2 !== null)) {
            matchEnd8: {
              var this$7;
              var o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
              if ((!o11.isEmpty__Z())) {
                var e$3 = $as_jl_Throwable(o11.get__O());
                var this$7 = new $c_s_util_Failure().init___jl_Throwable(e$3);
                break matchEnd8
              };
              throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
            }
          } else {
            var this$7;
            throw e
          }
        };
        var errorResponse = new $c_Lcom_iteration3_smilejs_ServerTimeout().init___I($uI((this$7.isSuccess__Z() ? this$7.get__O() : 0)));
        break
      }
      case 400: {
        var errorResponse = $m_Lcom_iteration3_smilejs_ClientExceptions$().fromJson__sjs_js_Dynamic__Lcom_iteration3_smilejs_ClientExceptions($g.JSON.parse($as_T(xhr.responseText)));
        break
      }
      case 412: {
        var errorResponse = $m_Lcom_iteration3_smilejs_ClientErrors$().fromJson__sjs_js_Dynamic__Lcom_iteration3_smilejs_ClientErrors($g.JSON.parse($as_T(xhr.responseText)));
        break
      }
      default: {
        var errorResponse = new $c_Lcom_iteration3_smilejs_OtherResponse().init___T__I($as_T(xhr.responseText), x1)
      }
    };
    $m_s_package$();
    return new $c_s_util_Left().init___O(errorResponse)
  }
});
$c_Lcom_iteration3_smilejs_BackendService$.prototype.getString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future = (function(url, input, multiPart, evidence$20) {
  var queryString = $g.toSmileParam(evidence$20.toJs__O__sjs_js_Dynamic(input));
  var this$6 = $m_Lorg_scalajs_dom_ext_Ajax$();
  var url$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "?", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([url, queryString]));
  var headers = $m_sci_Map$EmptyMap$();
  var ret = this$6.apply__T__T__Lorg_scalajs_dom_ext_Ajax$InputData__I__sci_Map__Z__T__s_concurrent_Future("GET", url$1, null, 0, headers, false, "");
  var f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(xhr$2) {
    var y = $m_Lcom_iteration3_smilejs_BackendService$().com$iteration3$smilejs$BackendService$$processOutput__Lorg_scalajs_dom_raw_XMLHttpRequest__s_util_Either(xhr$2);
    return new $c_T2().init___O__O(xhr$2, y)
  }));
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  var this$9 = $s_s_concurrent_Future$class__map__s_concurrent_Future__F1__s_concurrent_ExecutionContext__s_concurrent_Future(ret, f, executor);
  var pf = new $c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1().init___();
  var executor$1 = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  return $s_s_concurrent_Future$class__recover__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(this$9, pf, executor$1)
});
$c_Lcom_iteration3_smilejs_BackendService$.prototype.get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future = (function(url, input, multiPart, evidence$16, evidence$17) {
  var this$6 = this.getString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(url, input, multiPart, evidence$16);
  var f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(evidence$17$1) {
    return (function(x0$7$2) {
      var x0$7 = $as_T2(x0$7$2);
      if ((x0$7 !== null)) {
        var xhr = x0$7.$$und1$f;
        var p2 = $as_s_util_Either(x0$7.$$und2$f);
        if ($is_s_util_Left(p2)) {
          var x3 = $as_s_util_Left(p2);
          var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x3.a$2);
          return new $c_T2().init___O__O(xhr, ($m_s_package$(), new $c_s_util_Left().init___O(error)))
        }
      };
      if ((x0$7 !== null)) {
        var xhr$2 = x0$7.$$und1$f;
        var p4 = $as_s_util_Either(x0$7.$$und2$f);
        if ($is_s_util_Right(p4)) {
          var x5 = $as_s_util_Right(p4);
          var outputString = $as_T(x5.b$2);
          $m_s_package$();
          var b = $s_Lcom_iteration3_smilejs_FromJs$class__fromJsonString__Lcom_iteration3_smilejs_FromJs__T__O(evidence$17$1, outputString);
          var y = new $c_s_util_Right().init___O(b);
          return new $c_T2().init___O__O(xhr$2, y)
        }
      };
      throw new $c_s_MatchError().init___O(x0$7)
    })
  })(evidence$17));
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  return $s_s_concurrent_Future$class__map__s_concurrent_Future__F1__s_concurrent_ExecutionContext__s_concurrent_Future(this$6, f, executor)
});
$c_Lcom_iteration3_smilejs_BackendService$.prototype.post__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future = (function(url, input, multiPart, evidence$1, evidence$2) {
  var this$6 = this.postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(url, input, multiPart, evidence$1);
  var f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(evidence$2$1) {
    return (function(x0$1$2) {
      var x0$1 = $as_T2(x0$1$2);
      if ((x0$1 !== null)) {
        var xhr = x0$1.$$und1$f;
        var p2 = $as_s_util_Either(x0$1.$$und2$f);
        if ($is_s_util_Left(p2)) {
          var x3 = $as_s_util_Left(p2);
          var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x3.a$2);
          return new $c_T2().init___O__O(xhr, ($m_s_package$(), new $c_s_util_Left().init___O(error)))
        }
      };
      if ((x0$1 !== null)) {
        var xhr$2 = x0$1.$$und1$f;
        var p4 = $as_s_util_Either(x0$1.$$und2$f);
        if ($is_s_util_Right(p4)) {
          var x5 = $as_s_util_Right(p4);
          var outputString = $as_T(x5.b$2);
          $m_s_package$();
          var b = $s_Lcom_iteration3_smilejs_FromJs$class__fromJsonString__Lcom_iteration3_smilejs_FromJs__T__O(evidence$2$1, outputString);
          var y = new $c_s_util_Right().init___O(b);
          return new $c_T2().init___O__O(xhr$2, y)
        }
      };
      throw new $c_s_MatchError().init___O(x0$1)
    })
  })(evidence$2));
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  return $s_s_concurrent_Future$class__map__s_concurrent_Future__F1__s_concurrent_ExecutionContext__s_concurrent_Future(this$6, f, executor)
});
var $d_Lcom_iteration3_smilejs_BackendService$ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_BackendService$: 0
}, false, "com.iteration3.smilejs.BackendService$", {
  Lcom_iteration3_smilejs_BackendService$: 1,
  O: 1
});
$c_Lcom_iteration3_smilejs_BackendService$.prototype.$classData = $d_Lcom_iteration3_smilejs_BackendService$;
var $n_Lcom_iteration3_smilejs_BackendService$ = (void 0);
function $m_Lcom_iteration3_smilejs_BackendService$() {
  if ((!$n_Lcom_iteration3_smilejs_BackendService$)) {
    $n_Lcom_iteration3_smilejs_BackendService$ = new $c_Lcom_iteration3_smilejs_BackendService$().init___()
  };
  return $n_Lcom_iteration3_smilejs_BackendService$
}
/** @constructor */
function $c_Lcom_iteration3_smilejs_ErrorResponse() {
  $c_O.call(this);
  this.statusCode$1 = 0
}
$c_Lcom_iteration3_smilejs_ErrorResponse.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_ErrorResponse.prototype.constructor = $c_Lcom_iteration3_smilejs_ErrorResponse;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ErrorResponse() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ErrorResponse.prototype = $c_Lcom_iteration3_smilejs_ErrorResponse.prototype;
$c_Lcom_iteration3_smilejs_ErrorResponse.prototype.init___I = (function(statusCode) {
  this.statusCode$1 = statusCode;
  return this
});
function $is_Lcom_iteration3_smilejs_ErrorResponse(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_ErrorResponse)))
}
function $as_Lcom_iteration3_smilejs_ErrorResponse(obj) {
  return (($is_Lcom_iteration3_smilejs_ErrorResponse(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.ErrorResponse"))
}
function $isArrayOf_Lcom_iteration3_smilejs_ErrorResponse(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_ErrorResponse)))
}
function $asArrayOf_Lcom_iteration3_smilejs_ErrorResponse(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_ErrorResponse(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.ErrorResponse;", depth))
}
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$() {
  $c_O.call(this);
  this.toJsString$1 = null;
  this.fromJsString$1 = null;
  this.toJsInt$1 = null;
  this.fromJsInt$1 = null;
  this.toJsBoolean$1 = null;
  this.fromJsBoolean$1 = null;
  this.toJsDouble$1 = null;
  this.fromJsDouble$1 = null;
  this.toJsDate$1 = null;
  this.fromJsDate$1 = null
}
$c_Lcom_iteration3_smilejs_package$.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$.prototype.constructor = $c_Lcom_iteration3_smilejs_package$;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$.prototype = $c_Lcom_iteration3_smilejs_package$.prototype;
$c_Lcom_iteration3_smilejs_package$.prototype.init___ = (function() {
  $n_Lcom_iteration3_smilejs_package$ = this;
  this.toJsString$1 = new $c_Lcom_iteration3_smilejs_package$$anon$1().init___();
  this.fromJsString$1 = new $c_Lcom_iteration3_smilejs_package$$anon$2().init___();
  this.toJsInt$1 = new $c_Lcom_iteration3_smilejs_package$$anon$3().init___();
  this.fromJsInt$1 = new $c_Lcom_iteration3_smilejs_package$$anon$4().init___();
  this.toJsBoolean$1 = new $c_Lcom_iteration3_smilejs_package$$anon$5().init___();
  this.fromJsBoolean$1 = new $c_Lcom_iteration3_smilejs_package$$anon$6().init___();
  this.toJsDouble$1 = new $c_Lcom_iteration3_smilejs_package$$anon$7().init___();
  this.fromJsDouble$1 = new $c_Lcom_iteration3_smilejs_package$$anon$8().init___();
  this.toJsDate$1 = new $c_Lcom_iteration3_smilejs_package$$anon$9().init___();
  this.fromJsDate$1 = new $c_Lcom_iteration3_smilejs_package$$anon$10().init___();
  return this
});
var $d_Lcom_iteration3_smilejs_package$ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$: 0
}, false, "com.iteration3.smilejs.package$", {
  Lcom_iteration3_smilejs_package$: 1,
  O: 1
});
$c_Lcom_iteration3_smilejs_package$.prototype.$classData = $d_Lcom_iteration3_smilejs_package$;
var $n_Lcom_iteration3_smilejs_package$ = (void 0);
function $m_Lcom_iteration3_smilejs_package$() {
  if ((!$n_Lcom_iteration3_smilejs_package$)) {
    $n_Lcom_iteration3_smilejs_package$ = new $c_Lcom_iteration3_smilejs_package$().init___()
  };
  return $n_Lcom_iteration3_smilejs_package$
}
/** @constructor */
function $c_Lcom_iteration3_smilejs_util_EventBus$() {
  $c_O.call(this);
  this.bus$1 = null;
  this.bitmap$0$1 = false
}
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.constructor = $c_Lcom_iteration3_smilejs_util_EventBus$;
/** @constructor */
function $h_Lcom_iteration3_smilejs_util_EventBus$() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_util_EventBus$.prototype = $c_Lcom_iteration3_smilejs_util_EventBus$.prototype;
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus = (function() {
  return ((!this.bitmap$0$1) ? this.bus$lzycompute__p1__Lcom_iteration3_smilejs_util_VueEventBus() : this.bus$1)
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.$$js$exported$meth$on__T__sjs_js_Function__O = (function(message, f) {
  this.on__T__sjs_js_Function__V(message, f)
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.on__T__sjs_js_Function__V = (function(message, f) {
  this.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$on(message, f)
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.$$js$exported$meth$emit__T__sc_Seq__O = (function(message, any) {
  this.emit__T__sc_Seq__V(message, any)
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.$$js$exported$meth$off__T__O = (function(message) {
  this.off__T__V(message)
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.off__T__V = (function(message) {
  this.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$off(message)
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.emit__T__sc_Seq__V = (function(message, any) {
  var jsx$1 = this.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus();
  var jsx$4 = jsx$1.$emit;
  var this$1 = $m_sjsr_package$();
  if ($is_sjs_js_ArrayOps(any)) {
    var x2 = $as_sjs_js_ArrayOps(any);
    var jsx$3 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(any)) {
    var x3 = $as_sjs_js_WrappedArray(any);
    var jsx$3 = x3.array$6
  } else {
    var result = [];
    any.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x$2) {
        return $uI(result$1.push(x$2))
      })
    })(this$1, result)));
    var jsx$3 = result
  };
  var jsx$2 = [message].concat(jsx$3);
  jsx$4.apply(jsx$1, jsx$2)
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.bus$lzycompute__p1__Lcom_iteration3_smilejs_util_VueEventBus = (function() {
  if ((!this.bitmap$0$1)) {
    this.bus$1 = new $g.Vue();
    this.bitmap$0$1 = true
  };
  return this.bus$1
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.off = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$off__T__O(prep0)
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.on = (function(arg$1, arg$2) {
  var prep0 = $as_T(arg$1);
  var prep1 = arg$2;
  return this.$$js$exported$meth$on__T__sjs_js_Function__O(prep0, prep1)
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.emit = (function(arg$1) {
  var jsx$1 = (arguments.length | 0);
  var jsx$2 = 1;
  var arg$rest = [];
  while ((jsx$2 < jsx$1)) {
    arg$rest.push(arguments[jsx$2]);
    jsx$2 = ((jsx$2 + 1) | 0)
  };
  var prep0 = $as_T(arg$1);
  var prep1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array(arg$rest);
  return this.$$js$exported$meth$emit__T__sc_Seq__O(prep0, prep1)
});
var $d_Lcom_iteration3_smilejs_util_EventBus$ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_util_EventBus$: 0
}, false, "com.iteration3.smilejs.util.EventBus$", {
  Lcom_iteration3_smilejs_util_EventBus$: 1,
  O: 1
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.$classData = $d_Lcom_iteration3_smilejs_util_EventBus$;
var $n_Lcom_iteration3_smilejs_util_EventBus$ = (void 0);
function $m_Lcom_iteration3_smilejs_util_EventBus$() {
  if ((!$n_Lcom_iteration3_smilejs_util_EventBus$)) {
    $n_Lcom_iteration3_smilejs_util_EventBus$ = new $c_Lcom_iteration3_smilejs_util_EventBus$().init___()
  };
  return $n_Lcom_iteration3_smilejs_util_EventBus$
}
/** @constructor */
function $c_Lcom_iteration3_smilejs_util_Toastr$() {
  $c_O.call(this);
  this.com$iteration3$smilejs$util$Toastr$$toastr$1 = null
}
$c_Lcom_iteration3_smilejs_util_Toastr$.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_util_Toastr$.prototype.constructor = $c_Lcom_iteration3_smilejs_util_Toastr$;
/** @constructor */
function $h_Lcom_iteration3_smilejs_util_Toastr$() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_util_Toastr$.prototype = $c_Lcom_iteration3_smilejs_util_Toastr$.prototype;
$c_Lcom_iteration3_smilejs_util_Toastr$.prototype.init___ = (function() {
  $n_Lcom_iteration3_smilejs_util_Toastr$ = this;
  this.com$iteration3$smilejs$util$Toastr$$toastr$1 = $g.toastr;
  return this
});
$c_Lcom_iteration3_smilejs_util_Toastr$.prototype.error__T__s_Option__s_Option__V = (function(message, title, options) {
  if ((!options.isEmpty__Z())) {
    var arg1 = options.get__O();
    $m_Lcom_iteration3_smilejs_util_Toastr$().com$iteration3$smilejs$util$Toastr$$toastr$1.options = arg1
  };
  if ($is_s_Some(title)) {
    var x2 = $as_s_Some(title);
    var tit = $as_T(x2.x$2);
    this.com$iteration3$smilejs$util$Toastr$$toastr$1.error(message, tit)
  } else {
    var x = $m_s_None$();
    if ((x === title)) {
      this.com$iteration3$smilejs$util$Toastr$$toastr$1.error(message)
    } else {
      throw new $c_s_MatchError().init___O(title)
    }
  }
});
$c_Lcom_iteration3_smilejs_util_Toastr$.prototype.success__T__s_Option__s_Option__V = (function(message, title, options) {
  if ((!options.isEmpty__Z())) {
    var arg1 = options.get__O();
    $m_Lcom_iteration3_smilejs_util_Toastr$().com$iteration3$smilejs$util$Toastr$$toastr$1.options = arg1
  };
  if ($is_s_Some(title)) {
    var x2 = $as_s_Some(title);
    var tit = $as_T(x2.x$2);
    this.com$iteration3$smilejs$util$Toastr$$toastr$1.success(message, tit)
  } else {
    var x = $m_s_None$();
    if ((x === title)) {
      this.com$iteration3$smilejs$util$Toastr$$toastr$1.success(message)
    } else {
      throw new $c_s_MatchError().init___O(title)
    }
  }
});
var $d_Lcom_iteration3_smilejs_util_Toastr$ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_util_Toastr$: 0
}, false, "com.iteration3.smilejs.util.Toastr$", {
  Lcom_iteration3_smilejs_util_Toastr$: 1,
  O: 1
});
$c_Lcom_iteration3_smilejs_util_Toastr$.prototype.$classData = $d_Lcom_iteration3_smilejs_util_Toastr$;
var $n_Lcom_iteration3_smilejs_util_Toastr$ = (void 0);
function $m_Lcom_iteration3_smilejs_util_Toastr$() {
  if ((!$n_Lcom_iteration3_smilejs_util_Toastr$)) {
    $n_Lcom_iteration3_smilejs_util_Toastr$ = new $c_Lcom_iteration3_smilejs_util_Toastr$().init___()
  };
  return $n_Lcom_iteration3_smilejs_util_Toastr$
}
/** @constructor */
function $c_Lcom_iteration3_smilejs_util_VRBuilderNamePath() {
  $c_O.call(this);
  this.obj$1 = null;
  this.router$1 = null;
  this.bitmap$0$1 = false
}
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.constructor = $c_Lcom_iteration3_smilejs_util_VRBuilderNamePath;
/** @constructor */
function $h_Lcom_iteration3_smilejs_util_VRBuilderNamePath() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype = $c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype;
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.$$js$exported$meth$push__O = (function() {
  return this.push__sjs_js_Any()
});
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.replace__sjs_js_Any = (function() {
  return this.router__p1__Lcom_iteration3_smilejs_util_VueRouter().replace(this.obj$1)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.push__sjs_js_Any = (function() {
  return this.router__p1__Lcom_iteration3_smilejs_util_VueRouter().push(this.obj$1)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.$$js$exported$meth$replace__O = (function() {
  return this.replace__sjs_js_Any()
});
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.router__p1__Lcom_iteration3_smilejs_util_VueRouter = (function() {
  return ((!this.bitmap$0$1) ? this.router$lzycompute__p1__Lcom_iteration3_smilejs_util_VueRouter() : this.router$1)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.router$lzycompute__p1__Lcom_iteration3_smilejs_util_VueRouter = (function() {
  if ((!this.bitmap$0$1)) {
    this.router$1 = $g.router;
    this.bitmap$0$1 = true
  };
  return this.router$1
});
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.init___sjs_js_Dynamic__T__T = (function(obj, id, value) {
  this.obj$1 = obj;
  obj[id] = value;
  return this
});
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.replace = (function() {
  return this.$$js$exported$meth$replace__O()
});
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.push = (function() {
  return this.$$js$exported$meth$push__O()
});
var $d_Lcom_iteration3_smilejs_util_VRBuilderNamePath = new $TypeData().initClass({
  Lcom_iteration3_smilejs_util_VRBuilderNamePath: 0
}, false, "com.iteration3.smilejs.util.VRBuilderNamePath", {
  Lcom_iteration3_smilejs_util_VRBuilderNamePath: 1,
  O: 1
});
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.$classData = $d_Lcom_iteration3_smilejs_util_VRBuilderNamePath;
/** @constructor */
function $c_Lcom_iteration3_smilejs_util_VueRouter$() {
  $c_O.call(this);
  this.router$1 = null;
  this.bitmap$0$1 = false
}
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.constructor = $c_Lcom_iteration3_smilejs_util_VueRouter$;
/** @constructor */
function $h_Lcom_iteration3_smilejs_util_VueRouter$() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_util_VueRouter$.prototype = $c_Lcom_iteration3_smilejs_util_VueRouter$.prototype;
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.name__T__Lcom_iteration3_smilejs_util_VRBuilderNamePath = (function(name) {
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List($m_sci_Nil$(), $m_sci_Nil$()).name__T__Lcom_iteration3_smilejs_util_VRBuilderNamePath(name)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.replace__T__sjs_js_Any = (function(path) {
  return this.router__p1__Lcom_iteration3_smilejs_util_VueRouter().replace(path)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.push__T__sjs_js_Any = (function(path) {
  return this.router__p1__Lcom_iteration3_smilejs_util_VueRouter().push(path)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$param__T__sjs_js_Any__O = (function(name, value) {
  return this.param__T__sjs_js_Any__Lcom_iteration3_smilejs_util_VRBuilderPQ(name, value)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.query__T__sjs_js_Any__Lcom_iteration3_smilejs_util_VRBuilderPQ = (function(name, value) {
  var x$3 = new $c_T2().init___O__O(name, value);
  var this$3 = $m_sci_Nil$();
  var x$9 = new $c_sci_$colon$colon().init___O__sci_List(x$3, this$3);
  var x$10 = $m_sci_Nil$();
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List(x$10, x$9)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$query__T2__O = (function(query) {
  return this.query__T2__Lcom_iteration3_smilejs_util_VRBuilderPQ(query)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.param__T__sjs_js_Any__Lcom_iteration3_smilejs_util_VRBuilderPQ = (function(name, value) {
  var x$1 = new $c_T2().init___O__O(name, value);
  var this$3 = $m_sci_Nil$();
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List(new $c_sci_$colon$colon().init___O__sci_List(x$1, this$3), $m_sci_Nil$())
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.path__T__Lcom_iteration3_smilejs_util_VRBuilderNamePath = (function(path) {
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List($m_sci_Nil$(), $m_sci_Nil$()).path__T__Lcom_iteration3_smilejs_util_VRBuilderNamePath(path)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.forward__sjs_js_Any = (function() {
  return this.router__p1__Lcom_iteration3_smilejs_util_VueRouter().forward()
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$forward__O = (function() {
  return this.forward__sjs_js_Any()
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$replace__T__O = (function(path) {
  return this.replace__T__sjs_js_Any(path)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.query__T2__Lcom_iteration3_smilejs_util_VRBuilderPQ = (function(query) {
  var this$1 = $m_sci_Nil$();
  var x$11 = new $c_sci_$colon$colon().init___O__sci_List(query, this$1);
  var x$12 = $m_sci_Nil$();
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List(x$12, x$11)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$query__T__sjs_js_Any__O = (function(name, value) {
  return this.query__T__sjs_js_Any__Lcom_iteration3_smilejs_util_VRBuilderPQ(name, value)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$path__T__O = (function(path) {
  return this.path__T__Lcom_iteration3_smilejs_util_VRBuilderNamePath(path)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.param__T2__Lcom_iteration3_smilejs_util_VRBuilderPQ = (function(param) {
  var this$1 = $m_sci_Nil$();
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List(new $c_sci_$colon$colon().init___O__sci_List(param, this$1), $m_sci_Nil$())
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$name__T__O = (function(name) {
  return this.name__T__Lcom_iteration3_smilejs_util_VRBuilderNamePath(name)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$param__T2__O = (function(param) {
  return this.param__T2__Lcom_iteration3_smilejs_util_VRBuilderPQ(param)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.router__p1__Lcom_iteration3_smilejs_util_VueRouter = (function() {
  return ((!this.bitmap$0$1) ? this.router$lzycompute__p1__Lcom_iteration3_smilejs_util_VueRouter() : this.router$1)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$go__I__O = (function(step) {
  return this.go__I__sjs_js_Any(step)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$push__T__O = (function(path) {
  return this.push__T__sjs_js_Any(path)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.back__sjs_js_Any = (function() {
  return this.router__p1__Lcom_iteration3_smilejs_util_VueRouter().back()
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.go__I__sjs_js_Any = (function(step) {
  return this.router__p1__Lcom_iteration3_smilejs_util_VueRouter().go(step)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.router$lzycompute__p1__Lcom_iteration3_smilejs_util_VueRouter = (function() {
  if ((!this.bitmap$0$1)) {
    this.router$1 = $g.router;
    this.bitmap$0$1 = true
  };
  return this.router$1
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$back__O = (function() {
  return this.back__sjs_js_Any()
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.path = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$path__T__O(prep0)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.name = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$name__T__O(prep0)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.query = (function(arg$1) {
  var jsx$1 = (arguments.length | 0);
  var jsx$2 = 1;
  var arg$rest = [];
  while ((jsx$2 < jsx$1)) {
    arg$rest.push(arguments[jsx$2]);
    jsx$2 = ((jsx$2 + 1) | 0)
  };
  switch ($uI(arg$rest.length)) {
    case 0: {
      var prep0 = $as_T2(arg$1);
      return this.$$js$exported$meth$query__T2__O(prep0);
      break
    }
    case 1: {
      var prep0 = $as_T(arg$1);
      var prep1 = arg$rest[0];
      return this.$$js$exported$meth$query__T__sjs_js_Any__O(prep0, prep1);
      break
    }
    default: {
      throw "No matching overload"
    }
  }
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.param = (function(arg$1) {
  var jsx$1 = (arguments.length | 0);
  var jsx$2 = 1;
  var arg$rest = [];
  while ((jsx$2 < jsx$1)) {
    arg$rest.push(arguments[jsx$2]);
    jsx$2 = ((jsx$2 + 1) | 0)
  };
  switch ($uI(arg$rest.length)) {
    case 1: {
      var prep0 = $as_T(arg$1);
      var prep1 = arg$rest[0];
      return this.$$js$exported$meth$param__T__sjs_js_Any__O(prep0, prep1);
      break
    }
    case 0: {
      var prep0 = $as_T2(arg$1);
      return this.$$js$exported$meth$param__T2__O(prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  }
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.forward = (function() {
  return this.$$js$exported$meth$forward__O()
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.back = (function() {
  return this.$$js$exported$meth$back__O()
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.go = (function(arg$1) {
  var prep0 = $uI(arg$1);
  return this.$$js$exported$meth$go__I__O(prep0)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.replace = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$replace__T__O(prep0)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.push = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$push__T__O(prep0)
});
var $d_Lcom_iteration3_smilejs_util_VueRouter$ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_util_VueRouter$: 0
}, false, "com.iteration3.smilejs.util.VueRouter$", {
  Lcom_iteration3_smilejs_util_VueRouter$: 1,
  O: 1
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$classData = $d_Lcom_iteration3_smilejs_util_VueRouter$;
var $n_Lcom_iteration3_smilejs_util_VueRouter$ = (void 0);
function $m_Lcom_iteration3_smilejs_util_VueRouter$() {
  if ((!$n_Lcom_iteration3_smilejs_util_VueRouter$)) {
    $n_Lcom_iteration3_smilejs_util_VueRouter$ = new $c_Lcom_iteration3_smilejs_util_VueRouter$().init___()
  };
  return $n_Lcom_iteration3_smilejs_util_VueRouter$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_CommentActions$() {
  $c_O.call(this);
  this.addFlowComment$1 = null;
  this.addTaskComment$1 = null;
  this.loadFlowCommentList$1 = null;
  this.loadTaskCommentList$1 = null
}
$c_Lcom_metastay_monitorapp_actions_CommentActions$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_actions_CommentActions$.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_CommentActions$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_CommentActions$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_CommentActions$.prototype = $c_Lcom_metastay_monitorapp_actions_CommentActions$.prototype;
$c_Lcom_metastay_monitorapp_actions_CommentActions$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_actions_CommentActions$ = this;
  this.addFlowComment$1 = (function(f) {
    return (function(arg1, arg2, arg3) {
      return f.apply__O__O__O__O(arg1, arg2, arg3)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1().init___());
  this.addTaskComment$1 = (function(f$1) {
    return (function(arg1$1, arg2$1, arg3$1) {
      return f$1.apply__O__O__O__O(arg1$1, arg2$1, arg3$1)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1().init___());
  this.loadFlowCommentList$1 = (function(f$2) {
    return (function(arg1$2) {
      return f$2.apply__O__O(arg1$2)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1().init___());
  this.loadTaskCommentList$1 = (function(f$3) {
    return (function(arg1$3) {
      return f$3.apply__O__O(arg1$3)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1().init___());
  return this
});
$c_Lcom_metastay_monitorapp_actions_CommentActions$.prototype.$$js$exported$prop$addFlowComment__O = (function() {
  return this.addFlowComment$1
});
$c_Lcom_metastay_monitorapp_actions_CommentActions$.prototype.$$js$exported$prop$loadTaskCommentList__O = (function() {
  return this.loadTaskCommentList$1
});
$c_Lcom_metastay_monitorapp_actions_CommentActions$.prototype.$$js$exported$prop$loadFlowCommentList__O = (function() {
  return this.loadFlowCommentList$1
});
$c_Lcom_metastay_monitorapp_actions_CommentActions$.prototype.$$js$exported$prop$addTaskComment__O = (function() {
  return this.addTaskComment$1
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_CommentActions$.prototype, "loadTaskCommentList", {
  "get": (function() {
    return this.$$js$exported$prop$loadTaskCommentList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_CommentActions$.prototype, "loadFlowCommentList", {
  "get": (function() {
    return this.$$js$exported$prop$loadFlowCommentList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_CommentActions$.prototype, "addTaskComment", {
  "get": (function() {
    return this.$$js$exported$prop$addTaskComment__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_CommentActions$.prototype, "addFlowComment", {
  "get": (function() {
    return this.$$js$exported$prop$addFlowComment__O()
  }),
  "configurable": true
});
var $d_Lcom_metastay_monitorapp_actions_CommentActions$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_CommentActions$: 0
}, false, "com.metastay.monitorapp.actions.CommentActions$", {
  Lcom_metastay_monitorapp_actions_CommentActions$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_actions_CommentActions$.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_CommentActions$;
var $n_Lcom_metastay_monitorapp_actions_CommentActions$ = (void 0);
function $m_Lcom_metastay_monitorapp_actions_CommentActions$() {
  if ((!$n_Lcom_metastay_monitorapp_actions_CommentActions$)) {
    $n_Lcom_metastay_monitorapp_actions_CommentActions$ = new $c_Lcom_metastay_monitorapp_actions_CommentActions$().init___()
  };
  return $n_Lcom_metastay_monitorapp_actions_CommentActions$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_CommentActionsCode$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_CommentActionsCode$.prototype = $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$.prototype;
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$.prototype.com$metastay$monitorapp$actions$CommentActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V = (function(error) {
  if ($is_Lcom_iteration3_smilejs_ClientErrors(error)) {
    var x2 = $as_Lcom_iteration3_smilejs_ClientErrors(error);
    var list = x2.list$2;
    var jsx$2 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f = (function(x$1$2) {
      var x$1 = $as_Lcom_iteration3_smilejs_ClientError(x$1$2);
      return x$1.message$1
    });
    var this$1 = $m_sci_List$();
    var bf = this$1.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list === $m_sci_Nil$())) {
        var jsx$1 = $m_sci_Nil$()
      } else {
        var arg1 = list.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = list.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$2 = rest;
          rest = this$2.tail__sci_List()
        };
        var jsx$1 = h
      }
    } else {
      var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list, bf);
      var these = list;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$3 = these;
        these = this$3.tail__sci_List()
      };
      var jsx$1 = b.result__O()
    };
    jsx$2.error__T__s_Option__s_Option__V($as_sc_TraversableOnce(jsx$1).mkString__T__T("\n"), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_ClientExceptions(error)) {
    var x3 = $as_Lcom_iteration3_smilejs_ClientExceptions(error);
    var list$2 = x3.list$2;
    var jsx$4 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f$1 = (function(x$2$2) {
      var x$2 = $as_Lcom_iteration3_smilejs_ClientException(x$2$2);
      return x$2.message$1
    });
    var this$6 = $m_sci_List$();
    var bf$1 = this$6.ReusableCBFInstance$2;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list$2 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1$3 = list$2.head__O();
        var h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        var t$1 = h$1;
        var rest$1 = list$2.tail__sci_List();
        while ((rest$1 !== $m_sci_Nil$())) {
          var arg1$4 = rest$1.head__O();
          var nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          var this$7 = rest$1;
          rest$1 = this$7.tail__sci_List()
        };
        var jsx$3 = h$1
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list$2, bf$1);
      var these$1 = list$2;
      while ((!these$1.isEmpty__Z())) {
        var arg1$5 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        var this$8 = these$1;
        these$1 = this$8.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    jsx$4.error__T__s_Option__s_Option__V(("Error : " + $as_sc_TraversableOnce(jsx$3).mkString__T__T("\n")), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Forbidden(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Unauthorized(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ((!$is_Lcom_iteration3_smilejs_ServerError(error))) {
    if ($is_Lcom_iteration3_smilejs_ServerTimeout(error)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("Server is not responding; Try again later", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
    } else {
      $is_Lcom_iteration3_smilejs_OtherResponse(error)
    }
  }
});
var $d_Lcom_metastay_monitorapp_actions_CommentActionsCode$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_CommentActionsCode$: 0
}, false, "com.metastay.monitorapp.actions.CommentActionsCode$", {
  Lcom_metastay_monitorapp_actions_CommentActionsCode$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_CommentActionsCode$;
var $n_Lcom_metastay_monitorapp_actions_CommentActionsCode$ = (void 0);
function $m_Lcom_metastay_monitorapp_actions_CommentActionsCode$() {
  if ((!$n_Lcom_metastay_monitorapp_actions_CommentActionsCode$)) {
    $n_Lcom_metastay_monitorapp_actions_CommentActionsCode$ = new $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$().init___()
  };
  return $n_Lcom_metastay_monitorapp_actions_CommentActionsCode$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_LoggedInUserActions$() {
  $c_O.call(this);
  this.loadLoggedInUserDetails$1 = null
}
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActions$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActions$.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_LoggedInUserActions$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_LoggedInUserActions$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_LoggedInUserActions$.prototype = $c_Lcom_metastay_monitorapp_actions_LoggedInUserActions$.prototype;
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActions$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_actions_LoggedInUserActions$ = this;
  this.loadLoggedInUserDetails$1 = (function(f) {
    return (function(arg1) {
      return f.apply__O__O(arg1)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1().init___());
  return this
});
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActions$.prototype.$$js$exported$prop$loadLoggedInUserDetails__O = (function() {
  return this.loadLoggedInUserDetails$1
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_LoggedInUserActions$.prototype, "loadLoggedInUserDetails", {
  "get": (function() {
    return this.$$js$exported$prop$loadLoggedInUserDetails__O()
  }),
  "configurable": true
});
var $d_Lcom_metastay_monitorapp_actions_LoggedInUserActions$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_LoggedInUserActions$: 0
}, false, "com.metastay.monitorapp.actions.LoggedInUserActions$", {
  Lcom_metastay_monitorapp_actions_LoggedInUserActions$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActions$.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_LoggedInUserActions$;
var $n_Lcom_metastay_monitorapp_actions_LoggedInUserActions$ = (void 0);
function $m_Lcom_metastay_monitorapp_actions_LoggedInUserActions$() {
  if ((!$n_Lcom_metastay_monitorapp_actions_LoggedInUserActions$)) {
    $n_Lcom_metastay_monitorapp_actions_LoggedInUserActions$ = new $c_Lcom_metastay_monitorapp_actions_LoggedInUserActions$().init___()
  };
  return $n_Lcom_metastay_monitorapp_actions_LoggedInUserActions$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$.prototype = $c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$.prototype;
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$.prototype.com$metastay$monitorapp$actions$LoggedInUserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V = (function(error) {
  if ($is_Lcom_iteration3_smilejs_ClientErrors(error)) {
    var x2 = $as_Lcom_iteration3_smilejs_ClientErrors(error);
    var list = x2.list$2;
    var jsx$2 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f = (function(x$1$2) {
      var x$1 = $as_Lcom_iteration3_smilejs_ClientError(x$1$2);
      return x$1.message$1
    });
    var this$1 = $m_sci_List$();
    var bf = this$1.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list === $m_sci_Nil$())) {
        var jsx$1 = $m_sci_Nil$()
      } else {
        var arg1 = list.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = list.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$2 = rest;
          rest = this$2.tail__sci_List()
        };
        var jsx$1 = h
      }
    } else {
      var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list, bf);
      var these = list;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$3 = these;
        these = this$3.tail__sci_List()
      };
      var jsx$1 = b.result__O()
    };
    jsx$2.error__T__s_Option__s_Option__V($as_sc_TraversableOnce(jsx$1).mkString__T__T("\n"), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_ClientExceptions(error)) {
    var x3 = $as_Lcom_iteration3_smilejs_ClientExceptions(error);
    var list$2 = x3.list$2;
    var jsx$4 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f$1 = (function(x$2$2) {
      var x$2 = $as_Lcom_iteration3_smilejs_ClientException(x$2$2);
      return x$2.message$1
    });
    var this$6 = $m_sci_List$();
    var bf$1 = this$6.ReusableCBFInstance$2;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list$2 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1$3 = list$2.head__O();
        var h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        var t$1 = h$1;
        var rest$1 = list$2.tail__sci_List();
        while ((rest$1 !== $m_sci_Nil$())) {
          var arg1$4 = rest$1.head__O();
          var nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          var this$7 = rest$1;
          rest$1 = this$7.tail__sci_List()
        };
        var jsx$3 = h$1
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list$2, bf$1);
      var these$1 = list$2;
      while ((!these$1.isEmpty__Z())) {
        var arg1$5 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        var this$8 = these$1;
        these$1 = this$8.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    jsx$4.error__T__s_Option__s_Option__V(("Error : " + $as_sc_TraversableOnce(jsx$3).mkString__T__T("\n")), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Forbidden(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Unauthorized(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ((!$is_Lcom_iteration3_smilejs_ServerError(error))) {
    if ($is_Lcom_iteration3_smilejs_ServerTimeout(error)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("Server is not responding; Try again later", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
    } else {
      $is_Lcom_iteration3_smilejs_OtherResponse(error)
    }
  }
});
var $d_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$: 0
}, false, "com.metastay.monitorapp.actions.LoggedInUserActionsCode$", {
  Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$;
var $n_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$ = (void 0);
function $m_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$() {
  if ((!$n_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$)) {
    $n_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$ = new $c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$().init___()
  };
  return $n_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$() {
  $c_O.call(this);
  this.loadMonitorFlowDashboardSummaryList$1 = null;
  this.loadMonitorTaskDashboardSummaryList$1 = null;
  this.loadMonitorUserDashboardSummaryList$1 = null
}
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$ = this;
  this.loadMonitorFlowDashboardSummaryList$1 = (function(f) {
    return (function() {
      return f.apply__O()
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1().init___());
  this.loadMonitorTaskDashboardSummaryList$1 = (function(f$1) {
    return (function() {
      return f$1.apply__O()
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1().init___());
  this.loadMonitorUserDashboardSummaryList$1 = (function(f$2) {
    return (function() {
      return f$2.apply__O()
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1().init___());
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$.prototype.$$js$exported$prop$loadMonitorTaskDashboardSummaryList__O = (function() {
  return this.loadMonitorTaskDashboardSummaryList$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$.prototype.$$js$exported$prop$loadMonitorFlowDashboardSummaryList__O = (function() {
  return this.loadMonitorFlowDashboardSummaryList$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$.prototype.$$js$exported$prop$loadMonitorUserDashboardSummaryList__O = (function() {
  return this.loadMonitorUserDashboardSummaryList$1
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$.prototype, "loadMonitorUserDashboardSummaryList", {
  "get": (function() {
    return this.$$js$exported$prop$loadMonitorUserDashboardSummaryList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$.prototype, "loadMonitorTaskDashboardSummaryList", {
  "get": (function() {
    return this.$$js$exported$prop$loadMonitorTaskDashboardSummaryList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$.prototype, "loadMonitorFlowDashboardSummaryList", {
  "get": (function() {
    return this.$$js$exported$prop$loadMonitorFlowDashboardSummaryList__O()
  }),
  "configurable": true
});
var $d_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorDashboardActions$: 0
}, false, "com.metastay.monitorapp.actions.MonitorDashboardActions$", {
  Lcom_metastay_monitorapp_actions_MonitorDashboardActions$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$;
var $n_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$ = (void 0);
function $m_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$() {
  if ((!$n_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$)) {
    $n_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$ = new $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$().init___()
  };
  return $n_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$.prototype.com$metastay$monitorapp$actions$MonitorDashboardActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V = (function(error) {
  if ($is_Lcom_iteration3_smilejs_ClientErrors(error)) {
    var x2 = $as_Lcom_iteration3_smilejs_ClientErrors(error);
    var list = x2.list$2;
    var jsx$2 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f = (function(x$1$2) {
      var x$1 = $as_Lcom_iteration3_smilejs_ClientError(x$1$2);
      return x$1.message$1
    });
    var this$1 = $m_sci_List$();
    var bf = this$1.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list === $m_sci_Nil$())) {
        var jsx$1 = $m_sci_Nil$()
      } else {
        var arg1 = list.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = list.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$2 = rest;
          rest = this$2.tail__sci_List()
        };
        var jsx$1 = h
      }
    } else {
      var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list, bf);
      var these = list;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$3 = these;
        these = this$3.tail__sci_List()
      };
      var jsx$1 = b.result__O()
    };
    jsx$2.error__T__s_Option__s_Option__V($as_sc_TraversableOnce(jsx$1).mkString__T__T("\n"), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_ClientExceptions(error)) {
    var x3 = $as_Lcom_iteration3_smilejs_ClientExceptions(error);
    var list$2 = x3.list$2;
    var jsx$4 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f$1 = (function(x$2$2) {
      var x$2 = $as_Lcom_iteration3_smilejs_ClientException(x$2$2);
      return x$2.message$1
    });
    var this$6 = $m_sci_List$();
    var bf$1 = this$6.ReusableCBFInstance$2;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list$2 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1$3 = list$2.head__O();
        var h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        var t$1 = h$1;
        var rest$1 = list$2.tail__sci_List();
        while ((rest$1 !== $m_sci_Nil$())) {
          var arg1$4 = rest$1.head__O();
          var nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          var this$7 = rest$1;
          rest$1 = this$7.tail__sci_List()
        };
        var jsx$3 = h$1
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list$2, bf$1);
      var these$1 = list$2;
      while ((!these$1.isEmpty__Z())) {
        var arg1$5 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        var this$8 = these$1;
        these$1 = this$8.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    jsx$4.error__T__s_Option__s_Option__V(("Error : " + $as_sc_TraversableOnce(jsx$3).mkString__T__T("\n")), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Forbidden(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Unauthorized(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ((!$is_Lcom_iteration3_smilejs_ServerError(error))) {
    if ($is_Lcom_iteration3_smilejs_ServerTimeout(error)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("Server is not responding; Try again later", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
    } else {
      $is_Lcom_iteration3_smilejs_OtherResponse(error)
    }
  }
});
var $d_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$: 0
}, false, "com.metastay.monitorapp.actions.MonitorDashboardActionsCode$", {
  Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$;
var $n_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$ = (void 0);
function $m_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$() {
  if ((!$n_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$)) {
    $n_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$ = new $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$().init___()
  };
  return $n_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$() {
  $c_O.call(this);
  this.loadAllFqFlowNameList$1 = null;
  this.search$1 = null;
  this.loadMonitorFlowDetails$1 = null;
  this.loadInitDocumentSchema$1 = null;
  this.loadDocumentSchema$1 = null;
  this.loadFlowErrorList$1 = null;
  this.loadStallSetList$1 = null;
  this.loadStallEntryList$1 = null;
  this.loadEarliestActiveFlowList$1 = null;
  this.createFlow$1 = null;
  this.cancel$1 = null;
  this.changePriority$1 = null;
  this.reset$1 = null;
  this.forceComplete$1 = null;
  this.rescue$1 = null;
  this.stallFlow$1 = null;
  this.stallAllFlow$1 = null;
  this.releaseFlow$1 = null;
  this.releaseOneFlow$1 = null
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActions$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_actions_MonitorFlowActions$ = this;
  this.loadAllFqFlowNameList$1 = (function(f) {
    return (function(arg1) {
      return f.apply__O__O(arg1)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1().init___());
  this.search$1 = (function(f$1) {
    return (function(arg1$1, arg2) {
      return f$1.apply__O__O__O(arg1$1, arg2)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1().init___());
  this.loadMonitorFlowDetails$1 = (function(f$2) {
    return (function(arg1$2) {
      return f$2.apply__O__O(arg1$2)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1().init___());
  this.loadInitDocumentSchema$1 = (function(f$3) {
    return (function(arg1$3) {
      return f$3.apply__O__O(arg1$3)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1().init___());
  this.loadDocumentSchema$1 = (function(f$4) {
    return (function(arg1$4) {
      return f$4.apply__O__O(arg1$4)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1().init___());
  this.loadFlowErrorList$1 = (function(f$5) {
    return (function(arg1$5) {
      return f$5.apply__O__O(arg1$5)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1().init___());
  this.loadStallSetList$1 = (function(f$6) {
    return (function() {
      return f$6.apply__O()
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1().init___());
  this.loadStallEntryList$1 = (function(f$7) {
    return (function(arg1$6, arg2$1) {
      return f$7.apply__O__O__O(arg1$6, arg2$1)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1().init___());
  this.loadEarliestActiveFlowList$1 = (function(f$8) {
    return (function() {
      return f$8.apply__O()
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1().init___());
  this.createFlow$1 = (function(f$9) {
    return (function(arg1$7, arg2$2, arg3, arg4, arg5, arg6) {
      f$9.apply__T__T__T__T__I__T__V($as_T(arg1$7), $as_T(arg2$2), $as_T(arg3), $as_T(arg4), $uI(arg5), $as_T(arg6))
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1().init___());
  this.cancel$1 = (function(f$10) {
    return (function(arg1$8, arg2$3) {
      return f$10.apply__O__O__O(arg1$8, arg2$3)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1().init___());
  this.changePriority$1 = (function(f$11) {
    return (function(arg1$9, arg2$4) {
      return f$11.apply__O__O__O(arg1$9, arg2$4)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1().init___());
  this.reset$1 = (function(f$12) {
    return (function(arg1$10) {
      return f$12.apply__O__O(arg1$10)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1().init___());
  this.forceComplete$1 = (function(f$13) {
    return (function(arg1$11, arg2$5) {
      return f$13.apply__O__O__O(arg1$11, arg2$5)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1().init___());
  this.rescue$1 = (function(f$14) {
    return (function(arg1$12, arg2$6) {
      return f$14.apply__O__O__O(arg1$12, arg2$6)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1().init___());
  this.stallFlow$1 = (function(f$15) {
    return (function(arg1$13, arg2$7) {
      return f$15.apply__O__O__O(arg1$13, arg2$7)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1().init___());
  this.stallAllFlow$1 = (function(f$16) {
    return (function(arg1$14) {
      return f$16.apply__O__O(arg1$14)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1().init___());
  this.releaseFlow$1 = (function(f$17) {
    return (function(arg1$15, arg2$8) {
      return f$17.apply__O__O__O(arg1$15, arg2$8)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1().init___());
  this.releaseOneFlow$1 = (function(f$18) {
    return (function(arg1$16, arg2$9, arg3$1) {
      return f$18.apply__O__O__O__O(arg1$16, arg2$9, arg3$1)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1().init___());
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.$$js$exported$prop$reset__O = (function() {
  return this.reset$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.$$js$exported$prop$search__O = (function() {
  return this.search$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.$$js$exported$prop$releaseFlow__O = (function() {
  return this.releaseFlow$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.$$js$exported$prop$loadStallEntryList__O = (function() {
  return this.loadStallEntryList$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.$$js$exported$prop$stallFlow__O = (function() {
  return this.stallFlow$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.$$js$exported$prop$stallAllFlow__O = (function() {
  return this.stallAllFlow$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.$$js$exported$prop$loadEarliestActiveFlowList__O = (function() {
  return this.loadEarliestActiveFlowList$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.$$js$exported$prop$createFlow__O = (function() {
  return this.createFlow$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.$$js$exported$prop$forceComplete__O = (function() {
  return this.forceComplete$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.$$js$exported$prop$rescue__O = (function() {
  return this.rescue$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.$$js$exported$prop$releaseOneFlow__O = (function() {
  return this.releaseOneFlow$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.$$js$exported$prop$loadAllFqFlowNameList__O = (function() {
  return this.loadAllFqFlowNameList$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.$$js$exported$prop$loadDocumentSchema__O = (function() {
  return this.loadDocumentSchema$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.$$js$exported$prop$cancel__O = (function() {
  return this.cancel$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.$$js$exported$prop$loadFlowErrorList__O = (function() {
  return this.loadFlowErrorList$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.$$js$exported$prop$loadMonitorFlowDetails__O = (function() {
  return this.loadMonitorFlowDetails$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.$$js$exported$prop$changePriority__O = (function() {
  return this.changePriority$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.$$js$exported$prop$loadStallSetList__O = (function() {
  return this.loadStallSetList$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.$$js$exported$prop$loadInitDocumentSchema__O = (function() {
  return this.loadInitDocumentSchema$1
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype, "releaseOneFlow", {
  "get": (function() {
    return this.$$js$exported$prop$releaseOneFlow__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype, "releaseFlow", {
  "get": (function() {
    return this.$$js$exported$prop$releaseFlow__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype, "stallAllFlow", {
  "get": (function() {
    return this.$$js$exported$prop$stallAllFlow__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype, "stallFlow", {
  "get": (function() {
    return this.$$js$exported$prop$stallFlow__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype, "rescue", {
  "get": (function() {
    return this.$$js$exported$prop$rescue__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype, "forceComplete", {
  "get": (function() {
    return this.$$js$exported$prop$forceComplete__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype, "reset", {
  "get": (function() {
    return this.$$js$exported$prop$reset__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype, "changePriority", {
  "get": (function() {
    return this.$$js$exported$prop$changePriority__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype, "cancel", {
  "get": (function() {
    return this.$$js$exported$prop$cancel__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype, "createFlow", {
  "get": (function() {
    return this.$$js$exported$prop$createFlow__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype, "loadEarliestActiveFlowList", {
  "get": (function() {
    return this.$$js$exported$prop$loadEarliestActiveFlowList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype, "loadStallEntryList", {
  "get": (function() {
    return this.$$js$exported$prop$loadStallEntryList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype, "loadStallSetList", {
  "get": (function() {
    return this.$$js$exported$prop$loadStallSetList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype, "loadFlowErrorList", {
  "get": (function() {
    return this.$$js$exported$prop$loadFlowErrorList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype, "loadDocumentSchema", {
  "get": (function() {
    return this.$$js$exported$prop$loadDocumentSchema__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype, "loadInitDocumentSchema", {
  "get": (function() {
    return this.$$js$exported$prop$loadInitDocumentSchema__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype, "loadMonitorFlowDetails", {
  "get": (function() {
    return this.$$js$exported$prop$loadMonitorFlowDetails__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype, "search", {
  "get": (function() {
    return this.$$js$exported$prop$search__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype, "loadAllFqFlowNameList", {
  "get": (function() {
    return this.$$js$exported$prop$loadAllFqFlowNameList__O()
  }),
  "configurable": true
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActions$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActions$: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActions$", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActions$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActions$;
var $n_Lcom_metastay_monitorapp_actions_MonitorFlowActions$ = (void 0);
function $m_Lcom_metastay_monitorapp_actions_MonitorFlowActions$() {
  if ((!$n_Lcom_metastay_monitorapp_actions_MonitorFlowActions$)) {
    $n_Lcom_metastay_monitorapp_actions_MonitorFlowActions$ = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActions$().init___()
  };
  return $n_Lcom_metastay_monitorapp_actions_MonitorFlowActions$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$.prototype.com$metastay$monitorapp$actions$MonitorFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V = (function(error) {
  if ($is_Lcom_iteration3_smilejs_ClientErrors(error)) {
    var x2 = $as_Lcom_iteration3_smilejs_ClientErrors(error);
    var list = x2.list$2;
    var jsx$2 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f = (function(x$1$2) {
      var x$1 = $as_Lcom_iteration3_smilejs_ClientError(x$1$2);
      return x$1.message$1
    });
    var this$1 = $m_sci_List$();
    var bf = this$1.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list === $m_sci_Nil$())) {
        var jsx$1 = $m_sci_Nil$()
      } else {
        var arg1 = list.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = list.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$2 = rest;
          rest = this$2.tail__sci_List()
        };
        var jsx$1 = h
      }
    } else {
      var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list, bf);
      var these = list;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$3 = these;
        these = this$3.tail__sci_List()
      };
      var jsx$1 = b.result__O()
    };
    jsx$2.error__T__s_Option__s_Option__V($as_sc_TraversableOnce(jsx$1).mkString__T__T("\n"), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_ClientExceptions(error)) {
    var x3 = $as_Lcom_iteration3_smilejs_ClientExceptions(error);
    var list$2 = x3.list$2;
    var jsx$4 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f$1 = (function(x$2$2) {
      var x$2 = $as_Lcom_iteration3_smilejs_ClientException(x$2$2);
      return x$2.message$1
    });
    var this$6 = $m_sci_List$();
    var bf$1 = this$6.ReusableCBFInstance$2;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list$2 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1$3 = list$2.head__O();
        var h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        var t$1 = h$1;
        var rest$1 = list$2.tail__sci_List();
        while ((rest$1 !== $m_sci_Nil$())) {
          var arg1$4 = rest$1.head__O();
          var nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          var this$7 = rest$1;
          rest$1 = this$7.tail__sci_List()
        };
        var jsx$3 = h$1
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list$2, bf$1);
      var these$1 = list$2;
      while ((!these$1.isEmpty__Z())) {
        var arg1$5 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        var this$8 = these$1;
        these$1 = this$8.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    jsx$4.error__T__s_Option__s_Option__V(("Error : " + $as_sc_TraversableOnce(jsx$3).mkString__T__T("\n")), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Forbidden(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Unauthorized(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ((!$is_Lcom_iteration3_smilejs_ServerError(error))) {
    if ($is_Lcom_iteration3_smilejs_ServerTimeout(error)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("Server is not responding; Try again later", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
    } else {
      $is_Lcom_iteration3_smilejs_OtherResponse(error)
    }
  }
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$;
var $n_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$ = (void 0);
function $m_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$() {
  if ((!$n_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$)) {
    $n_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$ = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$().init___()
  };
  return $n_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$() {
  $c_O.call(this);
  this.search$1 = null;
  this.loadMonitorTaskDetails$1 = null;
  this.loadMonitorSubFlowTaskDetails$1 = null;
  this.loadMonitorSubTaskList$1 = null;
  this.loadUserListToAllocateTask$1 = null;
  this.loadTaskErrorList$1 = null;
  this.loadTaskOutputSchema$1 = null;
  this.deallocateTaskList$1 = null;
  this.allocateTask$1 = null;
  this.deallocateTask$1 = null;
  this.proceedTask$1 = null;
  this.rescueTask$1 = null;
  this.retryTask$1 = null;
  this.forceCompleteTask$1 = null
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActions$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_actions_MonitorTaskActions$ = this;
  this.search$1 = (function(f) {
    return (function(arg1, arg2) {
      return f.apply__O__O__O(arg1, arg2)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1().init___());
  this.loadMonitorTaskDetails$1 = (function(f$1) {
    return (function(arg1$1) {
      return f$1.apply__O__O(arg1$1)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1().init___());
  this.loadMonitorSubFlowTaskDetails$1 = (function(f$2) {
    return (function(arg1$2) {
      return f$2.apply__O__O(arg1$2)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1().init___());
  this.loadMonitorSubTaskList$1 = (function(f$3) {
    return (function(arg1$3) {
      return f$3.apply__O__O(arg1$3)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1().init___());
  this.loadUserListToAllocateTask$1 = (function(f$4) {
    return (function(arg1$4) {
      return f$4.apply__O__O(arg1$4)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1().init___());
  this.loadTaskErrorList$1 = (function(f$5) {
    return (function(arg1$5) {
      return f$5.apply__O__O(arg1$5)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1().init___());
  this.loadTaskOutputSchema$1 = (function(f$6) {
    return (function(arg1$6) {
      return f$6.apply__O__O(arg1$6)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1().init___());
  this.deallocateTaskList$1 = (function(f$7) {
    return (function(arg1$7, arg2$1) {
      return f$7.apply__O__O__O(arg1$7, arg2$1)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1().init___());
  this.allocateTask$1 = (function(f$8) {
    return (function(arg1$8, arg2$2, arg3) {
      return f$8.apply__O__O__O__O(arg1$8, arg2$2, arg3)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1().init___());
  this.deallocateTask$1 = (function(f$9) {
    return (function(arg1$9, arg2$3) {
      return f$9.apply__O__O__O(arg1$9, arg2$3)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1().init___());
  this.proceedTask$1 = (function(f$10) {
    return (function(arg1$10, arg2$4) {
      return f$10.apply__O__O__O(arg1$10, arg2$4)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1().init___());
  this.rescueTask$1 = (function(f$11) {
    return (function(arg1$11, arg2$5, arg3$1) {
      return f$11.apply__O__O__O__O(arg1$11, arg2$5, arg3$1)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1().init___());
  this.retryTask$1 = (function(f$12) {
    return (function(arg1$12) {
      return f$12.apply__O__O(arg1$12)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1().init___());
  this.forceCompleteTask$1 = (function(f$13) {
    return (function(arg1$13, arg2$6) {
      return f$13.apply__O__O__O(arg1$13, arg2$6)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1().init___());
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype.$$js$exported$prop$proceedTask__O = (function() {
  return this.proceedTask$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype.$$js$exported$prop$search__O = (function() {
  return this.search$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype.$$js$exported$prop$deallocateTaskList__O = (function() {
  return this.deallocateTaskList$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype.$$js$exported$prop$loadTaskErrorList__O = (function() {
  return this.loadTaskErrorList$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype.$$js$exported$prop$rescueTask__O = (function() {
  return this.rescueTask$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype.$$js$exported$prop$loadTaskOutputSchema__O = (function() {
  return this.loadTaskOutputSchema$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype.$$js$exported$prop$deallocateTask__O = (function() {
  return this.deallocateTask$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype.$$js$exported$prop$allocateTask__O = (function() {
  return this.allocateTask$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype.$$js$exported$prop$loadMonitorTaskDetails__O = (function() {
  return this.loadMonitorTaskDetails$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype.$$js$exported$prop$retryTask__O = (function() {
  return this.retryTask$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype.$$js$exported$prop$loadUserListToAllocateTask__O = (function() {
  return this.loadUserListToAllocateTask$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype.$$js$exported$prop$loadMonitorSubTaskList__O = (function() {
  return this.loadMonitorSubTaskList$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype.$$js$exported$prop$forceCompleteTask__O = (function() {
  return this.forceCompleteTask$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype.$$js$exported$prop$loadMonitorSubFlowTaskDetails__O = (function() {
  return this.loadMonitorSubFlowTaskDetails$1
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype, "forceCompleteTask", {
  "get": (function() {
    return this.$$js$exported$prop$forceCompleteTask__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype, "retryTask", {
  "get": (function() {
    return this.$$js$exported$prop$retryTask__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype, "rescueTask", {
  "get": (function() {
    return this.$$js$exported$prop$rescueTask__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype, "proceedTask", {
  "get": (function() {
    return this.$$js$exported$prop$proceedTask__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype, "deallocateTask", {
  "get": (function() {
    return this.$$js$exported$prop$deallocateTask__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype, "allocateTask", {
  "get": (function() {
    return this.$$js$exported$prop$allocateTask__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype, "deallocateTaskList", {
  "get": (function() {
    return this.$$js$exported$prop$deallocateTaskList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype, "loadTaskOutputSchema", {
  "get": (function() {
    return this.$$js$exported$prop$loadTaskOutputSchema__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype, "loadTaskErrorList", {
  "get": (function() {
    return this.$$js$exported$prop$loadTaskErrorList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype, "loadUserListToAllocateTask", {
  "get": (function() {
    return this.$$js$exported$prop$loadUserListToAllocateTask__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype, "loadMonitorSubTaskList", {
  "get": (function() {
    return this.$$js$exported$prop$loadMonitorSubTaskList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype, "loadMonitorSubFlowTaskDetails", {
  "get": (function() {
    return this.$$js$exported$prop$loadMonitorSubFlowTaskDetails__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype, "loadMonitorTaskDetails", {
  "get": (function() {
    return this.$$js$exported$prop$loadMonitorTaskDetails__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype, "search", {
  "get": (function() {
    return this.$$js$exported$prop$search__O()
  }),
  "configurable": true
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActions$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActions$: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActions$", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActions$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActions$;
var $n_Lcom_metastay_monitorapp_actions_MonitorTaskActions$ = (void 0);
function $m_Lcom_metastay_monitorapp_actions_MonitorTaskActions$() {
  if ((!$n_Lcom_metastay_monitorapp_actions_MonitorTaskActions$)) {
    $n_Lcom_metastay_monitorapp_actions_MonitorTaskActions$ = new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActions$().init___()
  };
  return $n_Lcom_metastay_monitorapp_actions_MonitorTaskActions$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$.prototype.com$metastay$monitorapp$actions$MonitorTaskActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V = (function(error) {
  if ($is_Lcom_iteration3_smilejs_ClientErrors(error)) {
    var x2 = $as_Lcom_iteration3_smilejs_ClientErrors(error);
    var list = x2.list$2;
    var jsx$2 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f = (function(x$3$2) {
      var x$3 = $as_Lcom_iteration3_smilejs_ClientError(x$3$2);
      return x$3.message$1
    });
    var this$1 = $m_sci_List$();
    var bf = this$1.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list === $m_sci_Nil$())) {
        var jsx$1 = $m_sci_Nil$()
      } else {
        var arg1 = list.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = list.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$2 = rest;
          rest = this$2.tail__sci_List()
        };
        var jsx$1 = h
      }
    } else {
      var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list, bf);
      var these = list;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$3 = these;
        these = this$3.tail__sci_List()
      };
      var jsx$1 = b.result__O()
    };
    jsx$2.error__T__s_Option__s_Option__V($as_sc_TraversableOnce(jsx$1).mkString__T__T("\n"), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_ClientExceptions(error)) {
    var x3 = $as_Lcom_iteration3_smilejs_ClientExceptions(error);
    var list$2 = x3.list$2;
    var jsx$4 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f$1 = (function(x$4$2) {
      var x$4 = $as_Lcom_iteration3_smilejs_ClientException(x$4$2);
      return x$4.message$1
    });
    var this$6 = $m_sci_List$();
    var bf$1 = this$6.ReusableCBFInstance$2;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list$2 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1$3 = list$2.head__O();
        var h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        var t$1 = h$1;
        var rest$1 = list$2.tail__sci_List();
        while ((rest$1 !== $m_sci_Nil$())) {
          var arg1$4 = rest$1.head__O();
          var nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          var this$7 = rest$1;
          rest$1 = this$7.tail__sci_List()
        };
        var jsx$3 = h$1
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list$2, bf$1);
      var these$1 = list$2;
      while ((!these$1.isEmpty__Z())) {
        var arg1$5 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        var this$8 = these$1;
        these$1 = this$8.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    jsx$4.error__T__s_Option__s_Option__V(("Error : " + $as_sc_TraversableOnce(jsx$3).mkString__T__T("\n")), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Forbidden(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Unauthorized(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ((!$is_Lcom_iteration3_smilejs_ServerError(error))) {
    if ($is_Lcom_iteration3_smilejs_ServerTimeout(error)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("Server is not responding; Try again later", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
    } else {
      $is_Lcom_iteration3_smilejs_OtherResponse(error)
    }
  }
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$;
var $n_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$ = (void 0);
function $m_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$() {
  if ((!$n_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$)) {
    $n_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$ = new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$().init___()
  };
  return $n_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorUserActions$() {
  $c_O.call(this);
  this.search$1 = null;
  this.deallocateAllForUser$1 = null;
  this.loadMonitorUserDetails$1 = null;
  this.reassignTaskList$1 = null
}
$c_Lcom_metastay_monitorapp_actions_MonitorUserActions$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_actions_MonitorUserActions$.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorUserActions$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorUserActions$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorUserActions$.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorUserActions$.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorUserActions$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_actions_MonitorUserActions$ = this;
  this.search$1 = (function(f) {
    return (function(arg1, arg2) {
      return f.apply__O__O__O(arg1, arg2)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1().init___());
  this.deallocateAllForUser$1 = (function(f$1) {
    return (function(arg1$1, arg2$1) {
      return f$1.apply__O__O__O(arg1$1, arg2$1)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1().init___());
  this.loadMonitorUserDetails$1 = (function(f$2) {
    return (function(arg1$2) {
      return f$2.apply__O__O(arg1$2)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1().init___());
  this.reassignTaskList$1 = (function(f$3) {
    return (function(arg1$3, arg2$2, arg3, arg4) {
      return f$3.apply__O__O__O__O__O(arg1$3, arg2$2, arg3, arg4)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1().init___());
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActions$.prototype.$$js$exported$prop$deallocateAllForUser__O = (function() {
  return this.deallocateAllForUser$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActions$.prototype.$$js$exported$prop$search__O = (function() {
  return this.search$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActions$.prototype.$$js$exported$prop$reassignTaskList__O = (function() {
  return this.reassignTaskList$1
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActions$.prototype.$$js$exported$prop$loadMonitorUserDetails__O = (function() {
  return this.loadMonitorUserDetails$1
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorUserActions$.prototype, "reassignTaskList", {
  "get": (function() {
    return this.$$js$exported$prop$reassignTaskList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorUserActions$.prototype, "loadMonitorUserDetails", {
  "get": (function() {
    return this.$$js$exported$prop$loadMonitorUserDetails__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorUserActions$.prototype, "deallocateAllForUser", {
  "get": (function() {
    return this.$$js$exported$prop$deallocateAllForUser__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_MonitorUserActions$.prototype, "search", {
  "get": (function() {
    return this.$$js$exported$prop$search__O()
  }),
  "configurable": true
});
var $d_Lcom_metastay_monitorapp_actions_MonitorUserActions$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorUserActions$: 0
}, false, "com.metastay.monitorapp.actions.MonitorUserActions$", {
  Lcom_metastay_monitorapp_actions_MonitorUserActions$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActions$.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorUserActions$;
var $n_Lcom_metastay_monitorapp_actions_MonitorUserActions$ = (void 0);
function $m_Lcom_metastay_monitorapp_actions_MonitorUserActions$() {
  if ((!$n_Lcom_metastay_monitorapp_actions_MonitorUserActions$)) {
    $n_Lcom_metastay_monitorapp_actions_MonitorUserActions$ = new $c_Lcom_metastay_monitorapp_actions_MonitorUserActions$().init___()
  };
  return $n_Lcom_metastay_monitorapp_actions_MonitorUserActions$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$.prototype.com$metastay$monitorapp$actions$MonitorUserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V = (function(error) {
  if ($is_Lcom_iteration3_smilejs_ClientErrors(error)) {
    var x2 = $as_Lcom_iteration3_smilejs_ClientErrors(error);
    var list = x2.list$2;
    var jsx$2 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f = (function(x$1$2) {
      var x$1 = $as_Lcom_iteration3_smilejs_ClientError(x$1$2);
      return x$1.message$1
    });
    var this$1 = $m_sci_List$();
    var bf = this$1.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list === $m_sci_Nil$())) {
        var jsx$1 = $m_sci_Nil$()
      } else {
        var arg1 = list.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = list.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$2 = rest;
          rest = this$2.tail__sci_List()
        };
        var jsx$1 = h
      }
    } else {
      var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list, bf);
      var these = list;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$3 = these;
        these = this$3.tail__sci_List()
      };
      var jsx$1 = b.result__O()
    };
    jsx$2.error__T__s_Option__s_Option__V($as_sc_TraversableOnce(jsx$1).mkString__T__T("\n"), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_ClientExceptions(error)) {
    var x3 = $as_Lcom_iteration3_smilejs_ClientExceptions(error);
    var list$2 = x3.list$2;
    var jsx$4 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f$1 = (function(x$2$2) {
      var x$2 = $as_Lcom_iteration3_smilejs_ClientException(x$2$2);
      return x$2.message$1
    });
    var this$6 = $m_sci_List$();
    var bf$1 = this$6.ReusableCBFInstance$2;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list$2 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1$3 = list$2.head__O();
        var h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        var t$1 = h$1;
        var rest$1 = list$2.tail__sci_List();
        while ((rest$1 !== $m_sci_Nil$())) {
          var arg1$4 = rest$1.head__O();
          var nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          var this$7 = rest$1;
          rest$1 = this$7.tail__sci_List()
        };
        var jsx$3 = h$1
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list$2, bf$1);
      var these$1 = list$2;
      while ((!these$1.isEmpty__Z())) {
        var arg1$5 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        var this$8 = these$1;
        these$1 = this$8.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    jsx$4.error__T__s_Option__s_Option__V(("Error : " + $as_sc_TraversableOnce(jsx$3).mkString__T__T("\n")), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Forbidden(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Unauthorized(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ((!$is_Lcom_iteration3_smilejs_ServerError(error))) {
    if ($is_Lcom_iteration3_smilejs_ServerTimeout(error)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("Server is not responding; Try again later", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
    } else {
      $is_Lcom_iteration3_smilejs_OtherResponse(error)
    }
  }
});
var $d_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$: 0
}, false, "com.metastay.monitorapp.actions.MonitorUserActionsCode$", {
  Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$;
var $n_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$ = (void 0);
function $m_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$() {
  if ((!$n_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$)) {
    $n_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$ = new $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$().init___()
  };
  return $n_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_TagActions$() {
  $c_O.call(this);
  this.loadFlowTagList$1 = null;
  this.loadTaskTagList$1 = null
}
$c_Lcom_metastay_monitorapp_actions_TagActions$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_actions_TagActions$.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_TagActions$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_TagActions$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_TagActions$.prototype = $c_Lcom_metastay_monitorapp_actions_TagActions$.prototype;
$c_Lcom_metastay_monitorapp_actions_TagActions$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_actions_TagActions$ = this;
  this.loadFlowTagList$1 = (function(f) {
    return (function(arg1) {
      return f.apply__O__O(arg1)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1().init___());
  this.loadTaskTagList$1 = (function(f$1) {
    return (function(arg1$1) {
      return f$1.apply__O__O(arg1$1)
    })
  })(new $c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1().init___());
  return this
});
$c_Lcom_metastay_monitorapp_actions_TagActions$.prototype.$$js$exported$prop$loadTaskTagList__O = (function() {
  return this.loadTaskTagList$1
});
$c_Lcom_metastay_monitorapp_actions_TagActions$.prototype.$$js$exported$prop$loadFlowTagList__O = (function() {
  return this.loadFlowTagList$1
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_TagActions$.prototype, "loadTaskTagList", {
  "get": (function() {
    return this.$$js$exported$prop$loadTaskTagList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_actions_TagActions$.prototype, "loadFlowTagList", {
  "get": (function() {
    return this.$$js$exported$prop$loadFlowTagList__O()
  }),
  "configurable": true
});
var $d_Lcom_metastay_monitorapp_actions_TagActions$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_TagActions$: 0
}, false, "com.metastay.monitorapp.actions.TagActions$", {
  Lcom_metastay_monitorapp_actions_TagActions$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_actions_TagActions$.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_TagActions$;
var $n_Lcom_metastay_monitorapp_actions_TagActions$ = (void 0);
function $m_Lcom_metastay_monitorapp_actions_TagActions$() {
  if ((!$n_Lcom_metastay_monitorapp_actions_TagActions$)) {
    $n_Lcom_metastay_monitorapp_actions_TagActions$ = new $c_Lcom_metastay_monitorapp_actions_TagActions$().init___()
  };
  return $n_Lcom_metastay_monitorapp_actions_TagActions$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_TagActionsCode$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_TagActionsCode$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_TagActionsCode$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_TagActionsCode$.prototype = $c_Lcom_metastay_monitorapp_actions_TagActionsCode$.prototype;
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$.prototype.com$metastay$monitorapp$actions$TagActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V = (function(error) {
  if ($is_Lcom_iteration3_smilejs_ClientErrors(error)) {
    var x2 = $as_Lcom_iteration3_smilejs_ClientErrors(error);
    var list = x2.list$2;
    var jsx$2 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f = (function(x$1$2) {
      var x$1 = $as_Lcom_iteration3_smilejs_ClientError(x$1$2);
      return x$1.message$1
    });
    var this$1 = $m_sci_List$();
    var bf = this$1.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list === $m_sci_Nil$())) {
        var jsx$1 = $m_sci_Nil$()
      } else {
        var arg1 = list.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = list.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$2 = rest;
          rest = this$2.tail__sci_List()
        };
        var jsx$1 = h
      }
    } else {
      var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list, bf);
      var these = list;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$3 = these;
        these = this$3.tail__sci_List()
      };
      var jsx$1 = b.result__O()
    };
    jsx$2.error__T__s_Option__s_Option__V($as_sc_TraversableOnce(jsx$1).mkString__T__T("\n"), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_ClientExceptions(error)) {
    var x3 = $as_Lcom_iteration3_smilejs_ClientExceptions(error);
    var list$2 = x3.list$2;
    var jsx$4 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f$1 = (function(x$2$2) {
      var x$2 = $as_Lcom_iteration3_smilejs_ClientException(x$2$2);
      return x$2.message$1
    });
    var this$6 = $m_sci_List$();
    var bf$1 = this$6.ReusableCBFInstance$2;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list$2 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1$3 = list$2.head__O();
        var h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        var t$1 = h$1;
        var rest$1 = list$2.tail__sci_List();
        while ((rest$1 !== $m_sci_Nil$())) {
          var arg1$4 = rest$1.head__O();
          var nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          var this$7 = rest$1;
          rest$1 = this$7.tail__sci_List()
        };
        var jsx$3 = h$1
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list$2, bf$1);
      var these$1 = list$2;
      while ((!these$1.isEmpty__Z())) {
        var arg1$5 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        var this$8 = these$1;
        these$1 = this$8.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    jsx$4.error__T__s_Option__s_Option__V(("Error : " + $as_sc_TraversableOnce(jsx$3).mkString__T__T("\n")), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Forbidden(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Unauthorized(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ((!$is_Lcom_iteration3_smilejs_ServerError(error))) {
    if ($is_Lcom_iteration3_smilejs_ServerTimeout(error)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("Server is not responding; Try again later", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
    } else {
      $is_Lcom_iteration3_smilejs_OtherResponse(error)
    }
  }
});
var $d_Lcom_metastay_monitorapp_actions_TagActionsCode$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_TagActionsCode$: 0
}, false, "com.metastay.monitorapp.actions.TagActionsCode$", {
  Lcom_metastay_monitorapp_actions_TagActionsCode$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_TagActionsCode$;
var $n_Lcom_metastay_monitorapp_actions_TagActionsCode$ = (void 0);
function $m_Lcom_metastay_monitorapp_actions_TagActionsCode$() {
  if ((!$n_Lcom_metastay_monitorapp_actions_TagActionsCode$)) {
    $n_Lcom_metastay_monitorapp_actions_TagActionsCode$ = new $c_Lcom_metastay_monitorapp_actions_TagActionsCode$().init___()
  };
  return $n_Lcom_metastay_monitorapp_actions_TagActionsCode$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_bus_CommentBus$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_bus_CommentBus$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_bus_CommentBus$.prototype.constructor = $c_Lcom_metastay_monitorapp_bus_CommentBus$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_bus_CommentBus$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_bus_CommentBus$.prototype = $c_Lcom_metastay_monitorapp_bus_CommentBus$.prototype;
$c_Lcom_metastay_monitorapp_bus_CommentBus$.prototype.$$js$exported$meth$onCommentAdded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("Comment-commentAdded", f)
});
$c_Lcom_metastay_monitorapp_bus_CommentBus$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_bus_CommentBus$.prototype.$$js$exported$meth$offCommentAdded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("Comment-commentAdded")
});
$c_Lcom_metastay_monitorapp_bus_CommentBus$.prototype.emitCommentAdded__V = (function() {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("Comment-commentAdded")
});
$c_Lcom_metastay_monitorapp_bus_CommentBus$.prototype.$$js$exported$meth$offCommentListLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("Comment-commentListLoaded")
});
$c_Lcom_metastay_monitorapp_bus_CommentBus$.prototype.$$js$exported$meth$emitCommentListLoaded__sjs_js_Array__O = (function(commentList) {
  this.emitCommentListLoaded__sjs_js_Array__V(commentList)
});
$c_Lcom_metastay_monitorapp_bus_CommentBus$.prototype.$$js$exported$meth$onCommentListLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("Comment-commentListLoaded", f)
});
$c_Lcom_metastay_monitorapp_bus_CommentBus$.prototype.emitCommentListLoaded__sjs_js_Array__V = (function(commentList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("Comment-commentListLoaded", commentList)
});
$c_Lcom_metastay_monitorapp_bus_CommentBus$.prototype.$$js$exported$meth$emitCommentAdded__O = (function() {
  this.emitCommentAdded__V()
});
$c_Lcom_metastay_monitorapp_bus_CommentBus$.prototype.offCommentAdded = (function() {
  return this.$$js$exported$meth$offCommentAdded__O()
});
$c_Lcom_metastay_monitorapp_bus_CommentBus$.prototype.onCommentAdded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onCommentAdded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_CommentBus$.prototype.emitCommentAdded = (function() {
  return this.$$js$exported$meth$emitCommentAdded__O()
});
$c_Lcom_metastay_monitorapp_bus_CommentBus$.prototype.offCommentListLoaded = (function() {
  return this.$$js$exported$meth$offCommentListLoaded__O()
});
$c_Lcom_metastay_monitorapp_bus_CommentBus$.prototype.onCommentListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onCommentListLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_CommentBus$.prototype.emitCommentListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitCommentListLoaded__sjs_js_Array__O(prep0)
});
var $d_Lcom_metastay_monitorapp_bus_CommentBus$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_bus_CommentBus$: 0
}, false, "com.metastay.monitorapp.bus.CommentBus$", {
  Lcom_metastay_monitorapp_bus_CommentBus$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_bus_CommentBus$.prototype.$classData = $d_Lcom_metastay_monitorapp_bus_CommentBus$;
var $n_Lcom_metastay_monitorapp_bus_CommentBus$ = (void 0);
function $m_Lcom_metastay_monitorapp_bus_CommentBus$() {
  if ((!$n_Lcom_metastay_monitorapp_bus_CommentBus$)) {
    $n_Lcom_metastay_monitorapp_bus_CommentBus$ = new $c_Lcom_metastay_monitorapp_bus_CommentBus$().init___()
  };
  return $n_Lcom_metastay_monitorapp_bus_CommentBus$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.constructor = $c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype = $c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype;
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.$$js$exported$meth$onMonitorTaskDashboardSummaryListLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorDashboard-monitorTaskDashboardSummaryListLoaded", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.$$js$exported$meth$emitMonitorFlowDashboardSummaryListLoaded__sjs_js_Array__O = (function(flowSummaryList) {
  this.emitMonitorFlowDashboardSummaryListLoaded__sjs_js_Array__V(flowSummaryList)
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.$$js$exported$meth$onMonitorUserDashboardSummaryListLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorDashboard-monitorUserDashboardSummaryListLoaded", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.$$js$exported$meth$emitMonitorUserDashboardSummaryListLoaded__sjs_js_Array__O = (function(userSummaryList) {
  this.emitMonitorUserDashboardSummaryListLoaded__sjs_js_Array__V(userSummaryList)
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.$$js$exported$meth$emitMonitorTaskDashboardSummaryListLoaded__sjs_js_Array__O = (function(taskSummaryList) {
  this.emitMonitorTaskDashboardSummaryListLoaded__sjs_js_Array__V(taskSummaryList)
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.$$js$exported$meth$offMonitorTaskDashboardSummaryListLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorDashboard-monitorTaskDashboardSummaryListLoaded")
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.$$js$exported$meth$onMonitorFlowDashboardSummaryListLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorDashboard-monitorFlowDashboardSummaryListLoaded", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.emitMonitorUserDashboardSummaryListLoaded__sjs_js_Array__V = (function(userSummaryList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorDashboard-monitorUserDashboardSummaryListLoaded", userSummaryList)
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.$$js$exported$meth$offMonitorUserDashboardSummaryListLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorDashboard-monitorUserDashboardSummaryListLoaded")
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.emitMonitorFlowDashboardSummaryListLoaded__sjs_js_Array__V = (function(flowSummaryList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorDashboard-monitorFlowDashboardSummaryListLoaded", flowSummaryList)
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.$$js$exported$meth$offMonitorFlowDashboardSummaryListLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorDashboard-monitorFlowDashboardSummaryListLoaded")
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.emitMonitorTaskDashboardSummaryListLoaded__sjs_js_Array__V = (function(taskSummaryList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorDashboard-monitorTaskDashboardSummaryListLoaded", taskSummaryList)
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.offMonitorUserDashboardSummaryListLoaded = (function() {
  return this.$$js$exported$meth$offMonitorUserDashboardSummaryListLoaded__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.onMonitorUserDashboardSummaryListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onMonitorUserDashboardSummaryListLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.emitMonitorUserDashboardSummaryListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitMonitorUserDashboardSummaryListLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.offMonitorTaskDashboardSummaryListLoaded = (function() {
  return this.$$js$exported$meth$offMonitorTaskDashboardSummaryListLoaded__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.onMonitorTaskDashboardSummaryListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onMonitorTaskDashboardSummaryListLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.emitMonitorTaskDashboardSummaryListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitMonitorTaskDashboardSummaryListLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.offMonitorFlowDashboardSummaryListLoaded = (function() {
  return this.$$js$exported$meth$offMonitorFlowDashboardSummaryListLoaded__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.onMonitorFlowDashboardSummaryListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onMonitorFlowDashboardSummaryListLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.emitMonitorFlowDashboardSummaryListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitMonitorFlowDashboardSummaryListLoaded__sjs_js_Array__O(prep0)
});
var $d_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_bus_MonitorDashboardBus$: 0
}, false, "com.metastay.monitorapp.bus.MonitorDashboardBus$", {
  Lcom_metastay_monitorapp_bus_MonitorDashboardBus$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$.prototype.$classData = $d_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$;
var $n_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$ = (void 0);
function $m_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$() {
  if ((!$n_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$)) {
    $n_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$ = new $c_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$().init___()
  };
  return $n_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.constructor = $c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_bus_MonitorFlowBus$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype = $c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype;
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$offFlowCreated__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorFlow-flowCreated")
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitFlowErrorListLoaded__sjs_js_Array__V = (function(flowErrorList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorFlow-flowErrorListLoaded", flowErrorList)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$onStallEntryListLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorFlow-stallEntryListLoaded", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$emitFlowErrorListLoaded__sjs_js_Array__O = (function(flowErrorList) {
  this.emitFlowErrorListLoaded__sjs_js_Array__V(flowErrorList)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$onFlowPriorityChanged__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorFlow-flowPriorityChanged", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitStallSetListLoaded__sjs_js_Array__V = (function(stallSetList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorFlow-stallSetListLoaded", stallSetList)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$emitDocumentSchemaLoaded__T__O = (function(documentSchemaStr) {
  this.emitDocumentSchemaLoaded__T__V(documentSchemaStr)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$offFlowCancelled__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorFlow-flowCancelled")
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$offStallEntryListLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorFlow-stallEntryListLoaded")
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$offEarliestActiveFlowListLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorFlow-earliestActiveFlowListLoaded")
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$onEarliestActiveFlowListLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorFlow-earliestActiveFlowListLoaded", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitMonitorFlowDetailsLoaded__Lcom_metastay_monitorapp_data_MonitorFlowDetails__V = (function(flowDetails) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorFlow-monitorFlowDetailsLoaded", flowDetails)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$offMonitorFlowDetailsLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorFlow-monitorFlowDetailsLoaded")
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$emitFlowCreated__T__O = (function(flowId) {
  this.emitFlowCreated__T__V(flowId)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$emitStallSetListLoaded__sjs_js_Array__O = (function(stallSetList) {
  this.emitStallSetListLoaded__sjs_js_Array__V(stallSetList)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$onFlowForceComplete__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorFlow-flowForceComplete", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$offFlowPriorityChanged__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorFlow-flowPriorityChanged")
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitFlowReset__T__V = (function(newFlowId) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorFlow-flowReset", newFlowId)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$emitMonitorFlowDetailsLoaded__Lcom_metastay_monitorapp_data_MonitorFlowDetails__O = (function(flowDetails) {
  this.emitMonitorFlowDetailsLoaded__Lcom_metastay_monitorapp_data_MonitorFlowDetails__V(flowDetails)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$emitFlowPriorityChanged__T__I__O = (function(flowId, newPriority) {
  this.emitFlowPriorityChanged__T__I__V(flowId, newPriority)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$emitInitDocumentSchemaLoaded__sjs_js_Array__O = (function(netInitDocumentSchemaMap) {
  this.emitInitDocumentSchemaLoaded__sjs_js_Array__V(netInitDocumentSchemaMap)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$onDocumentSchemaLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorFlow-documentSchemaLoaded", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitFlowForceComplete__T__V = (function(flowId) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorFlow-flowForceComplete", flowId)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$onFlowCreated__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorFlow-flowCreated", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$onMonitorFlowDetailsLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorFlow-monitorFlowDetailsLoaded", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$onInitDocumentSchemaLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorFlow-initDocumentSchemaLoaded", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$offInitDocumentSchemaLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorFlow-initDocumentSchemaLoaded")
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$emitFlowForceComplete__T__O = (function(flowId) {
  this.emitFlowForceComplete__T__V(flowId)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$emitStallEntryListLoaded__sjs_js_Array__O = (function(stallEntryList) {
  this.emitStallEntryListLoaded__sjs_js_Array__V(stallEntryList)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$emitFlowCancelled__T__O = (function(flowId) {
  this.emitFlowCancelled__T__V(flowId)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitFlowCreated__T__V = (function(flowId) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorFlow-flowCreated", flowId)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitEarliestActiveFlowListLoaded__sjs_js_Array__V = (function(earliestActiveFlowMapList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorFlow-earliestActiveFlowListLoaded", earliestActiveFlowMapList)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$offStallSetListLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorFlow-stallSetListLoaded")
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitFlowPriorityChanged__T__I__V = (function(flowId, newPriority) {
  var this$3 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$3.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorFlow-flowPriorityChanged", flowId, newPriority)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitDocumentSchemaLoaded__T__V = (function(documentSchemaStr) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorFlow-documentSchemaLoaded", documentSchemaStr)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$offDocumentSchemaLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorFlow-documentSchemaLoaded")
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$emitFlowReset__T__O = (function(newFlowId) {
  this.emitFlowReset__T__V(newFlowId)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$offFlowForceComplete__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorFlow-flowForceComplete")
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitFlowCancelled__T__V = (function(flowId) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorFlow-flowCancelled", flowId)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$offFlowErrorListLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorFlow-flowErrorListLoaded")
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$onFlowReset__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorFlow-flowReset", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitStallEntryListLoaded__sjs_js_Array__V = (function(stallEntryList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorFlow-stallEntryListLoaded", stallEntryList)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$onStallSetListLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorFlow-stallSetListLoaded", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$onFlowCancelled__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorFlow-flowCancelled", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitInitDocumentSchemaLoaded__sjs_js_Array__V = (function(netInitDocumentSchemaMap) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorFlow-initDocumentSchemaLoaded", netInitDocumentSchemaMap)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$emitEarliestActiveFlowListLoaded__sjs_js_Array__O = (function(earliestActiveFlowMapList) {
  this.emitEarliestActiveFlowListLoaded__sjs_js_Array__V(earliestActiveFlowMapList)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$onFlowErrorListLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorFlow-flowErrorListLoaded", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$$js$exported$meth$offFlowReset__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorFlow-flowReset")
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.offEarliestActiveFlowListLoaded = (function() {
  return this.$$js$exported$meth$offEarliestActiveFlowListLoaded__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.onEarliestActiveFlowListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onEarliestActiveFlowListLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitEarliestActiveFlowListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitEarliestActiveFlowListLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.offStallEntryListLoaded = (function() {
  return this.$$js$exported$meth$offStallEntryListLoaded__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.onStallEntryListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onStallEntryListLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitStallEntryListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitStallEntryListLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.offStallSetListLoaded = (function() {
  return this.$$js$exported$meth$offStallSetListLoaded__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.onStallSetListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onStallSetListLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitStallSetListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitStallSetListLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.offFlowErrorListLoaded = (function() {
  return this.$$js$exported$meth$offFlowErrorListLoaded__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.onFlowErrorListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onFlowErrorListLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitFlowErrorListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitFlowErrorListLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.offFlowForceComplete = (function() {
  return this.$$js$exported$meth$offFlowForceComplete__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.onFlowForceComplete = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onFlowForceComplete__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitFlowForceComplete = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$emitFlowForceComplete__T__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.offFlowReset = (function() {
  return this.$$js$exported$meth$offFlowReset__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.onFlowReset = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onFlowReset__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitFlowReset = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$emitFlowReset__T__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.offFlowCancelled = (function() {
  return this.$$js$exported$meth$offFlowCancelled__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.onFlowCancelled = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onFlowCancelled__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitFlowCancelled = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$emitFlowCancelled__T__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.offFlowPriorityChanged = (function() {
  return this.$$js$exported$meth$offFlowPriorityChanged__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.onFlowPriorityChanged = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onFlowPriorityChanged__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitFlowPriorityChanged = (function(arg$1, arg$2) {
  var prep0 = $as_T(arg$1);
  var prep1 = $uI(arg$2);
  return this.$$js$exported$meth$emitFlowPriorityChanged__T__I__O(prep0, prep1)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.offDocumentSchemaLoaded = (function() {
  return this.$$js$exported$meth$offDocumentSchemaLoaded__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.onDocumentSchemaLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onDocumentSchemaLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitDocumentSchemaLoaded = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$emitDocumentSchemaLoaded__T__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.offInitDocumentSchemaLoaded = (function() {
  return this.$$js$exported$meth$offInitDocumentSchemaLoaded__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.onInitDocumentSchemaLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onInitDocumentSchemaLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitInitDocumentSchemaLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitInitDocumentSchemaLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.offFlowCreated = (function() {
  return this.$$js$exported$meth$offFlowCreated__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.onFlowCreated = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onFlowCreated__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitFlowCreated = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$emitFlowCreated__T__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.offMonitorFlowDetailsLoaded = (function() {
  return this.$$js$exported$meth$offMonitorFlowDetailsLoaded__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.onMonitorFlowDetailsLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onMonitorFlowDetailsLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.emitMonitorFlowDetailsLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitMonitorFlowDetailsLoaded__Lcom_metastay_monitorapp_data_MonitorFlowDetails__O(prep0)
});
var $d_Lcom_metastay_monitorapp_bus_MonitorFlowBus$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_bus_MonitorFlowBus$: 0
}, false, "com.metastay.monitorapp.bus.MonitorFlowBus$", {
  Lcom_metastay_monitorapp_bus_MonitorFlowBus$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$.prototype.$classData = $d_Lcom_metastay_monitorapp_bus_MonitorFlowBus$;
var $n_Lcom_metastay_monitorapp_bus_MonitorFlowBus$ = (void 0);
function $m_Lcom_metastay_monitorapp_bus_MonitorFlowBus$() {
  if ((!$n_Lcom_metastay_monitorapp_bus_MonitorFlowBus$)) {
    $n_Lcom_metastay_monitorapp_bus_MonitorFlowBus$ = new $c_Lcom_metastay_monitorapp_bus_MonitorFlowBus$().init___()
  };
  return $n_Lcom_metastay_monitorapp_bus_MonitorFlowBus$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.constructor = $c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_bus_MonitorTaskBus$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype = $c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype;
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.emitMonitorTaskDetailsLoaded__Lcom_metastay_monitorapp_data_MonitorTaskDetails__V = (function(taskDetails) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorTask-monitorTaskDetailsLoaded", taskDetails)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.emitTaskProceeded__T__V = (function(taskId) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorTask-taskProceeded", taskId)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$offMonitorSubFlowTaskDetailsLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorTask-monitorSubFlowTaskDetailsLoaded")
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$onTaskAllocated__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorTask-taskAllocated", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.emitMonitorSubTaskListLoaded__sjs_js_Array__V = (function(subTaskList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorTask-monitorSubTaskListLoaded", subTaskList)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$offTaskOutputSchemaLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorTask-taskOutputSchemaLoaded")
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.emitTaskOutputSchemaLoaded__sjs_js_UndefOr__V = (function(schema) {
  var this$6 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  if ((schema === (void 0))) {
    var x0 = (void 0)
  } else {
    var s = $as_T(schema);
    var x0 = s
  };
  this$6.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorTask-taskOutputSchemaLoaded", x0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$onTaskErrorListLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorTask-taskErrorListLoaded", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$emitMonitorTaskDetailsLoaded__Lcom_metastay_monitorapp_data_MonitorTaskDetails__O = (function(taskDetails) {
  this.emitMonitorTaskDetailsLoaded__Lcom_metastay_monitorapp_data_MonitorTaskDetails__V(taskDetails)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$offTaskDeallocated__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorTask-taskDeallocated")
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$offMonitorSubTaskListLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorTask-monitorSubTaskListLoaded")
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.emitUserListToAllocateTaskLoaded__sjs_js_Array__V = (function(allocateToUserList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorTask-userListToAllocateTaskLoaded", allocateToUserList)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$onTaskProceeded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorTask-taskProceeded", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$offMonitorTaskDetailsLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorTask-monitorTaskDetailsLoaded")
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$emitTaskAllocated__T__O = (function(taskId) {
  this.emitTaskAllocated__T__V(taskId)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$emitTaskDeallocated__T__O = (function(taskId) {
  this.emitTaskDeallocated__T__V(taskId)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$onTaskRescued__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorTask-taskRescued", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.emitTaskDeallocated__T__V = (function(taskId) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorTask-taskDeallocated", taskId)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$offTaskRescued__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorTask-taskRescued")
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$offTaskErrorListLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorTask-taskErrorListLoaded")
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.emitTaskErrorListLoaded__sjs_js_Array__V = (function(taskErrorList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorTask-taskErrorListLoaded", taskErrorList)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.emitTaskAllocated__T__V = (function(taskId) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorTask-taskAllocated", taskId)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$emitMonitorSubTaskListLoaded__sjs_js_Array__O = (function(subTaskList) {
  this.emitMonitorSubTaskListLoaded__sjs_js_Array__V(subTaskList)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$onMonitorSubFlowTaskDetailsLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorTask-monitorSubFlowTaskDetailsLoaded", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$offTaskAllocated__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorTask-taskAllocated")
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$emitTaskErrorListLoaded__sjs_js_Array__O = (function(taskErrorList) {
  this.emitTaskErrorListLoaded__sjs_js_Array__V(taskErrorList)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$emitTaskRescued__T__O = (function(taskId) {
  this.emitTaskRescued__T__V(taskId)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$emitTaskOutputSchemaLoaded__sjs_js_UndefOr__O = (function(schema) {
  this.emitTaskOutputSchemaLoaded__sjs_js_UndefOr__V(schema)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$onMonitorSubTaskListLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorTask-monitorSubTaskListLoaded", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.emitMonitorSubFlowTaskDetailsLoaded__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails__V = (function(subFlowTaskDetails) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorTask-monitorSubFlowTaskDetailsLoaded", subFlowTaskDetails)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$onUserListToAllocateTaskLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorTask-userListToAllocateTaskLoaded", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$onTaskDeallocated__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorTask-taskDeallocated", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$emitMonitorSubFlowTaskDetailsLoaded__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails__O = (function(subFlowTaskDetails) {
  this.emitMonitorSubFlowTaskDetailsLoaded__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails__V(subFlowTaskDetails)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$offUserListToAllocateTaskLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorTask-userListToAllocateTaskLoaded")
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$emitTaskProceeded__T__O = (function(taskId) {
  this.emitTaskProceeded__T__V(taskId)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$emitUserListToAllocateTaskLoaded__sjs_js_Array__O = (function(allocateToUserList) {
  this.emitUserListToAllocateTaskLoaded__sjs_js_Array__V(allocateToUserList)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.emitTaskRescued__T__V = (function(taskId) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorTask-taskRescued", taskId)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$onTaskOutputSchemaLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorTask-taskOutputSchemaLoaded", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$offTaskProceeded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorTask-taskProceeded")
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$$js$exported$meth$onMonitorTaskDetailsLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorTask-monitorTaskDetailsLoaded", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.offUserListToAllocateTaskLoaded = (function() {
  return this.$$js$exported$meth$offUserListToAllocateTaskLoaded__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.onUserListToAllocateTaskLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserListToAllocateTaskLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.emitUserListToAllocateTaskLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitUserListToAllocateTaskLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.offTaskRescued = (function() {
  return this.$$js$exported$meth$offTaskRescued__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.onTaskRescued = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onTaskRescued__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.emitTaskRescued = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$emitTaskRescued__T__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.offTaskProceeded = (function() {
  return this.$$js$exported$meth$offTaskProceeded__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.onTaskProceeded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onTaskProceeded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.emitTaskProceeded = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$emitTaskProceeded__T__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.offTaskAllocated = (function() {
  return this.$$js$exported$meth$offTaskAllocated__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.onTaskAllocated = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onTaskAllocated__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.emitTaskAllocated = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$emitTaskAllocated__T__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.offTaskDeallocated = (function() {
  return this.$$js$exported$meth$offTaskDeallocated__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.onTaskDeallocated = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onTaskDeallocated__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.emitTaskDeallocated = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$emitTaskDeallocated__T__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.offTaskOutputSchemaLoaded = (function() {
  return this.$$js$exported$meth$offTaskOutputSchemaLoaded__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.onTaskOutputSchemaLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onTaskOutputSchemaLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.emitTaskOutputSchemaLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitTaskOutputSchemaLoaded__sjs_js_UndefOr__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.offTaskErrorListLoaded = (function() {
  return this.$$js$exported$meth$offTaskErrorListLoaded__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.onTaskErrorListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onTaskErrorListLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.emitTaskErrorListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitTaskErrorListLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.offMonitorSubTaskListLoaded = (function() {
  return this.$$js$exported$meth$offMonitorSubTaskListLoaded__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.onMonitorSubTaskListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onMonitorSubTaskListLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.emitMonitorSubTaskListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitMonitorSubTaskListLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.offMonitorSubFlowTaskDetailsLoaded = (function() {
  return this.$$js$exported$meth$offMonitorSubFlowTaskDetailsLoaded__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.onMonitorSubFlowTaskDetailsLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onMonitorSubFlowTaskDetailsLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.emitMonitorSubFlowTaskDetailsLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitMonitorSubFlowTaskDetailsLoaded__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.offMonitorTaskDetailsLoaded = (function() {
  return this.$$js$exported$meth$offMonitorTaskDetailsLoaded__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.onMonitorTaskDetailsLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onMonitorTaskDetailsLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.emitMonitorTaskDetailsLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitMonitorTaskDetailsLoaded__Lcom_metastay_monitorapp_data_MonitorTaskDetails__O(prep0)
});
var $d_Lcom_metastay_monitorapp_bus_MonitorTaskBus$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_bus_MonitorTaskBus$: 0
}, false, "com.metastay.monitorapp.bus.MonitorTaskBus$", {
  Lcom_metastay_monitorapp_bus_MonitorTaskBus$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$.prototype.$classData = $d_Lcom_metastay_monitorapp_bus_MonitorTaskBus$;
var $n_Lcom_metastay_monitorapp_bus_MonitorTaskBus$ = (void 0);
function $m_Lcom_metastay_monitorapp_bus_MonitorTaskBus$() {
  if ((!$n_Lcom_metastay_monitorapp_bus_MonitorTaskBus$)) {
    $n_Lcom_metastay_monitorapp_bus_MonitorTaskBus$ = new $c_Lcom_metastay_monitorapp_bus_MonitorTaskBus$().init___()
  };
  return $n_Lcom_metastay_monitorapp_bus_MonitorTaskBus$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_bus_MonitorUserBus$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_bus_MonitorUserBus$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_bus_MonitorUserBus$.prototype.constructor = $c_Lcom_metastay_monitorapp_bus_MonitorUserBus$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_bus_MonitorUserBus$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_bus_MonitorUserBus$.prototype = $c_Lcom_metastay_monitorapp_bus_MonitorUserBus$.prototype;
$c_Lcom_metastay_monitorapp_bus_MonitorUserBus$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_bus_MonitorUserBus$.prototype.$$js$exported$meth$offAllTaskDeallocatedForUser__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorUser-allTaskDeallocatedForUser")
});
$c_Lcom_metastay_monitorapp_bus_MonitorUserBus$.prototype.$$js$exported$meth$onAllTaskDeallocatedForUser__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorUser-allTaskDeallocatedForUser", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorUserBus$.prototype.$$js$exported$meth$offMonitorUserDetailsLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("MonitorUser-monitorUserDetailsLoaded")
});
$c_Lcom_metastay_monitorapp_bus_MonitorUserBus$.prototype.emitMonitorUserDetailsLoaded__Lcom_metastay_monitorapp_data_MonitorUserDetails__V = (function(userDetails) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorUser-monitorUserDetailsLoaded", userDetails)
});
$c_Lcom_metastay_monitorapp_bus_MonitorUserBus$.prototype.$$js$exported$meth$emitMonitorUserDetailsLoaded__Lcom_metastay_monitorapp_data_MonitorUserDetails__O = (function(userDetails) {
  this.emitMonitorUserDetailsLoaded__Lcom_metastay_monitorapp_data_MonitorUserDetails__V(userDetails)
});
$c_Lcom_metastay_monitorapp_bus_MonitorUserBus$.prototype.$$js$exported$meth$onMonitorUserDetailsLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("MonitorUser-monitorUserDetailsLoaded", f)
});
$c_Lcom_metastay_monitorapp_bus_MonitorUserBus$.prototype.emitAllTaskDeallocatedForUser__T__V = (function(userName) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("MonitorUser-allTaskDeallocatedForUser", userName)
});
$c_Lcom_metastay_monitorapp_bus_MonitorUserBus$.prototype.$$js$exported$meth$emitAllTaskDeallocatedForUser__T__O = (function(userName) {
  this.emitAllTaskDeallocatedForUser__T__V(userName)
});
$c_Lcom_metastay_monitorapp_bus_MonitorUserBus$.prototype.offAllTaskDeallocatedForUser = (function() {
  return this.$$js$exported$meth$offAllTaskDeallocatedForUser__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorUserBus$.prototype.onAllTaskDeallocatedForUser = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onAllTaskDeallocatedForUser__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorUserBus$.prototype.emitAllTaskDeallocatedForUser = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$emitAllTaskDeallocatedForUser__T__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorUserBus$.prototype.offMonitorUserDetailsLoaded = (function() {
  return this.$$js$exported$meth$offMonitorUserDetailsLoaded__O()
});
$c_Lcom_metastay_monitorapp_bus_MonitorUserBus$.prototype.onMonitorUserDetailsLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onMonitorUserDetailsLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_MonitorUserBus$.prototype.emitMonitorUserDetailsLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitMonitorUserDetailsLoaded__Lcom_metastay_monitorapp_data_MonitorUserDetails__O(prep0)
});
var $d_Lcom_metastay_monitorapp_bus_MonitorUserBus$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_bus_MonitorUserBus$: 0
}, false, "com.metastay.monitorapp.bus.MonitorUserBus$", {
  Lcom_metastay_monitorapp_bus_MonitorUserBus$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_bus_MonitorUserBus$.prototype.$classData = $d_Lcom_metastay_monitorapp_bus_MonitorUserBus$;
var $n_Lcom_metastay_monitorapp_bus_MonitorUserBus$ = (void 0);
function $m_Lcom_metastay_monitorapp_bus_MonitorUserBus$() {
  if ((!$n_Lcom_metastay_monitorapp_bus_MonitorUserBus$)) {
    $n_Lcom_metastay_monitorapp_bus_MonitorUserBus$ = new $c_Lcom_metastay_monitorapp_bus_MonitorUserBus$().init___()
  };
  return $n_Lcom_metastay_monitorapp_bus_MonitorUserBus$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_bus_TagBus$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_bus_TagBus$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_bus_TagBus$.prototype.constructor = $c_Lcom_metastay_monitorapp_bus_TagBus$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_bus_TagBus$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_bus_TagBus$.prototype = $c_Lcom_metastay_monitorapp_bus_TagBus$.prototype;
$c_Lcom_metastay_monitorapp_bus_TagBus$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_bus_TagBus$.prototype.$$js$exported$meth$onTaskTagListLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("Tag-taskTagListLoaded", f)
});
$c_Lcom_metastay_monitorapp_bus_TagBus$.prototype.emitTaskTagListLoaded__sjs_js_Array__V = (function(tagList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("Tag-taskTagListLoaded", tagList)
});
$c_Lcom_metastay_monitorapp_bus_TagBus$.prototype.$$js$exported$meth$emitTaskTagListLoaded__sjs_js_Array__O = (function(tagList) {
  this.emitTaskTagListLoaded__sjs_js_Array__V(tagList)
});
$c_Lcom_metastay_monitorapp_bus_TagBus$.prototype.emitFlowTagListLoaded__sjs_js_Array__V = (function(tagList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("Tag-flowTagListLoaded", tagList)
});
$c_Lcom_metastay_monitorapp_bus_TagBus$.prototype.$$js$exported$meth$emitFlowTagListLoaded__sjs_js_Array__O = (function(tagList) {
  this.emitFlowTagListLoaded__sjs_js_Array__V(tagList)
});
$c_Lcom_metastay_monitorapp_bus_TagBus$.prototype.$$js$exported$meth$onFlowTagListLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("Tag-flowTagListLoaded", f)
});
$c_Lcom_metastay_monitorapp_bus_TagBus$.prototype.$$js$exported$meth$offFlowTagListLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("Tag-flowTagListLoaded")
});
$c_Lcom_metastay_monitorapp_bus_TagBus$.prototype.$$js$exported$meth$offTaskTagListLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("Tag-taskTagListLoaded")
});
$c_Lcom_metastay_monitorapp_bus_TagBus$.prototype.offTaskTagListLoaded = (function() {
  return this.$$js$exported$meth$offTaskTagListLoaded__O()
});
$c_Lcom_metastay_monitorapp_bus_TagBus$.prototype.onTaskTagListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onTaskTagListLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_TagBus$.prototype.emitTaskTagListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitTaskTagListLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_TagBus$.prototype.offFlowTagListLoaded = (function() {
  return this.$$js$exported$meth$offFlowTagListLoaded__O()
});
$c_Lcom_metastay_monitorapp_bus_TagBus$.prototype.onFlowTagListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onFlowTagListLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_monitorapp_bus_TagBus$.prototype.emitFlowTagListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitFlowTagListLoaded__sjs_js_Array__O(prep0)
});
var $d_Lcom_metastay_monitorapp_bus_TagBus$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_bus_TagBus$: 0
}, false, "com.metastay.monitorapp.bus.TagBus$", {
  Lcom_metastay_monitorapp_bus_TagBus$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_bus_TagBus$.prototype.$classData = $d_Lcom_metastay_monitorapp_bus_TagBus$;
var $n_Lcom_metastay_monitorapp_bus_TagBus$ = (void 0);
function $m_Lcom_metastay_monitorapp_bus_TagBus$() {
  if ((!$n_Lcom_metastay_monitorapp_bus_TagBus$)) {
    $n_Lcom_metastay_monitorapp_bus_TagBus$ = new $c_Lcom_metastay_monitorapp_bus_TagBus$().init___()
  };
  return $n_Lcom_metastay_monitorapp_bus_TagBus$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_enums_TaskState$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null;
  this.list$1 = null;
  this.idList$1 = null;
  this.nameList$1 = null
}
$c_Lcom_metastay_monitorapp_enums_TaskState$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_enums_TaskState$.prototype.constructor = $c_Lcom_metastay_monitorapp_enums_TaskState$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_enums_TaskState$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_enums_TaskState$.prototype = $c_Lcom_metastay_monitorapp_enums_TaskState$.prototype;
$c_Lcom_metastay_monitorapp_enums_TaskState$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_enums_TaskState$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_enums_TaskState$$anon$1().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_enums_TaskState$$anon$2().init___();
  $m_sci_List$();
  var xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lcom_metastay_monitorapp_enums_TaskState$CREATED$(), $m_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$(), $m_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$(), $m_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$(), $m_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$(), $m_Lcom_metastay_monitorapp_enums_TaskState$STARTED$(), $m_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$(), $m_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$(), $m_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$(), $m_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$(), $m_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$(), $m_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$(), $m_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$()]);
  var this$2 = $m_sci_List$();
  var cbf = this$2.ReusableCBFInstance$2;
  this.list$1 = $as_sci_List($s_sc_TraversableLike$class__to__sc_TraversableLike__scg_CanBuildFrom__O(xs, cbf));
  this.idList$1 = ["CREATED", "TO_BE_ALLOCATED", "TO_BE_PULLED", "RESOURCE_UNAVAILABLE", "ALLOCATED", "STARTED", "PARTIALLY_COMPLETED", "EXCEPTION_Q", "EXIT_Q", "PENDING_CANCELLED", "COMPLETED", "FORCE_COMPLETED", "CANCELLED"];
  this.nameList$1 = ["CREATED", "TO_BE_ALLOCATED", "TO_BE_PULLED", "RESOURCE_UNAVAILABLE", "ALLOCATED", "STARTED", "PARTIALLY_COMPLETED", "EXCEPTION_Q", "EXIT_Q", "PENDING_CANCELLED", "COMPLETED", "FORCE_COMPLETED", "CANCELLED"];
  return this
});
$c_Lcom_metastay_monitorapp_enums_TaskState$.prototype.$$js$exported$prop$list__O = (function() {
  return this.list$1
});
$c_Lcom_metastay_monitorapp_enums_TaskState$.prototype.$$js$exported$meth$existsId__T__O = (function(id) {
  return this.existsId__T__Z(id)
});
$c_Lcom_metastay_monitorapp_enums_TaskState$.prototype.$$js$exported$prop$nameList__O = (function() {
  return this.nameList$1
});
$c_Lcom_metastay_monitorapp_enums_TaskState$.prototype.withId__T__Lcom_metastay_monitorapp_enums_TaskState = (function(id) {
  var requirement = (id !== null);
  if ((!requirement)) {
    throw new $c_jl_IllegalArgumentException().init___T("requirement failed: id cannot be passed as null")
  };
  if ((id === "CREATED")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$CREATED$()
  } else if ((id === "TO_BE_ALLOCATED")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$()
  } else if ((id === "TO_BE_PULLED")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$()
  } else if ((id === "RESOURCE_UNAVAILABLE")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$()
  } else if ((id === "ALLOCATED")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$()
  } else if ((id === "STARTED")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$STARTED$()
  } else if ((id === "PARTIALLY_COMPLETED")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$()
  } else if ((id === "EXCEPTION_Q")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$()
  } else if ((id === "EXIT_Q")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$()
  } else if ((id === "PENDING_CANCELLED")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$()
  } else if ((id === "COMPLETED")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$()
  } else if ((id === "FORCE_COMPLETED")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$()
  } else if ((id === "CANCELLED")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$()
  } else {
    throw new $c_jl_IllegalArgumentException().init___T(("Invalid id for com.metastay.monitorapp.enums.TaskState : " + id))
  }
});
$c_Lcom_metastay_monitorapp_enums_TaskState$.prototype.withName__T__Lcom_metastay_monitorapp_enums_TaskState = (function(name) {
  var requirement = (name !== null);
  if ((!requirement)) {
    throw new $c_jl_IllegalArgumentException().init___T("requirement failed: name cannot be passed as null")
  };
  if ((name === "CREATED")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$CREATED$()
  } else if ((name === "TO_BE_ALLOCATED")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$()
  } else if ((name === "TO_BE_PULLED")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$()
  } else if ((name === "RESOURCE_UNAVAILABLE")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$()
  } else if ((name === "ALLOCATED")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$()
  } else if ((name === "STARTED")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$STARTED$()
  } else if ((name === "PARTIALLY_COMPLETED")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$()
  } else if ((name === "EXCEPTION_Q")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$()
  } else if ((name === "EXIT_Q")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$()
  } else if ((name === "PENDING_CANCELLED")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$()
  } else if ((name === "COMPLETED")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$()
  } else if ((name === "FORCE_COMPLETED")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$()
  } else if ((name === "CANCELLED")) {
    return $m_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$()
  } else {
    throw new $c_jl_IllegalArgumentException().init___T(("Invalid name for com.metastay.monitorapp.enums.TaskState : " + name))
  }
});
$c_Lcom_metastay_monitorapp_enums_TaskState$.prototype.$$js$exported$meth$withId__T__O = (function(id) {
  return this.withId__T__Lcom_metastay_monitorapp_enums_TaskState(id)
});
$c_Lcom_metastay_monitorapp_enums_TaskState$.prototype.withIdOption__T__s_Option = (function(id) {
  try {
    var jsx$1 = new $c_s_util_Success().init___O($m_Lcom_metastay_monitorapp_enums_TaskState$().withId__T__Lcom_metastay_monitorapp_enums_TaskState(id))
  } catch (e) {
    var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
    if ((e$2 !== null)) {
      matchEnd8: {
        var jsx$1;
        var o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
        if ((!o11.isEmpty__Z())) {
          var e$3 = $as_jl_Throwable(o11.get__O());
          var jsx$1 = new $c_s_util_Failure().init___jl_Throwable(e$3);
          break matchEnd8
        };
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
      }
    } else {
      var jsx$1;
      throw e
    }
  };
  return jsx$1.toOption__s_Option()
});
$c_Lcom_metastay_monitorapp_enums_TaskState$.prototype.$$js$exported$prop$idList__O = (function() {
  return this.idList$1
});
$c_Lcom_metastay_monitorapp_enums_TaskState$.prototype.$$js$exported$meth$withName__T__O = (function(name) {
  return this.withName__T__Lcom_metastay_monitorapp_enums_TaskState(name)
});
$c_Lcom_metastay_monitorapp_enums_TaskState$.prototype.existsId__T__Z = (function(id) {
  return this.withIdOption__T__s_Option(id).isDefined__Z()
});
$c_Lcom_metastay_monitorapp_enums_TaskState$.prototype.existsId = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$existsId__T__O(prep0)
});
$c_Lcom_metastay_monitorapp_enums_TaskState$.prototype.withName = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$withName__T__O(prep0)
});
$c_Lcom_metastay_monitorapp_enums_TaskState$.prototype.withId = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$withId__T__O(prep0)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_enums_TaskState$.prototype, "nameList", {
  "get": (function() {
    return this.$$js$exported$prop$nameList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_enums_TaskState$.prototype, "idList", {
  "get": (function() {
    return this.$$js$exported$prop$idList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_enums_TaskState$.prototype, "list", {
  "get": (function() {
    return this.$$js$exported$prop$list__O()
  }),
  "configurable": true
});
var $d_Lcom_metastay_monitorapp_enums_TaskState$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_enums_TaskState$: 0
}, false, "com.metastay.monitorapp.enums.TaskState$", {
  Lcom_metastay_monitorapp_enums_TaskState$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_enums_TaskState$.prototype.$classData = $d_Lcom_metastay_monitorapp_enums_TaskState$;
var $n_Lcom_metastay_monitorapp_enums_TaskState$ = (void 0);
function $m_Lcom_metastay_monitorapp_enums_TaskState$() {
  if ((!$n_Lcom_metastay_monitorapp_enums_TaskState$)) {
    $n_Lcom_metastay_monitorapp_enums_TaskState$ = new $c_Lcom_metastay_monitorapp_enums_TaskState$().init___()
  };
  return $n_Lcom_metastay_monitorapp_enums_TaskState$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$.prototype = $c_Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$.prototype;
$c_Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$.prototype.getFlowCommentList__Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/comment/get-flow-comment-list"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$().toJs$1, $m_Lsmilejs_com_metastay_monitordata_data_Comment$().fromJs$1)
});
$c_Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$.prototype.getTaskCommentList__Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/comment/get-task-comment-list"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$().toJs$1, $m_Lsmilejs_com_metastay_monitordata_data_Comment$().fromJs$1)
});
var $d_Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$: 0
}, false, "com.metastay.monitorapp.service.commentreader.CommentReaderBackend$", {
  Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$;
var $n_Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$() {
  if ((!$n_Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$)) {
    $n_Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$ = new $c_Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoggedInUserReaderBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoggedInUserReaderBackend$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoggedInUserReaderBackend$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoggedInUserReaderBackend$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_loggedinuserreader_LoggedInUserReaderBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_loggedinuserreader_LoggedInUserReaderBackend$.prototype = $c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoggedInUserReaderBackend$.prototype;
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoggedInUserReaderBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoggedInUserReaderBackend$.prototype.loadUserDetails__s_concurrent_Future = (function() {
  return $m_Lcom_iteration3_smilejs_BackendService$().get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/loggedinuser/load-user-details"])).s__sc_Seq__T($m_sci_Nil$()), new $c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input().init___(), false, $m_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$().toJs$1, $m_Lsmilejs_com_metastay_monitordata_data_UserDetails$().fromJs$1)
});
var $d_Lcom_metastay_monitorapp_service_loggedinuserreader_LoggedInUserReaderBackend$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_loggedinuserreader_LoggedInUserReaderBackend$: 0
}, false, "com.metastay.monitorapp.service.loggedinuserreader.LoggedInUserReaderBackend$", {
  Lcom_metastay_monitorapp_service_loggedinuserreader_LoggedInUserReaderBackend$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoggedInUserReaderBackend$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_loggedinuserreader_LoggedInUserReaderBackend$;
var $n_Lcom_metastay_monitorapp_service_loggedinuserreader_LoggedInUserReaderBackend$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_loggedinuserreader_LoggedInUserReaderBackend$() {
  if ((!$n_Lcom_metastay_monitorapp_service_loggedinuserreader_LoggedInUserReaderBackend$)) {
    $n_Lcom_metastay_monitorapp_service_loggedinuserreader_LoggedInUserReaderBackend$ = new $c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoggedInUserReaderBackend$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_loggedinuserreader_LoggedInUserReaderBackend$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$.prototype = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$.prototype;
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$.prototype.getMonitorFlowDashboardSummaryList__s_concurrent_Future = (function() {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/monitordashboard/get-monitor-flow-dashboard-summary-list"])).s__sc_Seq__T($m_sci_Nil$()), new $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input().init___(), false, $m_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$().toJs$1, $m_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$().fromJs$1)
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$.prototype.getMonitorTaskDashboardSummaryList__s_concurrent_Future = (function() {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/monitordashboard/get-monitor-task-dashboard-summary-list"])).s__sc_Seq__T($m_sci_Nil$()), new $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input().init___(), false, $m_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$().toJs$1, $m_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$().fromJs$1)
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$.prototype.getMonitorUserDashboardSummaryList__s_concurrent_Future = (function() {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/monitordashboard/get-monitor-user-dashboard-summary-list"])).s__sc_Seq__T($m_sci_Nil$()), new $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input().init___(), false, $m_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$().toJs$1, $m_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$().fromJs$1)
});
var $d_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$: 0
}, false, "com.metastay.monitorapp.service.monitordashboardreader.MonitorDashboardReaderBackend$", {
  Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$;
var $n_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$)) {
    $n_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$ = new $c_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$.prototype.getFlowNameList__s_concurrent_Future = (function() {
  return $m_Lcom_iteration3_smilejs_BackendService$().get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/monitorflow/get-flow-name-list"])).s__sc_Seq__T($m_sci_Nil$()), new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input().init___(), false, $m_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$().toJs$1, $m_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$().fromJs$1)
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$.prototype.getMonitorFlowDetails__Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/monitorflow/get-monitor-flow-details"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$().toJs$1, $m_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$().fromJs$1)
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$.prototype.search__Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/monitorflow/search"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$().toJs$1, $m_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$().fromJs$1)
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$.prototype.getFlowErrorList__Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/monitorflow/get-flow-error-list"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$().toJs$1, $m_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$().fromJs$1)
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$.prototype.getEarliestActiveFlowList__s_concurrent_Future = (function() {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/monitorflow/get-earliest-active-flow-list"])).s__sc_Seq__T($m_sci_Nil$()), new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input().init___(), false, $m_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$().toJs$1, $m_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$().fromJs$1)
});
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.MonitorFlowReaderBackend$", {
  Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$;
var $n_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$)) {
    $n_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$ = new $c_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$.prototype.getMonitorTaskDetails__Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/monitortask/get-monitor-task-details"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$().toJs$1, $m_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$().fromJs$1)
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$.prototype.getMonitorSubFlowTaskDetails__Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/monitortask/get-monitor-sub-flow-task-details"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$().toJs$1, $m_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$().fromJs$1)
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$.prototype.getTaskOutputSchema__Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/monitortask/get-task-output-schema"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$().toJs$1, $m_Lcom_iteration3_smilejs_package$().fromJsString$1)
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$.prototype.getMonitorSubTaskList__Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/monitortask/get-monitor-sub-task-list"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$().toJs$1, $m_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$().fromJs$1)
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$.prototype.getUserListToAllocateTask__Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/monitortask/get-user-list-to-allocate-task"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$().toJs$1, $m_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$().fromJs$1)
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$.prototype.getTaskErrorList__Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/monitortask/get-task-error-list"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$().toJs$1, $m_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$().fromJs$1)
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$.prototype.search__Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/monitortask/search"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$().toJs$1, $m_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$().fromJs$1)
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.MonitorTaskReaderBackend$", {
  Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$;
var $n_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$)) {
    $n_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$ = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$.prototype = $c_Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$.prototype;
$c_Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$.prototype.search__Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/monitoruser/search"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$().toJs$1, $m_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$().fromJs$1)
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$.prototype.getMonitorUserDetails__Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/monitoruser/get-monitor-user-details"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$().toJs$1, $m_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$().fromJs$1)
});
var $d_Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$: 0
}, false, "com.metastay.monitorapp.service.monitoruserreader.MonitorUserReaderBackend$", {
  Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$;
var $n_Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$)) {
    $n_Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$ = new $c_Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$.prototype = $c_Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$.prototype;
$c_Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$.prototype.getTaskTagList__Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/tag/get-task-tag-list"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$().toJs$1, $m_Lsmilejs_com_metastay_monitordata_data_Tag$().fromJs$1)
});
$c_Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$.prototype.getFlowTagList__Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/monitor-api/tag/get-flow-tag-list"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$().toJs$1, $m_Lsmilejs_com_metastay_monitordata_data_Tag$().fromJs$1)
});
var $d_Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$: 0
}, false, "com.metastay.monitorapp.service.tagreader.TagReaderBackend$", {
  Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$;
var $n_Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$() {
  if ((!$n_Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$)) {
    $n_Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$ = new $c_Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$.prototype.getNetInitDocumentSchemaMap__Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/flow/get-net-init-document-schema-map"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$().toJs$1, $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$().fromJs$1)
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$.prototype.getDocumentSchema__Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/flow/get-document-schema"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$().toJs$1, $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$().fromJs$1)
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$.prototype.getFlowStallList__Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/flow/get-flow-stall-list"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$().toJs$1, $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$().fromJs$1)
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$.prototype.getFlowStallSetList__s_concurrent_Future = (function() {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/flow/get-flow-stall-set-list"])).s__sc_Seq__T($m_sci_Nil$()), new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input().init___(), false, $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$().toJs$1, $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$().fromJs$1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.ValeyFlowReaderBackend$", {
  Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$;
var $n_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$ = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$.prototype.rescue__Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/flow/rescue"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$().toJs$1)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$.prototype.stallAll__Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/flow/stall-all"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$().toJs$1)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$.prototype.releaseOne__Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/flow/release-one"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$().toJs$1)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$.prototype.changePriority__Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/flow/change-priority"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$().toJs$1)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$.prototype.create__Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().post__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/flow/create"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$().toJs$1, $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$().fromJs$1)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$.prototype.reset__Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().post__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/flow/reset"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$().toJs$1, $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$().fromJs$1)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$.prototype.stall__Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/flow/stall"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$().toJs$1)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$.prototype.release__Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/flow/release"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$().toJs$1)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$.prototype.cancel__Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/flow/cancel"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$().toJs$1)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$.prototype.forceComplete__Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/flow/force-complete"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$().toJs$1)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$.prototype.addComment__Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/flow/add-comment"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$().toJs$1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.ValeyFlowWriterBackend$", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$;
var $n_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$ = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$.prototype.reassign__Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/task/reassign"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$().toJs$1)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$.prototype.proceed__Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/task/proceed"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$().toJs$1)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$.prototype.deallocateAll__Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/task/deallocate-all"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$().toJs$1)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$.prototype.assign__Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/task/assign"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$().toJs$1)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$.prototype.forceComplete__Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/task/force-complete"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$().toJs$1)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$.prototype.rescue__Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/task/rescue"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$().toJs$1)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$.prototype.retry__Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/task/retry"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$().toJs$1)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$.prototype.addComment__Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/task/add-comment"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$().toJs$1)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$.prototype.deallocate__Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/valey-api/task/deallocate"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$().toJs$1)
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.ValeyTaskWriterBackend$", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$;
var $n_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$)) {
    $n_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$ = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_store_StateInit$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_store_StateInit$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_store_StateInit$.prototype.constructor = $c_Lcom_metastay_monitorapp_store_StateInit$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_store_StateInit$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_store_StateInit$.prototype = $c_Lcom_metastay_monitorapp_store_StateInit$.prototype;
$c_Lcom_metastay_monitorapp_store_StateInit$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_store_StateInit$.prototype.init__Lcom_metastay_monitorapp_store_State = (function() {
  return new ($a_Lcom_metastay_monitorapp_store_State())()
});
$c_Lcom_metastay_monitorapp_store_StateInit$.prototype.$$js$exported$meth$init__O = (function() {
  return this.init__Lcom_metastay_monitorapp_store_State()
});
$c_Lcom_metastay_monitorapp_store_StateInit$.prototype.init = (function() {
  return this.$$js$exported$meth$init__O()
});
var $d_Lcom_metastay_monitorapp_store_StateInit$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_store_StateInit$: 0
}, false, "com.metastay.monitorapp.store.StateInit$", {
  Lcom_metastay_monitorapp_store_StateInit$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_store_StateInit$.prototype.$classData = $d_Lcom_metastay_monitorapp_store_StateInit$;
var $n_Lcom_metastay_monitorapp_store_StateInit$ = (void 0);
function $m_Lcom_metastay_monitorapp_store_StateInit$() {
  if ((!$n_Lcom_metastay_monitorapp_store_StateInit$)) {
    $n_Lcom_metastay_monitorapp_store_StateInit$ = new $c_Lcom_metastay_monitorapp_store_StateInit$().init___()
  };
  return $n_Lcom_metastay_monitorapp_store_StateInit$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_store_Store$Ext$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_store_Store$Ext$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_store_Store$Ext$.prototype.constructor = $c_Lcom_metastay_monitorapp_store_Store$Ext$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_store_Store$Ext$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_store_Store$Ext$.prototype = $c_Lcom_metastay_monitorapp_store_Store$Ext$.prototype;
$c_Lcom_metastay_monitorapp_store_Store$Ext$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_store_Store$Ext$.prototype.MUTATE$undFQ$undFLOW$undNAME$undLIST$extension__Lcom_metastay_monitorapp_store_Store__sjs_js_Array__V = (function($$this, fqFlowNameList) {
  $$this.commit("MUTATE_FQ_FLOW_NAME_LIST", fqFlowNameList)
});
$c_Lcom_metastay_monitorapp_store_Store$Ext$.prototype.MUTATE$undMONITOR$undFLOW$undSEARCH$extension__Lcom_metastay_monitorapp_store_Store__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm__V = (function($$this, monitorFlowSearchForm) {
  $$this.commit("MUTATE_MONITOR_FLOW_SEARCH", monitorFlowSearchForm)
});
$c_Lcom_metastay_monitorapp_store_Store$Ext$.prototype.MUTATE$undUSER$undDETAILS$extension__Lcom_metastay_monitorapp_store_Store__Lcom_metastay_monitorapp_data_UserDetails__V = (function($$this, userDetails) {
  $$this.commit("MUTATE_USER_DETAILS", userDetails)
});
$c_Lcom_metastay_monitorapp_store_Store$Ext$.prototype.MUTATE$undMONITOR$undUSER$undSEARCH$extension__Lcom_metastay_monitorapp_store_Store__Lcom_metastay_monitorapp_data_MonitorUserSearchForm__V = (function($$this, monitorUserSearchForm) {
  $$this.commit("MUTATE_MONITOR_USER_SEARCH", monitorUserSearchForm)
});
$c_Lcom_metastay_monitorapp_store_Store$Ext$.prototype.MUTATE$undMONITOR$undTASK$undSEARCH$extension__Lcom_metastay_monitorapp_store_Store__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm__V = (function($$this, monitorTaskSearchForm) {
  $$this.commit("MUTATE_MONITOR_TASK_SEARCH", monitorTaskSearchForm)
});
$c_Lcom_metastay_monitorapp_store_Store$Ext$.prototype.MUTATE$undMONITOR$undUSER$undSEARCH$undRESULT$undLIST$extension__Lcom_metastay_monitorapp_store_Store__sjs_js_Array__V = (function($$this, monitorUserSearchResultList) {
  $$this.commit("MUTATE_MONITOR_USER_SEARCH_RESULT_LIST", monitorUserSearchResultList)
});
$c_Lcom_metastay_monitorapp_store_Store$Ext$.prototype.MUTATE$undTASK$undSTATE$undLIST$extension__Lcom_metastay_monitorapp_store_Store__sjs_js_Array__V = (function($$this, taskList) {
  $$this.commit("MUTATE_TASK_STATE_LIST", taskList)
});
$c_Lcom_metastay_monitorapp_store_Store$Ext$.prototype.MUTATE$undMONITOR$undTASK$undSEARCH$undRESULT$undLIST$extension__Lcom_metastay_monitorapp_store_Store__sjs_js_Array__V = (function($$this, monitorTaskSearchResultList) {
  $$this.commit("MUTATE_MONITOR_TASK_SEARCH_RESULT_LIST", monitorTaskSearchResultList)
});
$c_Lcom_metastay_monitorapp_store_Store$Ext$.prototype.MUTATE$undMONITOR$undFLOW$undSEARCH$undRESULT$undLIST$extension__Lcom_metastay_monitorapp_store_Store__sjs_js_Array__V = (function($$this, monitorFlowSearchResultList) {
  $$this.commit("MUTATE_MONITOR_FLOW_SEARCH_RESULT_LIST", monitorFlowSearchResultList)
});
var $d_Lcom_metastay_monitorapp_store_Store$Ext$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_store_Store$Ext$: 0
}, false, "com.metastay.monitorapp.store.Store$Ext$", {
  Lcom_metastay_monitorapp_store_Store$Ext$: 1,
  O: 1
});
$c_Lcom_metastay_monitorapp_store_Store$Ext$.prototype.$classData = $d_Lcom_metastay_monitorapp_store_Store$Ext$;
var $n_Lcom_metastay_monitorapp_store_Store$Ext$ = (void 0);
function $m_Lcom_metastay_monitorapp_store_Store$Ext$() {
  if ((!$n_Lcom_metastay_monitorapp_store_Store$Ext$)) {
    $n_Lcom_metastay_monitorapp_store_Store$Ext$ = new $c_Lcom_metastay_monitorapp_store_Store$Ext$().init___()
  };
  return $n_Lcom_metastay_monitorapp_store_Store$Ext$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_actions_LoggedInUserActions$() {
  $c_O.call(this);
  this.loadLoggedInUserDetails$1 = null
}
$c_Lcom_metastay_reportapp_actions_LoggedInUserActions$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_actions_LoggedInUserActions$.prototype.constructor = $c_Lcom_metastay_reportapp_actions_LoggedInUserActions$;
/** @constructor */
function $h_Lcom_metastay_reportapp_actions_LoggedInUserActions$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_actions_LoggedInUserActions$.prototype = $c_Lcom_metastay_reportapp_actions_LoggedInUserActions$.prototype;
$c_Lcom_metastay_reportapp_actions_LoggedInUserActions$.prototype.init___ = (function() {
  $n_Lcom_metastay_reportapp_actions_LoggedInUserActions$ = this;
  this.loadLoggedInUserDetails$1 = (function(f) {
    return (function(arg1) {
      return f.apply__O__O(arg1)
    })
  })(new $c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1().init___());
  return this
});
$c_Lcom_metastay_reportapp_actions_LoggedInUserActions$.prototype.$$js$exported$prop$loadLoggedInUserDetails__O = (function() {
  return this.loadLoggedInUserDetails$1
});
Object.defineProperty($c_Lcom_metastay_reportapp_actions_LoggedInUserActions$.prototype, "loadLoggedInUserDetails", {
  "get": (function() {
    return this.$$js$exported$prop$loadLoggedInUserDetails__O()
  }),
  "configurable": true
});
var $d_Lcom_metastay_reportapp_actions_LoggedInUserActions$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_actions_LoggedInUserActions$: 0
}, false, "com.metastay.reportapp.actions.LoggedInUserActions$", {
  Lcom_metastay_reportapp_actions_LoggedInUserActions$: 1,
  O: 1
});
$c_Lcom_metastay_reportapp_actions_LoggedInUserActions$.prototype.$classData = $d_Lcom_metastay_reportapp_actions_LoggedInUserActions$;
var $n_Lcom_metastay_reportapp_actions_LoggedInUserActions$ = (void 0);
function $m_Lcom_metastay_reportapp_actions_LoggedInUserActions$() {
  if ((!$n_Lcom_metastay_reportapp_actions_LoggedInUserActions$)) {
    $n_Lcom_metastay_reportapp_actions_LoggedInUserActions$ = new $c_Lcom_metastay_reportapp_actions_LoggedInUserActions$().init___()
  };
  return $n_Lcom_metastay_reportapp_actions_LoggedInUserActions$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$.prototype.constructor = $c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$;
/** @constructor */
function $h_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$.prototype = $c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$.prototype;
$c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$.prototype.com$metastay$reportapp$actions$LoggedInUserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V = (function(error) {
  if ($is_Lcom_iteration3_smilejs_ClientErrors(error)) {
    var x2 = $as_Lcom_iteration3_smilejs_ClientErrors(error);
    var list = x2.list$2;
    var jsx$2 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f = (function(x$1$2) {
      var x$1 = $as_Lcom_iteration3_smilejs_ClientError(x$1$2);
      return x$1.message$1
    });
    var this$1 = $m_sci_List$();
    var bf = this$1.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list === $m_sci_Nil$())) {
        var jsx$1 = $m_sci_Nil$()
      } else {
        var arg1 = list.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = list.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$2 = rest;
          rest = this$2.tail__sci_List()
        };
        var jsx$1 = h
      }
    } else {
      var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list, bf);
      var these = list;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$3 = these;
        these = this$3.tail__sci_List()
      };
      var jsx$1 = b.result__O()
    };
    jsx$2.error__T__s_Option__s_Option__V($as_sc_TraversableOnce(jsx$1).mkString__T__T("\n"), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_ClientExceptions(error)) {
    var x3 = $as_Lcom_iteration3_smilejs_ClientExceptions(error);
    var list$2 = x3.list$2;
    var jsx$4 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f$1 = (function(x$2$2) {
      var x$2 = $as_Lcom_iteration3_smilejs_ClientException(x$2$2);
      return x$2.message$1
    });
    var this$6 = $m_sci_List$();
    var bf$1 = this$6.ReusableCBFInstance$2;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list$2 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1$3 = list$2.head__O();
        var h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        var t$1 = h$1;
        var rest$1 = list$2.tail__sci_List();
        while ((rest$1 !== $m_sci_Nil$())) {
          var arg1$4 = rest$1.head__O();
          var nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          var this$7 = rest$1;
          rest$1 = this$7.tail__sci_List()
        };
        var jsx$3 = h$1
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list$2, bf$1);
      var these$1 = list$2;
      while ((!these$1.isEmpty__Z())) {
        var arg1$5 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        var this$8 = these$1;
        these$1 = this$8.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    jsx$4.error__T__s_Option__s_Option__V(("Error : " + $as_sc_TraversableOnce(jsx$3).mkString__T__T("\n")), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Forbidden(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Unauthorized(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ((!$is_Lcom_iteration3_smilejs_ServerError(error))) {
    if ($is_Lcom_iteration3_smilejs_ServerTimeout(error)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("Server is not responding; Try again later", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
    } else {
      $is_Lcom_iteration3_smilejs_OtherResponse(error)
    }
  }
});
var $d_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$: 0
}, false, "com.metastay.reportapp.actions.LoggedInUserActionsCode$", {
  Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$: 1,
  O: 1
});
$c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$.prototype.$classData = $d_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$;
var $n_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$ = (void 0);
function $m_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$() {
  if ((!$n_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$)) {
    $n_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$ = new $c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$().init___()
  };
  return $n_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_actions_ReportFlowActions$() {
  $c_O.call(this);
  this.search$1 = null;
  this.loadAllFqFlowNameList$1 = null
}
$c_Lcom_metastay_reportapp_actions_ReportFlowActions$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_actions_ReportFlowActions$.prototype.constructor = $c_Lcom_metastay_reportapp_actions_ReportFlowActions$;
/** @constructor */
function $h_Lcom_metastay_reportapp_actions_ReportFlowActions$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_actions_ReportFlowActions$.prototype = $c_Lcom_metastay_reportapp_actions_ReportFlowActions$.prototype;
$c_Lcom_metastay_reportapp_actions_ReportFlowActions$.prototype.init___ = (function() {
  $n_Lcom_metastay_reportapp_actions_ReportFlowActions$ = this;
  this.search$1 = (function(f) {
    return (function(arg1, arg2, arg3, arg4) {
      return f.apply__O__O__O__O__O(arg1, arg2, arg3, arg4)
    })
  })(new $c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1().init___());
  this.loadAllFqFlowNameList$1 = (function(f$1) {
    return (function(arg1$1) {
      return f$1.apply__O__O(arg1$1)
    })
  })(new $c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1().init___());
  return this
});
$c_Lcom_metastay_reportapp_actions_ReportFlowActions$.prototype.$$js$exported$prop$search__O = (function() {
  return this.search$1
});
$c_Lcom_metastay_reportapp_actions_ReportFlowActions$.prototype.$$js$exported$prop$loadAllFqFlowNameList__O = (function() {
  return this.loadAllFqFlowNameList$1
});
Object.defineProperty($c_Lcom_metastay_reportapp_actions_ReportFlowActions$.prototype, "loadAllFqFlowNameList", {
  "get": (function() {
    return this.$$js$exported$prop$loadAllFqFlowNameList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_reportapp_actions_ReportFlowActions$.prototype, "search", {
  "get": (function() {
    return this.$$js$exported$prop$search__O()
  }),
  "configurable": true
});
var $d_Lcom_metastay_reportapp_actions_ReportFlowActions$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_actions_ReportFlowActions$: 0
}, false, "com.metastay.reportapp.actions.ReportFlowActions$", {
  Lcom_metastay_reportapp_actions_ReportFlowActions$: 1,
  O: 1
});
$c_Lcom_metastay_reportapp_actions_ReportFlowActions$.prototype.$classData = $d_Lcom_metastay_reportapp_actions_ReportFlowActions$;
var $n_Lcom_metastay_reportapp_actions_ReportFlowActions$ = (void 0);
function $m_Lcom_metastay_reportapp_actions_ReportFlowActions$() {
  if ((!$n_Lcom_metastay_reportapp_actions_ReportFlowActions$)) {
    $n_Lcom_metastay_reportapp_actions_ReportFlowActions$ = new $c_Lcom_metastay_reportapp_actions_ReportFlowActions$().init___()
  };
  return $n_Lcom_metastay_reportapp_actions_ReportFlowActions$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$.prototype.constructor = $c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$;
/** @constructor */
function $h_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$.prototype = $c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$.prototype;
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$.prototype.com$metastay$reportapp$actions$ReportFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V = (function(error) {
  if ($is_Lcom_iteration3_smilejs_ClientErrors(error)) {
    var x2 = $as_Lcom_iteration3_smilejs_ClientErrors(error);
    var list = x2.list$2;
    var jsx$2 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f = (function(x$1$2) {
      var x$1 = $as_Lcom_iteration3_smilejs_ClientError(x$1$2);
      return x$1.message$1
    });
    var this$1 = $m_sci_List$();
    var bf = this$1.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list === $m_sci_Nil$())) {
        var jsx$1 = $m_sci_Nil$()
      } else {
        var arg1 = list.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = list.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$2 = rest;
          rest = this$2.tail__sci_List()
        };
        var jsx$1 = h
      }
    } else {
      var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list, bf);
      var these = list;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$3 = these;
        these = this$3.tail__sci_List()
      };
      var jsx$1 = b.result__O()
    };
    jsx$2.error__T__s_Option__s_Option__V($as_sc_TraversableOnce(jsx$1).mkString__T__T("\n"), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_ClientExceptions(error)) {
    var x3 = $as_Lcom_iteration3_smilejs_ClientExceptions(error);
    var list$2 = x3.list$2;
    var jsx$4 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f$1 = (function(x$2$2) {
      var x$2 = $as_Lcom_iteration3_smilejs_ClientException(x$2$2);
      return x$2.message$1
    });
    var this$6 = $m_sci_List$();
    var bf$1 = this$6.ReusableCBFInstance$2;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list$2 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1$3 = list$2.head__O();
        var h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        var t$1 = h$1;
        var rest$1 = list$2.tail__sci_List();
        while ((rest$1 !== $m_sci_Nil$())) {
          var arg1$4 = rest$1.head__O();
          var nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          var this$7 = rest$1;
          rest$1 = this$7.tail__sci_List()
        };
        var jsx$3 = h$1
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list$2, bf$1);
      var these$1 = list$2;
      while ((!these$1.isEmpty__Z())) {
        var arg1$5 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        var this$8 = these$1;
        these$1 = this$8.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    jsx$4.error__T__s_Option__s_Option__V(("Error : " + $as_sc_TraversableOnce(jsx$3).mkString__T__T("\n")), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Forbidden(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Unauthorized(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ((!$is_Lcom_iteration3_smilejs_ServerError(error))) {
    if ($is_Lcom_iteration3_smilejs_ServerTimeout(error)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("Server is not responding; Try again later", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
    } else {
      $is_Lcom_iteration3_smilejs_OtherResponse(error)
    }
  }
});
var $d_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_actions_ReportFlowActionsCode$: 0
}, false, "com.metastay.reportapp.actions.ReportFlowActionsCode$", {
  Lcom_metastay_reportapp_actions_ReportFlowActionsCode$: 1,
  O: 1
});
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$.prototype.$classData = $d_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$;
var $n_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$ = (void 0);
function $m_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$() {
  if ((!$n_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$)) {
    $n_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$ = new $c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$().init___()
  };
  return $n_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_actions_ReportTaskActions$() {
  $c_O.call(this);
  this.search$1 = null;
  this.loadTaskNameListForFlow$1 = null
}
$c_Lcom_metastay_reportapp_actions_ReportTaskActions$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_actions_ReportTaskActions$.prototype.constructor = $c_Lcom_metastay_reportapp_actions_ReportTaskActions$;
/** @constructor */
function $h_Lcom_metastay_reportapp_actions_ReportTaskActions$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_actions_ReportTaskActions$.prototype = $c_Lcom_metastay_reportapp_actions_ReportTaskActions$.prototype;
$c_Lcom_metastay_reportapp_actions_ReportTaskActions$.prototype.init___ = (function() {
  $n_Lcom_metastay_reportapp_actions_ReportTaskActions$ = this;
  this.search$1 = (function(f) {
    return (function(arg1, arg2) {
      return f.apply__O__O__O(arg1, arg2)
    })
  })(new $c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1().init___());
  this.loadTaskNameListForFlow$1 = (function(f$1) {
    return (function(arg1$1) {
      return f$1.apply__O__O(arg1$1)
    })
  })(new $c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1().init___());
  return this
});
$c_Lcom_metastay_reportapp_actions_ReportTaskActions$.prototype.$$js$exported$prop$search__O = (function() {
  return this.search$1
});
$c_Lcom_metastay_reportapp_actions_ReportTaskActions$.prototype.$$js$exported$prop$loadTaskNameListForFlow__O = (function() {
  return this.loadTaskNameListForFlow$1
});
Object.defineProperty($c_Lcom_metastay_reportapp_actions_ReportTaskActions$.prototype, "loadTaskNameListForFlow", {
  "get": (function() {
    return this.$$js$exported$prop$loadTaskNameListForFlow__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_reportapp_actions_ReportTaskActions$.prototype, "search", {
  "get": (function() {
    return this.$$js$exported$prop$search__O()
  }),
  "configurable": true
});
var $d_Lcom_metastay_reportapp_actions_ReportTaskActions$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_actions_ReportTaskActions$: 0
}, false, "com.metastay.reportapp.actions.ReportTaskActions$", {
  Lcom_metastay_reportapp_actions_ReportTaskActions$: 1,
  O: 1
});
$c_Lcom_metastay_reportapp_actions_ReportTaskActions$.prototype.$classData = $d_Lcom_metastay_reportapp_actions_ReportTaskActions$;
var $n_Lcom_metastay_reportapp_actions_ReportTaskActions$ = (void 0);
function $m_Lcom_metastay_reportapp_actions_ReportTaskActions$() {
  if ((!$n_Lcom_metastay_reportapp_actions_ReportTaskActions$)) {
    $n_Lcom_metastay_reportapp_actions_ReportTaskActions$ = new $c_Lcom_metastay_reportapp_actions_ReportTaskActions$().init___()
  };
  return $n_Lcom_metastay_reportapp_actions_ReportTaskActions$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$.prototype.constructor = $c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$;
/** @constructor */
function $h_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$.prototype = $c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$.prototype;
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$.prototype.com$metastay$reportapp$actions$ReportTaskActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V = (function(error) {
  if ($is_Lcom_iteration3_smilejs_ClientErrors(error)) {
    var x2 = $as_Lcom_iteration3_smilejs_ClientErrors(error);
    var list = x2.list$2;
    var jsx$2 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f = (function(x$1$2) {
      var x$1 = $as_Lcom_iteration3_smilejs_ClientError(x$1$2);
      return x$1.message$1
    });
    var this$1 = $m_sci_List$();
    var bf = this$1.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list === $m_sci_Nil$())) {
        var jsx$1 = $m_sci_Nil$()
      } else {
        var arg1 = list.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = list.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$2 = rest;
          rest = this$2.tail__sci_List()
        };
        var jsx$1 = h
      }
    } else {
      var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list, bf);
      var these = list;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$3 = these;
        these = this$3.tail__sci_List()
      };
      var jsx$1 = b.result__O()
    };
    jsx$2.error__T__s_Option__s_Option__V($as_sc_TraversableOnce(jsx$1).mkString__T__T("\n"), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_ClientExceptions(error)) {
    var x3 = $as_Lcom_iteration3_smilejs_ClientExceptions(error);
    var list$2 = x3.list$2;
    var jsx$4 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f$1 = (function(x$2$2) {
      var x$2 = $as_Lcom_iteration3_smilejs_ClientException(x$2$2);
      return x$2.message$1
    });
    var this$6 = $m_sci_List$();
    var bf$1 = this$6.ReusableCBFInstance$2;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list$2 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1$3 = list$2.head__O();
        var h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        var t$1 = h$1;
        var rest$1 = list$2.tail__sci_List();
        while ((rest$1 !== $m_sci_Nil$())) {
          var arg1$4 = rest$1.head__O();
          var nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          var this$7 = rest$1;
          rest$1 = this$7.tail__sci_List()
        };
        var jsx$3 = h$1
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list$2, bf$1);
      var these$1 = list$2;
      while ((!these$1.isEmpty__Z())) {
        var arg1$5 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        var this$8 = these$1;
        these$1 = this$8.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    jsx$4.error__T__s_Option__s_Option__V(("Error : " + $as_sc_TraversableOnce(jsx$3).mkString__T__T("\n")), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Forbidden(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Unauthorized(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ((!$is_Lcom_iteration3_smilejs_ServerError(error))) {
    if ($is_Lcom_iteration3_smilejs_ServerTimeout(error)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("Server is not responding; Try again later", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
    } else {
      $is_Lcom_iteration3_smilejs_OtherResponse(error)
    }
  }
});
var $d_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_actions_ReportTaskActionsCode$: 0
}, false, "com.metastay.reportapp.actions.ReportTaskActionsCode$", {
  Lcom_metastay_reportapp_actions_ReportTaskActionsCode$: 1,
  O: 1
});
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$.prototype.$classData = $d_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$;
var $n_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$ = (void 0);
function $m_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$() {
  if ((!$n_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$)) {
    $n_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$ = new $c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$().init___()
  };
  return $n_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_actions_ReportUserActions$() {
  $c_O.call(this);
  this.search$1 = null
}
$c_Lcom_metastay_reportapp_actions_ReportUserActions$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_actions_ReportUserActions$.prototype.constructor = $c_Lcom_metastay_reportapp_actions_ReportUserActions$;
/** @constructor */
function $h_Lcom_metastay_reportapp_actions_ReportUserActions$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_actions_ReportUserActions$.prototype = $c_Lcom_metastay_reportapp_actions_ReportUserActions$.prototype;
$c_Lcom_metastay_reportapp_actions_ReportUserActions$.prototype.init___ = (function() {
  $n_Lcom_metastay_reportapp_actions_ReportUserActions$ = this;
  this.search$1 = (function(f) {
    return (function(arg1, arg2) {
      return f.apply__O__O__O(arg1, arg2)
    })
  })(new $c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1().init___());
  return this
});
$c_Lcom_metastay_reportapp_actions_ReportUserActions$.prototype.$$js$exported$prop$search__O = (function() {
  return this.search$1
});
Object.defineProperty($c_Lcom_metastay_reportapp_actions_ReportUserActions$.prototype, "search", {
  "get": (function() {
    return this.$$js$exported$prop$search__O()
  }),
  "configurable": true
});
var $d_Lcom_metastay_reportapp_actions_ReportUserActions$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_actions_ReportUserActions$: 0
}, false, "com.metastay.reportapp.actions.ReportUserActions$", {
  Lcom_metastay_reportapp_actions_ReportUserActions$: 1,
  O: 1
});
$c_Lcom_metastay_reportapp_actions_ReportUserActions$.prototype.$classData = $d_Lcom_metastay_reportapp_actions_ReportUserActions$;
var $n_Lcom_metastay_reportapp_actions_ReportUserActions$ = (void 0);
function $m_Lcom_metastay_reportapp_actions_ReportUserActions$() {
  if ((!$n_Lcom_metastay_reportapp_actions_ReportUserActions$)) {
    $n_Lcom_metastay_reportapp_actions_ReportUserActions$ = new $c_Lcom_metastay_reportapp_actions_ReportUserActions$().init___()
  };
  return $n_Lcom_metastay_reportapp_actions_ReportUserActions$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$.prototype.constructor = $c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$;
/** @constructor */
function $h_Lcom_metastay_reportapp_actions_ReportUserActionsCode$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_actions_ReportUserActionsCode$.prototype = $c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$.prototype;
$c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$.prototype.com$metastay$reportapp$actions$ReportUserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V = (function(error) {
  if ($is_Lcom_iteration3_smilejs_ClientErrors(error)) {
    var x2 = $as_Lcom_iteration3_smilejs_ClientErrors(error);
    var list = x2.list$2;
    var jsx$2 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f = (function(x$1$2) {
      var x$1 = $as_Lcom_iteration3_smilejs_ClientError(x$1$2);
      return x$1.message$1
    });
    var this$1 = $m_sci_List$();
    var bf = this$1.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list === $m_sci_Nil$())) {
        var jsx$1 = $m_sci_Nil$()
      } else {
        var arg1 = list.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = list.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$2 = rest;
          rest = this$2.tail__sci_List()
        };
        var jsx$1 = h
      }
    } else {
      var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list, bf);
      var these = list;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$3 = these;
        these = this$3.tail__sci_List()
      };
      var jsx$1 = b.result__O()
    };
    jsx$2.error__T__s_Option__s_Option__V($as_sc_TraversableOnce(jsx$1).mkString__T__T("\n"), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_ClientExceptions(error)) {
    var x3 = $as_Lcom_iteration3_smilejs_ClientExceptions(error);
    var list$2 = x3.list$2;
    var jsx$4 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f$1 = (function(x$2$2) {
      var x$2 = $as_Lcom_iteration3_smilejs_ClientException(x$2$2);
      return x$2.message$1
    });
    var this$6 = $m_sci_List$();
    var bf$1 = this$6.ReusableCBFInstance$2;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list$2 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1$3 = list$2.head__O();
        var h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        var t$1 = h$1;
        var rest$1 = list$2.tail__sci_List();
        while ((rest$1 !== $m_sci_Nil$())) {
          var arg1$4 = rest$1.head__O();
          var nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          var this$7 = rest$1;
          rest$1 = this$7.tail__sci_List()
        };
        var jsx$3 = h$1
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list$2, bf$1);
      var these$1 = list$2;
      while ((!these$1.isEmpty__Z())) {
        var arg1$5 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        var this$8 = these$1;
        these$1 = this$8.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    jsx$4.error__T__s_Option__s_Option__V(("Error : " + $as_sc_TraversableOnce(jsx$3).mkString__T__T("\n")), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Forbidden(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Unauthorized(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ((!$is_Lcom_iteration3_smilejs_ServerError(error))) {
    if ($is_Lcom_iteration3_smilejs_ServerTimeout(error)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("Server is not responding; Try again later", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
    } else {
      $is_Lcom_iteration3_smilejs_OtherResponse(error)
    }
  }
});
var $d_Lcom_metastay_reportapp_actions_ReportUserActionsCode$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_actions_ReportUserActionsCode$: 0
}, false, "com.metastay.reportapp.actions.ReportUserActionsCode$", {
  Lcom_metastay_reportapp_actions_ReportUserActionsCode$: 1,
  O: 1
});
$c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$.prototype.$classData = $d_Lcom_metastay_reportapp_actions_ReportUserActionsCode$;
var $n_Lcom_metastay_reportapp_actions_ReportUserActionsCode$ = (void 0);
function $m_Lcom_metastay_reportapp_actions_ReportUserActionsCode$() {
  if ((!$n_Lcom_metastay_reportapp_actions_ReportUserActionsCode$)) {
    $n_Lcom_metastay_reportapp_actions_ReportUserActionsCode$ = new $c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$().init___()
  };
  return $n_Lcom_metastay_reportapp_actions_ReportUserActionsCode$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_bus_ReportFlowBus$() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_bus_ReportFlowBus$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_bus_ReportFlowBus$.prototype.constructor = $c_Lcom_metastay_reportapp_bus_ReportFlowBus$;
/** @constructor */
function $h_Lcom_metastay_reportapp_bus_ReportFlowBus$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_bus_ReportFlowBus$.prototype = $c_Lcom_metastay_reportapp_bus_ReportFlowBus$.prototype;
$c_Lcom_metastay_reportapp_bus_ReportFlowBus$.prototype.init___ = (function() {
  return this
});
var $d_Lcom_metastay_reportapp_bus_ReportFlowBus$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_bus_ReportFlowBus$: 0
}, false, "com.metastay.reportapp.bus.ReportFlowBus$", {
  Lcom_metastay_reportapp_bus_ReportFlowBus$: 1,
  O: 1
});
$c_Lcom_metastay_reportapp_bus_ReportFlowBus$.prototype.$classData = $d_Lcom_metastay_reportapp_bus_ReportFlowBus$;
var $n_Lcom_metastay_reportapp_bus_ReportFlowBus$ = (void 0);
function $m_Lcom_metastay_reportapp_bus_ReportFlowBus$() {
  if ((!$n_Lcom_metastay_reportapp_bus_ReportFlowBus$)) {
    $n_Lcom_metastay_reportapp_bus_ReportFlowBus$ = new $c_Lcom_metastay_reportapp_bus_ReportFlowBus$().init___()
  };
  return $n_Lcom_metastay_reportapp_bus_ReportFlowBus$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_bus_ReportTaskBus$() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_bus_ReportTaskBus$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_bus_ReportTaskBus$.prototype.constructor = $c_Lcom_metastay_reportapp_bus_ReportTaskBus$;
/** @constructor */
function $h_Lcom_metastay_reportapp_bus_ReportTaskBus$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_bus_ReportTaskBus$.prototype = $c_Lcom_metastay_reportapp_bus_ReportTaskBus$.prototype;
$c_Lcom_metastay_reportapp_bus_ReportTaskBus$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_bus_ReportTaskBus$.prototype.emitTaskNameListForFlowLoaded__sjs_js_Array__V = (function(taskNameList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("ReportTask-taskNameListForFlowLoaded", taskNameList)
});
$c_Lcom_metastay_reportapp_bus_ReportTaskBus$.prototype.$$js$exported$meth$onTaskNameListForFlowLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("ReportTask-taskNameListForFlowLoaded", f)
});
$c_Lcom_metastay_reportapp_bus_ReportTaskBus$.prototype.$$js$exported$meth$emitTaskNameListForFlowLoaded__sjs_js_Array__O = (function(taskNameList) {
  this.emitTaskNameListForFlowLoaded__sjs_js_Array__V(taskNameList)
});
$c_Lcom_metastay_reportapp_bus_ReportTaskBus$.prototype.$$js$exported$meth$offTaskNameListForFlowLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("ReportTask-taskNameListForFlowLoaded")
});
$c_Lcom_metastay_reportapp_bus_ReportTaskBus$.prototype.offTaskNameListForFlowLoaded = (function() {
  return this.$$js$exported$meth$offTaskNameListForFlowLoaded__O()
});
$c_Lcom_metastay_reportapp_bus_ReportTaskBus$.prototype.onTaskNameListForFlowLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onTaskNameListForFlowLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_reportapp_bus_ReportTaskBus$.prototype.emitTaskNameListForFlowLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitTaskNameListForFlowLoaded__sjs_js_Array__O(prep0)
});
var $d_Lcom_metastay_reportapp_bus_ReportTaskBus$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_bus_ReportTaskBus$: 0
}, false, "com.metastay.reportapp.bus.ReportTaskBus$", {
  Lcom_metastay_reportapp_bus_ReportTaskBus$: 1,
  O: 1
});
$c_Lcom_metastay_reportapp_bus_ReportTaskBus$.prototype.$classData = $d_Lcom_metastay_reportapp_bus_ReportTaskBus$;
var $n_Lcom_metastay_reportapp_bus_ReportTaskBus$ = (void 0);
function $m_Lcom_metastay_reportapp_bus_ReportTaskBus$() {
  if ((!$n_Lcom_metastay_reportapp_bus_ReportTaskBus$)) {
    $n_Lcom_metastay_reportapp_bus_ReportTaskBus$ = new $c_Lcom_metastay_reportapp_bus_ReportTaskBus$().init___()
  };
  return $n_Lcom_metastay_reportapp_bus_ReportTaskBus$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_bus_ReportUserBus$() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_bus_ReportUserBus$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_bus_ReportUserBus$.prototype.constructor = $c_Lcom_metastay_reportapp_bus_ReportUserBus$;
/** @constructor */
function $h_Lcom_metastay_reportapp_bus_ReportUserBus$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_bus_ReportUserBus$.prototype = $c_Lcom_metastay_reportapp_bus_ReportUserBus$.prototype;
$c_Lcom_metastay_reportapp_bus_ReportUserBus$.prototype.init___ = (function() {
  return this
});
var $d_Lcom_metastay_reportapp_bus_ReportUserBus$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_bus_ReportUserBus$: 0
}, false, "com.metastay.reportapp.bus.ReportUserBus$", {
  Lcom_metastay_reportapp_bus_ReportUserBus$: 1,
  O: 1
});
$c_Lcom_metastay_reportapp_bus_ReportUserBus$.prototype.$classData = $d_Lcom_metastay_reportapp_bus_ReportUserBus$;
var $n_Lcom_metastay_reportapp_bus_ReportUserBus$ = (void 0);
function $m_Lcom_metastay_reportapp_bus_ReportUserBus$() {
  if ((!$n_Lcom_metastay_reportapp_bus_ReportUserBus$)) {
    $n_Lcom_metastay_reportapp_bus_ReportUserBus$ = new $c_Lcom_metastay_reportapp_bus_ReportUserBus$().init___()
  };
  return $n_Lcom_metastay_reportapp_bus_ReportUserBus$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_service_loggedinuserreader_LoggedInUserReaderBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoggedInUserReaderBackend$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoggedInUserReaderBackend$.prototype.constructor = $c_Lcom_metastay_reportapp_service_loggedinuserreader_LoggedInUserReaderBackend$;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_loggedinuserreader_LoggedInUserReaderBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_loggedinuserreader_LoggedInUserReaderBackend$.prototype = $c_Lcom_metastay_reportapp_service_loggedinuserreader_LoggedInUserReaderBackend$.prototype;
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoggedInUserReaderBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoggedInUserReaderBackend$.prototype.loadUserDetails__s_concurrent_Future = (function() {
  return $m_Lcom_iteration3_smilejs_BackendService$().get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/report-api/loggedinuser/load-user-details"])).s__sc_Seq__T($m_sci_Nil$()), new $c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input().init___(), false, $m_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$().toJs$1, $m_Lsmilejs_com_metastay_browserdata_data_UserDetails$().fromJs$1)
});
var $d_Lcom_metastay_reportapp_service_loggedinuserreader_LoggedInUserReaderBackend$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_loggedinuserreader_LoggedInUserReaderBackend$: 0
}, false, "com.metastay.reportapp.service.loggedinuserreader.LoggedInUserReaderBackend$", {
  Lcom_metastay_reportapp_service_loggedinuserreader_LoggedInUserReaderBackend$: 1,
  O: 1
});
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoggedInUserReaderBackend$.prototype.$classData = $d_Lcom_metastay_reportapp_service_loggedinuserreader_LoggedInUserReaderBackend$;
var $n_Lcom_metastay_reportapp_service_loggedinuserreader_LoggedInUserReaderBackend$ = (void 0);
function $m_Lcom_metastay_reportapp_service_loggedinuserreader_LoggedInUserReaderBackend$() {
  if ((!$n_Lcom_metastay_reportapp_service_loggedinuserreader_LoggedInUserReaderBackend$)) {
    $n_Lcom_metastay_reportapp_service_loggedinuserreader_LoggedInUserReaderBackend$ = new $c_Lcom_metastay_reportapp_service_loggedinuserreader_LoggedInUserReaderBackend$().init___()
  };
  return $n_Lcom_metastay_reportapp_service_loggedinuserreader_LoggedInUserReaderBackend$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$.prototype = $c_Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$.prototype;
$c_Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$.prototype.getFlowNameList__s_concurrent_Future = (function() {
  return $m_Lcom_iteration3_smilejs_BackendService$().get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/report-api/reportflow/get-flow-name-list"])).s__sc_Seq__T($m_sci_Nil$()), new $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input().init___(), false, $m_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$().toJs$1, $m_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$().fromJs$1)
});
$c_Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$.prototype.search__Lcom_metastay_reportapp_service_reportflowreader_Search$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/report-api/reportflow/search"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$().toJs$1, $m_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$().fromJs$1)
});
var $d_Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$: 0
}, false, "com.metastay.reportapp.service.reportflowreader.ReportFlowReaderBackend$", {
  Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$: 1,
  O: 1
});
$c_Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$;
var $n_Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$ = (void 0);
function $m_Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$() {
  if ((!$n_Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$)) {
    $n_Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$ = new $c_Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$().init___()
  };
  return $n_Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$.prototype.constructor = $c_Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$.prototype = $c_Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$.prototype;
$c_Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$.prototype.search__Lcom_metastay_reportapp_service_reporttaskreader_Search$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/report-api/reporttask/search"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$().toJs$1, $m_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$().fromJs$1)
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$.prototype.getTaskNameList__Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/report-api/reporttask/get-task-name-list"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$().toJs$1, $m_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$().fromJs$1)
});
var $d_Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$: 0
}, false, "com.metastay.reportapp.service.reporttaskreader.ReportTaskReaderBackend$", {
  Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$: 1,
  O: 1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$.prototype.$classData = $d_Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$;
var $n_Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$ = (void 0);
function $m_Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$() {
  if ((!$n_Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$)) {
    $n_Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$ = new $c_Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$().init___()
  };
  return $n_Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportuserreader_ReportUserReaderBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reportuserreader_ReportUserReaderBackend$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportuserreader_ReportUserReaderBackend$.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportuserreader_ReportUserReaderBackend$;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportuserreader_ReportUserReaderBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportuserreader_ReportUserReaderBackend$.prototype = $c_Lcom_metastay_reportapp_service_reportuserreader_ReportUserReaderBackend$.prototype;
$c_Lcom_metastay_reportapp_service_reportuserreader_ReportUserReaderBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reportuserreader_ReportUserReaderBackend$.prototype.search__Lcom_metastay_reportapp_service_reportuserreader_Search$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/report-api/reportuser/search"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$().toJs$1, $m_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$().fromJs$1)
});
var $d_Lcom_metastay_reportapp_service_reportuserreader_ReportUserReaderBackend$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportuserreader_ReportUserReaderBackend$: 0
}, false, "com.metastay.reportapp.service.reportuserreader.ReportUserReaderBackend$", {
  Lcom_metastay_reportapp_service_reportuserreader_ReportUserReaderBackend$: 1,
  O: 1
});
$c_Lcom_metastay_reportapp_service_reportuserreader_ReportUserReaderBackend$.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportuserreader_ReportUserReaderBackend$;
var $n_Lcom_metastay_reportapp_service_reportuserreader_ReportUserReaderBackend$ = (void 0);
function $m_Lcom_metastay_reportapp_service_reportuserreader_ReportUserReaderBackend$() {
  if ((!$n_Lcom_metastay_reportapp_service_reportuserreader_ReportUserReaderBackend$)) {
    $n_Lcom_metastay_reportapp_service_reportuserreader_ReportUserReaderBackend$ = new $c_Lcom_metastay_reportapp_service_reportuserreader_ReportUserReaderBackend$().init___()
  };
  return $n_Lcom_metastay_reportapp_service_reportuserreader_ReportUserReaderBackend$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_store_StateInit$() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_store_StateInit$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_store_StateInit$.prototype.constructor = $c_Lcom_metastay_reportapp_store_StateInit$;
/** @constructor */
function $h_Lcom_metastay_reportapp_store_StateInit$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_store_StateInit$.prototype = $c_Lcom_metastay_reportapp_store_StateInit$.prototype;
$c_Lcom_metastay_reportapp_store_StateInit$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_store_StateInit$.prototype.$$js$exported$meth$init__O = (function() {
  return this.init__Lcom_metastay_reportapp_store_State()
});
$c_Lcom_metastay_reportapp_store_StateInit$.prototype.init__Lcom_metastay_reportapp_store_State = (function() {
  return new ($a_Lcom_metastay_reportapp_store_State())()
});
$c_Lcom_metastay_reportapp_store_StateInit$.prototype.init = (function() {
  return this.$$js$exported$meth$init__O()
});
var $d_Lcom_metastay_reportapp_store_StateInit$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_store_StateInit$: 0
}, false, "com.metastay.reportapp.store.StateInit$", {
  Lcom_metastay_reportapp_store_StateInit$: 1,
  O: 1
});
$c_Lcom_metastay_reportapp_store_StateInit$.prototype.$classData = $d_Lcom_metastay_reportapp_store_StateInit$;
var $n_Lcom_metastay_reportapp_store_StateInit$ = (void 0);
function $m_Lcom_metastay_reportapp_store_StateInit$() {
  if ((!$n_Lcom_metastay_reportapp_store_StateInit$)) {
    $n_Lcom_metastay_reportapp_store_StateInit$ = new $c_Lcom_metastay_reportapp_store_StateInit$().init___()
  };
  return $n_Lcom_metastay_reportapp_store_StateInit$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_store_Store$Ext$() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_store_Store$Ext$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_store_Store$Ext$.prototype.constructor = $c_Lcom_metastay_reportapp_store_Store$Ext$;
/** @constructor */
function $h_Lcom_metastay_reportapp_store_Store$Ext$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_store_Store$Ext$.prototype = $c_Lcom_metastay_reportapp_store_Store$Ext$.prototype;
$c_Lcom_metastay_reportapp_store_Store$Ext$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_store_Store$Ext$.prototype.MUTATE$undREPORT$undTASK$undSEARCH$undRESULT$undSUMMARY$extension__Lcom_metastay_reportapp_store_Store__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary__V = (function($$this, reportTaskSearchResultSummary) {
  $$this.commit("MUTATE_REPORT_TASK_SEARCH_RESULT_SUMMARY", reportTaskSearchResultSummary)
});
$c_Lcom_metastay_reportapp_store_Store$Ext$.prototype.MUTATE$undREPORT$undUSER$undSEARCH$undRESULT$undSUMMARY$extension__Lcom_metastay_reportapp_store_Store__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary__V = (function($$this, reportUserSearchResultSummary) {
  $$this.commit("MUTATE_REPORT_USER_SEARCH_RESULT_SUMMARY", reportUserSearchResultSummary)
});
$c_Lcom_metastay_reportapp_store_Store$Ext$.prototype.MUTATE$undUSER$undDETAILS$extension__Lcom_metastay_reportapp_store_Store__Lcom_metastay_reportapp_data_UserDetails__V = (function($$this, userDetails) {
  $$this.commit("MUTATE_USER_DETAILS", userDetails)
});
$c_Lcom_metastay_reportapp_store_Store$Ext$.prototype.MUTATE$undREPORT$undUSER$undSEARCH$extension__Lcom_metastay_reportapp_store_Store__Lcom_metastay_reportapp_data_ReportUserSearchForm__V = (function($$this, reportUserSearchForm) {
  $$this.commit("MUTATE_REPORT_USER_SEARCH", reportUserSearchForm)
});
$c_Lcom_metastay_reportapp_store_Store$Ext$.prototype.MUTATE$undFQ$undFLOW$undNAME$undLIST$extension__Lcom_metastay_reportapp_store_Store__sjs_js_Array__V = (function($$this, fqFlowNameList) {
  $$this.commit("MUTATE_FQ_FLOW_NAME_LIST", fqFlowNameList)
});
$c_Lcom_metastay_reportapp_store_Store$Ext$.prototype.MUTATE$undREPORT$undTASK$undSEARCH$extension__Lcom_metastay_reportapp_store_Store__Lcom_metastay_reportapp_data_ReportTaskSearchForm__V = (function($$this, reportTaskSearchForm) {
  $$this.commit("MUTATE_REPORT_TASK_SEARCH", reportTaskSearchForm)
});
$c_Lcom_metastay_reportapp_store_Store$Ext$.prototype.MUTATE$undREPORT$undFLOW$undSEARCH$undRESULT$undSUMMARY$extension__Lcom_metastay_reportapp_store_Store__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary__V = (function($$this, reportFlowSearchResultSummary) {
  $$this.commit("MUTATE_REPORT_FLOW_SEARCH_RESULT_SUMMARY", reportFlowSearchResultSummary)
});
$c_Lcom_metastay_reportapp_store_Store$Ext$.prototype.MUTATE$undREPORT$undFLOW$undSEARCH$extension__Lcom_metastay_reportapp_store_Store__Lcom_metastay_reportapp_data_ReportFlowSearchForm__V = (function($$this, reportFlowSearchForm) {
  $$this.commit("MUTATE_REPORT_FLOW_SEARCH", reportFlowSearchForm)
});
var $d_Lcom_metastay_reportapp_store_Store$Ext$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_store_Store$Ext$: 0
}, false, "com.metastay.reportapp.store.Store$Ext$", {
  Lcom_metastay_reportapp_store_Store$Ext$: 1,
  O: 1
});
$c_Lcom_metastay_reportapp_store_Store$Ext$.prototype.$classData = $d_Lcom_metastay_reportapp_store_Store$Ext$;
var $n_Lcom_metastay_reportapp_store_Store$Ext$ = (void 0);
function $m_Lcom_metastay_reportapp_store_Store$Ext$() {
  if ((!$n_Lcom_metastay_reportapp_store_Store$Ext$)) {
    $n_Lcom_metastay_reportapp_store_Store$Ext$ = new $c_Lcom_metastay_reportapp_store_Store$Ext$().init___()
  };
  return $n_Lcom_metastay_reportapp_store_Store$Ext$
}
/** @constructor */
function $c_Lorg_scalajs_dom_ext_Ajax$() {
  $c_O.call(this)
}
$c_Lorg_scalajs_dom_ext_Ajax$.prototype = new $h_O();
$c_Lorg_scalajs_dom_ext_Ajax$.prototype.constructor = $c_Lorg_scalajs_dom_ext_Ajax$;
/** @constructor */
function $h_Lorg_scalajs_dom_ext_Ajax$() {
  /*<skip>*/
}
$h_Lorg_scalajs_dom_ext_Ajax$.prototype = $c_Lorg_scalajs_dom_ext_Ajax$.prototype;
$c_Lorg_scalajs_dom_ext_Ajax$.prototype.init___ = (function() {
  return this
});
$c_Lorg_scalajs_dom_ext_Ajax$.prototype.apply__T__T__Lorg_scalajs_dom_ext_Ajax$InputData__I__sci_Map__Z__T__s_concurrent_Future = (function(method, url, data, timeout, headers, withCredentials, responseType) {
  var req = new $g.XMLHttpRequest();
  var promise = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
  req.onreadystatechange = (function(req$1, promise$1) {
    return (function(e$2) {
      if (($uI(req$1.readyState) === 4)) {
        if (((($uI(req$1.status) >= 200) && ($uI(req$1.status) < 300)) || ($uI(req$1.status) === 304))) {
          return $s_s_concurrent_Promise$class__success__s_concurrent_Promise__O__s_concurrent_Promise(promise$1, req$1)
        } else {
          var cause = new $c_Lorg_scalajs_dom_ext_AjaxException().init___Lorg_scalajs_dom_raw_XMLHttpRequest(req$1);
          return $s_s_concurrent_Promise$class__failure__s_concurrent_Promise__jl_Throwable__s_concurrent_Promise(promise$1, cause)
        }
      } else {
        return (void 0)
      }
    })
  })(req, promise);
  req.open(method, url);
  req.responseType = responseType;
  req.timeout = timeout;
  req.withCredentials = withCredentials;
  headers.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(req$1$1) {
    return (function(x$2) {
      var x = $as_T2(x$2);
      req$1$1.setRequestHeader($as_T(x.$$und1$f), $as_T(x.$$und2$f))
    })
  })(req)));
  if ((data === null)) {
    req.send()
  } else {
    req.send(data)
  };
  return promise
});
var $d_Lorg_scalajs_dom_ext_Ajax$ = new $TypeData().initClass({
  Lorg_scalajs_dom_ext_Ajax$: 0
}, false, "org.scalajs.dom.ext.Ajax$", {
  Lorg_scalajs_dom_ext_Ajax$: 1,
  O: 1
});
$c_Lorg_scalajs_dom_ext_Ajax$.prototype.$classData = $d_Lorg_scalajs_dom_ext_Ajax$;
var $n_Lorg_scalajs_dom_ext_Ajax$ = (void 0);
function $m_Lorg_scalajs_dom_ext_Ajax$() {
  if ((!$n_Lorg_scalajs_dom_ext_Ajax$)) {
    $n_Lorg_scalajs_dom_ext_Ajax$ = new $c_Lorg_scalajs_dom_ext_Ajax$().init___()
  };
  return $n_Lorg_scalajs_dom_ext_Ajax$
}
/** @constructor */
function $c_Lorg_scalajs_dom_package$() {
  $c_O.call(this);
  this.ApplicationCache$1 = null;
  this.Blob$1 = null;
  this.BlobPropertyBag$1 = null;
  this.ClipboardEventInit$1 = null;
  this.DOMException$1 = null;
  this.Event$1 = null;
  this.EventException$1 = null;
  this.EventSource$1 = null;
  this.FileReader$1 = null;
  this.FormData$1 = null;
  this.KeyboardEvent$1 = null;
  this.MediaError$1 = null;
  this.MutationEvent$1 = null;
  this.MutationObserverInit$1 = null;
  this.Node$1 = null;
  this.NodeFilter$1 = null;
  this.PerformanceNavigation$1 = null;
  this.PositionError$1 = null;
  this.Range$1 = null;
  this.TextEvent$1 = null;
  this.TextTrack$1 = null;
  this.URL$1 = null;
  this.VisibilityState$1 = null;
  this.WebSocket$1 = null;
  this.WheelEvent$1 = null;
  this.XMLHttpRequest$1 = null;
  this.XPathResult$1 = null;
  this.window$1 = null;
  this.document$1 = null;
  this.console$1 = null;
  this.bitmap$0$1 = 0
}
$c_Lorg_scalajs_dom_package$.prototype = new $h_O();
$c_Lorg_scalajs_dom_package$.prototype.constructor = $c_Lorg_scalajs_dom_package$;
/** @constructor */
function $h_Lorg_scalajs_dom_package$() {
  /*<skip>*/
}
$h_Lorg_scalajs_dom_package$.prototype = $c_Lorg_scalajs_dom_package$.prototype;
$c_Lorg_scalajs_dom_package$.prototype.init___ = (function() {
  return this
});
$c_Lorg_scalajs_dom_package$.prototype.window__Lorg_scalajs_dom_raw_Window = (function() {
  return (((134217728 & this.bitmap$0$1) === 0) ? this.window$lzycompute__p1__Lorg_scalajs_dom_raw_Window() : this.window$1)
});
$c_Lorg_scalajs_dom_package$.prototype.window$lzycompute__p1__Lorg_scalajs_dom_raw_Window = (function() {
  if (((134217728 & this.bitmap$0$1) === 0)) {
    this.window$1 = $g;
    this.bitmap$0$1 = (134217728 | this.bitmap$0$1)
  };
  return this.window$1
});
var $d_Lorg_scalajs_dom_package$ = new $TypeData().initClass({
  Lorg_scalajs_dom_package$: 0
}, false, "org.scalajs.dom.package$", {
  Lorg_scalajs_dom_package$: 1,
  O: 1
});
$c_Lorg_scalajs_dom_package$.prototype.$classData = $d_Lorg_scalajs_dom_package$;
var $n_Lorg_scalajs_dom_package$ = (void 0);
function $m_Lorg_scalajs_dom_package$() {
  if ((!$n_Lorg_scalajs_dom_package$)) {
    $n_Lorg_scalajs_dom_package$ = new $c_Lorg_scalajs_dom_package$().init___()
  };
  return $n_Lorg_scalajs_dom_package$
}
/** @constructor */
function $c_jl_Class() {
  $c_O.call(this);
  this.data$1 = null
}
$c_jl_Class.prototype = new $h_O();
$c_jl_Class.prototype.constructor = $c_jl_Class;
/** @constructor */
function $h_jl_Class() {
  /*<skip>*/
}
$h_jl_Class.prototype = $c_jl_Class.prototype;
$c_jl_Class.prototype.getName__T = (function() {
  return $as_T(this.data$1.name)
});
$c_jl_Class.prototype.getComponentType__jl_Class = (function() {
  return $as_jl_Class(this.data$1.getComponentType())
});
$c_jl_Class.prototype.isPrimitive__Z = (function() {
  return $uZ(this.data$1.isPrimitive)
});
$c_jl_Class.prototype.toString__T = (function() {
  return ((this.isInterface__Z() ? "interface " : (this.isPrimitive__Z() ? "" : "class ")) + this.getName__T())
});
$c_jl_Class.prototype.isAssignableFrom__jl_Class__Z = (function(that) {
  return ((this.isPrimitive__Z() || that.isPrimitive__Z()) ? ((this === that) || ((this === $d_S.getClassOf()) ? (that === $d_B.getClassOf()) : ((this === $d_I.getClassOf()) ? ((that === $d_B.getClassOf()) || (that === $d_S.getClassOf())) : ((this === $d_F.getClassOf()) ? (((that === $d_B.getClassOf()) || (that === $d_S.getClassOf())) || (that === $d_I.getClassOf())) : ((this === $d_D.getClassOf()) && ((((that === $d_B.getClassOf()) || (that === $d_S.getClassOf())) || (that === $d_I.getClassOf())) || (that === $d_F.getClassOf()))))))) : this.isInstance__O__Z(that.getFakeInstance__p1__O()))
});
$c_jl_Class.prototype.isInstance__O__Z = (function(obj) {
  return $uZ(this.data$1.isInstance(obj))
});
$c_jl_Class.prototype.init___jl_ScalaJSClassData = (function(data) {
  this.data$1 = data;
  return this
});
$c_jl_Class.prototype.getFakeInstance__p1__O = (function() {
  return this.data$1.getFakeInstance()
});
$c_jl_Class.prototype.newArrayOfThisClass__sjs_js_Array__O = (function(dimensions) {
  return this.data$1.newArrayOfThisClass(dimensions)
});
$c_jl_Class.prototype.isArray__Z = (function() {
  return $uZ(this.data$1.isArrayClass)
});
$c_jl_Class.prototype.isInterface__Z = (function() {
  return $uZ(this.data$1.isInterface)
});
function $is_jl_Class(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Class)))
}
function $as_jl_Class(obj) {
  return (($is_jl_Class(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.Class"))
}
function $isArrayOf_jl_Class(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Class)))
}
function $asArrayOf_jl_Class(obj, depth) {
  return (($isArrayOf_jl_Class(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.Class;", depth))
}
var $d_jl_Class = new $TypeData().initClass({
  jl_Class: 0
}, false, "java.lang.Class", {
  jl_Class: 1,
  O: 1
});
$c_jl_Class.prototype.$classData = $d_jl_Class;
/** @constructor */
function $c_jl_System$() {
  $c_O.call(this);
  this.out$1 = null;
  this.err$1 = null;
  this.in$1 = null;
  this.getHighPrecisionTime$1 = null
}
$c_jl_System$.prototype = new $h_O();
$c_jl_System$.prototype.constructor = $c_jl_System$;
/** @constructor */
function $h_jl_System$() {
  /*<skip>*/
}
$h_jl_System$.prototype = $c_jl_System$.prototype;
$c_jl_System$.prototype.init___ = (function() {
  $n_jl_System$ = this;
  this.out$1 = new $c_jl_JSConsoleBasedPrintStream().init___jl_Boolean(false);
  this.err$1 = new $c_jl_JSConsoleBasedPrintStream().init___jl_Boolean(true);
  this.in$1 = null;
  var x = $g.performance;
  if ($uZ((!(!x)))) {
    var x$1 = $g.performance.now;
    if ($uZ((!(!x$1)))) {
      var jsx$1 = (function() {
        return $uD($g.performance.now())
      })
    } else {
      var x$2 = $g.performance.webkitNow;
      if ($uZ((!(!x$2)))) {
        var jsx$1 = (function() {
          return $uD($g.performance.webkitNow())
        })
      } else {
        var jsx$1 = (function() {
          return $uD(new $g.Date().getTime())
        })
      }
    }
  } else {
    var jsx$1 = (function() {
      return $uD(new $g.Date().getTime())
    })
  };
  this.getHighPrecisionTime$1 = jsx$1;
  return this
});
var $d_jl_System$ = new $TypeData().initClass({
  jl_System$: 0
}, false, "java.lang.System$", {
  jl_System$: 1,
  O: 1
});
$c_jl_System$.prototype.$classData = $d_jl_System$;
var $n_jl_System$ = (void 0);
function $m_jl_System$() {
  if ((!$n_jl_System$)) {
    $n_jl_System$ = new $c_jl_System$().init___()
  };
  return $n_jl_System$
}
/** @constructor */
function $c_jl_Thread$() {
  $c_O.call(this);
  this.SingleThread$1 = null
}
$c_jl_Thread$.prototype = new $h_O();
$c_jl_Thread$.prototype.constructor = $c_jl_Thread$;
/** @constructor */
function $h_jl_Thread$() {
  /*<skip>*/
}
$h_jl_Thread$.prototype = $c_jl_Thread$.prototype;
$c_jl_Thread$.prototype.init___ = (function() {
  $n_jl_Thread$ = this;
  this.SingleThread$1 = new $c_jl_Thread().init___sr_BoxedUnit((void 0));
  return this
});
var $d_jl_Thread$ = new $TypeData().initClass({
  jl_Thread$: 0
}, false, "java.lang.Thread$", {
  jl_Thread$: 1,
  O: 1
});
$c_jl_Thread$.prototype.$classData = $d_jl_Thread$;
var $n_jl_Thread$ = (void 0);
function $m_jl_Thread$() {
  if ((!$n_jl_Thread$)) {
    $n_jl_Thread$ = new $c_jl_Thread$().init___()
  };
  return $n_jl_Thread$
}
/** @constructor */
function $c_jl_ThreadLocal() {
  $c_O.call(this);
  this.hasValue$1 = null;
  this.v$1 = null
}
$c_jl_ThreadLocal.prototype = new $h_O();
$c_jl_ThreadLocal.prototype.constructor = $c_jl_ThreadLocal;
/** @constructor */
function $h_jl_ThreadLocal() {
  /*<skip>*/
}
$h_jl_ThreadLocal.prototype = $c_jl_ThreadLocal.prototype;
$c_jl_ThreadLocal.prototype.init___ = (function() {
  this.hasValue$1 = false;
  return this
});
$c_jl_ThreadLocal.prototype.remove__V = (function() {
  this.hasValue$1 = false;
  this.v$1 = null
});
$c_jl_ThreadLocal.prototype.get__O = (function() {
  var x = this.hasValue$1;
  if ((!$uZ(x))) {
    this.set__O__V(null)
  };
  return this.v$1
});
$c_jl_ThreadLocal.prototype.set__O__V = (function(o) {
  this.v$1 = o;
  this.hasValue$1 = true
});
var $d_jl_ThreadLocal = new $TypeData().initClass({
  jl_ThreadLocal: 0
}, false, "java.lang.ThreadLocal", {
  jl_ThreadLocal: 1,
  O: 1
});
$c_jl_ThreadLocal.prototype.$classData = $d_jl_ThreadLocal;
/** @constructor */
function $c_jl_reflect_Array$() {
  $c_O.call(this)
}
$c_jl_reflect_Array$.prototype = new $h_O();
$c_jl_reflect_Array$.prototype.constructor = $c_jl_reflect_Array$;
/** @constructor */
function $h_jl_reflect_Array$() {
  /*<skip>*/
}
$h_jl_reflect_Array$.prototype = $c_jl_reflect_Array$.prototype;
$c_jl_reflect_Array$.prototype.init___ = (function() {
  return this
});
$c_jl_reflect_Array$.prototype.newInstance__jl_Class__I__O = (function(componentType, length) {
  return componentType.newArrayOfThisClass__sjs_js_Array__O([length])
});
var $d_jl_reflect_Array$ = new $TypeData().initClass({
  jl_reflect_Array$: 0
}, false, "java.lang.reflect.Array$", {
  jl_reflect_Array$: 1,
  O: 1
});
$c_jl_reflect_Array$.prototype.$classData = $d_jl_reflect_Array$;
var $n_jl_reflect_Array$ = (void 0);
function $m_jl_reflect_Array$() {
  if ((!$n_jl_reflect_Array$)) {
    $n_jl_reflect_Array$ = new $c_jl_reflect_Array$().init___()
  };
  return $n_jl_reflect_Array$
}
/** @constructor */
function $c_ju_Arrays$() {
  $c_O.call(this);
  this.inPlaceSortThreshold$1 = 0
}
$c_ju_Arrays$.prototype = new $h_O();
$c_ju_Arrays$.prototype.constructor = $c_ju_Arrays$;
/** @constructor */
function $h_ju_Arrays$() {
  /*<skip>*/
}
$h_ju_Arrays$.prototype = $c_ju_Arrays$.prototype;
$c_ju_Arrays$.prototype.init___ = (function() {
  return this
});
$c_ju_Arrays$.prototype.fill__AI__I__V = (function(a, value) {
  var toIndex = a.u.length;
  var i = 0;
  while ((i !== toIndex)) {
    a.set(i, value);
    i = ((1 + i) | 0)
  }
});
var $d_ju_Arrays$ = new $TypeData().initClass({
  ju_Arrays$: 0
}, false, "java.util.Arrays$", {
  ju_Arrays$: 1,
  O: 1
});
$c_ju_Arrays$.prototype.$classData = $d_ju_Arrays$;
var $n_ju_Arrays$ = (void 0);
function $m_ju_Arrays$() {
  if ((!$n_ju_Arrays$)) {
    $n_ju_Arrays$ = new $c_ju_Arrays$().init___()
  };
  return $n_ju_Arrays$
}
/** @constructor */
function $c_s_FallbackArrayBuilding() {
  $c_O.call(this)
}
$c_s_FallbackArrayBuilding.prototype = new $h_O();
$c_s_FallbackArrayBuilding.prototype.constructor = $c_s_FallbackArrayBuilding;
/** @constructor */
function $h_s_FallbackArrayBuilding() {
  /*<skip>*/
}
$h_s_FallbackArrayBuilding.prototype = $c_s_FallbackArrayBuilding.prototype;
/** @constructor */
function $c_s_LowPriorityImplicits() {
  $c_O.call(this)
}
$c_s_LowPriorityImplicits.prototype = new $h_O();
$c_s_LowPriorityImplicits.prototype.constructor = $c_s_LowPriorityImplicits;
/** @constructor */
function $h_s_LowPriorityImplicits() {
  /*<skip>*/
}
$h_s_LowPriorityImplicits.prototype = $c_s_LowPriorityImplicits.prototype;
/** @constructor */
function $c_s_PartialFunction$() {
  $c_O.call(this);
  this.scala$PartialFunction$$fallback$undpf$f = null;
  this.scala$PartialFunction$$constFalse$f = null;
  this.empty$undpf$1 = null
}
$c_s_PartialFunction$.prototype = new $h_O();
$c_s_PartialFunction$.prototype.constructor = $c_s_PartialFunction$;
/** @constructor */
function $h_s_PartialFunction$() {
  /*<skip>*/
}
$h_s_PartialFunction$.prototype = $c_s_PartialFunction$.prototype;
$c_s_PartialFunction$.prototype.init___ = (function() {
  $n_s_PartialFunction$ = this;
  this.scala$PartialFunction$$fallback$undpf$f = new $c_s_PartialFunction$$anonfun$4().init___();
  this.scala$PartialFunction$$constFalse$f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$1$2) {
      return false
    })
  })(this));
  this.empty$undpf$1 = new $c_s_PartialFunction$$anon$1().init___();
  return this
});
var $d_s_PartialFunction$ = new $TypeData().initClass({
  s_PartialFunction$: 0
}, false, "scala.PartialFunction$", {
  s_PartialFunction$: 1,
  O: 1
});
$c_s_PartialFunction$.prototype.$classData = $d_s_PartialFunction$;
var $n_s_PartialFunction$ = (void 0);
function $m_s_PartialFunction$() {
  if ((!$n_s_PartialFunction$)) {
    $n_s_PartialFunction$ = new $c_s_PartialFunction$().init___()
  };
  return $n_s_PartialFunction$
}
/** @constructor */
function $c_s_Predef$any2stringadd$() {
  $c_O.call(this)
}
$c_s_Predef$any2stringadd$.prototype = new $h_O();
$c_s_Predef$any2stringadd$.prototype.constructor = $c_s_Predef$any2stringadd$;
/** @constructor */
function $h_s_Predef$any2stringadd$() {
  /*<skip>*/
}
$h_s_Predef$any2stringadd$.prototype = $c_s_Predef$any2stringadd$.prototype;
$c_s_Predef$any2stringadd$.prototype.init___ = (function() {
  return this
});
$c_s_Predef$any2stringadd$.prototype.$$plus$extension__O__T__T = (function($$this, other) {
  return (("" + $m_sjsr_RuntimeString$().valueOf__O__T($$this)) + other)
});
var $d_s_Predef$any2stringadd$ = new $TypeData().initClass({
  s_Predef$any2stringadd$: 0
}, false, "scala.Predef$any2stringadd$", {
  s_Predef$any2stringadd$: 1,
  O: 1
});
$c_s_Predef$any2stringadd$.prototype.$classData = $d_s_Predef$any2stringadd$;
var $n_s_Predef$any2stringadd$ = (void 0);
function $m_s_Predef$any2stringadd$() {
  if ((!$n_s_Predef$any2stringadd$)) {
    $n_s_Predef$any2stringadd$ = new $c_s_Predef$any2stringadd$().init___()
  };
  return $n_s_Predef$any2stringadd$
}
/** @constructor */
function $c_s_concurrent_BlockContext$() {
  $c_O.call(this);
  this.contextLocal$1 = null
}
$c_s_concurrent_BlockContext$.prototype = new $h_O();
$c_s_concurrent_BlockContext$.prototype.constructor = $c_s_concurrent_BlockContext$;
/** @constructor */
function $h_s_concurrent_BlockContext$() {
  /*<skip>*/
}
$h_s_concurrent_BlockContext$.prototype = $c_s_concurrent_BlockContext$.prototype;
$c_s_concurrent_BlockContext$.prototype.init___ = (function() {
  $n_s_concurrent_BlockContext$ = this;
  this.contextLocal$1 = new $c_jl_ThreadLocal().init___();
  return this
});
$c_s_concurrent_BlockContext$.prototype.current__s_concurrent_BlockContext = (function() {
  var x1 = $as_s_concurrent_BlockContext(this.contextLocal$1.get__O());
  if ((x1 === null)) {
    var x1$2 = $m_jl_Thread$().SingleThread$1;
    return ($is_s_concurrent_BlockContext(x1$2) ? $as_s_concurrent_BlockContext(x1$2) : $m_s_concurrent_BlockContext$DefaultBlockContext$())
  } else {
    return x1
  }
});
var $d_s_concurrent_BlockContext$ = new $TypeData().initClass({
  s_concurrent_BlockContext$: 0
}, false, "scala.concurrent.BlockContext$", {
  s_concurrent_BlockContext$: 1,
  O: 1
});
$c_s_concurrent_BlockContext$.prototype.$classData = $d_s_concurrent_BlockContext$;
var $n_s_concurrent_BlockContext$ = (void 0);
function $m_s_concurrent_BlockContext$() {
  if ((!$n_s_concurrent_BlockContext$)) {
    $n_s_concurrent_BlockContext$ = new $c_s_concurrent_BlockContext$().init___()
  };
  return $n_s_concurrent_BlockContext$
}
/** @constructor */
function $c_s_concurrent_ExecutionContext$Implicits$() {
  $c_O.call(this);
  this.global$1 = null;
  this.bitmap$0$1 = false
}
$c_s_concurrent_ExecutionContext$Implicits$.prototype = new $h_O();
$c_s_concurrent_ExecutionContext$Implicits$.prototype.constructor = $c_s_concurrent_ExecutionContext$Implicits$;
/** @constructor */
function $h_s_concurrent_ExecutionContext$Implicits$() {
  /*<skip>*/
}
$h_s_concurrent_ExecutionContext$Implicits$.prototype = $c_s_concurrent_ExecutionContext$Implicits$.prototype;
$c_s_concurrent_ExecutionContext$Implicits$.prototype.init___ = (function() {
  return this
});
$c_s_concurrent_ExecutionContext$Implicits$.prototype.global$lzycompute__p1__s_concurrent_ExecutionContextExecutor = (function() {
  if ((!this.bitmap$0$1)) {
    this.global$1 = $m_sjs_concurrent_JSExecutionContext$().queue$1;
    this.bitmap$0$1 = true
  };
  return this.global$1
});
$c_s_concurrent_ExecutionContext$Implicits$.prototype.global__s_concurrent_ExecutionContextExecutor = (function() {
  return ((!this.bitmap$0$1) ? this.global$lzycompute__p1__s_concurrent_ExecutionContextExecutor() : this.global$1)
});
var $d_s_concurrent_ExecutionContext$Implicits$ = new $TypeData().initClass({
  s_concurrent_ExecutionContext$Implicits$: 0
}, false, "scala.concurrent.ExecutionContext$Implicits$", {
  s_concurrent_ExecutionContext$Implicits$: 1,
  O: 1
});
$c_s_concurrent_ExecutionContext$Implicits$.prototype.$classData = $d_s_concurrent_ExecutionContext$Implicits$;
var $n_s_concurrent_ExecutionContext$Implicits$ = (void 0);
function $m_s_concurrent_ExecutionContext$Implicits$() {
  if ((!$n_s_concurrent_ExecutionContext$Implicits$)) {
    $n_s_concurrent_ExecutionContext$Implicits$ = new $c_s_concurrent_ExecutionContext$Implicits$().init___()
  };
  return $n_s_concurrent_ExecutionContext$Implicits$
}
function $is_s_concurrent_Future(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_concurrent_Future)))
}
function $as_s_concurrent_Future(obj) {
  return (($is_s_concurrent_Future(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.concurrent.Future"))
}
function $isArrayOf_s_concurrent_Future(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_concurrent_Future)))
}
function $asArrayOf_s_concurrent_Future(obj, depth) {
  return (($isArrayOf_s_concurrent_Future(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.concurrent.Future;", depth))
}
/** @constructor */
function $c_s_concurrent_Future$() {
  $c_O.call(this);
  this.toBoxed$1 = null
}
$c_s_concurrent_Future$.prototype = new $h_O();
$c_s_concurrent_Future$.prototype.constructor = $c_s_concurrent_Future$;
/** @constructor */
function $h_s_concurrent_Future$() {
  /*<skip>*/
}
$h_s_concurrent_Future$.prototype = $c_s_concurrent_Future$.prototype;
$c_s_concurrent_Future$.prototype.init___ = (function() {
  $n_s_concurrent_Future$ = this;
  var array = [new $c_T2().init___O__O($d_Z.getClassOf(), $d_jl_Boolean.getClassOf()), new $c_T2().init___O__O($d_B.getClassOf(), $d_jl_Byte.getClassOf()), new $c_T2().init___O__O($d_C.getClassOf(), $d_jl_Character.getClassOf()), new $c_T2().init___O__O($d_S.getClassOf(), $d_jl_Short.getClassOf()), new $c_T2().init___O__O($d_I.getClassOf(), $d_jl_Integer.getClassOf()), new $c_T2().init___O__O($d_J.getClassOf(), $d_jl_Long.getClassOf()), new $c_T2().init___O__O($d_F.getClassOf(), $d_jl_Float.getClassOf()), new $c_T2().init___O__O($d_D.getClassOf(), $d_jl_Double.getClassOf()), new $c_T2().init___O__O($d_V.getClassOf(), $d_sr_BoxedUnit.getClassOf())];
  var this$20 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  var i = 0;
  var len = $uI(array.length);
  while ((i < len)) {
    var index = i;
    var arg1 = array[index];
    this$20.$$plus$eq__T2__scm_MapBuilder($as_T2(arg1));
    i = ((1 + i) | 0)
  };
  this.toBoxed$1 = $as_sci_Map(this$20.elems$1);
  return this
});
$c_s_concurrent_Future$.prototype.sequence__sc_TraversableOnce__scg_CanBuildFrom__s_concurrent_ExecutionContext__s_concurrent_Future = (function($in, cbf, executor) {
  var this$1 = $as_s_concurrent_Future($in.foldLeft__O__F2__O(this.successful__O__s_concurrent_Future(cbf.apply__O__scm_Builder($in)), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this, executor$1) {
    return (function(fr$2, fa$2) {
      var fr = $as_s_concurrent_Future(fr$2);
      var fa = $as_s_concurrent_Future(fa$2);
      var f$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, executor$1$1, fa$1) {
        return (function(r$2) {
          var r = $as_scm_Builder(r$2);
          var f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, r$1) {
            return (function(a$2) {
              return r$1.$$plus$eq__O__scm_Builder(a$2)
            })
          })($this$1, r));
          return $s_s_concurrent_Future$class__map__s_concurrent_Future__F1__s_concurrent_ExecutionContext__s_concurrent_Future(fa$1, f, executor$1$1)
        })
      })($this, executor$1, fa));
      return $s_s_concurrent_Future$class__flatMap__s_concurrent_Future__F1__s_concurrent_ExecutionContext__s_concurrent_Future(fr, f$1, executor$1)
    })
  })(this, executor))));
  var f$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
    return (function(x$3$2) {
      var x$3 = $as_scm_Builder(x$3$2);
      return $as_sc_TraversableOnce(x$3.result__O())
    })
  })(this));
  var executor$2 = $m_s_concurrent_Future$InternalCallbackExecutor$();
  return $s_s_concurrent_Future$class__map__s_concurrent_Future__F1__s_concurrent_ExecutionContext__s_concurrent_Future(this$1, f$2, executor$2)
});
$c_s_concurrent_Future$.prototype.successful__O__s_concurrent_Future = (function(result) {
  var this$1 = $m_s_concurrent_Promise$().successful__O__s_concurrent_Promise(result);
  return this$1
});
var $d_s_concurrent_Future$ = new $TypeData().initClass({
  s_concurrent_Future$: 0
}, false, "scala.concurrent.Future$", {
  s_concurrent_Future$: 1,
  O: 1
});
$c_s_concurrent_Future$.prototype.$classData = $d_s_concurrent_Future$;
var $n_s_concurrent_Future$ = (void 0);
function $m_s_concurrent_Future$() {
  if ((!$n_s_concurrent_Future$)) {
    $n_s_concurrent_Future$ = new $c_s_concurrent_Future$().init___()
  };
  return $n_s_concurrent_Future$
}
/** @constructor */
function $c_s_concurrent_Promise$() {
  $c_O.call(this)
}
$c_s_concurrent_Promise$.prototype = new $h_O();
$c_s_concurrent_Promise$.prototype.constructor = $c_s_concurrent_Promise$;
/** @constructor */
function $h_s_concurrent_Promise$() {
  /*<skip>*/
}
$h_s_concurrent_Promise$.prototype = $c_s_concurrent_Promise$.prototype;
$c_s_concurrent_Promise$.prototype.init___ = (function() {
  return this
});
$c_s_concurrent_Promise$.prototype.successful__O__s_concurrent_Promise = (function(result) {
  var result$1 = new $c_s_util_Success().init___O(result);
  return new $c_s_concurrent_impl_Promise$KeptPromise().init___s_util_Try(result$1)
});
var $d_s_concurrent_Promise$ = new $TypeData().initClass({
  s_concurrent_Promise$: 0
}, false, "scala.concurrent.Promise$", {
  s_concurrent_Promise$: 1,
  O: 1
});
$c_s_concurrent_Promise$.prototype.$classData = $d_s_concurrent_Promise$;
var $n_s_concurrent_Promise$ = (void 0);
function $m_s_concurrent_Promise$() {
  if ((!$n_s_concurrent_Promise$)) {
    $n_s_concurrent_Promise$ = new $c_s_concurrent_Promise$().init___()
  };
  return $n_s_concurrent_Promise$
}
/** @constructor */
function $c_s_concurrent_impl_Promise$() {
  $c_O.call(this)
}
$c_s_concurrent_impl_Promise$.prototype = new $h_O();
$c_s_concurrent_impl_Promise$.prototype.constructor = $c_s_concurrent_impl_Promise$;
/** @constructor */
function $h_s_concurrent_impl_Promise$() {
  /*<skip>*/
}
$h_s_concurrent_impl_Promise$.prototype = $c_s_concurrent_impl_Promise$.prototype;
$c_s_concurrent_impl_Promise$.prototype.init___ = (function() {
  return this
});
$c_s_concurrent_impl_Promise$.prototype.scala$concurrent$impl$Promise$$resolveTry__s_util_Try__s_util_Try = (function(source) {
  if ($is_s_util_Failure(source)) {
    var x2 = $as_s_util_Failure(source);
    var t = x2.exception$2;
    return this.resolver__p1__jl_Throwable__s_util_Try(t)
  } else {
    return source
  }
});
$c_s_concurrent_impl_Promise$.prototype.resolver__p1__jl_Throwable__s_util_Try = (function(throwable) {
  if ($is_sr_NonLocalReturnControl(throwable)) {
    var x2 = $as_sr_NonLocalReturnControl(throwable);
    return new $c_s_util_Success().init___O(x2.value__O())
  } else if ($is_s_util_control_ControlThrowable(throwable)) {
    var x3 = $as_s_util_control_ControlThrowable(throwable);
    return new $c_s_util_Failure().init___jl_Throwable(new $c_ju_concurrent_ExecutionException().init___T__jl_Throwable("Boxed ControlThrowable", $as_jl_Throwable(x3)))
  } else if ($is_jl_InterruptedException(throwable)) {
    var x4 = $as_jl_InterruptedException(throwable);
    return new $c_s_util_Failure().init___jl_Throwable(new $c_ju_concurrent_ExecutionException().init___T__jl_Throwable("Boxed InterruptedException", x4))
  } else if ($is_jl_Error(throwable)) {
    var x5 = $as_jl_Error(throwable);
    return new $c_s_util_Failure().init___jl_Throwable(new $c_ju_concurrent_ExecutionException().init___T__jl_Throwable("Boxed Error", x5))
  } else {
    return new $c_s_util_Failure().init___jl_Throwable(throwable)
  }
});
var $d_s_concurrent_impl_Promise$ = new $TypeData().initClass({
  s_concurrent_impl_Promise$: 0
}, false, "scala.concurrent.impl.Promise$", {
  s_concurrent_impl_Promise$: 1,
  O: 1
});
$c_s_concurrent_impl_Promise$.prototype.$classData = $d_s_concurrent_impl_Promise$;
var $n_s_concurrent_impl_Promise$ = (void 0);
function $m_s_concurrent_impl_Promise$() {
  if ((!$n_s_concurrent_impl_Promise$)) {
    $n_s_concurrent_impl_Promise$ = new $c_s_concurrent_impl_Promise$().init___()
  };
  return $n_s_concurrent_impl_Promise$
}
/** @constructor */
function $c_s_math_Ordered$() {
  $c_O.call(this)
}
$c_s_math_Ordered$.prototype = new $h_O();
$c_s_math_Ordered$.prototype.constructor = $c_s_math_Ordered$;
/** @constructor */
function $h_s_math_Ordered$() {
  /*<skip>*/
}
$h_s_math_Ordered$.prototype = $c_s_math_Ordered$.prototype;
$c_s_math_Ordered$.prototype.init___ = (function() {
  return this
});
var $d_s_math_Ordered$ = new $TypeData().initClass({
  s_math_Ordered$: 0
}, false, "scala.math.Ordered$", {
  s_math_Ordered$: 1,
  O: 1
});
$c_s_math_Ordered$.prototype.$classData = $d_s_math_Ordered$;
var $n_s_math_Ordered$ = (void 0);
function $m_s_math_Ordered$() {
  if ((!$n_s_math_Ordered$)) {
    $n_s_math_Ordered$ = new $c_s_math_Ordered$().init___()
  };
  return $n_s_math_Ordered$
}
/** @constructor */
function $c_s_package$() {
  $c_O.call(this);
  this.AnyRef$1 = null;
  this.Traversable$1 = null;
  this.Iterable$1 = null;
  this.Seq$1 = null;
  this.IndexedSeq$1 = null;
  this.Iterator$1 = null;
  this.List$1 = null;
  this.Nil$1 = null;
  this.$$colon$colon$1 = null;
  this.$$plus$colon$1 = null;
  this.$$colon$plus$1 = null;
  this.Stream$1 = null;
  this.$$hash$colon$colon$1 = null;
  this.Vector$1 = null;
  this.StringBuilder$1 = null;
  this.Range$1 = null;
  this.BigDecimal$1 = null;
  this.BigInt$1 = null;
  this.Equiv$1 = null;
  this.Fractional$1 = null;
  this.Integral$1 = null;
  this.Numeric$1 = null;
  this.Ordered$1 = null;
  this.Ordering$1 = null;
  this.Either$1 = null;
  this.Left$1 = null;
  this.Right$1 = null;
  this.bitmap$0$1 = 0
}
$c_s_package$.prototype = new $h_O();
$c_s_package$.prototype.constructor = $c_s_package$;
/** @constructor */
function $h_s_package$() {
  /*<skip>*/
}
$h_s_package$.prototype = $c_s_package$.prototype;
$c_s_package$.prototype.init___ = (function() {
  $n_s_package$ = this;
  this.AnyRef$1 = new $c_s_package$$anon$1().init___();
  this.Traversable$1 = $m_sc_Traversable$();
  this.Iterable$1 = $m_sc_Iterable$();
  this.Seq$1 = $m_sc_Seq$();
  this.IndexedSeq$1 = $m_sc_IndexedSeq$();
  this.Iterator$1 = $m_sc_Iterator$();
  this.List$1 = $m_sci_List$();
  this.Nil$1 = $m_sci_Nil$();
  this.$$colon$colon$1 = $m_sci_$colon$colon$();
  this.$$plus$colon$1 = $m_sc_$plus$colon$();
  this.$$colon$plus$1 = $m_sc_$colon$plus$();
  this.Stream$1 = $m_sci_Stream$();
  this.$$hash$colon$colon$1 = $m_sci_Stream$$hash$colon$colon$();
  this.Vector$1 = $m_sci_Vector$();
  this.StringBuilder$1 = $m_scm_StringBuilder$();
  this.Range$1 = $m_sci_Range$();
  this.Equiv$1 = $m_s_math_Equiv$();
  this.Fractional$1 = $m_s_math_Fractional$();
  this.Integral$1 = $m_s_math_Integral$();
  this.Numeric$1 = $m_s_math_Numeric$();
  this.Ordered$1 = $m_s_math_Ordered$();
  this.Ordering$1 = $m_s_math_Ordering$();
  this.Either$1 = $m_s_util_Either$();
  this.Left$1 = $m_s_util_Left$();
  this.Right$1 = $m_s_util_Right$();
  return this
});
var $d_s_package$ = new $TypeData().initClass({
  s_package$: 0
}, false, "scala.package$", {
  s_package$: 1,
  O: 1
});
$c_s_package$.prototype.$classData = $d_s_package$;
var $n_s_package$ = (void 0);
function $m_s_package$() {
  if ((!$n_s_package$)) {
    $n_s_package$ = new $c_s_package$().init___()
  };
  return $n_s_package$
}
/** @constructor */
function $c_s_reflect_ClassManifestFactory$() {
  $c_O.call(this);
  this.Byte$1 = null;
  this.Short$1 = null;
  this.Char$1 = null;
  this.Int$1 = null;
  this.Long$1 = null;
  this.Float$1 = null;
  this.Double$1 = null;
  this.Boolean$1 = null;
  this.Unit$1 = null;
  this.Any$1 = null;
  this.Object$1 = null;
  this.AnyVal$1 = null;
  this.Nothing$1 = null;
  this.Null$1 = null
}
$c_s_reflect_ClassManifestFactory$.prototype = new $h_O();
$c_s_reflect_ClassManifestFactory$.prototype.constructor = $c_s_reflect_ClassManifestFactory$;
/** @constructor */
function $h_s_reflect_ClassManifestFactory$() {
  /*<skip>*/
}
$h_s_reflect_ClassManifestFactory$.prototype = $c_s_reflect_ClassManifestFactory$.prototype;
$c_s_reflect_ClassManifestFactory$.prototype.init___ = (function() {
  $n_s_reflect_ClassManifestFactory$ = this;
  this.Byte$1 = $m_s_reflect_ManifestFactory$ByteManifest$();
  this.Short$1 = $m_s_reflect_ManifestFactory$ShortManifest$();
  this.Char$1 = $m_s_reflect_ManifestFactory$CharManifest$();
  this.Int$1 = $m_s_reflect_ManifestFactory$IntManifest$();
  this.Long$1 = $m_s_reflect_ManifestFactory$LongManifest$();
  this.Float$1 = $m_s_reflect_ManifestFactory$FloatManifest$();
  this.Double$1 = $m_s_reflect_ManifestFactory$DoubleManifest$();
  this.Boolean$1 = $m_s_reflect_ManifestFactory$BooleanManifest$();
  this.Unit$1 = $m_s_reflect_ManifestFactory$UnitManifest$();
  this.Any$1 = $m_s_reflect_ManifestFactory$AnyManifest$();
  this.Object$1 = $m_s_reflect_ManifestFactory$ObjectManifest$();
  this.AnyVal$1 = $m_s_reflect_ManifestFactory$AnyValManifest$();
  this.Nothing$1 = $m_s_reflect_ManifestFactory$NothingManifest$();
  this.Null$1 = $m_s_reflect_ManifestFactory$NullManifest$();
  return this
});
var $d_s_reflect_ClassManifestFactory$ = new $TypeData().initClass({
  s_reflect_ClassManifestFactory$: 0
}, false, "scala.reflect.ClassManifestFactory$", {
  s_reflect_ClassManifestFactory$: 1,
  O: 1
});
$c_s_reflect_ClassManifestFactory$.prototype.$classData = $d_s_reflect_ClassManifestFactory$;
var $n_s_reflect_ClassManifestFactory$ = (void 0);
function $m_s_reflect_ClassManifestFactory$() {
  if ((!$n_s_reflect_ClassManifestFactory$)) {
    $n_s_reflect_ClassManifestFactory$ = new $c_s_reflect_ClassManifestFactory$().init___()
  };
  return $n_s_reflect_ClassManifestFactory$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$() {
  $c_O.call(this)
}
$c_s_reflect_ManifestFactory$.prototype = new $h_O();
$c_s_reflect_ManifestFactory$.prototype.constructor = $c_s_reflect_ManifestFactory$;
/** @constructor */
function $h_s_reflect_ManifestFactory$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$.prototype = $c_s_reflect_ManifestFactory$.prototype;
$c_s_reflect_ManifestFactory$.prototype.init___ = (function() {
  return this
});
var $d_s_reflect_ManifestFactory$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$: 0
}, false, "scala.reflect.ManifestFactory$", {
  s_reflect_ManifestFactory$: 1,
  O: 1
});
$c_s_reflect_ManifestFactory$.prototype.$classData = $d_s_reflect_ManifestFactory$;
var $n_s_reflect_ManifestFactory$ = (void 0);
function $m_s_reflect_ManifestFactory$() {
  if ((!$n_s_reflect_ManifestFactory$)) {
    $n_s_reflect_ManifestFactory$ = new $c_s_reflect_ManifestFactory$().init___()
  };
  return $n_s_reflect_ManifestFactory$
}
/** @constructor */
function $c_s_reflect_package$() {
  $c_O.call(this);
  this.ClassManifest$1 = null;
  this.Manifest$1 = null
}
$c_s_reflect_package$.prototype = new $h_O();
$c_s_reflect_package$.prototype.constructor = $c_s_reflect_package$;
/** @constructor */
function $h_s_reflect_package$() {
  /*<skip>*/
}
$h_s_reflect_package$.prototype = $c_s_reflect_package$.prototype;
$c_s_reflect_package$.prototype.init___ = (function() {
  $n_s_reflect_package$ = this;
  this.ClassManifest$1 = $m_s_reflect_ClassManifestFactory$();
  this.Manifest$1 = $m_s_reflect_ManifestFactory$();
  return this
});
var $d_s_reflect_package$ = new $TypeData().initClass({
  s_reflect_package$: 0
}, false, "scala.reflect.package$", {
  s_reflect_package$: 1,
  O: 1
});
$c_s_reflect_package$.prototype.$classData = $d_s_reflect_package$;
var $n_s_reflect_package$ = (void 0);
function $m_s_reflect_package$() {
  if ((!$n_s_reflect_package$)) {
    $n_s_reflect_package$ = new $c_s_reflect_package$().init___()
  };
  return $n_s_reflect_package$
}
/** @constructor */
function $c_s_util_Either() {
  $c_O.call(this)
}
$c_s_util_Either.prototype = new $h_O();
$c_s_util_Either.prototype.constructor = $c_s_util_Either;
/** @constructor */
function $h_s_util_Either() {
  /*<skip>*/
}
$h_s_util_Either.prototype = $c_s_util_Either.prototype;
function $is_s_util_Either(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Either)))
}
function $as_s_util_Either(obj) {
  return (($is_s_util_Either(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.util.Either"))
}
function $isArrayOf_s_util_Either(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Either)))
}
function $asArrayOf_s_util_Either(obj, depth) {
  return (($isArrayOf_s_util_Either(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.util.Either;", depth))
}
/** @constructor */
function $c_s_util_Either$() {
  $c_O.call(this)
}
$c_s_util_Either$.prototype = new $h_O();
$c_s_util_Either$.prototype.constructor = $c_s_util_Either$;
/** @constructor */
function $h_s_util_Either$() {
  /*<skip>*/
}
$h_s_util_Either$.prototype = $c_s_util_Either$.prototype;
$c_s_util_Either$.prototype.init___ = (function() {
  return this
});
var $d_s_util_Either$ = new $TypeData().initClass({
  s_util_Either$: 0
}, false, "scala.util.Either$", {
  s_util_Either$: 1,
  O: 1
});
$c_s_util_Either$.prototype.$classData = $d_s_util_Either$;
var $n_s_util_Either$ = (void 0);
function $m_s_util_Either$() {
  if ((!$n_s_util_Either$)) {
    $n_s_util_Either$ = new $c_s_util_Either$().init___()
  };
  return $n_s_util_Either$
}
/** @constructor */
function $c_s_util_Try() {
  $c_O.call(this)
}
$c_s_util_Try.prototype = new $h_O();
$c_s_util_Try.prototype.constructor = $c_s_util_Try;
/** @constructor */
function $h_s_util_Try() {
  /*<skip>*/
}
$h_s_util_Try.prototype = $c_s_util_Try.prototype;
$c_s_util_Try.prototype.toOption__s_Option = (function() {
  return (this.isSuccess__Z() ? new $c_s_Some().init___O(this.get__O()) : $m_s_None$())
});
function $is_s_util_Try(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Try)))
}
function $as_s_util_Try(obj) {
  return (($is_s_util_Try(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.util.Try"))
}
function $isArrayOf_s_util_Try(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Try)))
}
function $asArrayOf_s_util_Try(obj, depth) {
  return (($isArrayOf_s_util_Try(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.util.Try;", depth))
}
/** @constructor */
function $c_s_util_control_Breaks() {
  $c_O.call(this);
  this.scala$util$control$Breaks$$breakException$1 = null
}
$c_s_util_control_Breaks.prototype = new $h_O();
$c_s_util_control_Breaks.prototype.constructor = $c_s_util_control_Breaks;
/** @constructor */
function $h_s_util_control_Breaks() {
  /*<skip>*/
}
$h_s_util_control_Breaks.prototype = $c_s_util_control_Breaks.prototype;
$c_s_util_control_Breaks.prototype.init___ = (function() {
  this.scala$util$control$Breaks$$breakException$1 = new $c_s_util_control_BreakControl().init___();
  return this
});
var $d_s_util_control_Breaks = new $TypeData().initClass({
  s_util_control_Breaks: 0
}, false, "scala.util.control.Breaks", {
  s_util_control_Breaks: 1,
  O: 1
});
$c_s_util_control_Breaks.prototype.$classData = $d_s_util_control_Breaks;
function $is_s_util_control_ControlThrowable(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_control_ControlThrowable)))
}
function $as_s_util_control_ControlThrowable(obj) {
  return (($is_s_util_control_ControlThrowable(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.util.control.ControlThrowable"))
}
function $isArrayOf_s_util_control_ControlThrowable(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_control_ControlThrowable)))
}
function $asArrayOf_s_util_control_ControlThrowable(obj, depth) {
  return (($isArrayOf_s_util_control_ControlThrowable(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.util.control.ControlThrowable;", depth))
}
/** @constructor */
function $c_s_util_control_NonFatal$() {
  $c_O.call(this)
}
$c_s_util_control_NonFatal$.prototype = new $h_O();
$c_s_util_control_NonFatal$.prototype.constructor = $c_s_util_control_NonFatal$;
/** @constructor */
function $h_s_util_control_NonFatal$() {
  /*<skip>*/
}
$h_s_util_control_NonFatal$.prototype = $c_s_util_control_NonFatal$.prototype;
$c_s_util_control_NonFatal$.prototype.init___ = (function() {
  return this
});
$c_s_util_control_NonFatal$.prototype.apply__jl_Throwable__Z = (function(t) {
  return (!($is_jl_VirtualMachineError(t) || ($is_jl_ThreadDeath(t) || ($is_jl_InterruptedException(t) || ($is_jl_LinkageError(t) || $is_s_util_control_ControlThrowable(t))))))
});
$c_s_util_control_NonFatal$.prototype.unapply__jl_Throwable__s_Option = (function(t) {
  return (this.apply__jl_Throwable__Z(t) ? new $c_s_Some().init___O(t) : $m_s_None$())
});
var $d_s_util_control_NonFatal$ = new $TypeData().initClass({
  s_util_control_NonFatal$: 0
}, false, "scala.util.control.NonFatal$", {
  s_util_control_NonFatal$: 1,
  O: 1
});
$c_s_util_control_NonFatal$.prototype.$classData = $d_s_util_control_NonFatal$;
var $n_s_util_control_NonFatal$ = (void 0);
function $m_s_util_control_NonFatal$() {
  if ((!$n_s_util_control_NonFatal$)) {
    $n_s_util_control_NonFatal$ = new $c_s_util_control_NonFatal$().init___()
  };
  return $n_s_util_control_NonFatal$
}
/** @constructor */
function $c_s_util_hashing_MurmurHash3() {
  $c_O.call(this)
}
$c_s_util_hashing_MurmurHash3.prototype = new $h_O();
$c_s_util_hashing_MurmurHash3.prototype.constructor = $c_s_util_hashing_MurmurHash3;
/** @constructor */
function $h_s_util_hashing_MurmurHash3() {
  /*<skip>*/
}
$h_s_util_hashing_MurmurHash3.prototype = $c_s_util_hashing_MurmurHash3.prototype;
$c_s_util_hashing_MurmurHash3.prototype.mixLast__I__I__I = (function(hash, data) {
  var k = data;
  k = $imul((-862048943), k);
  var i = k;
  k = ((i << 15) | ((i >>> 17) | 0));
  k = $imul(461845907, k);
  return (hash ^ k)
});
$c_s_util_hashing_MurmurHash3.prototype.mix__I__I__I = (function(hash, data) {
  var h = this.mixLast__I__I__I(hash, data);
  var i = h;
  h = ((i << 13) | ((i >>> 19) | 0));
  return (((-430675100) + $imul(5, h)) | 0)
});
$c_s_util_hashing_MurmurHash3.prototype.avalanche__p1__I__I = (function(hash) {
  var h = hash;
  h = (h ^ ((h >>> 16) | 0));
  h = $imul((-2048144789), h);
  h = (h ^ ((h >>> 13) | 0));
  h = $imul((-1028477387), h);
  h = (h ^ ((h >>> 16) | 0));
  return h
});
$c_s_util_hashing_MurmurHash3.prototype.unorderedHash__sc_TraversableOnce__I__I = (function(xs, seed) {
  var a = new $c_sr_IntRef().init___I(0);
  var b = new $c_sr_IntRef().init___I(0);
  var n = new $c_sr_IntRef().init___I(0);
  var c = new $c_sr_IntRef().init___I(1);
  xs.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, a$1, b$1, n$1, c$1) {
    return (function(x$2) {
      var h = $m_sr_ScalaRunTime$().hash__O__I(x$2);
      a$1.elem$1 = ((a$1.elem$1 + h) | 0);
      b$1.elem$1 = (b$1.elem$1 ^ h);
      if ((h !== 0)) {
        c$1.elem$1 = $imul(c$1.elem$1, h)
      };
      n$1.elem$1 = ((1 + n$1.elem$1) | 0)
    })
  })(this, a, b, n, c)));
  var h$1 = seed;
  h$1 = this.mix__I__I__I(h$1, a.elem$1);
  h$1 = this.mix__I__I__I(h$1, b.elem$1);
  h$1 = this.mixLast__I__I__I(h$1, c.elem$1);
  return this.finalizeHash__I__I__I(h$1, n.elem$1)
});
$c_s_util_hashing_MurmurHash3.prototype.productHash__s_Product__I__I = (function(x, seed) {
  var arr = x.productArity__I();
  if ((arr === 0)) {
    var this$1 = x.productPrefix__T();
    return $m_sjsr_RuntimeString$().hashCode__T__I(this$1)
  } else {
    var h = seed;
    var i = 0;
    while ((i < arr)) {
      h = this.mix__I__I__I(h, $m_sr_ScalaRunTime$().hash__O__I(x.productElement__I__O(i)));
      i = ((1 + i) | 0)
    };
    return this.finalizeHash__I__I__I(h, arr)
  }
});
$c_s_util_hashing_MurmurHash3.prototype.finalizeHash__I__I__I = (function(hash, length) {
  return this.avalanche__p1__I__I((hash ^ length))
});
$c_s_util_hashing_MurmurHash3.prototype.orderedHash__sc_TraversableOnce__I__I = (function(xs, seed) {
  var n = new $c_sr_IntRef().init___I(0);
  var h = new $c_sr_IntRef().init___I(seed);
  xs.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, n$1, h$1) {
    return (function(x$2) {
      h$1.elem$1 = $this.mix__I__I__I(h$1.elem$1, $m_sr_ScalaRunTime$().hash__O__I(x$2));
      n$1.elem$1 = ((1 + n$1.elem$1) | 0)
    })
  })(this, n, h)));
  return this.finalizeHash__I__I__I(h.elem$1, n.elem$1)
});
$c_s_util_hashing_MurmurHash3.prototype.listHash__sci_List__I__I = (function(xs, seed) {
  var n = 0;
  var h = seed;
  var elems = xs;
  while ((!elems.isEmpty__Z())) {
    var head = elems.head__O();
    var this$1 = elems;
    var tail = this$1.tail__sci_List();
    h = this.mix__I__I__I(h, $m_sr_ScalaRunTime$().hash__O__I(head));
    n = ((1 + n) | 0);
    elems = tail
  };
  return this.finalizeHash__I__I__I(h, n)
});
/** @constructor */
function $c_s_util_hashing_package$() {
  $c_O.call(this)
}
$c_s_util_hashing_package$.prototype = new $h_O();
$c_s_util_hashing_package$.prototype.constructor = $c_s_util_hashing_package$;
/** @constructor */
function $h_s_util_hashing_package$() {
  /*<skip>*/
}
$h_s_util_hashing_package$.prototype = $c_s_util_hashing_package$.prototype;
$c_s_util_hashing_package$.prototype.init___ = (function() {
  return this
});
$c_s_util_hashing_package$.prototype.byteswap32__I__I = (function(v) {
  var hc = $imul((-1640532531), v);
  hc = $m_jl_Integer$().reverseBytes__I__I(hc);
  return $imul((-1640532531), hc)
});
var $d_s_util_hashing_package$ = new $TypeData().initClass({
  s_util_hashing_package$: 0
}, false, "scala.util.hashing.package$", {
  s_util_hashing_package$: 1,
  O: 1
});
$c_s_util_hashing_package$.prototype.$classData = $d_s_util_hashing_package$;
var $n_s_util_hashing_package$ = (void 0);
function $m_s_util_hashing_package$() {
  if ((!$n_s_util_hashing_package$)) {
    $n_s_util_hashing_package$ = new $c_s_util_hashing_package$().init___()
  };
  return $n_s_util_hashing_package$
}
/** @constructor */
function $c_sc_$colon$plus$() {
  $c_O.call(this)
}
$c_sc_$colon$plus$.prototype = new $h_O();
$c_sc_$colon$plus$.prototype.constructor = $c_sc_$colon$plus$;
/** @constructor */
function $h_sc_$colon$plus$() {
  /*<skip>*/
}
$h_sc_$colon$plus$.prototype = $c_sc_$colon$plus$.prototype;
$c_sc_$colon$plus$.prototype.init___ = (function() {
  return this
});
var $d_sc_$colon$plus$ = new $TypeData().initClass({
  sc_$colon$plus$: 0
}, false, "scala.collection.$colon$plus$", {
  sc_$colon$plus$: 1,
  O: 1
});
$c_sc_$colon$plus$.prototype.$classData = $d_sc_$colon$plus$;
var $n_sc_$colon$plus$ = (void 0);
function $m_sc_$colon$plus$() {
  if ((!$n_sc_$colon$plus$)) {
    $n_sc_$colon$plus$ = new $c_sc_$colon$plus$().init___()
  };
  return $n_sc_$colon$plus$
}
/** @constructor */
function $c_sc_$plus$colon$() {
  $c_O.call(this)
}
$c_sc_$plus$colon$.prototype = new $h_O();
$c_sc_$plus$colon$.prototype.constructor = $c_sc_$plus$colon$;
/** @constructor */
function $h_sc_$plus$colon$() {
  /*<skip>*/
}
$h_sc_$plus$colon$.prototype = $c_sc_$plus$colon$.prototype;
$c_sc_$plus$colon$.prototype.init___ = (function() {
  return this
});
var $d_sc_$plus$colon$ = new $TypeData().initClass({
  sc_$plus$colon$: 0
}, false, "scala.collection.$plus$colon$", {
  sc_$plus$colon$: 1,
  O: 1
});
$c_sc_$plus$colon$.prototype.$classData = $d_sc_$plus$colon$;
var $n_sc_$plus$colon$ = (void 0);
function $m_sc_$plus$colon$() {
  if ((!$n_sc_$plus$colon$)) {
    $n_sc_$plus$colon$ = new $c_sc_$plus$colon$().init___()
  };
  return $n_sc_$plus$colon$
}
/** @constructor */
function $c_sc_Iterator$() {
  $c_O.call(this);
  this.empty$1 = null
}
$c_sc_Iterator$.prototype = new $h_O();
$c_sc_Iterator$.prototype.constructor = $c_sc_Iterator$;
/** @constructor */
function $h_sc_Iterator$() {
  /*<skip>*/
}
$h_sc_Iterator$.prototype = $c_sc_Iterator$.prototype;
$c_sc_Iterator$.prototype.init___ = (function() {
  $n_sc_Iterator$ = this;
  this.empty$1 = new $c_sc_Iterator$$anon$2().init___();
  return this
});
var $d_sc_Iterator$ = new $TypeData().initClass({
  sc_Iterator$: 0
}, false, "scala.collection.Iterator$", {
  sc_Iterator$: 1,
  O: 1
});
$c_sc_Iterator$.prototype.$classData = $d_sc_Iterator$;
var $n_sc_Iterator$ = (void 0);
function $m_sc_Iterator$() {
  if ((!$n_sc_Iterator$)) {
    $n_sc_Iterator$ = new $c_sc_Iterator$().init___()
  };
  return $n_sc_Iterator$
}
function $is_sc_TraversableOnce(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_TraversableOnce)))
}
function $as_sc_TraversableOnce(obj) {
  return (($is_sc_TraversableOnce(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.TraversableOnce"))
}
function $isArrayOf_sc_TraversableOnce(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_TraversableOnce)))
}
function $asArrayOf_sc_TraversableOnce(obj, depth) {
  return (($isArrayOf_sc_TraversableOnce(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.TraversableOnce;", depth))
}
/** @constructor */
function $c_scg_GenMapFactory() {
  $c_O.call(this)
}
$c_scg_GenMapFactory.prototype = new $h_O();
$c_scg_GenMapFactory.prototype.constructor = $c_scg_GenMapFactory;
/** @constructor */
function $h_scg_GenMapFactory() {
  /*<skip>*/
}
$h_scg_GenMapFactory.prototype = $c_scg_GenMapFactory.prototype;
$c_scg_GenMapFactory.prototype.apply__sc_Seq__sc_GenMap = (function(elems) {
  var this$1 = new $c_scm_MapBuilder().init___sc_GenMap(this.empty__sc_GenMap());
  return $as_sc_GenMap($as_scm_Builder($s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this$1, elems)).result__O())
});
/** @constructor */
function $c_scg_GenericCompanion() {
  $c_O.call(this)
}
$c_scg_GenericCompanion.prototype = new $h_O();
$c_scg_GenericCompanion.prototype.constructor = $c_scg_GenericCompanion;
/** @constructor */
function $h_scg_GenericCompanion() {
  /*<skip>*/
}
$h_scg_GenericCompanion.prototype = $c_scg_GenericCompanion.prototype;
$c_scg_GenericCompanion.prototype.apply__sc_Seq__sc_GenTraversable = (function(elems) {
  if (elems.isEmpty__Z()) {
    return this.empty__sc_GenTraversable()
  } else {
    var b = this.newBuilder__scm_Builder();
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(elems);
    return $as_sc_GenTraversable(b.result__O())
  }
});
$c_scg_GenericCompanion.prototype.empty__sc_GenTraversable = (function() {
  return $as_sc_GenTraversable(this.newBuilder__scm_Builder().result__O())
});
function $is_scg_Growable(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scg_Growable)))
}
function $as_scg_Growable(obj) {
  return (($is_scg_Growable(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.generic.Growable"))
}
function $isArrayOf_scg_Growable(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scg_Growable)))
}
function $asArrayOf_scg_Growable(obj, depth) {
  return (($isArrayOf_scg_Growable(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.generic.Growable;", depth))
}
/** @constructor */
function $c_sci_HashMap$Merger() {
  $c_O.call(this)
}
$c_sci_HashMap$Merger.prototype = new $h_O();
$c_sci_HashMap$Merger.prototype.constructor = $c_sci_HashMap$Merger;
/** @constructor */
function $h_sci_HashMap$Merger() {
  /*<skip>*/
}
$h_sci_HashMap$Merger.prototype = $c_sci_HashMap$Merger.prototype;
/** @constructor */
function $c_sci_Stream$$hash$colon$colon$() {
  $c_O.call(this)
}
$c_sci_Stream$$hash$colon$colon$.prototype = new $h_O();
$c_sci_Stream$$hash$colon$colon$.prototype.constructor = $c_sci_Stream$$hash$colon$colon$;
/** @constructor */
function $h_sci_Stream$$hash$colon$colon$() {
  /*<skip>*/
}
$h_sci_Stream$$hash$colon$colon$.prototype = $c_sci_Stream$$hash$colon$colon$.prototype;
$c_sci_Stream$$hash$colon$colon$.prototype.init___ = (function() {
  return this
});
var $d_sci_Stream$$hash$colon$colon$ = new $TypeData().initClass({
  sci_Stream$$hash$colon$colon$: 0
}, false, "scala.collection.immutable.Stream$$hash$colon$colon$", {
  sci_Stream$$hash$colon$colon$: 1,
  O: 1
});
$c_sci_Stream$$hash$colon$colon$.prototype.$classData = $d_sci_Stream$$hash$colon$colon$;
var $n_sci_Stream$$hash$colon$colon$ = (void 0);
function $m_sci_Stream$$hash$colon$colon$() {
  if ((!$n_sci_Stream$$hash$colon$colon$)) {
    $n_sci_Stream$$hash$colon$colon$ = new $c_sci_Stream$$hash$colon$colon$().init___()
  };
  return $n_sci_Stream$$hash$colon$colon$
}
/** @constructor */
function $c_sci_Stream$ConsWrapper() {
  $c_O.call(this);
  this.tl$1 = null
}
$c_sci_Stream$ConsWrapper.prototype = new $h_O();
$c_sci_Stream$ConsWrapper.prototype.constructor = $c_sci_Stream$ConsWrapper;
/** @constructor */
function $h_sci_Stream$ConsWrapper() {
  /*<skip>*/
}
$h_sci_Stream$ConsWrapper.prototype = $c_sci_Stream$ConsWrapper.prototype;
$c_sci_Stream$ConsWrapper.prototype.init___F0 = (function(tl) {
  this.tl$1 = tl;
  return this
});
$c_sci_Stream$ConsWrapper.prototype.$$hash$colon$colon__O__sci_Stream = (function(hd) {
  var tl = this.tl$1;
  return new $c_sci_Stream$Cons().init___O__F0(hd, tl)
});
var $d_sci_Stream$ConsWrapper = new $TypeData().initClass({
  sci_Stream$ConsWrapper: 0
}, false, "scala.collection.immutable.Stream$ConsWrapper", {
  sci_Stream$ConsWrapper: 1,
  O: 1
});
$c_sci_Stream$ConsWrapper.prototype.$classData = $d_sci_Stream$ConsWrapper;
/** @constructor */
function $c_sci_StreamIterator$LazyCell() {
  $c_O.call(this);
  this.st$1 = null;
  this.v$1 = null;
  this.$$outer$f = null;
  this.bitmap$0$1 = false
}
$c_sci_StreamIterator$LazyCell.prototype = new $h_O();
$c_sci_StreamIterator$LazyCell.prototype.constructor = $c_sci_StreamIterator$LazyCell;
/** @constructor */
function $h_sci_StreamIterator$LazyCell() {
  /*<skip>*/
}
$h_sci_StreamIterator$LazyCell.prototype = $c_sci_StreamIterator$LazyCell.prototype;
$c_sci_StreamIterator$LazyCell.prototype.init___sci_StreamIterator__F0 = (function($$outer, st) {
  this.st$1 = st;
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$f = $$outer
  };
  return this
});
$c_sci_StreamIterator$LazyCell.prototype.v$lzycompute__p1__sci_Stream = (function() {
  if ((!this.bitmap$0$1)) {
    this.v$1 = $as_sci_Stream(this.st$1.apply__O());
    this.bitmap$0$1 = true
  };
  this.st$1 = null;
  return this.v$1
});
$c_sci_StreamIterator$LazyCell.prototype.v__sci_Stream = (function() {
  return ((!this.bitmap$0$1) ? this.v$lzycompute__p1__sci_Stream() : this.v$1)
});
var $d_sci_StreamIterator$LazyCell = new $TypeData().initClass({
  sci_StreamIterator$LazyCell: 0
}, false, "scala.collection.immutable.StreamIterator$LazyCell", {
  sci_StreamIterator$LazyCell: 1,
  O: 1
});
$c_sci_StreamIterator$LazyCell.prototype.$classData = $d_sci_StreamIterator$LazyCell;
/** @constructor */
function $c_sci_StringOps$() {
  $c_O.call(this)
}
$c_sci_StringOps$.prototype = new $h_O();
$c_sci_StringOps$.prototype.constructor = $c_sci_StringOps$;
/** @constructor */
function $h_sci_StringOps$() {
  /*<skip>*/
}
$h_sci_StringOps$.prototype = $c_sci_StringOps$.prototype;
$c_sci_StringOps$.prototype.init___ = (function() {
  return this
});
$c_sci_StringOps$.prototype.equals$extension__T__O__Z = (function($$this, x$1) {
  if ($is_sci_StringOps(x$1)) {
    var StringOps$1 = ((x$1 === null) ? null : $as_sci_StringOps(x$1).repr$1);
    return ($$this === StringOps$1)
  } else {
    return false
  }
});
var $d_sci_StringOps$ = new $TypeData().initClass({
  sci_StringOps$: 0
}, false, "scala.collection.immutable.StringOps$", {
  sci_StringOps$: 1,
  O: 1
});
$c_sci_StringOps$.prototype.$classData = $d_sci_StringOps$;
var $n_sci_StringOps$ = (void 0);
function $m_sci_StringOps$() {
  if ((!$n_sci_StringOps$)) {
    $n_sci_StringOps$ = new $c_sci_StringOps$().init___()
  };
  return $n_sci_StringOps$
}
/** @constructor */
function $c_sci_WrappedString$() {
  $c_O.call(this)
}
$c_sci_WrappedString$.prototype = new $h_O();
$c_sci_WrappedString$.prototype.constructor = $c_sci_WrappedString$;
/** @constructor */
function $h_sci_WrappedString$() {
  /*<skip>*/
}
$h_sci_WrappedString$.prototype = $c_sci_WrappedString$.prototype;
$c_sci_WrappedString$.prototype.init___ = (function() {
  return this
});
$c_sci_WrappedString$.prototype.newBuilder__scm_Builder = (function() {
  var this$2 = new $c_scm_StringBuilder().init___();
  var f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$2) {
      var x = $as_T(x$2);
      return new $c_sci_WrappedString().init___T(x)
    })
  })(this));
  return new $c_scm_Builder$$anon$1().init___scm_Builder__F1(this$2, f)
});
var $d_sci_WrappedString$ = new $TypeData().initClass({
  sci_WrappedString$: 0
}, false, "scala.collection.immutable.WrappedString$", {
  sci_WrappedString$: 1,
  O: 1
});
$c_sci_WrappedString$.prototype.$classData = $d_sci_WrappedString$;
var $n_sci_WrappedString$ = (void 0);
function $m_sci_WrappedString$() {
  if ((!$n_sci_WrappedString$)) {
    $n_sci_WrappedString$ = new $c_sci_WrappedString$().init___()
  };
  return $n_sci_WrappedString$
}
/** @constructor */
function $c_scm_ArrayOps$ofRef$() {
  $c_O.call(this)
}
$c_scm_ArrayOps$ofRef$.prototype = new $h_O();
$c_scm_ArrayOps$ofRef$.prototype.constructor = $c_scm_ArrayOps$ofRef$;
/** @constructor */
function $h_scm_ArrayOps$ofRef$() {
  /*<skip>*/
}
$h_scm_ArrayOps$ofRef$.prototype = $c_scm_ArrayOps$ofRef$.prototype;
$c_scm_ArrayOps$ofRef$.prototype.init___ = (function() {
  return this
});
$c_scm_ArrayOps$ofRef$.prototype.equals$extension__AO__O__Z = (function($$this, x$1) {
  if ($is_scm_ArrayOps$ofRef(x$1)) {
    var ofRef$1 = ((x$1 === null) ? null : $as_scm_ArrayOps$ofRef(x$1).repr$1);
    return ($$this === ofRef$1)
  } else {
    return false
  }
});
var $d_scm_ArrayOps$ofRef$ = new $TypeData().initClass({
  scm_ArrayOps$ofRef$: 0
}, false, "scala.collection.mutable.ArrayOps$ofRef$", {
  scm_ArrayOps$ofRef$: 1,
  O: 1
});
$c_scm_ArrayOps$ofRef$.prototype.$classData = $d_scm_ArrayOps$ofRef$;
var $n_scm_ArrayOps$ofRef$ = (void 0);
function $m_scm_ArrayOps$ofRef$() {
  if ((!$n_scm_ArrayOps$ofRef$)) {
    $n_scm_ArrayOps$ofRef$ = new $c_scm_ArrayOps$ofRef$().init___()
  };
  return $n_scm_ArrayOps$ofRef$
}
/** @constructor */
function $c_scm_FlatHashTable$() {
  $c_O.call(this)
}
$c_scm_FlatHashTable$.prototype = new $h_O();
$c_scm_FlatHashTable$.prototype.constructor = $c_scm_FlatHashTable$;
/** @constructor */
function $h_scm_FlatHashTable$() {
  /*<skip>*/
}
$h_scm_FlatHashTable$.prototype = $c_scm_FlatHashTable$.prototype;
$c_scm_FlatHashTable$.prototype.init___ = (function() {
  return this
});
$c_scm_FlatHashTable$.prototype.newThreshold__I__I__I = (function(_loadFactor, size) {
  var assertion = (_loadFactor < 500);
  if ((!assertion)) {
    throw new $c_jl_AssertionError().init___O("assertion failed: loadFactor too large; must be < 0.5")
  };
  var hi = (size >> 31);
  var hi$1 = (_loadFactor >> 31);
  var a0 = (65535 & size);
  var a1 = ((size >>> 16) | 0);
  var b0 = (65535 & _loadFactor);
  var b1 = ((_loadFactor >>> 16) | 0);
  var a0b0 = $imul(a0, b0);
  var a1b0 = $imul(a1, b0);
  var a0b1 = $imul(a0, b1);
  var lo = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
  var c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
  var hi$2 = (((((((($imul(size, hi$1) + $imul(hi, _loadFactor)) | 0) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
  var this$2 = $m_sjsr_RuntimeLong$();
  var lo$1 = this$2.divideImpl__I__I__I__I__I(lo, hi$2, 1000, 0);
  return lo$1
});
var $d_scm_FlatHashTable$ = new $TypeData().initClass({
  scm_FlatHashTable$: 0
}, false, "scala.collection.mutable.FlatHashTable$", {
  scm_FlatHashTable$: 1,
  O: 1
});
$c_scm_FlatHashTable$.prototype.$classData = $d_scm_FlatHashTable$;
var $n_scm_FlatHashTable$ = (void 0);
function $m_scm_FlatHashTable$() {
  if ((!$n_scm_FlatHashTable$)) {
    $n_scm_FlatHashTable$ = new $c_scm_FlatHashTable$().init___()
  };
  return $n_scm_FlatHashTable$
}
/** @constructor */
function $c_scm_FlatHashTable$NullSentinel$() {
  $c_O.call(this)
}
$c_scm_FlatHashTable$NullSentinel$.prototype = new $h_O();
$c_scm_FlatHashTable$NullSentinel$.prototype.constructor = $c_scm_FlatHashTable$NullSentinel$;
/** @constructor */
function $h_scm_FlatHashTable$NullSentinel$() {
  /*<skip>*/
}
$h_scm_FlatHashTable$NullSentinel$.prototype = $c_scm_FlatHashTable$NullSentinel$.prototype;
$c_scm_FlatHashTable$NullSentinel$.prototype.init___ = (function() {
  return this
});
$c_scm_FlatHashTable$NullSentinel$.prototype.toString__T = (function() {
  return "NullSentinel"
});
$c_scm_FlatHashTable$NullSentinel$.prototype.hashCode__I = (function() {
  return 0
});
var $d_scm_FlatHashTable$NullSentinel$ = new $TypeData().initClass({
  scm_FlatHashTable$NullSentinel$: 0
}, false, "scala.collection.mutable.FlatHashTable$NullSentinel$", {
  scm_FlatHashTable$NullSentinel$: 1,
  O: 1
});
$c_scm_FlatHashTable$NullSentinel$.prototype.$classData = $d_scm_FlatHashTable$NullSentinel$;
var $n_scm_FlatHashTable$NullSentinel$ = (void 0);
function $m_scm_FlatHashTable$NullSentinel$() {
  if ((!$n_scm_FlatHashTable$NullSentinel$)) {
    $n_scm_FlatHashTable$NullSentinel$ = new $c_scm_FlatHashTable$NullSentinel$().init___()
  };
  return $n_scm_FlatHashTable$NullSentinel$
}
/** @constructor */
function $c_scm_HashTable$() {
  $c_O.call(this)
}
$c_scm_HashTable$.prototype = new $h_O();
$c_scm_HashTable$.prototype.constructor = $c_scm_HashTable$;
/** @constructor */
function $h_scm_HashTable$() {
  /*<skip>*/
}
$h_scm_HashTable$.prototype = $c_scm_HashTable$.prototype;
$c_scm_HashTable$.prototype.init___ = (function() {
  return this
});
$c_scm_HashTable$.prototype.powerOfTwo__I__I = (function(target) {
  var c = (((-1) + target) | 0);
  c = (c | ((c >>> 1) | 0));
  c = (c | ((c >>> 2) | 0));
  c = (c | ((c >>> 4) | 0));
  c = (c | ((c >>> 8) | 0));
  c = (c | ((c >>> 16) | 0));
  return ((1 + c) | 0)
});
var $d_scm_HashTable$ = new $TypeData().initClass({
  scm_HashTable$: 0
}, false, "scala.collection.mutable.HashTable$", {
  scm_HashTable$: 1,
  O: 1
});
$c_scm_HashTable$.prototype.$classData = $d_scm_HashTable$;
var $n_scm_HashTable$ = (void 0);
function $m_scm_HashTable$() {
  if ((!$n_scm_HashTable$)) {
    $n_scm_HashTable$ = new $c_scm_HashTable$().init___()
  };
  return $n_scm_HashTable$
}
/** @constructor */
function $c_sjs_concurrent_JSExecutionContext$() {
  $c_O.call(this);
  this.runNow$1 = null;
  this.queue$1 = null
}
$c_sjs_concurrent_JSExecutionContext$.prototype = new $h_O();
$c_sjs_concurrent_JSExecutionContext$.prototype.constructor = $c_sjs_concurrent_JSExecutionContext$;
/** @constructor */
function $h_sjs_concurrent_JSExecutionContext$() {
  /*<skip>*/
}
$h_sjs_concurrent_JSExecutionContext$.prototype = $c_sjs_concurrent_JSExecutionContext$.prototype;
$c_sjs_concurrent_JSExecutionContext$.prototype.init___ = (function() {
  $n_sjs_concurrent_JSExecutionContext$ = this;
  this.runNow$1 = $m_sjs_concurrent_RunNowExecutionContext$();
  this.queue$1 = $m_sjs_concurrent_QueueExecutionContext$().apply__s_concurrent_ExecutionContextExecutor();
  return this
});
var $d_sjs_concurrent_JSExecutionContext$ = new $TypeData().initClass({
  sjs_concurrent_JSExecutionContext$: 0
}, false, "scala.scalajs.concurrent.JSExecutionContext$", {
  sjs_concurrent_JSExecutionContext$: 1,
  O: 1
});
$c_sjs_concurrent_JSExecutionContext$.prototype.$classData = $d_sjs_concurrent_JSExecutionContext$;
var $n_sjs_concurrent_JSExecutionContext$ = (void 0);
function $m_sjs_concurrent_JSExecutionContext$() {
  if ((!$n_sjs_concurrent_JSExecutionContext$)) {
    $n_sjs_concurrent_JSExecutionContext$ = new $c_sjs_concurrent_JSExecutionContext$().init___()
  };
  return $n_sjs_concurrent_JSExecutionContext$
}
/** @constructor */
function $c_sjs_concurrent_QueueExecutionContext$() {
  $c_O.call(this)
}
$c_sjs_concurrent_QueueExecutionContext$.prototype = new $h_O();
$c_sjs_concurrent_QueueExecutionContext$.prototype.constructor = $c_sjs_concurrent_QueueExecutionContext$;
/** @constructor */
function $h_sjs_concurrent_QueueExecutionContext$() {
  /*<skip>*/
}
$h_sjs_concurrent_QueueExecutionContext$.prototype = $c_sjs_concurrent_QueueExecutionContext$.prototype;
$c_sjs_concurrent_QueueExecutionContext$.prototype.init___ = (function() {
  return this
});
$c_sjs_concurrent_QueueExecutionContext$.prototype.apply__s_concurrent_ExecutionContextExecutor = (function() {
  var v = $g.Promise;
  if ((v === (void 0))) {
    return new $c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext().init___()
  } else {
    return new $c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext().init___()
  }
});
var $d_sjs_concurrent_QueueExecutionContext$ = new $TypeData().initClass({
  sjs_concurrent_QueueExecutionContext$: 0
}, false, "scala.scalajs.concurrent.QueueExecutionContext$", {
  sjs_concurrent_QueueExecutionContext$: 1,
  O: 1
});
$c_sjs_concurrent_QueueExecutionContext$.prototype.$classData = $d_sjs_concurrent_QueueExecutionContext$;
var $n_sjs_concurrent_QueueExecutionContext$ = (void 0);
function $m_sjs_concurrent_QueueExecutionContext$() {
  if ((!$n_sjs_concurrent_QueueExecutionContext$)) {
    $n_sjs_concurrent_QueueExecutionContext$ = new $c_sjs_concurrent_QueueExecutionContext$().init___()
  };
  return $n_sjs_concurrent_QueueExecutionContext$
}
/** @constructor */
function $c_sjs_js_WrappedDictionary$Cache$() {
  $c_O.call(this);
  this.safeHasOwnProperty$1 = null
}
$c_sjs_js_WrappedDictionary$Cache$.prototype = new $h_O();
$c_sjs_js_WrappedDictionary$Cache$.prototype.constructor = $c_sjs_js_WrappedDictionary$Cache$;
/** @constructor */
function $h_sjs_js_WrappedDictionary$Cache$() {
  /*<skip>*/
}
$h_sjs_js_WrappedDictionary$Cache$.prototype = $c_sjs_js_WrappedDictionary$Cache$.prototype;
$c_sjs_js_WrappedDictionary$Cache$.prototype.init___ = (function() {
  $n_sjs_js_WrappedDictionary$Cache$ = this;
  this.safeHasOwnProperty$1 = $g.Object.prototype.hasOwnProperty;
  return this
});
var $d_sjs_js_WrappedDictionary$Cache$ = new $TypeData().initClass({
  sjs_js_WrappedDictionary$Cache$: 0
}, false, "scala.scalajs.js.WrappedDictionary$Cache$", {
  sjs_js_WrappedDictionary$Cache$: 1,
  O: 1
});
$c_sjs_js_WrappedDictionary$Cache$.prototype.$classData = $d_sjs_js_WrappedDictionary$Cache$;
var $n_sjs_js_WrappedDictionary$Cache$ = (void 0);
function $m_sjs_js_WrappedDictionary$Cache$() {
  if ((!$n_sjs_js_WrappedDictionary$Cache$)) {
    $n_sjs_js_WrappedDictionary$Cache$ = new $c_sjs_js_WrappedDictionary$Cache$().init___()
  };
  return $n_sjs_js_WrappedDictionary$Cache$
}
/** @constructor */
function $c_sjs_js_timers_package$() {
  $c_O.call(this)
}
$c_sjs_js_timers_package$.prototype = new $h_O();
$c_sjs_js_timers_package$.prototype.constructor = $c_sjs_js_timers_package$;
/** @constructor */
function $h_sjs_js_timers_package$() {
  /*<skip>*/
}
$h_sjs_js_timers_package$.prototype = $c_sjs_js_timers_package$.prototype;
$c_sjs_js_timers_package$.prototype.init___ = (function() {
  return this
});
$c_sjs_js_timers_package$.prototype.setTimeout__D__F0__sjs_js_timers_SetTimeoutHandle = (function(interval, body) {
  return $g.setTimeout((function(f) {
    return (function() {
      return f.apply__O()
    })
  })(body), interval)
});
var $d_sjs_js_timers_package$ = new $TypeData().initClass({
  sjs_js_timers_package$: 0
}, false, "scala.scalajs.js.timers.package$", {
  sjs_js_timers_package$: 1,
  O: 1
});
$c_sjs_js_timers_package$.prototype.$classData = $d_sjs_js_timers_package$;
var $n_sjs_js_timers_package$ = (void 0);
function $m_sjs_js_timers_package$() {
  if ((!$n_sjs_js_timers_package$)) {
    $n_sjs_js_timers_package$ = new $c_sjs_js_timers_package$().init___()
  };
  return $n_sjs_js_timers_package$
}
/** @constructor */
function $c_sjsr_Bits$() {
  $c_O.call(this);
  this.scala$scalajs$runtime$Bits$$$undareTypedArraysSupported$f = false;
  this.arrayBuffer$1 = null;
  this.int32Array$1 = null;
  this.float32Array$1 = null;
  this.float64Array$1 = null;
  this.areTypedArraysBigEndian$1 = false;
  this.highOffset$1 = 0;
  this.lowOffset$1 = 0
}
$c_sjsr_Bits$.prototype = new $h_O();
$c_sjsr_Bits$.prototype.constructor = $c_sjsr_Bits$;
/** @constructor */
function $h_sjsr_Bits$() {
  /*<skip>*/
}
$h_sjsr_Bits$.prototype = $c_sjsr_Bits$.prototype;
$c_sjsr_Bits$.prototype.init___ = (function() {
  $n_sjsr_Bits$ = this;
  var x = ((($g.ArrayBuffer && $g.Int32Array) && $g.Float32Array) && $g.Float64Array);
  this.scala$scalajs$runtime$Bits$$$undareTypedArraysSupported$f = $uZ((!(!x)));
  this.arrayBuffer$1 = (this.scala$scalajs$runtime$Bits$$$undareTypedArraysSupported$f ? new $g.ArrayBuffer(8) : null);
  this.int32Array$1 = (this.scala$scalajs$runtime$Bits$$$undareTypedArraysSupported$f ? new $g.Int32Array(this.arrayBuffer$1, 0, 2) : null);
  this.float32Array$1 = (this.scala$scalajs$runtime$Bits$$$undareTypedArraysSupported$f ? new $g.Float32Array(this.arrayBuffer$1, 0, 2) : null);
  this.float64Array$1 = (this.scala$scalajs$runtime$Bits$$$undareTypedArraysSupported$f ? new $g.Float64Array(this.arrayBuffer$1, 0, 1) : null);
  if ((!this.scala$scalajs$runtime$Bits$$$undareTypedArraysSupported$f)) {
    var jsx$1 = true
  } else {
    this.int32Array$1[0] = 16909060;
    var jsx$1 = ($uB(new $g.Int8Array(this.arrayBuffer$1, 0, 8)[0]) === 1)
  };
  this.areTypedArraysBigEndian$1 = jsx$1;
  this.highOffset$1 = (this.areTypedArraysBigEndian$1 ? 0 : 1);
  this.lowOffset$1 = (this.areTypedArraysBigEndian$1 ? 1 : 0);
  return this
});
$c_sjsr_Bits$.prototype.numberHashCode__D__I = (function(value) {
  var iv = $uI((value | 0));
  if (((iv === value) && ((1.0 / value) !== (-Infinity)))) {
    return iv
  } else {
    var t = this.doubleToLongBits__D__J(value);
    var lo = t.lo$2;
    var hi = t.hi$2;
    return (lo ^ hi)
  }
});
$c_sjsr_Bits$.prototype.doubleToLongBitsPolyfill__p1__D__J = (function(value) {
  if ((value !== value)) {
    var _3 = $uD($g.Math.pow(2.0, 51));
    var x1_$_$$und1$1 = false;
    var x1_$_$$und2$1 = 2047;
    var x1_$_$$und3$1 = _3
  } else if (((value === Infinity) || (value === (-Infinity)))) {
    var _1 = (value < 0);
    var x1_$_$$und1$1 = _1;
    var x1_$_$$und2$1 = 2047;
    var x1_$_$$und3$1 = 0.0
  } else if ((value === 0.0)) {
    var _1$1 = ((1 / value) === (-Infinity));
    var x1_$_$$und1$1 = _1$1;
    var x1_$_$$und2$1 = 0;
    var x1_$_$$und3$1 = 0.0
  } else {
    var s = (value < 0);
    var av = (s ? (-value) : value);
    if ((av >= $uD($g.Math.pow(2.0, (-1022))))) {
      var twoPowFbits = $uD($g.Math.pow(2.0, 52));
      var a = ($uD($g.Math.log(av)) / 0.6931471805599453);
      var x = $uD($g.Math.floor(a));
      var a$1 = $uI((x | 0));
      var e = ((a$1 < 1023) ? a$1 : 1023);
      var b = e;
      var twoPowE = $uD($g.Math.pow(2.0, b));
      if ((twoPowE > av)) {
        e = (((-1) + e) | 0);
        twoPowE = (twoPowE / 2)
      };
      var n = ((av / twoPowE) * twoPowFbits);
      var w = $uD($g.Math.floor(n));
      var f = (n - w);
      var f$1 = ((f < 0.5) ? w : ((f > 0.5) ? (1 + w) : (((w % 2) !== 0) ? (1 + w) : w)));
      if (((f$1 / twoPowFbits) >= 2)) {
        e = ((1 + e) | 0);
        f$1 = 1.0
      };
      if ((e > 1023)) {
        e = 2047;
        f$1 = 0.0
      } else {
        e = ((1023 + e) | 0);
        f$1 = (f$1 - twoPowFbits)
      };
      var _2 = e;
      var _3$1 = f$1;
      var x1_$_$$und1$1 = s;
      var x1_$_$$und2$1 = _2;
      var x1_$_$$und3$1 = _3$1
    } else {
      var n$1 = (av / $uD($g.Math.pow(2.0, (-1074))));
      var w$1 = $uD($g.Math.floor(n$1));
      var f$2 = (n$1 - w$1);
      var _3$2 = ((f$2 < 0.5) ? w$1 : ((f$2 > 0.5) ? (1 + w$1) : (((w$1 % 2) !== 0) ? (1 + w$1) : w$1)));
      var x1_$_$$und1$1 = s;
      var x1_$_$$und2$1 = 0;
      var x1_$_$$und3$1 = _3$2
    }
  };
  var s$1 = $uZ(x1_$_$$und1$1);
  var e$1 = $uI(x1_$_$$und2$1);
  var f$3 = $uD(x1_$_$$und3$1);
  var x$1 = (f$3 / 4.294967296E9);
  var hif = $uI((x$1 | 0));
  var hi = (((s$1 ? (-2147483648) : 0) | (e$1 << 20)) | hif);
  var lo = $uI((f$3 | 0));
  return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
});
$c_sjsr_Bits$.prototype.doubleToLongBits__D__J = (function(value) {
  if (this.scala$scalajs$runtime$Bits$$$undareTypedArraysSupported$f) {
    this.float64Array$1[0] = value;
    var value$1 = $uI(this.int32Array$1[this.highOffset$1]);
    var value$2 = $uI(this.int32Array$1[this.lowOffset$1]);
    return new $c_sjsr_RuntimeLong().init___I__I(value$2, value$1)
  } else {
    return this.doubleToLongBitsPolyfill__p1__D__J(value)
  }
});
var $d_sjsr_Bits$ = new $TypeData().initClass({
  sjsr_Bits$: 0
}, false, "scala.scalajs.runtime.Bits$", {
  sjsr_Bits$: 1,
  O: 1
});
$c_sjsr_Bits$.prototype.$classData = $d_sjsr_Bits$;
var $n_sjsr_Bits$ = (void 0);
function $m_sjsr_Bits$() {
  if ((!$n_sjsr_Bits$)) {
    $n_sjsr_Bits$ = new $c_sjsr_Bits$().init___()
  };
  return $n_sjsr_Bits$
}
/** @constructor */
function $c_sjsr_RuntimeString$() {
  $c_O.call(this);
  this.CASE$undINSENSITIVE$undORDER$1 = null;
  this.bitmap$0$1 = false
}
$c_sjsr_RuntimeString$.prototype = new $h_O();
$c_sjsr_RuntimeString$.prototype.constructor = $c_sjsr_RuntimeString$;
/** @constructor */
function $h_sjsr_RuntimeString$() {
  /*<skip>*/
}
$h_sjsr_RuntimeString$.prototype = $c_sjsr_RuntimeString$.prototype;
$c_sjsr_RuntimeString$.prototype.indexOf__T__I__I__I = (function(thiz, ch, fromIndex) {
  var str = this.fromCodePoint__p1__I__T(ch);
  return $uI(thiz.indexOf(str, fromIndex))
});
$c_sjsr_RuntimeString$.prototype.init___ = (function() {
  return this
});
$c_sjsr_RuntimeString$.prototype.split__T__T__I__AT = (function(thiz, regex, limit) {
  if ((thiz === null)) {
    throw new $c_jl_NullPointerException().init___()
  };
  var this$1 = $m_ju_regex_Pattern$();
  return this$1.compile__T__I__ju_regex_Pattern(regex, 0).split__jl_CharSequence__I__AT(thiz, limit)
});
$c_sjsr_RuntimeString$.prototype.valueOf__O__T = (function(value) {
  return ((value === null) ? "null" : $objectToString(value))
});
$c_sjsr_RuntimeString$.prototype.lastIndexOf__T__I__I = (function(thiz, ch) {
  var str = this.fromCodePoint__p1__I__T(ch);
  return $uI(thiz.lastIndexOf(str))
});
$c_sjsr_RuntimeString$.prototype.indexOf__T__I__I = (function(thiz, ch) {
  var str = this.fromCodePoint__p1__I__T(ch);
  return $uI(thiz.indexOf(str))
});
$c_sjsr_RuntimeString$.prototype.hashCode__T__I = (function(thiz) {
  var res = 0;
  var mul = 1;
  var i = (((-1) + $uI(thiz.length)) | 0);
  while ((i >= 0)) {
    var jsx$1 = res;
    var index = i;
    res = ((jsx$1 + $imul((65535 & $uI(thiz.charCodeAt(index))), mul)) | 0);
    mul = $imul(31, mul);
    i = (((-1) + i) | 0)
  };
  return res
});
$c_sjsr_RuntimeString$.prototype.fromCodePoint__p1__I__T = (function(codePoint) {
  if ((((-65536) & codePoint) === 0)) {
    return $as_T($g.String.fromCharCode(codePoint))
  } else if (((codePoint < 0) || (codePoint > 1114111))) {
    throw new $c_jl_IllegalArgumentException().init___()
  } else {
    var offsetCp = (((-65536) + codePoint) | 0);
    return $as_T($g.String.fromCharCode((55296 | (offsetCp >> 10)), (56320 | (1023 & offsetCp))))
  }
});
var $d_sjsr_RuntimeString$ = new $TypeData().initClass({
  sjsr_RuntimeString$: 0
}, false, "scala.scalajs.runtime.RuntimeString$", {
  sjsr_RuntimeString$: 1,
  O: 1
});
$c_sjsr_RuntimeString$.prototype.$classData = $d_sjsr_RuntimeString$;
var $n_sjsr_RuntimeString$ = (void 0);
function $m_sjsr_RuntimeString$() {
  if ((!$n_sjsr_RuntimeString$)) {
    $n_sjsr_RuntimeString$ = new $c_sjsr_RuntimeString$().init___()
  };
  return $n_sjsr_RuntimeString$
}
/** @constructor */
function $c_sjsr_StackTrace$() {
  $c_O.call(this);
  this.isRhino$1 = false;
  this.decompressedClasses$1 = null;
  this.decompressedPrefixes$1 = null;
  this.compressedPrefixes$1 = null;
  this.bitmap$0$1 = 0
}
$c_sjsr_StackTrace$.prototype = new $h_O();
$c_sjsr_StackTrace$.prototype.constructor = $c_sjsr_StackTrace$;
/** @constructor */
function $h_sjsr_StackTrace$() {
  /*<skip>*/
}
$h_sjsr_StackTrace$.prototype = $c_sjsr_StackTrace$.prototype;
$c_sjsr_StackTrace$.prototype.compressedPrefixes$lzycompute__p1__sjs_js_Array = (function() {
  if (((8 & this.bitmap$0$1) === 0)) {
    this.compressedPrefixes$1 = $g.Object.keys(this.decompressedPrefixes__p1__sjs_js_Dictionary());
    this.bitmap$0$1 = (8 | this.bitmap$0$1)
  };
  return this.compressedPrefixes$1
});
$c_sjsr_StackTrace$.prototype.extractFirefox__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  var x = $as_T(e.stack);
  var jsx$2 = x.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("(?:\\n@:0)?\\s+$", "m"), "");
  var x$1 = $as_T(jsx$2);
  var jsx$1 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^(?:\\((\\S*)\\))?@", "gm"), "{anonymous}($1)@");
  var x$2 = $as_T(jsx$1);
  return x$2.split("\n")
});
$c_sjsr_StackTrace$.prototype.extractOpera10a__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  var lineRE = $m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("Line (\\d+).*script (?:in )?(\\S+)(?:: In function (\\S+))?$", "i");
  var x = $as_T(e.stacktrace);
  var lines = x.split("\n");
  var result = [];
  var i = 0;
  var len = $uI(lines.length);
  while ((i < len)) {
    var mtch = lineRE.exec($as_T(lines[i]));
    if ((mtch !== null)) {
      var value = mtch[3];
      var fnName = $as_T(((value === (void 0)) ? "{anonymous}" : value));
      var value$1 = mtch[2];
      if ((value$1 === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var value$2 = mtch[1];
      if ((value$2 === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var jsx$1 = result.push(((((fnName + "()@") + value$1) + ":") + value$2));
      $uI(jsx$1)
    };
    i = ((2 + i) | 0)
  };
  return result
});
$c_sjsr_StackTrace$.prototype.init___ = (function() {
  return this
});
$c_sjsr_StackTrace$.prototype.isRhino__p1__Z = (function() {
  return (((1 & this.bitmap$0$1) === 0) ? this.isRhino$lzycompute__p1__Z() : this.isRhino$1)
});
$c_sjsr_StackTrace$.prototype.extractOpera10b__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  var lineRE = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^(.*)@(.+):(\\d+)$");
  var x = $as_T(e.stacktrace);
  var lines = x.split("\n");
  var result = [];
  var i = 0;
  var len = $uI(lines.length);
  while ((i < len)) {
    var mtch = lineRE.exec($as_T(lines[i]));
    if ((mtch !== null)) {
      var value = mtch[1];
      if ((value === (void 0))) {
        var fnName = "global code"
      } else {
        var x$3 = $as_T(value);
        var fnName = (x$3 + "()")
      };
      var value$1 = mtch[2];
      if ((value$1 === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var value$2 = mtch[3];
      if ((value$2 === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var jsx$1 = result.push(((((fnName + "@") + value$1) + ":") + value$2));
      $uI(jsx$1)
    };
    i = ((1 + i) | 0)
  };
  return result
});
$c_sjsr_StackTrace$.prototype.decodeClassName__p1__T__T = (function(encodedName) {
  var encoded = (((65535 & $uI(encodedName.charCodeAt(0))) === 36) ? $as_T(encodedName.substring(1)) : encodedName);
  var dict = this.decompressedClasses__p1__sjs_js_Dictionary();
  if ($uZ($m_sjs_js_WrappedDictionary$Cache$().safeHasOwnProperty$1.call(dict, encoded))) {
    var dict$1 = this.decompressedClasses__p1__sjs_js_Dictionary();
    if ((!$uZ($m_sjs_js_WrappedDictionary$Cache$().safeHasOwnProperty$1.call(dict$1, encoded)))) {
      throw new $c_ju_NoSuchElementException().init___T(("key not found: " + encoded))
    };
    var base = $as_T(dict$1[encoded])
  } else {
    var base = this.loop$1__p1__I__T__T(0, encoded)
  };
  var thiz = $as_T(base.split("_").join("."));
  return $as_T(thiz.split("$und").join("_"))
});
$c_sjsr_StackTrace$.prototype.extract__sjs_js_Dynamic__Ajl_StackTraceElement = (function(stackdata) {
  var lines = this.normalizeStackTraceLines__p1__sjs_js_Dynamic__sjs_js_Array(stackdata);
  return this.normalizedLinesToStackTrace__p1__sjs_js_Array__Ajl_StackTraceElement(lines)
});
$c_sjsr_StackTrace$.prototype.extractChrome__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  var x = ($as_T(e.stack) + "\n");
  var jsx$6 = x.replace($m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^[\\s\\S]+?\\s+at\\s+"), " at ");
  var x$1 = $as_T(jsx$6);
  var jsx$5 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^\\s+(at eval )?at\\s+", "gm"), "");
  var x$2 = $as_T(jsx$5);
  var jsx$4 = x$2.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^([^\\(]+?)([\\n])", "gm"), "{anonymous}() ($1)$2");
  var x$3 = $as_T(jsx$4);
  var jsx$3 = x$3.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^Object.<anonymous>\\s*\\(([^\\)]+)\\)", "gm"), "{anonymous}() ($1)");
  var x$4 = $as_T(jsx$3);
  var jsx$2 = x$4.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^([^\\(]+|\\{anonymous\\}\\(\\)) \\((.+)\\)$", "gm"), "$1@$2");
  var x$5 = $as_T(jsx$2);
  var jsx$1 = x$5.split("\n");
  return jsx$1.slice(0, (-1))
});
$c_sjsr_StackTrace$.prototype.decompressedClasses__p1__sjs_js_Dictionary = (function() {
  return (((2 & this.bitmap$0$1) === 0) ? this.decompressedClasses$lzycompute__p1__sjs_js_Dictionary() : this.decompressedClasses$1)
});
$c_sjsr_StackTrace$.prototype.compressedPrefixes__p1__sjs_js_Array = (function() {
  return (((8 & this.bitmap$0$1) === 0) ? this.compressedPrefixes$lzycompute__p1__sjs_js_Array() : this.compressedPrefixes$1)
});
$c_sjsr_StackTrace$.prototype.extractClassMethod__p1__T__T2 = (function(functionName) {
  var PatC = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^(?:Object\\.|\\[object Object\\]\\.)?(?:ScalaJS\\.c\\.|\\$c_)([^\\.]+)(?:\\.prototype)?\\.([^\\.]+)$");
  var PatS = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^(?:Object\\.|\\[object Object\\]\\.)?(?:ScalaJS\\.(?:s|f)\\.|\\$(?:s|f)_)((?:_[^_]|[^_])+)__([^\\.]+)$");
  var PatM = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^(?:Object\\.|\\[object Object\\]\\.)?(?:ScalaJS\\.m\\.|\\$m_)([^\\.]+)$");
  var isModule = false;
  var mtch = PatC.exec(functionName);
  if ((mtch === null)) {
    mtch = PatS.exec(functionName);
    if ((mtch === null)) {
      mtch = PatM.exec(functionName);
      isModule = true
    }
  };
  if ((mtch !== null)) {
    var value = mtch[1];
    if ((value === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var className = this.decodeClassName__p1__T__T($as_T(value));
    if (isModule) {
      var methodName = "<clinit>"
    } else {
      var value$1 = mtch[2];
      if ((value$1 === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var methodName = this.decodeMethodName__p1__T__T($as_T(value$1))
    };
    return new $c_T2().init___O__O(className, methodName)
  } else {
    return new $c_T2().init___O__O("<jscode>", functionName)
  }
});
$c_sjsr_StackTrace$.prototype.isRhino$lzycompute__p1__Z = (function() {
  if (((1 & this.bitmap$0$1) === 0)) {
    this.isRhino$1 = this.liftedTree1$1__p1__Z();
    this.bitmap$0$1 = (1 | this.bitmap$0$1)
  };
  return this.isRhino$1
});
$c_sjsr_StackTrace$.prototype.decompressedPrefixes$lzycompute__p1__sjs_js_Dictionary = (function() {
  if (((4 & this.bitmap$0$1) === 0)) {
    this.decompressedPrefixes$1 = {
      "sjsr_": "scala_scalajs_runtime_",
      "sjs_": "scala_scalajs_",
      "sci_": "scala_collection_immutable_",
      "scm_": "scala_collection_mutable_",
      "scg_": "scala_collection_generic_",
      "sc_": "scala_collection_",
      "sr_": "scala_runtime_",
      "s_": "scala_",
      "jl_": "java_lang_",
      "ju_": "java_util_"
    };
    this.bitmap$0$1 = (4 | this.bitmap$0$1)
  };
  return this.decompressedPrefixes$1
});
$c_sjsr_StackTrace$.prototype.extract__jl_Throwable__Ajl_StackTraceElement = (function(throwable) {
  return this.extract__sjs_js_Dynamic__Ajl_StackTraceElement(throwable.stackdata)
});
$c_sjsr_StackTrace$.prototype.decompressedClasses$lzycompute__p1__sjs_js_Dictionary = (function() {
  if (((2 & this.bitmap$0$1) === 0)) {
    var dict = {
      "O": "java_lang_Object",
      "T": "java_lang_String",
      "V": "scala_Unit",
      "Z": "scala_Boolean",
      "C": "scala_Char",
      "B": "scala_Byte",
      "S": "scala_Short",
      "I": "scala_Int",
      "J": "scala_Long",
      "F": "scala_Float",
      "D": "scala_Double"
    };
    var index = 0;
    while ((index <= 22)) {
      if ((index >= 2)) {
        dict[("T" + index)] = ("scala_Tuple" + index)
      };
      dict[("F" + index)] = ("scala_Function" + index);
      index = ((1 + index) | 0)
    };
    this.decompressedClasses$1 = dict;
    this.bitmap$0$1 = (2 | this.bitmap$0$1)
  };
  return this.decompressedClasses$1
});
$c_sjsr_StackTrace$.prototype.normalizeStackTraceLines__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  var x = (!e);
  if ($uZ((!(!x)))) {
    return []
  } else if (this.isRhino__p1__Z()) {
    return this.extractRhino__p1__sjs_js_Dynamic__sjs_js_Array(e)
  } else {
    var x$1 = (e.arguments && e.stack);
    if ($uZ((!(!x$1)))) {
      return this.extractChrome__p1__sjs_js_Dynamic__sjs_js_Array(e)
    } else {
      var x$2 = (e.stack && e.sourceURL);
      if ($uZ((!(!x$2)))) {
        return this.extractSafari__p1__sjs_js_Dynamic__sjs_js_Array(e)
      } else {
        var x$3 = (e.stack && e.number);
        if ($uZ((!(!x$3)))) {
          return this.extractIE__p1__sjs_js_Dynamic__sjs_js_Array(e)
        } else {
          var x$4 = (e.stack && e.fileName);
          if ($uZ((!(!x$4)))) {
            return this.extractFirefox__p1__sjs_js_Dynamic__sjs_js_Array(e)
          } else {
            var x$5 = (e.message && e["opera#sourceloc"]);
            if ($uZ((!(!x$5)))) {
              var x$6 = (!e.stacktrace);
              if ($uZ((!(!x$6)))) {
                return this.extractOpera9__p1__sjs_js_Dynamic__sjs_js_Array(e)
              } else {
                var x$7 = ((e.message.indexOf("\n") > (-1)) && (e.message.split("\n").length > e.stacktrace.split("\n").length));
                if ($uZ((!(!x$7)))) {
                  return this.extractOpera9__p1__sjs_js_Dynamic__sjs_js_Array(e)
                } else {
                  return this.extractOpera10a__p1__sjs_js_Dynamic__sjs_js_Array(e)
                }
              }
            } else {
              var x$8 = ((e.message && e.stack) && e.stacktrace);
              if ($uZ((!(!x$8)))) {
                var x$9 = (e.stacktrace.indexOf("called from line") < 0);
                if ($uZ((!(!x$9)))) {
                  return this.extractOpera10b__p1__sjs_js_Dynamic__sjs_js_Array(e)
                } else {
                  return this.extractOpera11__p1__sjs_js_Dynamic__sjs_js_Array(e)
                }
              } else {
                var x$10 = (e.stack && (!e.fileName));
                if ($uZ((!(!x$10)))) {
                  return this.extractChrome__p1__sjs_js_Dynamic__sjs_js_Array(e)
                } else {
                  return this.extractOther__p1__sjs_js_Dynamic__sjs_js_Array(e)
                }
              }
            }
          }
        }
      }
    }
  }
});
$c_sjsr_StackTrace$.prototype.extractOpera11__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  var lineRE = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^.*line (\\d+), column (\\d+)(?: in (.+))? in (\\S+):$");
  var x = $as_T(e.stacktrace);
  var lines = x.split("\n");
  var result = [];
  var i = 0;
  var len = $uI(lines.length);
  while ((i < len)) {
    var mtch = lineRE.exec($as_T(lines[i]));
    if ((mtch !== null)) {
      var value = mtch[4];
      if ((value === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var jsx$1 = $as_T(value);
      var value$1 = mtch[1];
      if ((value$1 === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var value$2 = mtch[2];
      if ((value$2 === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var location = ((((jsx$1 + ":") + value$1) + ":") + value$2);
      var value$3 = mtch[2];
      var fnName0 = $as_T(((value$3 === (void 0)) ? "global code" : value$3));
      var x$1 = $as_T(fnName0.replace($m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("<anonymous function: (\\S+)>"), "$1"));
      var jsx$2 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("<anonymous function>"), "{anonymous}");
      var fnName = $as_T(jsx$2);
      $uI(result.push(((fnName + "@") + location)))
    };
    i = ((2 + i) | 0)
  };
  return result
});
$c_sjsr_StackTrace$.prototype.normalizedLinesToStackTrace__p1__sjs_js_Array__Ajl_StackTraceElement = (function(lines) {
  var NormalizedFrameLine = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^([^\\@]*)\\@(.*):([0-9]+)$");
  var NormalizedFrameLineWithColumn = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^([^\\@]*)\\@(.*):([0-9]+):([0-9]+)$");
  var trace = [];
  var i = 0;
  while ((i < $uI(lines.length))) {
    var line = $as_T(lines[i]);
    if ((line === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    if ((line !== "")) {
      var mtch1 = NormalizedFrameLineWithColumn.exec(line);
      if ((mtch1 !== null)) {
        var value = mtch1[1];
        if ((value === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        var x1 = this.extractClassMethod__p1__T__T2($as_T(value));
        if ((x1 === null)) {
          throw new $c_s_MatchError().init___O(x1)
        };
        var className = $as_T(x1.$$und1$f);
        var methodName = $as_T(x1.$$und2$f);
        var value$1 = mtch1[2];
        if ((value$1 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        var fileName = $as_T(value$1);
        var value$2 = mtch1[3];
        if ((value$2 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        var x = $as_T(value$2);
        var this$12 = new $c_sci_StringOps().init___T(x);
        var this$14 = $m_jl_Integer$();
        var $$this = this$12.repr$1;
        var lineNumber = this$14.parseInt__T__I__I($$this, 10);
        var value$3 = mtch1[4];
        if ((value$3 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        var x$1 = $as_T(value$3);
        var this$19 = new $c_sci_StringOps().init___T(x$1);
        var this$21 = $m_jl_Integer$();
        var $$this$1 = this$19.repr$1;
        var value$4 = this$21.parseInt__T__I__I($$this$1, 10);
        var jsx$1 = trace.push({
          "declaringClass": className,
          "methodName": methodName,
          "fileName": fileName,
          "lineNumber": lineNumber,
          "columnNumber": ((value$4 === (void 0)) ? (void 0) : value$4)
        });
        $uI(jsx$1)
      } else {
        var mtch2 = NormalizedFrameLine.exec(line);
        if ((mtch2 !== null)) {
          var value$5 = mtch2[1];
          if ((value$5 === (void 0))) {
            throw new $c_ju_NoSuchElementException().init___T("undefined.get")
          };
          var x1$2 = this.extractClassMethod__p1__T__T2($as_T(value$5));
          if ((x1$2 === null)) {
            throw new $c_s_MatchError().init___O(x1$2)
          };
          var className$3 = $as_T(x1$2.$$und1$f);
          var methodName$3 = $as_T(x1$2.$$und2$f);
          var value$6 = mtch2[2];
          if ((value$6 === (void 0))) {
            throw new $c_ju_NoSuchElementException().init___T("undefined.get")
          };
          var fileName$1 = $as_T(value$6);
          var value$7 = mtch2[3];
          if ((value$7 === (void 0))) {
            throw new $c_ju_NoSuchElementException().init___T("undefined.get")
          };
          var x$2 = $as_T(value$7);
          var this$43 = new $c_sci_StringOps().init___T(x$2);
          var this$45 = $m_jl_Integer$();
          var $$this$2 = this$43.repr$1;
          var lineNumber$1 = this$45.parseInt__T__I__I($$this$2, 10);
          var jsx$2 = trace.push({
            "declaringClass": className$3,
            "methodName": methodName$3,
            "fileName": fileName$1,
            "lineNumber": lineNumber$1,
            "columnNumber": (void 0)
          });
          $uI(jsx$2)
        } else {
          $uI(trace.push({
            "declaringClass": "<jscode>",
            "methodName": line,
            "fileName": null,
            "lineNumber": (-1),
            "columnNumber": (void 0)
          }))
        }
      }
    };
    i = ((1 + i) | 0)
  };
  var value$8 = $env.sourceMapper;
  var mappedTrace = ((value$8 === (void 0)) ? trace : value$8(trace));
  var result = $newArrayObject($d_jl_StackTraceElement.getArrayOf(), [$uI(mappedTrace.length)]);
  i = 0;
  while ((i < $uI(mappedTrace.length))) {
    var jsSte = mappedTrace[i];
    var ste = new $c_jl_StackTraceElement().init___T__T__T__I($as_T(jsSte.declaringClass), $as_T(jsSte.methodName), $as_T(jsSte.fileName), $uI(jsSte.lineNumber));
    var value$9 = jsSte.columnNumber;
    if ((value$9 !== (void 0))) {
      var columnNumber = $uI(value$9);
      ste.setColumnNumber(columnNumber)
    };
    result.set(i, ste);
    i = ((1 + i) | 0)
  };
  return result
});
$c_sjsr_StackTrace$.prototype.extractOpera9__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  var lineRE = $m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("Line (\\d+).*script (?:in )?(\\S+)", "i");
  var x = $as_T(e.message);
  var lines = x.split("\n");
  var result = [];
  var i = 2;
  var len = $uI(lines.length);
  while ((i < len)) {
    var mtch = lineRE.exec($as_T(lines[i]));
    if ((mtch !== null)) {
      var value = mtch[2];
      if ((value === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var value$1 = mtch[1];
      if ((value$1 === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var jsx$1 = result.push(((("{anonymous}()@" + value) + ":") + value$1));
      $uI(jsx$1)
    };
    i = ((2 + i) | 0)
  };
  return result
});
$c_sjsr_StackTrace$.prototype.extractSafari__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  var x = $as_T(e.stack);
  var jsx$3 = x.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("\\[native code\\]\\n", "m"), "");
  var x$1 = $as_T(jsx$3);
  var jsx$2 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^(?=\\w+Error\\:).*$\\n", "m"), "");
  var x$2 = $as_T(jsx$2);
  var jsx$1 = x$2.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^@", "gm"), "{anonymous}()@");
  var x$3 = $as_T(jsx$1);
  return x$3.split("\n")
});
$c_sjsr_StackTrace$.prototype.loop$1__p1__I__T__T = (function(i, encoded$1) {
  _loop: while (true) {
    if ((i < $uI(this.compressedPrefixes__p1__sjs_js_Array().length))) {
      var prefix = $as_T(this.compressedPrefixes__p1__sjs_js_Array()[i]);
      if ((($uI(encoded$1.length) >= 0) && ($as_T(encoded$1.substring(0, $uI(prefix.length))) === prefix))) {
        var dict = this.decompressedPrefixes__p1__sjs_js_Dictionary();
        if ((!$uZ($m_sjs_js_WrappedDictionary$Cache$().safeHasOwnProperty$1.call(dict, prefix)))) {
          throw new $c_ju_NoSuchElementException().init___T(("key not found: " + prefix))
        };
        var jsx$1 = $as_T(dict[prefix]);
        var beginIndex = $uI(prefix.length);
        return (("" + jsx$1) + $as_T(encoded$1.substring(beginIndex)))
      } else {
        i = ((1 + i) | 0);
        continue _loop
      }
    } else {
      return ((($uI(encoded$1.length) >= 0) && ($as_T(encoded$1.substring(0, $uI("L".length))) === "L")) ? $as_T(encoded$1.substring(1)) : encoded$1)
    }
  }
});
$c_sjsr_StackTrace$.prototype.liftedTree1$1__p1__Z = (function() {
  try {
    $g.Packages.org.mozilla.javascript.JavaScriptException;
    return true
  } catch (e) {
    var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
    if ((e$2 !== null)) {
      if ($is_sjs_js_JavaScriptException(e$2)) {
        return false
      } else {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
      }
    } else {
      throw e
    }
  }
});
$c_sjsr_StackTrace$.prototype.decompressedPrefixes__p1__sjs_js_Dictionary = (function() {
  return (((4 & this.bitmap$0$1) === 0) ? this.decompressedPrefixes$lzycompute__p1__sjs_js_Dictionary() : this.decompressedPrefixes$1)
});
$c_sjsr_StackTrace$.prototype.extractRhino__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  var value = e.stack;
  var x = $as_T(((value === (void 0)) ? "" : value));
  var jsx$3 = x.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^\\s+at\\s+", "gm"), "");
  var x$1 = $as_T(jsx$3);
  var jsx$2 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^(.+?)(?: \\((.+)\\))?$", "gm"), "$2@$1");
  var x$2 = $as_T(jsx$2);
  var jsx$1 = x$2.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("\\r\\n?", "gm"), "\n");
  var x$3 = $as_T(jsx$1);
  return x$3.split("\n")
});
$c_sjsr_StackTrace$.prototype.extractOther__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  return []
});
$c_sjsr_StackTrace$.prototype.extractIE__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  var x = $as_T(e.stack);
  var jsx$3 = x.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^\\s*at\\s+(.*)$", "gm"), "$1");
  var x$1 = $as_T(jsx$3);
  var jsx$2 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^Anonymous function\\s+", "gm"), "{anonymous}() ");
  var x$2 = $as_T(jsx$2);
  var jsx$1 = x$2.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^([^\\(]+|\\{anonymous\\}\\(\\))\\s+\\((.+)\\)$", "gm"), "$1@$2");
  var x$3 = $as_T(jsx$1);
  var qual$1 = x$3.split("\n");
  return qual$1.slice(1)
});
$c_sjsr_StackTrace$.prototype.decodeMethodName__p1__T__T = (function(encodedName) {
  if ((($uI(encodedName.length) >= 0) && ($as_T(encodedName.substring(0, $uI("init___".length))) === "init___"))) {
    return "<init>"
  } else {
    var methodNameLen = $uI(encodedName.indexOf("__"));
    return ((methodNameLen < 0) ? encodedName : $as_T(encodedName.substring(0, methodNameLen)))
  }
});
var $d_sjsr_StackTrace$ = new $TypeData().initClass({
  sjsr_StackTrace$: 0
}, false, "scala.scalajs.runtime.StackTrace$", {
  sjsr_StackTrace$: 1,
  O: 1
});
$c_sjsr_StackTrace$.prototype.$classData = $d_sjsr_StackTrace$;
var $n_sjsr_StackTrace$ = (void 0);
function $m_sjsr_StackTrace$() {
  if ((!$n_sjsr_StackTrace$)) {
    $n_sjsr_StackTrace$ = new $c_sjsr_StackTrace$().init___()
  };
  return $n_sjsr_StackTrace$
}
/** @constructor */
function $c_sjsr_StackTrace$StringRE$() {
  $c_O.call(this)
}
$c_sjsr_StackTrace$StringRE$.prototype = new $h_O();
$c_sjsr_StackTrace$StringRE$.prototype.constructor = $c_sjsr_StackTrace$StringRE$;
/** @constructor */
function $h_sjsr_StackTrace$StringRE$() {
  /*<skip>*/
}
$h_sjsr_StackTrace$StringRE$.prototype = $c_sjsr_StackTrace$StringRE$.prototype;
$c_sjsr_StackTrace$StringRE$.prototype.init___ = (function() {
  return this
});
$c_sjsr_StackTrace$StringRE$.prototype.re$extension1__T__T__sjs_js_RegExp = (function($$this, mods) {
  return new $g.RegExp($$this, mods)
});
$c_sjsr_StackTrace$StringRE$.prototype.re$extension0__T__sjs_js_RegExp = (function($$this) {
  return new $g.RegExp($$this)
});
var $d_sjsr_StackTrace$StringRE$ = new $TypeData().initClass({
  sjsr_StackTrace$StringRE$: 0
}, false, "scala.scalajs.runtime.StackTrace$StringRE$", {
  sjsr_StackTrace$StringRE$: 1,
  O: 1
});
$c_sjsr_StackTrace$StringRE$.prototype.$classData = $d_sjsr_StackTrace$StringRE$;
var $n_sjsr_StackTrace$StringRE$ = (void 0);
function $m_sjsr_StackTrace$StringRE$() {
  if ((!$n_sjsr_StackTrace$StringRE$)) {
    $n_sjsr_StackTrace$StringRE$ = new $c_sjsr_StackTrace$StringRE$().init___()
  };
  return $n_sjsr_StackTrace$StringRE$
}
/** @constructor */
function $c_sjsr_package$() {
  $c_O.call(this)
}
$c_sjsr_package$.prototype = new $h_O();
$c_sjsr_package$.prototype.constructor = $c_sjsr_package$;
/** @constructor */
function $h_sjsr_package$() {
  /*<skip>*/
}
$h_sjsr_package$.prototype = $c_sjsr_package$.prototype;
$c_sjsr_package$.prototype.init___ = (function() {
  return this
});
$c_sjsr_package$.prototype.unwrapJavaScriptException__jl_Throwable__O = (function(th) {
  if ($is_sjs_js_JavaScriptException(th)) {
    var x2 = $as_sjs_js_JavaScriptException(th);
    var e = x2.exception$4;
    return e
  } else {
    return th
  }
});
$c_sjsr_package$.prototype.wrapJavaScriptException__O__jl_Throwable = (function(e) {
  if ($is_jl_Throwable(e)) {
    var x2 = $as_jl_Throwable(e);
    return x2
  } else {
    return new $c_sjs_js_JavaScriptException().init___O(e)
  }
});
var $d_sjsr_package$ = new $TypeData().initClass({
  sjsr_package$: 0
}, false, "scala.scalajs.runtime.package$", {
  sjsr_package$: 1,
  O: 1
});
$c_sjsr_package$.prototype.$classData = $d_sjsr_package$;
var $n_sjsr_package$ = (void 0);
function $m_sjsr_package$() {
  if ((!$n_sjsr_package$)) {
    $n_sjsr_package$ = new $c_sjsr_package$().init___()
  };
  return $n_sjsr_package$
}
/** @constructor */
function $c_sr_BoxesRunTime$() {
  $c_O.call(this)
}
$c_sr_BoxesRunTime$.prototype = new $h_O();
$c_sr_BoxesRunTime$.prototype.constructor = $c_sr_BoxesRunTime$;
/** @constructor */
function $h_sr_BoxesRunTime$() {
  /*<skip>*/
}
$h_sr_BoxesRunTime$.prototype = $c_sr_BoxesRunTime$.prototype;
$c_sr_BoxesRunTime$.prototype.init___ = (function() {
  return this
});
$c_sr_BoxesRunTime$.prototype.equalsCharObject__jl_Character__O__Z = (function(xc, y) {
  if ($is_jl_Character(y)) {
    var x2 = $as_jl_Character(y);
    return (xc.value$1 === x2.value$1)
  } else if ($is_jl_Number(y)) {
    var x3 = $as_jl_Number(y);
    if (((typeof x3) === "number")) {
      var x2$1 = $uD(x3);
      return (x2$1 === xc.value$1)
    } else if ($is_sjsr_RuntimeLong(x3)) {
      var t = $uJ(x3);
      var lo = t.lo$2;
      var hi = t.hi$2;
      var value = xc.value$1;
      var hi$1 = (value >> 31);
      return ((lo === value) && (hi === hi$1))
    } else {
      return ((x3 === null) ? (xc === null) : $objectEquals(x3, xc))
    }
  } else {
    return ((xc === null) && (y === null))
  }
});
$c_sr_BoxesRunTime$.prototype.equalsNumObject__jl_Number__O__Z = (function(xn, y) {
  if ($is_jl_Number(y)) {
    var x2 = $as_jl_Number(y);
    return this.equalsNumNum__jl_Number__jl_Number__Z(xn, x2)
  } else if ($is_jl_Character(y)) {
    var x3 = $as_jl_Character(y);
    if (((typeof xn) === "number")) {
      var x2$1 = $uD(xn);
      return (x2$1 === x3.value$1)
    } else if ($is_sjsr_RuntimeLong(xn)) {
      var t = $uJ(xn);
      var lo = t.lo$2;
      var hi = t.hi$2;
      var value = x3.value$1;
      var hi$1 = (value >> 31);
      return ((lo === value) && (hi === hi$1))
    } else {
      return ((xn === null) ? (x3 === null) : $objectEquals(xn, x3))
    }
  } else {
    return ((xn === null) ? (y === null) : $objectEquals(xn, y))
  }
});
$c_sr_BoxesRunTime$.prototype.equals__O__O__Z = (function(x, y) {
  if ((x === y)) {
    return true
  } else if ($is_jl_Number(x)) {
    var x2 = $as_jl_Number(x);
    return this.equalsNumObject__jl_Number__O__Z(x2, y)
  } else if ($is_jl_Character(x)) {
    var x3 = $as_jl_Character(x);
    return this.equalsCharObject__jl_Character__O__Z(x3, y)
  } else {
    return ((x === null) ? (y === null) : $objectEquals(x, y))
  }
});
$c_sr_BoxesRunTime$.prototype.equalsNumNum__jl_Number__jl_Number__Z = (function(xn, yn) {
  if (((typeof xn) === "number")) {
    var x2 = $uD(xn);
    if (((typeof yn) === "number")) {
      var x2$2 = $uD(yn);
      return (x2 === x2$2)
    } else if ($is_sjsr_RuntimeLong(yn)) {
      var t = $uJ(yn);
      var lo = t.lo$2;
      var hi = t.hi$2;
      return (x2 === $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(lo, hi))
    } else if ($is_s_math_ScalaNumber(yn)) {
      var x4 = $as_s_math_ScalaNumber(yn);
      return x4.equals__O__Z(x2)
    } else {
      return false
    }
  } else if ($is_sjsr_RuntimeLong(xn)) {
    var t$1 = $uJ(xn);
    var lo$1 = t$1.lo$2;
    var hi$1 = t$1.hi$2;
    if ($is_sjsr_RuntimeLong(yn)) {
      var t$2 = $uJ(yn);
      var lo$2 = t$2.lo$2;
      var hi$2 = t$2.hi$2;
      return ((lo$1 === lo$2) && (hi$1 === hi$2))
    } else if (((typeof yn) === "number")) {
      var x3$3 = $uD(yn);
      return ($m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(lo$1, hi$1) === x3$3)
    } else if ($is_s_math_ScalaNumber(yn)) {
      var x4$2 = $as_s_math_ScalaNumber(yn);
      return x4$2.equals__O__Z(new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$1))
    } else {
      return false
    }
  } else {
    return ((xn === null) ? (yn === null) : $objectEquals(xn, yn))
  }
});
var $d_sr_BoxesRunTime$ = new $TypeData().initClass({
  sr_BoxesRunTime$: 0
}, false, "scala.runtime.BoxesRunTime$", {
  sr_BoxesRunTime$: 1,
  O: 1
});
$c_sr_BoxesRunTime$.prototype.$classData = $d_sr_BoxesRunTime$;
var $n_sr_BoxesRunTime$ = (void 0);
function $m_sr_BoxesRunTime$() {
  if ((!$n_sr_BoxesRunTime$)) {
    $n_sr_BoxesRunTime$ = new $c_sr_BoxesRunTime$().init___()
  };
  return $n_sr_BoxesRunTime$
}
var $d_sr_Null$ = new $TypeData().initClass({
  sr_Null$: 0
}, false, "scala.runtime.Null$", {
  sr_Null$: 1,
  O: 1
});
/** @constructor */
function $c_sr_ScalaRunTime$() {
  $c_O.call(this)
}
$c_sr_ScalaRunTime$.prototype = new $h_O();
$c_sr_ScalaRunTime$.prototype.constructor = $c_sr_ScalaRunTime$;
/** @constructor */
function $h_sr_ScalaRunTime$() {
  /*<skip>*/
}
$h_sr_ScalaRunTime$.prototype = $c_sr_ScalaRunTime$.prototype;
$c_sr_ScalaRunTime$.prototype.init___ = (function() {
  return this
});
$c_sr_ScalaRunTime$.prototype.array$undlength__O__I = (function(xs) {
  if ($isArrayOf_O(xs, 1)) {
    var x2 = $asArrayOf_O(xs, 1);
    return x2.u.length
  } else if ($isArrayOf_I(xs, 1)) {
    var x3 = $asArrayOf_I(xs, 1);
    return x3.u.length
  } else if ($isArrayOf_D(xs, 1)) {
    var x4 = $asArrayOf_D(xs, 1);
    return x4.u.length
  } else if ($isArrayOf_J(xs, 1)) {
    var x5 = $asArrayOf_J(xs, 1);
    return x5.u.length
  } else if ($isArrayOf_F(xs, 1)) {
    var x6 = $asArrayOf_F(xs, 1);
    return x6.u.length
  } else if ($isArrayOf_C(xs, 1)) {
    var x7 = $asArrayOf_C(xs, 1);
    return x7.u.length
  } else if ($isArrayOf_B(xs, 1)) {
    var x8 = $asArrayOf_B(xs, 1);
    return x8.u.length
  } else if ($isArrayOf_S(xs, 1)) {
    var x9 = $asArrayOf_S(xs, 1);
    return x9.u.length
  } else if ($isArrayOf_Z(xs, 1)) {
    var x10 = $asArrayOf_Z(xs, 1);
    return x10.u.length
  } else if ($isArrayOf_sr_BoxedUnit(xs, 1)) {
    var x11 = $asArrayOf_sr_BoxedUnit(xs, 1);
    return x11.u.length
  } else if ((xs === null)) {
    throw new $c_jl_NullPointerException().init___()
  } else {
    throw new $c_s_MatchError().init___O(xs)
  }
});
$c_sr_ScalaRunTime$.prototype.hash__O__I = (function(x) {
  if ((x === null)) {
    return 0
  } else if ($is_jl_Number(x)) {
    var n = $as_jl_Number(x);
    if (((typeof n) === "number")) {
      var x2 = $uD(n);
      return $m_sr_Statics$().doubleHash__D__I(x2)
    } else if ($is_sjsr_RuntimeLong(n)) {
      var t = $uJ(n);
      var lo = t.lo$2;
      var hi = t.hi$2;
      return $m_sr_Statics$().longHash__J__I(new $c_sjsr_RuntimeLong().init___I__I(lo, hi))
    } else {
      return $objectHashCode(n)
    }
  } else {
    return $objectHashCode(x)
  }
});
$c_sr_ScalaRunTime$.prototype.array$undupdate__O__I__O__V = (function(xs, idx, value) {
  if ($isArrayOf_O(xs, 1)) {
    var x2 = $asArrayOf_O(xs, 1);
    x2.set(idx, value)
  } else if ($isArrayOf_I(xs, 1)) {
    var x3 = $asArrayOf_I(xs, 1);
    x3.set(idx, $uI(value))
  } else if ($isArrayOf_D(xs, 1)) {
    var x4 = $asArrayOf_D(xs, 1);
    x4.set(idx, $uD(value))
  } else if ($isArrayOf_J(xs, 1)) {
    var x5 = $asArrayOf_J(xs, 1);
    x5.set(idx, $uJ(value))
  } else if ($isArrayOf_F(xs, 1)) {
    var x6 = $asArrayOf_F(xs, 1);
    x6.set(idx, $uF(value))
  } else if ($isArrayOf_C(xs, 1)) {
    var x7 = $asArrayOf_C(xs, 1);
    if ((value === null)) {
      var jsx$1 = 0
    } else {
      var this$2 = $as_jl_Character(value);
      var jsx$1 = this$2.value$1
    };
    x7.set(idx, jsx$1)
  } else if ($isArrayOf_B(xs, 1)) {
    var x8 = $asArrayOf_B(xs, 1);
    x8.set(idx, $uB(value))
  } else if ($isArrayOf_S(xs, 1)) {
    var x9 = $asArrayOf_S(xs, 1);
    x9.set(idx, $uS(value))
  } else if ($isArrayOf_Z(xs, 1)) {
    var x10 = $asArrayOf_Z(xs, 1);
    x10.set(idx, $uZ(value))
  } else if ($isArrayOf_sr_BoxedUnit(xs, 1)) {
    var x11 = $asArrayOf_sr_BoxedUnit(xs, 1);
    x11.set(idx, $asUnit(value))
  } else if ((xs === null)) {
    throw new $c_jl_NullPointerException().init___()
  } else {
    throw new $c_s_MatchError().init___O(xs)
  }
});
$c_sr_ScalaRunTime$.prototype.$$undtoString__s_Product__T = (function(x) {
  var this$1 = x.productIterator__sc_Iterator();
  var start = (x.productPrefix__T() + "(");
  return $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T(this$1, start, ",", ")")
});
$c_sr_ScalaRunTime$.prototype.array$undapply__O__I__O = (function(xs, idx) {
  if ($isArrayOf_O(xs, 1)) {
    var x2 = $asArrayOf_O(xs, 1);
    return x2.get(idx)
  } else if ($isArrayOf_I(xs, 1)) {
    var x3 = $asArrayOf_I(xs, 1);
    return x3.get(idx)
  } else if ($isArrayOf_D(xs, 1)) {
    var x4 = $asArrayOf_D(xs, 1);
    return x4.get(idx)
  } else if ($isArrayOf_J(xs, 1)) {
    var x5 = $asArrayOf_J(xs, 1);
    return x5.get(idx)
  } else if ($isArrayOf_F(xs, 1)) {
    var x6 = $asArrayOf_F(xs, 1);
    return x6.get(idx)
  } else if ($isArrayOf_C(xs, 1)) {
    var x7 = $asArrayOf_C(xs, 1);
    var c = x7.get(idx);
    return new $c_jl_Character().init___C(c)
  } else if ($isArrayOf_B(xs, 1)) {
    var x8 = $asArrayOf_B(xs, 1);
    return x8.get(idx)
  } else if ($isArrayOf_S(xs, 1)) {
    var x9 = $asArrayOf_S(xs, 1);
    return x9.get(idx)
  } else if ($isArrayOf_Z(xs, 1)) {
    var x10 = $asArrayOf_Z(xs, 1);
    return x10.get(idx)
  } else if ($isArrayOf_sr_BoxedUnit(xs, 1)) {
    var x11 = $asArrayOf_sr_BoxedUnit(xs, 1);
    return x11.get(idx)
  } else if ((xs === null)) {
    throw new $c_jl_NullPointerException().init___()
  } else {
    throw new $c_s_MatchError().init___O(xs)
  }
});
var $d_sr_ScalaRunTime$ = new $TypeData().initClass({
  sr_ScalaRunTime$: 0
}, false, "scala.runtime.ScalaRunTime$", {
  sr_ScalaRunTime$: 1,
  O: 1
});
$c_sr_ScalaRunTime$.prototype.$classData = $d_sr_ScalaRunTime$;
var $n_sr_ScalaRunTime$ = (void 0);
function $m_sr_ScalaRunTime$() {
  if ((!$n_sr_ScalaRunTime$)) {
    $n_sr_ScalaRunTime$ = new $c_sr_ScalaRunTime$().init___()
  };
  return $n_sr_ScalaRunTime$
}
/** @constructor */
function $c_sr_Statics$() {
  $c_O.call(this)
}
$c_sr_Statics$.prototype = new $h_O();
$c_sr_Statics$.prototype.constructor = $c_sr_Statics$;
/** @constructor */
function $h_sr_Statics$() {
  /*<skip>*/
}
$h_sr_Statics$.prototype = $c_sr_Statics$.prototype;
$c_sr_Statics$.prototype.init___ = (function() {
  return this
});
$c_sr_Statics$.prototype.mixLast__I__I__I = (function(hash, data) {
  var k = data;
  k = $imul((-862048943), k);
  var i = k;
  k = ((i << 15) | ((i >>> 17) | 0));
  k = $imul(461845907, k);
  return (hash ^ k)
});
$c_sr_Statics$.prototype.doubleHash__D__I = (function(dv) {
  var iv = $doubleToInt(dv);
  if ((iv === dv)) {
    return iv
  } else {
    var this$1 = $m_sjsr_RuntimeLong$();
    var lo = this$1.scala$scalajs$runtime$RuntimeLong$$fromDoubleImpl__D__I(dv);
    var hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return (($m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(lo, hi) === dv) ? (lo ^ hi) : $m_sjsr_Bits$().numberHashCode__D__I(dv))
  }
});
$c_sr_Statics$.prototype.anyHash__O__I = (function(x) {
  if ((x === null)) {
    return 0
  } else if (((typeof x) === "number")) {
    var x3 = $uD(x);
    return this.doubleHash__D__I(x3)
  } else if ($is_sjsr_RuntimeLong(x)) {
    var t = $uJ(x);
    var lo = t.lo$2;
    var hi = t.hi$2;
    return this.longHash__J__I(new $c_sjsr_RuntimeLong().init___I__I(lo, hi))
  } else {
    return $objectHashCode(x)
  }
});
$c_sr_Statics$.prototype.avalanche__I__I = (function(h0) {
  var h = h0;
  h = (h ^ ((h >>> 16) | 0));
  h = $imul((-2048144789), h);
  h = (h ^ ((h >>> 13) | 0));
  h = $imul((-1028477387), h);
  h = (h ^ ((h >>> 16) | 0));
  return h
});
$c_sr_Statics$.prototype.mix__I__I__I = (function(hash, data) {
  var h = this.mixLast__I__I__I(hash, data);
  var i = h;
  h = ((i << 13) | ((i >>> 19) | 0));
  return (((-430675100) + $imul(5, h)) | 0)
});
$c_sr_Statics$.prototype.longHash__J__I = (function(lv) {
  var lo = lv.lo$2;
  var lo$1 = lv.hi$2;
  return ((lo$1 === (lo >> 31)) ? lo : (lo ^ lo$1))
});
$c_sr_Statics$.prototype.finalizeHash__I__I__I = (function(hash, length) {
  return this.avalanche__I__I((hash ^ length))
});
var $d_sr_Statics$ = new $TypeData().initClass({
  sr_Statics$: 0
}, false, "scala.runtime.Statics$", {
  sr_Statics$: 1,
  O: 1
});
$c_sr_Statics$.prototype.$classData = $d_sr_Statics$;
var $n_sr_Statics$ = (void 0);
function $m_sr_Statics$() {
  if ((!$n_sr_Statics$)) {
    $n_sr_Statics$ = new $c_sr_Statics$().init___()
  };
  return $n_sr_Statics$
}
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_package$$anon$1.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$$anon$1.prototype.constructor = $c_Lcom_iteration3_smilejs_package$$anon$1;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$$anon$1() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$$anon$1.prototype = $c_Lcom_iteration3_smilejs_package$$anon$1.prototype;
$c_Lcom_iteration3_smilejs_package$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_package$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_T(t);
  return t$1
});
var $d_Lcom_iteration3_smilejs_package$$anon$1 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$$anon$1: 0
}, false, "com.iteration3.smilejs.package$$anon$1", {
  Lcom_iteration3_smilejs_package$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_iteration3_smilejs_package$$anon$1.prototype.$classData = $d_Lcom_iteration3_smilejs_package$$anon$1;
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$$anon$10() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_package$$anon$10.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$$anon$10.prototype.constructor = $c_Lcom_iteration3_smilejs_package$$anon$10;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$$anon$10() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$$anon$10.prototype = $c_Lcom_iteration3_smilejs_package$$anon$10.prototype;
$c_Lcom_iteration3_smilejs_package$$anon$10.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_package$$anon$10.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return this.fromJs__sjs_js_Dynamic__sjs_js_Date(js1)
});
$c_Lcom_iteration3_smilejs_package$$anon$10.prototype.fromJs__sjs_js_Dynamic__sjs_js_Date = (function(js1) {
  return new $g.Date($as_T(js1))
});
var $d_Lcom_iteration3_smilejs_package$$anon$10 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$$anon$10: 0
}, false, "com.iteration3.smilejs.package$$anon$10", {
  Lcom_iteration3_smilejs_package$$anon$10: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_iteration3_smilejs_package$$anon$10.prototype.$classData = $d_Lcom_iteration3_smilejs_package$$anon$10;
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_package$$anon$2.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$$anon$2.prototype.constructor = $c_Lcom_iteration3_smilejs_package$$anon$2;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$$anon$2() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$$anon$2.prototype = $c_Lcom_iteration3_smilejs_package$$anon$2.prototype;
$c_Lcom_iteration3_smilejs_package$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_package$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $as_T(js1)
});
var $d_Lcom_iteration3_smilejs_package$$anon$2 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$$anon$2: 0
}, false, "com.iteration3.smilejs.package$$anon$2", {
  Lcom_iteration3_smilejs_package$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_iteration3_smilejs_package$$anon$2.prototype.$classData = $d_Lcom_iteration3_smilejs_package$$anon$2;
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$$anon$3() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_package$$anon$3.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$$anon$3.prototype.constructor = $c_Lcom_iteration3_smilejs_package$$anon$3;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$$anon$3() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$$anon$3.prototype = $c_Lcom_iteration3_smilejs_package$$anon$3.prototype;
$c_Lcom_iteration3_smilejs_package$$anon$3.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_package$$anon$3.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $uI(t);
  return t$1
});
var $d_Lcom_iteration3_smilejs_package$$anon$3 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$$anon$3: 0
}, false, "com.iteration3.smilejs.package$$anon$3", {
  Lcom_iteration3_smilejs_package$$anon$3: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_iteration3_smilejs_package$$anon$3.prototype.$classData = $d_Lcom_iteration3_smilejs_package$$anon$3;
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$$anon$4() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_package$$anon$4.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$$anon$4.prototype.constructor = $c_Lcom_iteration3_smilejs_package$$anon$4;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$$anon$4() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$$anon$4.prototype = $c_Lcom_iteration3_smilejs_package$$anon$4.prototype;
$c_Lcom_iteration3_smilejs_package$$anon$4.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_package$$anon$4.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $uI(js1)
});
var $d_Lcom_iteration3_smilejs_package$$anon$4 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$$anon$4: 0
}, false, "com.iteration3.smilejs.package$$anon$4", {
  Lcom_iteration3_smilejs_package$$anon$4: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_iteration3_smilejs_package$$anon$4.prototype.$classData = $d_Lcom_iteration3_smilejs_package$$anon$4;
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$$anon$5() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_package$$anon$5.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$$anon$5.prototype.constructor = $c_Lcom_iteration3_smilejs_package$$anon$5;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$$anon$5() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$$anon$5.prototype = $c_Lcom_iteration3_smilejs_package$$anon$5.prototype;
$c_Lcom_iteration3_smilejs_package$$anon$5.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_package$$anon$5.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $uZ(t);
  return t$1
});
var $d_Lcom_iteration3_smilejs_package$$anon$5 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$$anon$5: 0
}, false, "com.iteration3.smilejs.package$$anon$5", {
  Lcom_iteration3_smilejs_package$$anon$5: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_iteration3_smilejs_package$$anon$5.prototype.$classData = $d_Lcom_iteration3_smilejs_package$$anon$5;
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$$anon$6() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_package$$anon$6.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$$anon$6.prototype.constructor = $c_Lcom_iteration3_smilejs_package$$anon$6;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$$anon$6() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$$anon$6.prototype = $c_Lcom_iteration3_smilejs_package$$anon$6.prototype;
$c_Lcom_iteration3_smilejs_package$$anon$6.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_package$$anon$6.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $uZ(js1)
});
var $d_Lcom_iteration3_smilejs_package$$anon$6 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$$anon$6: 0
}, false, "com.iteration3.smilejs.package$$anon$6", {
  Lcom_iteration3_smilejs_package$$anon$6: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_iteration3_smilejs_package$$anon$6.prototype.$classData = $d_Lcom_iteration3_smilejs_package$$anon$6;
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$$anon$7() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_package$$anon$7.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$$anon$7.prototype.constructor = $c_Lcom_iteration3_smilejs_package$$anon$7;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$$anon$7() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$$anon$7.prototype = $c_Lcom_iteration3_smilejs_package$$anon$7.prototype;
$c_Lcom_iteration3_smilejs_package$$anon$7.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_package$$anon$7.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $uD(t);
  return t$1
});
var $d_Lcom_iteration3_smilejs_package$$anon$7 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$$anon$7: 0
}, false, "com.iteration3.smilejs.package$$anon$7", {
  Lcom_iteration3_smilejs_package$$anon$7: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_iteration3_smilejs_package$$anon$7.prototype.$classData = $d_Lcom_iteration3_smilejs_package$$anon$7;
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$$anon$8() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_package$$anon$8.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$$anon$8.prototype.constructor = $c_Lcom_iteration3_smilejs_package$$anon$8;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$$anon$8() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$$anon$8.prototype = $c_Lcom_iteration3_smilejs_package$$anon$8.prototype;
$c_Lcom_iteration3_smilejs_package$$anon$8.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_package$$anon$8.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $uD(js1)
});
var $d_Lcom_iteration3_smilejs_package$$anon$8 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$$anon$8: 0
}, false, "com.iteration3.smilejs.package$$anon$8", {
  Lcom_iteration3_smilejs_package$$anon$8: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_iteration3_smilejs_package$$anon$8.prototype.$classData = $d_Lcom_iteration3_smilejs_package$$anon$8;
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$$anon$9() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_package$$anon$9.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$$anon$9.prototype.constructor = $c_Lcom_iteration3_smilejs_package$$anon$9;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$$anon$9() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$$anon$9.prototype = $c_Lcom_iteration3_smilejs_package$$anon$9.prototype;
$c_Lcom_iteration3_smilejs_package$$anon$9.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_package$$anon$9.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  return this.toJs__sjs_js_Date__sjs_js_Dynamic(t)
});
$c_Lcom_iteration3_smilejs_package$$anon$9.prototype.toJs__sjs_js_Date__sjs_js_Dynamic = (function(t) {
  return $as_T(t.toISOString())
});
var $d_Lcom_iteration3_smilejs_package$$anon$9 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$$anon$9: 0
}, false, "com.iteration3.smilejs.package$$anon$9", {
  Lcom_iteration3_smilejs_package$$anon$9: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_iteration3_smilejs_package$$anon$9.prototype.$classData = $d_Lcom_iteration3_smilejs_package$$anon$9;
/** @constructor */
function $c_Lcom_metastay_monitorapp_enums_TaskState$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_enums_TaskState$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_enums_TaskState$$anon$1.prototype.constructor = $c_Lcom_metastay_monitorapp_enums_TaskState$$anon$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_enums_TaskState$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_enums_TaskState$$anon$1.prototype = $c_Lcom_metastay_monitorapp_enums_TaskState$$anon$1.prototype;
$c_Lcom_metastay_monitorapp_enums_TaskState$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_enums_TaskState$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  return this.toJs__Lcom_metastay_monitorapp_enums_TaskState__sjs_js_Dynamic(t)
});
$c_Lcom_metastay_monitorapp_enums_TaskState$$anon$1.prototype.toJs__Lcom_metastay_monitorapp_enums_TaskState__sjs_js_Dynamic = (function(t) {
  return t.toJson
});
var $d_Lcom_metastay_monitorapp_enums_TaskState$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_enums_TaskState$$anon$1: 0
}, false, "com.metastay.monitorapp.enums.TaskState$$anon$1", {
  Lcom_metastay_monitorapp_enums_TaskState$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_enums_TaskState$$anon$1.prototype.$classData = $d_Lcom_metastay_monitorapp_enums_TaskState$$anon$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_enums_TaskState$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_enums_TaskState$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_enums_TaskState$$anon$2.prototype.constructor = $c_Lcom_metastay_monitorapp_enums_TaskState$$anon$2;
/** @constructor */
function $h_Lcom_metastay_monitorapp_enums_TaskState$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_enums_TaskState$$anon$2.prototype = $c_Lcom_metastay_monitorapp_enums_TaskState$$anon$2.prototype;
$c_Lcom_metastay_monitorapp_enums_TaskState$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_enums_TaskState$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  $m_Lcom_metastay_monitorapp_enums_TaskState$();
  return $m_Lcom_metastay_monitorapp_enums_TaskState$().withId__T__Lcom_metastay_monitorapp_enums_TaskState($as_T(js1))
});
var $d_Lcom_metastay_monitorapp_enums_TaskState$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_enums_TaskState$$anon$2: 0
}, false, "com.metastay.monitorapp.enums.TaskState$$anon$2", {
  Lcom_metastay_monitorapp_enums_TaskState$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_enums_TaskState$$anon$2.prototype.$classData = $d_Lcom_metastay_monitorapp_enums_TaskState$$anon$2;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$1.prototype.constructor = $c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$1.prototype = $c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$1.prototype;
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$1: 0
}, false, "com.metastay.monitorapp.service.commentreader.GetFlowCommentList$Input$$anon$1", {
  Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$1.prototype.$classData = $d_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$2.prototype.constructor = $c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$2;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$2.prototype = $c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$2.prototype;
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$2: 0
}, false, "com.metastay.monitorapp.service.commentreader.GetFlowCommentList$Input$$anon$2", {
  Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$2.prototype.$classData = $d_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$2;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$3() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$3.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$3.prototype.constructor = $c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$3;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$3() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$3.prototype = $c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$3.prototype;
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$3.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$3.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$3 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$3: 0
}, false, "com.metastay.monitorapp.service.commentreader.GetTaskCommentList$Input$$anon$3", {
  Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$3: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$3.prototype.$classData = $d_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$3;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$4() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$4.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$4.prototype.constructor = $c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$4;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$4() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$4.prototype = $c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$4.prototype;
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$4.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$4.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$4 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$4: 0
}, false, "com.metastay.monitorapp.service.commentreader.GetTaskCommentList$Input$$anon$4", {
  Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$4: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$4.prototype.$classData = $d_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$4;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1.prototype.constructor = $c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1.prototype = $c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1.prototype;
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1: 0
}, false, "com.metastay.monitorapp.service.loggedinuserreader.LoadUserDetails$Input$$anon$1", {
  Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1.prototype.$classData = $d_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2.prototype.constructor = $c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2.prototype = $c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2.prototype;
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  $m_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$();
  return new $c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input().init___()
});
var $d_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2: 0
}, false, "com.metastay.monitorapp.service.loggedinuserreader.LoadUserDetails$Input$$anon$2", {
  Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2.prototype.$classData = $d_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$1.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$1.prototype = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$1.prototype;
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$1: 0
}, false, "com.metastay.monitorapp.service.monitordashboardreader.GetMonitorFlowDashboardSummaryList$Input$$anon$1", {
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$1.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$2.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$2;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$2.prototype = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$2.prototype;
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  $m_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$();
  return new $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input().init___()
});
var $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$2: 0
}, false, "com.metastay.monitorapp.service.monitordashboardreader.GetMonitorFlowDashboardSummaryList$Input$$anon$2", {
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$2.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$2;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$3() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$3.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$3.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$3;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$3() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$3.prototype = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$3.prototype;
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$3.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$3.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$3 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$3: 0
}, false, "com.metastay.monitorapp.service.monitordashboardreader.GetMonitorTaskDashboardSummaryList$Input$$anon$3", {
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$3: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$3.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$3;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$4() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$4.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$4.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$4;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$4() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$4.prototype = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$4.prototype;
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$4.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$4.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  $m_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$();
  return new $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input().init___()
});
var $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$4 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$4: 0
}, false, "com.metastay.monitorapp.service.monitordashboardreader.GetMonitorTaskDashboardSummaryList$Input$$anon$4", {
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$4: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$4.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$4;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$5() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$5.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$5.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$5;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$5() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$5.prototype = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$5.prototype;
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$5.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$5.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$5 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$5: 0
}, false, "com.metastay.monitorapp.service.monitordashboardreader.GetMonitorUserDashboardSummaryList$Input$$anon$5", {
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$5: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$5.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$5;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$6() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$6.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$6.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$6;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$6() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$6.prototype = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$6.prototype;
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$6.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$6.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  $m_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$();
  return new $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input().init___()
});
var $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$6 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$6: 0
}, false, "com.metastay.monitorapp.service.monitordashboardreader.GetMonitorUserDashboardSummaryList$Input$$anon$6", {
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$6: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$6.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$6;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$11() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$11.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$11.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$11;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$11() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$11.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$11.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$11.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$11.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$11 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$11: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.GetEarliestActiveFlowList$Input$$anon$11", {
  Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$11: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$11.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$11;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$12() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$12.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$12.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$12;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$12() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$12.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$12.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$12.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$12.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  $m_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$();
  return new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input().init___()
});
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$12 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$12: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.GetEarliestActiveFlowList$Input$$anon$12", {
  Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$12: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$12.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$12;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$10() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$10.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$10.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$10;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$10() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$10.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$10.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$10.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$10.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$10 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$10: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.GetFlowErrorList$Input$$anon$10", {
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$10: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$10.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$10;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$9() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$9.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$9.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$9;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$9() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$9.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$9.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$9.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$9.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$9 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$9: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.GetFlowErrorList$Input$$anon$9", {
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$9: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$9.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$9;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$1.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$1.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$1.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$1: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.GetFlowNameList$Input$$anon$1", {
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$1.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$2.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$2;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$2.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$2.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  $m_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$();
  return new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input().init___()
});
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$2: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.GetFlowNameList$Input$$anon$2", {
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$2.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$2;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$3() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$3.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$3.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$3;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$3() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$3.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$3.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$3.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$3.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$3 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$3: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.GetFlowNameList$Output$$anon$3", {
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$3: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$3.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$3;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$4() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$4.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$4.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$4;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$4() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$4.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$4.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$4.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$4.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output(js1)
});
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$4 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$4: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.GetFlowNameList$Output$$anon$4", {
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$4: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$4.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$4;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$7() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$7.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$7.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$7;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$7() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$7.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$7.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$7.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$7.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$7 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$7: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.GetMonitorFlowDetails$Input$$anon$7", {
  Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$7: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$7.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$7;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$8() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$8.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$8.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$8;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$8() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$8.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$8.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$8.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$8.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$8 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$8: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.GetMonitorFlowDetails$Input$$anon$8", {
  Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$8: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$8.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$8;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$5() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$5.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$5.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$5;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$5() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$5.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$5.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$5.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$5.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$5 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$5: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.Search$Input$$anon$5", {
  Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$5: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$5.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$5;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$6() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$6.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$6.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$6;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$6() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$6.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$6.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$6.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$6.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$6 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$6: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.Search$Input$$anon$6", {
  Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$6: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$6.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$6;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$7() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$7.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$7.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$7;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$7() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$7.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$7.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$7.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$7.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$7 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$7: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetMonitorSubFlowTaskDetails$Input$$anon$7", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$7: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$7.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$7;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$8() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$8.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$8.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$8;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$8() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$8.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$8.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$8.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$8.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$8 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$8: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetMonitorSubFlowTaskDetails$Input$$anon$8", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$8: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$8.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$8;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$10() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$10.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$10.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$10;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$10() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$10.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$10.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$10.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$10.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$10 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$10: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetMonitorSubTaskList$Input$$anon$10", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$10: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$10.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$10;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$9() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$9.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$9.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$9;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$9() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$9.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$9.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$9.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$9.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$9 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$9: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetMonitorSubTaskList$Input$$anon$9", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$9: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$9.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$9;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$3() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$3.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$3.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$3;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$3() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$3.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$3.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$3.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$3.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$3 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$3: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetMonitorTaskDetails$Input$$anon$3", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$3: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$3.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$3;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$4() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$4.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$4.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$4;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$4() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$4.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$4.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$4.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$4.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$4 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$4: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetMonitorTaskDetails$Input$$anon$4", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$4: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$4.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$4;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$5() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$5.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$5.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$5;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$5() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$5.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$5.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$5.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$5.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$5 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$5: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetTaskErrorList$Input$$anon$5", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$5: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$5.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$5;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$6() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$6.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$6.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$6;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$6() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$6.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$6.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$6.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$6.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$6 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$6: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetTaskErrorList$Input$$anon$6", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$6: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$6.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$6;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$13() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$13.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$13.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$13;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$13() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$13.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$13.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$13.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$13.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$13 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$13: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetTaskOutputSchema$Input$$anon$13", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$13: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$13.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$13;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$14() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$14.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$14.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$14;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$14() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$14.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$14.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$14.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$14.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$14 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$14: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetTaskOutputSchema$Input$$anon$14", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$14: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$14.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$14;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$11() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$11.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$11.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$11;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$11() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$11.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$11.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$11.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$11.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$11 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$11: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetUserListToAllocateTask$Input$$anon$11", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$11: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$11.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$11;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$12() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$12.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$12.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$12;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$12() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$12.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$12.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$12.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$12.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$12 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$12: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetUserListToAllocateTask$Input$$anon$12", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$12: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$12.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$12;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$1.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$1.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$1.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$1: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.Search$Input$$anon$1", {
  Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$1.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$2.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$2;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$2.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$2.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$2: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.Search$Input$$anon$2", {
  Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$2.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$2;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$3() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$3.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$3.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$3;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$3() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$3.prototype = $c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$3.prototype;
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$3.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$3.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$3 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$3: 0
}, false, "com.metastay.monitorapp.service.monitoruserreader.GetMonitorUserDetails$Input$$anon$3", {
  Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$3: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$3.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$3;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$4() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$4.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$4.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$4;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$4() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$4.prototype = $c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$4.prototype;
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$4.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$4.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$4 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$4: 0
}, false, "com.metastay.monitorapp.service.monitoruserreader.GetMonitorUserDetails$Input$$anon$4", {
  Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$4: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$4.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$4;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$1.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$1.prototype = $c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$1.prototype;
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$1: 0
}, false, "com.metastay.monitorapp.service.monitoruserreader.Search$Input$$anon$1", {
  Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$1.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$2.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$2;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$2.prototype = $c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$2.prototype;
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$2: 0
}, false, "com.metastay.monitorapp.service.monitoruserreader.Search$Input$$anon$2", {
  Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$2.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$2;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$1.prototype.constructor = $c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$1.prototype = $c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$1.prototype;
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$1: 0
}, false, "com.metastay.monitorapp.service.tagreader.GetFlowTagList$Input$$anon$1", {
  Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$1.prototype.$classData = $d_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$2.prototype.constructor = $c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$2;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$2.prototype = $c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$2.prototype;
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$2: 0
}, false, "com.metastay.monitorapp.service.tagreader.GetFlowTagList$Input$$anon$2", {
  Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$2.prototype.$classData = $d_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$2;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$3() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$3.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$3.prototype.constructor = $c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$3;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$3() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$3.prototype = $c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$3.prototype;
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$3.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$3.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$3 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$3: 0
}, false, "com.metastay.monitorapp.service.tagreader.GetTaskTagList$Input$$anon$3", {
  Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$3: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$3.prototype.$classData = $d_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$3;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$4() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$4.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$4.prototype.constructor = $c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$4;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$4() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$4.prototype = $c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$4.prototype;
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$4.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$4.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$4 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$4: 0
}, false, "com.metastay.monitorapp.service.tagreader.GetTaskTagList$Input$$anon$4", {
  Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$4: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$4.prototype.$classData = $d_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$4;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$13() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$13.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$13.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$13;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$13() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$13.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$13.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$13.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$13.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$13 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$13: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetDocumentSchema$Input$$anon$13", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$13: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$13.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$13;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$14() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$14.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$14.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$14;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$14() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$14.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$14.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$14.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$14.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$14 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$14: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetDocumentSchema$Input$$anon$14", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$14: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$14.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$14;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$15() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$15.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$15.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$15;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$15() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$15.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$15.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$15.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$15.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$15 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$15: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetDocumentSchema$Output$$anon$15", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$15: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$15.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$15;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$16() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$16.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$16.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$16;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$16() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$16.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$16.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$16.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$16.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$16 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$16: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetDocumentSchema$Output$$anon$16", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$16: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$16.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$16;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$25() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$25.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$25.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$25;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$25() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$25.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$25.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$25.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$25.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$25 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$25: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetFlowStallList$Input$$anon$25", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$25: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$25.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$25;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$26() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$26.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$26.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$26;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$26() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$26.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$26.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$26.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$26.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$26 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$26: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetFlowStallList$Input$$anon$26", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$26: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$26.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$26;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$27() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$27.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$27.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$27;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$27() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$27.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$27.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$27.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$27.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$27 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$27: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetFlowStallList$Output$$anon$27", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$27: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$27.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$27;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$28() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$28.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$28.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$28;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$28() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$28.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$28.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$28.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$28.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$28 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$28: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetFlowStallList$Output$$anon$28", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$28: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$28.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$28;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$21() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$21.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$21.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$21;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$21() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$21.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$21.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$21.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$21.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$21 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$21: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetFlowStallSetList$Input$$anon$21", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$21: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$21.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$21;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$22() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$22.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$22.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$22;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$22() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$22.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$22.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$22.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$22.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$();
  return new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input().init___()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$22 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$22: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetFlowStallSetList$Input$$anon$22", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$22: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$22.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$22;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$23() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$23.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$23.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$23;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$23() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$23.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$23.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$23.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$23.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$23 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$23: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetFlowStallSetList$Output$$anon$23", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$23: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$23.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$23;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$24() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$24.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$24.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$24;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$24() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$24.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$24.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$24.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$24.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$24 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$24: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetFlowStallSetList$Output$$anon$24", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$24: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$24.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$24;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$10() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$10.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$10.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$10;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$10() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$10.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$10.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$10.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$10.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$10 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$10: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetNetInitDocumentSchemaMap$Input$$anon$10", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$10: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$10.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$10;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$9() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$9.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$9.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$9;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$9() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$9.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$9.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$9.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$9.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$9 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$9: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetNetInitDocumentSchemaMap$Input$$anon$9", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$9: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$9.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$9;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$11() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$11.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$11.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$11;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$11() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$11.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$11.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$11.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$11.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$11 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$11: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetNetInitDocumentSchemaMap$Output$$anon$11", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$11: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$11.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$11;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$12() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$12.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$12.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$12;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$12() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$12.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$12.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$12.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$12.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$12 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$12: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetNetInitDocumentSchemaMap$Output$$anon$12", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$12: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$12.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$12;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$17() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$17.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$17.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$17;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$17() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$17.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$17.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$17.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$17.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$17 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$17: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.AddComment$Input$$anon$17", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$17: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$17.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$17;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$18() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$18.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$18.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$18;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$18() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$18.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$18.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$18.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$18.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$18 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$18: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.AddComment$Input$$anon$18", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$18: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$18.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$18;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$15() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$15.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$15.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$15;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$15() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$15.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$15.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$15.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$15.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$15 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$15: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Cancel$Input$$anon$15", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$15: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$15.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$15;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$16() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$16.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$16.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$16;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$16() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$16.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$16.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$16.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$16.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$16 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$16: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Cancel$Input$$anon$16", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$16: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$16.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$16;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$21() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$21.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$21.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$21;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$21() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$21.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$21.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$21.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$21.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$21 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$21: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.ChangePriority$Input$$anon$21", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$21: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$21.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$21;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$22() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$22.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$22.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$22;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$22() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$22.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$22.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$22.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$22.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$22 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$22: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.ChangePriority$Input$$anon$22", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$22: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$22.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$22;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$1.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$1.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$1.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$1: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Create$Input$$anon$1", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$1.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$2.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$2;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$2.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$2.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$2: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Create$Input$$anon$2", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$2.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$2;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$3() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$3.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$3.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$3;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$3() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$3.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$3.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$3.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$3.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$3 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$3: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Create$Output$$anon$3", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$3: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$3.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$3;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$4() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$4.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$4.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$4;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$4() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$4.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$4.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$4.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$4.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$4 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$4: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Create$Output$$anon$4", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$4: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$4.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$4;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$13() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$13.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$13.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$13;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$13() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$13.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$13.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$13.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$13.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$13 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$13: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.ForceComplete$Input$$anon$13", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$13: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$13.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$13;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$14() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$14.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$14.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$14;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$14() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$14.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$14.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$14.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$14.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$14 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$14: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.ForceComplete$Input$$anon$14", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$14: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$14.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$14;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$37() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$37.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$37.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$37;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$37() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$37.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$37.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$37.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$37.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$37 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$37: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Release$Input$$anon$37", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$37: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$37.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$37;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$38() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$38.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$38.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$38;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$38() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$38.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$38.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$38.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$38.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$38 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$38: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Release$Input$$anon$38", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$38: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$38.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$38;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$41() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$41.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$41.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$41;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$41() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$41.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$41.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$41.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$41.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$41 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$41: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.ReleaseOne$Input$$anon$41", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$41: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$41.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$41;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$42() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$42.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$42.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$42;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$42() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$42.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$42.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$42.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$42.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$42 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$42: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.ReleaseOne$Input$$anon$42", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$42: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$42.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$42;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$11() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$11.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$11.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$11;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$11() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$11.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$11.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$11.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$11.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$11 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$11: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Rescue$Input$$anon$11", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$11: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$11.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$11;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$12() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$12.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$12.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$12;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$12() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$12.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$12.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$12.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$12.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$12 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$12: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Rescue$Input$$anon$12", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$12: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$12.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$12;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$5() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$5.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$5.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$5;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$5() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$5.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$5.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$5.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$5.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$5 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$5: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Reset$Input$$anon$5", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$5: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$5.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$5;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$6() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$6.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$6.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$6;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$6() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$6.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$6.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$6.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$6.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$6 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$6: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Reset$Input$$anon$6", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$6: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$6.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$6;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$7() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$7.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$7.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$7;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$7() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$7.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$7.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$7.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$7.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$7 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$7: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Reset$Output$$anon$7", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$7: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$7.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$7;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$8() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$8.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$8.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$8;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$8() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$8.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$8.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$8.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$8.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$8 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$8: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Reset$Output$$anon$8", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$8: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$8.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$8;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$33() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$33.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$33.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$33;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$33() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$33.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$33.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$33.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$33.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$33 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$33: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Stall$Input$$anon$33", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$33: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$33.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$33;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$34() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$34.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$34.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$34;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$34() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$34.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$34.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$34.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$34.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$34 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$34: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Stall$Input$$anon$34", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$34: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$34.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$34;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$35() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$35.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$35.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$35;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$35() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$35.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$35.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$35.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$35.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$35 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$35: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.StallAll$Input$$anon$35", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$35: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$35.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$35;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$36() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$36.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$36.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$36;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$36() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$36.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$36.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$36.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$36.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$36 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$36: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.StallAll$Input$$anon$36", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$36: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$36.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$36;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$43() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$43.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$43.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$43;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$43() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$43.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$43.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$43.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$43.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$43 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$43: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.AddComment$Input$$anon$43", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$43: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$43.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$43;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$44() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$44.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$44.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$44;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$44() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$44.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$44.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$44.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$44.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$44 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$44: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.AddComment$Input$$anon$44", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$44: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$44.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$44;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$10() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$10.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$10.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$10;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$10() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$10.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$10.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$10.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$10.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$10 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$10: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Assign$Input$$anon$10", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$10: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$10.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$10;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$9() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$9.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$9.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$9;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$9() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$9.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$9.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$9.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$9.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$9 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$9: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Assign$Input$$anon$9", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$9: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$9.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$9;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$13() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$13.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$13.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$13;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$13() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$13.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$13.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$13.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$13.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$13 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$13: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Deallocate$Input$$anon$13", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$13: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$13.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$13;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$14() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$14.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$14.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$14;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$14() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$14.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$14.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$14.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$14.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$14 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$14: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Deallocate$Input$$anon$14", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$14: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$14.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$14;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$15() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$15.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$15.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$15;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$15() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$15.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$15.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$15.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$15.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$15 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$15: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.DeallocateAll$Input$$anon$15", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$15: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$15.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$15;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$16() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$16.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$16.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$16;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$16() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$16.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$16.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$16.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$16.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$16 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$16: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.DeallocateAll$Input$$anon$16", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$16: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$16.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$16;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$35() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$35.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$35.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$35;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$35() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$35.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$35.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$35.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$35.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$35 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$35: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.ForceComplete$Input$$anon$35", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$35: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$35.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$35;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$36() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$36.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$36.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$36;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$36() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$36.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$36.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$36.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$36.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$36 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$36: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.ForceComplete$Input$$anon$36", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$36: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$36.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$36;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$21() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$21.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$21.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$21;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$21() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$21.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$21.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$21.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$21.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$21 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$21: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Proceed$Input$$anon$21", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$21: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$21.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$21;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$22() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$22.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$22.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$22;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$22() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$22.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$22.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$22.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$22.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$22 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$22: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Proceed$Input$$anon$22", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$22: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$22.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$22;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$17() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$17.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$17.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$17;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$17() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$17.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$17.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$17.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$17.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$17 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$17: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Reassign$Input$$anon$17", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$17: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$17.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$17;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$18() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$18.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$18.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$18;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$18() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$18.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$18.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$18.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$18.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$18 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$18: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Reassign$Input$$anon$18", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$18: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$18.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$18;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$31() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$31.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$31.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$31;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$31() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$31.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$31.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$31.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$31.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$31 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$31: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Rescue$Input$$anon$31", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$31: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$31.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$31;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$32() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$32.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$32.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$32;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$32() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$32.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$32.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$32.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$32.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$32 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$32: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Rescue$Input$$anon$32", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$32: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$32.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$32;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$37() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$37.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$37.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$37;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$37() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$37.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$37.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$37.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$37.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$37 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$37: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Retry$Input$$anon$37", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$37: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$37.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$37;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$38() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$38.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$38.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$38;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$38() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$38.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$38.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$38.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$38.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input(js1)
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$38 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$38: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Retry$Input$$anon$38", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$38: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$38.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$38;
/** @constructor */
function $c_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$() {
  $c_O.call(this);
  this.mutateUserDetails$1 = null
}
$c_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$.prototype.constructor = $c_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$.prototype = $c_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$.prototype;
$c_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$ = this;
  this.mutateUserDetails$1 = new $c_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$$anonfun$1().init___();
  return this
});
$c_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$.prototype.mutateTaskStateList__F2 = (function() {
  return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(state$2, taskStateList$2) {
    state$2.taskStateList = taskStateList$2
  }))
});
$c_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$.prototype.mutateUserDetails__F2 = (function() {
  return this.mutateUserDetails$1
});
var $d_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$: 0
}, false, "com.metastay.monitorapp.store.LoggedInUserMutationsCode$", {
  Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$: 1,
  O: 1,
  Lcom_metastay_monitorapp_store_LoggedInUserHandlers: 1
});
$c_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$.prototype.$classData = $d_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$;
var $n_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$ = (void 0);
function $m_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$() {
  if ((!$n_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$)) {
    $n_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$ = new $c_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$().init___()
  };
  return $n_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_store_MonitorMutationsCode$() {
  $c_O.call(this);
  this.mutateFqFlowNameList$1 = null
}
$c_Lcom_metastay_monitorapp_store_MonitorMutationsCode$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_store_MonitorMutationsCode$.prototype.constructor = $c_Lcom_metastay_monitorapp_store_MonitorMutationsCode$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_store_MonitorMutationsCode$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_store_MonitorMutationsCode$.prototype = $c_Lcom_metastay_monitorapp_store_MonitorMutationsCode$.prototype;
$c_Lcom_metastay_monitorapp_store_MonitorMutationsCode$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_store_MonitorMutationsCode$ = this;
  this.mutateFqFlowNameList$1 = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(state$2, fqFlowNameList$2) {
    state$2.fqFlowNameList = fqFlowNameList$2
  }));
  return this
});
$c_Lcom_metastay_monitorapp_store_MonitorMutationsCode$.prototype.mutateFqFlowNameList__F2 = (function() {
  return this.mutateFqFlowNameList$1
});
var $d_Lcom_metastay_monitorapp_store_MonitorMutationsCode$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_store_MonitorMutationsCode$: 0
}, false, "com.metastay.monitorapp.store.MonitorMutationsCode$", {
  Lcom_metastay_monitorapp_store_MonitorMutationsCode$: 1,
  O: 1,
  Lcom_metastay_monitorapp_store_MonitorHandlers: 1
});
$c_Lcom_metastay_monitorapp_store_MonitorMutationsCode$.prototype.$classData = $d_Lcom_metastay_monitorapp_store_MonitorMutationsCode$;
var $n_Lcom_metastay_monitorapp_store_MonitorMutationsCode$ = (void 0);
function $m_Lcom_metastay_monitorapp_store_MonitorMutationsCode$() {
  if ((!$n_Lcom_metastay_monitorapp_store_MonitorMutationsCode$)) {
    $n_Lcom_metastay_monitorapp_store_MonitorMutationsCode$ = new $c_Lcom_metastay_monitorapp_store_MonitorMutationsCode$().init___()
  };
  return $n_Lcom_metastay_monitorapp_store_MonitorMutationsCode$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_store_SearchMutationsCode$() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_store_SearchMutationsCode$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_store_SearchMutationsCode$.prototype.constructor = $c_Lcom_metastay_monitorapp_store_SearchMutationsCode$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_store_SearchMutationsCode$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_store_SearchMutationsCode$.prototype = $c_Lcom_metastay_monitorapp_store_SearchMutationsCode$.prototype;
$c_Lcom_metastay_monitorapp_store_SearchMutationsCode$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_store_SearchMutationsCode$.prototype.mutateMonitorUserSearchResultList__F2 = (function() {
  return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(state$2, monitorUserSearchResultList$2) {
    state$2.monitorUserSearchResultList = monitorUserSearchResultList$2
  }))
});
$c_Lcom_metastay_monitorapp_store_SearchMutationsCode$.prototype.mutateMonitorFlowSearchResultList__F2 = (function() {
  return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(state$2, monitorFlowSearchResultList$2) {
    state$2.monitorFlowSearchResultList = monitorFlowSearchResultList$2
  }))
});
$c_Lcom_metastay_monitorapp_store_SearchMutationsCode$.prototype.mutateMonitorTaskSearch__F2 = (function() {
  return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(state$2, monitorTaskSearchForm$2) {
    state$2.monitorTaskSearch = monitorTaskSearchForm$2
  }))
});
$c_Lcom_metastay_monitorapp_store_SearchMutationsCode$.prototype.mutateMonitorUserSearch__F2 = (function() {
  return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(state$2, monitorUserSearchForm$2) {
    state$2.monitorUserSearch = monitorUserSearchForm$2
  }))
});
$c_Lcom_metastay_monitorapp_store_SearchMutationsCode$.prototype.mutateMonitorFlowSearch__F2 = (function() {
  return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(state$2, monitorFlowSearchForm$2) {
    state$2.monitorFlowSearch = monitorFlowSearchForm$2
  }))
});
$c_Lcom_metastay_monitorapp_store_SearchMutationsCode$.prototype.mutateMonitorTaskSearchResultList__F2 = (function() {
  return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(state$2, monitorTaskSearchResultList$2) {
    state$2.monitorTaskSearchResultList = monitorTaskSearchResultList$2
  }))
});
var $d_Lcom_metastay_monitorapp_store_SearchMutationsCode$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_store_SearchMutationsCode$: 0
}, false, "com.metastay.monitorapp.store.SearchMutationsCode$", {
  Lcom_metastay_monitorapp_store_SearchMutationsCode$: 1,
  O: 1,
  Lcom_metastay_monitorapp_store_SearchHandlers: 1
});
$c_Lcom_metastay_monitorapp_store_SearchMutationsCode$.prototype.$classData = $d_Lcom_metastay_monitorapp_store_SearchMutationsCode$;
var $n_Lcom_metastay_monitorapp_store_SearchMutationsCode$ = (void 0);
function $m_Lcom_metastay_monitorapp_store_SearchMutationsCode$() {
  if ((!$n_Lcom_metastay_monitorapp_store_SearchMutationsCode$)) {
    $n_Lcom_metastay_monitorapp_store_SearchMutationsCode$ = new $c_Lcom_metastay_monitorapp_store_SearchMutationsCode$().init___()
  };
  return $n_Lcom_metastay_monitorapp_store_SearchMutationsCode$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1.prototype.constructor = $c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1.prototype = $c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1.prototype;
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1: 0
}, false, "com.metastay.reportapp.service.loggedinuserreader.LoadUserDetails$Input$$anon$1", {
  Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1.prototype.$classData = $d_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2.prototype.constructor = $c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2.prototype = $c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2.prototype;
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  $m_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$();
  return new $c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input().init___()
});
var $d_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2: 0
}, false, "com.metastay.reportapp.service.loggedinuserreader.LoadUserDetails$Input$$anon$2", {
  Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2.prototype.$classData = $d_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$5() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$5.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$5.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$5;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$5() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$5.prototype = $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$5.prototype;
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$5.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$5.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$5 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$5: 0
}, false, "com.metastay.reportapp.service.reportflowreader.GetFlowNameList$Input$$anon$5", {
  Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$5: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$5.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$5;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$6() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$6.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$6.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$6;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$6() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$6.prototype = $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$6.prototype;
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$6.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$6.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  $m_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$();
  return new $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input().init___()
});
var $d_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$6 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$6: 0
}, false, "com.metastay.reportapp.service.reportflowreader.GetFlowNameList$Input$$anon$6", {
  Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$6: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$6.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$6;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$7() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$7.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$7.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$7;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$7() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$7.prototype = $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$7.prototype;
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$7.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$7.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$7 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$7: 0
}, false, "com.metastay.reportapp.service.reportflowreader.GetFlowNameList$Output$$anon$7", {
  Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$7: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$7.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$7;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$8() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$8.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$8.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$8;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$8() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$8.prototype = $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$8.prototype;
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$8.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$8.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$().fromJson__sjs_js_Dynamic__Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output(js1)
});
var $d_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$8 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$8: 0
}, false, "com.metastay.reportapp.service.reportflowreader.GetFlowNameList$Output$$anon$8", {
  Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$8: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$8.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$8;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$1.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$1;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$1.prototype = $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$1.prototype;
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_reportapp_service_reportflowreader_Search$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$1: 0
}, false, "com.metastay.reportapp.service.reportflowreader.Search$Input$$anon$1", {
  Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$1.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$1;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$2.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$2;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$2.prototype = $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$2.prototype;
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_reportapp_service_reportflowreader_Search$Input(js1)
});
var $d_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$2: 0
}, false, "com.metastay.reportapp.service.reportflowreader.Search$Input$$anon$2", {
  Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$2.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$2;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$3() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$3.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$3.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$3;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$3() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$3.prototype = $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$3.prototype;
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$3.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$3.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_reportapp_service_reportflowreader_Search$Output(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$3 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$3: 0
}, false, "com.metastay.reportapp.service.reportflowreader.Search$Output$$anon$3", {
  Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$3: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$3.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$3;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$4() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$4.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$4.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$4;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$4() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$4.prototype = $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$4.prototype;
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$4.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$4.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$().fromJson__sjs_js_Dynamic__Lcom_metastay_reportapp_service_reportflowreader_Search$Output(js1)
});
var $d_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$4 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$4: 0
}, false, "com.metastay.reportapp.service.reportflowreader.Search$Output$$anon$4", {
  Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$4: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$4.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$4;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$5() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$5.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$5.prototype.constructor = $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$5;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$5() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$5.prototype = $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$5.prototype;
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$5.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$5.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$5 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$5: 0
}, false, "com.metastay.reportapp.service.reporttaskreader.GetTaskNameList$Input$$anon$5", {
  Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$5: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$5.prototype.$classData = $d_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$5;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$6() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$6.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$6.prototype.constructor = $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$6;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$6() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$6.prototype = $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$6.prototype;
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$6.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$6.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input(js1)
});
var $d_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$6 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$6: 0
}, false, "com.metastay.reportapp.service.reporttaskreader.GetTaskNameList$Input$$anon$6", {
  Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$6: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$6.prototype.$classData = $d_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$6;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$7() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$7.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$7.prototype.constructor = $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$7;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$7() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$7.prototype = $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$7.prototype;
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$7.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$7.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$7 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$7: 0
}, false, "com.metastay.reportapp.service.reporttaskreader.GetTaskNameList$Output$$anon$7", {
  Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$7: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$7.prototype.$classData = $d_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$7;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$8() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$8.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$8.prototype.constructor = $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$8;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$8() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$8.prototype = $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$8.prototype;
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$8.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$8.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$().fromJson__sjs_js_Dynamic__Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output(js1)
});
var $d_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$8 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$8: 0
}, false, "com.metastay.reportapp.service.reporttaskreader.GetTaskNameList$Output$$anon$8", {
  Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$8: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$8.prototype.$classData = $d_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$8;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$1.prototype.constructor = $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$1;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$1.prototype = $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$1.prototype;
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$1: 0
}, false, "com.metastay.reportapp.service.reporttaskreader.Search$Input$$anon$1", {
  Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$1.prototype.$classData = $d_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$1;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$2.prototype.constructor = $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$2;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$2.prototype = $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$2.prototype;
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_reportapp_service_reporttaskreader_Search$Input(js1)
});
var $d_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$2: 0
}, false, "com.metastay.reportapp.service.reporttaskreader.Search$Input$$anon$2", {
  Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$2.prototype.$classData = $d_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$2;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$3() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$3.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$3.prototype.constructor = $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$3;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$3() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$3.prototype = $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$3.prototype;
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$3.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$3.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$3 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$3: 0
}, false, "com.metastay.reportapp.service.reporttaskreader.Search$Output$$anon$3", {
  Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$3: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$3.prototype.$classData = $d_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$3;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$4() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$4.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$4.prototype.constructor = $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$4;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$4() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$4.prototype = $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$4.prototype;
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$4.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$4.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$().fromJson__sjs_js_Dynamic__Lcom_metastay_reportapp_service_reporttaskreader_Search$Output(js1)
});
var $d_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$4 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$4: 0
}, false, "com.metastay.reportapp.service.reporttaskreader.Search$Output$$anon$4", {
  Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$4: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$4.prototype.$classData = $d_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$4;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$1.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$1;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$1.prototype = $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$1.prototype;
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_reportapp_service_reportuserreader_Search$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$1: 0
}, false, "com.metastay.reportapp.service.reportuserreader.Search$Input$$anon$1", {
  Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$1.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$1;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$2.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$2;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$2.prototype = $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$2.prototype;
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_reportapp_service_reportuserreader_Search$Input(js1)
});
var $d_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$2: 0
}, false, "com.metastay.reportapp.service.reportuserreader.Search$Input$$anon$2", {
  Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$2.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$2;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$3() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$3.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$3.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$3;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$3() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$3.prototype = $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$3.prototype;
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$3.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$3.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_reportapp_service_reportuserreader_Search$Output(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$3 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$3: 0
}, false, "com.metastay.reportapp.service.reportuserreader.Search$Output$$anon$3", {
  Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$3: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$3.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$3;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$4() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$4.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$4.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$4;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$4() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$4.prototype = $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$4.prototype;
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$4.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$4.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$().fromJson__sjs_js_Dynamic__Lcom_metastay_reportapp_service_reportuserreader_Search$Output(js1)
});
var $d_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$4 = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$4: 0
}, false, "com.metastay.reportapp.service.reportuserreader.Search$Output$$anon$4", {
  Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$4: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$4.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$4;
/** @constructor */
function $c_Lcom_metastay_reportapp_store_ReportMutationsCode$() {
  $c_O.call(this);
  this.mutateFqFlowNameList$1 = null
}
$c_Lcom_metastay_reportapp_store_ReportMutationsCode$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_store_ReportMutationsCode$.prototype.constructor = $c_Lcom_metastay_reportapp_store_ReportMutationsCode$;
/** @constructor */
function $h_Lcom_metastay_reportapp_store_ReportMutationsCode$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_store_ReportMutationsCode$.prototype = $c_Lcom_metastay_reportapp_store_ReportMutationsCode$.prototype;
$c_Lcom_metastay_reportapp_store_ReportMutationsCode$.prototype.init___ = (function() {
  $n_Lcom_metastay_reportapp_store_ReportMutationsCode$ = this;
  this.mutateFqFlowNameList$1 = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(state$2, fqFlowNameList$2) {
    state$2.fqFlowNameList = fqFlowNameList$2
  }));
  return this
});
$c_Lcom_metastay_reportapp_store_ReportMutationsCode$.prototype.mutateReportUserSearch__F2 = (function() {
  return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(state$2, reportUserSearchForm$2) {
    state$2.reportUserSearch = reportUserSearchForm$2
  }))
});
$c_Lcom_metastay_reportapp_store_ReportMutationsCode$.prototype.mutateReportTaskSearch__F2 = (function() {
  return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(state$2, reportTaskSearchForm$2) {
    state$2.reportTaskSearch = reportTaskSearchForm$2
  }))
});
$c_Lcom_metastay_reportapp_store_ReportMutationsCode$.prototype.mutateReportFlowSearch__F2 = (function() {
  return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(state$2, reportFlowSearchForm$2) {
    state$2.reportFlowSearch = reportFlowSearchForm$2
  }))
});
$c_Lcom_metastay_reportapp_store_ReportMutationsCode$.prototype.mutateFqFlowNameList__F2 = (function() {
  return this.mutateFqFlowNameList$1
});
$c_Lcom_metastay_reportapp_store_ReportMutationsCode$.prototype.mutateReportTaskSearchResultSummary__F2 = (function() {
  return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(state$2, reportTaskSearchResultSummary$2) {
    state$2.reportTaskSearchResultSummary = reportTaskSearchResultSummary$2
  }))
});
$c_Lcom_metastay_reportapp_store_ReportMutationsCode$.prototype.mutateReportFlowSearchResultSummary__F2 = (function() {
  return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(state$2, reportFlowSearchResultSummary$2) {
    state$2.reportFlowSearchResultSummary = reportFlowSearchResultSummary$2
  }))
});
$c_Lcom_metastay_reportapp_store_ReportMutationsCode$.prototype.mutateReportUserSearchResultSummary__F2 = (function() {
  return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(state$2, reportUserSearchResultSummary$2) {
    state$2.reportUserSearchResultSummary = reportUserSearchResultSummary$2
  }))
});
$c_Lcom_metastay_reportapp_store_ReportMutationsCode$.prototype.mutateUserDetails__F2 = (function() {
  return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(state$2, userDetails$2) {
    state$2.userDetails = userDetails$2
  }))
});
var $d_Lcom_metastay_reportapp_store_ReportMutationsCode$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_store_ReportMutationsCode$: 0
}, false, "com.metastay.reportapp.store.ReportMutationsCode$", {
  Lcom_metastay_reportapp_store_ReportMutationsCode$: 1,
  O: 1,
  Lcom_metastay_reportapp_store_ReportHandlers: 1
});
$c_Lcom_metastay_reportapp_store_ReportMutationsCode$.prototype.$classData = $d_Lcom_metastay_reportapp_store_ReportMutationsCode$;
var $n_Lcom_metastay_reportapp_store_ReportMutationsCode$ = (void 0);
function $m_Lcom_metastay_reportapp_store_ReportMutationsCode$() {
  if ((!$n_Lcom_metastay_reportapp_store_ReportMutationsCode$)) {
    $n_Lcom_metastay_reportapp_store_ReportMutationsCode$ = new $c_Lcom_metastay_reportapp_store_ReportMutationsCode$().init___()
  };
  return $n_Lcom_metastay_reportapp_store_ReportMutationsCode$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$1.prototype = $c_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$1.prototype;
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_browserdata_data_UserDetails(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$1: 0
}, false, "smilejs.com.metastay.browserdata.data.UserDetails$$anon$1", {
  Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$2.prototype = $c_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$2.prototype;
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_browserdata_data_UserDetails$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_browserdata_data_UserDetails(js1)
});
var $d_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$2: 0
}, false, "smilejs.com.metastay.browserdata.data.UserDetails$$anon$2", {
  Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_AllocateToUser(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.AllocateToUser$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_AllocateToUser(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.AllocateToUser$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_Comment(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_Comment$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.Comment$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_Comment$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_Comment$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_Comment(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_Comment$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.Comment$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_Comment$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorDashboardTask$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorDashboardTask$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorDashboardUser$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorDashboardUser$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorEarliestFlowActive$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorEarliestFlowActive$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorFlowDashboardSummary$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorFlowDashboardSummary$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorFlowDetails$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorFlowDetails$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorFlowDetailsTask$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorFlowDetailsTask$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorFlowError$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorFlowError(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorFlowError$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorFlowSearchResult$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorFlowSearchResult$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorSubFlowTaskDetails$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorSubFlowTaskDetails$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorTaskDashboardSummary$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorTaskDashboardSummary$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorTaskDetails$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorTaskDetails$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorTaskError$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorTaskError(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorTaskError$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorTaskSearchResult$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorTaskSearchResult$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorTeamEarliestFlowMap$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorTeamEarliestFlowMap$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorUserDashboardSummary$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorUserDashboardSummary$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorUserDetails$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorUserDetails$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorUserDetailsTask$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorUserDetailsTask$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorUserSearchResult$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorUserSearchResult$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_Tag(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_Tag$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.Tag$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_Tag$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_Tag$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_Tag(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_Tag$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.Tag$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_Tag$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_TeamRoleList(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.TeamRoleList$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_TeamRoleList(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.TeamRoleList$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$1.prototype = $c_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$1.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_monitordata_data_UserDetails(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$1: 0
}, false, "smilejs.com.metastay.monitordata.data.UserDetails$$anon$1", {
  Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$2.prototype = $c_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$2.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_monitordata_data_UserDetails$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_UserDetails(js1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$2: 0
}, false, "smilejs.com.metastay.monitordata.data.UserDetails$$anon$2", {
  Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$1.prototype = $c_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$1.prototype;
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_prism_enums_CommentLevel(t);
  return t$1.id$1
});
var $d_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$1: 0
}, false, "smilejs.com.metastay.prism.enums.CommentLevel$$anon$1", {
  Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$2.prototype = $c_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$2.prototype;
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  $m_Lsmilejs_com_metastay_prism_enums_CommentLevel$();
  return $m_Lsmilejs_com_metastay_prism_enums_CommentLevel$().withId__T__Lsmilejs_com_metastay_prism_enums_CommentLevel($as_T(js1))
});
var $d_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$2: 0
}, false, "smilejs.com.metastay.prism.enums.CommentLevel$$anon$2", {
  Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$1.prototype = $c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$1.prototype;
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$1: 0
}, false, "smilejs.com.metastay.reportdata.data.ReportFlowSearchResult$$anon$1", {
  Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$2.prototype = $c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$2.prototype;
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult(js1)
});
var $d_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$2: 0
}, false, "smilejs.com.metastay.reportdata.data.ReportFlowSearchResult$$anon$2", {
  Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$1.prototype = $c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$1.prototype;
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$1: 0
}, false, "smilejs.com.metastay.reportdata.data.ReportTaskSearchResult$$anon$1", {
  Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$2.prototype = $c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$2.prototype;
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult(js1)
});
var $d_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$2: 0
}, false, "smilejs.com.metastay.reportdata.data.ReportTaskSearchResult$$anon$2", {
  Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$1.prototype = $c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$1.prototype;
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$1: 0
}, false, "smilejs.com.metastay.reportdata.data.ReportUserSearchResult$$anon$1", {
  Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$2.prototype = $c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$2.prototype;
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult(js1)
});
var $d_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$2: 0
}, false, "smilejs.com.metastay.reportdata.data.ReportUserSearchResult$$anon$2", {
  Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$1.prototype = $c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$1.prototype;
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$1: 0
}, false, "smilejs.com.metastay.resourcecdata.data.AppRoleForUser$$anon$1", {
  Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$2.prototype = $c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$2.prototype;
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser(js1)
});
var $d_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$2: 0
}, false, "smilejs.com.metastay.resourcecdata.data.AppRoleForUser$$anon$2", {
  Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$1.prototype = $c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$1.prototype;
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$1: 0
}, false, "smilejs.com.metastay.resourcecdata.data.TeamRoleForUser$$anon$1", {
  Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$2.prototype = $c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$2.prototype;
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser(js1)
});
var $d_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$2: 0
}, false, "smilejs.com.metastay.resourcecdata.data.TeamRoleForUser$$anon$2", {
  Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$1.prototype = $c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$1.prototype;
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$1: 0
}, false, "smilejs.com.metastay.resourcecdata.data.TeamTaskPair$$anon$1", {
  Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$2.prototype = $c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$2.prototype;
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair(js1)
});
var $d_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$2: 0
}, false, "smilejs.com.metastay.resourcecdata.data.TeamTaskPair$$anon$2", {
  Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$1.prototype = $c_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$1.prototype;
$c_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_valey_enums_FlowState(t);
  return t$1.id$1
});
var $d_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_FlowState$$anon$1: 0
}, false, "smilejs.com.metastay.valey.enums.FlowState$$anon$1", {
  Lsmilejs_com_metastay_valey_enums_FlowState$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$2.prototype = $c_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$2.prototype;
$c_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  $m_Lsmilejs_com_metastay_valey_enums_FlowState$();
  return $m_Lsmilejs_com_metastay_valey_enums_FlowState$().withId__T__Lsmilejs_com_metastay_valey_enums_FlowState($as_T(js1))
});
var $d_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_FlowState$$anon$2: 0
}, false, "smilejs.com.metastay.valey.enums.FlowState$$anon$2", {
  Lsmilejs_com_metastay_valey_enums_FlowState$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$1.prototype = $c_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$1.prototype;
$c_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_valey_enums_TaskState(t);
  return t$1.id$1
});
var $d_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_TaskState$$anon$1: 0
}, false, "smilejs.com.metastay.valey.enums.TaskState$$anon$1", {
  Lsmilejs_com_metastay_valey_enums_TaskState$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$2.prototype = $c_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$2.prototype;
$c_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  $m_Lsmilejs_com_metastay_valey_enums_TaskState$();
  return $m_Lsmilejs_com_metastay_valey_enums_TaskState$().withId__T__Lsmilejs_com_metastay_valey_enums_TaskState($as_T(js1))
});
var $d_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_TaskState$$anon$2: 0
}, false, "smilejs.com.metastay.valey.enums.TaskState$$anon$2", {
  Lsmilejs_com_metastay_valey_enums_TaskState$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$2;
/** @constructor */
function $c_jl_Number() {
  $c_O.call(this)
}
$c_jl_Number.prototype = new $h_O();
$c_jl_Number.prototype.constructor = $c_jl_Number;
/** @constructor */
function $h_jl_Number() {
  /*<skip>*/
}
$h_jl_Number.prototype = $c_jl_Number.prototype;
function $is_jl_Number(obj) {
  return (!(!(((obj && obj.$classData) && obj.$classData.ancestors.jl_Number) || ((typeof obj) === "number"))))
}
function $as_jl_Number(obj) {
  return (($is_jl_Number(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.Number"))
}
function $isArrayOf_jl_Number(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Number)))
}
function $asArrayOf_jl_Number(obj, depth) {
  return (($isArrayOf_jl_Number(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.Number;", depth))
}
/** @constructor */
function $c_jl_StackTraceElement() {
  $c_O.call(this);
  this.declaringClass$1 = null;
  this.methodName$1 = null;
  this.fileName$1 = null;
  this.lineNumber$1 = 0;
  this.columnNumber$1 = 0
}
$c_jl_StackTraceElement.prototype = new $h_O();
$c_jl_StackTraceElement.prototype.constructor = $c_jl_StackTraceElement;
/** @constructor */
function $h_jl_StackTraceElement() {
  /*<skip>*/
}
$h_jl_StackTraceElement.prototype = $c_jl_StackTraceElement.prototype;
$c_jl_StackTraceElement.prototype.$$js$exported$meth$getColumnNumber__O = (function() {
  return this.columnNumber$1
});
$c_jl_StackTraceElement.prototype.init___T__T__T__I = (function(declaringClass, methodName, fileName, lineNumber) {
  this.declaringClass$1 = declaringClass;
  this.methodName$1 = methodName;
  this.fileName$1 = fileName;
  this.lineNumber$1 = lineNumber;
  this.columnNumber$1 = (-1);
  return this
});
$c_jl_StackTraceElement.prototype.equals__O__Z = (function(that) {
  if ($is_jl_StackTraceElement(that)) {
    var x2 = $as_jl_StackTraceElement(that);
    return ((((this.fileName$1 === x2.fileName$1) && (this.lineNumber$1 === x2.lineNumber$1)) && (this.declaringClass$1 === x2.declaringClass$1)) && (this.methodName$1 === x2.methodName$1))
  } else {
    return false
  }
});
$c_jl_StackTraceElement.prototype.$$js$exported$meth$setColumnNumber__I__O = (function(columnNumber) {
  this.columnNumber$1 = columnNumber
});
$c_jl_StackTraceElement.prototype.toString__T = (function() {
  var result = "";
  if ((this.declaringClass$1 !== "<jscode>")) {
    result = ((("" + result) + this.declaringClass$1) + ".")
  };
  result = (("" + result) + this.methodName$1);
  if ((this.fileName$1 === null)) {
    result = (result + "(Unknown Source)")
  } else {
    result = (("" + result) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["(", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.fileName$1])));
    if ((this.lineNumber$1 >= 0)) {
      result = (("" + result) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array([":", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.lineNumber$1])));
      if ((this.columnNumber$1 >= 0)) {
        result = (("" + result) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array([":", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.columnNumber$1])))
      }
    };
    result = (result + ")")
  };
  return result
});
$c_jl_StackTraceElement.prototype.hashCode__I = (function() {
  var this$1 = this.declaringClass$1;
  var jsx$1 = $m_sjsr_RuntimeString$().hashCode__T__I(this$1);
  var this$2 = this.methodName$1;
  return (jsx$1 ^ $m_sjsr_RuntimeString$().hashCode__T__I(this$2))
});
$c_jl_StackTraceElement.prototype.setColumnNumber = (function(arg$1) {
  var prep0 = $uI(arg$1);
  return this.$$js$exported$meth$setColumnNumber__I__O(prep0)
});
$c_jl_StackTraceElement.prototype.getColumnNumber = (function() {
  return this.$$js$exported$meth$getColumnNumber__O()
});
function $is_jl_StackTraceElement(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_StackTraceElement)))
}
function $as_jl_StackTraceElement(obj) {
  return (($is_jl_StackTraceElement(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.StackTraceElement"))
}
function $isArrayOf_jl_StackTraceElement(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_StackTraceElement)))
}
function $asArrayOf_jl_StackTraceElement(obj, depth) {
  return (($isArrayOf_jl_StackTraceElement(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.StackTraceElement;", depth))
}
var $d_jl_StackTraceElement = new $TypeData().initClass({
  jl_StackTraceElement: 0
}, false, "java.lang.StackTraceElement", {
  jl_StackTraceElement: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_StackTraceElement.prototype.$classData = $d_jl_StackTraceElement;
/** @constructor */
function $c_jl_Thread() {
  $c_O.call(this);
  this.java$lang$Thread$$interruptedState$1 = false;
  this.name$1 = null
}
$c_jl_Thread.prototype = new $h_O();
$c_jl_Thread.prototype.constructor = $c_jl_Thread;
/** @constructor */
function $h_jl_Thread() {
  /*<skip>*/
}
$h_jl_Thread.prototype = $c_jl_Thread.prototype;
$c_jl_Thread.prototype.run__V = (function() {
  /*<skip>*/
});
$c_jl_Thread.prototype.init___sr_BoxedUnit = (function(dummy) {
  this.java$lang$Thread$$interruptedState$1 = false;
  this.name$1 = "main";
  return this
});
var $d_jl_Thread = new $TypeData().initClass({
  jl_Thread: 0
}, false, "java.lang.Thread", {
  jl_Thread: 1,
  O: 1,
  jl_Runnable: 1
});
$c_jl_Thread.prototype.$classData = $d_jl_Thread;
/** @constructor */
function $c_jl_Throwable() {
  $c_O.call(this);
  this.s$1 = null;
  this.e$1 = null;
  this.stackTrace$1 = null
}
$c_jl_Throwable.prototype = new $h_O();
$c_jl_Throwable.prototype.constructor = $c_jl_Throwable;
/** @constructor */
function $h_jl_Throwable() {
  /*<skip>*/
}
$h_jl_Throwable.prototype = $c_jl_Throwable.prototype;
$c_jl_Throwable.prototype.fillInStackTrace__jl_Throwable = (function() {
  var v = $g.Error.captureStackTrace;
  if ((v === (void 0))) {
    try {
      var e$1 = {}.undef()
    } catch (e) {
      var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ((e$2 !== null)) {
        if ($is_sjs_js_JavaScriptException(e$2)) {
          var x5 = $as_sjs_js_JavaScriptException(e$2);
          var e$3 = x5.exception$4;
          var e$1 = e$3
        } else {
          var e$1;
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
        }
      } else {
        var e$1;
        throw e
      }
    };
    this.stackdata = e$1
  } else {
    $g.Error.captureStackTrace(this);
    this.stackdata = this
  };
  return this
});
$c_jl_Throwable.prototype.getMessage__T = (function() {
  return this.s$1
});
$c_jl_Throwable.prototype.toString__T = (function() {
  var className = $objectGetClass(this).getName__T();
  var message = this.getMessage__T();
  return ((message === null) ? className : ((className + ": ") + message))
});
$c_jl_Throwable.prototype.getStackTrace__Ajl_StackTraceElement = (function() {
  if ((this.stackTrace$1 === null)) {
    this.stackTrace$1 = $m_sjsr_StackTrace$().extract__jl_Throwable__Ajl_StackTraceElement(this)
  };
  return this.stackTrace$1
});
$c_jl_Throwable.prototype.init___T__jl_Throwable = (function(s, e) {
  this.s$1 = s;
  this.e$1 = e;
  this.fillInStackTrace__jl_Throwable();
  return this
});
$c_jl_Throwable.prototype.printStackTrace__Ljava_io_PrintStream__V = (function(s) {
  var f = (function($this, s$1) {
    return (function(x$1$2) {
      var x$1 = $as_T(x$1$2);
      s$1.println__T__V(x$1)
    })
  })(this, s);
  this.getStackTrace__Ajl_StackTraceElement();
  var arg1 = this.toString__T();
  f(arg1);
  if ((this.stackTrace$1.u.length !== 0)) {
    var i = 0;
    while ((i < this.stackTrace$1.u.length)) {
      var arg1$1 = ("  at " + this.stackTrace$1.get(i));
      f(arg1$1);
      i = ((1 + i) | 0)
    }
  } else {
    f("  <no stack trace available>")
  };
  var wCause = this;
  while (true) {
    var jsx$2 = wCause;
    var this$1 = wCause;
    if ((jsx$2 !== this$1.e$1)) {
      var this$2 = wCause;
      var jsx$1 = (this$2.e$1 !== null)
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      var parentTrace = wCause.getStackTrace__Ajl_StackTraceElement();
      var this$3 = wCause;
      wCause = this$3.e$1;
      var thisTrace = wCause.getStackTrace__Ajl_StackTraceElement();
      var thisLength = thisTrace.u.length;
      var parentLength = parentTrace.u.length;
      var arg1$2 = ("Caused by: " + wCause.toString__T());
      f(arg1$2);
      if ((thisLength !== 0)) {
        var sameFrameCount = 0;
        while (true) {
          if (((sameFrameCount < thisLength) && (sameFrameCount < parentLength))) {
            var x = thisTrace.get((((-1) + ((thisLength - sameFrameCount) | 0)) | 0));
            var x$2 = parentTrace.get((((-1) + ((parentLength - sameFrameCount) | 0)) | 0));
            var jsx$3 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
          } else {
            var jsx$3 = false
          };
          if (jsx$3) {
            sameFrameCount = ((1 + sameFrameCount) | 0)
          } else {
            break
          }
        };
        if ((sameFrameCount > 0)) {
          sameFrameCount = (((-1) + sameFrameCount) | 0)
        };
        var lengthToPrint = ((thisLength - sameFrameCount) | 0);
        var i$2 = 0;
        while ((i$2 < lengthToPrint)) {
          var arg1$3 = ("  at " + thisTrace.get(i$2));
          f(arg1$3);
          i$2 = ((1 + i$2) | 0)
        };
        if ((sameFrameCount > 0)) {
          var arg1$4 = (("  ... " + sameFrameCount) + " more");
          f(arg1$4)
        }
      } else {
        f("  <no stack trace available>")
      }
    } else {
      break
    }
  }
});
function $is_jl_Throwable(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Throwable)))
}
function $as_jl_Throwable(obj) {
  return (($is_jl_Throwable(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.Throwable"))
}
function $isArrayOf_jl_Throwable(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Throwable)))
}
function $asArrayOf_jl_Throwable(obj, depth) {
  return (($isArrayOf_jl_Throwable(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.Throwable;", depth))
}
/** @constructor */
function $c_ju_regex_Matcher() {
  $c_O.call(this);
  this.pattern0$1 = null;
  this.input0$1 = null;
  this.regionStart0$1 = 0;
  this.regionEnd0$1 = 0;
  this.regexp$1 = null;
  this.inputstr$1 = null;
  this.lastMatch$1 = null;
  this.lastMatchIsValid$1 = false;
  this.canStillFind$1 = false;
  this.appendPos$1 = 0
}
$c_ju_regex_Matcher.prototype = new $h_O();
$c_ju_regex_Matcher.prototype.constructor = $c_ju_regex_Matcher;
/** @constructor */
function $h_ju_regex_Matcher() {
  /*<skip>*/
}
$h_ju_regex_Matcher.prototype = $c_ju_regex_Matcher.prototype;
$c_ju_regex_Matcher.prototype.find__Z = (function() {
  if (this.canStillFind$1) {
    this.lastMatchIsValid$1 = true;
    this.lastMatch$1 = this.regexp$1.exec(this.inputstr$1);
    if ((this.lastMatch$1 !== null)) {
      var value = this.lastMatch$1[0];
      if ((value === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var thiz = $as_T(value);
      if ((thiz === null)) {
        throw new $c_jl_NullPointerException().init___()
      };
      if ((thiz === "")) {
        var ev$1 = this.regexp$1;
        ev$1.lastIndex = ((1 + $uI(ev$1.lastIndex)) | 0)
      }
    } else {
      this.canStillFind$1 = false
    };
    return (this.lastMatch$1 !== null)
  } else {
    return false
  }
});
$c_ju_regex_Matcher.prototype.ensureLastMatch__p1__sjs_js_RegExp$ExecResult = (function() {
  if ((this.lastMatch$1 === null)) {
    throw new $c_jl_IllegalStateException().init___T("No match available")
  };
  return this.lastMatch$1
});
$c_ju_regex_Matcher.prototype.end__I = (function() {
  var jsx$1 = this.start__I();
  var thiz = this.group__T();
  return ((jsx$1 + $uI(thiz.length)) | 0)
});
$c_ju_regex_Matcher.prototype.init___ju_regex_Pattern__jl_CharSequence__I__I = (function(pattern0, input0, regionStart0, regionEnd0) {
  this.pattern0$1 = pattern0;
  this.input0$1 = input0;
  this.regionStart0$1 = regionStart0;
  this.regionEnd0$1 = regionEnd0;
  this.regexp$1 = this.pattern0$1.newJSRegExp__sjs_js_RegExp();
  this.inputstr$1 = $objectToString($charSequenceSubSequence(this.input0$1, this.regionStart0$1, this.regionEnd0$1));
  this.lastMatch$1 = null;
  this.lastMatchIsValid$1 = false;
  this.canStillFind$1 = true;
  this.appendPos$1 = 0;
  return this
});
$c_ju_regex_Matcher.prototype.group__T = (function() {
  var value = this.ensureLastMatch__p1__sjs_js_RegExp$ExecResult()[0];
  if ((value === (void 0))) {
    throw new $c_ju_NoSuchElementException().init___T("undefined.get")
  };
  return $as_T(value)
});
$c_ju_regex_Matcher.prototype.start__I = (function() {
  return $uI(this.ensureLastMatch__p1__sjs_js_RegExp$ExecResult().index)
});
var $d_ju_regex_Matcher = new $TypeData().initClass({
  ju_regex_Matcher: 0
}, false, "java.util.regex.Matcher", {
  ju_regex_Matcher: 1,
  O: 1,
  ju_regex_MatchResult: 1
});
$c_ju_regex_Matcher.prototype.$classData = $d_ju_regex_Matcher;
/** @constructor */
function $c_s_Predef$$anon$3() {
  $c_O.call(this)
}
$c_s_Predef$$anon$3.prototype = new $h_O();
$c_s_Predef$$anon$3.prototype.constructor = $c_s_Predef$$anon$3;
/** @constructor */
function $h_s_Predef$$anon$3() {
  /*<skip>*/
}
$h_s_Predef$$anon$3.prototype = $c_s_Predef$$anon$3.prototype;
$c_s_Predef$$anon$3.prototype.init___ = (function() {
  return this
});
$c_s_Predef$$anon$3.prototype.apply__scm_Builder = (function() {
  return new $c_scm_StringBuilder().init___()
});
$c_s_Predef$$anon$3.prototype.apply__O__scm_Builder = (function(from) {
  $as_T(from);
  return new $c_scm_StringBuilder().init___()
});
var $d_s_Predef$$anon$3 = new $TypeData().initClass({
  s_Predef$$anon$3: 0
}, false, "scala.Predef$$anon$3", {
  s_Predef$$anon$3: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_s_Predef$$anon$3.prototype.$classData = $d_s_Predef$$anon$3;
/** @constructor */
function $c_s_concurrent_BlockContext$DefaultBlockContext$() {
  $c_O.call(this)
}
$c_s_concurrent_BlockContext$DefaultBlockContext$.prototype = new $h_O();
$c_s_concurrent_BlockContext$DefaultBlockContext$.prototype.constructor = $c_s_concurrent_BlockContext$DefaultBlockContext$;
/** @constructor */
function $h_s_concurrent_BlockContext$DefaultBlockContext$() {
  /*<skip>*/
}
$h_s_concurrent_BlockContext$DefaultBlockContext$.prototype = $c_s_concurrent_BlockContext$DefaultBlockContext$.prototype;
$c_s_concurrent_BlockContext$DefaultBlockContext$.prototype.init___ = (function() {
  return this
});
var $d_s_concurrent_BlockContext$DefaultBlockContext$ = new $TypeData().initClass({
  s_concurrent_BlockContext$DefaultBlockContext$: 0
}, false, "scala.concurrent.BlockContext$DefaultBlockContext$", {
  s_concurrent_BlockContext$DefaultBlockContext$: 1,
  O: 1,
  s_concurrent_BlockContext: 1
});
$c_s_concurrent_BlockContext$DefaultBlockContext$.prototype.$classData = $d_s_concurrent_BlockContext$DefaultBlockContext$;
var $n_s_concurrent_BlockContext$DefaultBlockContext$ = (void 0);
function $m_s_concurrent_BlockContext$DefaultBlockContext$() {
  if ((!$n_s_concurrent_BlockContext$DefaultBlockContext$)) {
    $n_s_concurrent_BlockContext$DefaultBlockContext$ = new $c_s_concurrent_BlockContext$DefaultBlockContext$().init___()
  };
  return $n_s_concurrent_BlockContext$DefaultBlockContext$
}
/** @constructor */
function $c_s_package$$anon$1() {
  $c_O.call(this)
}
$c_s_package$$anon$1.prototype = new $h_O();
$c_s_package$$anon$1.prototype.constructor = $c_s_package$$anon$1;
/** @constructor */
function $h_s_package$$anon$1() {
  /*<skip>*/
}
$h_s_package$$anon$1.prototype = $c_s_package$$anon$1.prototype;
$c_s_package$$anon$1.prototype.init___ = (function() {
  return this
});
$c_s_package$$anon$1.prototype.toString__T = (function() {
  return "object AnyRef"
});
var $d_s_package$$anon$1 = new $TypeData().initClass({
  s_package$$anon$1: 0
}, false, "scala.package$$anon$1", {
  s_package$$anon$1: 1,
  O: 1,
  s_Specializable: 1
});
$c_s_package$$anon$1.prototype.$classData = $d_s_package$$anon$1;
/** @constructor */
function $c_s_util_hashing_MurmurHash3$() {
  $c_s_util_hashing_MurmurHash3.call(this);
  this.arraySeed$2 = 0;
  this.stringSeed$2 = 0;
  this.productSeed$2 = 0;
  this.symmetricSeed$2 = 0;
  this.traversableSeed$2 = 0;
  this.seqSeed$2 = 0;
  this.mapSeed$2 = 0;
  this.setSeed$2 = 0
}
$c_s_util_hashing_MurmurHash3$.prototype = new $h_s_util_hashing_MurmurHash3();
$c_s_util_hashing_MurmurHash3$.prototype.constructor = $c_s_util_hashing_MurmurHash3$;
/** @constructor */
function $h_s_util_hashing_MurmurHash3$() {
  /*<skip>*/
}
$h_s_util_hashing_MurmurHash3$.prototype = $c_s_util_hashing_MurmurHash3$.prototype;
$c_s_util_hashing_MurmurHash3$.prototype.init___ = (function() {
  $n_s_util_hashing_MurmurHash3$ = this;
  this.seqSeed$2 = $m_sjsr_RuntimeString$().hashCode__T__I("Seq");
  this.mapSeed$2 = $m_sjsr_RuntimeString$().hashCode__T__I("Map");
  this.setSeed$2 = $m_sjsr_RuntimeString$().hashCode__T__I("Set");
  return this
});
$c_s_util_hashing_MurmurHash3$.prototype.seqHash__sc_Seq__I = (function(xs) {
  if ($is_sci_List(xs)) {
    var x2 = $as_sci_List(xs);
    return this.listHash__sci_List__I__I(x2, this.seqSeed$2)
  } else {
    return this.orderedHash__sc_TraversableOnce__I__I(xs, this.seqSeed$2)
  }
});
var $d_s_util_hashing_MurmurHash3$ = new $TypeData().initClass({
  s_util_hashing_MurmurHash3$: 0
}, false, "scala.util.hashing.MurmurHash3$", {
  s_util_hashing_MurmurHash3$: 1,
  s_util_hashing_MurmurHash3: 1,
  O: 1
});
$c_s_util_hashing_MurmurHash3$.prototype.$classData = $d_s_util_hashing_MurmurHash3$;
var $n_s_util_hashing_MurmurHash3$ = (void 0);
function $m_s_util_hashing_MurmurHash3$() {
  if ((!$n_s_util_hashing_MurmurHash3$)) {
    $n_s_util_hashing_MurmurHash3$ = new $c_s_util_hashing_MurmurHash3$().init___()
  };
  return $n_s_util_hashing_MurmurHash3$
}
/** @constructor */
function $c_scg_GenMapFactory$MapCanBuildFrom() {
  $c_O.call(this);
  this.$$outer$f = null
}
$c_scg_GenMapFactory$MapCanBuildFrom.prototype = new $h_O();
$c_scg_GenMapFactory$MapCanBuildFrom.prototype.constructor = $c_scg_GenMapFactory$MapCanBuildFrom;
/** @constructor */
function $h_scg_GenMapFactory$MapCanBuildFrom() {
  /*<skip>*/
}
$h_scg_GenMapFactory$MapCanBuildFrom.prototype = $c_scg_GenMapFactory$MapCanBuildFrom.prototype;
$c_scg_GenMapFactory$MapCanBuildFrom.prototype.apply__scm_Builder = (function() {
  var this$1 = this.$$outer$f;
  return new $c_scm_MapBuilder().init___sc_GenMap(this$1.empty__sc_GenMap())
});
$c_scg_GenMapFactory$MapCanBuildFrom.prototype.apply__O__scm_Builder = (function(from) {
  $as_sc_GenMap(from);
  var this$1 = this.$$outer$f;
  return new $c_scm_MapBuilder().init___sc_GenMap(this$1.empty__sc_GenMap())
});
$c_scg_GenMapFactory$MapCanBuildFrom.prototype.init___scg_GenMapFactory = (function($$outer) {
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$f = $$outer
  };
  return this
});
var $d_scg_GenMapFactory$MapCanBuildFrom = new $TypeData().initClass({
  scg_GenMapFactory$MapCanBuildFrom: 0
}, false, "scala.collection.generic.GenMapFactory$MapCanBuildFrom", {
  scg_GenMapFactory$MapCanBuildFrom: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_scg_GenMapFactory$MapCanBuildFrom.prototype.$classData = $d_scg_GenMapFactory$MapCanBuildFrom;
/** @constructor */
function $c_scg_GenSetFactory() {
  $c_scg_GenericCompanion.call(this)
}
$c_scg_GenSetFactory.prototype = new $h_scg_GenericCompanion();
$c_scg_GenSetFactory.prototype.constructor = $c_scg_GenSetFactory;
/** @constructor */
function $h_scg_GenSetFactory() {
  /*<skip>*/
}
$h_scg_GenSetFactory.prototype = $c_scg_GenSetFactory.prototype;
/** @constructor */
function $c_scg_GenTraversableFactory() {
  $c_scg_GenericCompanion.call(this);
  this.ReusableCBFInstance$2 = null
}
$c_scg_GenTraversableFactory.prototype = new $h_scg_GenericCompanion();
$c_scg_GenTraversableFactory.prototype.constructor = $c_scg_GenTraversableFactory;
/** @constructor */
function $h_scg_GenTraversableFactory() {
  /*<skip>*/
}
$h_scg_GenTraversableFactory.prototype = $c_scg_GenTraversableFactory.prototype;
$c_scg_GenTraversableFactory.prototype.init___ = (function() {
  this.ReusableCBFInstance$2 = new $c_scg_GenTraversableFactory$$anon$1().init___scg_GenTraversableFactory(this);
  return this
});
/** @constructor */
function $c_scg_GenTraversableFactory$GenericCanBuildFrom() {
  $c_O.call(this);
  this.$$outer$f = null
}
$c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype = new $h_O();
$c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype.constructor = $c_scg_GenTraversableFactory$GenericCanBuildFrom;
/** @constructor */
function $h_scg_GenTraversableFactory$GenericCanBuildFrom() {
  /*<skip>*/
}
$h_scg_GenTraversableFactory$GenericCanBuildFrom.prototype = $c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype;
$c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype.apply__scm_Builder = (function() {
  return this.$$outer$f.newBuilder__scm_Builder()
});
$c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype.apply__O__scm_Builder = (function(from) {
  var from$1 = $as_sc_GenTraversable(from);
  return from$1.companion__scg_GenericCompanion().newBuilder__scm_Builder()
});
$c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype.init___scg_GenTraversableFactory = (function($$outer) {
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$f = $$outer
  };
  return this
});
/** @constructor */
function $c_scg_MapFactory() {
  $c_scg_GenMapFactory.call(this)
}
$c_scg_MapFactory.prototype = new $h_scg_GenMapFactory();
$c_scg_MapFactory.prototype.constructor = $c_scg_MapFactory;
/** @constructor */
function $h_scg_MapFactory() {
  /*<skip>*/
}
$h_scg_MapFactory.prototype = $c_scg_MapFactory.prototype;
/** @constructor */
function $c_sci_HashMap$$anon$2() {
  $c_sci_HashMap$Merger.call(this);
  this.invert$2 = null;
  this.mergef$1$f = null
}
$c_sci_HashMap$$anon$2.prototype = new $h_sci_HashMap$Merger();
$c_sci_HashMap$$anon$2.prototype.constructor = $c_sci_HashMap$$anon$2;
/** @constructor */
function $h_sci_HashMap$$anon$2() {
  /*<skip>*/
}
$h_sci_HashMap$$anon$2.prototype = $c_sci_HashMap$$anon$2.prototype;
$c_sci_HashMap$$anon$2.prototype.init___F2 = (function(mergef$1) {
  this.mergef$1$f = mergef$1;
  this.invert$2 = new $c_sci_HashMap$$anon$2$$anon$3().init___sci_HashMap$$anon$2(this);
  return this
});
$c_sci_HashMap$$anon$2.prototype.apply__T2__T2__T2 = (function(kv1, kv2) {
  return $as_T2(this.mergef$1$f.apply__O__O__O(kv1, kv2))
});
var $d_sci_HashMap$$anon$2 = new $TypeData().initClass({
  sci_HashMap$$anon$2: 0
}, false, "scala.collection.immutable.HashMap$$anon$2", {
  sci_HashMap$$anon$2: 1,
  sci_HashMap$Merger: 1,
  O: 1
});
$c_sci_HashMap$$anon$2.prototype.$classData = $d_sci_HashMap$$anon$2;
/** @constructor */
function $c_sci_HashMap$$anon$2$$anon$3() {
  $c_sci_HashMap$Merger.call(this);
  this.$$outer$2 = null
}
$c_sci_HashMap$$anon$2$$anon$3.prototype = new $h_sci_HashMap$Merger();
$c_sci_HashMap$$anon$2$$anon$3.prototype.constructor = $c_sci_HashMap$$anon$2$$anon$3;
/** @constructor */
function $h_sci_HashMap$$anon$2$$anon$3() {
  /*<skip>*/
}
$h_sci_HashMap$$anon$2$$anon$3.prototype = $c_sci_HashMap$$anon$2$$anon$3.prototype;
$c_sci_HashMap$$anon$2$$anon$3.prototype.apply__T2__T2__T2 = (function(kv1, kv2) {
  return $as_T2(this.$$outer$2.mergef$1$f.apply__O__O__O(kv2, kv1))
});
$c_sci_HashMap$$anon$2$$anon$3.prototype.init___sci_HashMap$$anon$2 = (function($$outer) {
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$2 = $$outer
  };
  return this
});
var $d_sci_HashMap$$anon$2$$anon$3 = new $TypeData().initClass({
  sci_HashMap$$anon$2$$anon$3: 0
}, false, "scala.collection.immutable.HashMap$$anon$2$$anon$3", {
  sci_HashMap$$anon$2$$anon$3: 1,
  sci_HashMap$Merger: 1,
  O: 1
});
$c_sci_HashMap$$anon$2$$anon$3.prototype.$classData = $d_sci_HashMap$$anon$2$$anon$3;
/** @constructor */
function $c_sci_List$$anon$1() {
  $c_O.call(this)
}
$c_sci_List$$anon$1.prototype = new $h_O();
$c_sci_List$$anon$1.prototype.constructor = $c_sci_List$$anon$1;
/** @constructor */
function $h_sci_List$$anon$1() {
  /*<skip>*/
}
$h_sci_List$$anon$1.prototype = $c_sci_List$$anon$1.prototype;
$c_sci_List$$anon$1.prototype.init___ = (function() {
  return this
});
$c_sci_List$$anon$1.prototype.apply__O__O = (function(x) {
  return this
});
$c_sci_List$$anon$1.prototype.toString__T = (function() {
  return "<function1>"
});
var $d_sci_List$$anon$1 = new $TypeData().initClass({
  sci_List$$anon$1: 0
}, false, "scala.collection.immutable.List$$anon$1", {
  sci_List$$anon$1: 1,
  O: 1,
  F1: 1
});
$c_sci_List$$anon$1.prototype.$classData = $d_sci_List$$anon$1;
function $is_scm_Builder(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_Builder)))
}
function $as_scm_Builder(obj) {
  return (($is_scm_Builder(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.mutable.Builder"))
}
function $isArrayOf_scm_Builder(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_Builder)))
}
function $asArrayOf_scm_Builder(obj, depth) {
  return (($isArrayOf_scm_Builder(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.mutable.Builder;", depth))
}
/** @constructor */
function $c_sr_AbstractFunction0() {
  $c_O.call(this)
}
$c_sr_AbstractFunction0.prototype = new $h_O();
$c_sr_AbstractFunction0.prototype.constructor = $c_sr_AbstractFunction0;
/** @constructor */
function $h_sr_AbstractFunction0() {
  /*<skip>*/
}
$h_sr_AbstractFunction0.prototype = $c_sr_AbstractFunction0.prototype;
$c_sr_AbstractFunction0.prototype.toString__T = (function() {
  return "<function0>"
});
/** @constructor */
function $c_sr_AbstractFunction1() {
  $c_O.call(this)
}
$c_sr_AbstractFunction1.prototype = new $h_O();
$c_sr_AbstractFunction1.prototype.constructor = $c_sr_AbstractFunction1;
/** @constructor */
function $h_sr_AbstractFunction1() {
  /*<skip>*/
}
$h_sr_AbstractFunction1.prototype = $c_sr_AbstractFunction1.prototype;
$c_sr_AbstractFunction1.prototype.toString__T = (function() {
  return "<function1>"
});
/** @constructor */
function $c_sr_AbstractFunction2() {
  $c_O.call(this)
}
$c_sr_AbstractFunction2.prototype = new $h_O();
$c_sr_AbstractFunction2.prototype.constructor = $c_sr_AbstractFunction2;
/** @constructor */
function $h_sr_AbstractFunction2() {
  /*<skip>*/
}
$h_sr_AbstractFunction2.prototype = $c_sr_AbstractFunction2.prototype;
$c_sr_AbstractFunction2.prototype.toString__T = (function() {
  return "<function2>"
});
/** @constructor */
function $c_sr_AbstractFunction3() {
  $c_O.call(this)
}
$c_sr_AbstractFunction3.prototype = new $h_O();
$c_sr_AbstractFunction3.prototype.constructor = $c_sr_AbstractFunction3;
/** @constructor */
function $h_sr_AbstractFunction3() {
  /*<skip>*/
}
$h_sr_AbstractFunction3.prototype = $c_sr_AbstractFunction3.prototype;
$c_sr_AbstractFunction3.prototype.toString__T = (function() {
  return "<function3>"
});
/** @constructor */
function $c_sr_AbstractFunction4() {
  $c_O.call(this)
}
$c_sr_AbstractFunction4.prototype = new $h_O();
$c_sr_AbstractFunction4.prototype.constructor = $c_sr_AbstractFunction4;
/** @constructor */
function $h_sr_AbstractFunction4() {
  /*<skip>*/
}
$h_sr_AbstractFunction4.prototype = $c_sr_AbstractFunction4.prototype;
$c_sr_AbstractFunction4.prototype.toString__T = (function() {
  return "<function4>"
});
/** @constructor */
function $c_sr_AbstractFunction6() {
  $c_O.call(this)
}
$c_sr_AbstractFunction6.prototype = new $h_O();
$c_sr_AbstractFunction6.prototype.constructor = $c_sr_AbstractFunction6;
/** @constructor */
function $h_sr_AbstractFunction6() {
  /*<skip>*/
}
$h_sr_AbstractFunction6.prototype = $c_sr_AbstractFunction6.prototype;
$c_sr_AbstractFunction6.prototype.toString__T = (function() {
  return "<function6>"
});
/** @constructor */
function $c_sr_BooleanRef() {
  $c_O.call(this);
  this.elem$1 = false
}
$c_sr_BooleanRef.prototype = new $h_O();
$c_sr_BooleanRef.prototype.constructor = $c_sr_BooleanRef;
/** @constructor */
function $h_sr_BooleanRef() {
  /*<skip>*/
}
$h_sr_BooleanRef.prototype = $c_sr_BooleanRef.prototype;
$c_sr_BooleanRef.prototype.toString__T = (function() {
  var value = this.elem$1;
  return ("" + value)
});
$c_sr_BooleanRef.prototype.init___Z = (function(elem) {
  this.elem$1 = elem;
  return this
});
var $d_sr_BooleanRef = new $TypeData().initClass({
  sr_BooleanRef: 0
}, false, "scala.runtime.BooleanRef", {
  sr_BooleanRef: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_sr_BooleanRef.prototype.$classData = $d_sr_BooleanRef;
function $isArrayOf_sr_BoxedUnit(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sr_BoxedUnit)))
}
function $asArrayOf_sr_BoxedUnit(obj, depth) {
  return (($isArrayOf_sr_BoxedUnit(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.runtime.BoxedUnit;", depth))
}
var $d_sr_BoxedUnit = new $TypeData().initClass({
  sr_BoxedUnit: 0
}, false, "scala.runtime.BoxedUnit", {
  sr_BoxedUnit: 1,
  O: 1,
  Ljava_io_Serializable: 1
}, (void 0), (void 0), (function(x) {
  return (x === (void 0))
}));
/** @constructor */
function $c_sr_IntRef() {
  $c_O.call(this);
  this.elem$1 = 0
}
$c_sr_IntRef.prototype = new $h_O();
$c_sr_IntRef.prototype.constructor = $c_sr_IntRef;
/** @constructor */
function $h_sr_IntRef() {
  /*<skip>*/
}
$h_sr_IntRef.prototype = $c_sr_IntRef.prototype;
$c_sr_IntRef.prototype.toString__T = (function() {
  var value = this.elem$1;
  return ("" + value)
});
$c_sr_IntRef.prototype.init___I = (function(elem) {
  this.elem$1 = elem;
  return this
});
var $d_sr_IntRef = new $TypeData().initClass({
  sr_IntRef: 0
}, false, "scala.runtime.IntRef", {
  sr_IntRef: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_sr_IntRef.prototype.$classData = $d_sr_IntRef;
/** @constructor */
function $c_sr_ObjectRef() {
  $c_O.call(this);
  this.elem$1 = null
}
$c_sr_ObjectRef.prototype = new $h_O();
$c_sr_ObjectRef.prototype.constructor = $c_sr_ObjectRef;
/** @constructor */
function $h_sr_ObjectRef() {
  /*<skip>*/
}
$h_sr_ObjectRef.prototype = $c_sr_ObjectRef.prototype;
$c_sr_ObjectRef.prototype.toString__T = (function() {
  return $m_sjsr_RuntimeString$().valueOf__O__T(this.elem$1)
});
$c_sr_ObjectRef.prototype.init___O = (function(elem) {
  this.elem$1 = elem;
  return this
});
var $d_sr_ObjectRef = new $TypeData().initClass({
  sr_ObjectRef: 0
}, false, "scala.runtime.ObjectRef", {
  sr_ObjectRef: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_sr_ObjectRef.prototype.$classData = $d_sr_ObjectRef;
/** @constructor */
function $c_Lcom_iteration3_smilejs_ClientError$() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_ClientError$.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_ClientError$.prototype.constructor = $c_Lcom_iteration3_smilejs_ClientError$;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ClientError$() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ClientError$.prototype = $c_Lcom_iteration3_smilejs_ClientError$.prototype;
$c_Lcom_iteration3_smilejs_ClientError$.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_ClientError$.prototype.fromJson__sjs_js_Dynamic__Lcom_iteration3_smilejs_ClientError = (function(json) {
  return new $c_Lcom_iteration3_smilejs_ClientError().init___T__T($as_T(json.require), $as_T(json.message))
});
var $d_Lcom_iteration3_smilejs_ClientError$ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_ClientError$: 0
}, false, "com.iteration3.smilejs.ClientError$", {
  Lcom_iteration3_smilejs_ClientError$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_ClientError$.prototype.$classData = $d_Lcom_iteration3_smilejs_ClientError$;
var $n_Lcom_iteration3_smilejs_ClientError$ = (void 0);
function $m_Lcom_iteration3_smilejs_ClientError$() {
  if ((!$n_Lcom_iteration3_smilejs_ClientError$)) {
    $n_Lcom_iteration3_smilejs_ClientError$ = new $c_Lcom_iteration3_smilejs_ClientError$().init___()
  };
  return $n_Lcom_iteration3_smilejs_ClientError$
}
/** @constructor */
function $c_Lcom_iteration3_smilejs_ClientErrors$() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_ClientErrors$.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_ClientErrors$.prototype.constructor = $c_Lcom_iteration3_smilejs_ClientErrors$;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ClientErrors$() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ClientErrors$.prototype = $c_Lcom_iteration3_smilejs_ClientErrors$.prototype;
$c_Lcom_iteration3_smilejs_ClientErrors$.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_ClientErrors$.prototype.fromJson__sjs_js_Dynamic__Lcom_iteration3_smilejs_ClientErrors = (function(json) {
  if ((json === null)) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var this$2 = $m_sci_List$();
    var cbf = this$2.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(json.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(json));
    var this$4 = $as_sci_List(b.result__O());
    var f = (function(x$2) {
      return $m_Lcom_iteration3_smilejs_ClientError$().fromJson__sjs_js_Dynamic__Lcom_iteration3_smilejs_ClientError(x$2)
    });
    var this$3 = $m_sci_List$();
    var bf = this$3.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$4 === $m_sci_Nil$())) {
        var jsx$2 = $m_sci_Nil$()
      } else {
        var arg1 = this$4.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = this$4.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$5 = rest;
          rest = this$5.tail__sci_List()
        };
        var jsx$2 = h
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$4, bf);
      var these = this$4;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b$1.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$6 = these;
        these = this$6.tail__sci_List()
      };
      var jsx$2 = b$1.result__O()
    };
    var jsx$1 = $as_sci_List(jsx$2)
  };
  return new $c_Lcom_iteration3_smilejs_ClientErrors().init___sci_List(jsx$1)
});
var $d_Lcom_iteration3_smilejs_ClientErrors$ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_ClientErrors$: 0
}, false, "com.iteration3.smilejs.ClientErrors$", {
  Lcom_iteration3_smilejs_ClientErrors$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_ClientErrors$.prototype.$classData = $d_Lcom_iteration3_smilejs_ClientErrors$;
var $n_Lcom_iteration3_smilejs_ClientErrors$ = (void 0);
function $m_Lcom_iteration3_smilejs_ClientErrors$() {
  if ((!$n_Lcom_iteration3_smilejs_ClientErrors$)) {
    $n_Lcom_iteration3_smilejs_ClientErrors$ = new $c_Lcom_iteration3_smilejs_ClientErrors$().init___()
  };
  return $n_Lcom_iteration3_smilejs_ClientErrors$
}
/** @constructor */
function $c_Lcom_iteration3_smilejs_ClientException$() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_ClientException$.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_ClientException$.prototype.constructor = $c_Lcom_iteration3_smilejs_ClientException$;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ClientException$() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ClientException$.prototype = $c_Lcom_iteration3_smilejs_ClientException$.prototype;
$c_Lcom_iteration3_smilejs_ClientException$.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_ClientException$.prototype.$$lessinit$greater$default$2__s_Option = (function() {
  return $m_s_None$()
});
$c_Lcom_iteration3_smilejs_ClientException$.prototype.fromJson__sjs_js_Dynamic__Lcom_iteration3_smilejs_ClientException = (function(json) {
  var jsx$2 = $as_T(json.field);
  if ((json.message === null)) {
    var jsx$1 = $m_s_None$()
  } else {
    var value = json.message;
    var jsx$1 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  return new $c_Lcom_iteration3_smilejs_ClientException().init___T__s_Option(jsx$2, jsx$1)
});
var $d_Lcom_iteration3_smilejs_ClientException$ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_ClientException$: 0
}, false, "com.iteration3.smilejs.ClientException$", {
  Lcom_iteration3_smilejs_ClientException$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_ClientException$.prototype.$classData = $d_Lcom_iteration3_smilejs_ClientException$;
var $n_Lcom_iteration3_smilejs_ClientException$ = (void 0);
function $m_Lcom_iteration3_smilejs_ClientException$() {
  if ((!$n_Lcom_iteration3_smilejs_ClientException$)) {
    $n_Lcom_iteration3_smilejs_ClientException$ = new $c_Lcom_iteration3_smilejs_ClientException$().init___()
  };
  return $n_Lcom_iteration3_smilejs_ClientException$
}
/** @constructor */
function $c_Lcom_iteration3_smilejs_ClientExceptions$() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_ClientExceptions$.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_ClientExceptions$.prototype.constructor = $c_Lcom_iteration3_smilejs_ClientExceptions$;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ClientExceptions$() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ClientExceptions$.prototype = $c_Lcom_iteration3_smilejs_ClientExceptions$.prototype;
$c_Lcom_iteration3_smilejs_ClientExceptions$.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_ClientExceptions$.prototype.fromJson__sjs_js_Dynamic__Lcom_iteration3_smilejs_ClientExceptions = (function(json) {
  if ((json === null)) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var this$2 = $m_sci_List$();
    var cbf = this$2.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(json.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(json));
    var this$4 = $as_sci_List(b.result__O());
    var f = (function(x$2) {
      return $m_Lcom_iteration3_smilejs_ClientException$().fromJson__sjs_js_Dynamic__Lcom_iteration3_smilejs_ClientException(x$2)
    });
    var this$3 = $m_sci_List$();
    var bf = this$3.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$4 === $m_sci_Nil$())) {
        var jsx$2 = $m_sci_Nil$()
      } else {
        var arg1 = this$4.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = this$4.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$5 = rest;
          rest = this$5.tail__sci_List()
        };
        var jsx$2 = h
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$4, bf);
      var these = this$4;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b$1.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$6 = these;
        these = this$6.tail__sci_List()
      };
      var jsx$2 = b$1.result__O()
    };
    var jsx$1 = $as_sci_List(jsx$2)
  };
  return new $c_Lcom_iteration3_smilejs_ClientExceptions().init___sci_List(jsx$1)
});
var $d_Lcom_iteration3_smilejs_ClientExceptions$ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_ClientExceptions$: 0
}, false, "com.iteration3.smilejs.ClientExceptions$", {
  Lcom_iteration3_smilejs_ClientExceptions$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_ClientExceptions$.prototype.$classData = $d_Lcom_iteration3_smilejs_ClientExceptions$;
var $n_Lcom_iteration3_smilejs_ClientExceptions$ = (void 0);
function $m_Lcom_iteration3_smilejs_ClientExceptions$() {
  if ((!$n_Lcom_iteration3_smilejs_ClientExceptions$)) {
    $n_Lcom_iteration3_smilejs_ClientExceptions$ = new $c_Lcom_iteration3_smilejs_ClientExceptions$().init___()
  };
  return $n_Lcom_iteration3_smilejs_ClientExceptions$
}
function $s_Lcom_metastay_monitorapp_data_AllocateToUser__asDynamic__Lcom_metastay_monitorapp_data_AllocateToUser__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_monitorapp_data_AllocateToUser__toJson__Lcom_metastay_monitorapp_data_AllocateToUser__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userName);
  ret.userName = s;
  var value = $uI($this.currentQSize);
  ret.currentQSize = value;
  var value$1 = $uI($this.maxQSize);
  ret.maxQSize = value$1;
  return ret
}
var $b_Lcom_metastay_monitorapp_data_AllocateToUser = (void 0);
function $a_Lcom_metastay_monitorapp_data_AllocateToUser() {
  if ((!$b_Lcom_metastay_monitorapp_data_AllocateToUser)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_AllocateToUser = (function $c_Lcom_metastay_monitorapp_data_AllocateToUser() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_AllocateToUser$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_AllocateToUser$__T($m_Lcom_metastay_monitorapp_data_AllocateToUser$()) : $as_T(arg$rest[0]));
      var currentQSize = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_AllocateToUser$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_AllocateToUser$__I($m_Lcom_metastay_monitorapp_data_AllocateToUser$()) : $uI(arg$rest[1]));
      var maxQSize = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_AllocateToUser$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_AllocateToUser$__I($m_Lcom_metastay_monitorapp_data_AllocateToUser$()) : $uI(arg$rest[2]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "currentQSize", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "maxQSize", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      this.userName = userName;
      this.currentQSize = currentQSize;
      this.maxQSize = maxQSize
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_AllocateToUser = (function $h_Lcom_metastay_monitorapp_data_AllocateToUser() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_AllocateToUser.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_AllocateToUser.prototype = new $h_Lcom_metastay_monitorapp_data_AllocateToUser();
    $c_Lcom_metastay_monitorapp_data_AllocateToUser.prototype.constructor = $c_Lcom_metastay_monitorapp_data_AllocateToUser;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_AllocateToUser.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_AllocateToUser__asDynamic__Lcom_metastay_monitorapp_data_AllocateToUser__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_AllocateToUser.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_AllocateToUser__toJson__Lcom_metastay_monitorapp_data_AllocateToUser__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_AllocateToUser = $c_Lcom_metastay_monitorapp_data_AllocateToUser
  };
  return $b_Lcom_metastay_monitorapp_data_AllocateToUser
}
function $s_Lcom_metastay_monitorapp_data_AllocateToUser$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_AllocateToUser$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_AllocateToUser$__schemaInfo__Lcom_metastay_monitorapp_data_AllocateToUser$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"AllocateToUser\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"formatter\" : \"MonitorUtil.allocateUserList\"} \n        }\n     ,\n\"currentQSize\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {\"formatter\" : \"MonitorUtil.allocateUserQSize\"} \n        }\n     ,\n\"maxQSize\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     \n },\n \"required\": [   \"userName\" , \"currentQSize\" , \"maxQSize\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_AllocateToUser$__from__Lcom_metastay_monitorapp_data_AllocateToUser$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_AllocateToUser($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_AllocateToUser$__fromDynamic__Lcom_metastay_monitorapp_data_AllocateToUser$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_AllocateToUser($this, json) {
  var v = json.userName;
  if (((v === (void 0)) || (json.userName === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.userName)
  };
  var v$1 = json.currentQSize;
  if (((v$1 === (void 0)) || (json.currentQSize === null))) {
    var jsx$1 = 0
  } else {
    var jsx$1 = $uI(json.currentQSize)
  };
  var v$2 = json.maxQSize;
  return new ($a_Lcom_metastay_monitorapp_data_AllocateToUser())(jsx$2, jsx$1, (((v$2 === (void 0)) || (json.maxQSize === null)) ? 0 : $uI(json.maxQSize)))
}
function $s_Lcom_metastay_monitorapp_data_AllocateToUser$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_AllocateToUser$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_AllocateToUser$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_AllocateToUser$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_AllocateToUser$__createNew__Lcom_metastay_monitorapp_data_AllocateToUser$__Lcom_metastay_monitorapp_data_AllocateToUser($this) {
  return new ($a_Lcom_metastay_monitorapp_data_AllocateToUser())()
}
var $b_Lcom_metastay_monitorapp_data_AllocateToUser$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_AllocateToUser$() {
  if ((!$b_Lcom_metastay_monitorapp_data_AllocateToUser$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_AllocateToUser$ = (function $c_Lcom_metastay_monitorapp_data_AllocateToUser$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_AllocateToUser$ = (function $h_Lcom_metastay_monitorapp_data_AllocateToUser$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_AllocateToUser$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_AllocateToUser$.prototype = new $h_Lcom_metastay_monitorapp_data_AllocateToUser$();
    $c_Lcom_metastay_monitorapp_data_AllocateToUser$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_AllocateToUser$;
    $c_Lcom_metastay_monitorapp_data_AllocateToUser$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_AllocateToUser$__createNew__Lcom_metastay_monitorapp_data_AllocateToUser$__Lcom_metastay_monitorapp_data_AllocateToUser(this)
    });
    $c_Lcom_metastay_monitorapp_data_AllocateToUser$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_AllocateToUser$__fromDynamic__Lcom_metastay_monitorapp_data_AllocateToUser$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_AllocateToUser(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_AllocateToUser$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_AllocateToUser$__from__Lcom_metastay_monitorapp_data_AllocateToUser$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_AllocateToUser(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_AllocateToUser$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_AllocateToUser$__schemaInfo__Lcom_metastay_monitorapp_data_AllocateToUser$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_AllocateToUser$ = $c_Lcom_metastay_monitorapp_data_AllocateToUser$
  };
  return $b_Lcom_metastay_monitorapp_data_AllocateToUser$
}
var $n_Lcom_metastay_monitorapp_data_AllocateToUser$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_AllocateToUser$() {
  if ((!$n_Lcom_metastay_monitorapp_data_AllocateToUser$)) {
    $n_Lcom_metastay_monitorapp_data_AllocateToUser$ = new ($a_Lcom_metastay_monitorapp_data_AllocateToUser$())()
  };
  return $n_Lcom_metastay_monitorapp_data_AllocateToUser$
}
function $s_Lcom_metastay_monitorapp_data_AppRole__asDynamic__Lcom_metastay_monitorapp_data_AppRole__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_monitorapp_data_AppRole__toJson__Lcom_metastay_monitorapp_data_AppRole__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.appId);
  ret.appId = s;
  var s$1 = $as_T($this.role);
  ret.role = s$1;
  return ret
}
var $b_Lcom_metastay_monitorapp_data_AppRole = (void 0);
function $a_Lcom_metastay_monitorapp_data_AppRole() {
  if ((!$b_Lcom_metastay_monitorapp_data_AppRole)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_AppRole = (function $c_Lcom_metastay_monitorapp_data_AppRole() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var appId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_AppRole$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_AppRole$__T($m_Lcom_metastay_monitorapp_data_AppRole$()) : $as_T(arg$rest[0]));
      var role = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_AppRole$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_AppRole$__T($m_Lcom_metastay_monitorapp_data_AppRole$()) : $as_T(arg$rest[1]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "appId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "role", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.appId = appId;
      this.role = role
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_AppRole = (function $h_Lcom_metastay_monitorapp_data_AppRole() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_AppRole.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_AppRole.prototype = new $h_Lcom_metastay_monitorapp_data_AppRole();
    $c_Lcom_metastay_monitorapp_data_AppRole.prototype.constructor = $c_Lcom_metastay_monitorapp_data_AppRole;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_AppRole.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_AppRole__asDynamic__Lcom_metastay_monitorapp_data_AppRole__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_AppRole.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_AppRole__toJson__Lcom_metastay_monitorapp_data_AppRole__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_AppRole = $c_Lcom_metastay_monitorapp_data_AppRole
  };
  return $b_Lcom_metastay_monitorapp_data_AppRole
}
function $s_Lcom_metastay_monitorapp_data_AppRole$__schemaInfo__Lcom_metastay_monitorapp_data_AppRole$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"AppRole\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"appId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"role\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"appId\" , \"role\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_AppRole$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_AppRole$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_AppRole$__from__Lcom_metastay_monitorapp_data_AppRole$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_AppRole($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_AppRole$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_AppRole$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_AppRole$__createNew__Lcom_metastay_monitorapp_data_AppRole$__Lcom_metastay_monitorapp_data_AppRole($this) {
  return new ($a_Lcom_metastay_monitorapp_data_AppRole())()
}
function $s_Lcom_metastay_monitorapp_data_AppRole$__fromDynamic__Lcom_metastay_monitorapp_data_AppRole$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_AppRole($this, json) {
  var v = json.appId;
  if (((v === (void 0)) || (json.appId === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.appId)
  };
  var v$1 = json.role;
  return new ($a_Lcom_metastay_monitorapp_data_AppRole())(jsx$1, (((v$1 === (void 0)) || (json.role === null)) ? null : $as_T(json.role)))
}
var $b_Lcom_metastay_monitorapp_data_AppRole$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_AppRole$() {
  if ((!$b_Lcom_metastay_monitorapp_data_AppRole$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_AppRole$ = (function $c_Lcom_metastay_monitorapp_data_AppRole$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_AppRole$ = (function $h_Lcom_metastay_monitorapp_data_AppRole$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_AppRole$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_AppRole$.prototype = new $h_Lcom_metastay_monitorapp_data_AppRole$();
    $c_Lcom_metastay_monitorapp_data_AppRole$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_AppRole$;
    $c_Lcom_metastay_monitorapp_data_AppRole$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_AppRole$__createNew__Lcom_metastay_monitorapp_data_AppRole$__Lcom_metastay_monitorapp_data_AppRole(this)
    });
    $c_Lcom_metastay_monitorapp_data_AppRole$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_AppRole$__fromDynamic__Lcom_metastay_monitorapp_data_AppRole$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_AppRole(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_AppRole$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_AppRole$__from__Lcom_metastay_monitorapp_data_AppRole$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_AppRole(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_AppRole$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_AppRole$__schemaInfo__Lcom_metastay_monitorapp_data_AppRole$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_AppRole$ = $c_Lcom_metastay_monitorapp_data_AppRole$
  };
  return $b_Lcom_metastay_monitorapp_data_AppRole$
}
var $n_Lcom_metastay_monitorapp_data_AppRole$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_AppRole$() {
  if ((!$n_Lcom_metastay_monitorapp_data_AppRole$)) {
    $n_Lcom_metastay_monitorapp_data_AppRole$ = new ($a_Lcom_metastay_monitorapp_data_AppRole$())()
  };
  return $n_Lcom_metastay_monitorapp_data_AppRole$
}
function $s_Lcom_metastay_monitorapp_data_CommentGrid__asDynamic__Lcom_metastay_monitorapp_data_CommentGrid__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_monitorapp_data_CommentGrid__toJson__Lcom_metastay_monitorapp_data_CommentGrid__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.commentedBy);
  ret.commentedBy = s;
  var s$1 = $as_T($this.createdTime.toISOString());
  ret.createdTime = s$1;
  var s$2 = $as_T($this.commentLevel);
  ret.commentLevel = s$2;
  var value = $this.taskName;
  if ((value !== (void 0))) {
    var value$1 = $this.taskName;
    if ((value$1 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$3 = $as_T(value$1);
    ret.taskName = s$3
  };
  var s$4 = $as_T($this.comment);
  ret.comment = s$4;
  return ret
}
var $b_Lcom_metastay_monitorapp_data_CommentGrid = (void 0);
function $a_Lcom_metastay_monitorapp_data_CommentGrid() {
  if ((!$b_Lcom_metastay_monitorapp_data_CommentGrid)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_CommentGrid = (function $c_Lcom_metastay_monitorapp_data_CommentGrid() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var commentedBy = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_CommentGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_CommentGrid$__T($m_Lcom_metastay_monitorapp_data_CommentGrid$()) : $as_T(arg$rest[0]));
      var createdTime = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_CommentGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_CommentGrid$__sjs_js_Date($m_Lcom_metastay_monitorapp_data_CommentGrid$()) : arg$rest[1]);
      var commentLevel = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_CommentGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_CommentGrid$__T($m_Lcom_metastay_monitorapp_data_CommentGrid$()) : $as_T(arg$rest[2]));
      var taskName = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_CommentGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_CommentGrid$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_CommentGrid$()) : arg$rest[3]);
      var comment = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_CommentGrid$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_CommentGrid$__T($m_Lcom_metastay_monitorapp_data_CommentGrid$()) : $as_T(arg$rest[4]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "commentedBy", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "createdTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "commentLevel", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "comment", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.commentedBy = commentedBy;
      this.createdTime = createdTime;
      this.commentLevel = commentLevel;
      this.taskName = taskName;
      this.comment = comment
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_CommentGrid = (function $h_Lcom_metastay_monitorapp_data_CommentGrid() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_CommentGrid.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_CommentGrid.prototype = new $h_Lcom_metastay_monitorapp_data_CommentGrid();
    $c_Lcom_metastay_monitorapp_data_CommentGrid.prototype.constructor = $c_Lcom_metastay_monitorapp_data_CommentGrid;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_CommentGrid.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_CommentGrid__asDynamic__Lcom_metastay_monitorapp_data_CommentGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_CommentGrid.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_CommentGrid__toJson__Lcom_metastay_monitorapp_data_CommentGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_CommentGrid = $c_Lcom_metastay_monitorapp_data_CommentGrid
  };
  return $b_Lcom_metastay_monitorapp_data_CommentGrid
}
function $s_Lcom_metastay_monitorapp_data_CommentGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_CommentGrid$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_CommentGrid$__from__Lcom_metastay_monitorapp_data_CommentGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_CommentGrid($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_CommentGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_CommentGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_CommentGrid$__schemaInfo__Lcom_metastay_monitorapp_data_CommentGrid$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"CommentGrid\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"commentedBy\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"createdTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {\"formatter\" : \"CommentUtil.userWithDateForComment\"} \n        }\n     ,\n\"commentLevel\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"taskName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"comment\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     \n },\n \"required\": [   \"commentedBy\" , \"createdTime\" , \"commentLevel\" , \"comment\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_CommentGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_CommentGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_CommentGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_CommentGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_CommentGrid$__createNew__Lcom_metastay_monitorapp_data_CommentGrid$__Lcom_metastay_monitorapp_data_CommentGrid($this) {
  return new ($a_Lcom_metastay_monitorapp_data_CommentGrid())()
}
function $s_Lcom_metastay_monitorapp_data_CommentGrid$__fromDynamic__Lcom_metastay_monitorapp_data_CommentGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_CommentGrid($this, json) {
  var v = json.commentedBy;
  if (((v === (void 0)) || (json.commentedBy === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.commentedBy)
  };
  var v$1 = json.createdTime;
  if (((v$1 === (void 0)) || (json.createdTime === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = new $g.Date($as_T(json.createdTime))
  };
  var v$2 = json.commentLevel;
  if (((v$2 === (void 0)) || (json.commentLevel === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.commentLevel)
  };
  var v$3 = json.taskName;
  if (((v$3 === (void 0)) || (json.taskName === null))) {
    var jsx$1 = (void 0)
  } else {
    var jsx$1 = json.taskName
  };
  var v$4 = json.comment;
  return new ($a_Lcom_metastay_monitorapp_data_CommentGrid())(jsx$4, jsx$3, jsx$2, jsx$1, (((v$4 === (void 0)) || (json.comment === null)) ? null : $as_T(json.comment)))
}
function $s_Lcom_metastay_monitorapp_data_CommentGrid$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_CommentGrid$__T($this) {
  return null
}
var $b_Lcom_metastay_monitorapp_data_CommentGrid$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_CommentGrid$() {
  if ((!$b_Lcom_metastay_monitorapp_data_CommentGrid$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_CommentGrid$ = (function $c_Lcom_metastay_monitorapp_data_CommentGrid$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_CommentGrid$ = (function $h_Lcom_metastay_monitorapp_data_CommentGrid$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_CommentGrid$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_CommentGrid$.prototype = new $h_Lcom_metastay_monitorapp_data_CommentGrid$();
    $c_Lcom_metastay_monitorapp_data_CommentGrid$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_CommentGrid$;
    $c_Lcom_metastay_monitorapp_data_CommentGrid$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_CommentGrid$__createNew__Lcom_metastay_monitorapp_data_CommentGrid$__Lcom_metastay_monitorapp_data_CommentGrid(this)
    });
    $c_Lcom_metastay_monitorapp_data_CommentGrid$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_CommentGrid$__fromDynamic__Lcom_metastay_monitorapp_data_CommentGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_CommentGrid(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_CommentGrid$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_CommentGrid$__from__Lcom_metastay_monitorapp_data_CommentGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_CommentGrid(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_CommentGrid$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_CommentGrid$__schemaInfo__Lcom_metastay_monitorapp_data_CommentGrid$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_CommentGrid$ = $c_Lcom_metastay_monitorapp_data_CommentGrid$
  };
  return $b_Lcom_metastay_monitorapp_data_CommentGrid$
}
var $n_Lcom_metastay_monitorapp_data_CommentGrid$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_CommentGrid$() {
  if ((!$n_Lcom_metastay_monitorapp_data_CommentGrid$)) {
    $n_Lcom_metastay_monitorapp_data_CommentGrid$ = new ($a_Lcom_metastay_monitorapp_data_CommentGrid$())()
  };
  return $n_Lcom_metastay_monitorapp_data_CommentGrid$
}
function $s_Lcom_metastay_monitorapp_data_CreateFlowForm__asDynamic__Lcom_metastay_monitorapp_data_CreateFlowForm__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_monitorapp_data_CreateFlowForm__toJson__Lcom_metastay_monitorapp_data_CreateFlowForm__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.fqFlowName);
  ret.fqFlowName = s;
  var s$1 = $as_T($this.teamCode);
  ret.teamCode = s$1;
  var value = $this.priority;
  if ((value !== (void 0))) {
    var value$1 = $this.priority;
    if ((value$1 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var value$2 = $uI(value$1);
    ret.priority = value$2
  };
  var value$3 = $this.net;
  if ((value$3 !== (void 0))) {
    var value$4 = $this.net;
    if ((value$4 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$2 = $as_T(value$4);
    ret.net = s$2
  };
  var s$3 = $as_T($this.initDocument);
  ret.initDocument = s$3;
  return ret
}
var $b_Lcom_metastay_monitorapp_data_CreateFlowForm = (void 0);
function $a_Lcom_metastay_monitorapp_data_CreateFlowForm() {
  if ((!$b_Lcom_metastay_monitorapp_data_CreateFlowForm)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_CreateFlowForm = (function $c_Lcom_metastay_monitorapp_data_CreateFlowForm() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var fqFlowName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_CreateFlowForm$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_CreateFlowForm$__T($m_Lcom_metastay_monitorapp_data_CreateFlowForm$()) : $as_T(arg$rest[0]));
      var teamCode = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_CreateFlowForm$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_CreateFlowForm$__T($m_Lcom_metastay_monitorapp_data_CreateFlowForm$()) : $as_T(arg$rest[1]));
      var priority = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_CreateFlowForm$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_CreateFlowForm$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_CreateFlowForm$()) : arg$rest[2]);
      var net = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_CreateFlowForm$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_CreateFlowForm$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_CreateFlowForm$()) : arg$rest[3]);
      var initDocument = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_CreateFlowForm$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_CreateFlowForm$__T($m_Lcom_metastay_monitorapp_data_CreateFlowForm$()) : $as_T(arg$rest[4]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "fqFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "priority", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "net", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "initDocument", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.fqFlowName = fqFlowName;
      this.teamCode = teamCode;
      this.priority = priority;
      this.net = net;
      this.initDocument = initDocument
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_CreateFlowForm = (function $h_Lcom_metastay_monitorapp_data_CreateFlowForm() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_CreateFlowForm.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_CreateFlowForm.prototype = new $h_Lcom_metastay_monitorapp_data_CreateFlowForm();
    $c_Lcom_metastay_monitorapp_data_CreateFlowForm.prototype.constructor = $c_Lcom_metastay_monitorapp_data_CreateFlowForm;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_CreateFlowForm.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_CreateFlowForm__asDynamic__Lcom_metastay_monitorapp_data_CreateFlowForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_CreateFlowForm.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_CreateFlowForm__toJson__Lcom_metastay_monitorapp_data_CreateFlowForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_CreateFlowForm = $c_Lcom_metastay_monitorapp_data_CreateFlowForm
  };
  return $b_Lcom_metastay_monitorapp_data_CreateFlowForm
}
function $s_Lcom_metastay_monitorapp_data_CreateFlowForm$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_CreateFlowForm$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_CreateFlowForm$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_CreateFlowForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_CreateFlowForm$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_CreateFlowForm$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_CreateFlowForm$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_CreateFlowForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_CreateFlowForm$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_CreateFlowForm$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_CreateFlowForm$__from__Lcom_metastay_monitorapp_data_CreateFlowForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_CreateFlowForm($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_CreateFlowForm$__schemaInfo__Lcom_metastay_monitorapp_data_CreateFlowForm$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"CreateFlowForm\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"fqFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"priority\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"net\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"initDocument\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"fqFlowName\" , \"teamCode\" , \"initDocument\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_CreateFlowForm$__fromDynamic__Lcom_metastay_monitorapp_data_CreateFlowForm$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_CreateFlowForm($this, json) {
  var v = json.fqFlowName;
  if (((v === (void 0)) || (json.fqFlowName === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.fqFlowName)
  };
  var v$1 = json.teamCode;
  if (((v$1 === (void 0)) || (json.teamCode === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.teamCode)
  };
  var v$2 = json.priority;
  if (((v$2 === (void 0)) || (json.priority === null))) {
    var jsx$2 = (void 0)
  } else {
    var jsx$2 = json.priority
  };
  var v$3 = json.net;
  if (((v$3 === (void 0)) || (json.net === null))) {
    var jsx$1 = (void 0)
  } else {
    var jsx$1 = json.net
  };
  var v$4 = json.initDocument;
  return new ($a_Lcom_metastay_monitorapp_data_CreateFlowForm())(jsx$4, jsx$3, jsx$2, jsx$1, (((v$4 === (void 0)) || (json.initDocument === null)) ? null : $as_T(json.initDocument)))
}
function $s_Lcom_metastay_monitorapp_data_CreateFlowForm$__createNew__Lcom_metastay_monitorapp_data_CreateFlowForm$__Lcom_metastay_monitorapp_data_CreateFlowForm($this) {
  return new ($a_Lcom_metastay_monitorapp_data_CreateFlowForm())()
}
var $b_Lcom_metastay_monitorapp_data_CreateFlowForm$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_CreateFlowForm$() {
  if ((!$b_Lcom_metastay_monitorapp_data_CreateFlowForm$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_CreateFlowForm$ = (function $c_Lcom_metastay_monitorapp_data_CreateFlowForm$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_CreateFlowForm$ = (function $h_Lcom_metastay_monitorapp_data_CreateFlowForm$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_CreateFlowForm$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_CreateFlowForm$.prototype = new $h_Lcom_metastay_monitorapp_data_CreateFlowForm$();
    $c_Lcom_metastay_monitorapp_data_CreateFlowForm$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_CreateFlowForm$;
    $c_Lcom_metastay_monitorapp_data_CreateFlowForm$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_CreateFlowForm$__createNew__Lcom_metastay_monitorapp_data_CreateFlowForm$__Lcom_metastay_monitorapp_data_CreateFlowForm(this)
    });
    $c_Lcom_metastay_monitorapp_data_CreateFlowForm$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_CreateFlowForm$__fromDynamic__Lcom_metastay_monitorapp_data_CreateFlowForm$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_CreateFlowForm(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_CreateFlowForm$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_CreateFlowForm$__from__Lcom_metastay_monitorapp_data_CreateFlowForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_CreateFlowForm(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_CreateFlowForm$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_CreateFlowForm$__schemaInfo__Lcom_metastay_monitorapp_data_CreateFlowForm$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_CreateFlowForm$ = $c_Lcom_metastay_monitorapp_data_CreateFlowForm$
  };
  return $b_Lcom_metastay_monitorapp_data_CreateFlowForm$
}
var $n_Lcom_metastay_monitorapp_data_CreateFlowForm$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_CreateFlowForm$() {
  if ((!$n_Lcom_metastay_monitorapp_data_CreateFlowForm$)) {
    $n_Lcom_metastay_monitorapp_data_CreateFlowForm$ = new ($a_Lcom_metastay_monitorapp_data_CreateFlowForm$())()
  };
  return $n_Lcom_metastay_monitorapp_data_CreateFlowForm$
}
function $s_Lcom_metastay_monitorapp_data_FqFlowName__toJson__Lcom_metastay_monitorapp_data_FqFlowName__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.fqFlowName);
  ret.fqFlowName = s;
  var s$1 = $as_T($this.flowName);
  ret.flowName = s$1;
  return ret
}
function $s_Lcom_metastay_monitorapp_data_FqFlowName__asDynamic__Lcom_metastay_monitorapp_data_FqFlowName__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_FqFlowName = (void 0);
function $a_Lcom_metastay_monitorapp_data_FqFlowName() {
  if ((!$b_Lcom_metastay_monitorapp_data_FqFlowName)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_FqFlowName = (function $c_Lcom_metastay_monitorapp_data_FqFlowName() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var fqFlowName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_FqFlowName$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_FqFlowName$__T($m_Lcom_metastay_monitorapp_data_FqFlowName$()) : $as_T(arg$rest[0]));
      var flowName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_FqFlowName$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_FqFlowName$__T($m_Lcom_metastay_monitorapp_data_FqFlowName$()) : $as_T(arg$rest[1]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "fqFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.fqFlowName = fqFlowName;
      this.flowName = flowName
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_FqFlowName = (function $h_Lcom_metastay_monitorapp_data_FqFlowName() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_FqFlowName.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_FqFlowName.prototype = new $h_Lcom_metastay_monitorapp_data_FqFlowName();
    $c_Lcom_metastay_monitorapp_data_FqFlowName.prototype.constructor = $c_Lcom_metastay_monitorapp_data_FqFlowName;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_FqFlowName.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_FqFlowName__asDynamic__Lcom_metastay_monitorapp_data_FqFlowName__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_FqFlowName.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_FqFlowName__toJson__Lcom_metastay_monitorapp_data_FqFlowName__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_FqFlowName = $c_Lcom_metastay_monitorapp_data_FqFlowName
  };
  return $b_Lcom_metastay_monitorapp_data_FqFlowName
}
function $s_Lcom_metastay_monitorapp_data_FqFlowName$__schemaInfo__Lcom_metastay_monitorapp_data_FqFlowName$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"FqFlowName\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"fqFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"flowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"fqFlowName\" , \"flowName\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_FqFlowName$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_FqFlowName$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_FqFlowName$__createNew__Lcom_metastay_monitorapp_data_FqFlowName$__Lcom_metastay_monitorapp_data_FqFlowName($this) {
  return new ($a_Lcom_metastay_monitorapp_data_FqFlowName())()
}
function $s_Lcom_metastay_monitorapp_data_FqFlowName$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_FqFlowName$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_FqFlowName$__from__Lcom_metastay_monitorapp_data_FqFlowName$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_FqFlowName($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_FqFlowName$__fromDynamic__Lcom_metastay_monitorapp_data_FqFlowName$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_FqFlowName($this, json) {
  var v = json.fqFlowName;
  if (((v === (void 0)) || (json.fqFlowName === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.fqFlowName)
  };
  var v$1 = json.flowName;
  return new ($a_Lcom_metastay_monitorapp_data_FqFlowName())(jsx$1, (((v$1 === (void 0)) || (json.flowName === null)) ? null : $as_T(json.flowName)))
}
var $b_Lcom_metastay_monitorapp_data_FqFlowName$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_FqFlowName$() {
  if ((!$b_Lcom_metastay_monitorapp_data_FqFlowName$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_FqFlowName$ = (function $c_Lcom_metastay_monitorapp_data_FqFlowName$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_FqFlowName$ = (function $h_Lcom_metastay_monitorapp_data_FqFlowName$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_FqFlowName$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_FqFlowName$.prototype = new $h_Lcom_metastay_monitorapp_data_FqFlowName$();
    $c_Lcom_metastay_monitorapp_data_FqFlowName$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_FqFlowName$;
    $c_Lcom_metastay_monitorapp_data_FqFlowName$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_FqFlowName$__createNew__Lcom_metastay_monitorapp_data_FqFlowName$__Lcom_metastay_monitorapp_data_FqFlowName(this)
    });
    $c_Lcom_metastay_monitorapp_data_FqFlowName$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_FqFlowName$__fromDynamic__Lcom_metastay_monitorapp_data_FqFlowName$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_FqFlowName(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_FqFlowName$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_FqFlowName$__from__Lcom_metastay_monitorapp_data_FqFlowName$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_FqFlowName(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_FqFlowName$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_FqFlowName$__schemaInfo__Lcom_metastay_monitorapp_data_FqFlowName$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_FqFlowName$ = $c_Lcom_metastay_monitorapp_data_FqFlowName$
  };
  return $b_Lcom_metastay_monitorapp_data_FqFlowName$
}
var $n_Lcom_metastay_monitorapp_data_FqFlowName$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_FqFlowName$() {
  if ((!$n_Lcom_metastay_monitorapp_data_FqFlowName$)) {
    $n_Lcom_metastay_monitorapp_data_FqFlowName$ = new ($a_Lcom_metastay_monitorapp_data_FqFlowName$())()
  };
  return $n_Lcom_metastay_monitorapp_data_FqFlowName$
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid__toJson__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.teamCode);
  ret.teamCode = s;
  var s$1 = $as_T($this.fqFlowName);
  ret.fqFlowName = s$1;
  var s$2 = $as_T($this.taskName);
  ret.taskName = s$2;
  var value = $uI($this.readyCount);
  ret.readyCount = value;
  var value$1 = $uI($this.allocatedCount);
  ret.allocatedCount = value$1;
  var value$2 = $uI($this.startedCount);
  ret.startedCount = value$2;
  var value$3 = $uI($this.errorCount);
  ret.errorCount = value$3;
  var value$4 = $uI($this.completedCount);
  ret.completedCount = value$4;
  return ret
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid__asDynamic__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid = (function $c_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var teamCode = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$()) : $as_T(arg$rest[0]));
      var fqFlowName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$()) : $as_T(arg$rest[1]));
      var taskName = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$()) : $as_T(arg$rest[2]));
      var readyCount = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__I($m_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$()) : $uI(arg$rest[3]));
      var allocatedCount = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__I($m_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$()) : $uI(arg$rest[4]));
      var startedCount = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__I($m_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$()) : $uI(arg$rest[5]));
      var errorCount = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__I($m_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$()) : $uI(arg$rest[6]));
      var completedCount = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__I($m_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$()) : $uI(arg$rest[7]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fqFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "readyCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "allocatedCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "startedCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "errorCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "completedCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      this.teamCode = teamCode;
      this.fqFlowName = fqFlowName;
      this.taskName = taskName;
      this.readyCount = readyCount;
      this.allocatedCount = allocatedCount;
      this.startedCount = startedCount;
      this.errorCount = errorCount;
      this.completedCount = completedCount
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid = (function $h_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid();
    $c_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid__asDynamic__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid__toJson__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid = $c_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid($this, json) {
  var v = json.teamCode;
  if (((v === (void 0)) || (json.teamCode === null))) {
    var jsx$7 = null
  } else {
    var jsx$7 = $as_T(json.teamCode)
  };
  var v$1 = json.fqFlowName;
  if (((v$1 === (void 0)) || (json.fqFlowName === null))) {
    var jsx$6 = null
  } else {
    var jsx$6 = $as_T(json.fqFlowName)
  };
  var v$2 = json.taskName;
  if (((v$2 === (void 0)) || (json.taskName === null))) {
    var jsx$5 = null
  } else {
    var jsx$5 = $as_T(json.taskName)
  };
  var v$3 = json.readyCount;
  if (((v$3 === (void 0)) || (json.readyCount === null))) {
    var jsx$4 = 0
  } else {
    var jsx$4 = $uI(json.readyCount)
  };
  var v$4 = json.allocatedCount;
  if (((v$4 === (void 0)) || (json.allocatedCount === null))) {
    var jsx$3 = 0
  } else {
    var jsx$3 = $uI(json.allocatedCount)
  };
  var v$5 = json.startedCount;
  if (((v$5 === (void 0)) || (json.startedCount === null))) {
    var jsx$2 = 0
  } else {
    var jsx$2 = $uI(json.startedCount)
  };
  var v$6 = json.errorCount;
  if (((v$6 === (void 0)) || (json.errorCount === null))) {
    var jsx$1 = 0
  } else {
    var jsx$1 = $uI(json.errorCount)
  };
  var v$7 = json.completedCount;
  return new ($a_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid())(jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, (((v$7 === (void 0)) || (json.completedCount === null)) ? 0 : $uI(json.completedCount)))
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__from__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__createNew__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorDashboardTaskGrid\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"fqFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"taskName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"actionId\" : \"searchErrorTasks\", \"formatter\" : \"MonitorUtil.taskNameWithErrorCount\"} \n        }\n     ,\n\"readyCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": { \"title\":\"#Ready\",\"actionId\" : \"searchReadyTasks\", \"formatter\" : \"MonitorUtil.taskReadyCount\"} \n        }\n     ,\n\"allocatedCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": { \"title\":\"#Allocated\",\"actionId\" : \"searchAllocatedTasks\", \"formatter\" : \"MonitorUtil.taskAllocatedCount\"} \n        }\n     ,\n\"startedCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": { \"title\":\"#Started\",\"actionId\" : \"searchStartedTasks\", \"formatter\" : \"MonitorUtil.taskStartedCount\"} \n        }\n     ,\n\"errorCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"completedCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": { \"title\":\"#Completed\",\"actionId\" : \"searchCompletedTasks\", \"formatter\" : \"MonitorUtil.taskCompletedCount\"} \n        }\n     \n },\n \"required\": [   \"teamCode\" , \"fqFlowName\" , \"taskName\" , \"readyCount\" , \"allocatedCount\" , \"startedCount\" , \"errorCount\" , \"completedCount\" ]\n }\n      "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__T($this)])))
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__T($this) {
  return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\"visible\" : false"])).s__sc_Seq__T($m_sci_Nil$())
}
var $b_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$ = (function $c_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$ = (function $h_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$();
    $c_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$;
    $c_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__createNew__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__from__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$ = $c_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$
}
var $n_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$ = new ($a_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid__toJson__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.teamCode);
  ret.teamCode = s;
  var s$1 = $as_T($this.fqFlowName);
  ret.fqFlowName = s$1;
  var s$2 = $as_T($this.userName);
  ret.userName = s$2;
  var value = $uZ($this.isActive);
  ret.isActive = value;
  var value$1 = $uI($this.allocatedCount);
  ret.allocatedCount = value$1;
  var value$2 = $uI($this.startedCount);
  ret.startedCount = value$2;
  var value$3 = $uI($this.completedCount);
  ret.completedCount = value$3;
  return ret
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid__asDynamic__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid = (function $c_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var teamCode = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$()) : $as_T(arg$rest[0]));
      var fqFlowName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$()) : $as_T(arg$rest[1]));
      var userName = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$()) : $as_T(arg$rest[2]));
      var isActive = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__Z($m_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$()) : $uZ(arg$rest[3]));
      var allocatedCount = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__I($m_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$()) : $uI(arg$rest[4]));
      var startedCount = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__I($m_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$()) : $uI(arg$rest[5]));
      var completedCount = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__I($m_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$()) : $uI(arg$rest[6]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fqFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "isActive", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": false
      });
      $g.Object.defineProperty(this, "allocatedCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "startedCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "completedCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      this.teamCode = teamCode;
      this.fqFlowName = fqFlowName;
      this.userName = userName;
      this.isActive = isActive;
      this.allocatedCount = allocatedCount;
      this.startedCount = startedCount;
      this.completedCount = completedCount
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid = (function $h_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid();
    $c_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid__asDynamic__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid__toJson__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid = $c_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__from__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorDashboardUserGrid\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"fqFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\": \"/user/:userName\", \"width\" : \"30%\"} \n        }\n     ,\n\"isActive\": {\n    \"type\": \"Boolean\" \n   \n   , \"extra\": {\"formatter\" : \"MonitorUtil.userNameWithActive\"} \n        }\n     ,\n\"allocatedCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": { \"title\":\"#Allocated\",\"actionId\" : \"searchAllocatedTasks\", \"formatter\" : \"MonitorUtil.userAllocatedCount\"} \n        }\n     ,\n\"startedCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": { \"title\":\"#Started\",\"actionId\" : \"searchStartedTasks\", \"formatter\" : \"MonitorUtil.userStartedCount\"} \n        }\n     ,\n\"completedCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": { \"title\":\"#Completed\",\"actionId\" : \"searchCompletedTasks\", \"formatter\" : \"MonitorUtil.userCompletedCount\"} \n        }\n     \n },\n \"required\": [   \"teamCode\" , \"fqFlowName\" , \"userName\" , \"isActive\" , \"allocatedCount\" , \"startedCount\" , \"completedCount\" ]\n }\n      "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__T($this)])))
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__T($this) {
  return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\"visible\" : false"])).s__sc_Seq__T($m_sci_Nil$())
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__createNew__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__Z($this) {
  return false
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid($this, json) {
  var v = json.teamCode;
  if (((v === (void 0)) || (json.teamCode === null))) {
    var jsx$6 = null
  } else {
    var jsx$6 = $as_T(json.teamCode)
  };
  var v$1 = json.fqFlowName;
  if (((v$1 === (void 0)) || (json.fqFlowName === null))) {
    var jsx$5 = null
  } else {
    var jsx$5 = $as_T(json.fqFlowName)
  };
  var v$2 = json.userName;
  if (((v$2 === (void 0)) || (json.userName === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.userName)
  };
  var v$3 = json.isActive;
  if ((!((v$3 === (void 0)) || (json.isActive === null)))) {
    var jsx$3 = $uZ(json.isActive)
  } else {
    var jsx$3 = false
  };
  var v$4 = json.allocatedCount;
  if (((v$4 === (void 0)) || (json.allocatedCount === null))) {
    var jsx$2 = 0
  } else {
    var jsx$2 = $uI(json.allocatedCount)
  };
  var v$5 = json.startedCount;
  if (((v$5 === (void 0)) || (json.startedCount === null))) {
    var jsx$1 = 0
  } else {
    var jsx$1 = $uI(json.startedCount)
  };
  var v$6 = json.completedCount;
  return new ($a_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid())(jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, (((v$6 === (void 0)) || (json.completedCount === null)) ? 0 : $uI(json.completedCount)))
}
function $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__T($this) {
  return null
}
var $b_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$ = (function $c_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$ = (function $h_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$();
    $c_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$;
    $c_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__createNew__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__from__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$ = $c_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$
}
var $n_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$ = new ($a_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$
}
function $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive__toJson__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.flowId);
  ret.flowId = s;
  var s$1 = $as_T($this.displayId);
  ret.displayId = s$1;
  var s$2 = $as_T($this.cid);
  ret.cid = s$2;
  var s$3 = $as_T($this.teamCode);
  ret.teamCode = s$3;
  var s$4 = $as_T($this.netName);
  ret.netName = s$4;
  var s$5 = $as_T($this.flowState);
  ret.flowState = s$5;
  var s$6 = $as_T($this.fqFlowName);
  ret.fqFlowName = s$6;
  var s$7 = $as_T($this.flowName);
  ret.flowName = s$7;
  var value = $uI($this.priority);
  ret.priority = value;
  var s$8 = $as_T($this.createdTime.toISOString());
  ret.createdTime = s$8;
  var value$1 = $this.source;
  if ((value$1 !== (void 0))) {
    var value$2 = $this.source;
    if ((value$2 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$9 = $as_T(value$2);
    ret.source = s$9
  };
  return ret
}
function $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive__asDynamic__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive = (function $c_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var flowId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($m_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$()) : $as_T(arg$rest[0]));
      var displayId = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($m_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$()) : $as_T(arg$rest[1]));
      var cid = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($m_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$()) : $as_T(arg$rest[2]));
      var teamCode = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($m_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$()) : $as_T(arg$rest[3]));
      var netName = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($m_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$()) : $as_T(arg$rest[4]));
      var flowState = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($m_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$()) : $as_T(arg$rest[5]));
      var fqFlowName = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($m_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$()) : $as_T(arg$rest[6]));
      var flowName = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($m_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$()) : $as_T(arg$rest[7]));
      var priority = ((arg$rest[8] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__I($m_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$()) : $uI(arg$rest[8]));
      var createdTime = ((arg$rest[9] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$10__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__sjs_js_Date($m_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$()) : arg$rest[9]);
      var source = ((arg$rest[10] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$11__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$()) : arg$rest[10]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "flowId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "displayId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "cid", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "netName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowState", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fqFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "priority", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "createdTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "source", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.flowId = flowId;
      this.displayId = displayId;
      this.cid = cid;
      this.teamCode = teamCode;
      this.netName = netName;
      this.flowState = flowState;
      this.fqFlowName = fqFlowName;
      this.flowName = flowName;
      this.priority = priority;
      this.createdTime = createdTime;
      this.source = source
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive = (function $h_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive();
    $c_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive__asDynamic__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive__toJson__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive = $c_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive
}
function $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$10__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorEarliestFlowActive\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"flowId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"displayId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"title\":\"Name\", \"link\": \"flow/:flowId\", \"width\" : \"30%\"} \n        }\n     ,\n\"cid\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"title\":\"ID\"} \n        }\n     ,\n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"netName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"formatter\" : \"MonitorUtil.netName\" } \n        }\n     ,\n\"flowState\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"fqFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"flowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"priority\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {\"width\" : \"5%\"} \n        }\n     ,\n\"createdTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {\"formatter\" : \"Util.fromNow\"} \n        }\n     ,\n\"source\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     \n },\n \"required\": [   \"flowId\" , \"displayId\" , \"cid\" , \"teamCode\" , \"netName\" , \"flowState\" , \"fqFlowName\" , \"flowName\" , \"priority\" , \"createdTime\" ]\n }\n      "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($this)])))
}
function $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($this) {
  return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\"visible\" : false"])).s__sc_Seq__T($m_sci_Nil$())
}
function $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive($this, json) {
  var v = json.flowId;
  if (((v === (void 0)) || (json.flowId === null))) {
    var jsx$10 = null
  } else {
    var jsx$10 = $as_T(json.flowId)
  };
  var v$1 = json.displayId;
  if (((v$1 === (void 0)) || (json.displayId === null))) {
    var jsx$9 = null
  } else {
    var jsx$9 = $as_T(json.displayId)
  };
  var v$2 = json.cid;
  if (((v$2 === (void 0)) || (json.cid === null))) {
    var jsx$8 = null
  } else {
    var jsx$8 = $as_T(json.cid)
  };
  var v$3 = json.teamCode;
  if (((v$3 === (void 0)) || (json.teamCode === null))) {
    var jsx$7 = null
  } else {
    var jsx$7 = $as_T(json.teamCode)
  };
  var v$4 = json.netName;
  if (((v$4 === (void 0)) || (json.netName === null))) {
    var jsx$6 = null
  } else {
    var jsx$6 = $as_T(json.netName)
  };
  var v$5 = json.flowState;
  if (((v$5 === (void 0)) || (json.flowState === null))) {
    var jsx$5 = null
  } else {
    var jsx$5 = $as_T(json.flowState)
  };
  var v$6 = json.fqFlowName;
  if (((v$6 === (void 0)) || (json.fqFlowName === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.fqFlowName)
  };
  var v$7 = json.flowName;
  if (((v$7 === (void 0)) || (json.flowName === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.flowName)
  };
  var v$8 = json.priority;
  if (((v$8 === (void 0)) || (json.priority === null))) {
    var jsx$2 = 0
  } else {
    var jsx$2 = $uI(json.priority)
  };
  var v$9 = json.createdTime;
  if (((v$9 === (void 0)) || (json.createdTime === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = new $g.Date($as_T(json.createdTime))
  };
  var v$10 = json.source;
  return new ($a_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive())(jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, (((v$10 === (void 0)) || (json.source === null)) ? (void 0) : json.source))
}
function $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$11__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__createNew__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__from__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__T($this) {
  return null
}
var $b_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$ = (function $c_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$ = (function $h_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$();
    $c_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$;
    $c_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__createNew__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__from__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$ = $c_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$
}
var $n_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$ = new ($a_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary__toJson__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.teamCode);
  ret.teamCode = s;
  var s$1 = $as_T($this.fqFlowName);
  ret.fqFlowName = s$1;
  var s$2 = $as_T($this.flowName);
  ret.flowName = s$2;
  var value = $uI($this.createdTodayCount);
  ret.createdTodayCount = value;
  var value$1 = $uI($this.activeCount);
  ret.activeCount = value$1;
  var value$2 = $uI($this.errorCount);
  ret.errorCount = value$2;
  var value$3 = $uI($this.completedTodayCount);
  ret.completedTodayCount = value$3;
  var array = $this.taskList;
  var array$1 = [];
  $uI(array.length);
  var i = 0;
  var len = $uI(array.length);
  while ((i < len)) {
    var index = i;
    var arg1 = array[index];
    var elem = arg1.toJson;
    array$1.push(elem);
    i = ((1 + i) | 0)
  };
  ret.taskList = array$1;
  return ret
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary__asDynamic__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary = (function $c_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var teamCode = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$()) : $as_T(arg$rest[0]));
      var fqFlowName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$()) : $as_T(arg$rest[1]));
      var flowName = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$()) : $as_T(arg$rest[2]));
      var createdTodayCount = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__I($m_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$()) : $uI(arg$rest[3]));
      var activeCount = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__I($m_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$()) : $uI(arg$rest[4]));
      var errorCount = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__I($m_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$()) : $uI(arg$rest[5]));
      var completedTodayCount = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__I($m_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$()) : $uI(arg$rest[6]));
      var taskList = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$()) : arg$rest[7]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fqFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "createdTodayCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "activeCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "errorCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "completedTodayCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "taskList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.teamCode = teamCode;
      this.fqFlowName = fqFlowName;
      this.flowName = flowName;
      this.createdTodayCount = createdTodayCount;
      this.activeCount = activeCount;
      this.errorCount = errorCount;
      this.completedTodayCount = completedTodayCount;
      this.taskList = taskList
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary = (function $h_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary();
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary__asDynamic__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary__toJson__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary = $c_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary($this, json) {
  var v = json.teamCode;
  if (((v === (void 0)) || (json.teamCode === null))) {
    var jsx$8 = null
  } else {
    var jsx$8 = $as_T(json.teamCode)
  };
  var v$1 = json.fqFlowName;
  if (((v$1 === (void 0)) || (json.fqFlowName === null))) {
    var jsx$7 = null
  } else {
    var jsx$7 = $as_T(json.fqFlowName)
  };
  var v$2 = json.flowName;
  if (((v$2 === (void 0)) || (json.flowName === null))) {
    var jsx$6 = null
  } else {
    var jsx$6 = $as_T(json.flowName)
  };
  var v$3 = json.createdTodayCount;
  if (((v$3 === (void 0)) || (json.createdTodayCount === null))) {
    var jsx$5 = 0
  } else {
    var jsx$5 = $uI(json.createdTodayCount)
  };
  var v$4 = json.activeCount;
  if (((v$4 === (void 0)) || (json.activeCount === null))) {
    var jsx$4 = 0
  } else {
    var jsx$4 = $uI(json.activeCount)
  };
  var v$5 = json.errorCount;
  if (((v$5 === (void 0)) || (json.errorCount === null))) {
    var jsx$3 = 0
  } else {
    var jsx$3 = $uI(json.errorCount)
  };
  var v$6 = json.completedTodayCount;
  if (((v$6 === (void 0)) || (json.completedTodayCount === null))) {
    var jsx$2 = 0
  } else {
    var jsx$2 = $uI(json.completedTodayCount)
  };
  var v$7 = json.taskList;
  if (((v$7 === (void 0)) || (json.taskList === null))) {
    var jsx$1 = []
  } else {
    var array = json.taskList;
    var array$1 = [];
    $uI(array.length);
    var i = 0;
    var len = $uI(array.length);
    while ((i < len)) {
      var index = i;
      var arg1 = array[index];
      var elem = $m_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$().fromDynamic(arg1);
      array$1.push(elem);
      i = ((1 + i) | 0)
    };
    var jsx$1 = array$1
  };
  return new ($a_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary())(jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1)
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__createNew__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorFlowDashboardSummary\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"fqFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"flowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"createdTodayCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"activeCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"errorCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"completedTodayCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"taskList\": {\n    \"type\": \"Array_com.metastay.monitorapp.data.MonitorDashboardTaskGrid\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"teamCode\" , \"fqFlowName\" , \"flowName\" , \"createdTodayCount\" , \"activeCount\" , \"errorCount\" , \"completedTodayCount\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__from__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
var $b_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$ = (function $c_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$ = (function $h_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$();
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$;
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__createNew__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__from__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$ = $c_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$
}
var $n_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$ = new ($a_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails__toJson__Lcom_metastay_monitorapp_data_MonitorFlowDetails__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.teamCode);
  ret.teamCode = s;
  var s$1 = $as_T($this.fqFlowName);
  ret.fqFlowName = s$1;
  var s$2 = $as_T($this.flowName);
  ret.flowName = s$2;
  var s$3 = $as_T($this.netName);
  ret.netName = s$3;
  var s$4 = $as_T($this.cid);
  ret.cid = s$4;
  var s$5 = $as_T($this.displayId);
  ret.displayId = s$5;
  var value = $uI($this.priority);
  ret.priority = value;
  var value$1 = $this.startedTime;
  if ((value$1 !== (void 0))) {
    var value$2 = $this.startedTime;
    if ((value$2 === (void 0))) {
      var jsx$1;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$1 = value$2
    };
    ret.startedTime = jsx$1
  };
  var s$6 = $as_T($this.createdTime.toISOString());
  ret.createdTime = s$6;
  var s$7 = $as_T($this.lastUpdatedTime.toISOString());
  ret.lastUpdatedTime = s$7;
  var s$8 = $as_T($this.flowState);
  ret.flowState = s$8;
  var value$3 = $uI($this.readyCount);
  ret.readyCount = value$3;
  var value$4 = $uI($this.allocatedCount);
  ret.allocatedCount = value$4;
  var value$5 = $uI($this.startedCount);
  ret.startedCount = value$5;
  var value$6 = $uI($this.completedCount);
  ret.completedCount = value$6;
  var s$9 = $as_T($this.documentData);
  ret.documentData = s$9;
  var array = $this.taskList;
  var array$1 = [];
  $uI(array.length);
  var i = 0;
  var len = $uI(array.length);
  while ((i < len)) {
    var index = i;
    var arg1 = array[index];
    var elem = arg1.toJson;
    array$1.push(elem);
    i = ((1 + i) | 0)
  };
  ret.taskList = array$1;
  var value$7 = $this.source;
  if ((value$7 !== (void 0))) {
    var value$8 = $this.source;
    if ((value$8 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$10 = $as_T(value$8);
    ret.source = s$10
  };
  var value$9 = $this.linkedFlowId;
  if ((value$9 !== (void 0))) {
    var value$10 = $this.linkedFlowId;
    if ((value$10 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$11 = $as_T(value$10);
    ret.linkedFlowId = s$11
  };
  var value$11 = $this.parentTaskId;
  if ((value$11 !== (void 0))) {
    var value$12 = $this.parentTaskId;
    if ((value$12 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$12 = $as_T(value$12);
    ret.parentTaskId = s$12
  };
  return ret
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails__asDynamic__Lcom_metastay_monitorapp_data_MonitorFlowDetails__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_MonitorFlowDetails = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorFlowDetails() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorFlowDetails)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorFlowDetails = (function $c_Lcom_metastay_monitorapp_data_MonitorFlowDetails() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var teamCode = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$()) : $as_T(arg$rest[0]));
      var fqFlowName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$()) : $as_T(arg$rest[1]));
      var flowName = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$()) : $as_T(arg$rest[2]));
      var netName = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$()) : $as_T(arg$rest[3]));
      var cid = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$()) : $as_T(arg$rest[4]));
      var displayId = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$()) : $as_T(arg$rest[5]));
      var priority = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__I($m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$()) : $uI(arg$rest[6]));
      var startedTime = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$()) : arg$rest[7]);
      var createdTime = ((arg$rest[8] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__sjs_js_Date($m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$()) : arg$rest[8]);
      var lastUpdatedTime = ((arg$rest[9] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$10__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__sjs_js_Date($m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$()) : arg$rest[9]);
      var flowState = ((arg$rest[10] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$11__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$()) : $as_T(arg$rest[10]));
      var readyCount = ((arg$rest[11] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$12__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__I($m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$()) : $uI(arg$rest[11]));
      var allocatedCount = ((arg$rest[12] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$13__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__I($m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$()) : $uI(arg$rest[12]));
      var startedCount = ((arg$rest[13] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$14__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__I($m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$()) : $uI(arg$rest[13]));
      var completedCount = ((arg$rest[14] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$15__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__I($m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$()) : $uI(arg$rest[14]));
      var documentData = ((arg$rest[15] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$16__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$()) : $as_T(arg$rest[15]));
      var taskList = ((arg$rest[16] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$17__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$()) : arg$rest[16]);
      var source = ((arg$rest[17] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$18__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$()) : arg$rest[17]);
      var linkedFlowId = ((arg$rest[18] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$19__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$()) : arg$rest[18]);
      var parentTaskId = ((arg$rest[19] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$20__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$()) : arg$rest[19]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fqFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "netName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "cid", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "displayId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "priority", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "startedTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "createdTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "lastUpdatedTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowState", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "readyCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "allocatedCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "startedCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "completedCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "documentData", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "source", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "linkedFlowId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "parentTaskId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.teamCode = teamCode;
      this.fqFlowName = fqFlowName;
      this.flowName = flowName;
      this.netName = netName;
      this.cid = cid;
      this.displayId = displayId;
      this.priority = priority;
      this.startedTime = startedTime;
      this.createdTime = createdTime;
      this.lastUpdatedTime = lastUpdatedTime;
      this.flowState = flowState;
      this.readyCount = readyCount;
      this.allocatedCount = allocatedCount;
      this.startedCount = startedCount;
      this.completedCount = completedCount;
      this.documentData = documentData;
      this.taskList = taskList;
      this.source = source;
      this.linkedFlowId = linkedFlowId;
      this.parentTaskId = parentTaskId
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorFlowDetails = (function $h_Lcom_metastay_monitorapp_data_MonitorFlowDetails() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorFlowDetails.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDetails.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorFlowDetails();
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDetails.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorFlowDetails;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorFlowDetails.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails__asDynamic__Lcom_metastay_monitorapp_data_MonitorFlowDetails__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorFlowDetails.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails__toJson__Lcom_metastay_monitorapp_data_MonitorFlowDetails__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorFlowDetails = $c_Lcom_metastay_monitorapp_data_MonitorFlowDetails
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorFlowDetails
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$18__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$10__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__createNew__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__Lcom_metastay_monitorapp_data_MonitorFlowDetails($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorFlowDetails())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorFlowDetails\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"fqFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"flowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"netName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"cid\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"displayId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"priority\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"startedTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"createdTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"lastUpdatedTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"flowState\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"readyCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"allocatedCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"startedCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"completedCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"documentData\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"taskList\": {\n    \"type\": \"Array_com.metastay.monitorapp.data.MonitorFlowDetailsTaskGrid\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"source\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"linkedFlowId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"parentTaskId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"teamCode\" , \"fqFlowName\" , \"flowName\" , \"netName\" , \"cid\" , \"displayId\" , \"priority\" , \"createdTime\" , \"lastUpdatedTime\" , \"flowState\" , \"readyCount\" , \"allocatedCount\" , \"startedCount\" , \"completedCount\" , \"documentData\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$20__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$11__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$14__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$12__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorFlowDetails($this, json) {
  var v = json.teamCode;
  if (((v === (void 0)) || (json.teamCode === null))) {
    var jsx$19 = null
  } else {
    var jsx$19 = $as_T(json.teamCode)
  };
  var v$1 = json.fqFlowName;
  if (((v$1 === (void 0)) || (json.fqFlowName === null))) {
    var jsx$18 = null
  } else {
    var jsx$18 = $as_T(json.fqFlowName)
  };
  var v$2 = json.flowName;
  if (((v$2 === (void 0)) || (json.flowName === null))) {
    var jsx$17 = null
  } else {
    var jsx$17 = $as_T(json.flowName)
  };
  var v$3 = json.netName;
  if (((v$3 === (void 0)) || (json.netName === null))) {
    var jsx$16 = null
  } else {
    var jsx$16 = $as_T(json.netName)
  };
  var v$4 = json.cid;
  if (((v$4 === (void 0)) || (json.cid === null))) {
    var jsx$15 = null
  } else {
    var jsx$15 = $as_T(json.cid)
  };
  var v$5 = json.displayId;
  if (((v$5 === (void 0)) || (json.displayId === null))) {
    var jsx$14 = null
  } else {
    var jsx$14 = $as_T(json.displayId)
  };
  var v$6 = json.priority;
  if (((v$6 === (void 0)) || (json.priority === null))) {
    var jsx$13 = 0
  } else {
    var jsx$13 = $uI(json.priority)
  };
  var v$7 = json.startedTime;
  if (((v$7 === (void 0)) || (json.startedTime === null))) {
    var jsx$12 = (void 0)
  } else {
    var opt$1 = new $c_s_Some().init___O(new $g.Date($as_T(json.startedTime)));
    var arg1 = opt$1.x$2;
    var jsx$12 = arg1
  };
  var v$8 = json.createdTime;
  if (((v$8 === (void 0)) || (json.createdTime === null))) {
    var jsx$11 = null
  } else {
    var jsx$11 = new $g.Date($as_T(json.createdTime))
  };
  var v$9 = json.lastUpdatedTime;
  if (((v$9 === (void 0)) || (json.lastUpdatedTime === null))) {
    var jsx$10 = null
  } else {
    var jsx$10 = new $g.Date($as_T(json.lastUpdatedTime))
  };
  var v$10 = json.flowState;
  if (((v$10 === (void 0)) || (json.flowState === null))) {
    var jsx$9 = null
  } else {
    var jsx$9 = $as_T(json.flowState)
  };
  var v$11 = json.readyCount;
  if (((v$11 === (void 0)) || (json.readyCount === null))) {
    var jsx$8 = 0
  } else {
    var jsx$8 = $uI(json.readyCount)
  };
  var v$12 = json.allocatedCount;
  if (((v$12 === (void 0)) || (json.allocatedCount === null))) {
    var jsx$7 = 0
  } else {
    var jsx$7 = $uI(json.allocatedCount)
  };
  var v$13 = json.startedCount;
  if (((v$13 === (void 0)) || (json.startedCount === null))) {
    var jsx$6 = 0
  } else {
    var jsx$6 = $uI(json.startedCount)
  };
  var v$14 = json.completedCount;
  if (((v$14 === (void 0)) || (json.completedCount === null))) {
    var jsx$5 = 0
  } else {
    var jsx$5 = $uI(json.completedCount)
  };
  var v$15 = json.documentData;
  if (((v$15 === (void 0)) || (json.documentData === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.documentData)
  };
  var v$16 = json.taskList;
  if (((v$16 === (void 0)) || (json.taskList === null))) {
    var jsx$3 = []
  } else {
    var array = json.taskList;
    var array$1 = [];
    $uI(array.length);
    var i = 0;
    var len = $uI(array.length);
    while ((i < len)) {
      var index = i;
      var arg1$1 = array[index];
      var elem = $m_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$().fromDynamic(arg1$1);
      array$1.push(elem);
      i = ((1 + i) | 0)
    };
    var jsx$3 = array$1
  };
  var v$17 = json.source;
  if (((v$17 === (void 0)) || (json.source === null))) {
    var jsx$2 = (void 0)
  } else {
    var jsx$2 = json.source
  };
  var v$18 = json.linkedFlowId;
  if (((v$18 === (void 0)) || (json.linkedFlowId === null))) {
    var jsx$1 = (void 0)
  } else {
    var jsx$1 = json.linkedFlowId
  };
  var v$19 = json.parentTaskId;
  return new ($a_Lcom_metastay_monitorapp_data_MonitorFlowDetails())(jsx$19, jsx$18, jsx$17, jsx$16, jsx$15, jsx$14, jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, (((v$19 === (void 0)) || (json.parentTaskId === null)) ? (void 0) : json.parentTaskId))
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$19__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$17__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__from__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorFlowDetails($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$16__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$15__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__$$lessinit$greater$default$13__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__I($this) {
  return 0
}
var $b_Lcom_metastay_monitorapp_data_MonitorFlowDetails$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorFlowDetails$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorFlowDetails$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorFlowDetails$ = (function $c_Lcom_metastay_monitorapp_data_MonitorFlowDetails$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorFlowDetails$ = (function $h_Lcom_metastay_monitorapp_data_MonitorFlowDetails$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorFlowDetails$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDetails$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorFlowDetails$();
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDetails$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorFlowDetails$;
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDetails$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__createNew__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__Lcom_metastay_monitorapp_data_MonitorFlowDetails(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDetails$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorFlowDetails(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDetails$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__from__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorFlowDetails(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDetails$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowDetails$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorFlowDetails$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorFlowDetails$ = $c_Lcom_metastay_monitorapp_data_MonitorFlowDetails$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorFlowDetails$
}
var $n_Lcom_metastay_monitorapp_data_MonitorFlowDetails$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorFlowDetails$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorFlowDetails$ = new ($a_Lcom_metastay_monitorapp_data_MonitorFlowDetails$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorFlowDetails$
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid__toJson__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.taskId);
  ret.taskId = s;
  var s$1 = $as_T($this.taskName);
  ret.taskName = s$1;
  var s$2 = $as_T($this.taskState);
  ret.taskState = s$2;
  var value = $this.allocatedTo;
  if ((value !== (void 0))) {
    var value$1 = $this.allocatedTo;
    if ((value$1 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$3 = $as_T(value$1);
    ret.allocatedTo = s$3
  };
  var s$4 = $as_T($this.readyTime.toISOString());
  ret.readyTime = s$4;
  var value$2 = $this.allocatedTime;
  if ((value$2 !== (void 0))) {
    var value$3 = $this.allocatedTime;
    if ((value$3 === (void 0))) {
      var jsx$1;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$1 = value$3
    };
    ret.allocatedTime = jsx$1
  };
  var value$4 = $this.startedTime;
  if ((value$4 !== (void 0))) {
    var value$5 = $this.startedTime;
    if ((value$5 === (void 0))) {
      var jsx$2;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$2 = value$5
    };
    ret.startedTime = jsx$2
  };
  var value$6 = $this.endTime;
  if ((value$6 !== (void 0))) {
    var value$7 = $this.endTime;
    if ((value$7 === (void 0))) {
      var jsx$3;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$3 = value$7
    };
    ret.endTime = jsx$3
  };
  return ret
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid__asDynamic__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid = (function $c_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var taskId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$()) : $as_T(arg$rest[0]));
      var taskName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$()) : $as_T(arg$rest[1]));
      var taskState = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$()) : $as_T(arg$rest[2]));
      var allocatedTo = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$()) : arg$rest[3]);
      var readyTime = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__sjs_js_Date($m_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$()) : arg$rest[4]);
      var allocatedTime = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$()) : arg$rest[5]);
      var startedTime = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$()) : arg$rest[6]);
      var endTime = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$()) : arg$rest[7]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "taskId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskState", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "allocatedTo", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "readyTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "allocatedTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "startedTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "endTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.taskId = taskId;
      this.taskName = taskName;
      this.taskState = taskState;
      this.allocatedTo = allocatedTo;
      this.readyTime = readyTime;
      this.allocatedTime = allocatedTime;
      this.startedTime = startedTime;
      this.endTime = endTime
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid = (function $h_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid();
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid__asDynamic__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid__toJson__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid = $c_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__from__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorFlowDetailsTaskGrid\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"taskId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"taskName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"link\": \"task/:taskId\"} \n        }\n     ,\n\"taskState\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"allocatedTo\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"readyTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"allocatedTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"startedTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"endTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"taskId\" , \"taskName\" , \"taskState\" , \"readyTime\" ]\n }\n      "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__T($this)])))
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__createNew__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid($this, json) {
  var v = json.taskId;
  if (((v === (void 0)) || (json.taskId === null))) {
    var jsx$8 = null
  } else {
    var jsx$8 = $as_T(json.taskId)
  };
  var v$1 = json.taskName;
  if (((v$1 === (void 0)) || (json.taskName === null))) {
    var jsx$7 = null
  } else {
    var jsx$7 = $as_T(json.taskName)
  };
  var v$2 = json.taskState;
  if (((v$2 === (void 0)) || (json.taskState === null))) {
    var jsx$6 = null
  } else {
    var jsx$6 = $as_T(json.taskState)
  };
  var v$3 = json.allocatedTo;
  if (((v$3 === (void 0)) || (json.allocatedTo === null))) {
    var jsx$5 = (void 0)
  } else {
    var jsx$5 = json.allocatedTo
  };
  var v$4 = json.readyTime;
  if (((v$4 === (void 0)) || (json.readyTime === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = new $g.Date($as_T(json.readyTime))
  };
  var v$5 = json.allocatedTime;
  if (((v$5 === (void 0)) || (json.allocatedTime === null))) {
    var jsx$3 = (void 0)
  } else {
    var opt$2 = new $c_s_Some().init___O(new $g.Date($as_T(json.allocatedTime)));
    var arg1 = opt$2.x$2;
    var jsx$3 = arg1
  };
  var v$6 = json.startedTime;
  if (((v$6 === (void 0)) || (json.startedTime === null))) {
    var jsx$2 = (void 0)
  } else {
    var opt$4 = new $c_s_Some().init___O(new $g.Date($as_T(json.startedTime)));
    var arg1$1 = opt$4.x$2;
    var jsx$2 = arg1$1
  };
  var v$7 = json.endTime;
  if (((v$7 === (void 0)) || (json.endTime === null))) {
    var jsx$1 = (void 0)
  } else {
    var opt$6 = new $c_s_Some().init___O(new $g.Date($as_T(json.endTime)));
    var arg1$2 = opt$6.x$2;
    var jsx$1 = arg1$2
  };
  return new ($a_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid())(jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1)
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__T($this) {
  return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\"visible\" : false"])).s__sc_Seq__T($m_sci_Nil$())
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__sjs_js_Date($this) {
  return null
}
var $b_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$ = (function $c_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$ = (function $h_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$();
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$;
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__createNew__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__from__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$ = $c_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$
}
var $n_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$ = new ($a_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowError__toJson__Lcom_metastay_monitorapp_data_MonitorFlowError__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.flowId);
  ret.flowId = s;
  var s$1 = $as_T($this.flowState);
  ret.flowState = s$1;
  var value = $this.summary;
  if ((value !== (void 0))) {
    var value$1 = $this.summary;
    if ((value$1 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$2 = $as_T(value$1);
    ret.summary = s$2
  };
  var value$2 = $this.details;
  if ((value$2 !== (void 0))) {
    var value$3 = $this.details;
    if ((value$3 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$3 = $as_T(value$3);
    ret.details = s$3
  };
  var value$4 = $this.documentData;
  if ((value$4 !== (void 0))) {
    var value$5 = $this.documentData;
    if ((value$5 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$4 = $as_T(value$5);
    ret.documentData = s$4
  };
  var coll = $this.constraintList;
  ret.constraintList = coll;
  var s$5 = $as_T($this.errorTime.toISOString());
  ret.errorTime = s$5;
  var s$6 = $as_T($this.errorDate.toISOString());
  ret.errorDate = s$6;
  var value$6 = $this.isHistory;
  if ((value$6 !== (void 0))) {
    var value$7 = $this.isHistory;
    if ((value$7 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var value$8 = $uZ(value$7);
    ret.isHistory = value$8
  };
  return ret
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowError__asDynamic__Lcom_metastay_monitorapp_data_MonitorFlowError__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_MonitorFlowError = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorFlowError() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorFlowError)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorFlowError = (function $c_Lcom_metastay_monitorapp_data_MonitorFlowError() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var flowId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorFlowError$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowError$()) : $as_T(arg$rest[0]));
      var flowState = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorFlowError$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowError$()) : $as_T(arg$rest[1]));
      var summary = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorFlowError$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorFlowError$()) : arg$rest[2]);
      var details = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorFlowError$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorFlowError$()) : arg$rest[3]);
      var documentData = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorFlowError$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorFlowError$()) : arg$rest[4]);
      var constraintList = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorFlowError$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_MonitorFlowError$()) : arg$rest[5]);
      var errorTime = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorFlowError$__sjs_js_Date($m_Lcom_metastay_monitorapp_data_MonitorFlowError$()) : arg$rest[6]);
      var errorDate = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorFlowError$__sjs_js_Date($m_Lcom_metastay_monitorapp_data_MonitorFlowError$()) : arg$rest[7]);
      var isHistory = ((arg$rest[8] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_MonitorFlowError$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorFlowError$()) : arg$rest[8]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "flowId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowState", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "summary", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "details", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "documentData", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "constraintList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "errorTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "errorDate", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "isHistory", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.flowId = flowId;
      this.flowState = flowState;
      this.summary = summary;
      this.details = details;
      this.documentData = documentData;
      this.constraintList = constraintList;
      this.errorTime = errorTime;
      this.errorDate = errorDate;
      this.isHistory = isHistory
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorFlowError = (function $h_Lcom_metastay_monitorapp_data_MonitorFlowError() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorFlowError.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorFlowError.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorFlowError();
    $c_Lcom_metastay_monitorapp_data_MonitorFlowError.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorFlowError;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorFlowError.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorFlowError__asDynamic__Lcom_metastay_monitorapp_data_MonitorFlowError__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorFlowError.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorFlowError__toJson__Lcom_metastay_monitorapp_data_MonitorFlowError__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorFlowError = $c_Lcom_metastay_monitorapp_data_MonitorFlowError
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorFlowError
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorFlowError$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorFlowError$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorFlowError$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowError$__T($this) {
  return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\"visible\" : false"])).s__sc_Seq__T($m_sci_Nil$())
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorFlowError$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorFlowError$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorFlowError\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"flowId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"flowState\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"summary\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"details\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"documentData\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"constraintList\": {\n    \"type\": \"Array_String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"errorTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {\"formatter\" : \"MonitorUtil.updatedTime\"} \n        }\n     ,\n\"errorDate\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"isHistory\": {\n    \"type\": \"Boolean\" \n   \n   , \"extra\": {", "} \n        }\n     \n },\n \"required\": [   \"flowId\" , \"flowState\" , \"errorTime\" , \"errorDate\" ]\n }\n      "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$s_Lcom_metastay_monitorapp_data_MonitorFlowError$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowError$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowError$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowError$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowError$__T($this)])))
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorFlowError$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorFlowError$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__createNew__Lcom_metastay_monitorapp_data_MonitorFlowError$__Lcom_metastay_monitorapp_data_MonitorFlowError($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorFlowError())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorFlowError$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorFlowError($this, json) {
  var v = json.flowId;
  if (((v === (void 0)) || (json.flowId === null))) {
    var jsx$8 = null
  } else {
    var jsx$8 = $as_T(json.flowId)
  };
  var v$1 = json.flowState;
  if (((v$1 === (void 0)) || (json.flowState === null))) {
    var jsx$7 = null
  } else {
    var jsx$7 = $as_T(json.flowState)
  };
  var v$2 = json.summary;
  if (((v$2 === (void 0)) || (json.summary === null))) {
    var jsx$6 = (void 0)
  } else {
    var jsx$6 = json.summary
  };
  var v$3 = json.details;
  if (((v$3 === (void 0)) || (json.details === null))) {
    var jsx$5 = (void 0)
  } else {
    var jsx$5 = json.details
  };
  var v$4 = json.documentData;
  if (((v$4 === (void 0)) || (json.documentData === null))) {
    var jsx$4 = (void 0)
  } else {
    var jsx$4 = json.documentData
  };
  var v$5 = json.constraintList;
  if (((v$5 === (void 0)) || (json.constraintList === null))) {
    var jsx$3 = []
  } else {
    var jsx$3 = json.constraintList
  };
  var v$6 = json.errorTime;
  if (((v$6 === (void 0)) || (json.errorTime === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = new $g.Date($as_T(json.errorTime))
  };
  var v$7 = json.errorDate;
  if (((v$7 === (void 0)) || (json.errorDate === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = new $g.Date($as_T(json.errorDate))
  };
  var v$8 = json.isHistory;
  return new ($a_Lcom_metastay_monitorapp_data_MonitorFlowError())(jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, (((v$8 === (void 0)) || (json.isHistory === null)) ? (void 0) : json.isHistory))
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorFlowError$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__from__Lcom_metastay_monitorapp_data_MonitorFlowError$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorFlowError($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorFlowError$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_MonitorFlowError$__sjs_js_UndefOr($this) {
  return (void 0)
}
var $b_Lcom_metastay_monitorapp_data_MonitorFlowError$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorFlowError$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorFlowError$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorFlowError$ = (function $c_Lcom_metastay_monitorapp_data_MonitorFlowError$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorFlowError$ = (function $h_Lcom_metastay_monitorapp_data_MonitorFlowError$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorFlowError$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorFlowError$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorFlowError$();
    $c_Lcom_metastay_monitorapp_data_MonitorFlowError$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorFlowError$;
    $c_Lcom_metastay_monitorapp_data_MonitorFlowError$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__createNew__Lcom_metastay_monitorapp_data_MonitorFlowError$__Lcom_metastay_monitorapp_data_MonitorFlowError(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorFlowError$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorFlowError$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorFlowError(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorFlowError$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__from__Lcom_metastay_monitorapp_data_MonitorFlowError$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorFlowError(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorFlowError$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowError$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorFlowError$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorFlowError$ = $c_Lcom_metastay_monitorapp_data_MonitorFlowError$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorFlowError$
}
var $n_Lcom_metastay_monitorapp_data_MonitorFlowError$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorFlowError$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorFlowError$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorFlowError$ = new ($a_Lcom_metastay_monitorapp_data_MonitorFlowError$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorFlowError$
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ__toJson__Lcom_metastay_monitorapp_data_MonitorFlowExitQ__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.flowId);
  ret.flowId = s;
  var s$1 = $as_T($this.flowState);
  ret.flowState = s$1;
  var value = $this.summary;
  if ((value !== (void 0))) {
    var value$1 = $this.summary;
    if ((value$1 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$2 = $as_T(value$1);
    ret.summary = s$2
  };
  var value$2 = $this.details;
  if ((value$2 !== (void 0))) {
    var value$3 = $this.details;
    if ((value$3 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$3 = $as_T(value$3);
    ret.details = s$3
  };
  var value$4 = $this.documentData;
  if ((value$4 !== (void 0))) {
    var value$5 = $this.documentData;
    if ((value$5 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$4 = $as_T(value$5);
    ret.documentData = s$4
  };
  var coll = $this.constraintList;
  ret.constraintList = coll;
  var s$5 = $as_T($this.errorTime.toISOString());
  ret.errorTime = s$5;
  var s$6 = $as_T($this.errorDate.toISOString());
  ret.errorDate = s$6;
  var value$6 = $uZ($this.isHistory);
  ret.isHistory = value$6;
  return ret
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ__asDynamic__Lcom_metastay_monitorapp_data_MonitorFlowExitQ__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_MonitorFlowExitQ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorFlowExitQ() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorFlowExitQ)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorFlowExitQ = (function $c_Lcom_metastay_monitorapp_data_MonitorFlowExitQ() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var flowId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$()) : $as_T(arg$rest[0]));
      var flowState = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$()) : $as_T(arg$rest[1]));
      var summary = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$()) : arg$rest[2]);
      var details = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$()) : arg$rest[3]);
      var documentData = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$()) : arg$rest[4]);
      var constraintList = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$()) : arg$rest[5]);
      var errorTime = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__sjs_js_Date($m_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$()) : arg$rest[6]);
      var errorDate = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__sjs_js_Date($m_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$()) : arg$rest[7]);
      var isHistory = ((arg$rest[8] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__Z($m_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$()) : $uZ(arg$rest[8]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "flowId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowState", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "summary", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "details", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "documentData", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "constraintList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "errorTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "errorDate", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "isHistory", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": false
      });
      this.flowId = flowId;
      this.flowState = flowState;
      this.summary = summary;
      this.details = details;
      this.documentData = documentData;
      this.constraintList = constraintList;
      this.errorTime = errorTime;
      this.errorDate = errorDate;
      this.isHistory = isHistory
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorFlowExitQ = (function $h_Lcom_metastay_monitorapp_data_MonitorFlowExitQ() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorFlowExitQ.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorFlowExitQ.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorFlowExitQ();
    $c_Lcom_metastay_monitorapp_data_MonitorFlowExitQ.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorFlowExitQ;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorFlowExitQ.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ__asDynamic__Lcom_metastay_monitorapp_data_MonitorFlowExitQ__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorFlowExitQ.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ__toJson__Lcom_metastay_monitorapp_data_MonitorFlowExitQ__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorFlowExitQ = $c_Lcom_metastay_monitorapp_data_MonitorFlowExitQ
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorFlowExitQ
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorFlowExitQ($this, json) {
  var v = json.flowId;
  if (((v === (void 0)) || (json.flowId === null))) {
    var jsx$8 = null
  } else {
    var jsx$8 = $as_T(json.flowId)
  };
  var v$1 = json.flowState;
  if (((v$1 === (void 0)) || (json.flowState === null))) {
    var jsx$7 = null
  } else {
    var jsx$7 = $as_T(json.flowState)
  };
  var v$2 = json.summary;
  if (((v$2 === (void 0)) || (json.summary === null))) {
    var jsx$6 = (void 0)
  } else {
    var jsx$6 = json.summary
  };
  var v$3 = json.details;
  if (((v$3 === (void 0)) || (json.details === null))) {
    var jsx$5 = (void 0)
  } else {
    var jsx$5 = json.details
  };
  var v$4 = json.documentData;
  if (((v$4 === (void 0)) || (json.documentData === null))) {
    var jsx$4 = (void 0)
  } else {
    var jsx$4 = json.documentData
  };
  var v$5 = json.constraintList;
  if (((v$5 === (void 0)) || (json.constraintList === null))) {
    var jsx$3 = []
  } else {
    var jsx$3 = json.constraintList
  };
  var v$6 = json.errorTime;
  if (((v$6 === (void 0)) || (json.errorTime === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = new $g.Date($as_T(json.errorTime))
  };
  var v$7 = json.errorDate;
  if (((v$7 === (void 0)) || (json.errorDate === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = new $g.Date($as_T(json.errorDate))
  };
  var v$8 = json.isHistory;
  return new ($a_Lcom_metastay_monitorapp_data_MonitorFlowExitQ())(jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, ((!((v$8 === (void 0)) || (json.isHistory === null))) && $uZ(json.isHistory)))
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__Z($this) {
  return false
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorFlowExitQ\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"flowId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"flowState\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"summary\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"details\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"documentData\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"constraintList\": {\n    \"type\": \"Array_String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"errorTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {\"formatter\" : \"TaskErrorUtil.errorExitQ\"} \n        }\n     ,\n\"errorDate\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"isHistory\": {\n    \"type\": \"Boolean\" \n   \n   , \"extra\": {", "} \n        }\n     \n },\n \"required\": [   \"flowId\" , \"flowState\" , \"errorTime\" , \"errorDate\" , \"isHistory\" ]\n }\n      "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__T($this)])))
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__T($this) {
  return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\"visible\" : false"])).s__sc_Seq__T($m_sci_Nil$())
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__createNew__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__Lcom_metastay_monitorapp_data_MonitorFlowExitQ($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorFlowExitQ())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__from__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorFlowExitQ($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
var $b_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$ = (function $c_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$ = (function $h_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$();
    $c_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$;
    $c_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__createNew__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__Lcom_metastay_monitorapp_data_MonitorFlowExitQ(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorFlowExitQ(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__from__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorFlowExitQ(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorFlowExitQ$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$ = $c_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$
}
var $n_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$ = new ($a_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm__asDynamic__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm__toJson__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm__sjs_js_Dynamic($this) {
  var ret = {};
  var coll = $this.teamCodeList;
  ret.teamCodeList = coll;
  var value = $this.cid;
  if ((value !== (void 0))) {
    var value$1 = $this.cid;
    if ((value$1 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s = $as_T(value$1);
    ret.cid = s
  };
  var value$2 = $this.fromDate;
  if ((value$2 !== (void 0))) {
    var value$3 = $this.fromDate;
    if ((value$3 === (void 0))) {
      var jsx$1;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$1 = value$3
    };
    ret.fromDate = jsx$1
  };
  var value$4 = $this.toDate;
  if ((value$4 !== (void 0))) {
    var value$5 = $this.toDate;
    if ((value$5 === (void 0))) {
      var jsx$2;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$2 = value$5
    };
    ret.toDate = jsx$2
  };
  var value$6 = $uZ($this.showAll);
  ret.showAll = value$6;
  var value$7 = $uZ($this.includeCompleted);
  ret.includeCompleted = value$7;
  return ret
}
var $b_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm = (function $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var teamCodeList = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$()) : arg$rest[0]);
      var cid = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$()) : arg$rest[1]);
      var fromDate = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$()) : arg$rest[2]);
      var toDate = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$()) : arg$rest[3]);
      var showAll = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__Z($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$()) : $uZ(arg$rest[4]));
      var includeCompleted = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__Z($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$()) : $uZ(arg$rest[5]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "teamCodeList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "cid", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fromDate", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "toDate", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "showAll", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": false
      });
      $g.Object.defineProperty(this, "includeCompleted", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": false
      });
      this.teamCodeList = teamCodeList;
      this.cid = cid;
      this.fromDate = fromDate;
      this.toDate = toDate;
      this.showAll = showAll;
      this.includeCompleted = includeCompleted
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm = (function $h_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm();
    $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm__asDynamic__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm__toJson__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm = $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorFlowSearchForm\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"teamCodeList\": {\n    \"type\": \"Array_String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"cid\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"fromDate\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"toDate\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"showAll\": {\n    \"type\": \"Boolean\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"includeCompleted\": {\n    \"type\": \"Boolean\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"showAll\" , \"includeCompleted\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__Z($this) {
  return false
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__createNew__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__Z($this) {
  return false
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__from__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm($this, json) {
  var v = json.teamCodeList;
  if (((v === (void 0)) || (json.teamCodeList === null))) {
    var jsx$5 = []
  } else {
    var jsx$5 = json.teamCodeList
  };
  var v$1 = json.cid;
  if (((v$1 === (void 0)) || (json.cid === null))) {
    var jsx$4 = (void 0)
  } else {
    var jsx$4 = json.cid
  };
  var v$2 = json.fromDate;
  if (((v$2 === (void 0)) || (json.fromDate === null))) {
    var jsx$3 = (void 0)
  } else {
    var opt$2 = new $c_s_Some().init___O(new $g.Date($as_T(json.fromDate)));
    var arg1 = opt$2.x$2;
    var jsx$3 = arg1
  };
  var v$3 = json.toDate;
  if (((v$3 === (void 0)) || (json.toDate === null))) {
    var jsx$2 = (void 0)
  } else {
    var opt$4 = new $c_s_Some().init___O(new $g.Date($as_T(json.toDate)));
    var arg1$1 = opt$4.x$2;
    var jsx$2 = arg1$1
  };
  var v$4 = json.showAll;
  if ((!((v$4 === (void 0)) || (json.showAll === null)))) {
    var jsx$1 = $uZ(json.showAll)
  } else {
    var jsx$1 = false
  };
  var v$5 = json.includeCompleted;
  return new ($a_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm())(jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, ((!((v$5 === (void 0)) || (json.includeCompleted === null))) && $uZ(json.includeCompleted)))
}
var $b_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$ = (function $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$ = (function $h_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$();
    $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$;
    $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__createNew__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__from__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$ = $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$
}
var $n_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$ = new ($a_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid__toJson__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.flowId);
  ret.flowId = s;
  var s$1 = $as_T($this.displayId);
  ret.displayId = s$1;
  var s$2 = $as_T($this.cid);
  ret.cid = s$2;
  var s$3 = $as_T($this.teamCode);
  ret.teamCode = s$3;
  var s$4 = $as_T($this.source);
  ret.source = s$4;
  var s$5 = $as_T($this.flowState);
  ret.flowState = s$5;
  var s$6 = $as_T($this.fqFlowName);
  ret.fqFlowName = s$6;
  var s$7 = $as_T($this.netName);
  ret.netName = s$7;
  var s$8 = $as_T($this.flowName);
  ret.flowName = s$8;
  var value = $uI($this.priority);
  ret.priority = value;
  var s$9 = $as_T($this.createdTime.toISOString());
  ret.createdTime = s$9;
  var value$1 = $uI($this.readyCount);
  ret.readyCount = value$1;
  var value$2 = $uI($this.allocatedCount);
  ret.allocatedCount = value$2;
  var value$3 = $uI($this.startedCount);
  ret.startedCount = value$3;
  var value$4 = $uI($this.errorCount);
  ret.errorCount = value$4;
  var value$5 = $uI($this.completedCount);
  ret.completedCount = value$5;
  var s$10 = $as_T($this.documentData);
  ret.documentData = s$10;
  var array = $this.tagList;
  var array$1 = [];
  $uI(array.length);
  var i = 0;
  var len = $uI(array.length);
  while ((i < len)) {
    var index = i;
    var arg1 = array[index];
    var elem = arg1.toJson;
    array$1.push(elem);
    i = ((1 + i) | 0)
  };
  ret.tagList = array$1;
  return ret
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid__asDynamic__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid = (function $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var flowId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$()) : $as_T(arg$rest[0]));
      var displayId = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$()) : $as_T(arg$rest[1]));
      var cid = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$()) : $as_T(arg$rest[2]));
      var teamCode = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$()) : $as_T(arg$rest[3]));
      var source = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$()) : $as_T(arg$rest[4]));
      var flowState = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$()) : $as_T(arg$rest[5]));
      var fqFlowName = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$()) : $as_T(arg$rest[6]));
      var netName = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$()) : $as_T(arg$rest[7]));
      var flowName = ((arg$rest[8] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$()) : $as_T(arg$rest[8]));
      var priority = ((arg$rest[9] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$10__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__I($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$()) : $uI(arg$rest[9]));
      var createdTime = ((arg$rest[10] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$11__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__sjs_js_Date($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$()) : arg$rest[10]);
      var readyCount = ((arg$rest[11] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$12__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__I($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$()) : $uI(arg$rest[11]));
      var allocatedCount = ((arg$rest[12] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$13__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__I($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$()) : $uI(arg$rest[12]));
      var startedCount = ((arg$rest[13] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$14__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__I($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$()) : $uI(arg$rest[13]));
      var errorCount = ((arg$rest[14] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$15__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__I($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$()) : $uI(arg$rest[14]));
      var completedCount = ((arg$rest[15] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$16__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__I($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$()) : $uI(arg$rest[15]));
      var documentData = ((arg$rest[16] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$17__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$()) : $as_T(arg$rest[16]));
      var tagList = ((arg$rest[17] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$18__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$()) : arg$rest[17]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "flowId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "displayId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "cid", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "source", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowState", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fqFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "netName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "priority", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "createdTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "readyCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "allocatedCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "startedCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "errorCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "completedCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "documentData", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "tagList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.flowId = flowId;
      this.displayId = displayId;
      this.cid = cid;
      this.teamCode = teamCode;
      this.source = source;
      this.flowState = flowState;
      this.fqFlowName = fqFlowName;
      this.netName = netName;
      this.flowName = flowName;
      this.priority = priority;
      this.createdTime = createdTime;
      this.readyCount = readyCount;
      this.allocatedCount = allocatedCount;
      this.startedCount = startedCount;
      this.errorCount = errorCount;
      this.completedCount = completedCount;
      this.documentData = documentData;
      this.tagList = tagList
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid = (function $h_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid();
    $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid__asDynamic__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid__toJson__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid = $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$18__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$12__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__createNew__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$16__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid($this, json) {
  var v = json.flowId;
  if (((v === (void 0)) || (json.flowId === null))) {
    var jsx$18 = null
  } else {
    var jsx$18 = $as_T(json.flowId)
  };
  var v$1 = json.displayId;
  if (((v$1 === (void 0)) || (json.displayId === null))) {
    var jsx$17 = null
  } else {
    var jsx$17 = $as_T(json.displayId)
  };
  var v$2 = json.cid;
  if (((v$2 === (void 0)) || (json.cid === null))) {
    var jsx$16 = null
  } else {
    var jsx$16 = $as_T(json.cid)
  };
  var v$3 = json.teamCode;
  if (((v$3 === (void 0)) || (json.teamCode === null))) {
    var jsx$15 = null
  } else {
    var jsx$15 = $as_T(json.teamCode)
  };
  var v$4 = json.source;
  if (((v$4 === (void 0)) || (json.source === null))) {
    var jsx$14 = null
  } else {
    var jsx$14 = $as_T(json.source)
  };
  var v$5 = json.flowState;
  if (((v$5 === (void 0)) || (json.flowState === null))) {
    var jsx$13 = null
  } else {
    var jsx$13 = $as_T(json.flowState)
  };
  var v$6 = json.fqFlowName;
  if (((v$6 === (void 0)) || (json.fqFlowName === null))) {
    var jsx$12 = null
  } else {
    var jsx$12 = $as_T(json.fqFlowName)
  };
  var v$7 = json.netName;
  if (((v$7 === (void 0)) || (json.netName === null))) {
    var jsx$11 = null
  } else {
    var jsx$11 = $as_T(json.netName)
  };
  var v$8 = json.flowName;
  if (((v$8 === (void 0)) || (json.flowName === null))) {
    var jsx$10 = null
  } else {
    var jsx$10 = $as_T(json.flowName)
  };
  var v$9 = json.priority;
  if (((v$9 === (void 0)) || (json.priority === null))) {
    var jsx$9 = 0
  } else {
    var jsx$9 = $uI(json.priority)
  };
  var v$10 = json.createdTime;
  if (((v$10 === (void 0)) || (json.createdTime === null))) {
    var jsx$8 = null
  } else {
    var jsx$8 = new $g.Date($as_T(json.createdTime))
  };
  var v$11 = json.readyCount;
  if (((v$11 === (void 0)) || (json.readyCount === null))) {
    var jsx$7 = 0
  } else {
    var jsx$7 = $uI(json.readyCount)
  };
  var v$12 = json.allocatedCount;
  if (((v$12 === (void 0)) || (json.allocatedCount === null))) {
    var jsx$6 = 0
  } else {
    var jsx$6 = $uI(json.allocatedCount)
  };
  var v$13 = json.startedCount;
  if (((v$13 === (void 0)) || (json.startedCount === null))) {
    var jsx$5 = 0
  } else {
    var jsx$5 = $uI(json.startedCount)
  };
  var v$14 = json.errorCount;
  if (((v$14 === (void 0)) || (json.errorCount === null))) {
    var jsx$4 = 0
  } else {
    var jsx$4 = $uI(json.errorCount)
  };
  var v$15 = json.completedCount;
  if (((v$15 === (void 0)) || (json.completedCount === null))) {
    var jsx$3 = 0
  } else {
    var jsx$3 = $uI(json.completedCount)
  };
  var v$16 = json.documentData;
  if (((v$16 === (void 0)) || (json.documentData === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.documentData)
  };
  var v$17 = json.tagList;
  if (((v$17 === (void 0)) || (json.tagList === null))) {
    var jsx$1 = []
  } else {
    var array = json.tagList;
    var array$1 = [];
    $uI(array.length);
    var i = 0;
    var len = $uI(array.length);
    while ((i < len)) {
      var index = i;
      var arg1 = array[index];
      var elem = $m_Lcom_metastay_monitorapp_data_Tag$().fromDynamic(arg1);
      array$1.push(elem);
      i = ((1 + i) | 0)
    };
    var jsx$1 = array$1
  };
  return new ($a_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid())(jsx$18, jsx$17, jsx$16, jsx$15, jsx$14, jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1)
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorFlowSearchResultGrid\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"flowId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"displayId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"title\":\"Name\", \"link\": \"flow/:flowId\"} \n        }\n     ,\n\"cid\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"title\":\"ID\"} \n        }\n     ,\n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"title\" : \"Team\"} \n        }\n     ,\n\"source\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"flowState\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"fqFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"netName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"flowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"priority\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"createdTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"readyCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": { \"title\":\"#Ready\",\"link\": \"/task/search\"} \n        }\n     ,\n\"allocatedCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": { \"title\":\"#Allocated\",\"link\": \"/task/search\"} \n        }\n     ,\n\"startedCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": { \"title\":\"#Started\",\"link\": \"/task/search\"} \n        }\n     ,\n\"errorCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": { \"title\":\"#Error\",\"link\": \"/task/search\"} \n        }\n     ,\n\"completedCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": { \"title\":\"#Completed\", \"link\": \"/report#/task/search\"} \n        }\n     ,\n\"documentData\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"tagList\": {\n    \"type\": \"Array_com.metastay.monitorapp.data.Tag\" \n   \n   , \"extra\": {", "} \n        }\n     \n },\n \"required\": [   \"flowId\" , \"displayId\" , \"cid\" , \"teamCode\" , \"source\" , \"flowState\" , \"fqFlowName\" , \"netName\" , \"flowName\" , \"priority\" , \"createdTime\" , \"readyCount\" , \"allocatedCount\" , \"startedCount\" , \"errorCount\" , \"completedCount\" , \"documentData\" ]\n }\n      "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($this)])))
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$13__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$14__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$11__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$10__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__from__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($this) {
  return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\"visible\" : false"])).s__sc_Seq__T($m_sci_Nil$())
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$15__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__$$lessinit$greater$default$17__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__T($this) {
  return null
}
var $b_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$ = (function $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$ = (function $h_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$();
    $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$;
    $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__createNew__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__from__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$ = $c_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$
}
var $n_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$ = new ($a_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails__toJson__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.taskId);
  ret.taskId = s;
  var s$1 = $as_T($this.subFlowId);
  ret.subFlowId = s$1;
  var s$2 = $as_T($this.subFlowName);
  ret.subFlowName = s$2;
  var s$3 = $as_T($this.subFlowNetName);
  ret.subFlowNetName = s$3;
  var s$4 = $as_T($this.subFlowFqName);
  ret.subFlowFqName = s$4;
  var s$5 = $as_T($this.subFlowState);
  ret.subFlowState = s$5;
  var s$6 = $as_T($this.subTeam);
  ret.subTeam = s$6;
  var s$7 = $as_T($this.subFlowDisplayId);
  ret.subFlowDisplayId = s$7;
  var s$8 = $as_T($this.subFlowCid);
  ret.subFlowCid = s$8;
  var s$9 = $as_T($this.subFlowLastUpdatedTime.toISOString());
  ret.subFlowLastUpdatedTime = s$9;
  return ret
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails__asDynamic__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails = (function $c_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var taskId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$()) : $as_T(arg$rest[0]));
      var subFlowId = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$()) : $as_T(arg$rest[1]));
      var subFlowName = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$()) : $as_T(arg$rest[2]));
      var subFlowNetName = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$()) : $as_T(arg$rest[3]));
      var subFlowFqName = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$()) : $as_T(arg$rest[4]));
      var subFlowState = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$()) : $as_T(arg$rest[5]));
      var subTeam = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$()) : $as_T(arg$rest[6]));
      var subFlowDisplayId = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$()) : $as_T(arg$rest[7]));
      var subFlowCid = ((arg$rest[8] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$()) : $as_T(arg$rest[8]));
      var subFlowLastUpdatedTime = ((arg$rest[9] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__$$lessinit$greater$default$10__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__sjs_js_Date($m_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$()) : arg$rest[9]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "taskId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "subFlowId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "subFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "subFlowNetName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "subFlowFqName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "subFlowState", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "subTeam", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "subFlowDisplayId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "subFlowCid", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "subFlowLastUpdatedTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.taskId = taskId;
      this.subFlowId = subFlowId;
      this.subFlowName = subFlowName;
      this.subFlowNetName = subFlowNetName;
      this.subFlowFqName = subFlowFqName;
      this.subFlowState = subFlowState;
      this.subTeam = subTeam;
      this.subFlowDisplayId = subFlowDisplayId;
      this.subFlowCid = subFlowCid;
      this.subFlowLastUpdatedTime = subFlowLastUpdatedTime
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails = (function $h_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails();
    $c_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails__asDynamic__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails__toJson__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails = $c_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorSubFlowTaskDetails\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"taskId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"subFlowId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"subFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"subFlowNetName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"subFlowFqName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"subFlowState\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"subTeam\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"subFlowDisplayId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"subFlowCid\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"subFlowLastUpdatedTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"taskId\" , \"subFlowId\" , \"subFlowName\" , \"subFlowNetName\" , \"subFlowFqName\" , \"subFlowState\" , \"subTeam\" , \"subFlowDisplayId\" , \"subFlowCid\" , \"subFlowLastUpdatedTime\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__$$lessinit$greater$default$10__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__createNew__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails($this, json) {
  var v = json.taskId;
  if (((v === (void 0)) || (json.taskId === null))) {
    var jsx$9 = null
  } else {
    var jsx$9 = $as_T(json.taskId)
  };
  var v$1 = json.subFlowId;
  if (((v$1 === (void 0)) || (json.subFlowId === null))) {
    var jsx$8 = null
  } else {
    var jsx$8 = $as_T(json.subFlowId)
  };
  var v$2 = json.subFlowName;
  if (((v$2 === (void 0)) || (json.subFlowName === null))) {
    var jsx$7 = null
  } else {
    var jsx$7 = $as_T(json.subFlowName)
  };
  var v$3 = json.subFlowNetName;
  if (((v$3 === (void 0)) || (json.subFlowNetName === null))) {
    var jsx$6 = null
  } else {
    var jsx$6 = $as_T(json.subFlowNetName)
  };
  var v$4 = json.subFlowFqName;
  if (((v$4 === (void 0)) || (json.subFlowFqName === null))) {
    var jsx$5 = null
  } else {
    var jsx$5 = $as_T(json.subFlowFqName)
  };
  var v$5 = json.subFlowState;
  if (((v$5 === (void 0)) || (json.subFlowState === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.subFlowState)
  };
  var v$6 = json.subTeam;
  if (((v$6 === (void 0)) || (json.subTeam === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.subTeam)
  };
  var v$7 = json.subFlowDisplayId;
  if (((v$7 === (void 0)) || (json.subFlowDisplayId === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.subFlowDisplayId)
  };
  var v$8 = json.subFlowCid;
  if (((v$8 === (void 0)) || (json.subFlowCid === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.subFlowCid)
  };
  var v$9 = json.subFlowLastUpdatedTime;
  return new ($a_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails())(jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, (((v$9 === (void 0)) || (json.subFlowLastUpdatedTime === null)) ? null : new $g.Date($as_T(json.subFlowLastUpdatedTime))))
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__from__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
var $b_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$ = (function $c_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$ = (function $h_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$();
    $c_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$;
    $c_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__createNew__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__from__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$ = $c_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$
}
var $n_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$ = new ($a_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid__asDynamic__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid__toJson__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.taskId);
  ret.taskId = s;
  var s$1 = $as_T($this.taskName);
  ret.taskName = s$1;
  var s$2 = $as_T($this.taskState);
  ret.taskState = s$2;
  var value = $this.allocatedTo;
  if ((value !== (void 0))) {
    var value$1 = $this.allocatedTo;
    if ((value$1 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$3 = $as_T(value$1);
    ret.allocatedTo = s$3
  };
  var s$4 = $as_T($this.createdTime.toISOString());
  ret.createdTime = s$4;
  var value$2 = $this.allocatedTime;
  if ((value$2 !== (void 0))) {
    var value$3 = $this.allocatedTime;
    if ((value$3 === (void 0))) {
      var jsx$1;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$1 = value$3
    };
    ret.allocatedTime = jsx$1
  };
  var value$4 = $this.startedTime;
  if ((value$4 !== (void 0))) {
    var value$5 = $this.startedTime;
    if ((value$5 === (void 0))) {
      var jsx$2;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$2 = value$5
    };
    ret.startedTime = jsx$2
  };
  var value$6 = $this.endTime;
  if ((value$6 !== (void 0))) {
    var value$7 = $this.endTime;
    if ((value$7 === (void 0))) {
      var jsx$3;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$3 = value$7
    };
    ret.endTime = jsx$3
  };
  return ret
}
var $b_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid = (function $c_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var taskId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$()) : $as_T(arg$rest[0]));
      var taskName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$()) : $as_T(arg$rest[1]));
      var taskState = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$()) : $as_T(arg$rest[2]));
      var allocatedTo = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$()) : arg$rest[3]);
      var createdTime = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__sjs_js_Date($m_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$()) : arg$rest[4]);
      var allocatedTime = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$()) : arg$rest[5]);
      var startedTime = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$()) : arg$rest[6]);
      var endTime = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$()) : arg$rest[7]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "taskId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskState", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "allocatedTo", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "createdTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "allocatedTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "startedTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "endTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.taskId = taskId;
      this.taskName = taskName;
      this.taskState = taskState;
      this.allocatedTo = allocatedTo;
      this.createdTime = createdTime;
      this.allocatedTime = allocatedTime;
      this.startedTime = startedTime;
      this.endTime = endTime
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid = (function $h_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid();
    $c_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid__asDynamic__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid__toJson__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid = $c_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorSubTaskGrid\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"taskId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"taskName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"actionId\" : \"loadTaskDetails\", \"formatter\" : \"MonitorUtil.taskName\"} \n        }\n     ,\n\"taskState\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"allocatedTo\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"createdTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"allocatedTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"startedTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"endTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"taskId\" , \"taskName\" , \"taskState\" , \"createdTime\" ]\n }\n      "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__T($this)])))
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__from__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__T($this) {
  return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\"visible\" : false"])).s__sc_Seq__T($m_sci_Nil$())
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__createNew__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid($this, json) {
  var v = json.taskId;
  if (((v === (void 0)) || (json.taskId === null))) {
    var jsx$8 = null
  } else {
    var jsx$8 = $as_T(json.taskId)
  };
  var v$1 = json.taskName;
  if (((v$1 === (void 0)) || (json.taskName === null))) {
    var jsx$7 = null
  } else {
    var jsx$7 = $as_T(json.taskName)
  };
  var v$2 = json.taskState;
  if (((v$2 === (void 0)) || (json.taskState === null))) {
    var jsx$6 = null
  } else {
    var jsx$6 = $as_T(json.taskState)
  };
  var v$3 = json.allocatedTo;
  if (((v$3 === (void 0)) || (json.allocatedTo === null))) {
    var jsx$5 = (void 0)
  } else {
    var jsx$5 = json.allocatedTo
  };
  var v$4 = json.createdTime;
  if (((v$4 === (void 0)) || (json.createdTime === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = new $g.Date($as_T(json.createdTime))
  };
  var v$5 = json.allocatedTime;
  if (((v$5 === (void 0)) || (json.allocatedTime === null))) {
    var jsx$3 = (void 0)
  } else {
    var opt$2 = new $c_s_Some().init___O(new $g.Date($as_T(json.allocatedTime)));
    var arg1 = opt$2.x$2;
    var jsx$3 = arg1
  };
  var v$6 = json.startedTime;
  if (((v$6 === (void 0)) || (json.startedTime === null))) {
    var jsx$2 = (void 0)
  } else {
    var opt$4 = new $c_s_Some().init___O(new $g.Date($as_T(json.startedTime)));
    var arg1$1 = opt$4.x$2;
    var jsx$2 = arg1$1
  };
  var v$7 = json.endTime;
  if (((v$7 === (void 0)) || (json.endTime === null))) {
    var jsx$1 = (void 0)
  } else {
    var opt$6 = new $c_s_Some().init___O(new $g.Date($as_T(json.endTime)));
    var arg1$2 = opt$6.x$2;
    var jsx$1 = arg1$2
  };
  return new ($a_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid())(jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1)
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
var $b_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$ = (function $c_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$ = (function $h_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$();
    $c_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$;
    $c_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__createNew__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__from__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$ = $c_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$
}
var $n_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$ = new ($a_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary__toJson__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.teamCode);
  ret.teamCode = s;
  var s$1 = $as_T($this.fqFlowName);
  ret.fqFlowName = s$1;
  var s$2 = $as_T($this.flowName);
  ret.flowName = s$2;
  var array = $this.taskList;
  var array$1 = [];
  $uI(array.length);
  var i = 0;
  var len = $uI(array.length);
  while ((i < len)) {
    var index = i;
    var arg1 = array[index];
    var elem = arg1.toJson;
    array$1.push(elem);
    i = ((1 + i) | 0)
  };
  ret.taskList = array$1;
  return ret
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary__asDynamic__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary = (function $c_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var teamCode = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$()) : $as_T(arg$rest[0]));
      var fqFlowName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$()) : $as_T(arg$rest[1]));
      var flowName = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$()) : $as_T(arg$rest[2]));
      var taskList = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$()) : arg$rest[3]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fqFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.teamCode = teamCode;
      this.fqFlowName = fqFlowName;
      this.flowName = flowName;
      this.taskList = taskList
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary = (function $h_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary();
    $c_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary__asDynamic__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary__toJson__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary = $c_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorTaskDashboardSummary\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"fqFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"flowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"taskList\": {\n    \"type\": \"Array_com.metastay.monitorapp.data.MonitorDashboardTaskGrid\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"teamCode\" , \"fqFlowName\" , \"flowName\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary($this, json) {
  var v = json.teamCode;
  if (((v === (void 0)) || (json.teamCode === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.teamCode)
  };
  var v$1 = json.fqFlowName;
  if (((v$1 === (void 0)) || (json.fqFlowName === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.fqFlowName)
  };
  var v$2 = json.flowName;
  if (((v$2 === (void 0)) || (json.flowName === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.flowName)
  };
  var v$3 = json.taskList;
  if (((v$3 === (void 0)) || (json.taskList === null))) {
    var jsx$1 = []
  } else {
    var array = json.taskList;
    var array$1 = [];
    $uI(array.length);
    var i = 0;
    var len = $uI(array.length);
    while ((i < len)) {
      var index = i;
      var arg1 = array[index];
      var elem = $m_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$().fromDynamic(arg1);
      array$1.push(elem);
      i = ((1 + i) | 0)
    };
    var jsx$1 = array$1
  };
  return new ($a_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary())(jsx$4, jsx$3, jsx$2, jsx$1)
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__createNew__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__from__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
var $b_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$ = (function $c_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$ = (function $h_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$();
    $c_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$;
    $c_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__createNew__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__from__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$ = $c_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$
}
var $n_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$ = new ($a_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails__asDynamic__Lcom_metastay_monitorapp_data_MonitorTaskDetails__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails__toJson__Lcom_metastay_monitorapp_data_MonitorTaskDetails__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.flowId);
  ret.flowId = s;
  var s$1 = $as_T($this.taskName);
  ret.taskName = s$1;
  var s$2 = $as_T($this.taskId);
  ret.taskId = s$2;
  var s$3 = $as_T($this.taskType);
  ret.taskType = s$3;
  var s$4 = $as_T($this.teamCode);
  ret.teamCode = s$4;
  var s$5 = $as_T($this.fqFlowName);
  ret.fqFlowName = s$5;
  var s$6 = $as_T($this.flowName);
  ret.flowName = s$6;
  var s$7 = $as_T($this.cid);
  ret.cid = s$7;
  var s$8 = $as_T($this.displayId);
  ret.displayId = s$8;
  var s$9 = $as_T($this.taskState);
  ret.taskState = s$9;
  var value = $this.allocatedTo;
  if ((value !== (void 0))) {
    var value$1 = $this.allocatedTo;
    if ((value$1 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$10 = $as_T(value$1);
    ret.allocatedTo = s$10
  };
  var value$2 = $uI($this.priority);
  ret.priority = value$2;
  var s$11 = $as_T($this.readyTime.toISOString());
  ret.readyTime = s$11;
  var value$3 = $this.allocatedTime;
  if ((value$3 !== (void 0))) {
    var value$4 = $this.allocatedTime;
    if ((value$4 === (void 0))) {
      var jsx$1;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$1 = value$4
    };
    ret.allocatedTime = jsx$1
  };
  var value$5 = $this.startedTime;
  if ((value$5 !== (void 0))) {
    var value$6 = $this.startedTime;
    if ((value$6 === (void 0))) {
      var jsx$2;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$2 = value$6
    };
    ret.startedTime = jsx$2
  };
  var value$7 = $this.endTime;
  if ((value$7 !== (void 0))) {
    var value$8 = $this.endTime;
    if ((value$8 === (void 0))) {
      var jsx$3;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$3 = value$8
    };
    ret.endTime = jsx$3
  };
  var s$12 = $as_T($this.lastUpdatedTime.toISOString());
  ret.lastUpdatedTime = s$12;
  var s$13 = $as_T($this.taskInput);
  ret.taskInput = s$13;
  var value$9 = $this.taskOutput;
  if ((value$9 !== (void 0))) {
    var value$10 = $this.taskOutput;
    if ((value$10 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$14 = $as_T(value$10);
    ret.taskOutput = s$14
  };
  return ret
}
var $b_Lcom_metastay_monitorapp_data_MonitorTaskDetails = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorTaskDetails() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorTaskDetails)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorTaskDetails = (function $c_Lcom_metastay_monitorapp_data_MonitorTaskDetails() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var flowId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$()) : $as_T(arg$rest[0]));
      var taskName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$()) : $as_T(arg$rest[1]));
      var taskId = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$()) : $as_T(arg$rest[2]));
      var taskType = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$()) : $as_T(arg$rest[3]));
      var teamCode = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$()) : $as_T(arg$rest[4]));
      var fqFlowName = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$()) : $as_T(arg$rest[5]));
      var flowName = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$()) : $as_T(arg$rest[6]));
      var cid = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$()) : $as_T(arg$rest[7]));
      var displayId = ((arg$rest[8] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$()) : $as_T(arg$rest[8]));
      var taskState = ((arg$rest[9] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$10__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$()) : $as_T(arg$rest[9]));
      var allocatedTo = ((arg$rest[10] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$11__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$()) : arg$rest[10]);
      var priority = ((arg$rest[11] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$12__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__I($m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$()) : $uI(arg$rest[11]));
      var readyTime = ((arg$rest[12] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$13__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__sjs_js_Date($m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$()) : arg$rest[12]);
      var allocatedTime = ((arg$rest[13] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$14__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$()) : arg$rest[13]);
      var startedTime = ((arg$rest[14] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$15__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$()) : arg$rest[14]);
      var endTime = ((arg$rest[15] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$16__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$()) : arg$rest[15]);
      var lastUpdatedTime = ((arg$rest[16] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$17__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__sjs_js_Date($m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$()) : arg$rest[16]);
      var taskInput = ((arg$rest[17] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$18__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$()) : $as_T(arg$rest[17]));
      var taskOutput = ((arg$rest[18] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$19__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$()) : arg$rest[18]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "flowId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskType", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fqFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "cid", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "displayId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskState", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "allocatedTo", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "priority", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "readyTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "allocatedTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "startedTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "endTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "lastUpdatedTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskInput", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskOutput", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.flowId = flowId;
      this.taskName = taskName;
      this.taskId = taskId;
      this.taskType = taskType;
      this.teamCode = teamCode;
      this.fqFlowName = fqFlowName;
      this.flowName = flowName;
      this.cid = cid;
      this.displayId = displayId;
      this.taskState = taskState;
      this.allocatedTo = allocatedTo;
      this.priority = priority;
      this.readyTime = readyTime;
      this.allocatedTime = allocatedTime;
      this.startedTime = startedTime;
      this.endTime = endTime;
      this.lastUpdatedTime = lastUpdatedTime;
      this.taskInput = taskInput;
      this.taskOutput = taskOutput
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorTaskDetails = (function $h_Lcom_metastay_monitorapp_data_MonitorTaskDetails() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorTaskDetails.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorTaskDetails.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorTaskDetails();
    $c_Lcom_metastay_monitorapp_data_MonitorTaskDetails.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorTaskDetails;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorTaskDetails.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails__asDynamic__Lcom_metastay_monitorapp_data_MonitorTaskDetails__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorTaskDetails.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails__toJson__Lcom_metastay_monitorapp_data_MonitorTaskDetails__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorTaskDetails = $c_Lcom_metastay_monitorapp_data_MonitorTaskDetails
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorTaskDetails
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorTaskDetails\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"flowId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"taskName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"taskId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"taskType\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"fqFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"flowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"cid\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"displayId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"taskState\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"allocatedTo\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"priority\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"readyTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"allocatedTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"startedTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"endTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"lastUpdatedTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"taskInput\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"taskOutput\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"flowId\" , \"taskName\" , \"taskId\" , \"taskType\" , \"teamCode\" , \"fqFlowName\" , \"flowName\" , \"cid\" , \"displayId\" , \"taskState\" , \"priority\" , \"readyTime\" , \"lastUpdatedTime\" , \"taskInput\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$12__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__from__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorTaskDetails($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$17__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$11__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$15__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$19__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$18__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$13__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorTaskDetails($this, json) {
  var v = json.flowId;
  if (((v === (void 0)) || (json.flowId === null))) {
    var jsx$18 = null
  } else {
    var jsx$18 = $as_T(json.flowId)
  };
  var v$1 = json.taskName;
  if (((v$1 === (void 0)) || (json.taskName === null))) {
    var jsx$17 = null
  } else {
    var jsx$17 = $as_T(json.taskName)
  };
  var v$2 = json.taskId;
  if (((v$2 === (void 0)) || (json.taskId === null))) {
    var jsx$16 = null
  } else {
    var jsx$16 = $as_T(json.taskId)
  };
  var v$3 = json.taskType;
  if (((v$3 === (void 0)) || (json.taskType === null))) {
    var jsx$15 = null
  } else {
    var jsx$15 = $as_T(json.taskType)
  };
  var v$4 = json.teamCode;
  if (((v$4 === (void 0)) || (json.teamCode === null))) {
    var jsx$14 = null
  } else {
    var jsx$14 = $as_T(json.teamCode)
  };
  var v$5 = json.fqFlowName;
  if (((v$5 === (void 0)) || (json.fqFlowName === null))) {
    var jsx$13 = null
  } else {
    var jsx$13 = $as_T(json.fqFlowName)
  };
  var v$6 = json.flowName;
  if (((v$6 === (void 0)) || (json.flowName === null))) {
    var jsx$12 = null
  } else {
    var jsx$12 = $as_T(json.flowName)
  };
  var v$7 = json.cid;
  if (((v$7 === (void 0)) || (json.cid === null))) {
    var jsx$11 = null
  } else {
    var jsx$11 = $as_T(json.cid)
  };
  var v$8 = json.displayId;
  if (((v$8 === (void 0)) || (json.displayId === null))) {
    var jsx$10 = null
  } else {
    var jsx$10 = $as_T(json.displayId)
  };
  var v$9 = json.taskState;
  if (((v$9 === (void 0)) || (json.taskState === null))) {
    var jsx$9 = null
  } else {
    var jsx$9 = $as_T(json.taskState)
  };
  var v$10 = json.allocatedTo;
  if (((v$10 === (void 0)) || (json.allocatedTo === null))) {
    var jsx$8 = (void 0)
  } else {
    var jsx$8 = json.allocatedTo
  };
  var v$11 = json.priority;
  if (((v$11 === (void 0)) || (json.priority === null))) {
    var jsx$7 = 0
  } else {
    var jsx$7 = $uI(json.priority)
  };
  var v$12 = json.readyTime;
  if (((v$12 === (void 0)) || (json.readyTime === null))) {
    var jsx$6 = null
  } else {
    var jsx$6 = new $g.Date($as_T(json.readyTime))
  };
  var v$13 = json.allocatedTime;
  if (((v$13 === (void 0)) || (json.allocatedTime === null))) {
    var jsx$5 = (void 0)
  } else {
    var opt$2 = new $c_s_Some().init___O(new $g.Date($as_T(json.allocatedTime)));
    var arg1 = opt$2.x$2;
    var jsx$5 = arg1
  };
  var v$14 = json.startedTime;
  if (((v$14 === (void 0)) || (json.startedTime === null))) {
    var jsx$4 = (void 0)
  } else {
    var opt$4 = new $c_s_Some().init___O(new $g.Date($as_T(json.startedTime)));
    var arg1$1 = opt$4.x$2;
    var jsx$4 = arg1$1
  };
  var v$15 = json.endTime;
  if (((v$15 === (void 0)) || (json.endTime === null))) {
    var jsx$3 = (void 0)
  } else {
    var opt$6 = new $c_s_Some().init___O(new $g.Date($as_T(json.endTime)));
    var arg1$2 = opt$6.x$2;
    var jsx$3 = arg1$2
  };
  var v$16 = json.lastUpdatedTime;
  if (((v$16 === (void 0)) || (json.lastUpdatedTime === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = new $g.Date($as_T(json.lastUpdatedTime))
  };
  var v$17 = json.taskInput;
  if (((v$17 === (void 0)) || (json.taskInput === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.taskInput)
  };
  var v$18 = json.taskOutput;
  return new ($a_Lcom_metastay_monitorapp_data_MonitorTaskDetails())(jsx$18, jsx$17, jsx$16, jsx$15, jsx$14, jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, (((v$18 === (void 0)) || (json.taskOutput === null)) ? (void 0) : json.taskOutput))
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__createNew__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__Lcom_metastay_monitorapp_data_MonitorTaskDetails($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorTaskDetails())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$10__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$14__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__$$lessinit$greater$default$16__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__sjs_js_UndefOr($this) {
  return (void 0)
}
var $b_Lcom_metastay_monitorapp_data_MonitorTaskDetails$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorTaskDetails$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorTaskDetails$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorTaskDetails$ = (function $c_Lcom_metastay_monitorapp_data_MonitorTaskDetails$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorTaskDetails$ = (function $h_Lcom_metastay_monitorapp_data_MonitorTaskDetails$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorTaskDetails$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorTaskDetails$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorTaskDetails$();
    $c_Lcom_metastay_monitorapp_data_MonitorTaskDetails$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorTaskDetails$;
    $c_Lcom_metastay_monitorapp_data_MonitorTaskDetails$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__createNew__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__Lcom_metastay_monitorapp_data_MonitorTaskDetails(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorTaskDetails$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorTaskDetails(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorTaskDetails$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__from__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorTaskDetails(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorTaskDetails$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskDetails$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorTaskDetails$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorTaskDetails$ = $c_Lcom_metastay_monitorapp_data_MonitorTaskDetails$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorTaskDetails$
}
var $n_Lcom_metastay_monitorapp_data_MonitorTaskDetails$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorTaskDetails$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorTaskDetails$ = new ($a_Lcom_metastay_monitorapp_data_MonitorTaskDetails$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorTaskDetails$
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskError__toJson__Lcom_metastay_monitorapp_data_MonitorTaskError__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.taskId);
  ret.taskId = s;
  var s$1 = $as_T($this.flowId);
  ret.flowId = s$1;
  var s$2 = $as_T($this.taskState);
  ret.taskState = s$2;
  var value = $this.summary;
  if ((value !== (void 0))) {
    var value$1 = $this.summary;
    if ((value$1 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$3 = $as_T(value$1);
    ret.summary = s$3
  };
  var value$2 = $this.details;
  if ((value$2 !== (void 0))) {
    var value$3 = $this.details;
    if ((value$3 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$4 = $as_T(value$3);
    ret.details = s$4
  };
  var value$4 = $this.outputData;
  if ((value$4 !== (void 0))) {
    var value$5 = $this.outputData;
    if ((value$5 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$5 = $as_T(value$5);
    ret.outputData = s$5
  };
  var coll = $this.constraintList;
  ret.constraintList = coll;
  var s$6 = $as_T($this.errorTime.toISOString());
  ret.errorTime = s$6;
  var s$7 = $as_T($this.errorDate.toISOString());
  ret.errorDate = s$7;
  var value$6 = $this.isHistory;
  if ((value$6 !== (void 0))) {
    var value$7 = $this.isHistory;
    if ((value$7 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var value$8 = $uZ(value$7);
    ret.isHistory = value$8
  };
  return ret
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskError__asDynamic__Lcom_metastay_monitorapp_data_MonitorTaskError__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_MonitorTaskError = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorTaskError() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorTaskError)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorTaskError = (function $c_Lcom_metastay_monitorapp_data_MonitorTaskError() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var taskId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorTaskError$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskError$()) : $as_T(arg$rest[0]));
      var flowId = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorTaskError$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskError$()) : $as_T(arg$rest[1]));
      var taskState = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorTaskError$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskError$()) : $as_T(arg$rest[2]));
      var summary = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorTaskError$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorTaskError$()) : arg$rest[3]);
      var details = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorTaskError$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorTaskError$()) : arg$rest[4]);
      var outputData = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorTaskError$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorTaskError$()) : arg$rest[5]);
      var constraintList = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorTaskError$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_MonitorTaskError$()) : arg$rest[6]);
      var errorTime = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorTaskError$__sjs_js_Date($m_Lcom_metastay_monitorapp_data_MonitorTaskError$()) : arg$rest[7]);
      var errorDate = ((arg$rest[8] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_MonitorTaskError$__sjs_js_Date($m_Lcom_metastay_monitorapp_data_MonitorTaskError$()) : arg$rest[8]);
      var isHistory = ((arg$rest[9] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__$$lessinit$greater$default$10__Lcom_metastay_monitorapp_data_MonitorTaskError$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorTaskError$()) : arg$rest[9]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "taskId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskState", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "summary", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "details", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "outputData", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "constraintList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "errorTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "errorDate", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "isHistory", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.taskId = taskId;
      this.flowId = flowId;
      this.taskState = taskState;
      this.summary = summary;
      this.details = details;
      this.outputData = outputData;
      this.constraintList = constraintList;
      this.errorTime = errorTime;
      this.errorDate = errorDate;
      this.isHistory = isHistory
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorTaskError = (function $h_Lcom_metastay_monitorapp_data_MonitorTaskError() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorTaskError.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorTaskError.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorTaskError();
    $c_Lcom_metastay_monitorapp_data_MonitorTaskError.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorTaskError;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorTaskError.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorTaskError__asDynamic__Lcom_metastay_monitorapp_data_MonitorTaskError__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorTaskError.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorTaskError__toJson__Lcom_metastay_monitorapp_data_MonitorTaskError__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorTaskError = $c_Lcom_metastay_monitorapp_data_MonitorTaskError
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorTaskError
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorTaskError$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorTaskError\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"taskId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"flowId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"taskState\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"summary\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"details\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"outputData\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"constraintList\": {\n    \"type\": \"Array_String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"errorTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {\"formatter\" : \"MonitorUtil.updatedTime\"} \n        }\n     ,\n\"errorDate\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"isHistory\": {\n    \"type\": \"Boolean\" \n   \n   , \"extra\": {", "} \n        }\n     \n },\n \"required\": [   \"taskId\" , \"flowId\" , \"taskState\" , \"errorTime\" , \"errorDate\" ]\n }\n      "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$s_Lcom_metastay_monitorapp_data_MonitorTaskError$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorTaskError$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorTaskError$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorTaskError$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorTaskError$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorTaskError$__T($this)])))
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorTaskError$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorTaskError$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorTaskError$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorTaskError$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorTaskError$__T($this) {
  return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\"visible\" : false"])).s__sc_Seq__T($m_sci_Nil$())
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorTaskError$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorTaskError($this, json) {
  var v = json.taskId;
  if (((v === (void 0)) || (json.taskId === null))) {
    var jsx$9 = null
  } else {
    var jsx$9 = $as_T(json.taskId)
  };
  var v$1 = json.flowId;
  if (((v$1 === (void 0)) || (json.flowId === null))) {
    var jsx$8 = null
  } else {
    var jsx$8 = $as_T(json.flowId)
  };
  var v$2 = json.taskState;
  if (((v$2 === (void 0)) || (json.taskState === null))) {
    var jsx$7 = null
  } else {
    var jsx$7 = $as_T(json.taskState)
  };
  var v$3 = json.summary;
  if (((v$3 === (void 0)) || (json.summary === null))) {
    var jsx$6 = (void 0)
  } else {
    var jsx$6 = json.summary
  };
  var v$4 = json.details;
  if (((v$4 === (void 0)) || (json.details === null))) {
    var jsx$5 = (void 0)
  } else {
    var jsx$5 = json.details
  };
  var v$5 = json.outputData;
  if (((v$5 === (void 0)) || (json.outputData === null))) {
    var jsx$4 = (void 0)
  } else {
    var jsx$4 = json.outputData
  };
  var v$6 = json.constraintList;
  if (((v$6 === (void 0)) || (json.constraintList === null))) {
    var jsx$3 = []
  } else {
    var jsx$3 = json.constraintList
  };
  var v$7 = json.errorTime;
  if (((v$7 === (void 0)) || (json.errorTime === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = new $g.Date($as_T(json.errorTime))
  };
  var v$8 = json.errorDate;
  if (((v$8 === (void 0)) || (json.errorDate === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = new $g.Date($as_T(json.errorDate))
  };
  var v$9 = json.isHistory;
  return new ($a_Lcom_metastay_monitorapp_data_MonitorTaskError())(jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, (((v$9 === (void 0)) || (json.isHistory === null)) ? (void 0) : json.isHistory))
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorTaskError$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorTaskError$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__createNew__Lcom_metastay_monitorapp_data_MonitorTaskError$__Lcom_metastay_monitorapp_data_MonitorTaskError($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorTaskError())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__$$lessinit$greater$default$10__Lcom_metastay_monitorapp_data_MonitorTaskError$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorTaskError$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorTaskError$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_MonitorTaskError$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__from__Lcom_metastay_monitorapp_data_MonitorTaskError$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorTaskError($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
var $b_Lcom_metastay_monitorapp_data_MonitorTaskError$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorTaskError$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorTaskError$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorTaskError$ = (function $c_Lcom_metastay_monitorapp_data_MonitorTaskError$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorTaskError$ = (function $h_Lcom_metastay_monitorapp_data_MonitorTaskError$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorTaskError$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorTaskError$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorTaskError$();
    $c_Lcom_metastay_monitorapp_data_MonitorTaskError$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorTaskError$;
    $c_Lcom_metastay_monitorapp_data_MonitorTaskError$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__createNew__Lcom_metastay_monitorapp_data_MonitorTaskError$__Lcom_metastay_monitorapp_data_MonitorTaskError(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorTaskError$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorTaskError$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorTaskError(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorTaskError$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__from__Lcom_metastay_monitorapp_data_MonitorTaskError$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorTaskError(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorTaskError$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskError$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorTaskError$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorTaskError$ = $c_Lcom_metastay_monitorapp_data_MonitorTaskError$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorTaskError$
}
var $n_Lcom_metastay_monitorapp_data_MonitorTaskError$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorTaskError$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorTaskError$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorTaskError$ = new ($a_Lcom_metastay_monitorapp_data_MonitorTaskError$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorTaskError$
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ__toJson__Lcom_metastay_monitorapp_data_MonitorTaskExitQ__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.taskId);
  ret.taskId = s;
  var s$1 = $as_T($this.flowId);
  ret.flowId = s$1;
  var s$2 = $as_T($this.taskState);
  ret.taskState = s$2;
  var value = $this.summary;
  if ((value !== (void 0))) {
    var value$1 = $this.summary;
    if ((value$1 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$3 = $as_T(value$1);
    ret.summary = s$3
  };
  var value$2 = $this.details;
  if ((value$2 !== (void 0))) {
    var value$3 = $this.details;
    if ((value$3 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$4 = $as_T(value$3);
    ret.details = s$4
  };
  var value$4 = $this.outputData;
  if ((value$4 !== (void 0))) {
    var value$5 = $this.outputData;
    if ((value$5 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$5 = $as_T(value$5);
    ret.outputData = s$5
  };
  var coll = $this.constraintList;
  ret.constraintList = coll;
  var s$6 = $as_T($this.errorTime.toISOString());
  ret.errorTime = s$6;
  var s$7 = $as_T($this.errorDate.toISOString());
  ret.errorDate = s$7;
  var value$6 = $uZ($this.isHistory);
  ret.isHistory = value$6;
  return ret
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ__asDynamic__Lcom_metastay_monitorapp_data_MonitorTaskExitQ__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_MonitorTaskExitQ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorTaskExitQ() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorTaskExitQ)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorTaskExitQ = (function $c_Lcom_metastay_monitorapp_data_MonitorTaskExitQ() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var taskId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$()) : $as_T(arg$rest[0]));
      var flowId = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$()) : $as_T(arg$rest[1]));
      var taskState = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$()) : $as_T(arg$rest[2]));
      var summary = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$()) : arg$rest[3]);
      var details = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$()) : arg$rest[4]);
      var outputData = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$()) : arg$rest[5]);
      var constraintList = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$()) : arg$rest[6]);
      var errorTime = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__sjs_js_Date($m_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$()) : arg$rest[7]);
      var errorDate = ((arg$rest[8] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__sjs_js_Date($m_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$()) : arg$rest[8]);
      var isHistory = ((arg$rest[9] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__$$lessinit$greater$default$10__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__Z($m_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$()) : $uZ(arg$rest[9]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "taskId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskState", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "summary", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "details", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "outputData", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "constraintList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "errorTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "errorDate", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "isHistory", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": false
      });
      this.taskId = taskId;
      this.flowId = flowId;
      this.taskState = taskState;
      this.summary = summary;
      this.details = details;
      this.outputData = outputData;
      this.constraintList = constraintList;
      this.errorTime = errorTime;
      this.errorDate = errorDate;
      this.isHistory = isHistory
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorTaskExitQ = (function $h_Lcom_metastay_monitorapp_data_MonitorTaskExitQ() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorTaskExitQ.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorTaskExitQ.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorTaskExitQ();
    $c_Lcom_metastay_monitorapp_data_MonitorTaskExitQ.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorTaskExitQ;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorTaskExitQ.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ__asDynamic__Lcom_metastay_monitorapp_data_MonitorTaskExitQ__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorTaskExitQ.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ__toJson__Lcom_metastay_monitorapp_data_MonitorTaskExitQ__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorTaskExitQ = $c_Lcom_metastay_monitorapp_data_MonitorTaskExitQ
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorTaskExitQ
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__from__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorTaskExitQ($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorTaskExitQ($this, json) {
  var v = json.taskId;
  if (((v === (void 0)) || (json.taskId === null))) {
    var jsx$9 = null
  } else {
    var jsx$9 = $as_T(json.taskId)
  };
  var v$1 = json.flowId;
  if (((v$1 === (void 0)) || (json.flowId === null))) {
    var jsx$8 = null
  } else {
    var jsx$8 = $as_T(json.flowId)
  };
  var v$2 = json.taskState;
  if (((v$2 === (void 0)) || (json.taskState === null))) {
    var jsx$7 = null
  } else {
    var jsx$7 = $as_T(json.taskState)
  };
  var v$3 = json.summary;
  if (((v$3 === (void 0)) || (json.summary === null))) {
    var jsx$6 = (void 0)
  } else {
    var jsx$6 = json.summary
  };
  var v$4 = json.details;
  if (((v$4 === (void 0)) || (json.details === null))) {
    var jsx$5 = (void 0)
  } else {
    var jsx$5 = json.details
  };
  var v$5 = json.outputData;
  if (((v$5 === (void 0)) || (json.outputData === null))) {
    var jsx$4 = (void 0)
  } else {
    var jsx$4 = json.outputData
  };
  var v$6 = json.constraintList;
  if (((v$6 === (void 0)) || (json.constraintList === null))) {
    var jsx$3 = []
  } else {
    var jsx$3 = json.constraintList
  };
  var v$7 = json.errorTime;
  if (((v$7 === (void 0)) || (json.errorTime === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = new $g.Date($as_T(json.errorTime))
  };
  var v$8 = json.errorDate;
  if (((v$8 === (void 0)) || (json.errorDate === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = new $g.Date($as_T(json.errorDate))
  };
  var v$9 = json.isHistory;
  return new ($a_Lcom_metastay_monitorapp_data_MonitorTaskExitQ())(jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, ((!((v$9 === (void 0)) || (json.isHistory === null))) && $uZ(json.isHistory)))
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__createNew__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__Lcom_metastay_monitorapp_data_MonitorTaskExitQ($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorTaskExitQ())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__T($this) {
  return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\"visible\" : false"])).s__sc_Seq__T($m_sci_Nil$())
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__$$lessinit$greater$default$10__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__Z($this) {
  return false
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorTaskExitQ\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"taskId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"flowId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"taskState\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"summary\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"details\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"outputData\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"constraintList\": {\n    \"type\": \"Array_String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"errorTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {\"formatter\" : \"TaskErrorUtil.errorExitQ\"} \n        }\n     ,\n\"errorDate\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"isHistory\": {\n    \"type\": \"Boolean\" \n   \n   , \"extra\": {", "} \n        }\n     \n },\n \"required\": [   \"taskId\" , \"flowId\" , \"taskState\" , \"errorTime\" , \"errorDate\" , \"isHistory\" ]\n }\n      "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__T($this)])))
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__sjs_js_Date($this) {
  return null
}
var $b_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$ = (function $c_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$ = (function $h_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$();
    $c_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$;
    $c_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__createNew__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__Lcom_metastay_monitorapp_data_MonitorTaskExitQ(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorTaskExitQ(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__from__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorTaskExitQ(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorTaskExitQ$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$ = $c_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$
}
var $n_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$ = new ($a_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm__toJson__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.teamCode);
  ret.teamCode = s;
  var coll = $this.taskNameList;
  ret.taskNameList = coll;
  var coll$1 = $this.taskStateList;
  ret.taskStateList = coll$1;
  var value = $this.cid;
  if ((value !== (void 0))) {
    var value$1 = $this.cid;
    if ((value$1 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$1 = $as_T(value$1);
    ret.cid = s$1
  };
  var value$2 = $this.fromDate;
  if ((value$2 !== (void 0))) {
    var value$3 = $this.fromDate;
    if ((value$3 === (void 0))) {
      var jsx$1;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$1 = value$3
    };
    ret.fromDate = jsx$1
  };
  var value$4 = $this.toDate;
  if ((value$4 !== (void 0))) {
    var value$5 = $this.toDate;
    if ((value$5 === (void 0))) {
      var jsx$2;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$2 = value$5
    };
    ret.toDate = jsx$2
  };
  var value$6 = $uZ($this.showAll);
  ret.showAll = value$6;
  return ret
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm__asDynamic__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm = (function $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var teamCode = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$()) : $as_T(arg$rest[0]));
      var taskNameList = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$()) : arg$rest[1]);
      var taskStateList = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$()) : arg$rest[2]);
      var cid = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$()) : arg$rest[3]);
      var fromDate = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$()) : arg$rest[4]);
      var toDate = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$()) : arg$rest[5]);
      var showAll = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__Z($m_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$()) : $uZ(arg$rest[6]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskNameList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskStateList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "cid", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fromDate", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "toDate", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "showAll", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": false
      });
      this.teamCode = teamCode;
      this.taskNameList = taskNameList;
      this.taskStateList = taskStateList;
      this.cid = cid;
      this.fromDate = fromDate;
      this.toDate = toDate;
      this.showAll = showAll
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm = (function $h_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm();
    $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm__asDynamic__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm__toJson__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm = $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__Z($this) {
  return false
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorTaskSearchForm\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"taskNameList\": {\n    \"type\": \"Array_String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"taskStateList\": {\n    \"type\": \"Array_String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"cid\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"fromDate\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"toDate\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"showAll\": {\n    \"type\": \"Boolean\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"teamCode\" , \"showAll\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__createNew__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__from__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm($this, json) {
  var v = json.teamCode;
  if (((v === (void 0)) || (json.teamCode === null))) {
    var jsx$6 = null
  } else {
    var jsx$6 = $as_T(json.teamCode)
  };
  var v$1 = json.taskNameList;
  if (((v$1 === (void 0)) || (json.taskNameList === null))) {
    var jsx$5 = []
  } else {
    var jsx$5 = json.taskNameList
  };
  var v$2 = json.taskStateList;
  if (((v$2 === (void 0)) || (json.taskStateList === null))) {
    var jsx$4 = []
  } else {
    var jsx$4 = json.taskStateList
  };
  var v$3 = json.cid;
  if (((v$3 === (void 0)) || (json.cid === null))) {
    var jsx$3 = (void 0)
  } else {
    var jsx$3 = json.cid
  };
  var v$4 = json.fromDate;
  if (((v$4 === (void 0)) || (json.fromDate === null))) {
    var jsx$2 = (void 0)
  } else {
    var opt$2 = new $c_s_Some().init___O(new $g.Date($as_T(json.fromDate)));
    var arg1 = opt$2.x$2;
    var jsx$2 = arg1
  };
  var v$5 = json.toDate;
  if (((v$5 === (void 0)) || (json.toDate === null))) {
    var jsx$1 = (void 0)
  } else {
    var opt$4 = new $c_s_Some().init___O(new $g.Date($as_T(json.toDate)));
    var arg1$1 = opt$4.x$2;
    var jsx$1 = arg1$1
  };
  var v$6 = json.showAll;
  return new ($a_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm())(jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, ((!((v$6 === (void 0)) || (json.showAll === null))) && $uZ(json.showAll)))
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__sjs_js_Array($this) {
  return []
}
var $b_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$ = (function $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$ = (function $h_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$();
    $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$;
    $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__createNew__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__from__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$ = $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$
}
var $n_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$ = new ($a_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid__toJson__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.flowId);
  ret.flowId = s;
  var s$1 = $as_T($this.taskId);
  ret.taskId = s$1;
  var s$2 = $as_T($this.displayId);
  ret.displayId = s$2;
  var s$3 = $as_T($this.taskName);
  ret.taskName = s$3;
  var s$4 = $as_T($this.taskType);
  ret.taskType = s$4;
  var value = $uI($this.priority);
  ret.priority = value;
  var s$5 = $as_T($this.flowCreatedDate.toISOString());
  ret.flowCreatedDate = s$5;
  var s$6 = $as_T($this.taskState);
  ret.taskState = s$6;
  var value$1 = $this.allocatedTo;
  if ((value$1 !== (void 0))) {
    var value$2 = $this.allocatedTo;
    if ((value$2 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$7 = $as_T(value$2);
    ret.allocatedTo = s$7
  };
  var value$3 = $this.allocatedTime;
  if ((value$3 !== (void 0))) {
    var value$4 = $this.allocatedTime;
    if ((value$4 === (void 0))) {
      var jsx$1;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$1 = value$4
    };
    ret.allocatedTime = jsx$1
  };
  var value$5 = $this.startedTime;
  if ((value$5 !== (void 0))) {
    var value$6 = $this.startedTime;
    if ((value$6 === (void 0))) {
      var jsx$2;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$2 = value$6
    };
    ret.startedTime = jsx$2
  };
  var s$8 = $as_T($this.taskInput);
  ret.taskInput = s$8;
  return ret
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid__asDynamic__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid = (function $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var flowId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$()) : $as_T(arg$rest[0]));
      var taskId = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$()) : $as_T(arg$rest[1]));
      var displayId = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$()) : $as_T(arg$rest[2]));
      var taskName = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$()) : $as_T(arg$rest[3]));
      var taskType = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$()) : $as_T(arg$rest[4]));
      var priority = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__I($m_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$()) : $uI(arg$rest[5]));
      var flowCreatedDate = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__sjs_js_Date($m_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$()) : arg$rest[6]);
      var taskState = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$()) : $as_T(arg$rest[7]));
      var allocatedTo = ((arg$rest[8] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$()) : arg$rest[8]);
      var allocatedTime = ((arg$rest[9] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$10__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$()) : arg$rest[9]);
      var startedTime = ((arg$rest[10] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$11__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$()) : arg$rest[10]);
      var taskInput = ((arg$rest[11] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$12__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$()) : $as_T(arg$rest[11]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "flowId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "displayId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskType", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "priority", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "flowCreatedDate", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskState", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "allocatedTo", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "allocatedTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "startedTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskInput", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.flowId = flowId;
      this.taskId = taskId;
      this.displayId = displayId;
      this.taskName = taskName;
      this.taskType = taskType;
      this.priority = priority;
      this.flowCreatedDate = flowCreatedDate;
      this.taskState = taskState;
      this.allocatedTo = allocatedTo;
      this.allocatedTime = allocatedTime;
      this.startedTime = startedTime;
      this.taskInput = taskInput
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid = (function $h_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid();
    $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid__asDynamic__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid__toJson__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid = $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$12__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$11__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$10__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__createNew__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__T($this) {
  return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\"visible\" : false"])).s__sc_Seq__T($m_sci_Nil$())
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid($this, json) {
  var v = json.flowId;
  if (((v === (void 0)) || (json.flowId === null))) {
    var jsx$11 = null
  } else {
    var jsx$11 = $as_T(json.flowId)
  };
  var v$1 = json.taskId;
  if (((v$1 === (void 0)) || (json.taskId === null))) {
    var jsx$10 = null
  } else {
    var jsx$10 = $as_T(json.taskId)
  };
  var v$2 = json.displayId;
  if (((v$2 === (void 0)) || (json.displayId === null))) {
    var jsx$9 = null
  } else {
    var jsx$9 = $as_T(json.displayId)
  };
  var v$3 = json.taskName;
  if (((v$3 === (void 0)) || (json.taskName === null))) {
    var jsx$8 = null
  } else {
    var jsx$8 = $as_T(json.taskName)
  };
  var v$4 = json.taskType;
  if (((v$4 === (void 0)) || (json.taskType === null))) {
    var jsx$7 = null
  } else {
    var jsx$7 = $as_T(json.taskType)
  };
  var v$5 = json.priority;
  if (((v$5 === (void 0)) || (json.priority === null))) {
    var jsx$6 = 0
  } else {
    var jsx$6 = $uI(json.priority)
  };
  var v$6 = json.flowCreatedDate;
  if (((v$6 === (void 0)) || (json.flowCreatedDate === null))) {
    var jsx$5 = null
  } else {
    var jsx$5 = new $g.Date($as_T(json.flowCreatedDate))
  };
  var v$7 = json.taskState;
  if (((v$7 === (void 0)) || (json.taskState === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.taskState)
  };
  var v$8 = json.allocatedTo;
  if (((v$8 === (void 0)) || (json.allocatedTo === null))) {
    var jsx$3 = (void 0)
  } else {
    var jsx$3 = json.allocatedTo
  };
  var v$9 = json.allocatedTime;
  if (((v$9 === (void 0)) || (json.allocatedTime === null))) {
    var jsx$2 = (void 0)
  } else {
    var opt$2 = new $c_s_Some().init___O(new $g.Date($as_T(json.allocatedTime)));
    var arg1 = opt$2.x$2;
    var jsx$2 = arg1
  };
  var v$10 = json.startedTime;
  if (((v$10 === (void 0)) || (json.startedTime === null))) {
    var jsx$1 = (void 0)
  } else {
    var opt$4 = new $c_s_Some().init___O(new $g.Date($as_T(json.startedTime)));
    var arg1$1 = opt$4.x$2;
    var jsx$1 = arg1$1
  };
  var v$11 = json.taskInput;
  return new ($a_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid())(jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, (((v$11 === (void 0)) || (json.taskInput === null)) ? null : $as_T(json.taskInput)))
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__from__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorTaskSearchResultGrid\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"flowId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"taskId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"displayId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"title\":\"Name\", \"link\": \"flow/:flowId\"} \n        }\n     ,\n\"taskName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"link\": \"task/:taskId\"} \n        }\n     ,\n\"taskType\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"formatter\" : \"MonitorUtil.taskTypeFormat\"} \n        }\n     ,\n\"priority\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"flowCreatedDate\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {\"formatter\" : \"MonitorUtil.dateFormatForGrid\", \"sorter\" : \"Util.dateSorter\"} \n        }\n     ,\n\"taskState\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"allocatedTo\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"allocatedTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"startedTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"taskInput\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     \n },\n \"required\": [   \"flowId\" , \"taskId\" , \"displayId\" , \"taskName\" , \"taskType\" , \"priority\" , \"flowCreatedDate\" , \"taskState\" , \"taskInput\" ]\n }\n      "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__T($this)])))
}
var $b_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$ = (function $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$ = (function $h_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$();
    $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$;
    $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__createNew__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__from__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$ = $c_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$
}
var $n_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$ = new ($a_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$
}
function $s_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap__asDynamic__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap__toJson__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.teamCode);
  ret.teamCode = s;
  var array = $this.earliestFlowActiveList;
  var array$1 = [];
  $uI(array.length);
  var i = 0;
  var len = $uI(array.length);
  while ((i < len)) {
    var index = i;
    var arg1 = array[index];
    var elem = arg1.toJson;
    array$1.push(elem);
    i = ((1 + i) | 0)
  };
  ret.earliestFlowActiveList = array$1;
  return ret
}
var $b_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap = (function $c_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var teamCode = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__T($m_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$()) : $as_T(arg$rest[0]));
      var earliestFlowActiveList = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$()) : arg$rest[1]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "earliestFlowActiveList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.teamCode = teamCode;
      this.earliestFlowActiveList = earliestFlowActiveList
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap = (function $h_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap();
    $c_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap__asDynamic__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap__toJson__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap = $c_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap
}
function $s_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap($this, json) {
  var v = json.teamCode;
  if (((v === (void 0)) || (json.teamCode === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.teamCode)
  };
  var v$1 = json.earliestFlowActiveList;
  if (((v$1 === (void 0)) || (json.earliestFlowActiveList === null))) {
    var jsx$1 = []
  } else {
    var array = json.earliestFlowActiveList;
    var array$1 = [];
    $uI(array.length);
    var i = 0;
    var len = $uI(array.length);
    while ((i < len)) {
      var index = i;
      var arg1 = array[index];
      var elem = $m_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$().fromDynamic(arg1);
      array$1.push(elem);
      i = ((1 + i) | 0)
    };
    var jsx$1 = array$1
  };
  return new ($a_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap())(jsx$2, jsx$1)
}
function $s_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__createNew__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorTeamEarliestFlowMap\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"earliestFlowActiveList\": {\n    \"type\": \"Array_com.metastay.monitorapp.data.MonitorEarliestFlowActive\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"teamCode\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__from__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
var $b_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$ = (function $c_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$ = (function $h_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$();
    $c_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$;
    $c_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__createNew__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__from__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$ = $c_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$
}
var $n_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$ = new ($a_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary__toJson__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.teamCode);
  ret.teamCode = s;
  var s$1 = $as_T($this.fqFlowName);
  ret.fqFlowName = s$1;
  var s$2 = $as_T($this.flowName);
  ret.flowName = s$2;
  var array = $this.userList;
  var array$1 = [];
  $uI(array.length);
  var i = 0;
  var len = $uI(array.length);
  while ((i < len)) {
    var index = i;
    var arg1 = array[index];
    var elem = arg1.toJson;
    array$1.push(elem);
    i = ((1 + i) | 0)
  };
  ret.userList = array$1;
  return ret
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary__asDynamic__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary = (function $c_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var teamCode = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__T($m_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$()) : $as_T(arg$rest[0]));
      var fqFlowName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__T($m_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$()) : $as_T(arg$rest[1]));
      var flowName = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__T($m_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$()) : $as_T(arg$rest[2]));
      var userList = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$()) : arg$rest[3]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fqFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "userList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.teamCode = teamCode;
      this.fqFlowName = fqFlowName;
      this.flowName = flowName;
      this.userList = userList
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary = (function $h_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary();
    $c_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary__asDynamic__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary__toJson__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary = $c_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorUserDashboardSummary\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"fqFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"flowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"userList\": {\n    \"type\": \"Array_com.metastay.monitorapp.data.MonitorDashboardUserGrid\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"teamCode\" , \"fqFlowName\" , \"flowName\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary($this, json) {
  var v = json.teamCode;
  if (((v === (void 0)) || (json.teamCode === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.teamCode)
  };
  var v$1 = json.fqFlowName;
  if (((v$1 === (void 0)) || (json.fqFlowName === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.fqFlowName)
  };
  var v$2 = json.flowName;
  if (((v$2 === (void 0)) || (json.flowName === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.flowName)
  };
  var v$3 = json.userList;
  if (((v$3 === (void 0)) || (json.userList === null))) {
    var jsx$1 = []
  } else {
    var array = json.userList;
    var array$1 = [];
    $uI(array.length);
    var i = 0;
    var len = $uI(array.length);
    while ((i < len)) {
      var index = i;
      var arg1 = array[index];
      var elem = $m_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$().fromDynamic(arg1);
      array$1.push(elem);
      i = ((1 + i) | 0)
    };
    var jsx$1 = array$1
  };
  return new ($a_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary())(jsx$4, jsx$3, jsx$2, jsx$1)
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__createNew__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__from__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
var $b_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$ = (function $c_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$ = (function $h_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$();
    $c_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$;
    $c_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__createNew__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__from__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$ = $c_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$
}
var $n_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$ = new ($a_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetails__asDynamic__Lcom_metastay_monitorapp_data_MonitorUserDetails__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetails__toJson__Lcom_metastay_monitorapp_data_MonitorUserDetails__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userName);
  ret.userName = s;
  var value = $uZ($this.userIsActive);
  ret.userIsActive = value;
  var array = $this.teamRoleList;
  var array$1 = [];
  $uI(array.length);
  var i = 0;
  var len = $uI(array.length);
  while ((i < len)) {
    var index = i;
    var arg1 = array[index];
    var elem = arg1.toJson;
    array$1.push(elem);
    i = ((1 + i) | 0)
  };
  ret.teamRoleList = array$1;
  var value$1 = $uI($this.allocatedCount);
  ret.allocatedCount = value$1;
  var value$2 = $uI($this.startedCount);
  ret.startedCount = value$2;
  var value$3 = $this.lastActivityTime;
  if ((value$3 !== (void 0))) {
    var value$4 = $this.lastActivityTime;
    if ((value$4 === (void 0))) {
      var jsx$1;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$1 = value$4
    };
    ret.lastActivityTime = jsx$1
  };
  var array$2 = $this.taskList;
  var array$3 = [];
  $uI(array$2.length);
  var i$1 = 0;
  var len$1 = $uI(array$2.length);
  while ((i$1 < len$1)) {
    var index$1 = i$1;
    var arg1$1 = array$2[index$1];
    var elem$1 = arg1$1.toJson;
    array$3.push(elem$1);
    i$1 = ((1 + i$1) | 0)
  };
  ret.taskList = array$3;
  return ret
}
var $b_Lcom_metastay_monitorapp_data_MonitorUserDetails = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorUserDetails() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorUserDetails)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorUserDetails = (function $c_Lcom_metastay_monitorapp_data_MonitorUserDetails() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorUserDetails$__T($m_Lcom_metastay_monitorapp_data_MonitorUserDetails$()) : $as_T(arg$rest[0]));
      var userIsActive = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorUserDetails$__Z($m_Lcom_metastay_monitorapp_data_MonitorUserDetails$()) : $uZ(arg$rest[1]));
      var teamRoleList = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorUserDetails$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_MonitorUserDetails$()) : arg$rest[2]);
      var allocatedCount = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorUserDetails$__I($m_Lcom_metastay_monitorapp_data_MonitorUserDetails$()) : $uI(arg$rest[3]));
      var startedCount = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorUserDetails$__I($m_Lcom_metastay_monitorapp_data_MonitorUserDetails$()) : $uI(arg$rest[4]));
      var lastActivityTime = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorUserDetails$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorUserDetails$()) : arg$rest[5]);
      var taskList = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorUserDetails$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_MonitorUserDetails$()) : arg$rest[6]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "userIsActive", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": false
      });
      $g.Object.defineProperty(this, "teamRoleList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "allocatedCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "startedCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "lastActivityTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.userName = userName;
      this.userIsActive = userIsActive;
      this.teamRoleList = teamRoleList;
      this.allocatedCount = allocatedCount;
      this.startedCount = startedCount;
      this.lastActivityTime = lastActivityTime;
      this.taskList = taskList
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorUserDetails = (function $h_Lcom_metastay_monitorapp_data_MonitorUserDetails() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorUserDetails.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorUserDetails.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorUserDetails();
    $c_Lcom_metastay_monitorapp_data_MonitorUserDetails.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorUserDetails;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorUserDetails.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorUserDetails__asDynamic__Lcom_metastay_monitorapp_data_MonitorUserDetails__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorUserDetails.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorUserDetails__toJson__Lcom_metastay_monitorapp_data_MonitorUserDetails__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorUserDetails = $c_Lcom_metastay_monitorapp_data_MonitorUserDetails
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorUserDetails
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorUserDetails$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorUserDetails($this, json) {
  var v = json.userName;
  if (((v === (void 0)) || (json.userName === null))) {
    var jsx$7 = null
  } else {
    var jsx$7 = $as_T(json.userName)
  };
  var v$1 = json.userIsActive;
  if ((!((v$1 === (void 0)) || (json.userIsActive === null)))) {
    var jsx$6 = $uZ(json.userIsActive)
  } else {
    var jsx$6 = false
  };
  var v$2 = json.teamRoleList;
  if (((v$2 === (void 0)) || (json.teamRoleList === null))) {
    var jsx$5 = []
  } else {
    var array = json.teamRoleList;
    var array$1 = [];
    $uI(array.length);
    var i = 0;
    var len = $uI(array.length);
    while ((i < len)) {
      var index = i;
      var arg1 = array[index];
      var elem = $m_Lcom_metastay_monitorapp_data_TeamRoleList$().fromDynamic(arg1);
      array$1.push(elem);
      i = ((1 + i) | 0)
    };
    var jsx$5 = array$1
  };
  var v$3 = json.allocatedCount;
  if (((v$3 === (void 0)) || (json.allocatedCount === null))) {
    var jsx$4 = 0
  } else {
    var jsx$4 = $uI(json.allocatedCount)
  };
  var v$4 = json.startedCount;
  if (((v$4 === (void 0)) || (json.startedCount === null))) {
    var jsx$3 = 0
  } else {
    var jsx$3 = $uI(json.startedCount)
  };
  var v$5 = json.lastActivityTime;
  if (((v$5 === (void 0)) || (json.lastActivityTime === null))) {
    var jsx$2 = (void 0)
  } else {
    var opt$1 = new $c_s_Some().init___O(new $g.Date($as_T(json.lastActivityTime)));
    var arg1$1 = opt$1.x$2;
    var jsx$2 = arg1$1
  };
  var v$6 = json.taskList;
  if (((v$6 === (void 0)) || (json.taskList === null))) {
    var jsx$1 = []
  } else {
    var array$2 = json.taskList;
    var array$3 = [];
    $uI(array$2.length);
    var i$1 = 0;
    var len$1 = $uI(array$2.length);
    while ((i$1 < len$1)) {
      var index$1 = i$1;
      var arg1$2 = array$2[index$1];
      var elem$1 = $m_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$().fromDynamic(arg1$2);
      array$3.push(elem$1);
      i$1 = ((1 + i$1) | 0)
    };
    var jsx$1 = array$3
  };
  return new ($a_Lcom_metastay_monitorapp_data_MonitorUserDetails())(jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1)
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorUserDetails$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorUserDetails$__Z($this) {
  return false
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__from__Lcom_metastay_monitorapp_data_MonitorUserDetails$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorUserDetails($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorUserDetails$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorUserDetails$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorUserDetails\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"userIsActive\": {\n    \"type\": \"Boolean\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"teamRoleList\": {\n    \"type\": \"Array_com.metastay.monitorapp.data.TeamRoleList\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"allocatedCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"startedCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"lastActivityTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"taskList\": {\n    \"type\": \"Array_com.metastay.monitorapp.data.MonitorUserDetailsTaskGrid\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"userName\" , \"userIsActive\" , \"allocatedCount\" , \"startedCount\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorUserDetails$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorUserDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorUserDetails$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__createNew__Lcom_metastay_monitorapp_data_MonitorUserDetails$__Lcom_metastay_monitorapp_data_MonitorUserDetails($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorUserDetails())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorUserDetails$__sjs_js_Array($this) {
  return []
}
var $b_Lcom_metastay_monitorapp_data_MonitorUserDetails$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorUserDetails$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorUserDetails$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorUserDetails$ = (function $c_Lcom_metastay_monitorapp_data_MonitorUserDetails$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorUserDetails$ = (function $h_Lcom_metastay_monitorapp_data_MonitorUserDetails$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorUserDetails$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorUserDetails$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorUserDetails$();
    $c_Lcom_metastay_monitorapp_data_MonitorUserDetails$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorUserDetails$;
    $c_Lcom_metastay_monitorapp_data_MonitorUserDetails$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__createNew__Lcom_metastay_monitorapp_data_MonitorUserDetails$__Lcom_metastay_monitorapp_data_MonitorUserDetails(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorUserDetails$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorUserDetails$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorUserDetails(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorUserDetails$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__from__Lcom_metastay_monitorapp_data_MonitorUserDetails$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorUserDetails(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorUserDetails$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorUserDetails$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorUserDetails$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorUserDetails$ = $c_Lcom_metastay_monitorapp_data_MonitorUserDetails$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorUserDetails$
}
var $n_Lcom_metastay_monitorapp_data_MonitorUserDetails$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorUserDetails$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorUserDetails$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorUserDetails$ = new ($a_Lcom_metastay_monitorapp_data_MonitorUserDetails$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorUserDetails$
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid__toJson__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.taskId);
  ret.taskId = s;
  var s$1 = $as_T($this.taskName);
  ret.taskName = s$1;
  var s$2 = $as_T($this.taskState);
  ret.taskState = s$2;
  var value = $uI($this.priority);
  ret.priority = value;
  var s$3 = $as_T($this.readyTime.toISOString());
  ret.readyTime = s$3;
  var value$1 = $this.allocatedTime;
  if ((value$1 !== (void 0))) {
    var value$2 = $this.allocatedTime;
    if ((value$2 === (void 0))) {
      var jsx$1;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$1 = value$2
    };
    ret.allocatedTime = jsx$1
  };
  var value$3 = $this.startedTime;
  if ((value$3 !== (void 0))) {
    var value$4 = $this.startedTime;
    if ((value$4 === (void 0))) {
      var jsx$2;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$2 = value$4
    };
    ret.startedTime = jsx$2
  };
  return ret
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid__asDynamic__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid = (function $c_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var taskId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$()) : $as_T(arg$rest[0]));
      var taskName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$()) : $as_T(arg$rest[1]));
      var taskState = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$()) : $as_T(arg$rest[2]));
      var priority = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__I($m_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$()) : $uI(arg$rest[3]));
      var readyTime = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__sjs_js_Date($m_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$()) : arg$rest[4]);
      var allocatedTime = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$()) : arg$rest[5]);
      var startedTime = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$()) : arg$rest[6]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "taskId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskState", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "priority", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "readyTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "allocatedTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "startedTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.taskId = taskId;
      this.taskName = taskName;
      this.taskState = taskState;
      this.priority = priority;
      this.readyTime = readyTime;
      this.allocatedTime = allocatedTime;
      this.startedTime = startedTime
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid = (function $h_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid();
    $c_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid__asDynamic__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid__toJson__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid = $c_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid($this, json) {
  var v = json.taskId;
  if (((v === (void 0)) || (json.taskId === null))) {
    var jsx$7 = null
  } else {
    var jsx$7 = $as_T(json.taskId)
  };
  var v$1 = json.taskName;
  if (((v$1 === (void 0)) || (json.taskName === null))) {
    var jsx$6 = null
  } else {
    var jsx$6 = $as_T(json.taskName)
  };
  var v$2 = json.taskState;
  if (((v$2 === (void 0)) || (json.taskState === null))) {
    var jsx$5 = null
  } else {
    var jsx$5 = $as_T(json.taskState)
  };
  var v$3 = json.priority;
  if (((v$3 === (void 0)) || (json.priority === null))) {
    var jsx$4 = 0
  } else {
    var jsx$4 = $uI(json.priority)
  };
  var v$4 = json.readyTime;
  if (((v$4 === (void 0)) || (json.readyTime === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = new $g.Date($as_T(json.readyTime))
  };
  var v$5 = json.allocatedTime;
  if (((v$5 === (void 0)) || (json.allocatedTime === null))) {
    var jsx$2 = (void 0)
  } else {
    var opt$1 = new $c_s_Some().init___O(new $g.Date($as_T(json.allocatedTime)));
    var arg1 = opt$1.x$2;
    var jsx$2 = arg1
  };
  var v$6 = json.startedTime;
  if (((v$6 === (void 0)) || (json.startedTime === null))) {
    var jsx$1 = (void 0)
  } else {
    var opt$3 = new $c_s_Some().init___O(new $g.Date($as_T(json.startedTime)));
    var arg1$1 = opt$3.x$2;
    var jsx$1 = arg1$1
  };
  return new ($a_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid())(jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1)
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__createNew__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorUserDetailsTaskGrid\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"taskId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"taskName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"link\": \"task/:taskId\"} \n        }\n     ,\n\"taskState\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"priority\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"readyTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"allocatedTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"startedTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"taskId\" , \"taskName\" , \"taskState\" , \"priority\" , \"readyTime\" ]\n }\n      "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__T($this)])))
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__from__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__T($this) {
  return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\"visible\" : false"])).s__sc_Seq__T($m_sci_Nil$())
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__I($this) {
  return 0
}
var $b_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$ = (function $c_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$ = (function $h_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$();
    $c_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$;
    $c_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__createNew__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__from__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$ = $c_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$
}
var $n_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$ = new ($a_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm__toJson__Lcom_metastay_monitorapp_data_MonitorUserSearchForm__sjs_js_Dynamic($this) {
  var ret = {};
  var value = $this.userName;
  if ((value !== (void 0))) {
    var value$1 = $this.userName;
    if ((value$1 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s = $as_T(value$1);
    ret.userName = s
  };
  var value$2 = $this.teamCode;
  if ((value$2 !== (void 0))) {
    var value$3 = $this.teamCode;
    if ((value$3 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$1 = $as_T(value$3);
    ret.teamCode = s$1
  };
  var coll = $this.taskNameList;
  ret.taskNameList = coll;
  var value$4 = $this.cid;
  if ((value$4 !== (void 0))) {
    var value$5 = $this.cid;
    if ((value$5 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$2 = $as_T(value$5);
    ret.cid = s$2
  };
  var value$6 = $this.fromDate;
  if ((value$6 !== (void 0))) {
    var value$7 = $this.fromDate;
    if ((value$7 === (void 0))) {
      var jsx$1;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$1 = value$7
    };
    ret.fromDate = jsx$1
  };
  var value$8 = $this.toDate;
  if ((value$8 !== (void 0))) {
    var value$9 = $this.toDate;
    if ((value$9 === (void 0))) {
      var jsx$2;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$2 = value$9
    };
    ret.toDate = jsx$2
  };
  var value$10 = $uZ($this.showAll);
  ret.showAll = value$10;
  return ret
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm__asDynamic__Lcom_metastay_monitorapp_data_MonitorUserSearchForm__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_MonitorUserSearchForm = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorUserSearchForm() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorUserSearchForm)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorUserSearchForm = (function $c_Lcom_metastay_monitorapp_data_MonitorUserSearchForm() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$()) : arg$rest[0]);
      var teamCode = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$()) : arg$rest[1]);
      var taskNameList = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$()) : arg$rest[2]);
      var cid = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$()) : arg$rest[3]);
      var fromDate = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$()) : arg$rest[4]);
      var toDate = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$()) : arg$rest[5]);
      var showAll = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__Z($m_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$()) : $uZ(arg$rest[6]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskNameList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "cid", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fromDate", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "toDate", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "showAll", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": false
      });
      this.userName = userName;
      this.teamCode = teamCode;
      this.taskNameList = taskNameList;
      this.cid = cid;
      this.fromDate = fromDate;
      this.toDate = toDate;
      this.showAll = showAll
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorUserSearchForm = (function $h_Lcom_metastay_monitorapp_data_MonitorUserSearchForm() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorUserSearchForm.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorUserSearchForm.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorUserSearchForm();
    $c_Lcom_metastay_monitorapp_data_MonitorUserSearchForm.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorUserSearchForm;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorUserSearchForm.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm__asDynamic__Lcom_metastay_monitorapp_data_MonitorUserSearchForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorUserSearchForm.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm__toJson__Lcom_metastay_monitorapp_data_MonitorUserSearchForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorUserSearchForm = $c_Lcom_metastay_monitorapp_data_MonitorUserSearchForm
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorUserSearchForm
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__createNew__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__Lcom_metastay_monitorapp_data_MonitorUserSearchForm($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorUserSearchForm())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__from__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorUserSearchForm($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__Z($this) {
  return false
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorUserSearchForm\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"taskNameList\": {\n    \"type\": \"Array_String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"cid\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"fromDate\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"toDate\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"showAll\": {\n    \"type\": \"Boolean\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"showAll\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorUserSearchForm($this, json) {
  var v = json.userName;
  if (((v === (void 0)) || (json.userName === null))) {
    var jsx$6 = (void 0)
  } else {
    var jsx$6 = json.userName
  };
  var v$1 = json.teamCode;
  if (((v$1 === (void 0)) || (json.teamCode === null))) {
    var jsx$5 = (void 0)
  } else {
    var jsx$5 = json.teamCode
  };
  var v$2 = json.taskNameList;
  if (((v$2 === (void 0)) || (json.taskNameList === null))) {
    var jsx$4 = []
  } else {
    var jsx$4 = json.taskNameList
  };
  var v$3 = json.cid;
  if (((v$3 === (void 0)) || (json.cid === null))) {
    var jsx$3 = (void 0)
  } else {
    var jsx$3 = json.cid
  };
  var v$4 = json.fromDate;
  if (((v$4 === (void 0)) || (json.fromDate === null))) {
    var jsx$2 = (void 0)
  } else {
    var opt$4 = new $c_s_Some().init___O(new $g.Date($as_T(json.fromDate)));
    var arg1 = opt$4.x$2;
    var jsx$2 = arg1
  };
  var v$5 = json.toDate;
  if (((v$5 === (void 0)) || (json.toDate === null))) {
    var jsx$1 = (void 0)
  } else {
    var opt$6 = new $c_s_Some().init___O(new $g.Date($as_T(json.toDate)));
    var arg1$1 = opt$6.x$2;
    var jsx$1 = arg1$1
  };
  var v$6 = json.showAll;
  return new ($a_Lcom_metastay_monitorapp_data_MonitorUserSearchForm())(jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, ((!((v$6 === (void 0)) || (json.showAll === null))) && $uZ(json.showAll)))
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
var $b_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$ = (function $c_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$ = (function $h_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$();
    $c_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$;
    $c_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__createNew__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__Lcom_metastay_monitorapp_data_MonitorUserSearchForm(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorUserSearchForm(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__from__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorUserSearchForm(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorUserSearchForm$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$ = $c_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$
}
var $n_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$ = new ($a_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid__toJson__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userName);
  ret.userName = s;
  var s$1 = $as_T($this.teamCode);
  ret.teamCode = s$1;
  var s$2 = $as_T($this.fqFlowName);
  ret.fqFlowName = s$2;
  var s$3 = $as_T($this.flowName);
  ret.flowName = s$3;
  var s$4 = $as_T($this.taskName);
  ret.taskName = s$4;
  var value = $uI($this.allocatedCount);
  ret.allocatedCount = value;
  var value$1 = $uI($this.startedCount);
  ret.startedCount = value$1;
  var value$2 = $this.lastActivityTime;
  if ((value$2 !== (void 0))) {
    var value$3 = $this.lastActivityTime;
    if ((value$3 === (void 0))) {
      var jsx$1;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$1 = value$3
    };
    ret.lastActivityTime = jsx$1
  };
  return ret
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid__asDynamic__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid = (function $c_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$()) : $as_T(arg$rest[0]));
      var teamCode = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$()) : $as_T(arg$rest[1]));
      var fqFlowName = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$()) : $as_T(arg$rest[2]));
      var flowName = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$()) : $as_T(arg$rest[3]));
      var taskName = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__T($m_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$()) : $as_T(arg$rest[4]));
      var allocatedCount = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__I($m_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$()) : $uI(arg$rest[5]));
      var startedCount = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__I($m_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$()) : $uI(arg$rest[6]));
      var lastActivityTime = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$()) : arg$rest[7]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fqFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "allocatedCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "startedCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "lastActivityTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.userName = userName;
      this.teamCode = teamCode;
      this.fqFlowName = fqFlowName;
      this.flowName = flowName;
      this.taskName = taskName;
      this.allocatedCount = allocatedCount;
      this.startedCount = startedCount;
      this.lastActivityTime = lastActivityTime
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid = (function $h_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid();
    $c_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid__asDynamic__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid__toJson__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid = $c_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__createNew__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid())()
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MonitorUserSearchResultGrid\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"link\": \"user/:userName\"} \n        }\n     ,\n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"title\" : \"Team\"} \n        }\n     ,\n\"fqFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"flowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"taskName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"allocatedCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"startedCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"lastActivityTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"userName\" , \"teamCode\" , \"fqFlowName\" , \"flowName\" , \"taskName\" , \"allocatedCount\" , \"startedCount\" ]\n }\n      "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__T($this), $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__T($this)])))
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid($this, json) {
  var v = json.userName;
  if (((v === (void 0)) || (json.userName === null))) {
    var jsx$8 = null
  } else {
    var jsx$8 = $as_T(json.userName)
  };
  var v$1 = json.teamCode;
  if (((v$1 === (void 0)) || (json.teamCode === null))) {
    var jsx$7 = null
  } else {
    var jsx$7 = $as_T(json.teamCode)
  };
  var v$2 = json.fqFlowName;
  if (((v$2 === (void 0)) || (json.fqFlowName === null))) {
    var jsx$6 = null
  } else {
    var jsx$6 = $as_T(json.fqFlowName)
  };
  var v$3 = json.flowName;
  if (((v$3 === (void 0)) || (json.flowName === null))) {
    var jsx$5 = null
  } else {
    var jsx$5 = $as_T(json.flowName)
  };
  var v$4 = json.taskName;
  if (((v$4 === (void 0)) || (json.taskName === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.taskName)
  };
  var v$5 = json.allocatedCount;
  if (((v$5 === (void 0)) || (json.allocatedCount === null))) {
    var jsx$3 = 0
  } else {
    var jsx$3 = $uI(json.allocatedCount)
  };
  var v$6 = json.startedCount;
  if (((v$6 === (void 0)) || (json.startedCount === null))) {
    var jsx$2 = 0
  } else {
    var jsx$2 = $uI(json.startedCount)
  };
  var v$7 = json.lastActivityTime;
  if (((v$7 === (void 0)) || (json.lastActivityTime === null))) {
    var jsx$1 = (void 0)
  } else {
    var opt$1 = new $c_s_Some().init___O(new $g.Date($as_T(json.lastActivityTime)));
    var arg1 = opt$1.x$2;
    var jsx$1 = arg1
  };
  return new ($a_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid())(jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1)
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__from__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__hidden$1__p2__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__T($this) {
  return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\"visible\" : false"])).s__sc_Seq__T($m_sci_Nil$())
}
function $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__T($this) {
  return null
}
var $b_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$() {
  if ((!$b_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$ = (function $c_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$ = (function $h_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$.prototype = new $h_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$();
    $c_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$;
    $c_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__createNew__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid(this)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__fromDynamic__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__from__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__schemaInfo__Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$ = $c_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$
  };
  return $b_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$
}
var $n_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$() {
  if ((!$n_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$)) {
    $n_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$ = new ($a_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$())()
  };
  return $n_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$
}
function $s_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap__toJson__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.netName);
  ret.netName = s;
  var s$1 = $as_T($this.initDocumentSchema);
  ret.initDocumentSchema = s$1;
  return ret
}
function $s_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap__asDynamic__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap = (void 0);
function $a_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap() {
  if ((!$b_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap = (function $c_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var netName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__T($m_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$()) : $as_T(arg$rest[0]));
      var initDocumentSchema = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__T($m_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$()) : $as_T(arg$rest[1]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "netName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "initDocumentSchema", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.netName = netName;
      this.initDocumentSchema = initDocumentSchema
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap = (function $h_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap.prototype = new $h_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap();
    $c_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap.prototype.constructor = $c_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap__asDynamic__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap__toJson__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap = $c_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap
  };
  return $b_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap
}
function $s_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__fromDynamic__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap($this, json) {
  var v = json.netName;
  if (((v === (void 0)) || (json.netName === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.netName)
  };
  var v$1 = json.initDocumentSchema;
  return new ($a_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap())(jsx$1, (((v$1 === (void 0)) || (json.initDocumentSchema === null)) ? null : $as_T(json.initDocumentSchema)))
}
function $s_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__createNew__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap($this) {
  return new ($a_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap())()
}
function $s_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__from__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__schemaInfo__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"NetInitDocumentSchemaMap\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"netName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"initDocumentSchema\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"netName\" , \"initDocumentSchema\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
var $b_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$() {
  if ((!$b_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$ = (function $c_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$ = (function $h_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$.prototype = new $h_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$();
    $c_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$;
    $c_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__createNew__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap(this)
    });
    $c_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__fromDynamic__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__from__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__schemaInfo__Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$ = $c_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$
  };
  return $b_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$
}
var $n_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$() {
  if ((!$n_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$)) {
    $n_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$ = new ($a_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$())()
  };
  return $n_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$
}
function $s_Lcom_metastay_monitorapp_data_StallEntryGrid__toJson__Lcom_metastay_monitorapp_data_StallEntryGrid__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.flowId);
  ret.flowId = s;
  var value = $this.teamCode;
  if ((value !== (void 0))) {
    var value$1 = $this.teamCode;
    if ((value$1 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$1 = $as_T(value$1);
    ret.teamCode = s$1
  };
  var s$2 = $as_T($this.fqFlowName);
  ret.fqFlowName = s$2;
  var s$3 = $as_T($this.netName);
  ret.netName = s$3;
  var value$2 = $uI($this.priority);
  ret.priority = value$2;
  var s$4 = $as_T($this.initData);
  ret.initData = s$4;
  var s$5 = $as_T($this.cid);
  ret.cid = s$5;
  var s$6 = $as_T($this.displayId);
  ret.displayId = s$6;
  var value$3 = $this.source;
  if ((value$3 !== (void 0))) {
    var value$4 = $this.source;
    if ((value$4 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$7 = $as_T(value$4);
    ret.source = s$7
  };
  var value$5 = $this.parentTaskId;
  if ((value$5 !== (void 0))) {
    var value$6 = $this.parentTaskId;
    if ((value$6 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$8 = $as_T(value$6);
    ret.parentTaskId = s$8
  };
  var value$7 = $this.createdBy;
  if ((value$7 !== (void 0))) {
    var value$8 = $this.createdBy;
    if ((value$8 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$9 = $as_T(value$8);
    ret.createdBy = s$9
  };
  var s$10 = $as_T($this.releaseOne);
  ret.releaseOne = s$10;
  return ret
}
function $s_Lcom_metastay_monitorapp_data_StallEntryGrid__asDynamic__Lcom_metastay_monitorapp_data_StallEntryGrid__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_StallEntryGrid = (void 0);
function $a_Lcom_metastay_monitorapp_data_StallEntryGrid() {
  if ((!$b_Lcom_metastay_monitorapp_data_StallEntryGrid)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_StallEntryGrid = (function $c_Lcom_metastay_monitorapp_data_StallEntryGrid() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var flowId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_StallEntryGrid$__T($m_Lcom_metastay_monitorapp_data_StallEntryGrid$()) : $as_T(arg$rest[0]));
      var teamCode = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_StallEntryGrid$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_StallEntryGrid$()) : arg$rest[1]);
      var fqFlowName = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_StallEntryGrid$__T($m_Lcom_metastay_monitorapp_data_StallEntryGrid$()) : $as_T(arg$rest[2]));
      var netName = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_StallEntryGrid$__T($m_Lcom_metastay_monitorapp_data_StallEntryGrid$()) : $as_T(arg$rest[3]));
      var priority = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_StallEntryGrid$__I($m_Lcom_metastay_monitorapp_data_StallEntryGrid$()) : $uI(arg$rest[4]));
      var initData = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_StallEntryGrid$__T($m_Lcom_metastay_monitorapp_data_StallEntryGrid$()) : $as_T(arg$rest[5]));
      var cid = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_StallEntryGrid$__T($m_Lcom_metastay_monitorapp_data_StallEntryGrid$()) : $as_T(arg$rest[6]));
      var displayId = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_StallEntryGrid$__T($m_Lcom_metastay_monitorapp_data_StallEntryGrid$()) : $as_T(arg$rest[7]));
      var source = ((arg$rest[8] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_StallEntryGrid$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_StallEntryGrid$()) : arg$rest[8]);
      var parentTaskId = ((arg$rest[9] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$10__Lcom_metastay_monitorapp_data_StallEntryGrid$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_StallEntryGrid$()) : arg$rest[9]);
      var createdBy = ((arg$rest[10] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$11__Lcom_metastay_monitorapp_data_StallEntryGrid$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_StallEntryGrid$()) : arg$rest[10]);
      var releaseOne = ((arg$rest[11] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$12__Lcom_metastay_monitorapp_data_StallEntryGrid$__T($m_Lcom_metastay_monitorapp_data_StallEntryGrid$()) : $as_T(arg$rest[11]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "flowId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fqFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "netName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "priority", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "initData", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "cid", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "displayId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "source", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "parentTaskId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "createdBy", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "releaseOne", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.flowId = flowId;
      this.teamCode = teamCode;
      this.fqFlowName = fqFlowName;
      this.netName = netName;
      this.priority = priority;
      this.initData = initData;
      this.cid = cid;
      this.displayId = displayId;
      this.source = source;
      this.parentTaskId = parentTaskId;
      this.createdBy = createdBy;
      this.releaseOne = releaseOne
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_StallEntryGrid = (function $h_Lcom_metastay_monitorapp_data_StallEntryGrid() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_StallEntryGrid.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_StallEntryGrid.prototype = new $h_Lcom_metastay_monitorapp_data_StallEntryGrid();
    $c_Lcom_metastay_monitorapp_data_StallEntryGrid.prototype.constructor = $c_Lcom_metastay_monitorapp_data_StallEntryGrid;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_StallEntryGrid.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_StallEntryGrid__asDynamic__Lcom_metastay_monitorapp_data_StallEntryGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_StallEntryGrid.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_StallEntryGrid__toJson__Lcom_metastay_monitorapp_data_StallEntryGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_StallEntryGrid = $c_Lcom_metastay_monitorapp_data_StallEntryGrid
  };
  return $b_Lcom_metastay_monitorapp_data_StallEntryGrid
}
function $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_StallEntryGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_data_StallEntryGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_data_StallEntryGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_StallEntryGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_StallEntryGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_StallEntryGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$10__Lcom_metastay_monitorapp_data_StallEntryGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_StallEntryGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_StallEntryGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__from__Lcom_metastay_monitorapp_data_StallEntryGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_StallEntryGrid($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__createNew__Lcom_metastay_monitorapp_data_StallEntryGrid$__Lcom_metastay_monitorapp_data_StallEntryGrid($this) {
  return new ($a_Lcom_metastay_monitorapp_data_StallEntryGrid())()
}
function $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_StallEntryGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$12__Lcom_metastay_monitorapp_data_StallEntryGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__schemaInfo__Lcom_metastay_monitorapp_data_StallEntryGrid$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"StallEntryGrid\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"flowId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"fqFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"netName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"priority\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"initData\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"cid\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"displayId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"source\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"parentTaskId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"createdBy\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"releaseOne\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"actionId\" : \"releaseOne\"} \n        }\n     \n },\n \"required\": [   \"flowId\" , \"fqFlowName\" , \"netName\" , \"priority\" , \"initData\" , \"cid\" , \"displayId\" , \"releaseOne\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__fromDynamic__Lcom_metastay_monitorapp_data_StallEntryGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_StallEntryGrid($this, json) {
  var v = json.flowId;
  if (((v === (void 0)) || (json.flowId === null))) {
    var jsx$11 = null
  } else {
    var jsx$11 = $as_T(json.flowId)
  };
  var v$1 = json.teamCode;
  if (((v$1 === (void 0)) || (json.teamCode === null))) {
    var jsx$10 = (void 0)
  } else {
    var jsx$10 = json.teamCode
  };
  var v$2 = json.fqFlowName;
  if (((v$2 === (void 0)) || (json.fqFlowName === null))) {
    var jsx$9 = null
  } else {
    var jsx$9 = $as_T(json.fqFlowName)
  };
  var v$3 = json.netName;
  if (((v$3 === (void 0)) || (json.netName === null))) {
    var jsx$8 = null
  } else {
    var jsx$8 = $as_T(json.netName)
  };
  var v$4 = json.priority;
  if (((v$4 === (void 0)) || (json.priority === null))) {
    var jsx$7 = 0
  } else {
    var jsx$7 = $uI(json.priority)
  };
  var v$5 = json.initData;
  if (((v$5 === (void 0)) || (json.initData === null))) {
    var jsx$6 = null
  } else {
    var jsx$6 = $as_T(json.initData)
  };
  var v$6 = json.cid;
  if (((v$6 === (void 0)) || (json.cid === null))) {
    var jsx$5 = null
  } else {
    var jsx$5 = $as_T(json.cid)
  };
  var v$7 = json.displayId;
  if (((v$7 === (void 0)) || (json.displayId === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.displayId)
  };
  var v$8 = json.source;
  if (((v$8 === (void 0)) || (json.source === null))) {
    var jsx$3 = (void 0)
  } else {
    var jsx$3 = json.source
  };
  var v$9 = json.parentTaskId;
  if (((v$9 === (void 0)) || (json.parentTaskId === null))) {
    var jsx$2 = (void 0)
  } else {
    var jsx$2 = json.parentTaskId
  };
  var v$10 = json.createdBy;
  if (((v$10 === (void 0)) || (json.createdBy === null))) {
    var jsx$1 = (void 0)
  } else {
    var jsx$1 = json.createdBy
  };
  var v$11 = json.releaseOne;
  return new ($a_Lcom_metastay_monitorapp_data_StallEntryGrid())(jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, (((v$11 === (void 0)) || (json.releaseOne === null)) ? null : $as_T(json.releaseOne)))
}
function $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__$$lessinit$greater$default$11__Lcom_metastay_monitorapp_data_StallEntryGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
var $b_Lcom_metastay_monitorapp_data_StallEntryGrid$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_StallEntryGrid$() {
  if ((!$b_Lcom_metastay_monitorapp_data_StallEntryGrid$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_StallEntryGrid$ = (function $c_Lcom_metastay_monitorapp_data_StallEntryGrid$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_StallEntryGrid$ = (function $h_Lcom_metastay_monitorapp_data_StallEntryGrid$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_StallEntryGrid$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_StallEntryGrid$.prototype = new $h_Lcom_metastay_monitorapp_data_StallEntryGrid$();
    $c_Lcom_metastay_monitorapp_data_StallEntryGrid$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_StallEntryGrid$;
    $c_Lcom_metastay_monitorapp_data_StallEntryGrid$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__createNew__Lcom_metastay_monitorapp_data_StallEntryGrid$__Lcom_metastay_monitorapp_data_StallEntryGrid(this)
    });
    $c_Lcom_metastay_monitorapp_data_StallEntryGrid$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__fromDynamic__Lcom_metastay_monitorapp_data_StallEntryGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_StallEntryGrid(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_StallEntryGrid$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__from__Lcom_metastay_monitorapp_data_StallEntryGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_StallEntryGrid(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_StallEntryGrid$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_StallEntryGrid$__schemaInfo__Lcom_metastay_monitorapp_data_StallEntryGrid$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_StallEntryGrid$ = $c_Lcom_metastay_monitorapp_data_StallEntryGrid$
  };
  return $b_Lcom_metastay_monitorapp_data_StallEntryGrid$
}
var $n_Lcom_metastay_monitorapp_data_StallEntryGrid$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_StallEntryGrid$() {
  if ((!$n_Lcom_metastay_monitorapp_data_StallEntryGrid$)) {
    $n_Lcom_metastay_monitorapp_data_StallEntryGrid$ = new ($a_Lcom_metastay_monitorapp_data_StallEntryGrid$())()
  };
  return $n_Lcom_metastay_monitorapp_data_StallEntryGrid$
}
function $s_Lcom_metastay_monitorapp_data_StallSetGrid__toJson__Lcom_metastay_monitorapp_data_StallSetGrid__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.fqFlowName);
  ret.fqFlowName = s;
  var value = $this.netName;
  if ((value !== (void 0))) {
    var value$1 = $this.netName;
    if ((value$1 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$1 = $as_T(value$1);
    ret.netName = s$1
  };
  var value$2 = $uI($this.count);
  ret.count = value$2;
  var s$2 = $as_T($this.release);
  ret.release = s$2;
  return ret
}
function $s_Lcom_metastay_monitorapp_data_StallSetGrid__asDynamic__Lcom_metastay_monitorapp_data_StallSetGrid__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_StallSetGrid = (void 0);
function $a_Lcom_metastay_monitorapp_data_StallSetGrid() {
  if ((!$b_Lcom_metastay_monitorapp_data_StallSetGrid)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_StallSetGrid = (function $c_Lcom_metastay_monitorapp_data_StallSetGrid() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var fqFlowName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_StallSetGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_StallSetGrid$__T($m_Lcom_metastay_monitorapp_data_StallSetGrid$()) : $as_T(arg$rest[0]));
      var netName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_StallSetGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_StallSetGrid$__sjs_js_UndefOr($m_Lcom_metastay_monitorapp_data_StallSetGrid$()) : arg$rest[1]);
      var count = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_StallSetGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_StallSetGrid$__I($m_Lcom_metastay_monitorapp_data_StallSetGrid$()) : $uI(arg$rest[2]));
      var release = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_StallSetGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_StallSetGrid$__T($m_Lcom_metastay_monitorapp_data_StallSetGrid$()) : $as_T(arg$rest[3]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "fqFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "netName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "count", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "release", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.fqFlowName = fqFlowName;
      this.netName = netName;
      this.count = count;
      this.release = release
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_StallSetGrid = (function $h_Lcom_metastay_monitorapp_data_StallSetGrid() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_StallSetGrid.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_StallSetGrid.prototype = new $h_Lcom_metastay_monitorapp_data_StallSetGrid();
    $c_Lcom_metastay_monitorapp_data_StallSetGrid.prototype.constructor = $c_Lcom_metastay_monitorapp_data_StallSetGrid;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_StallSetGrid.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_StallSetGrid__asDynamic__Lcom_metastay_monitorapp_data_StallSetGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_StallSetGrid.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_StallSetGrid__toJson__Lcom_metastay_monitorapp_data_StallSetGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_StallSetGrid = $c_Lcom_metastay_monitorapp_data_StallSetGrid
  };
  return $b_Lcom_metastay_monitorapp_data_StallSetGrid
}
function $s_Lcom_metastay_monitorapp_data_StallSetGrid$__schemaInfo__Lcom_metastay_monitorapp_data_StallSetGrid$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"StallSetGrid\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"fqFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"netName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"count\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": { \"actionId\" : \"showStallEntryList\",\"formatter\" : \"MonitorUtil.showStallEntryCount\"} \n        }\n     ,\n\"release\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"actionId\" : \"release\"} \n        }\n     \n },\n \"required\": [   \"fqFlowName\" , \"count\" , \"release\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_StallSetGrid$__createNew__Lcom_metastay_monitorapp_data_StallSetGrid$__Lcom_metastay_monitorapp_data_StallSetGrid($this) {
  return new ($a_Lcom_metastay_monitorapp_data_StallSetGrid())()
}
function $s_Lcom_metastay_monitorapp_data_StallSetGrid$__fromDynamic__Lcom_metastay_monitorapp_data_StallSetGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_StallSetGrid($this, json) {
  var v = json.fqFlowName;
  if (((v === (void 0)) || (json.fqFlowName === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.fqFlowName)
  };
  var v$1 = json.netName;
  if (((v$1 === (void 0)) || (json.netName === null))) {
    var jsx$2 = (void 0)
  } else {
    var jsx$2 = json.netName
  };
  var v$2 = json.count;
  if (((v$2 === (void 0)) || (json.count === null))) {
    var jsx$1 = 0
  } else {
    var jsx$1 = $uI(json.count)
  };
  var v$3 = json.release;
  return new ($a_Lcom_metastay_monitorapp_data_StallSetGrid())(jsx$3, jsx$2, jsx$1, (((v$3 === (void 0)) || (json.release === null)) ? null : $as_T(json.release)))
}
function $s_Lcom_metastay_monitorapp_data_StallSetGrid$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_StallSetGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_StallSetGrid$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_StallSetGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_monitorapp_data_StallSetGrid$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_StallSetGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_StallSetGrid$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_StallSetGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_monitorapp_data_StallSetGrid$__from__Lcom_metastay_monitorapp_data_StallSetGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_StallSetGrid($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
var $b_Lcom_metastay_monitorapp_data_StallSetGrid$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_StallSetGrid$() {
  if ((!$b_Lcom_metastay_monitorapp_data_StallSetGrid$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_StallSetGrid$ = (function $c_Lcom_metastay_monitorapp_data_StallSetGrid$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_StallSetGrid$ = (function $h_Lcom_metastay_monitorapp_data_StallSetGrid$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_StallSetGrid$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_StallSetGrid$.prototype = new $h_Lcom_metastay_monitorapp_data_StallSetGrid$();
    $c_Lcom_metastay_monitorapp_data_StallSetGrid$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_StallSetGrid$;
    $c_Lcom_metastay_monitorapp_data_StallSetGrid$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_StallSetGrid$__createNew__Lcom_metastay_monitorapp_data_StallSetGrid$__Lcom_metastay_monitorapp_data_StallSetGrid(this)
    });
    $c_Lcom_metastay_monitorapp_data_StallSetGrid$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_StallSetGrid$__fromDynamic__Lcom_metastay_monitorapp_data_StallSetGrid$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_StallSetGrid(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_StallSetGrid$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_StallSetGrid$__from__Lcom_metastay_monitorapp_data_StallSetGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_StallSetGrid(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_StallSetGrid$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_StallSetGrid$__schemaInfo__Lcom_metastay_monitorapp_data_StallSetGrid$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_StallSetGrid$ = $c_Lcom_metastay_monitorapp_data_StallSetGrid$
  };
  return $b_Lcom_metastay_monitorapp_data_StallSetGrid$
}
var $n_Lcom_metastay_monitorapp_data_StallSetGrid$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_StallSetGrid$() {
  if ((!$n_Lcom_metastay_monitorapp_data_StallSetGrid$)) {
    $n_Lcom_metastay_monitorapp_data_StallSetGrid$ = new ($a_Lcom_metastay_monitorapp_data_StallSetGrid$())()
  };
  return $n_Lcom_metastay_monitorapp_data_StallSetGrid$
}
function $s_Lcom_metastay_monitorapp_data_Tag__asDynamic__Lcom_metastay_monitorapp_data_Tag__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_monitorapp_data_Tag__toJson__Lcom_metastay_monitorapp_data_Tag__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.key);
  ret.key = s;
  var coll = $this.valueList;
  ret.valueList = coll;
  return ret
}
var $b_Lcom_metastay_monitorapp_data_Tag = (void 0);
function $a_Lcom_metastay_monitorapp_data_Tag() {
  if ((!$b_Lcom_metastay_monitorapp_data_Tag)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_Tag = (function $c_Lcom_metastay_monitorapp_data_Tag() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var key = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_Tag$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_Tag$__T($m_Lcom_metastay_monitorapp_data_Tag$()) : $as_T(arg$rest[0]));
      var valueList = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_Tag$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_Tag$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_Tag$()) : arg$rest[1]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "key", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "valueList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.key = key;
      this.valueList = valueList
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_Tag = (function $h_Lcom_metastay_monitorapp_data_Tag() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_Tag.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_Tag.prototype = new $h_Lcom_metastay_monitorapp_data_Tag();
    $c_Lcom_metastay_monitorapp_data_Tag.prototype.constructor = $c_Lcom_metastay_monitorapp_data_Tag;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_Tag.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_Tag__asDynamic__Lcom_metastay_monitorapp_data_Tag__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_Tag.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_Tag__toJson__Lcom_metastay_monitorapp_data_Tag__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_Tag = $c_Lcom_metastay_monitorapp_data_Tag
  };
  return $b_Lcom_metastay_monitorapp_data_Tag
}
function $s_Lcom_metastay_monitorapp_data_Tag$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_Tag$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_data_Tag$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_Tag$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_Tag$__schemaInfo__Lcom_metastay_monitorapp_data_Tag$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"Tag\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"key\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"valueList\": {\n    \"type\": \"Array_String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"key\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_Tag$__fromDynamic__Lcom_metastay_monitorapp_data_Tag$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_Tag($this, json) {
  var v = json.key;
  if (((v === (void 0)) || (json.key === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.key)
  };
  var v$1 = json.valueList;
  return new ($a_Lcom_metastay_monitorapp_data_Tag())(jsx$1, (((v$1 === (void 0)) || (json.valueList === null)) ? [] : json.valueList))
}
function $s_Lcom_metastay_monitorapp_data_Tag$__createNew__Lcom_metastay_monitorapp_data_Tag$__Lcom_metastay_monitorapp_data_Tag($this) {
  return new ($a_Lcom_metastay_monitorapp_data_Tag())()
}
function $s_Lcom_metastay_monitorapp_data_Tag$__from__Lcom_metastay_monitorapp_data_Tag$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_Tag($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
var $b_Lcom_metastay_monitorapp_data_Tag$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_Tag$() {
  if ((!$b_Lcom_metastay_monitorapp_data_Tag$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_Tag$ = (function $c_Lcom_metastay_monitorapp_data_Tag$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_Tag$ = (function $h_Lcom_metastay_monitorapp_data_Tag$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_Tag$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_Tag$.prototype = new $h_Lcom_metastay_monitorapp_data_Tag$();
    $c_Lcom_metastay_monitorapp_data_Tag$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_Tag$;
    $c_Lcom_metastay_monitorapp_data_Tag$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_Tag$__createNew__Lcom_metastay_monitorapp_data_Tag$__Lcom_metastay_monitorapp_data_Tag(this)
    });
    $c_Lcom_metastay_monitorapp_data_Tag$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_Tag$__fromDynamic__Lcom_metastay_monitorapp_data_Tag$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_Tag(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_Tag$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_Tag$__from__Lcom_metastay_monitorapp_data_Tag$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_Tag(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_Tag$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_Tag$__schemaInfo__Lcom_metastay_monitorapp_data_Tag$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_Tag$ = $c_Lcom_metastay_monitorapp_data_Tag$
  };
  return $b_Lcom_metastay_monitorapp_data_Tag$
}
var $n_Lcom_metastay_monitorapp_data_Tag$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_Tag$() {
  if ((!$n_Lcom_metastay_monitorapp_data_Tag$)) {
    $n_Lcom_metastay_monitorapp_data_Tag$ = new ($a_Lcom_metastay_monitorapp_data_Tag$())()
  };
  return $n_Lcom_metastay_monitorapp_data_Tag$
}
function $s_Lcom_metastay_monitorapp_data_TeamRole__asDynamic__Lcom_metastay_monitorapp_data_TeamRole__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_monitorapp_data_TeamRole__toJson__Lcom_metastay_monitorapp_data_TeamRole__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.teamCode);
  ret.teamCode = s;
  var s$1 = $as_T($this.role);
  ret.role = s$1;
  return ret
}
var $b_Lcom_metastay_monitorapp_data_TeamRole = (void 0);
function $a_Lcom_metastay_monitorapp_data_TeamRole() {
  if ((!$b_Lcom_metastay_monitorapp_data_TeamRole)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_TeamRole = (function $c_Lcom_metastay_monitorapp_data_TeamRole() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var teamCode = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_TeamRole$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_TeamRole$__T($m_Lcom_metastay_monitorapp_data_TeamRole$()) : $as_T(arg$rest[0]));
      var role = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_TeamRole$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_TeamRole$__T($m_Lcom_metastay_monitorapp_data_TeamRole$()) : $as_T(arg$rest[1]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "role", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.teamCode = teamCode;
      this.role = role
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_TeamRole = (function $h_Lcom_metastay_monitorapp_data_TeamRole() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_TeamRole.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_TeamRole.prototype = new $h_Lcom_metastay_monitorapp_data_TeamRole();
    $c_Lcom_metastay_monitorapp_data_TeamRole.prototype.constructor = $c_Lcom_metastay_monitorapp_data_TeamRole;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_TeamRole.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_TeamRole__asDynamic__Lcom_metastay_monitorapp_data_TeamRole__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_TeamRole.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_TeamRole__toJson__Lcom_metastay_monitorapp_data_TeamRole__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_TeamRole = $c_Lcom_metastay_monitorapp_data_TeamRole
  };
  return $b_Lcom_metastay_monitorapp_data_TeamRole
}
function $s_Lcom_metastay_monitorapp_data_TeamRole$__createNew__Lcom_metastay_monitorapp_data_TeamRole$__Lcom_metastay_monitorapp_data_TeamRole($this) {
  return new ($a_Lcom_metastay_monitorapp_data_TeamRole())()
}
function $s_Lcom_metastay_monitorapp_data_TeamRole$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_TeamRole$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_TeamRole$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_TeamRole$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_TeamRole$__schemaInfo__Lcom_metastay_monitorapp_data_TeamRole$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"TeamRole\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"role\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"teamCode\" , \"role\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_TeamRole$__fromDynamic__Lcom_metastay_monitorapp_data_TeamRole$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_TeamRole($this, json) {
  var v = json.teamCode;
  if (((v === (void 0)) || (json.teamCode === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.teamCode)
  };
  var v$1 = json.role;
  return new ($a_Lcom_metastay_monitorapp_data_TeamRole())(jsx$1, (((v$1 === (void 0)) || (json.role === null)) ? null : $as_T(json.role)))
}
function $s_Lcom_metastay_monitorapp_data_TeamRole$__from__Lcom_metastay_monitorapp_data_TeamRole$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_TeamRole($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
var $b_Lcom_metastay_monitorapp_data_TeamRole$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_TeamRole$() {
  if ((!$b_Lcom_metastay_monitorapp_data_TeamRole$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_TeamRole$ = (function $c_Lcom_metastay_monitorapp_data_TeamRole$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_TeamRole$ = (function $h_Lcom_metastay_monitorapp_data_TeamRole$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_TeamRole$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_TeamRole$.prototype = new $h_Lcom_metastay_monitorapp_data_TeamRole$();
    $c_Lcom_metastay_monitorapp_data_TeamRole$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_TeamRole$;
    $c_Lcom_metastay_monitorapp_data_TeamRole$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_TeamRole$__createNew__Lcom_metastay_monitorapp_data_TeamRole$__Lcom_metastay_monitorapp_data_TeamRole(this)
    });
    $c_Lcom_metastay_monitorapp_data_TeamRole$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_TeamRole$__fromDynamic__Lcom_metastay_monitorapp_data_TeamRole$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_TeamRole(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_TeamRole$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_TeamRole$__from__Lcom_metastay_monitorapp_data_TeamRole$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_TeamRole(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_TeamRole$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_TeamRole$__schemaInfo__Lcom_metastay_monitorapp_data_TeamRole$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_TeamRole$ = $c_Lcom_metastay_monitorapp_data_TeamRole$
  };
  return $b_Lcom_metastay_monitorapp_data_TeamRole$
}
var $n_Lcom_metastay_monitorapp_data_TeamRole$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_TeamRole$() {
  if ((!$n_Lcom_metastay_monitorapp_data_TeamRole$)) {
    $n_Lcom_metastay_monitorapp_data_TeamRole$ = new ($a_Lcom_metastay_monitorapp_data_TeamRole$())()
  };
  return $n_Lcom_metastay_monitorapp_data_TeamRole$
}
function $s_Lcom_metastay_monitorapp_data_TeamRoleList__toJson__Lcom_metastay_monitorapp_data_TeamRoleList__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.teamCode);
  ret.teamCode = s;
  var coll = $this.roleList;
  ret.roleList = coll;
  return ret
}
function $s_Lcom_metastay_monitorapp_data_TeamRoleList__asDynamic__Lcom_metastay_monitorapp_data_TeamRoleList__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_TeamRoleList = (void 0);
function $a_Lcom_metastay_monitorapp_data_TeamRoleList() {
  if ((!$b_Lcom_metastay_monitorapp_data_TeamRoleList)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_TeamRoleList = (function $c_Lcom_metastay_monitorapp_data_TeamRoleList() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var teamCode = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_TeamRoleList$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_TeamRoleList$__T($m_Lcom_metastay_monitorapp_data_TeamRoleList$()) : $as_T(arg$rest[0]));
      var roleList = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_TeamRoleList$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_TeamRoleList$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_TeamRoleList$()) : arg$rest[1]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "roleList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.teamCode = teamCode;
      this.roleList = roleList
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_TeamRoleList = (function $h_Lcom_metastay_monitorapp_data_TeamRoleList() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_TeamRoleList.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_TeamRoleList.prototype = new $h_Lcom_metastay_monitorapp_data_TeamRoleList();
    $c_Lcom_metastay_monitorapp_data_TeamRoleList.prototype.constructor = $c_Lcom_metastay_monitorapp_data_TeamRoleList;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_TeamRoleList.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_TeamRoleList__asDynamic__Lcom_metastay_monitorapp_data_TeamRoleList__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_TeamRoleList.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_TeamRoleList__toJson__Lcom_metastay_monitorapp_data_TeamRoleList__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_TeamRoleList = $c_Lcom_metastay_monitorapp_data_TeamRoleList
  };
  return $b_Lcom_metastay_monitorapp_data_TeamRoleList
}
function $s_Lcom_metastay_monitorapp_data_TeamRoleList$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_TeamRoleList$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_TeamRoleList$__schemaInfo__Lcom_metastay_monitorapp_data_TeamRoleList$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"TeamRoleList\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"roleList\": {\n    \"type\": \"Array_String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"teamCode\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_TeamRoleList$__from__Lcom_metastay_monitorapp_data_TeamRoleList$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_TeamRoleList($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_TeamRoleList$__fromDynamic__Lcom_metastay_monitorapp_data_TeamRoleList$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_TeamRoleList($this, json) {
  var v = json.teamCode;
  if (((v === (void 0)) || (json.teamCode === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.teamCode)
  };
  var v$1 = json.roleList;
  return new ($a_Lcom_metastay_monitorapp_data_TeamRoleList())(jsx$1, (((v$1 === (void 0)) || (json.roleList === null)) ? [] : json.roleList))
}
function $s_Lcom_metastay_monitorapp_data_TeamRoleList$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_TeamRoleList$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_data_TeamRoleList$__createNew__Lcom_metastay_monitorapp_data_TeamRoleList$__Lcom_metastay_monitorapp_data_TeamRoleList($this) {
  return new ($a_Lcom_metastay_monitorapp_data_TeamRoleList())()
}
var $b_Lcom_metastay_monitorapp_data_TeamRoleList$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_TeamRoleList$() {
  if ((!$b_Lcom_metastay_monitorapp_data_TeamRoleList$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_TeamRoleList$ = (function $c_Lcom_metastay_monitorapp_data_TeamRoleList$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_TeamRoleList$ = (function $h_Lcom_metastay_monitorapp_data_TeamRoleList$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_TeamRoleList$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_TeamRoleList$.prototype = new $h_Lcom_metastay_monitorapp_data_TeamRoleList$();
    $c_Lcom_metastay_monitorapp_data_TeamRoleList$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_TeamRoleList$;
    $c_Lcom_metastay_monitorapp_data_TeamRoleList$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_TeamRoleList$__createNew__Lcom_metastay_monitorapp_data_TeamRoleList$__Lcom_metastay_monitorapp_data_TeamRoleList(this)
    });
    $c_Lcom_metastay_monitorapp_data_TeamRoleList$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_TeamRoleList$__fromDynamic__Lcom_metastay_monitorapp_data_TeamRoleList$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_TeamRoleList(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_TeamRoleList$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_TeamRoleList$__from__Lcom_metastay_monitorapp_data_TeamRoleList$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_TeamRoleList(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_TeamRoleList$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_TeamRoleList$__schemaInfo__Lcom_metastay_monitorapp_data_TeamRoleList$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_TeamRoleList$ = $c_Lcom_metastay_monitorapp_data_TeamRoleList$
  };
  return $b_Lcom_metastay_monitorapp_data_TeamRoleList$
}
var $n_Lcom_metastay_monitorapp_data_TeamRoleList$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_TeamRoleList$() {
  if ((!$n_Lcom_metastay_monitorapp_data_TeamRoleList$)) {
    $n_Lcom_metastay_monitorapp_data_TeamRoleList$ = new ($a_Lcom_metastay_monitorapp_data_TeamRoleList$())()
  };
  return $n_Lcom_metastay_monitorapp_data_TeamRoleList$
}
function $s_Lcom_metastay_monitorapp_data_TeamTask__toJson__Lcom_metastay_monitorapp_data_TeamTask__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.teamCode);
  ret.teamCode = s;
  var s$1 = $as_T($this.taskName);
  ret.taskName = s$1;
  return ret
}
function $s_Lcom_metastay_monitorapp_data_TeamTask__asDynamic__Lcom_metastay_monitorapp_data_TeamTask__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_monitorapp_data_TeamTask = (void 0);
function $a_Lcom_metastay_monitorapp_data_TeamTask() {
  if ((!$b_Lcom_metastay_monitorapp_data_TeamTask)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_TeamTask = (function $c_Lcom_metastay_monitorapp_data_TeamTask() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var teamCode = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_TeamTask$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_TeamTask$__T($m_Lcom_metastay_monitorapp_data_TeamTask$()) : $as_T(arg$rest[0]));
      var taskName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_TeamTask$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_TeamTask$__T($m_Lcom_metastay_monitorapp_data_TeamTask$()) : $as_T(arg$rest[1]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.teamCode = teamCode;
      this.taskName = taskName
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_TeamTask = (function $h_Lcom_metastay_monitorapp_data_TeamTask() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_TeamTask.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_TeamTask.prototype = new $h_Lcom_metastay_monitorapp_data_TeamTask();
    $c_Lcom_metastay_monitorapp_data_TeamTask.prototype.constructor = $c_Lcom_metastay_monitorapp_data_TeamTask;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_TeamTask.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_TeamTask__asDynamic__Lcom_metastay_monitorapp_data_TeamTask__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_TeamTask.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_TeamTask__toJson__Lcom_metastay_monitorapp_data_TeamTask__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_TeamTask = $c_Lcom_metastay_monitorapp_data_TeamTask
  };
  return $b_Lcom_metastay_monitorapp_data_TeamTask
}
function $s_Lcom_metastay_monitorapp_data_TeamTask$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_TeamTask$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_TeamTask$__from__Lcom_metastay_monitorapp_data_TeamTask$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_TeamTask($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_TeamTask$__fromDynamic__Lcom_metastay_monitorapp_data_TeamTask$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_TeamTask($this, json) {
  var v = json.teamCode;
  if (((v === (void 0)) || (json.teamCode === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.teamCode)
  };
  var v$1 = json.taskName;
  return new ($a_Lcom_metastay_monitorapp_data_TeamTask())(jsx$1, (((v$1 === (void 0)) || (json.taskName === null)) ? null : $as_T(json.taskName)))
}
function $s_Lcom_metastay_monitorapp_data_TeamTask$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_TeamTask$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_TeamTask$__schemaInfo__Lcom_metastay_monitorapp_data_TeamTask$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"TeamTask\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"taskName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"teamCode\" , \"taskName\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_TeamTask$__createNew__Lcom_metastay_monitorapp_data_TeamTask$__Lcom_metastay_monitorapp_data_TeamTask($this) {
  return new ($a_Lcom_metastay_monitorapp_data_TeamTask())()
}
var $b_Lcom_metastay_monitorapp_data_TeamTask$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_TeamTask$() {
  if ((!$b_Lcom_metastay_monitorapp_data_TeamTask$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_TeamTask$ = (function $c_Lcom_metastay_monitorapp_data_TeamTask$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_TeamTask$ = (function $h_Lcom_metastay_monitorapp_data_TeamTask$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_TeamTask$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_TeamTask$.prototype = new $h_Lcom_metastay_monitorapp_data_TeamTask$();
    $c_Lcom_metastay_monitorapp_data_TeamTask$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_TeamTask$;
    $c_Lcom_metastay_monitorapp_data_TeamTask$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_TeamTask$__createNew__Lcom_metastay_monitorapp_data_TeamTask$__Lcom_metastay_monitorapp_data_TeamTask(this)
    });
    $c_Lcom_metastay_monitorapp_data_TeamTask$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_TeamTask$__fromDynamic__Lcom_metastay_monitorapp_data_TeamTask$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_TeamTask(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_TeamTask$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_TeamTask$__from__Lcom_metastay_monitorapp_data_TeamTask$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_TeamTask(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_TeamTask$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_TeamTask$__schemaInfo__Lcom_metastay_monitorapp_data_TeamTask$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_TeamTask$ = $c_Lcom_metastay_monitorapp_data_TeamTask$
  };
  return $b_Lcom_metastay_monitorapp_data_TeamTask$
}
var $n_Lcom_metastay_monitorapp_data_TeamTask$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_TeamTask$() {
  if ((!$n_Lcom_metastay_monitorapp_data_TeamTask$)) {
    $n_Lcom_metastay_monitorapp_data_TeamTask$ = new ($a_Lcom_metastay_monitorapp_data_TeamTask$())()
  };
  return $n_Lcom_metastay_monitorapp_data_TeamTask$
}
function $s_Lcom_metastay_monitorapp_data_UserDetails__asDynamic__Lcom_metastay_monitorapp_data_UserDetails__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_monitorapp_data_UserDetails__toJson__Lcom_metastay_monitorapp_data_UserDetails__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userName);
  ret.userName = s;
  var s$1 = $as_T($this.projectName);
  ret.projectName = s$1;
  var array = $this.appRoleList;
  var array$1 = [];
  $uI(array.length);
  var i = 0;
  var len = $uI(array.length);
  while ((i < len)) {
    var index = i;
    var arg1 = array[index];
    var elem = arg1.toJson;
    array$1.push(elem);
    i = ((1 + i) | 0)
  };
  ret.appRoleList = array$1;
  var array$2 = $this.teamRoleList;
  var array$3 = [];
  $uI(array$2.length);
  var i$1 = 0;
  var len$1 = $uI(array$2.length);
  while ((i$1 < len$1)) {
    var index$1 = i$1;
    var arg1$1 = array$2[index$1];
    var elem$1 = arg1$1.toJson;
    array$3.push(elem$1);
    i$1 = ((1 + i$1) | 0)
  };
  ret.teamRoleList = array$3;
  var coll = $this.teamAdminList;
  ret.teamAdminList = coll;
  var array$4 = $this.teamTaskAdminList;
  var array$5 = [];
  $uI(array$4.length);
  var i$2 = 0;
  var len$2 = $uI(array$4.length);
  while ((i$2 < len$2)) {
    var index$2 = i$2;
    var arg1$2 = array$4[index$2];
    var elem$2 = arg1$2.toJson;
    array$5.push(elem$2);
    i$2 = ((1 + i$2) | 0)
  };
  ret.teamTaskAdminList = array$5;
  var coll$1 = $this.teamListForTaskAdmin;
  ret.teamListForTaskAdmin = coll$1;
  return ret
}
var $b_Lcom_metastay_monitorapp_data_UserDetails = (void 0);
function $a_Lcom_metastay_monitorapp_data_UserDetails() {
  if ((!$b_Lcom_metastay_monitorapp_data_UserDetails)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_UserDetails = (function $c_Lcom_metastay_monitorapp_data_UserDetails() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_UserDetails$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_UserDetails$__T($m_Lcom_metastay_monitorapp_data_UserDetails$()) : $as_T(arg$rest[0]));
      var projectName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_UserDetails$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_UserDetails$__T($m_Lcom_metastay_monitorapp_data_UserDetails$()) : $as_T(arg$rest[1]));
      var appRoleList = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_UserDetails$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_UserDetails$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_UserDetails$()) : arg$rest[2]);
      var teamRoleList = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_UserDetails$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_UserDetails$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_UserDetails$()) : arg$rest[3]);
      var teamAdminList = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_UserDetails$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_UserDetails$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_UserDetails$()) : arg$rest[4]);
      var teamTaskAdminList = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_UserDetails$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_UserDetails$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_UserDetails$()) : arg$rest[5]);
      var teamListForTaskAdmin = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_data_UserDetails$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_UserDetails$__sjs_js_Array($m_Lcom_metastay_monitorapp_data_UserDetails$()) : arg$rest[6]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "projectName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "appRoleList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "teamRoleList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "teamAdminList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "teamTaskAdminList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "teamListForTaskAdmin", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.userName = userName;
      this.projectName = projectName;
      this.appRoleList = appRoleList;
      this.teamRoleList = teamRoleList;
      this.teamAdminList = teamAdminList;
      this.teamTaskAdminList = teamTaskAdminList;
      this.teamListForTaskAdmin = teamListForTaskAdmin
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_UserDetails = (function $h_Lcom_metastay_monitorapp_data_UserDetails() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_UserDetails.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_UserDetails.prototype = new $h_Lcom_metastay_monitorapp_data_UserDetails();
    $c_Lcom_metastay_monitorapp_data_UserDetails.prototype.constructor = $c_Lcom_metastay_monitorapp_data_UserDetails;
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_UserDetails.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_UserDetails__asDynamic__Lcom_metastay_monitorapp_data_UserDetails__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_data_UserDetails.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_data_UserDetails__toJson__Lcom_metastay_monitorapp_data_UserDetails__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_data_UserDetails = $c_Lcom_metastay_monitorapp_data_UserDetails
  };
  return $b_Lcom_metastay_monitorapp_data_UserDetails
}
function $s_Lcom_metastay_monitorapp_data_UserDetails$__schemaInfo__Lcom_metastay_monitorapp_data_UserDetails$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"UserDetails\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"projectName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"appRoleList\": {\n    \"type\": \"Array_com.metastay.monitorapp.data.AppRole\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"teamRoleList\": {\n    \"type\": \"Array_com.metastay.monitorapp.data.TeamRole\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"teamAdminList\": {\n    \"type\": \"Array_String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"teamTaskAdminList\": {\n    \"type\": \"Array_com.metastay.monitorapp.data.TeamTask\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"teamListForTaskAdmin\": {\n    \"type\": \"Array_String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"userName\" , \"projectName\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_data_UserDetails$__from__Lcom_metastay_monitorapp_data_UserDetails$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_UserDetails($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_monitorapp_data_UserDetails$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_data_UserDetails$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_data_UserDetails$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_data_UserDetails$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_data_UserDetails$__fromDynamic__Lcom_metastay_monitorapp_data_UserDetails$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_UserDetails($this, json) {
  var v = json.userName;
  if (((v === (void 0)) || (json.userName === null))) {
    var jsx$6 = null
  } else {
    var jsx$6 = $as_T(json.userName)
  };
  var v$1 = json.projectName;
  if (((v$1 === (void 0)) || (json.projectName === null))) {
    var jsx$5 = null
  } else {
    var jsx$5 = $as_T(json.projectName)
  };
  var v$2 = json.appRoleList;
  if (((v$2 === (void 0)) || (json.appRoleList === null))) {
    var jsx$4 = []
  } else {
    var array = json.appRoleList;
    var array$1 = [];
    $uI(array.length);
    var i = 0;
    var len = $uI(array.length);
    while ((i < len)) {
      var index = i;
      var arg1 = array[index];
      var elem = $m_Lcom_metastay_monitorapp_data_AppRole$().fromDynamic(arg1);
      array$1.push(elem);
      i = ((1 + i) | 0)
    };
    var jsx$4 = array$1
  };
  var v$3 = json.teamRoleList;
  if (((v$3 === (void 0)) || (json.teamRoleList === null))) {
    var jsx$3 = []
  } else {
    var array$2 = json.teamRoleList;
    var array$3 = [];
    $uI(array$2.length);
    var i$1 = 0;
    var len$1 = $uI(array$2.length);
    while ((i$1 < len$1)) {
      var index$1 = i$1;
      var arg1$1 = array$2[index$1];
      var elem$1 = $m_Lcom_metastay_monitorapp_data_TeamRole$().fromDynamic(arg1$1);
      array$3.push(elem$1);
      i$1 = ((1 + i$1) | 0)
    };
    var jsx$3 = array$3
  };
  var v$4 = json.teamAdminList;
  if (((v$4 === (void 0)) || (json.teamAdminList === null))) {
    var jsx$2 = []
  } else {
    var jsx$2 = json.teamAdminList
  };
  var v$5 = json.teamTaskAdminList;
  if (((v$5 === (void 0)) || (json.teamTaskAdminList === null))) {
    var jsx$1 = []
  } else {
    var array$4 = json.teamTaskAdminList;
    var array$5 = [];
    $uI(array$4.length);
    var i$2 = 0;
    var len$2 = $uI(array$4.length);
    while ((i$2 < len$2)) {
      var index$2 = i$2;
      var arg1$2 = array$4[index$2];
      var elem$2 = $m_Lcom_metastay_monitorapp_data_TeamTask$().fromDynamic(arg1$2);
      array$5.push(elem$2);
      i$2 = ((1 + i$2) | 0)
    };
    var jsx$1 = array$5
  };
  var v$6 = json.teamListForTaskAdmin;
  return new ($a_Lcom_metastay_monitorapp_data_UserDetails())(jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, (((v$6 === (void 0)) || (json.teamListForTaskAdmin === null)) ? [] : json.teamListForTaskAdmin))
}
function $s_Lcom_metastay_monitorapp_data_UserDetails$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_data_UserDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_monitorapp_data_UserDetails$__createNew__Lcom_metastay_monitorapp_data_UserDetails$__Lcom_metastay_monitorapp_data_UserDetails($this) {
  return new ($a_Lcom_metastay_monitorapp_data_UserDetails())()
}
function $s_Lcom_metastay_monitorapp_data_UserDetails$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_data_UserDetails$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_data_UserDetails$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_data_UserDetails$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_data_UserDetails$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_data_UserDetails$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_data_UserDetails$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_data_UserDetails$__T($this) {
  return null
}
var $b_Lcom_metastay_monitorapp_data_UserDetails$ = (void 0);
function $a_Lcom_metastay_monitorapp_data_UserDetails$() {
  if ((!$b_Lcom_metastay_monitorapp_data_UserDetails$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_data_UserDetails$ = (function $c_Lcom_metastay_monitorapp_data_UserDetails$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_data_UserDetails$ = (function $h_Lcom_metastay_monitorapp_data_UserDetails$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_data_UserDetails$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_data_UserDetails$.prototype = new $h_Lcom_metastay_monitorapp_data_UserDetails$();
    $c_Lcom_metastay_monitorapp_data_UserDetails$.prototype.constructor = $c_Lcom_metastay_monitorapp_data_UserDetails$;
    $c_Lcom_metastay_monitorapp_data_UserDetails$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_data_UserDetails$__createNew__Lcom_metastay_monitorapp_data_UserDetails$__Lcom_metastay_monitorapp_data_UserDetails(this)
    });
    $c_Lcom_metastay_monitorapp_data_UserDetails$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_data_UserDetails$__fromDynamic__Lcom_metastay_monitorapp_data_UserDetails$__sjs_js_Dynamic__Lcom_metastay_monitorapp_data_UserDetails(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_data_UserDetails$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_data_UserDetails$__from__Lcom_metastay_monitorapp_data_UserDetails$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_data_UserDetails(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_data_UserDetails$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_data_UserDetails$__schemaInfo__Lcom_metastay_monitorapp_data_UserDetails$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_data_UserDetails$ = $c_Lcom_metastay_monitorapp_data_UserDetails$
  };
  return $b_Lcom_metastay_monitorapp_data_UserDetails$
}
var $n_Lcom_metastay_monitorapp_data_UserDetails$ = (void 0);
function $m_Lcom_metastay_monitorapp_data_UserDetails$() {
  if ((!$n_Lcom_metastay_monitorapp_data_UserDetails$)) {
    $n_Lcom_metastay_monitorapp_data_UserDetails$ = new ($a_Lcom_metastay_monitorapp_data_UserDetails$())()
  };
  return $n_Lcom_metastay_monitorapp_data_UserDetails$
}
function $s_Lcom_metastay_monitorapp_enums_TaskState__toJson__Lcom_metastay_monitorapp_enums_TaskState__sjs_js_Dynamic($this) {
  return $as_T($this.id)
}
function $s_Lcom_metastay_monitorapp_enums_TaskState__toNameString__Lcom_metastay_monitorapp_enums_TaskState__T($this) {
  return $as_T($this.name)
}
var $b_Lcom_metastay_monitorapp_enums_TaskState = (void 0);
function $a_Lcom_metastay_monitorapp_enums_TaskState() {
  if ((!$b_Lcom_metastay_monitorapp_enums_TaskState)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_enums_TaskState = (function $c_Lcom_metastay_monitorapp_enums_TaskState(arg$1, arg$2) {
      var id = $as_T(arg$1);
      var name = $as_T(arg$2);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "id", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "name", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "index", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperties(this, {
        bitmap$0$2: {
          "configurable": true,
          "enumerable": true,
          "writable": true,
          "value": false
        }
      });
      this.id = id;
      this.name = name
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_enums_TaskState = (function $h_Lcom_metastay_monitorapp_enums_TaskState() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_enums_TaskState.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_enums_TaskState.prototype = new $h_Lcom_metastay_monitorapp_enums_TaskState();
    $c_Lcom_metastay_monitorapp_enums_TaskState.prototype.constructor = $c_Lcom_metastay_monitorapp_enums_TaskState;
    Object.defineProperty($c_Lcom_metastay_monitorapp_enums_TaskState.prototype, "toNameString", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_enums_TaskState__toNameString__Lcom_metastay_monitorapp_enums_TaskState__T(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_enums_TaskState.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_enums_TaskState__toJson__Lcom_metastay_monitorapp_enums_TaskState__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_enums_TaskState = $c_Lcom_metastay_monitorapp_enums_TaskState
  };
  return $b_Lcom_metastay_monitorapp_enums_TaskState
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$.prototype = $c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$1().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$$anon$2().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input().init___T($as_T(json.flowId))
});
var $d_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$: 0
}, false, "com.metastay.monitorapp.service.commentreader.GetFlowCommentList$Input$", {
  Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$;
var $n_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$)) {
    $n_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$ = new $c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$.prototype = $c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$3().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$$anon$4().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input().init___T($as_T(json.taskId))
});
var $d_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$: 0
}, false, "com.metastay.monitorapp.service.commentreader.GetTaskCommentList$Input$", {
  Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$;
var $n_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$)) {
    $n_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$ = new $c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$.prototype = $c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2().init___();
  return this
});
var $d_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$: 0
}, false, "com.metastay.monitorapp.service.loggedinuserreader.LoadUserDetails$Input$", {
  Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$;
var $n_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$)) {
    $n_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$ = new $c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$.prototype = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$1().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$$anon$2().init___();
  return this
});
var $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$: 0
}, false, "com.metastay.monitorapp.service.monitordashboardreader.GetMonitorFlowDashboardSummaryList$Input$", {
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$;
var $n_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$)) {
    $n_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$ = new $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$.prototype = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$3().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$$anon$4().init___();
  return this
});
var $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$: 0
}, false, "com.metastay.monitorapp.service.monitordashboardreader.GetMonitorTaskDashboardSummaryList$Input$", {
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$;
var $n_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$)) {
    $n_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$ = new $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$.prototype = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$5().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$$anon$6().init___();
  return this
});
var $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$: 0
}, false, "com.metastay.monitorapp.service.monitordashboardreader.GetMonitorUserDashboardSummaryList$Input$", {
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$;
var $n_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$)) {
    $n_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$ = new $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$11().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$$anon$12().init___();
  return this
});
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.GetEarliestActiveFlowList$Input$", {
  Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$;
var $n_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$)) {
    $n_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$ = new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$9().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$$anon$10().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input().init___T($as_T(json.flowId))
});
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.GetFlowErrorList$Input$", {
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$;
var $n_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$)) {
    $n_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$ = new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$1().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$$anon$2().init___();
  return this
});
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.GetFlowNameList$Input$", {
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$;
var $n_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$)) {
    $n_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$ = new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$3().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$$anon$4().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output = (function(json) {
  if ((json.fqFlowNameList === null)) {
    var jsx$2 = true
  } else {
    var v = json.fqFlowNameList;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array = json.fqFlowNameList;
    var this$3 = $m_sci_List$();
    var cbf = this$3.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var jsx$1 = $as_sci_List(b.result__O())
  };
  return new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output().init___sci_List(jsx$1)
});
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.GetFlowNameList$Output$", {
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$;
var $n_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$)) {
    $n_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$ = new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$7().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$$anon$8().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input().init___T($as_T(json.flowId))
});
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.GetMonitorFlowDetails$Input$", {
  Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$;
var $n_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$)) {
    $n_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$ = new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$5().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$$anon$6().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input = (function(json) {
  if ((json.teamCodeList === null)) {
    var jsx$8 = true
  } else {
    var v = json.teamCodeList;
    var jsx$8 = (v === (void 0))
  };
  if (jsx$8) {
    var jsx$7 = $m_sci_Nil$()
  } else {
    var array = json.teamCodeList;
    var this$3 = $m_sci_List$();
    var cbf = this$3.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var jsx$7 = $as_sci_List(b.result__O())
  };
  if ((json.fromDate === null)) {
    var jsx$6 = true
  } else {
    var v$1 = json.fromDate;
    var jsx$6 = (v$1 === (void 0))
  };
  if (jsx$6) {
    var jsx$5 = $m_s_None$()
  } else {
    var jsx$5 = new $c_s_Some().init___O(new $g.Date($as_T(json.fromDate)))
  };
  if ((json.toDate === null)) {
    var jsx$4 = true
  } else {
    var v$2 = json.toDate;
    var jsx$4 = (v$2 === (void 0))
  };
  if (jsx$4) {
    var jsx$3 = $m_s_None$()
  } else {
    var jsx$3 = new $c_s_Some().init___O(new $g.Date($as_T(json.toDate)))
  };
  if ((json.cid === null)) {
    var jsx$2 = true
  } else {
    var v$3 = json.cid;
    var jsx$2 = (v$3 === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_s_None$()
  } else {
    var value = json.cid;
    var jsx$1 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  return new $c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input().init___sci_List__s_Option__s_Option__s_Option__Z__Z(jsx$7, jsx$5, jsx$3, jsx$1, $uZ(json.showAll), $uZ(json.includeCompleted))
});
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.Search$Input$", {
  Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$;
var $n_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$)) {
    $n_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$ = new $c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$7().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$$anon$8().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input().init___T($as_T(json.taskId))
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetMonitorSubFlowTaskDetails$Input$", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$;
var $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$)) {
    $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$ = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$9().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$$anon$10().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input().init___T($as_T(json.taskId))
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetMonitorSubTaskList$Input$", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$;
var $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$)) {
    $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$ = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$3().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$$anon$4().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input().init___T($as_T(json.taskId))
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetMonitorTaskDetails$Input$", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$;
var $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$)) {
    $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$ = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$5().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$$anon$6().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input().init___T($as_T(json.taskId))
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetTaskErrorList$Input$", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$;
var $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$)) {
    $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$ = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$13().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$$anon$14().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input().init___T($as_T(json.fqTaskName))
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetTaskOutputSchema$Input$", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$;
var $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$)) {
    $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$ = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$11().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$$anon$12().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input().init___T($as_T(json.taskId))
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetUserListToAllocateTask$Input$", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$;
var $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$)) {
    $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$ = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$1().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$$anon$2().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input = (function(json) {
  var jsx$10 = $as_T(json.teamCode);
  if ((json.taskNameList === null)) {
    var jsx$9 = true
  } else {
    var v = json.taskNameList;
    var jsx$9 = (v === (void 0))
  };
  if (jsx$9) {
    var jsx$8 = $m_sci_Nil$()
  } else {
    var array = json.taskNameList;
    var this$3 = $m_sci_List$();
    var cbf = this$3.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var jsx$8 = $as_sci_List(b.result__O())
  };
  if ((json.taskStateList === null)) {
    var jsx$7 = true
  } else {
    var v$1 = json.taskStateList;
    var jsx$7 = (v$1 === (void 0))
  };
  if (jsx$7) {
    var jsx$6 = $m_sci_Nil$()
  } else {
    var array$1 = json.taskStateList;
    var this$6 = $m_sci_List$();
    var cbf$1 = this$6.ReusableCBFInstance$2;
    var b$1 = cbf$1.apply__scm_Builder();
    b$1.sizeHint__I__V($uI(array$1.length));
    b$1.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array$1));
    var jsx$6 = $as_sci_List(b$1.result__O())
  };
  if ((json.cid === null)) {
    var jsx$5 = true
  } else {
    var v$2 = json.cid;
    var jsx$5 = (v$2 === (void 0))
  };
  if (jsx$5) {
    var jsx$4 = $m_s_None$()
  } else {
    var value = json.cid;
    var jsx$4 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  if ((json.fromDate === null)) {
    var jsx$3 = true
  } else {
    var v$3 = json.fromDate;
    var jsx$3 = (v$3 === (void 0))
  };
  if (jsx$3) {
    var jsx$2 = $m_s_None$()
  } else {
    var jsx$2 = new $c_s_Some().init___O(new $g.Date($as_T(json.fromDate)))
  };
  if ((json.toDate === null)) {
    var jsx$1 = true
  } else {
    var v$4 = json.toDate;
    var jsx$1 = (v$4 === (void 0))
  };
  return new $c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input().init___T__sci_List__sci_List__s_Option__s_Option__s_Option__Z(jsx$10, jsx$8, jsx$6, jsx$4, jsx$2, (jsx$1 ? $m_s_None$() : new $c_s_Some().init___O(new $g.Date($as_T(json.toDate)))), $uZ(json.showAll))
});
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.Search$Input$", {
  Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$;
var $n_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$)) {
    $n_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$ = new $c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$.prototype = $c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$3().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$$anon$4().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input().init___T($as_T(json.userName))
});
var $d_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$: 0
}, false, "com.metastay.monitorapp.service.monitoruserreader.GetMonitorUserDetails$Input$", {
  Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$;
var $n_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$)) {
    $n_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$ = new $c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$.prototype = $c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$1().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$$anon$2().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input = (function(json) {
  if ((json.userName === null)) {
    var jsx$9 = true
  } else {
    var v = json.userName;
    var jsx$9 = (v === (void 0))
  };
  if (jsx$9) {
    var jsx$8 = $m_s_None$()
  } else {
    var value = json.userName;
    var jsx$8 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  if ((json.teamCode === null)) {
    var jsx$7 = true
  } else {
    var v$1 = json.teamCode;
    var jsx$7 = (v$1 === (void 0))
  };
  if (jsx$7) {
    var jsx$6 = $m_s_None$()
  } else {
    var value$1 = json.teamCode;
    var jsx$6 = ((value$1 === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value$1))
  };
  if ((json.taskNameList === null)) {
    var jsx$5 = true
  } else {
    var v$2 = json.taskNameList;
    var jsx$5 = (v$2 === (void 0))
  };
  if (jsx$5) {
    var jsx$4 = $m_sci_Nil$()
  } else {
    var array = json.taskNameList;
    var this$11 = $m_sci_List$();
    var cbf = this$11.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var jsx$4 = $as_sci_List(b.result__O())
  };
  if ((json.fromDate === null)) {
    var jsx$3 = true
  } else {
    var v$3 = json.fromDate;
    var jsx$3 = (v$3 === (void 0))
  };
  if (jsx$3) {
    var jsx$2 = $m_s_None$()
  } else {
    var jsx$2 = new $c_s_Some().init___O(new $g.Date($as_T(json.fromDate)))
  };
  if ((json.toDate === null)) {
    var jsx$1 = true
  } else {
    var v$4 = json.toDate;
    var jsx$1 = (v$4 === (void 0))
  };
  return new $c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input().init___s_Option__s_Option__sci_List__s_Option__s_Option(jsx$8, jsx$6, jsx$4, jsx$2, (jsx$1 ? $m_s_None$() : new $c_s_Some().init___O(new $g.Date($as_T(json.toDate)))))
});
var $d_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$: 0
}, false, "com.metastay.monitorapp.service.monitoruserreader.Search$Input$", {
  Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$;
var $n_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$)) {
    $n_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$ = new $c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$.prototype = $c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$1().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$$anon$2().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input().init___T($as_T(json.flowId))
});
var $d_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$: 0
}, false, "com.metastay.monitorapp.service.tagreader.GetFlowTagList$Input$", {
  Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$;
var $n_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$)) {
    $n_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$ = new $c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$.prototype = $c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$3().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$$anon$4().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input().init___T($as_T(json.taskId))
});
var $d_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$: 0
}, false, "com.metastay.monitorapp.service.tagreader.GetTaskTagList$Input$", {
  Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$;
var $n_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$)) {
    $n_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$ = new $c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$13().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$$anon$14().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input().init___T($as_T(json.fqFlowName))
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetDocumentSchema$Input$", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$;
var $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$ = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$15().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$$anon$16().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output().init___T($as_T(json.documentSchema))
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetDocumentSchema$Output$", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$;
var $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$ = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$25().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$$anon$26().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input = (function(json) {
  var jsx$3 = $as_T(json.fqFlowName);
  if ((json.netName === null)) {
    var jsx$2 = true
  } else {
    var v = json.netName;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_s_None$()
  } else {
    var value = json.netName;
    var jsx$1 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  return new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input().init___T__s_Option(jsx$3, jsx$1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetFlowStallList$Input$", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$;
var $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$ = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$27().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$$anon$28().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output = (function(json) {
  var jsx$15 = $as_T(json.flowId);
  if ((json.teamCode === null)) {
    var jsx$14 = true
  } else {
    var v = json.teamCode;
    var jsx$14 = (v === (void 0))
  };
  if (jsx$14) {
    var jsx$13 = $m_s_None$()
  } else {
    var value = json.teamCode;
    var jsx$13 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  var jsx$12 = $as_T(json.fqFlowName);
  var jsx$11 = $as_T(json.netName);
  var jsx$10 = $uI(json.priority);
  var jsx$9 = $as_T(json.initData);
  var jsx$8 = $as_T(json.cid);
  var jsx$7 = $as_T(json.displayId);
  if ((json.source === null)) {
    var jsx$6 = true
  } else {
    var v$1 = json.source;
    var jsx$6 = (v$1 === (void 0))
  };
  if (jsx$6) {
    var jsx$5 = $m_s_None$()
  } else {
    var value$1 = json.source;
    var jsx$5 = ((value$1 === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value$1))
  };
  if ((json.parentTaskId === null)) {
    var jsx$4 = true
  } else {
    var v$2 = json.parentTaskId;
    var jsx$4 = (v$2 === (void 0))
  };
  if (jsx$4) {
    var jsx$3 = $m_s_None$()
  } else {
    var value$2 = json.parentTaskId;
    var jsx$3 = ((value$2 === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value$2))
  };
  if ((json.createdBy === null)) {
    var jsx$2 = true
  } else {
    var v$3 = json.createdBy;
    var jsx$2 = (v$3 === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_s_None$()
  } else {
    var value$3 = json.createdBy;
    var jsx$1 = ((value$3 === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value$3))
  };
  return new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output().init___T__s_Option__T__T__I__T__T__T__s_Option__s_Option__s_Option(jsx$15, jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$5, jsx$3, jsx$1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetFlowStallList$Output$", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$;
var $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$ = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$21().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$$anon$22().init___();
  return this
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetFlowStallSetList$Input$", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$;
var $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$ = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$23().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$$anon$24().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output().init___T__T__I($as_T(json.fqFlowName), $as_T(json.netName), $uI(json.count))
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetFlowStallSetList$Output$", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$;
var $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$ = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$9().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$$anon$10().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input().init___T($as_T(json.fqFlowName))
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetNetInitDocumentSchemaMap$Input$", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$;
var $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$ = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$11().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$$anon$12().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output().init___T__T($as_T(json.netName), $as_T(json.initDocumentSchema))
});
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetNetInitDocumentSchemaMap$Output$", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$;
var $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$ = new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$17().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$$anon$18().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input().init___T__T__T($as_T(json.flowId), $as_T(json.comment), $as_T(json.userName))
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.AddComment$Input$", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$;
var $n_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$ = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$15().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$$anon$16().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input = (function(json) {
  var jsx$3 = $as_T(json.flowId);
  if ((json.reason === null)) {
    var jsx$2 = true
  } else {
    var v = json.reason;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_s_None$()
  } else {
    var value = json.reason;
    var jsx$1 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  return new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input().init___T__s_Option(jsx$3, jsx$1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Cancel$Input$", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$;
var $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$ = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$21().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$$anon$22().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input().init___T__I($as_T(json.flowId), $uI(json.priority))
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.ChangePriority$Input$", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$;
var $n_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$ = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$1().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$$anon$2().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input = (function(json) {
  var jsx$8 = $as_T(json.fqFlowName);
  var jsx$7 = $as_T(json.netName);
  var jsx$6 = $uI(json.priority);
  var jsx$5 = $as_T(json.initDocument);
  if ((json.teamCode === null)) {
    var jsx$4 = true
  } else {
    var v = json.teamCode;
    var jsx$4 = (v === (void 0))
  };
  if (jsx$4) {
    var jsx$3 = $m_s_None$()
  } else {
    var value = json.teamCode;
    var jsx$3 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  if ((json.source === null)) {
    var jsx$2 = true
  } else {
    var v$1 = json.source;
    var jsx$2 = (v$1 === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_s_None$()
  } else {
    var value$1 = json.source;
    var jsx$1 = ((value$1 === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value$1))
  };
  return new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input().init___T__T__I__T__s_Option__s_Option(jsx$8, jsx$7, jsx$6, jsx$5, jsx$3, jsx$1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Create$Input$", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$;
var $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$ = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$3().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$$anon$4().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output().init___T($as_T(json.flowId))
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Create$Output$", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$;
var $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$ = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$13().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$$anon$14().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input = (function(json) {
  var jsx$3 = $as_T(json.flowId);
  if ((json.comment === null)) {
    var jsx$2 = true
  } else {
    var v = json.comment;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_s_None$()
  } else {
    var value = json.comment;
    var jsx$1 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  return new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input().init___T__s_Option(jsx$3, jsx$1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.ForceComplete$Input$", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$;
var $n_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$ = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$37().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$$anon$38().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input().init___T__T($as_T(json.fqFlowName), $as_T(json.netName))
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Release$Input$", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$;
var $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$ = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$41().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$$anon$42().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input().init___T($as_T(json.flowId))
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.ReleaseOne$Input$", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$;
var $n_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$ = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$11().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$$anon$12().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input().init___T__T($as_T(json.flowId), $as_T(json.documentJson))
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Rescue$Input$", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$;
var $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$ = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$5().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$$anon$6().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input = (function(json) {
  var jsx$3 = $as_T(json.flowId);
  if ((json.reason === null)) {
    var jsx$2 = true
  } else {
    var v = json.reason;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_s_None$()
  } else {
    var value = json.reason;
    var jsx$1 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  return new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input().init___T__s_Option(jsx$3, jsx$1)
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Reset$Input$", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$;
var $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$ = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$7().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$$anon$8().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output().init___T($as_T(json.newFlowId))
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Reset$Output$", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$;
var $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$ = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$33().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$$anon$34().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input().init___T__T($as_T(json.fqFlowName), $as_T(json.netName))
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Stall$Input$", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$;
var $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$ = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$35().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$$anon$36().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input().init___T($as_T(json.fqFlowName))
});
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.StallAll$Input$", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$;
var $n_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$ = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$43().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$$anon$44().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input().init___T__T__T($as_T(json.taskId), $as_T(json.comment), $as_T(json.userName))
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.AddComment$Input$", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$;
var $n_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$ = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$9().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$$anon$10().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input = (function(json) {
  var jsx$4 = $as_T(json.taskId);
  var jsx$3 = $as_T(json.toUserName);
  if ((json.whoDidItUserName === null)) {
    var jsx$2 = true
  } else {
    var v = json.whoDidItUserName;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_s_None$()
  } else {
    var value = json.whoDidItUserName;
    var jsx$1 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  return new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input().init___T__T__s_Option(jsx$4, jsx$3, jsx$1)
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Assign$Input$", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$;
var $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$ = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$13().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$$anon$14().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input = (function(json) {
  var jsx$3 = $as_T(json.taskId);
  if ((json.whoDidItUserName === null)) {
    var jsx$2 = true
  } else {
    var v = json.whoDidItUserName;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_s_None$()
  } else {
    var value = json.whoDidItUserName;
    var jsx$1 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  return new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input().init___T__s_Option(jsx$3, jsx$1)
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Deallocate$Input$", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$;
var $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$ = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$15().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$$anon$16().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input = (function(json) {
  var jsx$3 = $as_T(json.userName);
  if ((json.whoDidItUserName === null)) {
    var jsx$2 = true
  } else {
    var v = json.whoDidItUserName;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_s_None$()
  } else {
    var value = json.whoDidItUserName;
    var jsx$1 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  return new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input().init___T__s_Option(jsx$3, jsx$1)
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.DeallocateAll$Input$", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$;
var $n_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$ = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$35().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$$anon$36().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input = (function(json) {
  var jsx$3 = $as_T(json.taskId);
  if ((json.comment === null)) {
    var jsx$2 = true
  } else {
    var v = json.comment;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_s_None$()
  } else {
    var value = json.comment;
    var jsx$1 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  return new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input().init___T__s_Option(jsx$3, jsx$1)
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.ForceComplete$Input$", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$;
var $n_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$ = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$21().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$$anon$22().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input().init___T($as_T(json.taskId))
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Proceed$Input$", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$;
var $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$ = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$17().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$$anon$18().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input = (function(json) {
  var jsx$4 = $as_T(json.taskId);
  var jsx$3 = $as_T(json.toUserName);
  if ((json.whoDidItUserName === null)) {
    var jsx$2 = true
  } else {
    var v = json.whoDidItUserName;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_s_None$()
  } else {
    var value = json.whoDidItUserName;
    var jsx$1 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  return new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input().init___T__T__s_Option(jsx$4, jsx$3, jsx$1)
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Reassign$Input$", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$;
var $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$ = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$31().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$$anon$32().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input().init___T__T($as_T(json.taskId), $as_T(json.outputJson))
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Rescue$Input$", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$;
var $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$ = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$37().init___();
  this.fromJs$1 = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$$anon$38().init___();
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input = (function(json) {
  return new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input().init___T($as_T(json.taskId))
});
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$ = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Retry$Input$", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$;
var $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$ = (void 0);
function $m_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$() {
  if ((!$n_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$)) {
    $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$ = new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$().init___()
  };
  return $n_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input$
}
var $b_Lcom_metastay_monitorapp_store_Mutations = (void 0);
function $a_Lcom_metastay_monitorapp_store_Mutations() {
  if ((!$b_Lcom_metastay_monitorapp_store_Mutations)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_store_Mutations = (function $c_Lcom_metastay_monitorapp_store_Mutations() {
      $g.Object.call(this);
      $g.Object.defineProperty(this, "MUTATE_USER_DETAILS", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "MUTATE_TASK_STATE_LIST", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "MUTATE_MONITOR_FLOW_SEARCH", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "MUTATE_MONITOR_FLOW_SEARCH_RESULT_LIST", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "MUTATE_MONITOR_TASK_SEARCH", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "MUTATE_MONITOR_TASK_SEARCH_RESULT_LIST", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "MUTATE_MONITOR_USER_SEARCH", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "MUTATE_MONITOR_USER_SEARCH_RESULT_LIST", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "MUTATE_FQ_FLOW_NAME_LIST", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.MUTATE_USER_DETAILS = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$().mutateUserDetails__F2());
      this.MUTATE_TASK_STATE_LIST = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$().mutateTaskStateList__F2());
      this.MUTATE_MONITOR_FLOW_SEARCH = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_monitorapp_store_SearchMutationsCode$().mutateMonitorFlowSearch__F2());
      this.MUTATE_MONITOR_FLOW_SEARCH_RESULT_LIST = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_monitorapp_store_SearchMutationsCode$().mutateMonitorFlowSearchResultList__F2());
      this.MUTATE_MONITOR_TASK_SEARCH = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_monitorapp_store_SearchMutationsCode$().mutateMonitorTaskSearch__F2());
      this.MUTATE_MONITOR_TASK_SEARCH_RESULT_LIST = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_monitorapp_store_SearchMutationsCode$().mutateMonitorTaskSearchResultList__F2());
      this.MUTATE_MONITOR_USER_SEARCH = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_monitorapp_store_SearchMutationsCode$().mutateMonitorUserSearch__F2());
      this.MUTATE_MONITOR_USER_SEARCH_RESULT_LIST = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_monitorapp_store_SearchMutationsCode$().mutateMonitorUserSearchResultList__F2());
      this.MUTATE_FQ_FLOW_NAME_LIST = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_monitorapp_store_MonitorMutationsCode$().mutateFqFlowNameList__F2())
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_store_Mutations = (function $h_Lcom_metastay_monitorapp_store_Mutations() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_store_Mutations.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_store_Mutations.prototype = new $h_Lcom_metastay_monitorapp_store_Mutations();
    $c_Lcom_metastay_monitorapp_store_Mutations.prototype.constructor = $c_Lcom_metastay_monitorapp_store_Mutations;
    $b_Lcom_metastay_monitorapp_store_Mutations = $c_Lcom_metastay_monitorapp_store_Mutations
  };
  return $b_Lcom_metastay_monitorapp_store_Mutations
}
function $s_Lcom_metastay_monitorapp_store_State__asDynamic__Lcom_metastay_monitorapp_store_State__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_monitorapp_store_State__toJson__Lcom_metastay_monitorapp_store_State__sjs_js_Dynamic($this) {
  var ret = {};
  ret.userDetails = $this.userDetails.toJson;
  var array = $this.fqFlowNameList;
  var array$1 = [];
  $uI(array.length);
  var i = 0;
  var len = $uI(array.length);
  while ((i < len)) {
    var index = i;
    var arg1 = array[index];
    var elem = arg1.toJson;
    array$1.push(elem);
    i = ((1 + i) | 0)
  };
  ret.fqFlowNameList = array$1;
  var coll = $this.taskStateList;
  ret.taskStateList = coll;
  ret.monitorFlowSearch = $this.monitorFlowSearch.toJson;
  var array$2 = $this.monitorFlowSearchResultList;
  var array$3 = [];
  $uI(array$2.length);
  var i$1 = 0;
  var len$1 = $uI(array$2.length);
  while ((i$1 < len$1)) {
    var index$1 = i$1;
    var arg1$1 = array$2[index$1];
    var elem$1 = arg1$1.toJson;
    array$3.push(elem$1);
    i$1 = ((1 + i$1) | 0)
  };
  ret.monitorFlowSearchResultList = array$3;
  ret.monitorTaskSearch = $this.monitorTaskSearch.toJson;
  var array$4 = $this.monitorTaskSearchResultList;
  var array$5 = [];
  $uI(array$4.length);
  var i$2 = 0;
  var len$2 = $uI(array$4.length);
  while ((i$2 < len$2)) {
    var index$2 = i$2;
    var arg1$2 = array$4[index$2];
    var elem$2 = arg1$2.toJson;
    array$5.push(elem$2);
    i$2 = ((1 + i$2) | 0)
  };
  ret.monitorTaskSearchResultList = array$5;
  ret.monitorUserSearch = $this.monitorUserSearch.toJson;
  var array$6 = $this.monitorUserSearchResultList;
  var array$7 = [];
  $uI(array$6.length);
  var i$3 = 0;
  var len$3 = $uI(array$6.length);
  while ((i$3 < len$3)) {
    var index$3 = i$3;
    var arg1$3 = array$6[index$3];
    var elem$3 = arg1$3.toJson;
    array$7.push(elem$3);
    i$3 = ((1 + i$3) | 0)
  };
  ret.monitorUserSearchResultList = array$7;
  return ret
}
var $b_Lcom_metastay_monitorapp_store_State = (void 0);
function $a_Lcom_metastay_monitorapp_store_State() {
  if ((!$b_Lcom_metastay_monitorapp_store_State)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_store_State = (function $c_Lcom_metastay_monitorapp_store_State() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userDetails = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_monitorapp_store_State$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_store_State$__Lcom_metastay_monitorapp_data_UserDetails($m_Lcom_metastay_monitorapp_store_State$()) : arg$rest[0]);
      var fqFlowNameList = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_monitorapp_store_State$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_store_State$__sjs_js_Array($m_Lcom_metastay_monitorapp_store_State$()) : arg$rest[1]);
      var taskStateList = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_monitorapp_store_State$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_store_State$__sjs_js_Array($m_Lcom_metastay_monitorapp_store_State$()) : arg$rest[2]);
      var monitorFlowSearch = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_monitorapp_store_State$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_store_State$__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm($m_Lcom_metastay_monitorapp_store_State$()) : arg$rest[3]);
      var monitorFlowSearchResultList = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_monitorapp_store_State$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_store_State$__sjs_js_Array($m_Lcom_metastay_monitorapp_store_State$()) : arg$rest[4]);
      var monitorTaskSearch = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_monitorapp_store_State$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_store_State$__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm($m_Lcom_metastay_monitorapp_store_State$()) : arg$rest[5]);
      var monitorTaskSearchResultList = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_monitorapp_store_State$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_store_State$__sjs_js_Array($m_Lcom_metastay_monitorapp_store_State$()) : arg$rest[6]);
      var monitorUserSearch = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_monitorapp_store_State$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_store_State$__Lcom_metastay_monitorapp_data_MonitorUserSearchForm($m_Lcom_metastay_monitorapp_store_State$()) : arg$rest[7]);
      var monitorUserSearchResultList = ((arg$rest[8] === (void 0)) ? $s_Lcom_metastay_monitorapp_store_State$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_store_State$__sjs_js_Array($m_Lcom_metastay_monitorapp_store_State$()) : arg$rest[8]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userDetails", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fqFlowNameList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskStateList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "monitorFlowSearch", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "monitorFlowSearchResultList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "monitorTaskSearch", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "monitorTaskSearchResultList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "monitorUserSearch", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "monitorUserSearchResultList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.userDetails = userDetails;
      this.fqFlowNameList = fqFlowNameList;
      this.taskStateList = taskStateList;
      this.monitorFlowSearch = monitorFlowSearch;
      this.monitorFlowSearchResultList = monitorFlowSearchResultList;
      this.monitorTaskSearch = monitorTaskSearch;
      this.monitorTaskSearchResultList = monitorTaskSearchResultList;
      this.monitorUserSearch = monitorUserSearch;
      this.monitorUserSearchResultList = monitorUserSearchResultList
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_store_State = (function $h_Lcom_metastay_monitorapp_store_State() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_store_State.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_store_State.prototype = new $h_Lcom_metastay_monitorapp_store_State();
    $c_Lcom_metastay_monitorapp_store_State.prototype.constructor = $c_Lcom_metastay_monitorapp_store_State;
    Object.defineProperty($c_Lcom_metastay_monitorapp_store_State.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_store_State__asDynamic__Lcom_metastay_monitorapp_store_State__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_monitorapp_store_State.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_monitorapp_store_State__toJson__Lcom_metastay_monitorapp_store_State__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_monitorapp_store_State = $c_Lcom_metastay_monitorapp_store_State
  };
  return $b_Lcom_metastay_monitorapp_store_State
}
function $s_Lcom_metastay_monitorapp_store_State$__$$lessinit$greater$default$2__Lcom_metastay_monitorapp_store_State$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_store_State$__$$lessinit$greater$default$6__Lcom_metastay_monitorapp_store_State$__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm())()
}
function $s_Lcom_metastay_monitorapp_store_State$__$$lessinit$greater$default$7__Lcom_metastay_monitorapp_store_State$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_store_State$__fromDynamic__Lcom_metastay_monitorapp_store_State$__sjs_js_Dynamic__Lcom_metastay_monitorapp_store_State($this, json) {
  var v = json.userDetails;
  if (((v === (void 0)) || (json.userDetails === null))) {
    var jsx$9 = new ($a_Lcom_metastay_monitorapp_data_UserDetails())()
  } else {
    var jsx$9 = $m_Lcom_metastay_monitorapp_data_UserDetails$().fromDynamic(json.userDetails)
  };
  var v$1 = json.fqFlowNameList;
  if (((v$1 === (void 0)) || (json.fqFlowNameList === null))) {
    var jsx$8 = []
  } else {
    var array = json.fqFlowNameList;
    var array$1 = [];
    $uI(array.length);
    var i = 0;
    var len = $uI(array.length);
    while ((i < len)) {
      var index = i;
      var arg1 = array[index];
      var elem = $m_Lcom_metastay_monitorapp_data_FqFlowName$().fromDynamic(arg1);
      array$1.push(elem);
      i = ((1 + i) | 0)
    };
    var jsx$8 = array$1
  };
  var v$2 = json.taskStateList;
  if (((v$2 === (void 0)) || (json.taskStateList === null))) {
    var jsx$7 = []
  } else {
    var jsx$7 = json.taskStateList
  };
  var v$3 = json.monitorFlowSearch;
  if (((v$3 === (void 0)) || (json.monitorFlowSearch === null))) {
    var jsx$6 = new ($a_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm())()
  } else {
    var jsx$6 = $m_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$().fromDynamic(json.monitorFlowSearch)
  };
  var v$4 = json.monitorFlowSearchResultList;
  if (((v$4 === (void 0)) || (json.monitorFlowSearchResultList === null))) {
    var jsx$5 = []
  } else {
    var array$2 = json.monitorFlowSearchResultList;
    var array$3 = [];
    $uI(array$2.length);
    var i$1 = 0;
    var len$1 = $uI(array$2.length);
    while ((i$1 < len$1)) {
      var index$1 = i$1;
      var arg1$1 = array$2[index$1];
      var elem$1 = $m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$().fromDynamic(arg1$1);
      array$3.push(elem$1);
      i$1 = ((1 + i$1) | 0)
    };
    var jsx$5 = array$3
  };
  var v$5 = json.monitorTaskSearch;
  if (((v$5 === (void 0)) || (json.monitorTaskSearch === null))) {
    var jsx$4 = new ($a_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm())()
  } else {
    var jsx$4 = $m_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$().fromDynamic(json.monitorTaskSearch)
  };
  var v$6 = json.monitorTaskSearchResultList;
  if (((v$6 === (void 0)) || (json.monitorTaskSearchResultList === null))) {
    var jsx$3 = []
  } else {
    var array$4 = json.monitorTaskSearchResultList;
    var array$5 = [];
    $uI(array$4.length);
    var i$2 = 0;
    var len$2 = $uI(array$4.length);
    while ((i$2 < len$2)) {
      var index$2 = i$2;
      var arg1$2 = array$4[index$2];
      var elem$2 = $m_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$().fromDynamic(arg1$2);
      array$5.push(elem$2);
      i$2 = ((1 + i$2) | 0)
    };
    var jsx$3 = array$5
  };
  var v$7 = json.monitorUserSearch;
  if (((v$7 === (void 0)) || (json.monitorUserSearch === null))) {
    var jsx$2 = new ($a_Lcom_metastay_monitorapp_data_MonitorUserSearchForm())()
  } else {
    var jsx$2 = $m_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$().fromDynamic(json.monitorUserSearch)
  };
  var v$8 = json.monitorUserSearchResultList;
  if (((v$8 === (void 0)) || (json.monitorUserSearchResultList === null))) {
    var jsx$1 = []
  } else {
    var array$6 = json.monitorUserSearchResultList;
    var array$7 = [];
    $uI(array$6.length);
    var i$3 = 0;
    var len$3 = $uI(array$6.length);
    while ((i$3 < len$3)) {
      var index$3 = i$3;
      var arg1$3 = array$6[index$3];
      var elem$3 = $m_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$().fromDynamic(arg1$3);
      array$7.push(elem$3);
      i$3 = ((1 + i$3) | 0)
    };
    var jsx$1 = array$7
  };
  return new ($a_Lcom_metastay_monitorapp_store_State())(jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1)
}
function $s_Lcom_metastay_monitorapp_store_State$__createNew__Lcom_metastay_monitorapp_store_State$__Lcom_metastay_monitorapp_store_State($this) {
  return new ($a_Lcom_metastay_monitorapp_store_State())()
}
function $s_Lcom_metastay_monitorapp_store_State$__schemaInfo__Lcom_metastay_monitorapp_store_State$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"State\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userDetails\": {\n    \"type\": \"com.metastay.monitorapp.data.UserDetails\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"fqFlowNameList\": {\n    \"type\": \"Array_com.metastay.monitorapp.data.FqFlowName\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"taskStateList\": {\n    \"type\": \"Array_String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"monitorFlowSearch\": {\n    \"type\": \"com.metastay.monitorapp.data.MonitorFlowSearchForm\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"monitorFlowSearchResultList\": {\n    \"type\": \"Array_com.metastay.monitorapp.data.MonitorFlowSearchResultGrid\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"monitorTaskSearch\": {\n    \"type\": \"com.metastay.monitorapp.data.MonitorTaskSearchForm\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"monitorTaskSearchResultList\": {\n    \"type\": \"Array_com.metastay.monitorapp.data.MonitorTaskSearchResultGrid\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"monitorUserSearch\": {\n    \"type\": \"com.metastay.monitorapp.data.MonitorUserSearchForm\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"monitorUserSearchResultList\": {\n    \"type\": \"Array_com.metastay.monitorapp.data.MonitorUserSearchResultGrid\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"userDetails\" , \"monitorFlowSearch\" , \"monitorTaskSearch\" , \"monitorUserSearch\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_monitorapp_store_State$__$$lessinit$greater$default$5__Lcom_metastay_monitorapp_store_State$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_store_State$__$$lessinit$greater$default$1__Lcom_metastay_monitorapp_store_State$__Lcom_metastay_monitorapp_data_UserDetails($this) {
  return new ($a_Lcom_metastay_monitorapp_data_UserDetails())()
}
function $s_Lcom_metastay_monitorapp_store_State$__$$lessinit$greater$default$8__Lcom_metastay_monitorapp_store_State$__Lcom_metastay_monitorapp_data_MonitorUserSearchForm($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorUserSearchForm())()
}
function $s_Lcom_metastay_monitorapp_store_State$__$$lessinit$greater$default$4__Lcom_metastay_monitorapp_store_State$__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm($this) {
  return new ($a_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm())()
}
function $s_Lcom_metastay_monitorapp_store_State$__$$lessinit$greater$default$9__Lcom_metastay_monitorapp_store_State$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_store_State$__$$lessinit$greater$default$3__Lcom_metastay_monitorapp_store_State$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_monitorapp_store_State$__from__Lcom_metastay_monitorapp_store_State$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_store_State($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
var $b_Lcom_metastay_monitorapp_store_State$ = (void 0);
function $a_Lcom_metastay_monitorapp_store_State$() {
  if ((!$b_Lcom_metastay_monitorapp_store_State$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_store_State$ = (function $c_Lcom_metastay_monitorapp_store_State$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_store_State$ = (function $h_Lcom_metastay_monitorapp_store_State$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_store_State$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_monitorapp_store_State$.prototype = new $h_Lcom_metastay_monitorapp_store_State$();
    $c_Lcom_metastay_monitorapp_store_State$.prototype.constructor = $c_Lcom_metastay_monitorapp_store_State$;
    $c_Lcom_metastay_monitorapp_store_State$.prototype.createNew = (function() {
      return $s_Lcom_metastay_monitorapp_store_State$__createNew__Lcom_metastay_monitorapp_store_State$__Lcom_metastay_monitorapp_store_State(this)
    });
    $c_Lcom_metastay_monitorapp_store_State$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_monitorapp_store_State$__fromDynamic__Lcom_metastay_monitorapp_store_State$__sjs_js_Dynamic__Lcom_metastay_monitorapp_store_State(this, prep0)
    });
    $c_Lcom_metastay_monitorapp_store_State$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_monitorapp_store_State$__from__Lcom_metastay_monitorapp_store_State$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_monitorapp_store_State(this, prep0, prep1)
    });
    $c_Lcom_metastay_monitorapp_store_State$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_monitorapp_store_State$__schemaInfo__Lcom_metastay_monitorapp_store_State$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_monitorapp_store_State$ = $c_Lcom_metastay_monitorapp_store_State$
  };
  return $b_Lcom_metastay_monitorapp_store_State$
}
var $n_Lcom_metastay_monitorapp_store_State$ = (void 0);
function $m_Lcom_metastay_monitorapp_store_State$() {
  if ((!$n_Lcom_metastay_monitorapp_store_State$)) {
    $n_Lcom_metastay_monitorapp_store_State$ = new ($a_Lcom_metastay_monitorapp_store_State$())()
  };
  return $n_Lcom_metastay_monitorapp_store_State$
}
function $s_Lcom_metastay_reportapp_data_AppRole__asDynamic__Lcom_metastay_reportapp_data_AppRole__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_reportapp_data_AppRole__toJson__Lcom_metastay_reportapp_data_AppRole__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.appId);
  ret.appId = s;
  var s$1 = $as_T($this.role);
  ret.role = s$1;
  return ret
}
var $b_Lcom_metastay_reportapp_data_AppRole = (void 0);
function $a_Lcom_metastay_reportapp_data_AppRole() {
  if ((!$b_Lcom_metastay_reportapp_data_AppRole)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_AppRole = (function $c_Lcom_metastay_reportapp_data_AppRole() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var appId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_reportapp_data_AppRole$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_AppRole$__T($m_Lcom_metastay_reportapp_data_AppRole$()) : $as_T(arg$rest[0]));
      var role = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_reportapp_data_AppRole$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_AppRole$__T($m_Lcom_metastay_reportapp_data_AppRole$()) : $as_T(arg$rest[1]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "appId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "role", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.appId = appId;
      this.role = role
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_AppRole = (function $h_Lcom_metastay_reportapp_data_AppRole() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_AppRole.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_AppRole.prototype = new $h_Lcom_metastay_reportapp_data_AppRole();
    $c_Lcom_metastay_reportapp_data_AppRole.prototype.constructor = $c_Lcom_metastay_reportapp_data_AppRole;
    Object.defineProperty($c_Lcom_metastay_reportapp_data_AppRole.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_AppRole__asDynamic__Lcom_metastay_reportapp_data_AppRole__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_reportapp_data_AppRole.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_AppRole__toJson__Lcom_metastay_reportapp_data_AppRole__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_reportapp_data_AppRole = $c_Lcom_metastay_reportapp_data_AppRole
  };
  return $b_Lcom_metastay_reportapp_data_AppRole
}
function $s_Lcom_metastay_reportapp_data_AppRole$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_AppRole$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_AppRole$__from__Lcom_metastay_reportapp_data_AppRole$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_AppRole($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_reportapp_data_AppRole$__fromDynamic__Lcom_metastay_reportapp_data_AppRole$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_AppRole($this, json) {
  var v = json.appId;
  if (((v === (void 0)) || (json.appId === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.appId)
  };
  var v$1 = json.role;
  return new ($a_Lcom_metastay_reportapp_data_AppRole())(jsx$1, (((v$1 === (void 0)) || (json.role === null)) ? null : $as_T(json.role)))
}
function $s_Lcom_metastay_reportapp_data_AppRole$__createNew__Lcom_metastay_reportapp_data_AppRole$__Lcom_metastay_reportapp_data_AppRole($this) {
  return new ($a_Lcom_metastay_reportapp_data_AppRole())()
}
function $s_Lcom_metastay_reportapp_data_AppRole$__schemaInfo__Lcom_metastay_reportapp_data_AppRole$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"AppRole\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"appId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"role\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"appId\" , \"role\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_reportapp_data_AppRole$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_AppRole$__T($this) {
  return null
}
var $b_Lcom_metastay_reportapp_data_AppRole$ = (void 0);
function $a_Lcom_metastay_reportapp_data_AppRole$() {
  if ((!$b_Lcom_metastay_reportapp_data_AppRole$)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_AppRole$ = (function $c_Lcom_metastay_reportapp_data_AppRole$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_AppRole$ = (function $h_Lcom_metastay_reportapp_data_AppRole$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_AppRole$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_AppRole$.prototype = new $h_Lcom_metastay_reportapp_data_AppRole$();
    $c_Lcom_metastay_reportapp_data_AppRole$.prototype.constructor = $c_Lcom_metastay_reportapp_data_AppRole$;
    $c_Lcom_metastay_reportapp_data_AppRole$.prototype.createNew = (function() {
      return $s_Lcom_metastay_reportapp_data_AppRole$__createNew__Lcom_metastay_reportapp_data_AppRole$__Lcom_metastay_reportapp_data_AppRole(this)
    });
    $c_Lcom_metastay_reportapp_data_AppRole$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_reportapp_data_AppRole$__fromDynamic__Lcom_metastay_reportapp_data_AppRole$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_AppRole(this, prep0)
    });
    $c_Lcom_metastay_reportapp_data_AppRole$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_reportapp_data_AppRole$__from__Lcom_metastay_reportapp_data_AppRole$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_AppRole(this, prep0, prep1)
    });
    $c_Lcom_metastay_reportapp_data_AppRole$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_reportapp_data_AppRole$__schemaInfo__Lcom_metastay_reportapp_data_AppRole$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_reportapp_data_AppRole$ = $c_Lcom_metastay_reportapp_data_AppRole$
  };
  return $b_Lcom_metastay_reportapp_data_AppRole$
}
var $n_Lcom_metastay_reportapp_data_AppRole$ = (void 0);
function $m_Lcom_metastay_reportapp_data_AppRole$() {
  if ((!$n_Lcom_metastay_reportapp_data_AppRole$)) {
    $n_Lcom_metastay_reportapp_data_AppRole$ = new ($a_Lcom_metastay_reportapp_data_AppRole$())()
  };
  return $n_Lcom_metastay_reportapp_data_AppRole$
}
function $s_Lcom_metastay_reportapp_data_FqFlowName__toJson__Lcom_metastay_reportapp_data_FqFlowName__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.fqFlowName);
  ret.fqFlowName = s;
  var s$1 = $as_T($this.flowName);
  ret.flowName = s$1;
  return ret
}
function $s_Lcom_metastay_reportapp_data_FqFlowName__asDynamic__Lcom_metastay_reportapp_data_FqFlowName__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_reportapp_data_FqFlowName = (void 0);
function $a_Lcom_metastay_reportapp_data_FqFlowName() {
  if ((!$b_Lcom_metastay_reportapp_data_FqFlowName)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_FqFlowName = (function $c_Lcom_metastay_reportapp_data_FqFlowName() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var fqFlowName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_reportapp_data_FqFlowName$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_FqFlowName$__T($m_Lcom_metastay_reportapp_data_FqFlowName$()) : $as_T(arg$rest[0]));
      var flowName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_reportapp_data_FqFlowName$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_FqFlowName$__T($m_Lcom_metastay_reportapp_data_FqFlowName$()) : $as_T(arg$rest[1]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "fqFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.fqFlowName = fqFlowName;
      this.flowName = flowName
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_FqFlowName = (function $h_Lcom_metastay_reportapp_data_FqFlowName() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_FqFlowName.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_FqFlowName.prototype = new $h_Lcom_metastay_reportapp_data_FqFlowName();
    $c_Lcom_metastay_reportapp_data_FqFlowName.prototype.constructor = $c_Lcom_metastay_reportapp_data_FqFlowName;
    Object.defineProperty($c_Lcom_metastay_reportapp_data_FqFlowName.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_FqFlowName__asDynamic__Lcom_metastay_reportapp_data_FqFlowName__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_reportapp_data_FqFlowName.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_FqFlowName__toJson__Lcom_metastay_reportapp_data_FqFlowName__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_reportapp_data_FqFlowName = $c_Lcom_metastay_reportapp_data_FqFlowName
  };
  return $b_Lcom_metastay_reportapp_data_FqFlowName
}
function $s_Lcom_metastay_reportapp_data_FqFlowName$__from__Lcom_metastay_reportapp_data_FqFlowName$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_FqFlowName($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_reportapp_data_FqFlowName$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_FqFlowName$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_FqFlowName$__createNew__Lcom_metastay_reportapp_data_FqFlowName$__Lcom_metastay_reportapp_data_FqFlowName($this) {
  return new ($a_Lcom_metastay_reportapp_data_FqFlowName())()
}
function $s_Lcom_metastay_reportapp_data_FqFlowName$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_FqFlowName$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_FqFlowName$__schemaInfo__Lcom_metastay_reportapp_data_FqFlowName$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"FqFlowName\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"fqFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"flowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"fqFlowName\" , \"flowName\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_reportapp_data_FqFlowName$__fromDynamic__Lcom_metastay_reportapp_data_FqFlowName$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_FqFlowName($this, json) {
  var v = json.fqFlowName;
  if (((v === (void 0)) || (json.fqFlowName === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.fqFlowName)
  };
  var v$1 = json.flowName;
  return new ($a_Lcom_metastay_reportapp_data_FqFlowName())(jsx$1, (((v$1 === (void 0)) || (json.flowName === null)) ? null : $as_T(json.flowName)))
}
var $b_Lcom_metastay_reportapp_data_FqFlowName$ = (void 0);
function $a_Lcom_metastay_reportapp_data_FqFlowName$() {
  if ((!$b_Lcom_metastay_reportapp_data_FqFlowName$)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_FqFlowName$ = (function $c_Lcom_metastay_reportapp_data_FqFlowName$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_FqFlowName$ = (function $h_Lcom_metastay_reportapp_data_FqFlowName$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_FqFlowName$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_FqFlowName$.prototype = new $h_Lcom_metastay_reportapp_data_FqFlowName$();
    $c_Lcom_metastay_reportapp_data_FqFlowName$.prototype.constructor = $c_Lcom_metastay_reportapp_data_FqFlowName$;
    $c_Lcom_metastay_reportapp_data_FqFlowName$.prototype.createNew = (function() {
      return $s_Lcom_metastay_reportapp_data_FqFlowName$__createNew__Lcom_metastay_reportapp_data_FqFlowName$__Lcom_metastay_reportapp_data_FqFlowName(this)
    });
    $c_Lcom_metastay_reportapp_data_FqFlowName$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_reportapp_data_FqFlowName$__fromDynamic__Lcom_metastay_reportapp_data_FqFlowName$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_FqFlowName(this, prep0)
    });
    $c_Lcom_metastay_reportapp_data_FqFlowName$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_reportapp_data_FqFlowName$__from__Lcom_metastay_reportapp_data_FqFlowName$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_FqFlowName(this, prep0, prep1)
    });
    $c_Lcom_metastay_reportapp_data_FqFlowName$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_reportapp_data_FqFlowName$__schemaInfo__Lcom_metastay_reportapp_data_FqFlowName$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_reportapp_data_FqFlowName$ = $c_Lcom_metastay_reportapp_data_FqFlowName$
  };
  return $b_Lcom_metastay_reportapp_data_FqFlowName$
}
var $n_Lcom_metastay_reportapp_data_FqFlowName$ = (void 0);
function $m_Lcom_metastay_reportapp_data_FqFlowName$() {
  if ((!$n_Lcom_metastay_reportapp_data_FqFlowName$)) {
    $n_Lcom_metastay_reportapp_data_FqFlowName$ = new ($a_Lcom_metastay_reportapp_data_FqFlowName$())()
  };
  return $n_Lcom_metastay_reportapp_data_FqFlowName$
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchForm__asDynamic__Lcom_metastay_reportapp_data_ReportFlowSearchForm__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchForm__toJson__Lcom_metastay_reportapp_data_ReportFlowSearchForm__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.fqFlowName);
  ret.fqFlowName = s;
  var value = $this.fromDate;
  if ((value !== (void 0))) {
    var value$1 = $this.fromDate;
    if ((value$1 === (void 0))) {
      var jsx$1;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$1 = value$1
    };
    ret.fromDate = jsx$1
  };
  var value$2 = $this.toDate;
  if ((value$2 !== (void 0))) {
    var value$3 = $this.toDate;
    if ((value$3 === (void 0))) {
      var jsx$2;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$2 = value$3
    };
    ret.toDate = jsx$2
  };
  return ret
}
var $b_Lcom_metastay_reportapp_data_ReportFlowSearchForm = (void 0);
function $a_Lcom_metastay_reportapp_data_ReportFlowSearchForm() {
  if ((!$b_Lcom_metastay_reportapp_data_ReportFlowSearchForm)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_ReportFlowSearchForm = (function $c_Lcom_metastay_reportapp_data_ReportFlowSearchForm() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var fqFlowName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportFlowSearchForm$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_ReportFlowSearchForm$__T($m_Lcom_metastay_reportapp_data_ReportFlowSearchForm$()) : $as_T(arg$rest[0]));
      var fromDate = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportFlowSearchForm$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_ReportFlowSearchForm$__sjs_js_UndefOr($m_Lcom_metastay_reportapp_data_ReportFlowSearchForm$()) : arg$rest[1]);
      var toDate = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportFlowSearchForm$__$$lessinit$greater$default$3__Lcom_metastay_reportapp_data_ReportFlowSearchForm$__sjs_js_UndefOr($m_Lcom_metastay_reportapp_data_ReportFlowSearchForm$()) : arg$rest[2]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "fqFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fromDate", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "toDate", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.fqFlowName = fqFlowName;
      this.fromDate = fromDate;
      this.toDate = toDate
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_ReportFlowSearchForm = (function $h_Lcom_metastay_reportapp_data_ReportFlowSearchForm() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_ReportFlowSearchForm.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchForm.prototype = new $h_Lcom_metastay_reportapp_data_ReportFlowSearchForm();
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchForm.prototype.constructor = $c_Lcom_metastay_reportapp_data_ReportFlowSearchForm;
    Object.defineProperty($c_Lcom_metastay_reportapp_data_ReportFlowSearchForm.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_ReportFlowSearchForm__asDynamic__Lcom_metastay_reportapp_data_ReportFlowSearchForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_reportapp_data_ReportFlowSearchForm.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_ReportFlowSearchForm__toJson__Lcom_metastay_reportapp_data_ReportFlowSearchForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_reportapp_data_ReportFlowSearchForm = $c_Lcom_metastay_reportapp_data_ReportFlowSearchForm
  };
  return $b_Lcom_metastay_reportapp_data_ReportFlowSearchForm
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchForm$__schemaInfo__Lcom_metastay_reportapp_data_ReportFlowSearchForm$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"ReportFlowSearchForm\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"fqFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"fromDate\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"toDate\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"fqFlowName\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchForm$__fromDynamic__Lcom_metastay_reportapp_data_ReportFlowSearchForm$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_ReportFlowSearchForm($this, json) {
  var v = json.fqFlowName;
  if (((v === (void 0)) || (json.fqFlowName === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.fqFlowName)
  };
  var v$1 = json.fromDate;
  if (((v$1 === (void 0)) || (json.fromDate === null))) {
    var jsx$2 = (void 0)
  } else {
    var opt$1 = new $c_s_Some().init___O(new $g.Date($as_T(json.fromDate)));
    var arg1 = opt$1.x$2;
    var jsx$2 = arg1
  };
  var v$2 = json.toDate;
  if (((v$2 === (void 0)) || (json.toDate === null))) {
    var jsx$1 = (void 0)
  } else {
    var opt$3 = new $c_s_Some().init___O(new $g.Date($as_T(json.toDate)));
    var arg1$1 = opt$3.x$2;
    var jsx$1 = arg1$1
  };
  return new ($a_Lcom_metastay_reportapp_data_ReportFlowSearchForm())(jsx$3, jsx$2, jsx$1)
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchForm$__$$lessinit$greater$default$3__Lcom_metastay_reportapp_data_ReportFlowSearchForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchForm$__createNew__Lcom_metastay_reportapp_data_ReportFlowSearchForm$__Lcom_metastay_reportapp_data_ReportFlowSearchForm($this) {
  return new ($a_Lcom_metastay_reportapp_data_ReportFlowSearchForm())()
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchForm$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_ReportFlowSearchForm$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchForm$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_ReportFlowSearchForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchForm$__from__Lcom_metastay_reportapp_data_ReportFlowSearchForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_ReportFlowSearchForm($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
var $b_Lcom_metastay_reportapp_data_ReportFlowSearchForm$ = (void 0);
function $a_Lcom_metastay_reportapp_data_ReportFlowSearchForm$() {
  if ((!$b_Lcom_metastay_reportapp_data_ReportFlowSearchForm$)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_ReportFlowSearchForm$ = (function $c_Lcom_metastay_reportapp_data_ReportFlowSearchForm$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_ReportFlowSearchForm$ = (function $h_Lcom_metastay_reportapp_data_ReportFlowSearchForm$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_ReportFlowSearchForm$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchForm$.prototype = new $h_Lcom_metastay_reportapp_data_ReportFlowSearchForm$();
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchForm$.prototype.constructor = $c_Lcom_metastay_reportapp_data_ReportFlowSearchForm$;
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchForm$.prototype.createNew = (function() {
      return $s_Lcom_metastay_reportapp_data_ReportFlowSearchForm$__createNew__Lcom_metastay_reportapp_data_ReportFlowSearchForm$__Lcom_metastay_reportapp_data_ReportFlowSearchForm(this)
    });
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchForm$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_reportapp_data_ReportFlowSearchForm$__fromDynamic__Lcom_metastay_reportapp_data_ReportFlowSearchForm$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_ReportFlowSearchForm(this, prep0)
    });
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchForm$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_reportapp_data_ReportFlowSearchForm$__from__Lcom_metastay_reportapp_data_ReportFlowSearchForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_ReportFlowSearchForm(this, prep0, prep1)
    });
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchForm$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_reportapp_data_ReportFlowSearchForm$__schemaInfo__Lcom_metastay_reportapp_data_ReportFlowSearchForm$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_reportapp_data_ReportFlowSearchForm$ = $c_Lcom_metastay_reportapp_data_ReportFlowSearchForm$
  };
  return $b_Lcom_metastay_reportapp_data_ReportFlowSearchForm$
}
var $n_Lcom_metastay_reportapp_data_ReportFlowSearchForm$ = (void 0);
function $m_Lcom_metastay_reportapp_data_ReportFlowSearchForm$() {
  if ((!$n_Lcom_metastay_reportapp_data_ReportFlowSearchForm$)) {
    $n_Lcom_metastay_reportapp_data_ReportFlowSearchForm$ = new ($a_Lcom_metastay_reportapp_data_ReportFlowSearchForm$())()
  };
  return $n_Lcom_metastay_reportapp_data_ReportFlowSearchForm$
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid__toJson__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.flowId);
  ret.flowId = s;
  var s$1 = $as_T($this.displayId);
  ret.displayId = s$1;
  var s$2 = $as_T($this.cid);
  ret.cid = s$2;
  var s$3 = $as_T($this.flowName);
  ret.flowName = s$3;
  var s$4 = $as_T($this.flowState);
  ret.flowState = s$4;
  var s$5 = $as_T($this.createdTime.toISOString());
  ret.createdTime = s$5;
  var value = $this.endTime;
  if ((value !== (void 0))) {
    var value$1 = $this.endTime;
    if ((value$1 === (void 0))) {
      var jsx$1;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$1 = value$1
    };
    ret.endTime = jsx$1
  };
  var value$2 = $uI($this.timeToComplete);
  ret.timeToComplete = value$2;
  var s$6 = $as_T($this.documentData);
  ret.documentData = s$6;
  return ret
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid__asDynamic__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid = (void 0);
function $a_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid() {
  if ((!$b_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid = (function $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var flowId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__T($m_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$()) : $as_T(arg$rest[0]));
      var displayId = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__T($m_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$()) : $as_T(arg$rest[1]));
      var cid = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__$$lessinit$greater$default$3__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__T($m_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$()) : $as_T(arg$rest[2]));
      var flowName = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__$$lessinit$greater$default$4__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__T($m_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$()) : $as_T(arg$rest[3]));
      var flowState = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__$$lessinit$greater$default$5__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__T($m_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$()) : $as_T(arg$rest[4]));
      var createdTime = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__$$lessinit$greater$default$6__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__sjs_js_Date($m_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$()) : arg$rest[5]);
      var endTime = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__$$lessinit$greater$default$7__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__sjs_js_UndefOr($m_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$()) : arg$rest[6]);
      var timeToComplete = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__$$lessinit$greater$default$8__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__I($m_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$()) : $uI(arg$rest[7]));
      var documentData = ((arg$rest[8] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__$$lessinit$greater$default$9__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__T($m_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$()) : $as_T(arg$rest[8]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "flowId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "displayId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "cid", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowState", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "createdTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "endTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "timeToComplete", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "documentData", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.flowId = flowId;
      this.displayId = displayId;
      this.cid = cid;
      this.flowName = flowName;
      this.flowState = flowState;
      this.createdTime = createdTime;
      this.endTime = endTime;
      this.timeToComplete = timeToComplete;
      this.documentData = documentData
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid = (function $h_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid.prototype = new $h_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid();
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid.prototype.constructor = $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid;
    Object.defineProperty($c_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid__asDynamic__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid__toJson__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid = $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid
  };
  return $b_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__schemaInfo__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"ReportFlowSearchResultGrid\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"flowId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"displayId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"title\":\"Name\", \"link\": \"/browser#/flow/:flowId\"} \n        }\n     ,\n\"cid\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"title\":\"ID\"} \n        }\n     ,\n\"flowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"flowState\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"createdTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {\"formatter\" : \"Util.fromNow\"} \n        }\n     ,\n\"endTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"timeToComplete\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {\"formatter\" : \"ReportUtil.timeTakenToComplete\"} \n        }\n     ,\n\"documentData\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     \n },\n \"required\": [   \"flowId\" , \"displayId\" , \"cid\" , \"flowName\" , \"flowState\" , \"createdTime\" , \"timeToComplete\" , \"documentData\" ]\n }\n      "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__hidden$1__p2__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__T($this), $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__hidden$1__p2__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__T($this), $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__hidden$1__p2__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__T($this)])))
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__$$lessinit$greater$default$5__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__$$lessinit$greater$default$6__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__fromDynamic__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid($this, json) {
  var v = json.flowId;
  if (((v === (void 0)) || (json.flowId === null))) {
    var jsx$8 = null
  } else {
    var jsx$8 = $as_T(json.flowId)
  };
  var v$1 = json.displayId;
  if (((v$1 === (void 0)) || (json.displayId === null))) {
    var jsx$7 = null
  } else {
    var jsx$7 = $as_T(json.displayId)
  };
  var v$2 = json.cid;
  if (((v$2 === (void 0)) || (json.cid === null))) {
    var jsx$6 = null
  } else {
    var jsx$6 = $as_T(json.cid)
  };
  var v$3 = json.flowName;
  if (((v$3 === (void 0)) || (json.flowName === null))) {
    var jsx$5 = null
  } else {
    var jsx$5 = $as_T(json.flowName)
  };
  var v$4 = json.flowState;
  if (((v$4 === (void 0)) || (json.flowState === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.flowState)
  };
  var v$5 = json.createdTime;
  if (((v$5 === (void 0)) || (json.createdTime === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = new $g.Date($as_T(json.createdTime))
  };
  var v$6 = json.endTime;
  if (((v$6 === (void 0)) || (json.endTime === null))) {
    var jsx$2 = (void 0)
  } else {
    var opt$1 = new $c_s_Some().init___O(new $g.Date($as_T(json.endTime)));
    var arg1 = opt$1.x$2;
    var jsx$2 = arg1
  };
  var v$7 = json.timeToComplete;
  if (((v$7 === (void 0)) || (json.timeToComplete === null))) {
    var jsx$1 = 0
  } else {
    var jsx$1 = $uI(json.timeToComplete)
  };
  var v$8 = json.documentData;
  return new ($a_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid())(jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, (((v$8 === (void 0)) || (json.documentData === null)) ? null : $as_T(json.documentData)))
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__hidden$1__p2__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__T($this) {
  return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\"visible\" : false"])).s__sc_Seq__T($m_sci_Nil$())
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__$$lessinit$greater$default$9__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__$$lessinit$greater$default$3__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__$$lessinit$greater$default$8__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__from__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__createNew__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid($this) {
  return new ($a_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid())()
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__$$lessinit$greater$default$7__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__$$lessinit$greater$default$4__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__T($this) {
  return null
}
var $b_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$ = (void 0);
function $a_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$() {
  if ((!$b_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$ = (function $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$ = (function $h_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$.prototype = new $h_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$();
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$.prototype.constructor = $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$;
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$.prototype.createNew = (function() {
      return $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__createNew__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid(this)
    });
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__fromDynamic__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid(this, prep0)
    });
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__from__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid(this, prep0, prep1)
    });
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__schemaInfo__Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$ = $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$
  };
  return $b_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$
}
var $n_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$ = (void 0);
function $m_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$() {
  if ((!$n_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$)) {
    $n_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$ = new ($a_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$())()
  };
  return $n_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary__asDynamic__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary__toJson__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary__sjs_js_Dynamic($this) {
  var ret = {};
  var value = $uI($this.totalCount);
  ret.totalCount = value;
  var array = $this.resultList;
  var array$1 = [];
  $uI(array.length);
  var i = 0;
  var len = $uI(array.length);
  while ((i < len)) {
    var index = i;
    var arg1 = array[index];
    var elem = arg1.toJson;
    array$1.push(elem);
    i = ((1 + i) | 0)
  };
  ret.resultList = array$1;
  return ret
}
var $b_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary = (void 0);
function $a_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary() {
  if ((!$b_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary = (function $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var totalCount = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__I($m_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$()) : $uI(arg$rest[0]));
      var resultList = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__sjs_js_Array($m_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$()) : arg$rest[1]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "totalCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "resultList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.totalCount = totalCount;
      this.resultList = resultList
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary = (function $h_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary.prototype = new $h_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary();
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary.prototype.constructor = $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary;
    Object.defineProperty($c_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary__asDynamic__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary__toJson__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary = $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary
  };
  return $b_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__I($this) {
  return 0
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__createNew__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary($this) {
  return new ($a_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary())()
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__schemaInfo__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"ReportFlowSearchResultSummary\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"totalCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"resultList\": {\n    \"type\": \"Array_com.metastay.reportapp.data.ReportFlowSearchResultGrid\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"totalCount\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__from__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__fromDynamic__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary($this, json) {
  var v = json.totalCount;
  if (((v === (void 0)) || (json.totalCount === null))) {
    var jsx$2 = 0
  } else {
    var jsx$2 = $uI(json.totalCount)
  };
  var v$1 = json.resultList;
  if (((v$1 === (void 0)) || (json.resultList === null))) {
    var jsx$1 = []
  } else {
    var array = json.resultList;
    var array$1 = [];
    $uI(array.length);
    var i = 0;
    var len = $uI(array.length);
    while ((i < len)) {
      var index = i;
      var arg1 = array[index];
      var elem = $m_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$().fromDynamic(arg1);
      array$1.push(elem);
      i = ((1 + i) | 0)
    };
    var jsx$1 = array$1
  };
  return new ($a_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary())(jsx$2, jsx$1)
}
var $b_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$ = (void 0);
function $a_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$() {
  if ((!$b_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$ = (function $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$ = (function $h_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$.prototype = new $h_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$();
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$.prototype.constructor = $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$;
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$.prototype.createNew = (function() {
      return $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__createNew__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary(this)
    });
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__fromDynamic__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary(this, prep0)
    });
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__from__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary(this, prep0, prep1)
    });
    $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__schemaInfo__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$ = $c_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$
  };
  return $b_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$
}
var $n_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$ = (void 0);
function $m_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$() {
  if ((!$n_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$)) {
    $n_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$ = new ($a_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$())()
  };
  return $n_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchForm__toJson__Lcom_metastay_reportapp_data_ReportTaskSearchForm__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.fqFlowName);
  ret.fqFlowName = s;
  var value = $this.taskName;
  if ((value !== (void 0))) {
    var value$1 = $this.taskName;
    if ((value$1 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$1 = $as_T(value$1);
    ret.taskName = s$1
  };
  var s$2 = $as_T($this.fromDate.toISOString());
  ret.fromDate = s$2;
  var s$3 = $as_T($this.toDate.toISOString());
  ret.toDate = s$3;
  return ret
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchForm__asDynamic__Lcom_metastay_reportapp_data_ReportTaskSearchForm__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_reportapp_data_ReportTaskSearchForm = (void 0);
function $a_Lcom_metastay_reportapp_data_ReportTaskSearchForm() {
  if ((!$b_Lcom_metastay_reportapp_data_ReportTaskSearchForm)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_ReportTaskSearchForm = (function $c_Lcom_metastay_reportapp_data_ReportTaskSearchForm() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var fqFlowName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportTaskSearchForm$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_ReportTaskSearchForm$__T($m_Lcom_metastay_reportapp_data_ReportTaskSearchForm$()) : $as_T(arg$rest[0]));
      var taskName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportTaskSearchForm$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_ReportTaskSearchForm$__sjs_js_UndefOr($m_Lcom_metastay_reportapp_data_ReportTaskSearchForm$()) : arg$rest[1]);
      var fromDate = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportTaskSearchForm$__$$lessinit$greater$default$3__Lcom_metastay_reportapp_data_ReportTaskSearchForm$__sjs_js_Date($m_Lcom_metastay_reportapp_data_ReportTaskSearchForm$()) : arg$rest[2]);
      var toDate = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportTaskSearchForm$__$$lessinit$greater$default$4__Lcom_metastay_reportapp_data_ReportTaskSearchForm$__sjs_js_Date($m_Lcom_metastay_reportapp_data_ReportTaskSearchForm$()) : arg$rest[3]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "fqFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fromDate", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "toDate", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.fqFlowName = fqFlowName;
      this.taskName = taskName;
      this.fromDate = fromDate;
      this.toDate = toDate
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_ReportTaskSearchForm = (function $h_Lcom_metastay_reportapp_data_ReportTaskSearchForm() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_ReportTaskSearchForm.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchForm.prototype = new $h_Lcom_metastay_reportapp_data_ReportTaskSearchForm();
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchForm.prototype.constructor = $c_Lcom_metastay_reportapp_data_ReportTaskSearchForm;
    Object.defineProperty($c_Lcom_metastay_reportapp_data_ReportTaskSearchForm.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_ReportTaskSearchForm__asDynamic__Lcom_metastay_reportapp_data_ReportTaskSearchForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_reportapp_data_ReportTaskSearchForm.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_ReportTaskSearchForm__toJson__Lcom_metastay_reportapp_data_ReportTaskSearchForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_reportapp_data_ReportTaskSearchForm = $c_Lcom_metastay_reportapp_data_ReportTaskSearchForm
  };
  return $b_Lcom_metastay_reportapp_data_ReportTaskSearchForm
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchForm$__schemaInfo__Lcom_metastay_reportapp_data_ReportTaskSearchForm$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"ReportTaskSearchForm\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"fqFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"taskName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"fromDate\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"toDate\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"fqFlowName\" , \"fromDate\" , \"toDate\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchForm$__createNew__Lcom_metastay_reportapp_data_ReportTaskSearchForm$__Lcom_metastay_reportapp_data_ReportTaskSearchForm($this) {
  return new ($a_Lcom_metastay_reportapp_data_ReportTaskSearchForm())()
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchForm$__$$lessinit$greater$default$3__Lcom_metastay_reportapp_data_ReportTaskSearchForm$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchForm$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_ReportTaskSearchForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchForm$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_ReportTaskSearchForm$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchForm$__fromDynamic__Lcom_metastay_reportapp_data_ReportTaskSearchForm$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_ReportTaskSearchForm($this, json) {
  var v = json.fqFlowName;
  if (((v === (void 0)) || (json.fqFlowName === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.fqFlowName)
  };
  var v$1 = json.taskName;
  if (((v$1 === (void 0)) || (json.taskName === null))) {
    var jsx$2 = (void 0)
  } else {
    var jsx$2 = json.taskName
  };
  var v$2 = json.fromDate;
  if (((v$2 === (void 0)) || (json.fromDate === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = new $g.Date($as_T(json.fromDate))
  };
  var v$3 = json.toDate;
  return new ($a_Lcom_metastay_reportapp_data_ReportTaskSearchForm())(jsx$3, jsx$2, jsx$1, (((v$3 === (void 0)) || (json.toDate === null)) ? null : new $g.Date($as_T(json.toDate))))
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchForm$__from__Lcom_metastay_reportapp_data_ReportTaskSearchForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_ReportTaskSearchForm($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchForm$__$$lessinit$greater$default$4__Lcom_metastay_reportapp_data_ReportTaskSearchForm$__sjs_js_Date($this) {
  return null
}
var $b_Lcom_metastay_reportapp_data_ReportTaskSearchForm$ = (void 0);
function $a_Lcom_metastay_reportapp_data_ReportTaskSearchForm$() {
  if ((!$b_Lcom_metastay_reportapp_data_ReportTaskSearchForm$)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_ReportTaskSearchForm$ = (function $c_Lcom_metastay_reportapp_data_ReportTaskSearchForm$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_ReportTaskSearchForm$ = (function $h_Lcom_metastay_reportapp_data_ReportTaskSearchForm$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_ReportTaskSearchForm$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchForm$.prototype = new $h_Lcom_metastay_reportapp_data_ReportTaskSearchForm$();
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchForm$.prototype.constructor = $c_Lcom_metastay_reportapp_data_ReportTaskSearchForm$;
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchForm$.prototype.createNew = (function() {
      return $s_Lcom_metastay_reportapp_data_ReportTaskSearchForm$__createNew__Lcom_metastay_reportapp_data_ReportTaskSearchForm$__Lcom_metastay_reportapp_data_ReportTaskSearchForm(this)
    });
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchForm$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_reportapp_data_ReportTaskSearchForm$__fromDynamic__Lcom_metastay_reportapp_data_ReportTaskSearchForm$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_ReportTaskSearchForm(this, prep0)
    });
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchForm$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_reportapp_data_ReportTaskSearchForm$__from__Lcom_metastay_reportapp_data_ReportTaskSearchForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_ReportTaskSearchForm(this, prep0, prep1)
    });
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchForm$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_reportapp_data_ReportTaskSearchForm$__schemaInfo__Lcom_metastay_reportapp_data_ReportTaskSearchForm$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_reportapp_data_ReportTaskSearchForm$ = $c_Lcom_metastay_reportapp_data_ReportTaskSearchForm$
  };
  return $b_Lcom_metastay_reportapp_data_ReportTaskSearchForm$
}
var $n_Lcom_metastay_reportapp_data_ReportTaskSearchForm$ = (void 0);
function $m_Lcom_metastay_reportapp_data_ReportTaskSearchForm$() {
  if ((!$n_Lcom_metastay_reportapp_data_ReportTaskSearchForm$)) {
    $n_Lcom_metastay_reportapp_data_ReportTaskSearchForm$ = new ($a_Lcom_metastay_reportapp_data_ReportTaskSearchForm$())()
  };
  return $n_Lcom_metastay_reportapp_data_ReportTaskSearchForm$
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid__asDynamic__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid__toJson__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.flowId);
  ret.flowId = s;
  var s$1 = $as_T($this.displayId);
  ret.displayId = s$1;
  var s$2 = $as_T($this.cid);
  ret.cid = s$2;
  var s$3 = $as_T($this.flowName);
  ret.flowName = s$3;
  var s$4 = $as_T($this.flowState);
  ret.flowState = s$4;
  var s$5 = $as_T($this.taskName);
  ret.taskName = s$5;
  var s$6 = $as_T($this.taskState);
  ret.taskState = s$6;
  var s$7 = $as_T($this.readyTime.toISOString());
  ret.readyTime = s$7;
  var value = $this.allocatedTo;
  if ((value !== (void 0))) {
    var value$1 = $this.allocatedTo;
    if ((value$1 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$8 = $as_T(value$1);
    ret.allocatedTo = s$8
  };
  var value$2 = $this.endTime;
  if ((value$2 !== (void 0))) {
    var value$3 = $this.endTime;
    if ((value$3 === (void 0))) {
      var jsx$1;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$1 = value$3
    };
    ret.endTime = jsx$1
  };
  var value$4 = $uI($this.timeToComplete);
  ret.timeToComplete = value$4;
  var s$9 = $as_T($this.taskInput);
  ret.taskInput = s$9;
  return ret
}
var $b_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid = (void 0);
function $a_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid() {
  if ((!$b_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid = (function $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var flowId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__T($m_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$()) : $as_T(arg$rest[0]));
      var displayId = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__T($m_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$()) : $as_T(arg$rest[1]));
      var cid = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$3__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__T($m_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$()) : $as_T(arg$rest[2]));
      var flowName = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$4__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__T($m_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$()) : $as_T(arg$rest[3]));
      var flowState = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$5__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__T($m_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$()) : $as_T(arg$rest[4]));
      var taskName = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$6__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__T($m_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$()) : $as_T(arg$rest[5]));
      var taskState = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$7__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__T($m_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$()) : $as_T(arg$rest[6]));
      var readyTime = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$8__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__sjs_js_Date($m_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$()) : arg$rest[7]);
      var allocatedTo = ((arg$rest[8] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$9__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__sjs_js_UndefOr($m_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$()) : arg$rest[8]);
      var endTime = ((arg$rest[9] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$10__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__sjs_js_UndefOr($m_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$()) : arg$rest[9]);
      var timeToComplete = ((arg$rest[10] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$11__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__I($m_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$()) : $uI(arg$rest[10]));
      var taskInput = ((arg$rest[11] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$12__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__T($m_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$()) : $as_T(arg$rest[11]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "flowId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "displayId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "cid", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowState", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskState", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "readyTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "allocatedTo", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "endTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "timeToComplete", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "taskInput", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.flowId = flowId;
      this.displayId = displayId;
      this.cid = cid;
      this.flowName = flowName;
      this.flowState = flowState;
      this.taskName = taskName;
      this.taskState = taskState;
      this.readyTime = readyTime;
      this.allocatedTo = allocatedTo;
      this.endTime = endTime;
      this.timeToComplete = timeToComplete;
      this.taskInput = taskInput
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid = (function $h_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid.prototype = new $h_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid();
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid.prototype.constructor = $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid;
    Object.defineProperty($c_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid__asDynamic__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid__toJson__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid = $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid
  };
  return $b_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$8__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$11__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__hidden$1__p2__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__T($this) {
  return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\"visible\" : false"])).s__sc_Seq__T($m_sci_Nil$())
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__from__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$6__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$3__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__createNew__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid($this) {
  return new ($a_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid())()
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$7__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$4__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__schemaInfo__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"ReportTaskSearchResultGrid\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"flowId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"displayId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"title\":\"Name\", \"link\": \"/browser#/flow/:flowId\"} \n        }\n     ,\n\"cid\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"title\":\"ID\"} \n        }\n     ,\n\"flowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"flowState\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"taskName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"taskState\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"readyTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {\"formatter\" : \"Util.fromNow\"} \n        }\n     ,\n\"allocatedTo\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"endTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"timeToComplete\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {\"formatter\" : \"ReportUtil.timeTakenToCompleteTask\"} \n        }\n     ,\n\"taskInput\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     \n },\n \"required\": [   \"flowId\" , \"displayId\" , \"cid\" , \"flowName\" , \"flowState\" , \"taskName\" , \"taskState\" , \"readyTime\" , \"timeToComplete\" , \"taskInput\" ]\n }\n      "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__hidden$1__p2__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__T($this), $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__hidden$1__p2__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__T($this)])))
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$12__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$10__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__fromDynamic__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid($this, json) {
  var v = json.flowId;
  if (((v === (void 0)) || (json.flowId === null))) {
    var jsx$11 = null
  } else {
    var jsx$11 = $as_T(json.flowId)
  };
  var v$1 = json.displayId;
  if (((v$1 === (void 0)) || (json.displayId === null))) {
    var jsx$10 = null
  } else {
    var jsx$10 = $as_T(json.displayId)
  };
  var v$2 = json.cid;
  if (((v$2 === (void 0)) || (json.cid === null))) {
    var jsx$9 = null
  } else {
    var jsx$9 = $as_T(json.cid)
  };
  var v$3 = json.flowName;
  if (((v$3 === (void 0)) || (json.flowName === null))) {
    var jsx$8 = null
  } else {
    var jsx$8 = $as_T(json.flowName)
  };
  var v$4 = json.flowState;
  if (((v$4 === (void 0)) || (json.flowState === null))) {
    var jsx$7 = null
  } else {
    var jsx$7 = $as_T(json.flowState)
  };
  var v$5 = json.taskName;
  if (((v$5 === (void 0)) || (json.taskName === null))) {
    var jsx$6 = null
  } else {
    var jsx$6 = $as_T(json.taskName)
  };
  var v$6 = json.taskState;
  if (((v$6 === (void 0)) || (json.taskState === null))) {
    var jsx$5 = null
  } else {
    var jsx$5 = $as_T(json.taskState)
  };
  var v$7 = json.readyTime;
  if (((v$7 === (void 0)) || (json.readyTime === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = new $g.Date($as_T(json.readyTime))
  };
  var v$8 = json.allocatedTo;
  if (((v$8 === (void 0)) || (json.allocatedTo === null))) {
    var jsx$3 = (void 0)
  } else {
    var jsx$3 = json.allocatedTo
  };
  var v$9 = json.endTime;
  if (((v$9 === (void 0)) || (json.endTime === null))) {
    var jsx$2 = (void 0)
  } else {
    var opt$2 = new $c_s_Some().init___O(new $g.Date($as_T(json.endTime)));
    var arg1 = opt$2.x$2;
    var jsx$2 = arg1
  };
  var v$10 = json.timeToComplete;
  if (((v$10 === (void 0)) || (json.timeToComplete === null))) {
    var jsx$1 = 0
  } else {
    var jsx$1 = $uI(json.timeToComplete)
  };
  var v$11 = json.taskInput;
  return new ($a_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid())(jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, (((v$11 === (void 0)) || (json.taskInput === null)) ? null : $as_T(json.taskInput)))
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$9__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$5__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__T($this) {
  return null
}
var $b_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$ = (void 0);
function $a_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$() {
  if ((!$b_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$ = (function $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$ = (function $h_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$.prototype = new $h_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$();
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$.prototype.constructor = $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$;
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$.prototype.createNew = (function() {
      return $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__createNew__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid(this)
    });
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__fromDynamic__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid(this, prep0)
    });
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__from__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid(this, prep0, prep1)
    });
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__schemaInfo__Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$ = $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$
  };
  return $b_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$
}
var $n_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$ = (void 0);
function $m_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$() {
  if ((!$n_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$)) {
    $n_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$ = new ($a_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$())()
  };
  return $n_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary__asDynamic__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary__toJson__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary__sjs_js_Dynamic($this) {
  var ret = {};
  var value = $uI($this.totalCount);
  ret.totalCount = value;
  var array = $this.resultList;
  var array$1 = [];
  $uI(array.length);
  var i = 0;
  var len = $uI(array.length);
  while ((i < len)) {
    var index = i;
    var arg1 = array[index];
    var elem = arg1.toJson;
    array$1.push(elem);
    i = ((1 + i) | 0)
  };
  ret.resultList = array$1;
  return ret
}
var $b_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary = (void 0);
function $a_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary() {
  if ((!$b_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary = (function $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var totalCount = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__I($m_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$()) : $uI(arg$rest[0]));
      var resultList = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__sjs_js_Array($m_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$()) : arg$rest[1]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "totalCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "resultList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.totalCount = totalCount;
      this.resultList = resultList
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary = (function $h_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary.prototype = new $h_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary();
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary.prototype.constructor = $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary;
    Object.defineProperty($c_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary__asDynamic__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary__toJson__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary = $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary
  };
  return $b_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__fromDynamic__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary($this, json) {
  var v = json.totalCount;
  if (((v === (void 0)) || (json.totalCount === null))) {
    var jsx$2 = 0
  } else {
    var jsx$2 = $uI(json.totalCount)
  };
  var v$1 = json.resultList;
  if (((v$1 === (void 0)) || (json.resultList === null))) {
    var jsx$1 = []
  } else {
    var array = json.resultList;
    var array$1 = [];
    $uI(array.length);
    var i = 0;
    var len = $uI(array.length);
    while ((i < len)) {
      var index = i;
      var arg1 = array[index];
      var elem = $m_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$().fromDynamic(arg1);
      array$1.push(elem);
      i = ((1 + i) | 0)
    };
    var jsx$1 = array$1
  };
  return new ($a_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary())(jsx$2, jsx$1)
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__createNew__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary($this) {
  return new ($a_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary())()
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__from__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__I($this) {
  return 0
}
function $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__schemaInfo__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"ReportTaskSearchResultSummary\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"totalCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"resultList\": {\n    \"type\": \"Array_com.metastay.reportapp.data.ReportTaskSearchResultGrid\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"totalCount\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
var $b_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$ = (void 0);
function $a_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$() {
  if ((!$b_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$ = (function $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$ = (function $h_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$.prototype = new $h_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$();
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$.prototype.constructor = $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$;
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$.prototype.createNew = (function() {
      return $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__createNew__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary(this)
    });
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__fromDynamic__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary(this, prep0)
    });
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__from__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary(this, prep0, prep1)
    });
    $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__schemaInfo__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$ = $c_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$
  };
  return $b_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$
}
var $n_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$ = (void 0);
function $m_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$() {
  if ((!$n_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$)) {
    $n_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$ = new ($a_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$())()
  };
  return $n_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchForm__toJson__Lcom_metastay_reportapp_data_ReportUserSearchForm__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userName);
  ret.userName = s;
  var s$1 = $as_T($this.fromDate.toISOString());
  ret.fromDate = s$1;
  var s$2 = $as_T($this.toDate.toISOString());
  ret.toDate = s$2;
  return ret
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchForm__asDynamic__Lcom_metastay_reportapp_data_ReportUserSearchForm__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_reportapp_data_ReportUserSearchForm = (void 0);
function $a_Lcom_metastay_reportapp_data_ReportUserSearchForm() {
  if ((!$b_Lcom_metastay_reportapp_data_ReportUserSearchForm)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_ReportUserSearchForm = (function $c_Lcom_metastay_reportapp_data_ReportUserSearchForm() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportUserSearchForm$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_ReportUserSearchForm$__T($m_Lcom_metastay_reportapp_data_ReportUserSearchForm$()) : $as_T(arg$rest[0]));
      var fromDate = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportUserSearchForm$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_ReportUserSearchForm$__sjs_js_Date($m_Lcom_metastay_reportapp_data_ReportUserSearchForm$()) : arg$rest[1]);
      var toDate = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportUserSearchForm$__$$lessinit$greater$default$3__Lcom_metastay_reportapp_data_ReportUserSearchForm$__sjs_js_Date($m_Lcom_metastay_reportapp_data_ReportUserSearchForm$()) : arg$rest[2]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fromDate", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "toDate", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.userName = userName;
      this.fromDate = fromDate;
      this.toDate = toDate
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_ReportUserSearchForm = (function $h_Lcom_metastay_reportapp_data_ReportUserSearchForm() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_ReportUserSearchForm.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_ReportUserSearchForm.prototype = new $h_Lcom_metastay_reportapp_data_ReportUserSearchForm();
    $c_Lcom_metastay_reportapp_data_ReportUserSearchForm.prototype.constructor = $c_Lcom_metastay_reportapp_data_ReportUserSearchForm;
    Object.defineProperty($c_Lcom_metastay_reportapp_data_ReportUserSearchForm.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_ReportUserSearchForm__asDynamic__Lcom_metastay_reportapp_data_ReportUserSearchForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_reportapp_data_ReportUserSearchForm.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_ReportUserSearchForm__toJson__Lcom_metastay_reportapp_data_ReportUserSearchForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_reportapp_data_ReportUserSearchForm = $c_Lcom_metastay_reportapp_data_ReportUserSearchForm
  };
  return $b_Lcom_metastay_reportapp_data_ReportUserSearchForm
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchForm$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_ReportUserSearchForm$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchForm$__schemaInfo__Lcom_metastay_reportapp_data_ReportUserSearchForm$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"ReportUserSearchForm\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"fromDate\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"toDate\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"userName\" , \"fromDate\" , \"toDate\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchForm$__$$lessinit$greater$default$3__Lcom_metastay_reportapp_data_ReportUserSearchForm$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchForm$__fromDynamic__Lcom_metastay_reportapp_data_ReportUserSearchForm$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_ReportUserSearchForm($this, json) {
  var v = json.userName;
  if (((v === (void 0)) || (json.userName === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.userName)
  };
  var v$1 = json.fromDate;
  if (((v$1 === (void 0)) || (json.fromDate === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = new $g.Date($as_T(json.fromDate))
  };
  var v$2 = json.toDate;
  return new ($a_Lcom_metastay_reportapp_data_ReportUserSearchForm())(jsx$2, jsx$1, (((v$2 === (void 0)) || (json.toDate === null)) ? null : new $g.Date($as_T(json.toDate))))
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchForm$__createNew__Lcom_metastay_reportapp_data_ReportUserSearchForm$__Lcom_metastay_reportapp_data_ReportUserSearchForm($this) {
  return new ($a_Lcom_metastay_reportapp_data_ReportUserSearchForm())()
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchForm$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_ReportUserSearchForm$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchForm$__from__Lcom_metastay_reportapp_data_ReportUserSearchForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_ReportUserSearchForm($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
var $b_Lcom_metastay_reportapp_data_ReportUserSearchForm$ = (void 0);
function $a_Lcom_metastay_reportapp_data_ReportUserSearchForm$() {
  if ((!$b_Lcom_metastay_reportapp_data_ReportUserSearchForm$)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_ReportUserSearchForm$ = (function $c_Lcom_metastay_reportapp_data_ReportUserSearchForm$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_ReportUserSearchForm$ = (function $h_Lcom_metastay_reportapp_data_ReportUserSearchForm$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_ReportUserSearchForm$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_ReportUserSearchForm$.prototype = new $h_Lcom_metastay_reportapp_data_ReportUserSearchForm$();
    $c_Lcom_metastay_reportapp_data_ReportUserSearchForm$.prototype.constructor = $c_Lcom_metastay_reportapp_data_ReportUserSearchForm$;
    $c_Lcom_metastay_reportapp_data_ReportUserSearchForm$.prototype.createNew = (function() {
      return $s_Lcom_metastay_reportapp_data_ReportUserSearchForm$__createNew__Lcom_metastay_reportapp_data_ReportUserSearchForm$__Lcom_metastay_reportapp_data_ReportUserSearchForm(this)
    });
    $c_Lcom_metastay_reportapp_data_ReportUserSearchForm$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_reportapp_data_ReportUserSearchForm$__fromDynamic__Lcom_metastay_reportapp_data_ReportUserSearchForm$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_ReportUserSearchForm(this, prep0)
    });
    $c_Lcom_metastay_reportapp_data_ReportUserSearchForm$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_reportapp_data_ReportUserSearchForm$__from__Lcom_metastay_reportapp_data_ReportUserSearchForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_ReportUserSearchForm(this, prep0, prep1)
    });
    $c_Lcom_metastay_reportapp_data_ReportUserSearchForm$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_reportapp_data_ReportUserSearchForm$__schemaInfo__Lcom_metastay_reportapp_data_ReportUserSearchForm$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_reportapp_data_ReportUserSearchForm$ = $c_Lcom_metastay_reportapp_data_ReportUserSearchForm$
  };
  return $b_Lcom_metastay_reportapp_data_ReportUserSearchForm$
}
var $n_Lcom_metastay_reportapp_data_ReportUserSearchForm$ = (void 0);
function $m_Lcom_metastay_reportapp_data_ReportUserSearchForm$() {
  if ((!$n_Lcom_metastay_reportapp_data_ReportUserSearchForm$)) {
    $n_Lcom_metastay_reportapp_data_ReportUserSearchForm$ = new ($a_Lcom_metastay_reportapp_data_ReportUserSearchForm$())()
  };
  return $n_Lcom_metastay_reportapp_data_ReportUserSearchForm$
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid__toJson__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.flowId);
  ret.flowId = s;
  var s$1 = $as_T($this.displayId);
  ret.displayId = s$1;
  var s$2 = $as_T($this.cid);
  ret.cid = s$2;
  var s$3 = $as_T($this.flowName);
  ret.flowName = s$3;
  var s$4 = $as_T($this.flowState);
  ret.flowState = s$4;
  var s$5 = $as_T($this.taskName);
  ret.taskName = s$5;
  var s$6 = $as_T($this.readyTime.toISOString());
  ret.readyTime = s$6;
  var value = $this.endTime;
  if ((value !== (void 0))) {
    var value$1 = $this.endTime;
    if ((value$1 === (void 0))) {
      var jsx$1;
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    } else {
      var jsx$1 = value$1
    };
    ret.endTime = jsx$1
  };
  var value$2 = $uI($this.timeToComplete);
  ret.timeToComplete = value$2;
  var s$7 = $as_T($this.taskInput);
  ret.taskInput = s$7;
  return ret
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid__asDynamic__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid = (void 0);
function $a_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid() {
  if ((!$b_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid = (function $c_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var flowId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__T($m_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$()) : $as_T(arg$rest[0]));
      var displayId = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__T($m_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$()) : $as_T(arg$rest[1]));
      var cid = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__$$lessinit$greater$default$3__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__T($m_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$()) : $as_T(arg$rest[2]));
      var flowName = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__$$lessinit$greater$default$4__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__T($m_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$()) : $as_T(arg$rest[3]));
      var flowState = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__$$lessinit$greater$default$5__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__T($m_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$()) : $as_T(arg$rest[4]));
      var taskName = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__$$lessinit$greater$default$6__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__T($m_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$()) : $as_T(arg$rest[5]));
      var readyTime = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__$$lessinit$greater$default$7__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__sjs_js_Date($m_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$()) : arg$rest[6]);
      var endTime = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__$$lessinit$greater$default$8__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__sjs_js_UndefOr($m_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$()) : arg$rest[7]);
      var timeToComplete = ((arg$rest[8] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__$$lessinit$greater$default$9__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__I($m_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$()) : $uI(arg$rest[8]));
      var taskInput = ((arg$rest[9] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__$$lessinit$greater$default$10__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__T($m_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$()) : $as_T(arg$rest[9]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "flowId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "displayId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "cid", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "flowState", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "taskName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "readyTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "endTime", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "timeToComplete", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "taskInput", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.flowId = flowId;
      this.displayId = displayId;
      this.cid = cid;
      this.flowName = flowName;
      this.flowState = flowState;
      this.taskName = taskName;
      this.readyTime = readyTime;
      this.endTime = endTime;
      this.timeToComplete = timeToComplete;
      this.taskInput = taskInput
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid = (function $h_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid.prototype = new $h_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid();
    $c_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid.prototype.constructor = $c_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid;
    Object.defineProperty($c_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid__asDynamic__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid__toJson__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid = $c_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid
  };
  return $b_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__createNew__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid($this) {
  return new ($a_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid())()
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__$$lessinit$greater$default$9__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__I($this) {
  return 0
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__$$lessinit$greater$default$5__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__schemaInfo__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"ReportUserSearchResultGrid\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"flowId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     ,\n\"displayId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"title\":\"Name\", \"link\": \"/browser#/flow/:flowId\"} \n        }\n     ,\n\"cid\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"title\":\"ID\"} \n        }\n     ,\n\"flowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"flowState\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"taskName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"readyTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {\"formatter\" : \"Util.fromNow\"} \n        }\n     ,\n\"endTime\": {\n    \"type\": \"JsDate\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"timeToComplete\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {\"formatter\" : \"ReportUtil.timeTakenToCompleteTask\"} \n        }\n     ,\n\"taskInput\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {", "} \n        }\n     \n },\n \"required\": [   \"flowId\" , \"displayId\" , \"cid\" , \"flowName\" , \"flowState\" , \"taskName\" , \"readyTime\" , \"timeToComplete\" , \"taskInput\" ]\n }\n      "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__hidden$1__p2__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__T($this), $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__hidden$1__p2__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__T($this)])))
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__fromDynamic__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid($this, json) {
  var v = json.flowId;
  if (((v === (void 0)) || (json.flowId === null))) {
    var jsx$9 = null
  } else {
    var jsx$9 = $as_T(json.flowId)
  };
  var v$1 = json.displayId;
  if (((v$1 === (void 0)) || (json.displayId === null))) {
    var jsx$8 = null
  } else {
    var jsx$8 = $as_T(json.displayId)
  };
  var v$2 = json.cid;
  if (((v$2 === (void 0)) || (json.cid === null))) {
    var jsx$7 = null
  } else {
    var jsx$7 = $as_T(json.cid)
  };
  var v$3 = json.flowName;
  if (((v$3 === (void 0)) || (json.flowName === null))) {
    var jsx$6 = null
  } else {
    var jsx$6 = $as_T(json.flowName)
  };
  var v$4 = json.flowState;
  if (((v$4 === (void 0)) || (json.flowState === null))) {
    var jsx$5 = null
  } else {
    var jsx$5 = $as_T(json.flowState)
  };
  var v$5 = json.taskName;
  if (((v$5 === (void 0)) || (json.taskName === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.taskName)
  };
  var v$6 = json.readyTime;
  if (((v$6 === (void 0)) || (json.readyTime === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = new $g.Date($as_T(json.readyTime))
  };
  var v$7 = json.endTime;
  if (((v$7 === (void 0)) || (json.endTime === null))) {
    var jsx$2 = (void 0)
  } else {
    var opt$1 = new $c_s_Some().init___O(new $g.Date($as_T(json.endTime)));
    var arg1 = opt$1.x$2;
    var jsx$2 = arg1
  };
  var v$8 = json.timeToComplete;
  if (((v$8 === (void 0)) || (json.timeToComplete === null))) {
    var jsx$1 = 0
  } else {
    var jsx$1 = $uI(json.timeToComplete)
  };
  var v$9 = json.taskInput;
  return new ($a_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid())(jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, (((v$9 === (void 0)) || (json.taskInput === null)) ? null : $as_T(json.taskInput)))
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__from__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__$$lessinit$greater$default$10__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__hidden$1__p2__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__T($this) {
  return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\"visible\" : false"])).s__sc_Seq__T($m_sci_Nil$())
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__$$lessinit$greater$default$6__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__$$lessinit$greater$default$7__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__sjs_js_Date($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__$$lessinit$greater$default$3__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__$$lessinit$greater$default$4__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__$$lessinit$greater$default$8__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__sjs_js_UndefOr($this) {
  return (void 0)
}
var $b_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$ = (void 0);
function $a_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$() {
  if ((!$b_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$ = (function $c_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$ = (function $h_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$.prototype = new $h_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$();
    $c_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$.prototype.constructor = $c_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$;
    $c_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$.prototype.createNew = (function() {
      return $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__createNew__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid(this)
    });
    $c_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__fromDynamic__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid(this, prep0)
    });
    $c_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__from__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid(this, prep0, prep1)
    });
    $c_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__schemaInfo__Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$ = $c_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$
  };
  return $b_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$
}
var $n_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$ = (void 0);
function $m_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$() {
  if ((!$n_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$)) {
    $n_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$ = new ($a_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$())()
  };
  return $n_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary__asDynamic__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary__toJson__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary__sjs_js_Dynamic($this) {
  var ret = {};
  var value = $uI($this.totalCount);
  ret.totalCount = value;
  var array = $this.resultList;
  var array$1 = [];
  $uI(array.length);
  var i = 0;
  var len = $uI(array.length);
  while ((i < len)) {
    var index = i;
    var arg1 = array[index];
    var elem = arg1.toJson;
    array$1.push(elem);
    i = ((1 + i) | 0)
  };
  ret.resultList = array$1;
  return ret
}
var $b_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary = (void 0);
function $a_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary() {
  if ((!$b_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary = (function $c_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var totalCount = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__I($m_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$()) : $uI(arg$rest[0]));
      var resultList = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__sjs_js_Array($m_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$()) : arg$rest[1]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "totalCount", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "resultList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.totalCount = totalCount;
      this.resultList = resultList
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary = (function $h_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary.prototype = new $h_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary();
    $c_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary.prototype.constructor = $c_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary;
    Object.defineProperty($c_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary__asDynamic__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary__toJson__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary = $c_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary
  };
  return $b_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__schemaInfo__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"ReportUserSearchResultSummary\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"totalCount\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"resultList\": {\n    \"type\": \"Array_com.metastay.reportapp.data.ReportUserSearchResultGrid\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"totalCount\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__fromDynamic__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary($this, json) {
  var v = json.totalCount;
  if (((v === (void 0)) || (json.totalCount === null))) {
    var jsx$2 = 0
  } else {
    var jsx$2 = $uI(json.totalCount)
  };
  var v$1 = json.resultList;
  if (((v$1 === (void 0)) || (json.resultList === null))) {
    var jsx$1 = []
  } else {
    var array = json.resultList;
    var array$1 = [];
    $uI(array.length);
    var i = 0;
    var len = $uI(array.length);
    while ((i < len)) {
      var index = i;
      var arg1 = array[index];
      var elem = $m_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$().fromDynamic(arg1);
      array$1.push(elem);
      i = ((1 + i) | 0)
    };
    var jsx$1 = array$1
  };
  return new ($a_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary())(jsx$2, jsx$1)
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__createNew__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary($this) {
  return new ($a_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary())()
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__I($this) {
  return 0
}
function $s_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__from__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
var $b_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$ = (void 0);
function $a_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$() {
  if ((!$b_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$ = (function $c_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$ = (function $h_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$.prototype = new $h_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$();
    $c_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$.prototype.constructor = $c_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$;
    $c_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$.prototype.createNew = (function() {
      return $s_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__createNew__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary(this)
    });
    $c_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__fromDynamic__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary(this, prep0)
    });
    $c_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__from__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary(this, prep0, prep1)
    });
    $c_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__schemaInfo__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$ = $c_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$
  };
  return $b_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$
}
var $n_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$ = (void 0);
function $m_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$() {
  if ((!$n_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$)) {
    $n_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$ = new ($a_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$())()
  };
  return $n_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$
}
function $s_Lcom_metastay_reportapp_data_UserDetails__toJson__Lcom_metastay_reportapp_data_UserDetails__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userName);
  ret.userName = s;
  var array = $this.appRoleList;
  var array$1 = [];
  $uI(array.length);
  var i = 0;
  var len = $uI(array.length);
  while ((i < len)) {
    var index = i;
    var arg1 = array[index];
    var elem = arg1.toJson;
    array$1.push(elem);
    i = ((1 + i) | 0)
  };
  ret.appRoleList = array$1;
  var s$1 = $as_T($this.projectName);
  ret.projectName = s$1;
  return ret
}
function $s_Lcom_metastay_reportapp_data_UserDetails__asDynamic__Lcom_metastay_reportapp_data_UserDetails__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_reportapp_data_UserDetails = (void 0);
function $a_Lcom_metastay_reportapp_data_UserDetails() {
  if ((!$b_Lcom_metastay_reportapp_data_UserDetails)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_UserDetails = (function $c_Lcom_metastay_reportapp_data_UserDetails() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_reportapp_data_UserDetails$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_UserDetails$__T($m_Lcom_metastay_reportapp_data_UserDetails$()) : $as_T(arg$rest[0]));
      var appRoleList = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_reportapp_data_UserDetails$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_UserDetails$__sjs_js_Array($m_Lcom_metastay_reportapp_data_UserDetails$()) : arg$rest[1]);
      var projectName = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_reportapp_data_UserDetails$__$$lessinit$greater$default$3__Lcom_metastay_reportapp_data_UserDetails$__T($m_Lcom_metastay_reportapp_data_UserDetails$()) : $as_T(arg$rest[2]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "appRoleList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "projectName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.userName = userName;
      this.appRoleList = appRoleList;
      this.projectName = projectName
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_UserDetails = (function $h_Lcom_metastay_reportapp_data_UserDetails() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_UserDetails.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_UserDetails.prototype = new $h_Lcom_metastay_reportapp_data_UserDetails();
    $c_Lcom_metastay_reportapp_data_UserDetails.prototype.constructor = $c_Lcom_metastay_reportapp_data_UserDetails;
    Object.defineProperty($c_Lcom_metastay_reportapp_data_UserDetails.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_UserDetails__asDynamic__Lcom_metastay_reportapp_data_UserDetails__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_reportapp_data_UserDetails.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_data_UserDetails__toJson__Lcom_metastay_reportapp_data_UserDetails__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_reportapp_data_UserDetails = $c_Lcom_metastay_reportapp_data_UserDetails
  };
  return $b_Lcom_metastay_reportapp_data_UserDetails
}
function $s_Lcom_metastay_reportapp_data_UserDetails$__$$lessinit$greater$default$3__Lcom_metastay_reportapp_data_UserDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_UserDetails$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_data_UserDetails$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_reportapp_data_UserDetails$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_data_UserDetails$__T($this) {
  return null
}
function $s_Lcom_metastay_reportapp_data_UserDetails$__schemaInfo__Lcom_metastay_reportapp_data_UserDetails$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"UserDetails\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"appRoleList\": {\n    \"type\": \"Array_com.metastay.reportapp.data.AppRole\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"projectName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"userName\" , \"projectName\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_reportapp_data_UserDetails$__from__Lcom_metastay_reportapp_data_UserDetails$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_UserDetails($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_reportapp_data_UserDetails$__fromDynamic__Lcom_metastay_reportapp_data_UserDetails$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_UserDetails($this, json) {
  var v = json.userName;
  if (((v === (void 0)) || (json.userName === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.userName)
  };
  var v$1 = json.appRoleList;
  if (((v$1 === (void 0)) || (json.appRoleList === null))) {
    var jsx$1 = []
  } else {
    var array = json.appRoleList;
    var array$1 = [];
    $uI(array.length);
    var i = 0;
    var len = $uI(array.length);
    while ((i < len)) {
      var index = i;
      var arg1 = array[index];
      var elem = $m_Lcom_metastay_reportapp_data_AppRole$().fromDynamic(arg1);
      array$1.push(elem);
      i = ((1 + i) | 0)
    };
    var jsx$1 = array$1
  };
  var v$2 = json.projectName;
  return new ($a_Lcom_metastay_reportapp_data_UserDetails())(jsx$2, jsx$1, (((v$2 === (void 0)) || (json.projectName === null)) ? null : $as_T(json.projectName)))
}
function $s_Lcom_metastay_reportapp_data_UserDetails$__createNew__Lcom_metastay_reportapp_data_UserDetails$__Lcom_metastay_reportapp_data_UserDetails($this) {
  return new ($a_Lcom_metastay_reportapp_data_UserDetails())()
}
var $b_Lcom_metastay_reportapp_data_UserDetails$ = (void 0);
function $a_Lcom_metastay_reportapp_data_UserDetails$() {
  if ((!$b_Lcom_metastay_reportapp_data_UserDetails$)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_data_UserDetails$ = (function $c_Lcom_metastay_reportapp_data_UserDetails$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_data_UserDetails$ = (function $h_Lcom_metastay_reportapp_data_UserDetails$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_data_UserDetails$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_data_UserDetails$.prototype = new $h_Lcom_metastay_reportapp_data_UserDetails$();
    $c_Lcom_metastay_reportapp_data_UserDetails$.prototype.constructor = $c_Lcom_metastay_reportapp_data_UserDetails$;
    $c_Lcom_metastay_reportapp_data_UserDetails$.prototype.createNew = (function() {
      return $s_Lcom_metastay_reportapp_data_UserDetails$__createNew__Lcom_metastay_reportapp_data_UserDetails$__Lcom_metastay_reportapp_data_UserDetails(this)
    });
    $c_Lcom_metastay_reportapp_data_UserDetails$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_reportapp_data_UserDetails$__fromDynamic__Lcom_metastay_reportapp_data_UserDetails$__sjs_js_Dynamic__Lcom_metastay_reportapp_data_UserDetails(this, prep0)
    });
    $c_Lcom_metastay_reportapp_data_UserDetails$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_reportapp_data_UserDetails$__from__Lcom_metastay_reportapp_data_UserDetails$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_data_UserDetails(this, prep0, prep1)
    });
    $c_Lcom_metastay_reportapp_data_UserDetails$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_reportapp_data_UserDetails$__schemaInfo__Lcom_metastay_reportapp_data_UserDetails$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_reportapp_data_UserDetails$ = $c_Lcom_metastay_reportapp_data_UserDetails$
  };
  return $b_Lcom_metastay_reportapp_data_UserDetails$
}
var $n_Lcom_metastay_reportapp_data_UserDetails$ = (void 0);
function $m_Lcom_metastay_reportapp_data_UserDetails$() {
  if ((!$n_Lcom_metastay_reportapp_data_UserDetails$)) {
    $n_Lcom_metastay_reportapp_data_UserDetails$ = new ($a_Lcom_metastay_reportapp_data_UserDetails$())()
  };
  return $n_Lcom_metastay_reportapp_data_UserDetails$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$.prototype.constructor = $c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$.prototype = $c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$.prototype;
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$1().init___();
  this.fromJs$1 = new $c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$$anon$2().init___();
  return this
});
var $d_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$: 0
}, false, "com.metastay.reportapp.service.loggedinuserreader.LoadUserDetails$Input$", {
  Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$.prototype.$classData = $d_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$;
var $n_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$ = (void 0);
function $m_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$() {
  if ((!$n_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$)) {
    $n_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$ = new $c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$().init___()
  };
  return $n_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$.prototype = $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$.prototype;
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$5().init___();
  this.fromJs$1 = new $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$$anon$6().init___();
  return this
});
var $d_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$: 0
}, false, "com.metastay.reportapp.service.reportflowreader.GetFlowNameList$Input$", {
  Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$;
var $n_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$ = (void 0);
function $m_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$() {
  if ((!$n_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$)) {
    $n_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$ = new $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$().init___()
  };
  return $n_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$.prototype = $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$.prototype;
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$.prototype.init___ = (function() {
  $n_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$ = this;
  this.toJs$1 = new $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$7().init___();
  this.fromJs$1 = new $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$$anon$8().init___();
  return this
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output = (function(json) {
  if ((json.fqFlowNameList === null)) {
    var jsx$2 = true
  } else {
    var v = json.fqFlowNameList;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array = json.fqFlowNameList;
    var this$3 = $m_sci_List$();
    var cbf = this$3.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var jsx$1 = $as_sci_List(b.result__O())
  };
  return new $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output().init___sci_List(jsx$1)
});
var $d_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$: 0
}, false, "com.metastay.reportapp.service.reportflowreader.GetFlowNameList$Output$", {
  Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$;
var $n_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$ = (void 0);
function $m_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$() {
  if ((!$n_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$)) {
    $n_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$ = new $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$().init___()
  };
  return $n_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$.prototype = $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$.prototype;
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$1().init___();
  this.fromJs$1 = new $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$$anon$2().init___();
  return this
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_reportapp_service_reportflowreader_Search$Input = (function(json) {
  return new $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input().init___T__sjs_js_Date__sjs_js_Date($as_T(json.fqFlowName), new $g.Date($as_T(json.fromDate)), new $g.Date($as_T(json.toDate)))
});
var $d_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportflowreader_Search$Input$: 0
}, false, "com.metastay.reportapp.service.reportflowreader.Search$Input$", {
  Lcom_metastay_reportapp_service_reportflowreader_Search$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$;
var $n_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$ = (void 0);
function $m_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$() {
  if ((!$n_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$)) {
    $n_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$ = new $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$().init___()
  };
  return $n_Lcom_metastay_reportapp_service_reportflowreader_Search$Input$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$.prototype = $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$.prototype;
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$.prototype.init___ = (function() {
  $n_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$ = this;
  this.toJs$1 = new $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$3().init___();
  this.fromJs$1 = new $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$$anon$4().init___();
  return this
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_reportapp_service_reportflowreader_Search$Output = (function(json) {
  var jsx$4 = $uI(json.totalCount);
  if ((json.resultList === null)) {
    var jsx$2 = true
  } else {
    var v = json.resultList;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array = json.resultList;
    var this$3 = $m_sci_List$();
    var cbf = this$3.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var this$5 = $as_sci_List(b.result__O());
    var f = (function(x$2) {
      return $m_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult(x$2)
    });
    var this$4 = $m_sci_List$();
    var bf = this$4.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$5 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1 = this$5.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = this$5.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$6 = rest;
          rest = this$6.tail__sci_List()
        };
        var jsx$3 = h
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf);
      var these = this$5;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b$1.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$7 = these;
        these = this$7.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    var jsx$1 = $as_sci_List(jsx$3)
  };
  return new $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output().init___I__sci_List(jsx$4, jsx$1)
});
var $d_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportflowreader_Search$Output$: 0
}, false, "com.metastay.reportapp.service.reportflowreader.Search$Output$", {
  Lcom_metastay_reportapp_service_reportflowreader_Search$Output$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$;
var $n_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$ = (void 0);
function $m_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$() {
  if ((!$n_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$)) {
    $n_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$ = new $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$().init___()
  };
  return $n_Lcom_metastay_reportapp_service_reportflowreader_Search$Output$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$.prototype.constructor = $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$.prototype = $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$.prototype;
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$5().init___();
  this.fromJs$1 = new $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$$anon$6().init___();
  return this
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input = (function(json) {
  return new $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input().init___T($as_T(json.fqFlowName))
});
var $d_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$: 0
}, false, "com.metastay.reportapp.service.reporttaskreader.GetTaskNameList$Input$", {
  Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$.prototype.$classData = $d_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$;
var $n_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$ = (void 0);
function $m_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$() {
  if ((!$n_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$)) {
    $n_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$ = new $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$().init___()
  };
  return $n_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$.prototype.constructor = $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$.prototype = $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$.prototype;
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$.prototype.init___ = (function() {
  $n_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$ = this;
  this.toJs$1 = new $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$7().init___();
  this.fromJs$1 = new $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$$anon$8().init___();
  return this
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output = (function(json) {
  if ((json.taskNameList === null)) {
    var jsx$2 = true
  } else {
    var v = json.taskNameList;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array = json.taskNameList;
    var this$3 = $m_sci_List$();
    var cbf = this$3.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var jsx$1 = $as_sci_List(b.result__O())
  };
  return new $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output().init___sci_List(jsx$1)
});
var $d_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$: 0
}, false, "com.metastay.reportapp.service.reporttaskreader.GetTaskNameList$Output$", {
  Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$.prototype.$classData = $d_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$;
var $n_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$ = (void 0);
function $m_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$() {
  if ((!$n_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$)) {
    $n_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$ = new $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$().init___()
  };
  return $n_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$.prototype.constructor = $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$.prototype = $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$.prototype;
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$1().init___();
  this.fromJs$1 = new $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$$anon$2().init___();
  return this
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_reportapp_service_reporttaskreader_Search$Input = (function(json) {
  var jsx$3 = $as_T(json.fqFlowName);
  if ((json.taskName === null)) {
    var jsx$2 = true
  } else {
    var v = json.taskName;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_s_None$()
  } else {
    var value = json.taskName;
    var jsx$1 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  return new $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input().init___T__s_Option__sjs_js_Date__sjs_js_Date(jsx$3, jsx$1, new $g.Date($as_T(json.fromDate)), new $g.Date($as_T(json.toDate)))
});
var $d_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$: 0
}, false, "com.metastay.reportapp.service.reporttaskreader.Search$Input$", {
  Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$.prototype.$classData = $d_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$;
var $n_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$ = (void 0);
function $m_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$() {
  if ((!$n_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$)) {
    $n_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$ = new $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$().init___()
  };
  return $n_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$.prototype.constructor = $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$.prototype = $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$.prototype;
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$.prototype.init___ = (function() {
  $n_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$ = this;
  this.toJs$1 = new $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$3().init___();
  this.fromJs$1 = new $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$$anon$4().init___();
  return this
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_reportapp_service_reporttaskreader_Search$Output = (function(json) {
  var jsx$4 = $uI(json.totalCount);
  if ((json.resultList === null)) {
    var jsx$2 = true
  } else {
    var v = json.resultList;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array = json.resultList;
    var this$3 = $m_sci_List$();
    var cbf = this$3.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var this$5 = $as_sci_List(b.result__O());
    var f = (function(x$2) {
      return $m_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult(x$2)
    });
    var this$4 = $m_sci_List$();
    var bf = this$4.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$5 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1 = this$5.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = this$5.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$6 = rest;
          rest = this$6.tail__sci_List()
        };
        var jsx$3 = h
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf);
      var these = this$5;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b$1.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$7 = these;
        these = this$7.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    var jsx$1 = $as_sci_List(jsx$3)
  };
  return new $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output().init___I__sci_List(jsx$4, jsx$1)
});
var $d_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$: 0
}, false, "com.metastay.reportapp.service.reporttaskreader.Search$Output$", {
  Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$.prototype.$classData = $d_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$;
var $n_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$ = (void 0);
function $m_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$() {
  if ((!$n_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$)) {
    $n_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$ = new $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$().init___()
  };
  return $n_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$.prototype = $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$.prototype;
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$1().init___();
  this.fromJs$1 = new $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$$anon$2().init___();
  return this
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_reportapp_service_reportuserreader_Search$Input = (function(json) {
  return new $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input().init___T__sjs_js_Date__sjs_js_Date($as_T(json.userName), new $g.Date($as_T(json.fromDate)), new $g.Date($as_T(json.toDate)))
});
var $d_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportuserreader_Search$Input$: 0
}, false, "com.metastay.reportapp.service.reportuserreader.Search$Input$", {
  Lcom_metastay_reportapp_service_reportuserreader_Search$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$;
var $n_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$ = (void 0);
function $m_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$() {
  if ((!$n_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$)) {
    $n_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$ = new $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$().init___()
  };
  return $n_Lcom_metastay_reportapp_service_reportuserreader_Search$Input$
}
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$.prototype = $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$.prototype;
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$.prototype.init___ = (function() {
  $n_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$ = this;
  this.toJs$1 = new $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$3().init___();
  this.fromJs$1 = new $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$$anon$4().init___();
  return this
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_reportapp_service_reportuserreader_Search$Output = (function(json) {
  var jsx$4 = $uI(json.totalCount);
  if ((json.resultList === null)) {
    var jsx$2 = true
  } else {
    var v = json.resultList;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array = json.resultList;
    var this$3 = $m_sci_List$();
    var cbf = this$3.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var this$5 = $as_sci_List(b.result__O());
    var f = (function(x$2) {
      return $m_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult(x$2)
    });
    var this$4 = $m_sci_List$();
    var bf = this$4.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$5 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1 = this$5.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = this$5.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$6 = rest;
          rest = this$6.tail__sci_List()
        };
        var jsx$3 = h
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf);
      var these = this$5;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b$1.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$7 = these;
        these = this$7.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    var jsx$1 = $as_sci_List(jsx$3)
  };
  return new $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output().init___I__sci_List(jsx$4, jsx$1)
});
var $d_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$ = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportuserreader_Search$Output$: 0
}, false, "com.metastay.reportapp.service.reportuserreader.Search$Output$", {
  Lcom_metastay_reportapp_service_reportuserreader_Search$Output$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$;
var $n_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$ = (void 0);
function $m_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$() {
  if ((!$n_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$)) {
    $n_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$ = new $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$().init___()
  };
  return $n_Lcom_metastay_reportapp_service_reportuserreader_Search$Output$
}
var $b_Lcom_metastay_reportapp_store_Mutations = (void 0);
function $a_Lcom_metastay_reportapp_store_Mutations() {
  if ((!$b_Lcom_metastay_reportapp_store_Mutations)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_store_Mutations = (function $c_Lcom_metastay_reportapp_store_Mutations() {
      $g.Object.call(this);
      $g.Object.defineProperty(this, "MUTATE_USER_DETAILS", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "MUTATE_FQ_FLOW_NAME_LIST", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "MUTATE_REPORT_FLOW_SEARCH", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "MUTATE_REPORT_FLOW_SEARCH_RESULT_SUMMARY", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "MUTATE_REPORT_TASK_SEARCH", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "MUTATE_REPORT_TASK_SEARCH_RESULT_SUMMARY", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "MUTATE_REPORT_USER_SEARCH", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "MUTATE_REPORT_USER_SEARCH_RESULT_SUMMARY", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.MUTATE_USER_DETAILS = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_reportapp_store_ReportMutationsCode$().mutateUserDetails__F2());
      this.MUTATE_FQ_FLOW_NAME_LIST = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_reportapp_store_ReportMutationsCode$().mutateFqFlowNameList__F2());
      this.MUTATE_REPORT_FLOW_SEARCH = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_reportapp_store_ReportMutationsCode$().mutateReportFlowSearch__F2());
      this.MUTATE_REPORT_FLOW_SEARCH_RESULT_SUMMARY = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_reportapp_store_ReportMutationsCode$().mutateReportFlowSearchResultSummary__F2());
      this.MUTATE_REPORT_TASK_SEARCH = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_reportapp_store_ReportMutationsCode$().mutateReportTaskSearch__F2());
      this.MUTATE_REPORT_TASK_SEARCH_RESULT_SUMMARY = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_reportapp_store_ReportMutationsCode$().mutateReportTaskSearchResultSummary__F2());
      this.MUTATE_REPORT_USER_SEARCH = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_reportapp_store_ReportMutationsCode$().mutateReportUserSearch__F2());
      this.MUTATE_REPORT_USER_SEARCH_RESULT_SUMMARY = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_reportapp_store_ReportMutationsCode$().mutateReportUserSearchResultSummary__F2())
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_store_Mutations = (function $h_Lcom_metastay_reportapp_store_Mutations() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_store_Mutations.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_store_Mutations.prototype = new $h_Lcom_metastay_reportapp_store_Mutations();
    $c_Lcom_metastay_reportapp_store_Mutations.prototype.constructor = $c_Lcom_metastay_reportapp_store_Mutations;
    $b_Lcom_metastay_reportapp_store_Mutations = $c_Lcom_metastay_reportapp_store_Mutations
  };
  return $b_Lcom_metastay_reportapp_store_Mutations
}
function $s_Lcom_metastay_reportapp_store_State__toJson__Lcom_metastay_reportapp_store_State__sjs_js_Dynamic($this) {
  var ret = {};
  ret.userDetails = $this.userDetails.toJson;
  var array = $this.fqFlowNameList;
  var array$1 = [];
  $uI(array.length);
  var i = 0;
  var len = $uI(array.length);
  while ((i < len)) {
    var index = i;
    var arg1 = array[index];
    var elem = arg1.toJson;
    array$1.push(elem);
    i = ((1 + i) | 0)
  };
  ret.fqFlowNameList = array$1;
  ret.reportFlowSearch = $this.reportFlowSearch.toJson;
  ret.reportFlowSearchResultSummary = $this.reportFlowSearchResultSummary.toJson;
  ret.reportTaskSearch = $this.reportTaskSearch.toJson;
  ret.reportTaskSearchResultSummary = $this.reportTaskSearchResultSummary.toJson;
  ret.reportUserSearch = $this.reportUserSearch.toJson;
  ret.reportUserSearchResultSummary = $this.reportUserSearchResultSummary.toJson;
  return ret
}
function $s_Lcom_metastay_reportapp_store_State__asDynamic__Lcom_metastay_reportapp_store_State__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_reportapp_store_State = (void 0);
function $a_Lcom_metastay_reportapp_store_State() {
  if ((!$b_Lcom_metastay_reportapp_store_State)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_store_State = (function $c_Lcom_metastay_reportapp_store_State() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userDetails = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_reportapp_store_State$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_store_State$__Lcom_metastay_reportapp_data_UserDetails($m_Lcom_metastay_reportapp_store_State$()) : arg$rest[0]);
      var fqFlowNameList = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_reportapp_store_State$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_store_State$__sjs_js_Array($m_Lcom_metastay_reportapp_store_State$()) : arg$rest[1]);
      var reportFlowSearch = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_reportapp_store_State$__$$lessinit$greater$default$3__Lcom_metastay_reportapp_store_State$__Lcom_metastay_reportapp_data_ReportFlowSearchForm($m_Lcom_metastay_reportapp_store_State$()) : arg$rest[2]);
      var reportFlowSearchResultSummary = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_reportapp_store_State$__$$lessinit$greater$default$4__Lcom_metastay_reportapp_store_State$__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary($m_Lcom_metastay_reportapp_store_State$()) : arg$rest[3]);
      var reportTaskSearch = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_reportapp_store_State$__$$lessinit$greater$default$5__Lcom_metastay_reportapp_store_State$__Lcom_metastay_reportapp_data_ReportTaskSearchForm($m_Lcom_metastay_reportapp_store_State$()) : arg$rest[4]);
      var reportTaskSearchResultSummary = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_reportapp_store_State$__$$lessinit$greater$default$6__Lcom_metastay_reportapp_store_State$__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary($m_Lcom_metastay_reportapp_store_State$()) : arg$rest[5]);
      var reportUserSearch = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_reportapp_store_State$__$$lessinit$greater$default$7__Lcom_metastay_reportapp_store_State$__Lcom_metastay_reportapp_data_ReportUserSearchForm($m_Lcom_metastay_reportapp_store_State$()) : arg$rest[6]);
      var reportUserSearchResultSummary = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_reportapp_store_State$__$$lessinit$greater$default$8__Lcom_metastay_reportapp_store_State$__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary($m_Lcom_metastay_reportapp_store_State$()) : arg$rest[7]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userDetails", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fqFlowNameList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "reportFlowSearch", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "reportFlowSearchResultSummary", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "reportTaskSearch", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "reportTaskSearchResultSummary", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "reportUserSearch", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "reportUserSearchResultSummary", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.userDetails = userDetails;
      this.fqFlowNameList = fqFlowNameList;
      this.reportFlowSearch = reportFlowSearch;
      this.reportFlowSearchResultSummary = reportFlowSearchResultSummary;
      this.reportTaskSearch = reportTaskSearch;
      this.reportTaskSearchResultSummary = reportTaskSearchResultSummary;
      this.reportUserSearch = reportUserSearch;
      this.reportUserSearchResultSummary = reportUserSearchResultSummary
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_store_State = (function $h_Lcom_metastay_reportapp_store_State() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_store_State.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_store_State.prototype = new $h_Lcom_metastay_reportapp_store_State();
    $c_Lcom_metastay_reportapp_store_State.prototype.constructor = $c_Lcom_metastay_reportapp_store_State;
    Object.defineProperty($c_Lcom_metastay_reportapp_store_State.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_store_State__asDynamic__Lcom_metastay_reportapp_store_State__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_reportapp_store_State.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_reportapp_store_State__toJson__Lcom_metastay_reportapp_store_State__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_reportapp_store_State = $c_Lcom_metastay_reportapp_store_State
  };
  return $b_Lcom_metastay_reportapp_store_State
}
function $s_Lcom_metastay_reportapp_store_State$__$$lessinit$greater$default$3__Lcom_metastay_reportapp_store_State$__Lcom_metastay_reportapp_data_ReportFlowSearchForm($this) {
  return new ($a_Lcom_metastay_reportapp_data_ReportFlowSearchForm())()
}
function $s_Lcom_metastay_reportapp_store_State$__$$lessinit$greater$default$5__Lcom_metastay_reportapp_store_State$__Lcom_metastay_reportapp_data_ReportTaskSearchForm($this) {
  return new ($a_Lcom_metastay_reportapp_data_ReportTaskSearchForm())()
}
function $s_Lcom_metastay_reportapp_store_State$__$$lessinit$greater$default$1__Lcom_metastay_reportapp_store_State$__Lcom_metastay_reportapp_data_UserDetails($this) {
  return new ($a_Lcom_metastay_reportapp_data_UserDetails())()
}
function $s_Lcom_metastay_reportapp_store_State$__from__Lcom_metastay_reportapp_store_State$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_store_State($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_reportapp_store_State$__$$lessinit$greater$default$6__Lcom_metastay_reportapp_store_State$__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary($this) {
  return new ($a_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary())()
}
function $s_Lcom_metastay_reportapp_store_State$__$$lessinit$greater$default$2__Lcom_metastay_reportapp_store_State$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_reportapp_store_State$__createNew__Lcom_metastay_reportapp_store_State$__Lcom_metastay_reportapp_store_State($this) {
  return new ($a_Lcom_metastay_reportapp_store_State())()
}
function $s_Lcom_metastay_reportapp_store_State$__schemaInfo__Lcom_metastay_reportapp_store_State$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"State\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userDetails\": {\n    \"type\": \"com.metastay.reportapp.data.UserDetails\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"fqFlowNameList\": {\n    \"type\": \"Array_com.metastay.reportapp.data.FqFlowName\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"reportFlowSearch\": {\n    \"type\": \"com.metastay.reportapp.data.ReportFlowSearchForm\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"reportFlowSearchResultSummary\": {\n    \"type\": \"com.metastay.reportapp.data.ReportFlowSearchResultSummary\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"reportTaskSearch\": {\n    \"type\": \"com.metastay.reportapp.data.ReportTaskSearchForm\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"reportTaskSearchResultSummary\": {\n    \"type\": \"com.metastay.reportapp.data.ReportTaskSearchResultSummary\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"reportUserSearch\": {\n    \"type\": \"com.metastay.reportapp.data.ReportUserSearchForm\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"reportUserSearchResultSummary\": {\n    \"type\": \"com.metastay.reportapp.data.ReportUserSearchResultSummary\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"userDetails\" , \"reportFlowSearch\" , \"reportFlowSearchResultSummary\" , \"reportTaskSearch\" , \"reportTaskSearchResultSummary\" , \"reportUserSearch\" , \"reportUserSearchResultSummary\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_reportapp_store_State$__$$lessinit$greater$default$8__Lcom_metastay_reportapp_store_State$__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary($this) {
  return new ($a_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary())()
}
function $s_Lcom_metastay_reportapp_store_State$__$$lessinit$greater$default$7__Lcom_metastay_reportapp_store_State$__Lcom_metastay_reportapp_data_ReportUserSearchForm($this) {
  return new ($a_Lcom_metastay_reportapp_data_ReportUserSearchForm())()
}
function $s_Lcom_metastay_reportapp_store_State$__fromDynamic__Lcom_metastay_reportapp_store_State$__sjs_js_Dynamic__Lcom_metastay_reportapp_store_State($this, json) {
  var v = json.userDetails;
  if (((v === (void 0)) || (json.userDetails === null))) {
    var jsx$7 = new ($a_Lcom_metastay_reportapp_data_UserDetails())()
  } else {
    var jsx$7 = $m_Lcom_metastay_reportapp_data_UserDetails$().fromDynamic(json.userDetails)
  };
  var v$1 = json.fqFlowNameList;
  if (((v$1 === (void 0)) || (json.fqFlowNameList === null))) {
    var jsx$6 = []
  } else {
    var array = json.fqFlowNameList;
    var array$1 = [];
    $uI(array.length);
    var i = 0;
    var len = $uI(array.length);
    while ((i < len)) {
      var index = i;
      var arg1 = array[index];
      var elem = $m_Lcom_metastay_reportapp_data_FqFlowName$().fromDynamic(arg1);
      array$1.push(elem);
      i = ((1 + i) | 0)
    };
    var jsx$6 = array$1
  };
  var v$2 = json.reportFlowSearch;
  if (((v$2 === (void 0)) || (json.reportFlowSearch === null))) {
    var jsx$5 = new ($a_Lcom_metastay_reportapp_data_ReportFlowSearchForm())()
  } else {
    var jsx$5 = $m_Lcom_metastay_reportapp_data_ReportFlowSearchForm$().fromDynamic(json.reportFlowSearch)
  };
  var v$3 = json.reportFlowSearchResultSummary;
  if (((v$3 === (void 0)) || (json.reportFlowSearchResultSummary === null))) {
    var jsx$4 = new ($a_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary())()
  } else {
    var jsx$4 = $m_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$().fromDynamic(json.reportFlowSearchResultSummary)
  };
  var v$4 = json.reportTaskSearch;
  if (((v$4 === (void 0)) || (json.reportTaskSearch === null))) {
    var jsx$3 = new ($a_Lcom_metastay_reportapp_data_ReportTaskSearchForm())()
  } else {
    var jsx$3 = $m_Lcom_metastay_reportapp_data_ReportTaskSearchForm$().fromDynamic(json.reportTaskSearch)
  };
  var v$5 = json.reportTaskSearchResultSummary;
  if (((v$5 === (void 0)) || (json.reportTaskSearchResultSummary === null))) {
    var jsx$2 = new ($a_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary())()
  } else {
    var jsx$2 = $m_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$().fromDynamic(json.reportTaskSearchResultSummary)
  };
  var v$6 = json.reportUserSearch;
  if (((v$6 === (void 0)) || (json.reportUserSearch === null))) {
    var jsx$1 = new ($a_Lcom_metastay_reportapp_data_ReportUserSearchForm())()
  } else {
    var jsx$1 = $m_Lcom_metastay_reportapp_data_ReportUserSearchForm$().fromDynamic(json.reportUserSearch)
  };
  var v$7 = json.reportUserSearchResultSummary;
  return new ($a_Lcom_metastay_reportapp_store_State())(jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, (((v$7 === (void 0)) || (json.reportUserSearchResultSummary === null)) ? new ($a_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary())() : $m_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$().fromDynamic(json.reportUserSearchResultSummary)))
}
function $s_Lcom_metastay_reportapp_store_State$__$$lessinit$greater$default$4__Lcom_metastay_reportapp_store_State$__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary($this) {
  return new ($a_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary())()
}
var $b_Lcom_metastay_reportapp_store_State$ = (void 0);
function $a_Lcom_metastay_reportapp_store_State$() {
  if ((!$b_Lcom_metastay_reportapp_store_State$)) {
    /** @constructor */
    var $c_Lcom_metastay_reportapp_store_State$ = (function $c_Lcom_metastay_reportapp_store_State$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_reportapp_store_State$ = (function $h_Lcom_metastay_reportapp_store_State$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_reportapp_store_State$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_reportapp_store_State$.prototype = new $h_Lcom_metastay_reportapp_store_State$();
    $c_Lcom_metastay_reportapp_store_State$.prototype.constructor = $c_Lcom_metastay_reportapp_store_State$;
    $c_Lcom_metastay_reportapp_store_State$.prototype.createNew = (function() {
      return $s_Lcom_metastay_reportapp_store_State$__createNew__Lcom_metastay_reportapp_store_State$__Lcom_metastay_reportapp_store_State(this)
    });
    $c_Lcom_metastay_reportapp_store_State$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_reportapp_store_State$__fromDynamic__Lcom_metastay_reportapp_store_State$__sjs_js_Dynamic__Lcom_metastay_reportapp_store_State(this, prep0)
    });
    $c_Lcom_metastay_reportapp_store_State$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_reportapp_store_State$__from__Lcom_metastay_reportapp_store_State$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_reportapp_store_State(this, prep0, prep1)
    });
    $c_Lcom_metastay_reportapp_store_State$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_reportapp_store_State$__schemaInfo__Lcom_metastay_reportapp_store_State$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_reportapp_store_State$ = $c_Lcom_metastay_reportapp_store_State$
  };
  return $b_Lcom_metastay_reportapp_store_State$
}
var $n_Lcom_metastay_reportapp_store_State$ = (void 0);
function $m_Lcom_metastay_reportapp_store_State$() {
  if ((!$n_Lcom_metastay_reportapp_store_State$)) {
    $n_Lcom_metastay_reportapp_store_State$ = new ($a_Lcom_metastay_reportapp_store_State$())()
  };
  return $n_Lcom_metastay_reportapp_store_State$
}
/** @constructor */
function $c_Ljava_io_OutputStream() {
  $c_O.call(this)
}
$c_Ljava_io_OutputStream.prototype = new $h_O();
$c_Ljava_io_OutputStream.prototype.constructor = $c_Ljava_io_OutputStream;
/** @constructor */
function $h_Ljava_io_OutputStream() {
  /*<skip>*/
}
$h_Ljava_io_OutputStream.prototype = $c_Ljava_io_OutputStream.prototype;
/** @constructor */
function $c_Lsmilejs_com_metastay_browserdata_data_UserDetails$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails$.prototype.constructor = $c_Lsmilejs_com_metastay_browserdata_data_UserDetails$;
/** @constructor */
function $h_Lsmilejs_com_metastay_browserdata_data_UserDetails$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_browserdata_data_UserDetails$.prototype = $c_Lsmilejs_com_metastay_browserdata_data_UserDetails$.prototype;
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_browserdata_data_UserDetails$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_browserdata_data_UserDetails$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_browserdata_data_UserDetails = (function(json) {
  var jsx$4 = $as_T(json.userName);
  if ((json.appRoleList === null)) {
    var jsx$2 = true
  } else {
    var v = json.appRoleList;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array = json.appRoleList;
    var this$3 = $m_sci_List$();
    var cbf = this$3.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var this$5 = $as_sci_List(b.result__O());
    var f = (function(x$2) {
      return $m_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser(x$2)
    });
    var this$4 = $m_sci_List$();
    var bf = this$4.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$5 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1 = this$5.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = this$5.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$6 = rest;
          rest = this$6.tail__sci_List()
        };
        var jsx$3 = h
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf);
      var these = this$5;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b$1.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$7 = these;
        these = this$7.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    var jsx$1 = $as_sci_List(jsx$3)
  };
  return new $c_Lsmilejs_com_metastay_browserdata_data_UserDetails().init___T__sci_List__T(jsx$4, jsx$1, $as_T(json.projectName))
});
var $d_Lsmilejs_com_metastay_browserdata_data_UserDetails$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_browserdata_data_UserDetails$: 0
}, false, "smilejs.com.metastay.browserdata.data.UserDetails$", {
  Lsmilejs_com_metastay_browserdata_data_UserDetails$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails$.prototype.$classData = $d_Lsmilejs_com_metastay_browserdata_data_UserDetails$;
var $n_Lsmilejs_com_metastay_browserdata_data_UserDetails$ = (void 0);
function $m_Lsmilejs_com_metastay_browserdata_data_UserDetails$() {
  if ((!$n_Lsmilejs_com_metastay_browserdata_data_UserDetails$)) {
    $n_Lsmilejs_com_metastay_browserdata_data_UserDetails$ = new $c_Lsmilejs_com_metastay_browserdata_data_UserDetails$().init___()
  };
  return $n_Lsmilejs_com_metastay_browserdata_data_UserDetails$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_AllocateToUser = (function(json) {
  return new $c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser().init___T__I__I($as_T(json.userName), $uI(json.currentQSize), $uI(json.maxQSize))
});
var $d_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_AllocateToUser$: 0
}, false, "smilejs.com.metastay.monitordata.data.AllocateToUser$", {
  Lsmilejs_com_metastay_monitordata_data_AllocateToUser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$;
var $n_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$ = new $c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_AllocateToUser$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_Comment$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_Comment$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_Comment$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_Comment$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_Comment$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_Comment$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_Comment$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_Comment$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_Comment$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_Comment$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_Comment$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_Comment = (function(json) {
  var jsx$7 = $as_T(json.commentedBy);
  var jsx$6 = new $g.Date($as_T(json.createdTime));
  if ((json.commentLevel === null)) {
    var jsx$5 = true
  } else {
    var v = json.commentLevel;
    var jsx$5 = (v === (void 0))
  };
  if (jsx$5) {
    var jsx$4 = null
  } else {
    var jsx$4 = $m_Lsmilejs_com_metastay_prism_enums_CommentLevel$().withId__T__Lsmilejs_com_metastay_prism_enums_CommentLevel($as_T(json.commentLevel))
  };
  var jsx$3 = $as_T(json.comment);
  if ((json.taskName === null)) {
    var jsx$2 = true
  } else {
    var v$1 = json.taskName;
    var jsx$2 = (v$1 === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_s_None$()
  } else {
    var value = json.taskName;
    var jsx$1 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  return new $c_Lsmilejs_com_metastay_monitordata_data_Comment().init___T__sjs_js_Date__Lsmilejs_com_metastay_prism_enums_CommentLevel__T__s_Option(jsx$7, jsx$6, jsx$4, jsx$3, jsx$1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_Comment$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_Comment$: 0
}, false, "smilejs.com.metastay.monitordata.data.Comment$", {
  Lsmilejs_com_metastay_monitordata_data_Comment$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_Comment$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_Comment$;
var $n_Lsmilejs_com_metastay_monitordata_data_Comment$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_Comment$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_Comment$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_Comment$ = new $c_Lsmilejs_com_metastay_monitordata_data_Comment$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_Comment$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask = (function(json) {
  return new $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask().init___T__T__T__I__I__I__I__I($as_T(json.teamCode), $as_T(json.fqFlowName), $as_T(json.taskName), $uI(json.readyCount), $uI(json.allocatedCount), $uI(json.startedCount), $uI(json.errorCount), $uI(json.completedCount))
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorDashboardTask$", {
  Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$;
var $n_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$ = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser = (function(json) {
  return new $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser().init___T__T__T__Z__I__I__I($as_T(json.teamCode), $as_T(json.fqFlowName), $as_T(json.userName), $uZ(json.isActive), $uI(json.allocatedCount), $uI(json.startedCount), $uI(json.completedCount))
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorDashboardUser$", {
  Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$;
var $n_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$ = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive = (function(json) {
  var jsx$13 = $as_T(json.flowId);
  var jsx$12 = $as_T(json.displayId);
  var jsx$11 = $as_T(json.cid);
  var jsx$10 = $as_T(json.teamCode);
  var jsx$9 = $as_T(json.netName);
  if ((json.flowState === null)) {
    var jsx$8 = true
  } else {
    var v = json.flowState;
    var jsx$8 = (v === (void 0))
  };
  if (jsx$8) {
    var jsx$7 = null
  } else {
    var jsx$7 = $m_Lsmilejs_com_metastay_valey_enums_FlowState$().withId__T__Lsmilejs_com_metastay_valey_enums_FlowState($as_T(json.flowState))
  };
  var jsx$6 = $as_T(json.fqFlowName);
  var jsx$5 = $as_T(json.flowName);
  var jsx$4 = $uI(json.priority);
  var jsx$3 = new $g.Date($as_T(json.createdTime));
  if ((json.source === null)) {
    var jsx$2 = true
  } else {
    var v$1 = json.source;
    var jsx$2 = (v$1 === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_s_None$()
  } else {
    var value = json.source;
    var jsx$1 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  return new $c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive().init___T__T__T__T__T__Lsmilejs_com_metastay_valey_enums_FlowState__T__T__I__sjs_js_Date__s_Option(jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorEarliestFlowActive$", {
  Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$;
var $n_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$ = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary = (function(json) {
  var jsx$10 = $as_T(json.fqFlowName);
  var jsx$9 = $as_T(json.flowName);
  var jsx$8 = $as_T(json.teamCode);
  var jsx$7 = $uI(json.createdTodayCount);
  var jsx$6 = $uI(json.activeCount);
  var jsx$5 = $uI(json.errorCount);
  var jsx$4 = $uI(json.completedTodayCount);
  if ((json.taskList === null)) {
    var jsx$2 = true
  } else {
    var v = json.taskList;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array = json.taskList;
    var this$3 = $m_sci_List$();
    var cbf = this$3.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var this$5 = $as_sci_List(b.result__O());
    var f = (function(x$2) {
      return $m_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask(x$2)
    });
    var this$4 = $m_sci_List$();
    var bf = this$4.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$5 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1 = this$5.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = this$5.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$6 = rest;
          rest = this$6.tail__sci_List()
        };
        var jsx$3 = h
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf);
      var these = this$5;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b$1.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$7 = these;
        these = this$7.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    var jsx$1 = $as_sci_List(jsx$3)
  };
  return new $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary().init___T__T__T__I__I__I__I__sci_List(jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorFlowDashboardSummary$", {
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$;
var $n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$ = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails = (function(json) {
  var jsx$27 = $as_T(json.teamCode);
  var jsx$26 = $as_T(json.fqFlowName);
  var jsx$25 = $as_T(json.flowName);
  var jsx$24 = $as_T(json.netName);
  var jsx$23 = $as_T(json.cid);
  var jsx$22 = $as_T(json.displayId);
  var jsx$21 = $uI(json.priority);
  var jsx$20 = new $g.Date($as_T(json.createdTime));
  if ((json.startedTime === null)) {
    var jsx$19 = true
  } else {
    var v = json.startedTime;
    var jsx$19 = (v === (void 0))
  };
  if (jsx$19) {
    var jsx$18 = $m_s_None$()
  } else {
    var jsx$18 = new $c_s_Some().init___O(new $g.Date($as_T(json.startedTime)))
  };
  var jsx$17 = new $g.Date($as_T(json.lastUpdatedTime));
  if ((json.flowState === null)) {
    var jsx$16 = true
  } else {
    var v$1 = json.flowState;
    var jsx$16 = (v$1 === (void 0))
  };
  if (jsx$16) {
    var jsx$15 = null
  } else {
    var jsx$15 = $m_Lsmilejs_com_metastay_valey_enums_FlowState$().withId__T__Lsmilejs_com_metastay_valey_enums_FlowState($as_T(json.flowState))
  };
  var jsx$14 = $uI(json.readyCount);
  var jsx$13 = $uI(json.allocatedCount);
  var jsx$12 = $uI(json.startedCount);
  var jsx$11 = $uI(json.completedCount);
  var jsx$10 = $as_T(json.documentData);
  if ((json.taskList === null)) {
    var jsx$8 = true
  } else {
    var v$2 = json.taskList;
    var jsx$8 = (v$2 === (void 0))
  };
  if (jsx$8) {
    var jsx$7 = $m_sci_Nil$()
  } else {
    var array = json.taskList;
    var this$5 = $m_sci_List$();
    var cbf = this$5.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var this$7 = $as_sci_List(b.result__O());
    var f = (function(x$2) {
      return $m_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask(x$2)
    });
    var this$6 = $m_sci_List$();
    var bf = this$6.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$7 === $m_sci_Nil$())) {
        var jsx$9 = $m_sci_Nil$()
      } else {
        var arg1 = this$7.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = this$7.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$8 = rest;
          rest = this$8.tail__sci_List()
        };
        var jsx$9 = h
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$7, bf);
      var these = this$7;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b$1.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$9 = these;
        these = this$9.tail__sci_List()
      };
      var jsx$9 = b$1.result__O()
    };
    var jsx$7 = $as_sci_List(jsx$9)
  };
  if ((json.source === null)) {
    var jsx$6 = true
  } else {
    var v$3 = json.source;
    var jsx$6 = (v$3 === (void 0))
  };
  if (jsx$6) {
    var jsx$5 = $m_s_None$()
  } else {
    var value = json.source;
    var jsx$5 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  if ((json.linkedFlowId === null)) {
    var jsx$4 = true
  } else {
    var v$4 = json.linkedFlowId;
    var jsx$4 = (v$4 === (void 0))
  };
  if (jsx$4) {
    var jsx$3 = $m_s_None$()
  } else {
    var value$1 = json.linkedFlowId;
    var jsx$3 = ((value$1 === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value$1))
  };
  if ((json.parentTaskId === null)) {
    var jsx$2 = true
  } else {
    var v$5 = json.parentTaskId;
    var jsx$2 = (v$5 === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_s_None$()
  } else {
    var value$2 = json.parentTaskId;
    var jsx$1 = ((value$2 === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value$2))
  };
  return new $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails().init___T__T__T__T__T__T__I__sjs_js_Date__s_Option__sjs_js_Date__Lsmilejs_com_metastay_valey_enums_FlowState__I__I__I__I__T__sci_List__s_Option__s_Option__s_Option(jsx$27, jsx$26, jsx$25, jsx$24, jsx$23, jsx$22, jsx$21, jsx$20, jsx$18, jsx$17, jsx$15, jsx$14, jsx$13, jsx$12, jsx$11, jsx$10, jsx$7, jsx$5, jsx$3, jsx$1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorFlowDetails$", {
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$;
var $n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$ = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask = (function(json) {
  var jsx$12 = $as_T(json.taskId);
  var jsx$11 = $as_T(json.taskName);
  if ((json.taskState === null)) {
    var jsx$10 = true
  } else {
    var v = json.taskState;
    var jsx$10 = (v === (void 0))
  };
  if (jsx$10) {
    var jsx$9 = null
  } else {
    var jsx$9 = $m_Lsmilejs_com_metastay_valey_enums_TaskState$().withId__T__Lsmilejs_com_metastay_valey_enums_TaskState($as_T(json.taskState))
  };
  if ((json.allocatedTo === null)) {
    var jsx$8 = true
  } else {
    var v$1 = json.allocatedTo;
    var jsx$8 = (v$1 === (void 0))
  };
  if (jsx$8) {
    var jsx$7 = $m_s_None$()
  } else {
    var value = json.allocatedTo;
    var jsx$7 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  var jsx$6 = new $g.Date($as_T(json.readyTime));
  if ((json.allocatedTime === null)) {
    var jsx$5 = true
  } else {
    var v$2 = json.allocatedTime;
    var jsx$5 = (v$2 === (void 0))
  };
  if (jsx$5) {
    var jsx$4 = $m_s_None$()
  } else {
    var jsx$4 = new $c_s_Some().init___O(new $g.Date($as_T(json.allocatedTime)))
  };
  if ((json.startedTime === null)) {
    var jsx$3 = true
  } else {
    var v$3 = json.startedTime;
    var jsx$3 = (v$3 === (void 0))
  };
  if (jsx$3) {
    var jsx$2 = $m_s_None$()
  } else {
    var jsx$2 = new $c_s_Some().init___O(new $g.Date($as_T(json.startedTime)))
  };
  if ((json.endTime === null)) {
    var jsx$1 = true
  } else {
    var v$4 = json.endTime;
    var jsx$1 = (v$4 === (void 0))
  };
  return new $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask().init___T__T__Lsmilejs_com_metastay_valey_enums_TaskState__s_Option__sjs_js_Date__s_Option__s_Option__s_Option(jsx$12, jsx$11, jsx$9, jsx$7, jsx$6, jsx$4, jsx$2, (jsx$1 ? $m_s_None$() : new $c_s_Some().init___O(new $g.Date($as_T(json.endTime)))))
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorFlowDetailsTask$", {
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$;
var $n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$ = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorFlowError = (function(json) {
  var jsx$11 = $as_T(json.flowId);
  if ((json.flowState === null)) {
    var jsx$10 = true
  } else {
    var v = json.flowState;
    var jsx$10 = (v === (void 0))
  };
  if (jsx$10) {
    var jsx$9 = null
  } else {
    var jsx$9 = $m_Lsmilejs_com_metastay_valey_enums_FlowState$().withId__T__Lsmilejs_com_metastay_valey_enums_FlowState($as_T(json.flowState))
  };
  if ((json.summary === null)) {
    var jsx$8 = true
  } else {
    var v$1 = json.summary;
    var jsx$8 = (v$1 === (void 0))
  };
  if (jsx$8) {
    var jsx$7 = $m_s_None$()
  } else {
    var value = json.summary;
    var jsx$7 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  if ((json.details === null)) {
    var jsx$6 = true
  } else {
    var v$2 = json.details;
    var jsx$6 = (v$2 === (void 0))
  };
  if (jsx$6) {
    var jsx$5 = $m_s_None$()
  } else {
    var value$1 = json.details;
    var jsx$5 = ((value$1 === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value$1))
  };
  if ((json.documentData === null)) {
    var jsx$4 = true
  } else {
    var v$3 = json.documentData;
    var jsx$4 = (v$3 === (void 0))
  };
  if (jsx$4) {
    var jsx$3 = $m_s_None$()
  } else {
    var value$2 = json.documentData;
    var jsx$3 = ((value$2 === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value$2))
  };
  if ((json.constraintList === null)) {
    var jsx$2 = true
  } else {
    var v$4 = json.constraintList;
    var jsx$2 = (v$4 === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array = json.constraintList;
    var this$16 = $m_sci_List$();
    var cbf = this$16.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var jsx$1 = $as_sci_List(b.result__O())
  };
  return new $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError().init___T__Lsmilejs_com_metastay_valey_enums_FlowState__s_Option__s_Option__s_Option__sci_List__sjs_js_Date__sjs_js_Date__Z(jsx$11, jsx$9, jsx$7, jsx$5, jsx$3, jsx$1, new $g.Date($as_T(json.errorTime)), new $g.Date($as_T(json.errorDate)), $uZ(json.isHistory))
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorFlowError$", {
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$;
var $n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$ = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult = (function(json) {
  var jsx$22 = $as_T(json.flowId);
  var jsx$21 = $as_T(json.displayId);
  var jsx$20 = $as_T(json.cid);
  var jsx$19 = $as_T(json.teamCode);
  var jsx$18 = $as_T(json.netName);
  if ((json.flowState === null)) {
    var jsx$17 = true
  } else {
    var v = json.flowState;
    var jsx$17 = (v === (void 0))
  };
  if (jsx$17) {
    var jsx$16 = null
  } else {
    var jsx$16 = $m_Lsmilejs_com_metastay_valey_enums_FlowState$().withId__T__Lsmilejs_com_metastay_valey_enums_FlowState($as_T(json.flowState))
  };
  var jsx$15 = $as_T(json.fqFlowName);
  var jsx$14 = $as_T(json.flowName);
  var jsx$13 = $uI(json.priority);
  var jsx$12 = new $g.Date($as_T(json.createdTime));
  var jsx$11 = $uI(json.readyCount);
  var jsx$10 = $uI(json.allocatedCount);
  var jsx$9 = $uI(json.startedCount);
  var jsx$8 = $uI(json.errorCount);
  var jsx$7 = $uI(json.completedCount);
  var jsx$6 = $as_T(json.documentData);
  if ((json.source === null)) {
    var jsx$5 = true
  } else {
    var v$1 = json.source;
    var jsx$5 = (v$1 === (void 0))
  };
  if (jsx$5) {
    var jsx$4 = $m_s_None$()
  } else {
    var value = json.source;
    var jsx$4 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  if ((json.tagList === null)) {
    var jsx$2 = true
  } else {
    var v$2 = json.tagList;
    var jsx$2 = (v$2 === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array = json.tagList;
    var this$8 = $m_sci_List$();
    var cbf = this$8.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var this$10 = $as_sci_List(b.result__O());
    var f = (function(x$2) {
      return $m_Lsmilejs_com_metastay_monitordata_data_Tag$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_Tag(x$2)
    });
    var this$9 = $m_sci_List$();
    var bf = this$9.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$10 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1 = this$10.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = this$10.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$11 = rest;
          rest = this$11.tail__sci_List()
        };
        var jsx$3 = h
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$10, bf);
      var these = this$10;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b$1.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$12 = these;
        these = this$12.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    var jsx$1 = $as_sci_List(jsx$3)
  };
  return new $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult().init___T__T__T__T__T__Lsmilejs_com_metastay_valey_enums_FlowState__T__T__I__sjs_js_Date__I__I__I__I__I__T__s_Option__sci_List(jsx$22, jsx$21, jsx$20, jsx$19, jsx$18, jsx$16, jsx$15, jsx$14, jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$4, jsx$1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorFlowSearchResult$", {
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$;
var $n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$ = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails = (function(json) {
  return new $c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails().init___T__T__T__T__T__T__T__T__T__sjs_js_Date($as_T(json.taskId), $as_T(json.subFlowId), $as_T(json.subFlowName), $as_T(json.subFlowNetName), $as_T(json.subFlowFqName), $as_T(json.subFlowState), $as_T(json.subTeam), $as_T(json.subFlowDisplayId), $as_T(json.subFlowCid), new $g.Date($as_T(json.subFlowLastUpdatedTime)))
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorSubFlowTaskDetails$", {
  Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$;
var $n_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$ = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary = (function(json) {
  var jsx$6 = $as_T(json.fqFlowName);
  var jsx$5 = $as_T(json.flowName);
  var jsx$4 = $as_T(json.teamCode);
  if ((json.taskList === null)) {
    var jsx$2 = true
  } else {
    var v = json.taskList;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array = json.taskList;
    var this$3 = $m_sci_List$();
    var cbf = this$3.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var this$5 = $as_sci_List(b.result__O());
    var f = (function(x$2) {
      return $m_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask(x$2)
    });
    var this$4 = $m_sci_List$();
    var bf = this$4.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$5 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1 = this$5.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = this$5.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$6 = rest;
          rest = this$6.tail__sci_List()
        };
        var jsx$3 = h
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf);
      var these = this$5;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b$1.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$7 = these;
        these = this$7.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    var jsx$1 = $as_sci_List(jsx$3)
  };
  return new $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary().init___T__T__T__sci_List(jsx$6, jsx$5, jsx$4, jsx$1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorTaskDashboardSummary$", {
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$;
var $n_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$ = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails = (function(json) {
  var jsx$25 = $as_T(json.flowId);
  var jsx$24 = $as_T(json.taskName);
  var jsx$23 = $as_T(json.taskId);
  var jsx$22 = $as_T(json.taskType);
  var jsx$21 = $as_T(json.teamCode);
  var jsx$20 = $as_T(json.fqFlowName);
  var jsx$19 = $as_T(json.flowName);
  var jsx$18 = $as_T(json.cid);
  var jsx$17 = $as_T(json.displayId);
  if ((json.taskState === null)) {
    var jsx$16 = true
  } else {
    var v = json.taskState;
    var jsx$16 = (v === (void 0))
  };
  if (jsx$16) {
    var jsx$15 = null
  } else {
    var jsx$15 = $m_Lsmilejs_com_metastay_valey_enums_TaskState$().withId__T__Lsmilejs_com_metastay_valey_enums_TaskState($as_T(json.taskState))
  };
  if ((json.allocatedTo === null)) {
    var jsx$14 = true
  } else {
    var v$1 = json.allocatedTo;
    var jsx$14 = (v$1 === (void 0))
  };
  if (jsx$14) {
    var jsx$13 = $m_s_None$()
  } else {
    var value = json.allocatedTo;
    var jsx$13 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  var jsx$12 = $uI(json.priority);
  var jsx$11 = new $g.Date($as_T(json.readyTime));
  if ((json.allocatedTime === null)) {
    var jsx$10 = true
  } else {
    var v$2 = json.allocatedTime;
    var jsx$10 = (v$2 === (void 0))
  };
  if (jsx$10) {
    var jsx$9 = $m_s_None$()
  } else {
    var jsx$9 = new $c_s_Some().init___O(new $g.Date($as_T(json.allocatedTime)))
  };
  if ((json.startedTime === null)) {
    var jsx$8 = true
  } else {
    var v$3 = json.startedTime;
    var jsx$8 = (v$3 === (void 0))
  };
  if (jsx$8) {
    var jsx$7 = $m_s_None$()
  } else {
    var jsx$7 = new $c_s_Some().init___O(new $g.Date($as_T(json.startedTime)))
  };
  if ((json.endTime === null)) {
    var jsx$6 = true
  } else {
    var v$4 = json.endTime;
    var jsx$6 = (v$4 === (void 0))
  };
  if (jsx$6) {
    var jsx$5 = $m_s_None$()
  } else {
    var jsx$5 = new $c_s_Some().init___O(new $g.Date($as_T(json.endTime)))
  };
  var jsx$4 = new $g.Date($as_T(json.lastUpdatedTime));
  var jsx$3 = $as_T(json.taskInput);
  if ((json.taskOutput === null)) {
    var jsx$2 = true
  } else {
    var v$5 = json.taskOutput;
    var jsx$2 = (v$5 === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_s_None$()
  } else {
    var value$1 = json.taskOutput;
    var jsx$1 = ((value$1 === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value$1))
  };
  return new $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails().init___T__T__T__T__T__T__T__T__T__Lsmilejs_com_metastay_valey_enums_TaskState__s_Option__I__sjs_js_Date__s_Option__s_Option__s_Option__sjs_js_Date__T__s_Option(jsx$25, jsx$24, jsx$23, jsx$22, jsx$21, jsx$20, jsx$19, jsx$18, jsx$17, jsx$15, jsx$13, jsx$12, jsx$11, jsx$9, jsx$7, jsx$5, jsx$4, jsx$3, jsx$1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorTaskDetails$", {
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$;
var $n_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$ = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorTaskError = (function(json) {
  var jsx$12 = $as_T(json.taskId);
  var jsx$11 = $as_T(json.flowId);
  if ((json.taskState === null)) {
    var jsx$10 = true
  } else {
    var v = json.taskState;
    var jsx$10 = (v === (void 0))
  };
  if (jsx$10) {
    var jsx$9 = null
  } else {
    var jsx$9 = $m_Lsmilejs_com_metastay_valey_enums_TaskState$().withId__T__Lsmilejs_com_metastay_valey_enums_TaskState($as_T(json.taskState))
  };
  if ((json.summary === null)) {
    var jsx$8 = true
  } else {
    var v$1 = json.summary;
    var jsx$8 = (v$1 === (void 0))
  };
  if (jsx$8) {
    var jsx$7 = $m_s_None$()
  } else {
    var value = json.summary;
    var jsx$7 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  if ((json.details === null)) {
    var jsx$6 = true
  } else {
    var v$2 = json.details;
    var jsx$6 = (v$2 === (void 0))
  };
  if (jsx$6) {
    var jsx$5 = $m_s_None$()
  } else {
    var value$1 = json.details;
    var jsx$5 = ((value$1 === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value$1))
  };
  if ((json.outputData === null)) {
    var jsx$4 = true
  } else {
    var v$3 = json.outputData;
    var jsx$4 = (v$3 === (void 0))
  };
  if (jsx$4) {
    var jsx$3 = $m_s_None$()
  } else {
    var value$2 = json.outputData;
    var jsx$3 = ((value$2 === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value$2))
  };
  if ((json.constraintList === null)) {
    var jsx$2 = true
  } else {
    var v$4 = json.constraintList;
    var jsx$2 = (v$4 === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array = json.constraintList;
    var this$16 = $m_sci_List$();
    var cbf = this$16.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var jsx$1 = $as_sci_List(b.result__O())
  };
  return new $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError().init___T__T__Lsmilejs_com_metastay_valey_enums_TaskState__s_Option__s_Option__s_Option__sci_List__sjs_js_Date__sjs_js_Date__Z(jsx$12, jsx$11, jsx$9, jsx$7, jsx$5, jsx$3, jsx$1, new $g.Date($as_T(json.errorTime)), new $g.Date($as_T(json.errorDate)), $uZ(json.isHistory))
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorTaskError$", {
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$;
var $n_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$ = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult = (function(json) {
  var jsx$14 = $as_T(json.flowId);
  var jsx$13 = $as_T(json.taskId);
  var jsx$12 = $as_T(json.displayId);
  var jsx$11 = $as_T(json.taskName);
  var jsx$10 = $as_T(json.taskType);
  var jsx$9 = $uI(json.priority);
  var jsx$8 = new $g.Date($as_T(json.flowCreatedDate));
  if ((json.taskState === null)) {
    var jsx$7 = true
  } else {
    var v = json.taskState;
    var jsx$7 = (v === (void 0))
  };
  if (jsx$7) {
    var jsx$6 = null
  } else {
    var jsx$6 = $m_Lsmilejs_com_metastay_valey_enums_TaskState$().withId__T__Lsmilejs_com_metastay_valey_enums_TaskState($as_T(json.taskState))
  };
  if ((json.allocatedTo === null)) {
    var jsx$5 = true
  } else {
    var v$1 = json.allocatedTo;
    var jsx$5 = (v$1 === (void 0))
  };
  if (jsx$5) {
    var jsx$4 = $m_s_None$()
  } else {
    var value = json.allocatedTo;
    var jsx$4 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  if ((json.allocatedTime === null)) {
    var jsx$3 = true
  } else {
    var v$2 = json.allocatedTime;
    var jsx$3 = (v$2 === (void 0))
  };
  if (jsx$3) {
    var jsx$2 = $m_s_None$()
  } else {
    var jsx$2 = new $c_s_Some().init___O(new $g.Date($as_T(json.allocatedTime)))
  };
  if ((json.startedTime === null)) {
    var jsx$1 = true
  } else {
    var v$3 = json.startedTime;
    var jsx$1 = (v$3 === (void 0))
  };
  return new $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult().init___T__T__T__T__T__I__sjs_js_Date__Lsmilejs_com_metastay_valey_enums_TaskState__s_Option__s_Option__s_Option__T(jsx$14, jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$6, jsx$4, jsx$2, (jsx$1 ? $m_s_None$() : new $c_s_Some().init___O(new $g.Date($as_T(json.startedTime)))), $as_T(json.taskInput))
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorTaskSearchResult$", {
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$;
var $n_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$ = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap = (function(json) {
  var jsx$4 = $as_T(json.teamCode);
  if ((json.earliestFlowActiveList === null)) {
    var jsx$2 = true
  } else {
    var v = json.earliestFlowActiveList;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array = json.earliestFlowActiveList;
    var this$3 = $m_sci_List$();
    var cbf = this$3.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var this$5 = $as_sci_List(b.result__O());
    var f = (function(x$2) {
      return $m_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive(x$2)
    });
    var this$4 = $m_sci_List$();
    var bf = this$4.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$5 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1 = this$5.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = this$5.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$6 = rest;
          rest = this$6.tail__sci_List()
        };
        var jsx$3 = h
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf);
      var these = this$5;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b$1.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$7 = these;
        these = this$7.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    var jsx$1 = $as_sci_List(jsx$3)
  };
  return new $c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap().init___T__sci_List(jsx$4, jsx$1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorTeamEarliestFlowMap$", {
  Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$;
var $n_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$ = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary = (function(json) {
  var jsx$6 = $as_T(json.fqFlowName);
  var jsx$5 = $as_T(json.flowName);
  var jsx$4 = $as_T(json.teamCode);
  if ((json.userList === null)) {
    var jsx$2 = true
  } else {
    var v = json.userList;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array = json.userList;
    var this$3 = $m_sci_List$();
    var cbf = this$3.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var this$5 = $as_sci_List(b.result__O());
    var f = (function(x$2) {
      return $m_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser(x$2)
    });
    var this$4 = $m_sci_List$();
    var bf = this$4.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$5 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1 = this$5.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = this$5.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$6 = rest;
          rest = this$6.tail__sci_List()
        };
        var jsx$3 = h
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf);
      var these = this$5;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b$1.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$7 = these;
        these = this$7.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    var jsx$1 = $as_sci_List(jsx$3)
  };
  return new $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary().init___T__T__T__sci_List(jsx$6, jsx$5, jsx$4, jsx$1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorUserDashboardSummary$", {
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$;
var $n_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$ = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails = (function(json) {
  var jsx$12 = $as_T(json.userName);
  var jsx$11 = $uZ(json.userIsActive);
  if ((json.teamRoleList === null)) {
    var jsx$9 = true
  } else {
    var v = json.teamRoleList;
    var jsx$9 = (v === (void 0))
  };
  if (jsx$9) {
    var jsx$8 = $m_sci_Nil$()
  } else {
    var array = json.teamRoleList;
    var this$3 = $m_sci_List$();
    var cbf = this$3.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var this$5 = $as_sci_List(b.result__O());
    var f = (function(x$2) {
      return $m_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_TeamRoleList(x$2)
    });
    var this$4 = $m_sci_List$();
    var bf = this$4.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$5 === $m_sci_Nil$())) {
        var jsx$10 = $m_sci_Nil$()
      } else {
        var arg1 = this$5.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = this$5.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$6 = rest;
          rest = this$6.tail__sci_List()
        };
        var jsx$10 = h
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf);
      var these = this$5;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b$1.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$7 = these;
        these = this$7.tail__sci_List()
      };
      var jsx$10 = b$1.result__O()
    };
    var jsx$8 = $as_sci_List(jsx$10)
  };
  var jsx$7 = $uI(json.allocatedCount);
  var jsx$6 = $uI(json.startedCount);
  if ((json.lastActivityTime === null)) {
    var jsx$5 = true
  } else {
    var v$1 = json.lastActivityTime;
    var jsx$5 = (v$1 === (void 0))
  };
  if (jsx$5) {
    var jsx$4 = $m_s_None$()
  } else {
    var jsx$4 = new $c_s_Some().init___O(new $g.Date($as_T(json.lastActivityTime)))
  };
  if ((json.taskList === null)) {
    var jsx$2 = true
  } else {
    var v$2 = json.taskList;
    var jsx$2 = (v$2 === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array$1 = json.taskList;
    var this$11 = $m_sci_List$();
    var cbf$1 = this$11.ReusableCBFInstance$2;
    var b$2 = cbf$1.apply__scm_Builder();
    b$2.sizeHint__I__V($uI(array$1.length));
    b$2.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array$1));
    var this$13 = $as_sci_List(b$2.result__O());
    var f$1 = (function(x$2$1) {
      return $m_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask(x$2$1)
    });
    var this$12 = $m_sci_List$();
    var bf$1 = this$12.ReusableCBFInstance$2;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$13 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1$3 = this$13.head__O();
        var h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        var t$1 = h$1;
        var rest$1 = this$13.tail__sci_List();
        while ((rest$1 !== $m_sci_Nil$())) {
          var arg1$4 = rest$1.head__O();
          var nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          var this$14 = rest$1;
          rest$1 = this$14.tail__sci_List()
        };
        var jsx$3 = h$1
      }
    } else {
      var b$3 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$13, bf$1);
      var these$1 = this$13;
      while ((!these$1.isEmpty__Z())) {
        var arg1$5 = these$1.head__O();
        b$3.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        var this$15 = these$1;
        these$1 = this$15.tail__sci_List()
      };
      var jsx$3 = b$3.result__O()
    };
    var jsx$1 = $as_sci_List(jsx$3)
  };
  return new $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails().init___T__Z__sci_List__I__I__s_Option__sci_List(jsx$12, jsx$11, jsx$8, jsx$7, jsx$6, jsx$4, jsx$1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorUserDetails$", {
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$;
var $n_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$ = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask = (function(json) {
  var jsx$9 = $as_T(json.taskId);
  var jsx$8 = $as_T(json.taskName);
  if ((json.taskState === null)) {
    var jsx$7 = true
  } else {
    var v = json.taskState;
    var jsx$7 = (v === (void 0))
  };
  if (jsx$7) {
    var jsx$6 = null
  } else {
    var jsx$6 = $m_Lsmilejs_com_metastay_valey_enums_TaskState$().withId__T__Lsmilejs_com_metastay_valey_enums_TaskState($as_T(json.taskState))
  };
  var jsx$5 = $uI(json.priority);
  var jsx$4 = new $g.Date($as_T(json.readyTime));
  if ((json.allocatedTime === null)) {
    var jsx$3 = true
  } else {
    var v$1 = json.allocatedTime;
    var jsx$3 = (v$1 === (void 0))
  };
  if (jsx$3) {
    var jsx$2 = $m_s_None$()
  } else {
    var jsx$2 = new $c_s_Some().init___O(new $g.Date($as_T(json.allocatedTime)))
  };
  if ((json.startedTime === null)) {
    var jsx$1 = true
  } else {
    var v$2 = json.startedTime;
    var jsx$1 = (v$2 === (void 0))
  };
  return new $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask().init___T__T__Lsmilejs_com_metastay_valey_enums_TaskState__I__sjs_js_Date__s_Option__s_Option(jsx$9, jsx$8, jsx$6, jsx$5, jsx$4, jsx$2, (jsx$1 ? $m_s_None$() : new $c_s_Some().init___O(new $g.Date($as_T(json.startedTime)))))
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorUserDetailsTask$", {
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$;
var $n_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$ = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult = (function(json) {
  var jsx$8 = $as_T(json.userName);
  var jsx$7 = $as_T(json.teamCode);
  var jsx$6 = $as_T(json.fqFlowName);
  var jsx$5 = $as_T(json.flowName);
  var jsx$4 = $as_T(json.taskName);
  var jsx$3 = $uI(json.allocatedCount);
  var jsx$2 = $uI(json.startedCount);
  if ((json.lastActivityTime === null)) {
    var jsx$1 = true
  } else {
    var v = json.lastActivityTime;
    var jsx$1 = (v === (void 0))
  };
  return new $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult().init___T__T__T__T__T__I__I__s_Option(jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, (jsx$1 ? $m_s_None$() : new $c_s_Some().init___O(new $g.Date($as_T(json.lastActivityTime)))))
});
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorUserSearchResult$", {
  Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$;
var $n_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$ = new $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_Tag$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_Tag$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_Tag$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_Tag$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_Tag$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_Tag$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_Tag$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_Tag$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_Tag$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_Tag$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_Tag$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_Tag = (function(json) {
  var jsx$3 = $as_T(json.key);
  if ((json.valueList === null)) {
    var jsx$2 = true
  } else {
    var v = json.valueList;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array = json.valueList;
    var this$3 = $m_sci_List$();
    var cbf = this$3.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var jsx$1 = $as_sci_List(b.result__O())
  };
  return new $c_Lsmilejs_com_metastay_monitordata_data_Tag().init___T__sci_List(jsx$3, jsx$1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_Tag$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_Tag$: 0
}, false, "smilejs.com.metastay.monitordata.data.Tag$", {
  Lsmilejs_com_metastay_monitordata_data_Tag$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_Tag$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_Tag$;
var $n_Lsmilejs_com_metastay_monitordata_data_Tag$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_Tag$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_Tag$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_Tag$ = new $c_Lsmilejs_com_metastay_monitordata_data_Tag$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_Tag$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_TeamRoleList = (function(json) {
  var jsx$3 = $as_T(json.teamCode);
  if ((json.roleList === null)) {
    var jsx$2 = true
  } else {
    var v = json.roleList;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array = json.roleList;
    var this$3 = $m_sci_List$();
    var cbf = this$3.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var jsx$1 = $as_sci_List(b.result__O())
  };
  return new $c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList().init___T__sci_List(jsx$3, jsx$1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_TeamRoleList$: 0
}, false, "smilejs.com.metastay.monitordata.data.TeamRoleList$", {
  Lsmilejs_com_metastay_monitordata_data_TeamRoleList$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$;
var $n_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$ = new $c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_TeamRoleList$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_UserDetails$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails$.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_UserDetails$;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_UserDetails$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_UserDetails$.prototype = $c_Lsmilejs_com_metastay_monitordata_data_UserDetails$.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_monitordata_data_UserDetails$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_monitordata_data_UserDetails$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_monitordata_data_UserDetails = (function(json) {
  var jsx$13 = $as_T(json.userName);
  var jsx$12 = $as_T(json.projectName);
  if ((json.appRoleList === null)) {
    var jsx$10 = true
  } else {
    var v = json.appRoleList;
    var jsx$10 = (v === (void 0))
  };
  if (jsx$10) {
    var jsx$9 = $m_sci_Nil$()
  } else {
    var array = json.appRoleList;
    var this$3 = $m_sci_List$();
    var cbf = this$3.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var this$5 = $as_sci_List(b.result__O());
    var f = (function(x$2) {
      return $m_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser(x$2)
    });
    var this$4 = $m_sci_List$();
    var bf = this$4.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$5 === $m_sci_Nil$())) {
        var jsx$11 = $m_sci_Nil$()
      } else {
        var arg1 = this$5.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = this$5.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$6 = rest;
          rest = this$6.tail__sci_List()
        };
        var jsx$11 = h
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf);
      var these = this$5;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b$1.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$7 = these;
        these = this$7.tail__sci_List()
      };
      var jsx$11 = b$1.result__O()
    };
    var jsx$9 = $as_sci_List(jsx$11)
  };
  if ((json.teamRoleList === null)) {
    var jsx$7 = true
  } else {
    var v$1 = json.teamRoleList;
    var jsx$7 = (v$1 === (void 0))
  };
  if (jsx$7) {
    var jsx$6 = $m_sci_Nil$()
  } else {
    var array$1 = json.teamRoleList;
    var this$10 = $m_sci_List$();
    var cbf$1 = this$10.ReusableCBFInstance$2;
    var b$2 = cbf$1.apply__scm_Builder();
    b$2.sizeHint__I__V($uI(array$1.length));
    b$2.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array$1));
    var this$12 = $as_sci_List(b$2.result__O());
    var f$1 = (function(x$2$1) {
      return $m_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser(x$2$1)
    });
    var this$11 = $m_sci_List$();
    var bf$1 = this$11.ReusableCBFInstance$2;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$12 === $m_sci_Nil$())) {
        var jsx$8 = $m_sci_Nil$()
      } else {
        var arg1$3 = this$12.head__O();
        var h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        var t$1 = h$1;
        var rest$1 = this$12.tail__sci_List();
        while ((rest$1 !== $m_sci_Nil$())) {
          var arg1$4 = rest$1.head__O();
          var nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          var this$13 = rest$1;
          rest$1 = this$13.tail__sci_List()
        };
        var jsx$8 = h$1
      }
    } else {
      var b$3 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$12, bf$1);
      var these$1 = this$12;
      while ((!these$1.isEmpty__Z())) {
        var arg1$5 = these$1.head__O();
        b$3.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        var this$14 = these$1;
        these$1 = this$14.tail__sci_List()
      };
      var jsx$8 = b$3.result__O()
    };
    var jsx$6 = $as_sci_List(jsx$8)
  };
  if ((json.teamAdminList === null)) {
    var jsx$5 = true
  } else {
    var v$2 = json.teamAdminList;
    var jsx$5 = (v$2 === (void 0))
  };
  if (jsx$5) {
    var jsx$4 = $m_sci_Nil$()
  } else {
    var array$2 = json.teamAdminList;
    var this$17 = $m_sci_List$();
    var cbf$2 = this$17.ReusableCBFInstance$2;
    var b$4 = cbf$2.apply__scm_Builder();
    b$4.sizeHint__I__V($uI(array$2.length));
    b$4.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array$2));
    var jsx$4 = $as_sci_List(b$4.result__O())
  };
  if ((json.teamTaskAdminList === null)) {
    var jsx$2 = true
  } else {
    var v$3 = json.teamTaskAdminList;
    var jsx$2 = (v$3 === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array$3 = json.teamTaskAdminList;
    var this$20 = $m_sci_List$();
    var cbf$3 = this$20.ReusableCBFInstance$2;
    var b$5 = cbf$3.apply__scm_Builder();
    b$5.sizeHint__I__V($uI(array$3.length));
    b$5.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array$3));
    var this$22 = $as_sci_List(b$5.result__O());
    var f$2 = (function(x$2$2) {
      return $m_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair(x$2$2)
    });
    var this$21 = $m_sci_List$();
    var bf$2 = this$21.ReusableCBFInstance$2;
    if ((bf$2 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$22 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1$6 = this$22.head__O();
        var h$2 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$6), $m_sci_Nil$());
        var t$2 = h$2;
        var rest$2 = this$22.tail__sci_List();
        while ((rest$2 !== $m_sci_Nil$())) {
          var arg1$7 = rest$2.head__O();
          var nx$2 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$7), $m_sci_Nil$());
          t$2.tl$5 = nx$2;
          t$2 = nx$2;
          var this$23 = rest$2;
          rest$2 = this$23.tail__sci_List()
        };
        var jsx$3 = h$2
      }
    } else {
      var b$6 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$22, bf$2);
      var these$2 = this$22;
      while ((!these$2.isEmpty__Z())) {
        var arg1$8 = these$2.head__O();
        b$6.$$plus$eq__O__scm_Builder(f$2(arg1$8));
        var this$24 = these$2;
        these$2 = this$24.tail__sci_List()
      };
      var jsx$3 = b$6.result__O()
    };
    var jsx$1 = $as_sci_List(jsx$3)
  };
  return new $c_Lsmilejs_com_metastay_monitordata_data_UserDetails().init___T__T__sci_List__sci_List__sci_List__sci_List(jsx$13, jsx$12, jsx$9, jsx$6, jsx$4, jsx$1)
});
var $d_Lsmilejs_com_metastay_monitordata_data_UserDetails$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_UserDetails$: 0
}, false, "smilejs.com.metastay.monitordata.data.UserDetails$", {
  Lsmilejs_com_metastay_monitordata_data_UserDetails$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails$.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_UserDetails$;
var $n_Lsmilejs_com_metastay_monitordata_data_UserDetails$ = (void 0);
function $m_Lsmilejs_com_metastay_monitordata_data_UserDetails$() {
  if ((!$n_Lsmilejs_com_metastay_monitordata_data_UserDetails$)) {
    $n_Lsmilejs_com_metastay_monitordata_data_UserDetails$ = new $c_Lsmilejs_com_metastay_monitordata_data_UserDetails$().init___()
  };
  return $n_Lsmilejs_com_metastay_monitordata_data_UserDetails$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_prism_enums_CommentLevel$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null;
  this.list$1 = null
}
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$.prototype.constructor = $c_Lsmilejs_com_metastay_prism_enums_CommentLevel$;
/** @constructor */
function $h_Lsmilejs_com_metastay_prism_enums_CommentLevel$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_prism_enums_CommentLevel$.prototype = $c_Lsmilejs_com_metastay_prism_enums_CommentLevel$.prototype;
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_prism_enums_CommentLevel$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_prism_enums_CommentLevel$$anon$2().init___();
  $m_sci_List$();
  var xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$(), $m_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$()]);
  var this$2 = $m_sci_List$();
  var cbf = this$2.ReusableCBFInstance$2;
  this.list$1 = $as_sci_List($s_sc_TraversableLike$class__to__sc_TraversableLike__scg_CanBuildFrom__O(xs, cbf));
  return this
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$.prototype.withId__T__Lsmilejs_com_metastay_prism_enums_CommentLevel = (function(id) {
  var requirement = (id !== null);
  if ((!requirement)) {
    throw new $c_jl_IllegalArgumentException().init___T("requirement failed: id cannot be passed as null")
  };
  if ((id === "Flow")) {
    return $m_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$()
  } else if ((id === "Task")) {
    return $m_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$()
  } else {
    throw new $c_jl_IllegalArgumentException().init___T(("Invalid id for smilejs.com.metastay.prism.enums.CommentLevel : " + id))
  }
});
var $d_Lsmilejs_com_metastay_prism_enums_CommentLevel$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_prism_enums_CommentLevel$: 0
}, false, "smilejs.com.metastay.prism.enums.CommentLevel$", {
  Lsmilejs_com_metastay_prism_enums_CommentLevel$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$.prototype.$classData = $d_Lsmilejs_com_metastay_prism_enums_CommentLevel$;
var $n_Lsmilejs_com_metastay_prism_enums_CommentLevel$ = (void 0);
function $m_Lsmilejs_com_metastay_prism_enums_CommentLevel$() {
  if ((!$n_Lsmilejs_com_metastay_prism_enums_CommentLevel$)) {
    $n_Lsmilejs_com_metastay_prism_enums_CommentLevel$ = new $c_Lsmilejs_com_metastay_prism_enums_CommentLevel$().init___()
  };
  return $n_Lsmilejs_com_metastay_prism_enums_CommentLevel$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$.prototype.constructor = $c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$;
/** @constructor */
function $h_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$.prototype = $c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$.prototype;
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult = (function(json) {
  var jsx$7 = $as_T(json.flowId);
  var jsx$6 = $as_T(json.displayId);
  var jsx$5 = $as_T(json.cid);
  var jsx$4 = $as_T(json.flowName);
  var jsx$3 = $as_T(json.flowState);
  var jsx$2 = new $g.Date($as_T(json.createdTime));
  if ((json.endTime === null)) {
    var jsx$1 = true
  } else {
    var v = json.endTime;
    var jsx$1 = (v === (void 0))
  };
  return new $c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult().init___T__T__T__T__T__sjs_js_Date__s_Option__T(jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, (jsx$1 ? $m_s_None$() : new $c_s_Some().init___O(new $g.Date($as_T(json.endTime)))), $as_T(json.documentData))
});
var $d_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$: 0
}, false, "smilejs.com.metastay.reportdata.data.ReportFlowSearchResult$", {
  Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$.prototype.$classData = $d_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$;
var $n_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$ = (void 0);
function $m_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$() {
  if ((!$n_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$)) {
    $n_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$ = new $c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$().init___()
  };
  return $n_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$.prototype.constructor = $c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$;
/** @constructor */
function $h_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$.prototype = $c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$.prototype;
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult = (function(json) {
  var jsx$11 = $as_T(json.flowId);
  var jsx$10 = $as_T(json.displayId);
  var jsx$9 = $as_T(json.cid);
  var jsx$8 = $as_T(json.flowName);
  var jsx$7 = $as_T(json.flowState);
  var jsx$6 = $as_T(json.taskName);
  var jsx$5 = $as_T(json.taskState);
  var jsx$4 = new $g.Date($as_T(json.readyTime));
  if ((json.allocatedTo === null)) {
    var jsx$3 = true
  } else {
    var v = json.allocatedTo;
    var jsx$3 = (v === (void 0))
  };
  if (jsx$3) {
    var jsx$2 = $m_s_None$()
  } else {
    var value = json.allocatedTo;
    var jsx$2 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  if ((json.endTime === null)) {
    var jsx$1 = true
  } else {
    var v$1 = json.endTime;
    var jsx$1 = (v$1 === (void 0))
  };
  return new $c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult().init___T__T__T__T__T__T__T__sjs_js_Date__s_Option__s_Option__T(jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$2, (jsx$1 ? $m_s_None$() : new $c_s_Some().init___O(new $g.Date($as_T(json.endTime)))), $as_T(json.taskInput))
});
var $d_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$: 0
}, false, "smilejs.com.metastay.reportdata.data.ReportTaskSearchResult$", {
  Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$.prototype.$classData = $d_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$;
var $n_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$ = (void 0);
function $m_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$() {
  if ((!$n_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$)) {
    $n_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$ = new $c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$().init___()
  };
  return $n_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$.prototype.constructor = $c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$;
/** @constructor */
function $h_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$.prototype = $c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$.prototype;
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult = (function(json) {
  var jsx$8 = $as_T(json.flowId);
  var jsx$7 = $as_T(json.displayId);
  var jsx$6 = $as_T(json.cid);
  var jsx$5 = $as_T(json.flowName);
  var jsx$4 = $as_T(json.flowState);
  var jsx$3 = $as_T(json.taskName);
  var jsx$2 = new $g.Date($as_T(json.readyTime));
  if ((json.endTime === null)) {
    var jsx$1 = true
  } else {
    var v = json.endTime;
    var jsx$1 = (v === (void 0))
  };
  return new $c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult().init___T__T__T__T__T__T__sjs_js_Date__s_Option__T(jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, (jsx$1 ? $m_s_None$() : new $c_s_Some().init___O(new $g.Date($as_T(json.endTime)))), $as_T(json.taskInput))
});
var $d_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$: 0
}, false, "smilejs.com.metastay.reportdata.data.ReportUserSearchResult$", {
  Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$.prototype.$classData = $d_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$;
var $n_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$ = (void 0);
function $m_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$() {
  if ((!$n_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$)) {
    $n_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$ = new $c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$().init___()
  };
  return $n_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$.prototype.constructor = $c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$;
/** @constructor */
function $h_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$.prototype = $c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$.prototype;
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser = (function(json) {
  return new $c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser().init___T__T($as_T(json.appId), $as_T(json.role))
});
var $d_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$: 0
}, false, "smilejs.com.metastay.resourcecdata.data.AppRoleForUser$", {
  Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$.prototype.$classData = $d_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$;
var $n_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$ = (void 0);
function $m_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$() {
  if ((!$n_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$)) {
    $n_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$ = new $c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$().init___()
  };
  return $n_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$.prototype.constructor = $c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$;
/** @constructor */
function $h_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$.prototype = $c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$.prototype;
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser = (function(json) {
  return new $c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser().init___T__T($as_T(json.teamCode), $as_T(json.role))
});
var $d_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$: 0
}, false, "smilejs.com.metastay.resourcecdata.data.TeamRoleForUser$", {
  Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$.prototype.$classData = $d_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$;
var $n_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$ = (void 0);
function $m_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$() {
  if ((!$n_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$)) {
    $n_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$ = new $c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$().init___()
  };
  return $n_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$.prototype.constructor = $c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$;
/** @constructor */
function $h_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$.prototype = $c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$.prototype;
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair = (function(json) {
  return new $c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair().init___T__T__T($as_T(json.teamCode), $as_T(json.fqTaskName), $as_T(json.taskName))
});
var $d_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$: 0
}, false, "smilejs.com.metastay.resourcecdata.data.TeamTaskPair$", {
  Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$.prototype.$classData = $d_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$;
var $n_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$ = (void 0);
function $m_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$() {
  if ((!$n_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$)) {
    $n_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$ = new $c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$().init___()
  };
  return $n_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_FlowState$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null;
  this.list$1 = null
}
$c_Lsmilejs_com_metastay_valey_enums_FlowState$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_valey_enums_FlowState$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_FlowState$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_FlowState$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_FlowState$.prototype = $c_Lsmilejs_com_metastay_valey_enums_FlowState$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_FlowState$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_valey_enums_FlowState$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_valey_enums_FlowState$$anon$2().init___();
  $m_sci_List$();
  var xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$(), $m_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$(), $m_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$(), $m_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$(), $m_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$(), $m_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$(), $m_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$(), $m_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$(), $m_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$()]);
  var this$2 = $m_sci_List$();
  var cbf = this$2.ReusableCBFInstance$2;
  this.list$1 = $as_sci_List($s_sc_TraversableLike$class__to__sc_TraversableLike__scg_CanBuildFrom__O(xs, cbf));
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$.prototype.withId__T__Lsmilejs_com_metastay_valey_enums_FlowState = (function(id) {
  var requirement = (id !== null);
  if ((!requirement)) {
    throw new $c_jl_IllegalArgumentException().init___T("requirement failed: id cannot be passed as null")
  };
  if ((id === "STALLED")) {
    return $m_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$()
  } else if ((id === "CREATED")) {
    return $m_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$()
  } else if ((id === "EXCEPTION_Q")) {
    return $m_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$()
  } else if ((id === "EXIT_Q")) {
    return $m_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$()
  } else if ((id === "PENDING_CANCELLED")) {
    return $m_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$()
  } else if ((id === "COMPLETED")) {
    return $m_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$()
  } else if ((id === "FORCE_COMPLETED")) {
    return $m_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$()
  } else if ((id === "CANCELLED")) {
    return $m_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$()
  } else if ((id === "RESET")) {
    return $m_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$()
  } else {
    throw new $c_jl_IllegalArgumentException().init___T(("Invalid id for smilejs.com.metastay.valey.enums.FlowState : " + id))
  }
});
var $d_Lsmilejs_com_metastay_valey_enums_FlowState$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_FlowState$: 0
}, false, "smilejs.com.metastay.valey.enums.FlowState$", {
  Lsmilejs_com_metastay_valey_enums_FlowState$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_FlowState$;
var $n_Lsmilejs_com_metastay_valey_enums_FlowState$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_FlowState$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_FlowState$)) {
    $n_Lsmilejs_com_metastay_valey_enums_FlowState$ = new $c_Lsmilejs_com_metastay_valey_enums_FlowState$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_FlowState$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_TaskState$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null;
  this.list$1 = null
}
$c_Lsmilejs_com_metastay_valey_enums_TaskState$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_valey_enums_TaskState$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_TaskState$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_TaskState$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_TaskState$.prototype = $c_Lsmilejs_com_metastay_valey_enums_TaskState$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_TaskState$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_valey_enums_TaskState$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_valey_enums_TaskState$$anon$2().init___();
  $m_sci_List$();
  var xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$(), $m_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$(), $m_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$(), $m_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$(), $m_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$(), $m_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$(), $m_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$(), $m_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$(), $m_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$(), $m_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$(), $m_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$(), $m_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$(), $m_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$(), $m_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$(), $m_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$()]);
  var this$2 = $m_sci_List$();
  var cbf = this$2.ReusableCBFInstance$2;
  this.list$1 = $as_sci_List($s_sc_TraversableLike$class__to__sc_TraversableLike__scg_CanBuildFrom__O(xs, cbf));
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$.prototype.withId__T__Lsmilejs_com_metastay_valey_enums_TaskState = (function(id) {
  var requirement = (id !== null);
  if ((!requirement)) {
    throw new $c_jl_IllegalArgumentException().init___T("requirement failed: id cannot be passed as null")
  };
  if ((id === "STALLED")) {
    return $m_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$()
  } else if ((id === "CREATED")) {
    return $m_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$()
  } else if ((id === "TO_BE_ALLOCATED")) {
    return $m_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$()
  } else if ((id === "TO_BE_PULLED")) {
    return $m_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$()
  } else if ((id === "RESOURCE_UNAVAILABLE")) {
    return $m_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$()
  } else if ((id === "ALLOCATED")) {
    return $m_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$()
  } else if ((id === "STARTED")) {
    return $m_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$()
  } else if ((id === "PARTIALLY_COMPLETED")) {
    return $m_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$()
  } else if ((id === "EXCEPTION_Q")) {
    return $m_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$()
  } else if ((id === "EXIT_Q")) {
    return $m_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$()
  } else if ((id === "PENDING_CANCELLED")) {
    return $m_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$()
  } else if ((id === "COMPLETED")) {
    return $m_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$()
  } else if ((id === "FORCE_COMPLETED")) {
    return $m_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$()
  } else if ((id === "CANCELLED")) {
    return $m_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$()
  } else if ((id === "RESET")) {
    return $m_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$()
  } else {
    throw new $c_jl_IllegalArgumentException().init___T(("Invalid id for smilejs.com.metastay.valey.enums.TaskState : " + id))
  }
});
var $d_Lsmilejs_com_metastay_valey_enums_TaskState$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_TaskState$: 0
}, false, "smilejs.com.metastay.valey.enums.TaskState$", {
  Lsmilejs_com_metastay_valey_enums_TaskState$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_TaskState$;
var $n_Lsmilejs_com_metastay_valey_enums_TaskState$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_TaskState$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_TaskState$)) {
    $n_Lsmilejs_com_metastay_valey_enums_TaskState$ = new $c_Lsmilejs_com_metastay_valey_enums_TaskState$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_TaskState$
}
var $d_jl_Boolean = new $TypeData().initClass({
  jl_Boolean: 0
}, false, "java.lang.Boolean", {
  jl_Boolean: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return ((typeof x) === "boolean")
}));
/** @constructor */
function $c_jl_Character() {
  $c_O.call(this);
  this.value$1 = 0
}
$c_jl_Character.prototype = new $h_O();
$c_jl_Character.prototype.constructor = $c_jl_Character;
/** @constructor */
function $h_jl_Character() {
  /*<skip>*/
}
$h_jl_Character.prototype = $c_jl_Character.prototype;
$c_jl_Character.prototype.equals__O__Z = (function(that) {
  if ($is_jl_Character(that)) {
    var jsx$1 = this.value$1;
    var this$1 = $as_jl_Character(that);
    return (jsx$1 === this$1.value$1)
  } else {
    return false
  }
});
$c_jl_Character.prototype.toString__T = (function() {
  var c = this.value$1;
  return $as_T($g.String.fromCharCode(c))
});
$c_jl_Character.prototype.init___C = (function(value) {
  this.value$1 = value;
  return this
});
$c_jl_Character.prototype.hashCode__I = (function() {
  return this.value$1
});
function $is_jl_Character(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Character)))
}
function $as_jl_Character(obj) {
  return (($is_jl_Character(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.Character"))
}
function $isArrayOf_jl_Character(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Character)))
}
function $asArrayOf_jl_Character(obj, depth) {
  return (($isArrayOf_jl_Character(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.Character;", depth))
}
var $d_jl_Character = new $TypeData().initClass({
  jl_Character: 0
}, false, "java.lang.Character", {
  jl_Character: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
});
$c_jl_Character.prototype.$classData = $d_jl_Character;
/** @constructor */
function $c_jl_Character$() {
  $c_O.call(this);
  this.TYPE$1 = null;
  this.MIN$undVALUE$1 = 0;
  this.MAX$undVALUE$1 = 0;
  this.SIZE$1 = 0;
  this.BYTES$1 = 0;
  this.MIN$undRADIX$1 = 0;
  this.MAX$undRADIX$1 = 0;
  this.MIN$undHIGH$undSURROGATE$1 = 0;
  this.MAX$undHIGH$undSURROGATE$1 = 0;
  this.MIN$undLOW$undSURROGATE$1 = 0;
  this.MAX$undLOW$undSURROGATE$1 = 0;
  this.MIN$undSURROGATE$1 = 0;
  this.MAX$undSURROGATE$1 = 0;
  this.MIN$undCODE$undPOINT$1 = 0;
  this.MAX$undCODE$undPOINT$1 = 0;
  this.MIN$undSUPPLEMENTARY$undCODE$undPOINT$1 = 0;
  this.HighSurrogateMask$1 = 0;
  this.HighSurrogateID$1 = 0;
  this.LowSurrogateMask$1 = 0;
  this.LowSurrogateID$1 = 0;
  this.SurrogateUsefulPartMask$1 = 0;
  this.java$lang$Character$$charTypesFirst256$1 = null;
  this.charTypeIndices$1 = null;
  this.charTypes$1 = null;
  this.isMirroredIndices$1 = null;
  this.bitmap$0$1 = 0
}
$c_jl_Character$.prototype = new $h_O();
$c_jl_Character$.prototype.constructor = $c_jl_Character$;
/** @constructor */
function $h_jl_Character$() {
  /*<skip>*/
}
$h_jl_Character$.prototype = $c_jl_Character$.prototype;
$c_jl_Character$.prototype.init___ = (function() {
  return this
});
$c_jl_Character$.prototype.digit__C__I__I = (function(c, radix) {
  return (((radix > 36) || (radix < 2)) ? (-1) : ((((c >= 48) && (c <= 57)) && ((((-48) + c) | 0) < radix)) ? (((-48) + c) | 0) : ((((c >= 65) && (c <= 90)) && ((((-65) + c) | 0) < (((-10) + radix) | 0))) ? (((-55) + c) | 0) : ((((c >= 97) && (c <= 122)) && ((((-97) + c) | 0) < (((-10) + radix) | 0))) ? (((-87) + c) | 0) : ((((c >= 65313) && (c <= 65338)) && ((((-65313) + c) | 0) < (((-10) + radix) | 0))) ? (((-65303) + c) | 0) : ((((c >= 65345) && (c <= 65370)) && ((((-65345) + c) | 0) < (((-10) + radix) | 0))) ? (((-65303) + c) | 0) : (-1)))))))
});
var $d_jl_Character$ = new $TypeData().initClass({
  jl_Character$: 0
}, false, "java.lang.Character$", {
  jl_Character$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_jl_Character$.prototype.$classData = $d_jl_Character$;
var $n_jl_Character$ = (void 0);
function $m_jl_Character$() {
  if ((!$n_jl_Character$)) {
    $n_jl_Character$ = new $c_jl_Character$().init___()
  };
  return $n_jl_Character$
}
/** @constructor */
function $c_jl_Double$() {
  $c_O.call(this);
  this.TYPE$1 = null;
  this.POSITIVE$undINFINITY$1 = 0.0;
  this.NEGATIVE$undINFINITY$1 = 0.0;
  this.NaN$1 = 0.0;
  this.MAX$undVALUE$1 = 0.0;
  this.MIN$undNORMAL$1 = 0.0;
  this.MIN$undVALUE$1 = 0.0;
  this.MAX$undEXPONENT$1 = 0;
  this.MIN$undEXPONENT$1 = 0;
  this.SIZE$1 = 0;
  this.BYTES$1 = 0;
  this.doubleStrPat$1 = null;
  this.bitmap$0$1 = false
}
$c_jl_Double$.prototype = new $h_O();
$c_jl_Double$.prototype.constructor = $c_jl_Double$;
/** @constructor */
function $h_jl_Double$() {
  /*<skip>*/
}
$h_jl_Double$.prototype = $c_jl_Double$.prototype;
$c_jl_Double$.prototype.init___ = (function() {
  return this
});
$c_jl_Double$.prototype.compare__D__D__I = (function(a, b) {
  if ((a !== a)) {
    return ((b !== b) ? 0 : 1)
  } else if ((b !== b)) {
    return (-1)
  } else if ((a === b)) {
    if ((a === 0.0)) {
      var ainf = (1.0 / a);
      return ((ainf === (1.0 / b)) ? 0 : ((ainf < 0) ? (-1) : 1))
    } else {
      return 0
    }
  } else {
    return ((a < b) ? (-1) : 1)
  }
});
var $d_jl_Double$ = new $TypeData().initClass({
  jl_Double$: 0
}, false, "java.lang.Double$", {
  jl_Double$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_jl_Double$.prototype.$classData = $d_jl_Double$;
var $n_jl_Double$ = (void 0);
function $m_jl_Double$() {
  if ((!$n_jl_Double$)) {
    $n_jl_Double$ = new $c_jl_Double$().init___()
  };
  return $n_jl_Double$
}
/** @constructor */
function $c_jl_Error() {
  $c_jl_Throwable.call(this)
}
$c_jl_Error.prototype = new $h_jl_Throwable();
$c_jl_Error.prototype.constructor = $c_jl_Error;
/** @constructor */
function $h_jl_Error() {
  /*<skip>*/
}
$h_jl_Error.prototype = $c_jl_Error.prototype;
function $is_jl_Error(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Error)))
}
function $as_jl_Error(obj) {
  return (($is_jl_Error(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.Error"))
}
function $isArrayOf_jl_Error(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Error)))
}
function $asArrayOf_jl_Error(obj, depth) {
  return (($isArrayOf_jl_Error(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.Error;", depth))
}
/** @constructor */
function $c_jl_Exception() {
  $c_jl_Throwable.call(this)
}
$c_jl_Exception.prototype = new $h_jl_Throwable();
$c_jl_Exception.prototype.constructor = $c_jl_Exception;
/** @constructor */
function $h_jl_Exception() {
  /*<skip>*/
}
$h_jl_Exception.prototype = $c_jl_Exception.prototype;
/** @constructor */
function $c_jl_Integer$() {
  $c_O.call(this);
  this.TYPE$1 = null;
  this.MIN$undVALUE$1 = 0;
  this.MAX$undVALUE$1 = 0;
  this.SIZE$1 = 0;
  this.BYTES$1 = 0
}
$c_jl_Integer$.prototype = new $h_O();
$c_jl_Integer$.prototype.constructor = $c_jl_Integer$;
/** @constructor */
function $h_jl_Integer$() {
  /*<skip>*/
}
$h_jl_Integer$.prototype = $c_jl_Integer$.prototype;
$c_jl_Integer$.prototype.init___ = (function() {
  return this
});
$c_jl_Integer$.prototype.fail$1__p1__T__sr_Nothing$ = (function(s$1) {
  throw new $c_jl_NumberFormatException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["For input string: \"", "\""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([s$1])))
});
$c_jl_Integer$.prototype.parseInt__T__I__I = (function(s, radix) {
  if ((s === null)) {
    var jsx$1 = true
  } else {
    var this$2 = new $c_sci_StringOps().init___T(s);
    var $$this = this$2.repr$1;
    var jsx$1 = ($uI($$this.length) === 0)
  };
  if (((jsx$1 || (radix < 2)) || (radix > 36))) {
    this.fail$1__p1__T__sr_Nothing$(s)
  } else {
    var i = ((((65535 & $uI(s.charCodeAt(0))) === 45) || ((65535 & $uI(s.charCodeAt(0))) === 43)) ? 1 : 0);
    var this$12 = new $c_sci_StringOps().init___T(s);
    var $$this$1 = this$12.repr$1;
    if (($uI($$this$1.length) <= i)) {
      this.fail$1__p1__T__sr_Nothing$(s)
    } else {
      while (true) {
        var jsx$2 = i;
        var this$16 = new $c_sci_StringOps().init___T(s);
        var $$this$2 = this$16.repr$1;
        if ((jsx$2 < $uI($$this$2.length))) {
          var jsx$3 = $m_jl_Character$();
          var index = i;
          if ((jsx$3.digit__C__I__I((65535 & $uI(s.charCodeAt(index))), radix) < 0)) {
            this.fail$1__p1__T__sr_Nothing$(s)
          };
          i = ((1 + i) | 0)
        } else {
          break
        }
      };
      var res = $uD($g.parseInt(s, radix));
      return (((res !== res) || ((res > 2147483647) || (res < (-2147483648)))) ? this.fail$1__p1__T__sr_Nothing$(s) : $doubleToInt(res))
    }
  }
});
$c_jl_Integer$.prototype.bitCount__I__I = (function(i) {
  var t1 = ((i - (1431655765 & (i >> 1))) | 0);
  var t2 = (((858993459 & t1) + (858993459 & (t1 >> 2))) | 0);
  return ($imul(16843009, (252645135 & ((t2 + (t2 >> 4)) | 0))) >> 24)
});
$c_jl_Integer$.prototype.reverseBytes__I__I = (function(i) {
  var byte3 = ((i >>> 24) | 0);
  var byte2 = (65280 & ((i >>> 8) | 0));
  var byte1 = (16711680 & (i << 8));
  var byte0 = (i << 24);
  return (((byte0 | byte1) | byte2) | byte3)
});
var $d_jl_Integer$ = new $TypeData().initClass({
  jl_Integer$: 0
}, false, "java.lang.Integer$", {
  jl_Integer$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_jl_Integer$.prototype.$classData = $d_jl_Integer$;
var $n_jl_Integer$ = (void 0);
function $m_jl_Integer$() {
  if ((!$n_jl_Integer$)) {
    $n_jl_Integer$ = new $c_jl_Integer$().init___()
  };
  return $n_jl_Integer$
}
/** @constructor */
function $c_ju_concurrent_atomic_AtomicReference() {
  $c_O.call(this);
  this.value$1 = null
}
$c_ju_concurrent_atomic_AtomicReference.prototype = new $h_O();
$c_ju_concurrent_atomic_AtomicReference.prototype.constructor = $c_ju_concurrent_atomic_AtomicReference;
/** @constructor */
function $h_ju_concurrent_atomic_AtomicReference() {
  /*<skip>*/
}
$h_ju_concurrent_atomic_AtomicReference.prototype = $c_ju_concurrent_atomic_AtomicReference.prototype;
$c_ju_concurrent_atomic_AtomicReference.prototype.compareAndSet__O__O__Z = (function(expect, update) {
  if ((expect === this.value$1)) {
    this.value$1 = update;
    return true
  } else {
    return false
  }
});
$c_ju_concurrent_atomic_AtomicReference.prototype.init___O = (function(value) {
  this.value$1 = value;
  return this
});
/** @constructor */
function $c_ju_regex_Pattern() {
  $c_O.call(this);
  this.jsRegExp$1 = null;
  this.$$undpattern$1 = null;
  this.$$undflags$1 = 0
}
$c_ju_regex_Pattern.prototype = new $h_O();
$c_ju_regex_Pattern.prototype.constructor = $c_ju_regex_Pattern;
/** @constructor */
function $h_ju_regex_Pattern() {
  /*<skip>*/
}
$h_ju_regex_Pattern.prototype = $c_ju_regex_Pattern.prototype;
$c_ju_regex_Pattern.prototype.init___sjs_js_RegExp__T__I = (function(jsRegExp, _pattern, _flags) {
  this.jsRegExp$1 = jsRegExp;
  this.$$undpattern$1 = _pattern;
  this.$$undflags$1 = _flags;
  return this
});
$c_ju_regex_Pattern.prototype.toString__T = (function() {
  return this.$$undpattern$1
});
$c_ju_regex_Pattern.prototype.split__jl_CharSequence__I__AT = (function(input, limit) {
  var inputStr = $objectToString(input);
  if ((inputStr === "")) {
    var xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([""]);
    var len = $uI(xs.array$6.length);
    var array = $newArrayObject($d_T.getArrayOf(), [len]);
    var elem$1 = 0;
    elem$1 = 0;
    var this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, $uI(xs.array$6.length));
    while (this$4.hasNext__Z()) {
      var arg1 = this$4.next__O();
      array.set(elem$1, arg1);
      elem$1 = ((1 + elem$1) | 0)
    };
    return array
  } else {
    var lim = ((limit > 0) ? limit : 2147483647);
    var matcher = new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this, inputStr, 0, $uI(inputStr.length));
    var elems$2 = null;
    elems$2 = [];
    var prevEnd = 0;
    var size = 0;
    while (((size < (((-1) + lim) | 0)) && matcher.find__Z())) {
      if ((matcher.end__I() !== 0)) {
        var beginIndex = prevEnd;
        var endIndex = matcher.start__I();
        var elem = $as_T(inputStr.substring(beginIndex, endIndex));
        var unboxedElem = ((elem === null) ? null : elem);
        elems$2.push(unboxedElem);
        size = ((1 + size) | 0)
      };
      prevEnd = matcher.end__I()
    };
    var beginIndex$1 = prevEnd;
    var elem$2 = $as_T(inputStr.substring(beginIndex$1));
    var unboxedElem$1 = ((elem$2 === null) ? null : elem$2);
    elems$2.push(unboxedElem$1);
    var result = $makeNativeArrayWrapper($d_T.getArrayOf(), elems$2);
    if ((limit !== 0)) {
      return result
    } else {
      var actualLength = result.u.length;
      while (((actualLength !== 0) && (result.get((((-1) + actualLength) | 0)) === ""))) {
        actualLength = (((-1) + actualLength) | 0)
      };
      if ((actualLength === result.u.length)) {
        return result
      } else {
        var actualResult = $newArrayObject($d_T.getArrayOf(), [actualLength]);
        $systemArraycopy(result, 0, actualResult, 0, actualLength);
        return actualResult
      }
    }
  }
});
$c_ju_regex_Pattern.prototype.newJSRegExp__sjs_js_RegExp = (function() {
  var r = new $g.RegExp(this.jsRegExp$1);
  if ((r !== this.jsRegExp$1)) {
    return r
  } else {
    var jsFlags = ((($uZ(this.jsRegExp$1.global) ? "g" : "") + ($uZ(this.jsRegExp$1.ignoreCase) ? "i" : "")) + ($uZ(this.jsRegExp$1.multiline) ? "m" : ""));
    return new $g.RegExp($as_T(this.jsRegExp$1.source), jsFlags)
  }
});
var $d_ju_regex_Pattern = new $TypeData().initClass({
  ju_regex_Pattern: 0
}, false, "java.util.regex.Pattern", {
  ju_regex_Pattern: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_regex_Pattern.prototype.$classData = $d_ju_regex_Pattern;
/** @constructor */
function $c_ju_regex_Pattern$() {
  $c_O.call(this);
  this.UNIX$undLINES$1 = 0;
  this.CASE$undINSENSITIVE$1 = 0;
  this.COMMENTS$1 = 0;
  this.MULTILINE$1 = 0;
  this.LITERAL$1 = 0;
  this.DOTALL$1 = 0;
  this.UNICODE$undCASE$1 = 0;
  this.CANON$undEQ$1 = 0;
  this.UNICODE$undCHARACTER$undCLASS$1 = 0;
  this.java$util$regex$Pattern$$splitHackPat$1 = null;
  this.java$util$regex$Pattern$$flagHackPat$1 = null
}
$c_ju_regex_Pattern$.prototype = new $h_O();
$c_ju_regex_Pattern$.prototype.constructor = $c_ju_regex_Pattern$;
/** @constructor */
function $h_ju_regex_Pattern$() {
  /*<skip>*/
}
$h_ju_regex_Pattern$.prototype = $c_ju_regex_Pattern$.prototype;
$c_ju_regex_Pattern$.prototype.init___ = (function() {
  $n_ju_regex_Pattern$ = this;
  this.java$util$regex$Pattern$$splitHackPat$1 = new $g.RegExp("^\\\\Q(.|\\n|\\r)\\\\E$");
  this.java$util$regex$Pattern$$flagHackPat$1 = new $g.RegExp("^\\(\\?([idmsuxU]*)(?:-([idmsuxU]*))?\\)");
  return this
});
$c_ju_regex_Pattern$.prototype.compile__T__I__ju_regex_Pattern = (function(regex, flags) {
  if (((16 & flags) !== 0)) {
    var x1 = new $c_T2().init___O__O(this.quote__T__T(regex), flags)
  } else {
    var m = this.java$util$regex$Pattern$$splitHackPat$1.exec(regex);
    if ((m !== null)) {
      var value = m[1];
      if ((value === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var this$4 = new $c_s_Some().init___O(new $c_T2().init___O__O(this.quote__T__T($as_T(value)), flags))
    } else {
      var this$4 = $m_s_None$()
    };
    if (this$4.isEmpty__Z()) {
      var m$1 = this.java$util$regex$Pattern$$flagHackPat$1.exec(regex);
      if ((m$1 !== null)) {
        var value$1 = m$1[0];
        if ((value$1 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        var thiz = $as_T(value$1);
        var beginIndex = $uI(thiz.length);
        var newPat = $as_T(regex.substring(beginIndex));
        var value$2 = m$1[1];
        if ((value$2 === (void 0))) {
          var flags1 = flags
        } else {
          var chars = $as_T(value$2);
          var this$15 = new $c_sci_StringOps().init___T(chars);
          var start = 0;
          var $$this = this$15.repr$1;
          var end = $uI($$this.length);
          var z = flags;
          var jsx$1;
          _foldl: while (true) {
            if ((start !== end)) {
              var temp$start = ((1 + start) | 0);
              var arg1 = z;
              var arg2 = this$15.apply__I__O(start);
              var f = $uI(arg1);
              if ((arg2 === null)) {
                var c = 0
              } else {
                var this$19 = $as_jl_Character(arg2);
                var c = this$19.value$1
              };
              var temp$z = (f | this.java$util$regex$Pattern$$charToFlag__C__I(c));
              start = temp$start;
              z = temp$z;
              continue _foldl
            };
            var jsx$1 = z;
            break
          };
          var flags1 = $uI(jsx$1)
        };
        var value$3 = m$1[2];
        if ((value$3 === (void 0))) {
          var flags2 = flags1
        } else {
          var chars$3 = $as_T(value$3);
          var this$24 = new $c_sci_StringOps().init___T(chars$3);
          var start$1 = 0;
          var $$this$1 = this$24.repr$1;
          var end$1 = $uI($$this$1.length);
          var z$1 = flags1;
          var jsx$2;
          _foldl$1: while (true) {
            if ((start$1 !== end$1)) {
              var temp$start$1 = ((1 + start$1) | 0);
              var arg1$1 = z$1;
              var arg2$1 = this$24.apply__I__O(start$1);
              var f$1 = $uI(arg1$1);
              if ((arg2$1 === null)) {
                var c$1 = 0
              } else {
                var this$28 = $as_jl_Character(arg2$1);
                var c$1 = this$28.value$1
              };
              var temp$z$1 = (f$1 & (~this.java$util$regex$Pattern$$charToFlag__C__I(c$1)));
              start$1 = temp$start$1;
              z$1 = temp$z$1;
              continue _foldl$1
            };
            var jsx$2 = z$1;
            break
          };
          var flags2 = $uI(jsx$2)
        };
        var this$29 = new $c_s_Some().init___O(new $c_T2().init___O__O(newPat, flags2))
      } else {
        var this$29 = $m_s_None$()
      }
    } else {
      var this$29 = this$4
    };
    var x1 = $as_T2((this$29.isEmpty__Z() ? new $c_T2().init___O__O(regex, flags) : this$29.get__O()))
  };
  if ((x1 === null)) {
    throw new $c_s_MatchError().init___O(x1)
  };
  var jsPattern = $as_T(x1.$$und1$f);
  var flags1$1 = $uI(x1.$$und2$f);
  var jsFlags = (("g" + (((2 & flags1$1) !== 0) ? "i" : "")) + (((8 & flags1$1) !== 0) ? "m" : ""));
  var jsRegExp = new $g.RegExp(jsPattern, jsFlags);
  return new $c_ju_regex_Pattern().init___sjs_js_RegExp__T__I(jsRegExp, regex, flags1$1)
});
$c_ju_regex_Pattern$.prototype.quote__T__T = (function(s) {
  var result = "";
  var i = 0;
  while ((i < $uI(s.length))) {
    var index = i;
    var c = (65535 & $uI(s.charCodeAt(index)));
    var jsx$2 = result;
    switch (c) {
      case 92:
      case 46:
      case 40:
      case 41:
      case 91:
      case 93:
      case 123:
      case 125:
      case 124:
      case 63:
      case 42:
      case 43:
      case 94:
      case 36: {
        var jsx$1 = ("\\" + new $c_jl_Character().init___C(c));
        break
      }
      default: {
        var jsx$1 = new $c_jl_Character().init___C(c)
      }
    };
    result = (("" + jsx$2) + jsx$1);
    i = ((1 + i) | 0)
  };
  return result
});
$c_ju_regex_Pattern$.prototype.java$util$regex$Pattern$$charToFlag__C__I = (function(c) {
  switch (c) {
    case 105: {
      return 2;
      break
    }
    case 100: {
      return 1;
      break
    }
    case 109: {
      return 8;
      break
    }
    case 115: {
      return 32;
      break
    }
    case 117: {
      return 64;
      break
    }
    case 120: {
      return 4;
      break
    }
    case 85: {
      return 256;
      break
    }
    default: {
      throw new $c_jl_IllegalArgumentException().init___T("bad in-pattern flag")
    }
  }
});
var $d_ju_regex_Pattern$ = new $TypeData().initClass({
  ju_regex_Pattern$: 0
}, false, "java.util.regex.Pattern$", {
  ju_regex_Pattern$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_regex_Pattern$.prototype.$classData = $d_ju_regex_Pattern$;
var $n_ju_regex_Pattern$ = (void 0);
function $m_ju_regex_Pattern$() {
  if ((!$n_ju_regex_Pattern$)) {
    $n_ju_regex_Pattern$ = new $c_ju_regex_Pattern$().init___()
  };
  return $n_ju_regex_Pattern$
}
/** @constructor */
function $c_s_PartialFunction$$anon$1() {
  $c_O.call(this);
  this.lift$1 = null
}
$c_s_PartialFunction$$anon$1.prototype = new $h_O();
$c_s_PartialFunction$$anon$1.prototype.constructor = $c_s_PartialFunction$$anon$1;
/** @constructor */
function $h_s_PartialFunction$$anon$1() {
  /*<skip>*/
}
$h_s_PartialFunction$$anon$1.prototype = $c_s_PartialFunction$$anon$1.prototype;
$c_s_PartialFunction$$anon$1.prototype.init___ = (function() {
  this.lift$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$2) {
      return $m_s_None$()
    })
  })(this));
  return this
});
$c_s_PartialFunction$$anon$1.prototype.apply__O__O = (function(v1) {
  this.apply__O__sr_Nothing$(v1)
});
$c_s_PartialFunction$$anon$1.prototype.toString__T = (function() {
  return "<function1>"
});
$c_s_PartialFunction$$anon$1.prototype.isDefinedAt__O__Z = (function(x) {
  return false
});
$c_s_PartialFunction$$anon$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return $s_s_PartialFunction$class__applyOrElse__s_PartialFunction__O__F1__O(this, x, $default)
});
$c_s_PartialFunction$$anon$1.prototype.apply__O__sr_Nothing$ = (function(x) {
  throw new $c_s_MatchError().init___O(x)
});
var $d_s_PartialFunction$$anon$1 = new $TypeData().initClass({
  s_PartialFunction$$anon$1: 0
}, false, "scala.PartialFunction$$anon$1", {
  s_PartialFunction$$anon$1: 1,
  O: 1,
  s_PartialFunction: 1,
  F1: 1
});
$c_s_PartialFunction$$anon$1.prototype.$classData = $d_s_PartialFunction$$anon$1;
/** @constructor */
function $c_s_Predef$() {
  $c_s_LowPriorityImplicits.call(this);
  this.Map$2 = null;
  this.Set$2 = null;
  this.ClassManifest$2 = null;
  this.Manifest$2 = null;
  this.NoManifest$2 = null;
  this.StringCanBuildFrom$2 = null;
  this.singleton$und$less$colon$less$2 = null;
  this.scala$Predef$$singleton$und$eq$colon$eq$f = null
}
$c_s_Predef$.prototype = new $h_s_LowPriorityImplicits();
$c_s_Predef$.prototype.constructor = $c_s_Predef$;
/** @constructor */
function $h_s_Predef$() {
  /*<skip>*/
}
$h_s_Predef$.prototype = $c_s_Predef$.prototype;
$c_s_Predef$.prototype.init___ = (function() {
  $n_s_Predef$ = this;
  $m_s_package$();
  $m_sci_List$();
  this.Map$2 = $m_sci_Map$();
  this.Set$2 = $m_sci_Set$();
  this.ClassManifest$2 = $m_s_reflect_package$().ClassManifest$1;
  this.Manifest$2 = $m_s_reflect_package$().Manifest$1;
  this.NoManifest$2 = $m_s_reflect_NoManifest$();
  this.StringCanBuildFrom$2 = new $c_s_Predef$$anon$3().init___();
  this.singleton$und$less$colon$less$2 = new $c_s_Predef$$anon$1().init___();
  this.scala$Predef$$singleton$und$eq$colon$eq$f = new $c_s_Predef$$anon$2().init___();
  return this
});
$c_s_Predef$.prototype.assert__Z__V = (function(assertion) {
  if ((!assertion)) {
    throw new $c_jl_AssertionError().init___O("assertion failed")
  }
});
$c_s_Predef$.prototype.require__Z__V = (function(requirement) {
  if ((!requirement)) {
    throw new $c_jl_IllegalArgumentException().init___T("requirement failed")
  }
});
var $d_s_Predef$ = new $TypeData().initClass({
  s_Predef$: 0
}, false, "scala.Predef$", {
  s_Predef$: 1,
  s_LowPriorityImplicits: 1,
  O: 1,
  s_DeprecatedPredef: 1
});
$c_s_Predef$.prototype.$classData = $d_s_Predef$;
var $n_s_Predef$ = (void 0);
function $m_s_Predef$() {
  if ((!$n_s_Predef$)) {
    $n_s_Predef$ = new $c_s_Predef$().init___()
  };
  return $n_s_Predef$
}
/** @constructor */
function $c_s_StringContext$() {
  $c_O.call(this)
}
$c_s_StringContext$.prototype = new $h_O();
$c_s_StringContext$.prototype.constructor = $c_s_StringContext$;
/** @constructor */
function $h_s_StringContext$() {
  /*<skip>*/
}
$h_s_StringContext$.prototype = $c_s_StringContext$.prototype;
$c_s_StringContext$.prototype.init___ = (function() {
  return this
});
$c_s_StringContext$.prototype.treatEscapes0__p1__T__Z__T = (function(str, strict) {
  var len = $uI(str.length);
  var x1 = $m_sjsr_RuntimeString$().indexOf__T__I__I(str, 92);
  switch (x1) {
    case (-1): {
      return str;
      break
    }
    default: {
      return this.replace$1__p1__I__T__Z__I__T(x1, str, strict, len)
    }
  }
});
$c_s_StringContext$.prototype.loop$1__p1__I__I__T__Z__I__jl_StringBuilder__T = (function(i, next, str$1, strict$1, len$1, b$1) {
  _loop: while (true) {
    if ((next >= 0)) {
      if ((next > i)) {
        b$1.append__jl_CharSequence__I__I__jl_StringBuilder(str$1, i, next)
      };
      var idx = ((1 + next) | 0);
      if ((idx >= len$1)) {
        throw new $c_s_StringContext$InvalidEscapeException().init___T__I(str$1, next)
      };
      var index = idx;
      var x1 = (65535 & $uI(str$1.charCodeAt(index)));
      switch (x1) {
        case 98: {
          var c = 8;
          break
        }
        case 116: {
          var c = 9;
          break
        }
        case 110: {
          var c = 10;
          break
        }
        case 102: {
          var c = 12;
          break
        }
        case 114: {
          var c = 13;
          break
        }
        case 34: {
          var c = 34;
          break
        }
        case 39: {
          var c = 39;
          break
        }
        case 92: {
          var c = 92;
          break
        }
        default: {
          if (((x1 >= 48) && (x1 <= 55))) {
            if (strict$1) {
              throw new $c_s_StringContext$InvalidEscapeException().init___T__I(str$1, next)
            };
            var index$1 = idx;
            var leadch = (65535 & $uI(str$1.charCodeAt(index$1)));
            var oct = (((-48) + leadch) | 0);
            idx = ((1 + idx) | 0);
            if ((idx < len$1)) {
              var index$2 = idx;
              var jsx$2 = ((65535 & $uI(str$1.charCodeAt(index$2))) >= 48)
            } else {
              var jsx$2 = false
            };
            if (jsx$2) {
              var index$3 = idx;
              var jsx$1 = ((65535 & $uI(str$1.charCodeAt(index$3))) <= 55)
            } else {
              var jsx$1 = false
            };
            if (jsx$1) {
              var jsx$3 = oct;
              var index$4 = idx;
              oct = (((-48) + (((jsx$3 << 3) + (65535 & $uI(str$1.charCodeAt(index$4)))) | 0)) | 0);
              idx = ((1 + idx) | 0);
              if (((idx < len$1) && (leadch <= 51))) {
                var index$5 = idx;
                var jsx$5 = ((65535 & $uI(str$1.charCodeAt(index$5))) >= 48)
              } else {
                var jsx$5 = false
              };
              if (jsx$5) {
                var index$6 = idx;
                var jsx$4 = ((65535 & $uI(str$1.charCodeAt(index$6))) <= 55)
              } else {
                var jsx$4 = false
              };
              if (jsx$4) {
                var jsx$6 = oct;
                var index$7 = idx;
                oct = (((-48) + (((jsx$6 << 3) + (65535 & $uI(str$1.charCodeAt(index$7)))) | 0)) | 0);
                idx = ((1 + idx) | 0)
              }
            };
            idx = (((-1) + idx) | 0);
            var c = (65535 & oct)
          } else {
            var c;
            throw new $c_s_StringContext$InvalidEscapeException().init___T__I(str$1, next)
          }
        }
      };
      idx = ((1 + idx) | 0);
      b$1.append__C__jl_StringBuilder(c);
      var temp$i = idx;
      var temp$next = $m_sjsr_RuntimeString$().indexOf__T__I__I__I(str$1, 92, idx);
      i = temp$i;
      next = temp$next;
      continue _loop
    } else {
      if ((i < len$1)) {
        b$1.append__jl_CharSequence__I__I__jl_StringBuilder(str$1, i, len$1)
      };
      return b$1.content$1
    }
  }
});
$c_s_StringContext$.prototype.replace$1__p1__I__T__Z__I__T = (function(first, str$1, strict$1, len$1) {
  var b = new $c_jl_StringBuilder().init___();
  return this.loop$1__p1__I__I__T__Z__I__jl_StringBuilder__T(0, first, str$1, strict$1, len$1, b)
});
var $d_s_StringContext$ = new $TypeData().initClass({
  s_StringContext$: 0
}, false, "scala.StringContext$", {
  s_StringContext$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_StringContext$.prototype.$classData = $d_s_StringContext$;
var $n_s_StringContext$ = (void 0);
function $m_s_StringContext$() {
  if ((!$n_s_StringContext$)) {
    $n_s_StringContext$ = new $c_s_StringContext$().init___()
  };
  return $n_s_StringContext$
}
/** @constructor */
function $c_s_concurrent_BatchingExecutor$Batch() {
  $c_O.call(this);
  this.initial$1 = null;
  this.scala$concurrent$BatchingExecutor$Batch$$parentBlockContext$1 = null;
  this.$$outer$f = null
}
$c_s_concurrent_BatchingExecutor$Batch.prototype = new $h_O();
$c_s_concurrent_BatchingExecutor$Batch.prototype.constructor = $c_s_concurrent_BatchingExecutor$Batch;
/** @constructor */
function $h_s_concurrent_BatchingExecutor$Batch() {
  /*<skip>*/
}
$h_s_concurrent_BatchingExecutor$Batch.prototype = $c_s_concurrent_BatchingExecutor$Batch.prototype;
$c_s_concurrent_BatchingExecutor$Batch.prototype.init___s_concurrent_BatchingExecutor__sci_List = (function($$outer, initial) {
  this.initial$1 = initial;
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$f = $$outer
  };
  return this
});
$c_s_concurrent_BatchingExecutor$Batch.prototype.run__V = (function() {
  $m_s_Predef$().require__Z__V((this.$$outer$f.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.get__O() === null));
  var prevBlockContext = $m_s_concurrent_BlockContext$().current__s_concurrent_BlockContext();
  var this$1 = $m_s_concurrent_BlockContext$();
  var old = $as_s_concurrent_BlockContext(this$1.contextLocal$1.get__O());
  try {
    this$1.contextLocal$1.set__O__V(this);
    try {
      this.scala$concurrent$BatchingExecutor$Batch$$parentBlockContext$1 = prevBlockContext;
      var batch = this.initial$1;
      _processBatch: while (true) {
        var x1 = batch;
        var x$2 = $m_sci_Nil$();
        if ((!x$2.equals__O__Z(x1))) {
          if ($is_sci_$colon$colon(x1)) {
            var x2 = $as_sci_$colon$colon(x1);
            var head = $as_jl_Runnable(x2.head$5);
            var tail = x2.tl$5;
            this.$$outer$f.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.set__O__V(tail);
            try {
              head.run__V()
            } catch (e) {
              var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
              if ((e$2 !== null)) {
                var remaining = $as_sci_List(this.$$outer$f.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.get__O());
                this.$$outer$f.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.set__O__V($m_sci_Nil$());
                var r = new $c_s_concurrent_BatchingExecutor$Batch().init___s_concurrent_BatchingExecutor__sci_List(this.$$outer$f, remaining);
                r.run__V();
                throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
              } else {
                throw e
              }
            };
            batch = $as_sci_List(this.$$outer$f.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.get__O());
            continue _processBatch
          };
          throw new $c_s_MatchError().init___O(x1)
        };
        break
      }
    } finally {
      this.$$outer$f.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.remove__V();
      this.scala$concurrent$BatchingExecutor$Batch$$parentBlockContext$1 = null
    }
  } finally {
    this$1.contextLocal$1.set__O__V(old)
  }
});
var $d_s_concurrent_BatchingExecutor$Batch = new $TypeData().initClass({
  s_concurrent_BatchingExecutor$Batch: 0
}, false, "scala.concurrent.BatchingExecutor$Batch", {
  s_concurrent_BatchingExecutor$Batch: 1,
  O: 1,
  jl_Runnable: 1,
  s_concurrent_BlockContext: 1
});
$c_s_concurrent_BatchingExecutor$Batch.prototype.$classData = $d_s_concurrent_BatchingExecutor$Batch;
/** @constructor */
function $c_s_concurrent_impl_CallbackRunnable() {
  $c_O.call(this);
  this.executor$1 = null;
  this.onComplete$1 = null;
  this.value$1 = null
}
$c_s_concurrent_impl_CallbackRunnable.prototype = new $h_O();
$c_s_concurrent_impl_CallbackRunnable.prototype.constructor = $c_s_concurrent_impl_CallbackRunnable;
/** @constructor */
function $h_s_concurrent_impl_CallbackRunnable() {
  /*<skip>*/
}
$h_s_concurrent_impl_CallbackRunnable.prototype = $c_s_concurrent_impl_CallbackRunnable.prototype;
$c_s_concurrent_impl_CallbackRunnable.prototype.run__V = (function() {
  $m_s_Predef$().require__Z__V((this.value$1 !== null));
  try {
    this.onComplete$1.apply__O__O(this.value$1)
  } catch (e) {
    var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
    if ((e$2 !== null)) {
      matchEnd8: {
        var o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
        if ((!o11.isEmpty__Z())) {
          var e$3 = $as_jl_Throwable(o11.get__O());
          this.executor$1.reportFailure__jl_Throwable__V(e$3);
          break matchEnd8
        };
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
      }
    } else {
      throw e
    }
  }
});
$c_s_concurrent_impl_CallbackRunnable.prototype.init___s_concurrent_ExecutionContext__F1 = (function(executor, onComplete) {
  this.executor$1 = executor;
  this.onComplete$1 = onComplete;
  this.value$1 = null;
  return this
});
$c_s_concurrent_impl_CallbackRunnable.prototype.executeWithValue__s_util_Try__V = (function(v) {
  $m_s_Predef$().require__Z__V((this.value$1 === null));
  this.value$1 = v;
  try {
    this.executor$1.execute__jl_Runnable__V(this)
  } catch (e) {
    var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
    if ((e$2 !== null)) {
      matchEnd8: {
        var o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
        if ((!o11.isEmpty__Z())) {
          var t = $as_jl_Throwable(o11.get__O());
          this.executor$1.reportFailure__jl_Throwable__V(t);
          break matchEnd8
        };
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
      }
    } else {
      throw e
    }
  }
});
function $is_s_concurrent_impl_CallbackRunnable(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_concurrent_impl_CallbackRunnable)))
}
function $as_s_concurrent_impl_CallbackRunnable(obj) {
  return (($is_s_concurrent_impl_CallbackRunnable(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.concurrent.impl.CallbackRunnable"))
}
function $isArrayOf_s_concurrent_impl_CallbackRunnable(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_concurrent_impl_CallbackRunnable)))
}
function $asArrayOf_s_concurrent_impl_CallbackRunnable(obj, depth) {
  return (($isArrayOf_s_concurrent_impl_CallbackRunnable(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.concurrent.impl.CallbackRunnable;", depth))
}
var $d_s_concurrent_impl_CallbackRunnable = new $TypeData().initClass({
  s_concurrent_impl_CallbackRunnable: 0
}, false, "scala.concurrent.impl.CallbackRunnable", {
  s_concurrent_impl_CallbackRunnable: 1,
  O: 1,
  jl_Runnable: 1,
  s_concurrent_OnCompleteRunnable: 1
});
$c_s_concurrent_impl_CallbackRunnable.prototype.$classData = $d_s_concurrent_impl_CallbackRunnable;
/** @constructor */
function $c_s_math_Fractional$() {
  $c_O.call(this)
}
$c_s_math_Fractional$.prototype = new $h_O();
$c_s_math_Fractional$.prototype.constructor = $c_s_math_Fractional$;
/** @constructor */
function $h_s_math_Fractional$() {
  /*<skip>*/
}
$h_s_math_Fractional$.prototype = $c_s_math_Fractional$.prototype;
$c_s_math_Fractional$.prototype.init___ = (function() {
  return this
});
var $d_s_math_Fractional$ = new $TypeData().initClass({
  s_math_Fractional$: 0
}, false, "scala.math.Fractional$", {
  s_math_Fractional$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Fractional$.prototype.$classData = $d_s_math_Fractional$;
var $n_s_math_Fractional$ = (void 0);
function $m_s_math_Fractional$() {
  if ((!$n_s_math_Fractional$)) {
    $n_s_math_Fractional$ = new $c_s_math_Fractional$().init___()
  };
  return $n_s_math_Fractional$
}
/** @constructor */
function $c_s_math_Integral$() {
  $c_O.call(this)
}
$c_s_math_Integral$.prototype = new $h_O();
$c_s_math_Integral$.prototype.constructor = $c_s_math_Integral$;
/** @constructor */
function $h_s_math_Integral$() {
  /*<skip>*/
}
$h_s_math_Integral$.prototype = $c_s_math_Integral$.prototype;
$c_s_math_Integral$.prototype.init___ = (function() {
  return this
});
var $d_s_math_Integral$ = new $TypeData().initClass({
  s_math_Integral$: 0
}, false, "scala.math.Integral$", {
  s_math_Integral$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Integral$.prototype.$classData = $d_s_math_Integral$;
var $n_s_math_Integral$ = (void 0);
function $m_s_math_Integral$() {
  if ((!$n_s_math_Integral$)) {
    $n_s_math_Integral$ = new $c_s_math_Integral$().init___()
  };
  return $n_s_math_Integral$
}
/** @constructor */
function $c_s_math_Numeric$() {
  $c_O.call(this)
}
$c_s_math_Numeric$.prototype = new $h_O();
$c_s_math_Numeric$.prototype.constructor = $c_s_math_Numeric$;
/** @constructor */
function $h_s_math_Numeric$() {
  /*<skip>*/
}
$h_s_math_Numeric$.prototype = $c_s_math_Numeric$.prototype;
$c_s_math_Numeric$.prototype.init___ = (function() {
  return this
});
var $d_s_math_Numeric$ = new $TypeData().initClass({
  s_math_Numeric$: 0
}, false, "scala.math.Numeric$", {
  s_math_Numeric$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Numeric$.prototype.$classData = $d_s_math_Numeric$;
var $n_s_math_Numeric$ = (void 0);
function $m_s_math_Numeric$() {
  if ((!$n_s_math_Numeric$)) {
    $n_s_math_Numeric$ = new $c_s_math_Numeric$().init___()
  };
  return $n_s_math_Numeric$
}
function $is_s_math_ScalaNumber(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_math_ScalaNumber)))
}
function $as_s_math_ScalaNumber(obj) {
  return (($is_s_math_ScalaNumber(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.math.ScalaNumber"))
}
function $isArrayOf_s_math_ScalaNumber(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_math_ScalaNumber)))
}
function $asArrayOf_s_math_ScalaNumber(obj, depth) {
  return (($isArrayOf_s_math_ScalaNumber(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.math.ScalaNumber;", depth))
}
/** @constructor */
function $c_s_reflect_ClassTag$() {
  $c_O.call(this)
}
$c_s_reflect_ClassTag$.prototype = new $h_O();
$c_s_reflect_ClassTag$.prototype.constructor = $c_s_reflect_ClassTag$;
/** @constructor */
function $h_s_reflect_ClassTag$() {
  /*<skip>*/
}
$h_s_reflect_ClassTag$.prototype = $c_s_reflect_ClassTag$.prototype;
$c_s_reflect_ClassTag$.prototype.init___ = (function() {
  return this
});
$c_s_reflect_ClassTag$.prototype.apply__jl_Class__s_reflect_ClassTag = (function(runtimeClass1) {
  return ((runtimeClass1 === $d_B.getClassOf()) ? $m_s_reflect_ManifestFactory$ByteManifest$() : ((runtimeClass1 === $d_S.getClassOf()) ? $m_s_reflect_ManifestFactory$ShortManifest$() : ((runtimeClass1 === $d_C.getClassOf()) ? $m_s_reflect_ManifestFactory$CharManifest$() : ((runtimeClass1 === $d_I.getClassOf()) ? $m_s_reflect_ManifestFactory$IntManifest$() : ((runtimeClass1 === $d_J.getClassOf()) ? $m_s_reflect_ManifestFactory$LongManifest$() : ((runtimeClass1 === $d_F.getClassOf()) ? $m_s_reflect_ManifestFactory$FloatManifest$() : ((runtimeClass1 === $d_D.getClassOf()) ? $m_s_reflect_ManifestFactory$DoubleManifest$() : ((runtimeClass1 === $d_Z.getClassOf()) ? $m_s_reflect_ManifestFactory$BooleanManifest$() : ((runtimeClass1 === $d_V.getClassOf()) ? $m_s_reflect_ManifestFactory$UnitManifest$() : ((runtimeClass1 === $d_O.getClassOf()) ? $m_s_reflect_ManifestFactory$ObjectManifest$() : ((runtimeClass1 === $d_sr_Nothing$.getClassOf()) ? $m_s_reflect_ManifestFactory$NothingManifest$() : ((runtimeClass1 === $d_sr_Null$.getClassOf()) ? $m_s_reflect_ManifestFactory$NullManifest$() : new $c_s_reflect_ClassTag$ClassClassTag().init___jl_Class(runtimeClass1)))))))))))))
});
var $d_s_reflect_ClassTag$ = new $TypeData().initClass({
  s_reflect_ClassTag$: 0
}, false, "scala.reflect.ClassTag$", {
  s_reflect_ClassTag$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_reflect_ClassTag$.prototype.$classData = $d_s_reflect_ClassTag$;
var $n_s_reflect_ClassTag$ = (void 0);
function $m_s_reflect_ClassTag$() {
  if ((!$n_s_reflect_ClassTag$)) {
    $n_s_reflect_ClassTag$ = new $c_s_reflect_ClassTag$().init___()
  };
  return $n_s_reflect_ClassTag$
}
/** @constructor */
function $c_s_util_Left$() {
  $c_O.call(this)
}
$c_s_util_Left$.prototype = new $h_O();
$c_s_util_Left$.prototype.constructor = $c_s_util_Left$;
/** @constructor */
function $h_s_util_Left$() {
  /*<skip>*/
}
$h_s_util_Left$.prototype = $c_s_util_Left$.prototype;
$c_s_util_Left$.prototype.init___ = (function() {
  return this
});
$c_s_util_Left$.prototype.toString__T = (function() {
  return "Left"
});
var $d_s_util_Left$ = new $TypeData().initClass({
  s_util_Left$: 0
}, false, "scala.util.Left$", {
  s_util_Left$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Left$.prototype.$classData = $d_s_util_Left$;
var $n_s_util_Left$ = (void 0);
function $m_s_util_Left$() {
  if ((!$n_s_util_Left$)) {
    $n_s_util_Left$ = new $c_s_util_Left$().init___()
  };
  return $n_s_util_Left$
}
/** @constructor */
function $c_s_util_Right$() {
  $c_O.call(this)
}
$c_s_util_Right$.prototype = new $h_O();
$c_s_util_Right$.prototype.constructor = $c_s_util_Right$;
/** @constructor */
function $h_s_util_Right$() {
  /*<skip>*/
}
$h_s_util_Right$.prototype = $c_s_util_Right$.prototype;
$c_s_util_Right$.prototype.init___ = (function() {
  return this
});
$c_s_util_Right$.prototype.toString__T = (function() {
  return "Right"
});
var $d_s_util_Right$ = new $TypeData().initClass({
  s_util_Right$: 0
}, false, "scala.util.Right$", {
  s_util_Right$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Right$.prototype.$classData = $d_s_util_Right$;
var $n_s_util_Right$ = (void 0);
function $m_s_util_Right$() {
  if ((!$n_s_util_Right$)) {
    $n_s_util_Right$ = new $c_s_util_Right$().init___()
  };
  return $n_s_util_Right$
}
/** @constructor */
function $c_s_util_control_NoStackTrace$() {
  $c_O.call(this);
  this.$$undnoSuppression$1 = false
}
$c_s_util_control_NoStackTrace$.prototype = new $h_O();
$c_s_util_control_NoStackTrace$.prototype.constructor = $c_s_util_control_NoStackTrace$;
/** @constructor */
function $h_s_util_control_NoStackTrace$() {
  /*<skip>*/
}
$h_s_util_control_NoStackTrace$.prototype = $c_s_util_control_NoStackTrace$.prototype;
$c_s_util_control_NoStackTrace$.prototype.init___ = (function() {
  this.$$undnoSuppression$1 = false;
  return this
});
var $d_s_util_control_NoStackTrace$ = new $TypeData().initClass({
  s_util_control_NoStackTrace$: 0
}, false, "scala.util.control.NoStackTrace$", {
  s_util_control_NoStackTrace$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_control_NoStackTrace$.prototype.$classData = $d_s_util_control_NoStackTrace$;
var $n_s_util_control_NoStackTrace$ = (void 0);
function $m_s_util_control_NoStackTrace$() {
  if ((!$n_s_util_control_NoStackTrace$)) {
    $n_s_util_control_NoStackTrace$ = new $c_s_util_control_NoStackTrace$().init___()
  };
  return $n_s_util_control_NoStackTrace$
}
/** @constructor */
function $c_sc_IndexedSeq$$anon$1() {
  $c_scg_GenTraversableFactory$GenericCanBuildFrom.call(this)
}
$c_sc_IndexedSeq$$anon$1.prototype = new $h_scg_GenTraversableFactory$GenericCanBuildFrom();
$c_sc_IndexedSeq$$anon$1.prototype.constructor = $c_sc_IndexedSeq$$anon$1;
/** @constructor */
function $h_sc_IndexedSeq$$anon$1() {
  /*<skip>*/
}
$h_sc_IndexedSeq$$anon$1.prototype = $c_sc_IndexedSeq$$anon$1.prototype;
$c_sc_IndexedSeq$$anon$1.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype.init___scg_GenTraversableFactory.call(this, $m_sc_IndexedSeq$());
  return this
});
$c_sc_IndexedSeq$$anon$1.prototype.apply__scm_Builder = (function() {
  $m_sc_IndexedSeq$();
  $m_sci_IndexedSeq$();
  $m_sci_Vector$();
  return new $c_sci_VectorBuilder().init___()
});
var $d_sc_IndexedSeq$$anon$1 = new $TypeData().initClass({
  sc_IndexedSeq$$anon$1: 0
}, false, "scala.collection.IndexedSeq$$anon$1", {
  sc_IndexedSeq$$anon$1: 1,
  scg_GenTraversableFactory$GenericCanBuildFrom: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_sc_IndexedSeq$$anon$1.prototype.$classData = $d_sc_IndexedSeq$$anon$1;
/** @constructor */
function $c_scg_GenSeqFactory() {
  $c_scg_GenTraversableFactory.call(this)
}
$c_scg_GenSeqFactory.prototype = new $h_scg_GenTraversableFactory();
$c_scg_GenSeqFactory.prototype.constructor = $c_scg_GenSeqFactory;
/** @constructor */
function $h_scg_GenSeqFactory() {
  /*<skip>*/
}
$h_scg_GenSeqFactory.prototype = $c_scg_GenSeqFactory.prototype;
/** @constructor */
function $c_scg_GenTraversableFactory$$anon$1() {
  $c_scg_GenTraversableFactory$GenericCanBuildFrom.call(this);
  this.$$outer$2 = null
}
$c_scg_GenTraversableFactory$$anon$1.prototype = new $h_scg_GenTraversableFactory$GenericCanBuildFrom();
$c_scg_GenTraversableFactory$$anon$1.prototype.constructor = $c_scg_GenTraversableFactory$$anon$1;
/** @constructor */
function $h_scg_GenTraversableFactory$$anon$1() {
  /*<skip>*/
}
$h_scg_GenTraversableFactory$$anon$1.prototype = $c_scg_GenTraversableFactory$$anon$1.prototype;
$c_scg_GenTraversableFactory$$anon$1.prototype.apply__scm_Builder = (function() {
  return this.$$outer$2.newBuilder__scm_Builder()
});
$c_scg_GenTraversableFactory$$anon$1.prototype.init___scg_GenTraversableFactory = (function($$outer) {
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$2 = $$outer
  };
  $c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype.init___scg_GenTraversableFactory.call(this, $$outer);
  return this
});
var $d_scg_GenTraversableFactory$$anon$1 = new $TypeData().initClass({
  scg_GenTraversableFactory$$anon$1: 0
}, false, "scala.collection.generic.GenTraversableFactory$$anon$1", {
  scg_GenTraversableFactory$$anon$1: 1,
  scg_GenTraversableFactory$GenericCanBuildFrom: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_scg_GenTraversableFactory$$anon$1.prototype.$classData = $d_scg_GenTraversableFactory$$anon$1;
/** @constructor */
function $c_scg_ImmutableMapFactory() {
  $c_scg_MapFactory.call(this)
}
$c_scg_ImmutableMapFactory.prototype = new $h_scg_MapFactory();
$c_scg_ImmutableMapFactory.prototype.constructor = $c_scg_ImmutableMapFactory;
/** @constructor */
function $h_scg_ImmutableMapFactory() {
  /*<skip>*/
}
$h_scg_ImmutableMapFactory.prototype = $c_scg_ImmutableMapFactory.prototype;
/** @constructor */
function $c_sci_$colon$colon$() {
  $c_O.call(this)
}
$c_sci_$colon$colon$.prototype = new $h_O();
$c_sci_$colon$colon$.prototype.constructor = $c_sci_$colon$colon$;
/** @constructor */
function $h_sci_$colon$colon$() {
  /*<skip>*/
}
$h_sci_$colon$colon$.prototype = $c_sci_$colon$colon$.prototype;
$c_sci_$colon$colon$.prototype.init___ = (function() {
  return this
});
$c_sci_$colon$colon$.prototype.toString__T = (function() {
  return "::"
});
var $d_sci_$colon$colon$ = new $TypeData().initClass({
  sci_$colon$colon$: 0
}, false, "scala.collection.immutable.$colon$colon$", {
  sci_$colon$colon$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_$colon$colon$.prototype.$classData = $d_sci_$colon$colon$;
var $n_sci_$colon$colon$ = (void 0);
function $m_sci_$colon$colon$() {
  if ((!$n_sci_$colon$colon$)) {
    $n_sci_$colon$colon$ = new $c_sci_$colon$colon$().init___()
  };
  return $n_sci_$colon$colon$
}
/** @constructor */
function $c_sci_Range$() {
  $c_O.call(this);
  this.MAX$undPRINT$1 = 0
}
$c_sci_Range$.prototype = new $h_O();
$c_sci_Range$.prototype.constructor = $c_sci_Range$;
/** @constructor */
function $h_sci_Range$() {
  /*<skip>*/
}
$h_sci_Range$.prototype = $c_sci_Range$.prototype;
$c_sci_Range$.prototype.init___ = (function() {
  this.MAX$undPRINT$1 = 512;
  return this
});
var $d_sci_Range$ = new $TypeData().initClass({
  sci_Range$: 0
}, false, "scala.collection.immutable.Range$", {
  sci_Range$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Range$.prototype.$classData = $d_sci_Range$;
var $n_sci_Range$ = (void 0);
function $m_sci_Range$() {
  if ((!$n_sci_Range$)) {
    $n_sci_Range$ = new $c_sci_Range$().init___()
  };
  return $n_sci_Range$
}
/** @constructor */
function $c_sci_Stream$StreamCanBuildFrom() {
  $c_scg_GenTraversableFactory$GenericCanBuildFrom.call(this)
}
$c_sci_Stream$StreamCanBuildFrom.prototype = new $h_scg_GenTraversableFactory$GenericCanBuildFrom();
$c_sci_Stream$StreamCanBuildFrom.prototype.constructor = $c_sci_Stream$StreamCanBuildFrom;
/** @constructor */
function $h_sci_Stream$StreamCanBuildFrom() {
  /*<skip>*/
}
$h_sci_Stream$StreamCanBuildFrom.prototype = $c_sci_Stream$StreamCanBuildFrom.prototype;
$c_sci_Stream$StreamCanBuildFrom.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype.init___scg_GenTraversableFactory.call(this, $m_sci_Stream$());
  return this
});
var $d_sci_Stream$StreamCanBuildFrom = new $TypeData().initClass({
  sci_Stream$StreamCanBuildFrom: 0
}, false, "scala.collection.immutable.Stream$StreamCanBuildFrom", {
  sci_Stream$StreamCanBuildFrom: 1,
  scg_GenTraversableFactory$GenericCanBuildFrom: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_sci_Stream$StreamCanBuildFrom.prototype.$classData = $d_sci_Stream$StreamCanBuildFrom;
/** @constructor */
function $c_scm_StringBuilder$() {
  $c_O.call(this)
}
$c_scm_StringBuilder$.prototype = new $h_O();
$c_scm_StringBuilder$.prototype.constructor = $c_scm_StringBuilder$;
/** @constructor */
function $h_scm_StringBuilder$() {
  /*<skip>*/
}
$h_scm_StringBuilder$.prototype = $c_scm_StringBuilder$.prototype;
$c_scm_StringBuilder$.prototype.init___ = (function() {
  return this
});
var $d_scm_StringBuilder$ = new $TypeData().initClass({
  scm_StringBuilder$: 0
}, false, "scala.collection.mutable.StringBuilder$", {
  scm_StringBuilder$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_StringBuilder$.prototype.$classData = $d_scm_StringBuilder$;
var $n_scm_StringBuilder$ = (void 0);
function $m_scm_StringBuilder$() {
  if ((!$n_scm_StringBuilder$)) {
    $n_scm_StringBuilder$ = new $c_scm_StringBuilder$().init___()
  };
  return $n_scm_StringBuilder$
}
/** @constructor */
function $c_sjsr_AnonFunction0() {
  $c_sr_AbstractFunction0.call(this);
  this.f$2 = null
}
$c_sjsr_AnonFunction0.prototype = new $h_sr_AbstractFunction0();
$c_sjsr_AnonFunction0.prototype.constructor = $c_sjsr_AnonFunction0;
/** @constructor */
function $h_sjsr_AnonFunction0() {
  /*<skip>*/
}
$h_sjsr_AnonFunction0.prototype = $c_sjsr_AnonFunction0.prototype;
$c_sjsr_AnonFunction0.prototype.apply__O = (function() {
  return (0, this.f$2)()
});
$c_sjsr_AnonFunction0.prototype.init___sjs_js_Function0 = (function(f) {
  this.f$2 = f;
  return this
});
var $d_sjsr_AnonFunction0 = new $TypeData().initClass({
  sjsr_AnonFunction0: 0
}, false, "scala.scalajs.runtime.AnonFunction0", {
  sjsr_AnonFunction0: 1,
  sr_AbstractFunction0: 1,
  O: 1,
  F0: 1
});
$c_sjsr_AnonFunction0.prototype.$classData = $d_sjsr_AnonFunction0;
/** @constructor */
function $c_sjsr_AnonFunction1() {
  $c_sr_AbstractFunction1.call(this);
  this.f$2 = null
}
$c_sjsr_AnonFunction1.prototype = new $h_sr_AbstractFunction1();
$c_sjsr_AnonFunction1.prototype.constructor = $c_sjsr_AnonFunction1;
/** @constructor */
function $h_sjsr_AnonFunction1() {
  /*<skip>*/
}
$h_sjsr_AnonFunction1.prototype = $c_sjsr_AnonFunction1.prototype;
$c_sjsr_AnonFunction1.prototype.apply__O__O = (function(arg1) {
  return (0, this.f$2)(arg1)
});
$c_sjsr_AnonFunction1.prototype.init___sjs_js_Function1 = (function(f) {
  this.f$2 = f;
  return this
});
var $d_sjsr_AnonFunction1 = new $TypeData().initClass({
  sjsr_AnonFunction1: 0
}, false, "scala.scalajs.runtime.AnonFunction1", {
  sjsr_AnonFunction1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1
});
$c_sjsr_AnonFunction1.prototype.$classData = $d_sjsr_AnonFunction1;
/** @constructor */
function $c_sjsr_AnonFunction2() {
  $c_sr_AbstractFunction2.call(this);
  this.f$2 = null
}
$c_sjsr_AnonFunction2.prototype = new $h_sr_AbstractFunction2();
$c_sjsr_AnonFunction2.prototype.constructor = $c_sjsr_AnonFunction2;
/** @constructor */
function $h_sjsr_AnonFunction2() {
  /*<skip>*/
}
$h_sjsr_AnonFunction2.prototype = $c_sjsr_AnonFunction2.prototype;
$c_sjsr_AnonFunction2.prototype.init___sjs_js_Function2 = (function(f) {
  this.f$2 = f;
  return this
});
$c_sjsr_AnonFunction2.prototype.apply__O__O__O = (function(arg1, arg2) {
  return (0, this.f$2)(arg1, arg2)
});
var $d_sjsr_AnonFunction2 = new $TypeData().initClass({
  sjsr_AnonFunction2: 0
}, false, "scala.scalajs.runtime.AnonFunction2", {
  sjsr_AnonFunction2: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1
});
$c_sjsr_AnonFunction2.prototype.$classData = $d_sjsr_AnonFunction2;
/** @constructor */
function $c_sjsr_RuntimeLong$() {
  $c_O.call(this);
  this.TwoPow32$1 = 0.0;
  this.TwoPow63$1 = 0.0;
  this.UnsignedSafeDoubleHiMask$1 = 0;
  this.AskQuotient$1 = 0;
  this.AskRemainder$1 = 0;
  this.AskToString$1 = 0;
  this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
  this.Zero$1 = null
}
$c_sjsr_RuntimeLong$.prototype = new $h_O();
$c_sjsr_RuntimeLong$.prototype.constructor = $c_sjsr_RuntimeLong$;
/** @constructor */
function $h_sjsr_RuntimeLong$() {
  /*<skip>*/
}
$h_sjsr_RuntimeLong$.prototype = $c_sjsr_RuntimeLong$.prototype;
$c_sjsr_RuntimeLong$.prototype.init___ = (function() {
  $n_sjsr_RuntimeLong$ = this;
  this.Zero$1 = new $c_sjsr_RuntimeLong().init___I__I(0, 0);
  return this
});
$c_sjsr_RuntimeLong$.prototype.Zero__sjsr_RuntimeLong = (function() {
  return this.Zero$1
});
$c_sjsr_RuntimeLong$.prototype.toUnsignedString__p1__I__I__T = (function(lo, hi) {
  if ((((-2097152) & hi) === 0)) {
    var this$5 = ((4.294967296E9 * hi) + $uD((lo >>> 0)));
    return ("" + this$5)
  } else {
    return $as_T(this.unsignedDivModHelper__p1__I__I__I__I__I__sjs_js_$bar(lo, hi, 1000000000, 0, 2))
  }
});
$c_sjsr_RuntimeLong$.prototype.divideImpl__I__I__I__I__I = (function(alo, ahi, blo, bhi) {
  if (((blo | bhi) === 0)) {
    throw new $c_jl_ArithmeticException().init___T("/ by zero")
  };
  if ((ahi === (alo >> 31))) {
    if ((bhi === (blo >> 31))) {
      if (((alo === (-2147483648)) && (blo === (-1)))) {
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
        return (-2147483648)
      } else {
        var lo = ((alo / blo) | 0);
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (lo >> 31);
        return lo
      }
    } else if (((alo === (-2147483648)) && ((blo === (-2147483648)) && (bhi === 0)))) {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (-1);
      return (-1)
    } else {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
      return 0
    }
  } else {
    var neg = (ahi < 0);
    if (neg) {
      var lo$1 = ((-alo) | 0);
      var hi = ((alo !== 0) ? (~ahi) : ((-ahi) | 0));
      var abs_$_lo$2 = lo$1;
      var abs_$_hi$2 = hi
    } else {
      var abs_$_lo$2 = alo;
      var abs_$_hi$2 = ahi
    };
    var neg$1 = (bhi < 0);
    if (neg$1) {
      var lo$2 = ((-blo) | 0);
      var hi$1 = ((blo !== 0) ? (~bhi) : ((-bhi) | 0));
      var abs$1_$_lo$2 = lo$2;
      var abs$1_$_hi$2 = hi$1
    } else {
      var abs$1_$_lo$2 = blo;
      var abs$1_$_hi$2 = bhi
    };
    var absRLo = this.unsigned$und$div__p1__I__I__I__I__I(abs_$_lo$2, abs_$_hi$2, abs$1_$_lo$2, abs$1_$_hi$2);
    if ((neg === neg$1)) {
      return absRLo
    } else {
      var hi$2 = this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ((absRLo !== 0) ? (~hi$2) : ((-hi$2) | 0));
      return ((-absRLo) | 0)
    }
  }
});
$c_sjsr_RuntimeLong$.prototype.scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D = (function(lo, hi) {
  if ((hi < 0)) {
    var x = ((lo !== 0) ? (~hi) : ((-hi) | 0));
    var jsx$1 = $uD((x >>> 0));
    var x$1 = ((-lo) | 0);
    return (-((4.294967296E9 * jsx$1) + $uD((x$1 >>> 0))))
  } else {
    return ((4.294967296E9 * hi) + $uD((lo >>> 0)))
  }
});
$c_sjsr_RuntimeLong$.prototype.fromDouble__D__sjsr_RuntimeLong = (function(value) {
  var lo = this.scala$scalajs$runtime$RuntimeLong$$fromDoubleImpl__D__I(value);
  return new $c_sjsr_RuntimeLong().init___I__I(lo, this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f)
});
$c_sjsr_RuntimeLong$.prototype.scala$scalajs$runtime$RuntimeLong$$fromDoubleImpl__D__I = (function(value) {
  if ((value < (-9.223372036854776E18))) {
    this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (-2147483648);
    return 0
  } else if ((value >= 9.223372036854776E18)) {
    this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 2147483647;
    return (-1)
  } else {
    var rawLo = $uI((value | 0));
    var x = (value / 4.294967296E9);
    var rawHi = $uI((x | 0));
    this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (((value < 0) && (rawLo !== 0)) ? (((-1) + rawHi) | 0) : rawHi);
    return rawLo
  }
});
$c_sjsr_RuntimeLong$.prototype.unsigned$und$div__p1__I__I__I__I__I = (function(alo, ahi, blo, bhi) {
  if ((((-2097152) & ahi) === 0)) {
    if ((((-2097152) & bhi) === 0)) {
      var aDouble = ((4.294967296E9 * ahi) + $uD((alo >>> 0)));
      var bDouble = ((4.294967296E9 * bhi) + $uD((blo >>> 0)));
      var rDouble = (aDouble / bDouble);
      var x = (rDouble / 4.294967296E9);
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = $uI((x | 0));
      return $uI((rDouble | 0))
    } else {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
      return 0
    }
  } else if (((bhi === 0) && ((blo & (((-1) + blo) | 0)) === 0))) {
    var pow = ((31 - $clz32(blo)) | 0);
    this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ((ahi >>> pow) | 0);
    return (((alo >>> pow) | 0) | ((ahi << 1) << ((31 - pow) | 0)))
  } else if (((blo === 0) && ((bhi & (((-1) + bhi) | 0)) === 0))) {
    var pow$2 = ((31 - $clz32(bhi)) | 0);
    this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
    return ((ahi >>> pow$2) | 0)
  } else {
    return $uI(this.unsignedDivModHelper__p1__I__I__I__I__I__sjs_js_$bar(alo, ahi, blo, bhi, 0))
  }
});
$c_sjsr_RuntimeLong$.prototype.scala$scalajs$runtime$RuntimeLong$$toString__I__I__T = (function(lo, hi) {
  return ((hi === (lo >> 31)) ? ("" + lo) : ((hi < 0) ? ("-" + this.toUnsignedString__p1__I__I__T(((-lo) | 0), ((lo !== 0) ? (~hi) : ((-hi) | 0)))) : this.toUnsignedString__p1__I__I__T(lo, hi)))
});
$c_sjsr_RuntimeLong$.prototype.scala$scalajs$runtime$RuntimeLong$$compare__I__I__I__I__I = (function(alo, ahi, blo, bhi) {
  return ((ahi === bhi) ? ((alo === blo) ? 0 : ((((-2147483648) ^ alo) < ((-2147483648) ^ blo)) ? (-1) : 1)) : ((ahi < bhi) ? (-1) : 1))
});
$c_sjsr_RuntimeLong$.prototype.unsignedDivModHelper__p1__I__I__I__I__I__sjs_js_$bar = (function(alo, ahi, blo, bhi, ask) {
  var shift = ((((bhi !== 0) ? $clz32(bhi) : ((32 + $clz32(blo)) | 0)) - ((ahi !== 0) ? $clz32(ahi) : ((32 + $clz32(alo)) | 0))) | 0);
  var n = shift;
  var lo = (((32 & n) === 0) ? (blo << n) : 0);
  var hi = (((32 & n) === 0) ? (((((blo >>> 1) | 0) >>> ((31 - n) | 0)) | 0) | (bhi << n)) : (blo << n));
  var bShiftLo = lo;
  var bShiftHi = hi;
  var remLo = alo;
  var remHi = ahi;
  var quotLo = 0;
  var quotHi = 0;
  while (((shift >= 0) && (((-2097152) & remHi) !== 0))) {
    var alo$1 = remLo;
    var ahi$1 = remHi;
    var blo$1 = bShiftLo;
    var bhi$1 = bShiftHi;
    if (((ahi$1 === bhi$1) ? (((-2147483648) ^ alo$1) >= ((-2147483648) ^ blo$1)) : (((-2147483648) ^ ahi$1) >= ((-2147483648) ^ bhi$1)))) {
      var lo$1 = remLo;
      var hi$1 = remHi;
      var lo$2 = bShiftLo;
      var hi$2 = bShiftHi;
      var lo$3 = ((lo$1 - lo$2) | 0);
      var hi$3 = ((((-2147483648) ^ lo$3) > ((-2147483648) ^ lo$1)) ? (((-1) + ((hi$1 - hi$2) | 0)) | 0) : ((hi$1 - hi$2) | 0));
      remLo = lo$3;
      remHi = hi$3;
      if ((shift < 32)) {
        quotLo = (quotLo | (1 << shift))
      } else {
        quotHi = (quotHi | (1 << shift))
      }
    };
    shift = (((-1) + shift) | 0);
    var lo$4 = bShiftLo;
    var hi$4 = bShiftHi;
    var lo$5 = (((lo$4 >>> 1) | 0) | (hi$4 << 31));
    var hi$5 = ((hi$4 >>> 1) | 0);
    bShiftLo = lo$5;
    bShiftHi = hi$5
  };
  var alo$2 = remLo;
  var ahi$2 = remHi;
  if (((ahi$2 === bhi) ? (((-2147483648) ^ alo$2) >= ((-2147483648) ^ blo)) : (((-2147483648) ^ ahi$2) >= ((-2147483648) ^ bhi)))) {
    var lo$6 = remLo;
    var hi$6 = remHi;
    var remDouble = ((4.294967296E9 * hi$6) + $uD((lo$6 >>> 0)));
    var bDouble = ((4.294967296E9 * bhi) + $uD((blo >>> 0)));
    if ((ask !== 1)) {
      var x = (remDouble / bDouble);
      var lo$7 = $uI((x | 0));
      var x$1 = (x / 4.294967296E9);
      var hi$7 = $uI((x$1 | 0));
      var lo$8 = quotLo;
      var hi$8 = quotHi;
      var lo$9 = ((lo$8 + lo$7) | 0);
      var hi$9 = ((((-2147483648) ^ lo$9) < ((-2147483648) ^ lo$8)) ? ((1 + ((hi$8 + hi$7) | 0)) | 0) : ((hi$8 + hi$7) | 0));
      quotLo = lo$9;
      quotHi = hi$9
    };
    if ((ask !== 0)) {
      var rem_mod_bDouble = (remDouble % bDouble);
      remLo = $uI((rem_mod_bDouble | 0));
      var x$2 = (rem_mod_bDouble / 4.294967296E9);
      remHi = $uI((x$2 | 0))
    }
  };
  if ((ask === 0)) {
    this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = quotHi;
    var a = quotLo;
    return a
  } else if ((ask === 1)) {
    this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = remHi;
    var a$1 = remLo;
    return a$1
  } else {
    var lo$10 = quotLo;
    var hi$10 = quotHi;
    var quot = ((4.294967296E9 * hi$10) + $uD((lo$10 >>> 0)));
    var this$25 = remLo;
    var remStr = ("" + this$25);
    var a$2 = ((("" + quot) + $as_T("000000000".substring($uI(remStr.length)))) + remStr);
    return a$2
  }
});
$c_sjsr_RuntimeLong$.prototype.remainderImpl__I__I__I__I__I = (function(alo, ahi, blo, bhi) {
  if (((blo | bhi) === 0)) {
    throw new $c_jl_ArithmeticException().init___T("/ by zero")
  };
  if ((ahi === (alo >> 31))) {
    if ((bhi === (blo >> 31))) {
      if ((blo !== (-1))) {
        var lo = ((alo % blo) | 0);
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (lo >> 31);
        return lo
      } else {
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
        return 0
      }
    } else if (((alo === (-2147483648)) && ((blo === (-2147483648)) && (bhi === 0)))) {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
      return 0
    } else {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ahi;
      return alo
    }
  } else {
    var neg = (ahi < 0);
    if (neg) {
      var lo$1 = ((-alo) | 0);
      var hi = ((alo !== 0) ? (~ahi) : ((-ahi) | 0));
      var abs_$_lo$2 = lo$1;
      var abs_$_hi$2 = hi
    } else {
      var abs_$_lo$2 = alo;
      var abs_$_hi$2 = ahi
    };
    var neg$1 = (bhi < 0);
    if (neg$1) {
      var lo$2 = ((-blo) | 0);
      var hi$1 = ((blo !== 0) ? (~bhi) : ((-bhi) | 0));
      var abs$1_$_lo$2 = lo$2;
      var abs$1_$_hi$2 = hi$1
    } else {
      var abs$1_$_lo$2 = blo;
      var abs$1_$_hi$2 = bhi
    };
    var absRLo = this.unsigned$und$percent__p1__I__I__I__I__I(abs_$_lo$2, abs_$_hi$2, abs$1_$_lo$2, abs$1_$_hi$2);
    if (neg) {
      var hi$2 = this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ((absRLo !== 0) ? (~hi$2) : ((-hi$2) | 0));
      return ((-absRLo) | 0)
    } else {
      return absRLo
    }
  }
});
$c_sjsr_RuntimeLong$.prototype.unsigned$und$percent__p1__I__I__I__I__I = (function(alo, ahi, blo, bhi) {
  if ((((-2097152) & ahi) === 0)) {
    if ((((-2097152) & bhi) === 0)) {
      var aDouble = ((4.294967296E9 * ahi) + $uD((alo >>> 0)));
      var bDouble = ((4.294967296E9 * bhi) + $uD((blo >>> 0)));
      var rDouble = (aDouble % bDouble);
      var x = (rDouble / 4.294967296E9);
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = $uI((x | 0));
      return $uI((rDouble | 0))
    } else {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ahi;
      return alo
    }
  } else if (((bhi === 0) && ((blo & (((-1) + blo) | 0)) === 0))) {
    this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
    return (alo & (((-1) + blo) | 0))
  } else if (((blo === 0) && ((bhi & (((-1) + bhi) | 0)) === 0))) {
    this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (ahi & (((-1) + bhi) | 0));
    return alo
  } else {
    return $uI(this.unsignedDivModHelper__p1__I__I__I__I__I__sjs_js_$bar(alo, ahi, blo, bhi, 1))
  }
});
var $d_sjsr_RuntimeLong$ = new $TypeData().initClass({
  sjsr_RuntimeLong$: 0
}, false, "scala.scalajs.runtime.RuntimeLong$", {
  sjsr_RuntimeLong$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sjsr_RuntimeLong$.prototype.$classData = $d_sjsr_RuntimeLong$;
var $n_sjsr_RuntimeLong$ = (void 0);
function $m_sjsr_RuntimeLong$() {
  if ((!$n_sjsr_RuntimeLong$)) {
    $n_sjsr_RuntimeLong$ = new $c_sjsr_RuntimeLong$().init___()
  };
  return $n_sjsr_RuntimeLong$
}
/** @constructor */
function $c_sr_AbstractPartialFunction() {
  $c_O.call(this)
}
$c_sr_AbstractPartialFunction.prototype = new $h_O();
$c_sr_AbstractPartialFunction.prototype.constructor = $c_sr_AbstractPartialFunction;
/** @constructor */
function $h_sr_AbstractPartialFunction() {
  /*<skip>*/
}
$h_sr_AbstractPartialFunction.prototype = $c_sr_AbstractPartialFunction.prototype;
$c_sr_AbstractPartialFunction.prototype.apply__O__O = (function(x) {
  return this.applyOrElse__O__F1__O(x, $m_s_PartialFunction$().empty$undpf$1)
});
$c_sr_AbstractPartialFunction.prototype.toString__T = (function() {
  return "<function1>"
});
var $d_sr_Nothing$ = new $TypeData().initClass({
  sr_Nothing$: 0
}, false, "scala.runtime.Nothing$", {
  sr_Nothing$: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
var $b_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$ = (void 0);
function $a_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$() {
  if ((!$b_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$ = (function $c_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$() {
      $a_Lcom_metastay_monitorapp_enums_TaskState().call(this, "ALLOCATED", "ALLOCATED")
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$ = (function $h_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$.prototype = $a_Lcom_metastay_monitorapp_enums_TaskState().prototype;
    $c_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$.prototype = new $h_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$();
    $c_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$.prototype.constructor = $c_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$;
    $b_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$ = $c_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$
  };
  return $b_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$
}
var $n_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$ = (void 0);
function $m_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$() {
  if ((!$n_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$)) {
    $n_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$ = new ($a_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$())()
  };
  return $n_Lcom_metastay_monitorapp_enums_TaskState$ALLOCATED$
}
var $b_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$ = (void 0);
function $a_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$() {
  if ((!$b_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$ = (function $c_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$() {
      $a_Lcom_metastay_monitorapp_enums_TaskState().call(this, "CANCELLED", "CANCELLED")
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$ = (function $h_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$.prototype = $a_Lcom_metastay_monitorapp_enums_TaskState().prototype;
    $c_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$.prototype = new $h_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$();
    $c_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$.prototype.constructor = $c_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$;
    $b_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$ = $c_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$
  };
  return $b_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$
}
var $n_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$ = (void 0);
function $m_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$() {
  if ((!$n_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$)) {
    $n_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$ = new ($a_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$())()
  };
  return $n_Lcom_metastay_monitorapp_enums_TaskState$CANCELLED$
}
var $b_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$ = (void 0);
function $a_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$() {
  if ((!$b_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$ = (function $c_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$() {
      $a_Lcom_metastay_monitorapp_enums_TaskState().call(this, "COMPLETED", "COMPLETED")
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$ = (function $h_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$.prototype = $a_Lcom_metastay_monitorapp_enums_TaskState().prototype;
    $c_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$.prototype = new $h_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$();
    $c_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$.prototype.constructor = $c_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$;
    $b_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$ = $c_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$
  };
  return $b_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$
}
var $n_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$ = (void 0);
function $m_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$() {
  if ((!$n_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$)) {
    $n_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$ = new ($a_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$())()
  };
  return $n_Lcom_metastay_monitorapp_enums_TaskState$COMPLETED$
}
var $b_Lcom_metastay_monitorapp_enums_TaskState$CREATED$ = (void 0);
function $a_Lcom_metastay_monitorapp_enums_TaskState$CREATED$() {
  if ((!$b_Lcom_metastay_monitorapp_enums_TaskState$CREATED$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_enums_TaskState$CREATED$ = (function $c_Lcom_metastay_monitorapp_enums_TaskState$CREATED$() {
      $a_Lcom_metastay_monitorapp_enums_TaskState().call(this, "CREATED", "CREATED")
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_enums_TaskState$CREATED$ = (function $h_Lcom_metastay_monitorapp_enums_TaskState$CREATED$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_enums_TaskState$CREATED$.prototype = $a_Lcom_metastay_monitorapp_enums_TaskState().prototype;
    $c_Lcom_metastay_monitorapp_enums_TaskState$CREATED$.prototype = new $h_Lcom_metastay_monitorapp_enums_TaskState$CREATED$();
    $c_Lcom_metastay_monitorapp_enums_TaskState$CREATED$.prototype.constructor = $c_Lcom_metastay_monitorapp_enums_TaskState$CREATED$;
    $b_Lcom_metastay_monitorapp_enums_TaskState$CREATED$ = $c_Lcom_metastay_monitorapp_enums_TaskState$CREATED$
  };
  return $b_Lcom_metastay_monitorapp_enums_TaskState$CREATED$
}
var $n_Lcom_metastay_monitorapp_enums_TaskState$CREATED$ = (void 0);
function $m_Lcom_metastay_monitorapp_enums_TaskState$CREATED$() {
  if ((!$n_Lcom_metastay_monitorapp_enums_TaskState$CREATED$)) {
    $n_Lcom_metastay_monitorapp_enums_TaskState$CREATED$ = new ($a_Lcom_metastay_monitorapp_enums_TaskState$CREATED$())()
  };
  return $n_Lcom_metastay_monitorapp_enums_TaskState$CREATED$
}
var $b_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$ = (void 0);
function $a_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$() {
  if ((!$b_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$ = (function $c_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$() {
      $a_Lcom_metastay_monitorapp_enums_TaskState().call(this, "EXCEPTION_Q", "EXCEPTION_Q")
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$ = (function $h_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$.prototype = $a_Lcom_metastay_monitorapp_enums_TaskState().prototype;
    $c_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$.prototype = new $h_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$();
    $c_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$.prototype.constructor = $c_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$;
    $b_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$ = $c_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$
  };
  return $b_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$
}
var $n_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$ = (void 0);
function $m_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$() {
  if ((!$n_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$)) {
    $n_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$ = new ($a_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$())()
  };
  return $n_Lcom_metastay_monitorapp_enums_TaskState$EXCEPTION$undQ$
}
var $b_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$ = (void 0);
function $a_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$() {
  if ((!$b_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$ = (function $c_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$() {
      $a_Lcom_metastay_monitorapp_enums_TaskState().call(this, "EXIT_Q", "EXIT_Q")
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$ = (function $h_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$.prototype = $a_Lcom_metastay_monitorapp_enums_TaskState().prototype;
    $c_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$.prototype = new $h_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$();
    $c_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$.prototype.constructor = $c_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$;
    $b_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$ = $c_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$
  };
  return $b_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$
}
var $n_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$ = (void 0);
function $m_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$() {
  if ((!$n_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$)) {
    $n_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$ = new ($a_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$())()
  };
  return $n_Lcom_metastay_monitorapp_enums_TaskState$EXIT$undQ$
}
var $b_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$ = (void 0);
function $a_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$() {
  if ((!$b_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$ = (function $c_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$() {
      $a_Lcom_metastay_monitorapp_enums_TaskState().call(this, "FORCE_COMPLETED", "FORCE_COMPLETED")
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$ = (function $h_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$.prototype = $a_Lcom_metastay_monitorapp_enums_TaskState().prototype;
    $c_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$.prototype = new $h_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$();
    $c_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$.prototype.constructor = $c_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$;
    $b_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$ = $c_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$
  };
  return $b_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$
}
var $n_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$ = (void 0);
function $m_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$() {
  if ((!$n_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$)) {
    $n_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$ = new ($a_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$())()
  };
  return $n_Lcom_metastay_monitorapp_enums_TaskState$FORCE$undCOMPLETED$
}
var $b_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$ = (void 0);
function $a_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$() {
  if ((!$b_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$ = (function $c_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$() {
      $a_Lcom_metastay_monitorapp_enums_TaskState().call(this, "PARTIALLY_COMPLETED", "PARTIALLY_COMPLETED")
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$ = (function $h_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$.prototype = $a_Lcom_metastay_monitorapp_enums_TaskState().prototype;
    $c_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$.prototype = new $h_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$();
    $c_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$.prototype.constructor = $c_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$;
    $b_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$ = $c_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$
  };
  return $b_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$
}
var $n_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$ = (void 0);
function $m_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$() {
  if ((!$n_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$)) {
    $n_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$ = new ($a_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$())()
  };
  return $n_Lcom_metastay_monitorapp_enums_TaskState$PARTIALLY$undCOMPLETED$
}
var $b_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$ = (void 0);
function $a_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$() {
  if ((!$b_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$ = (function $c_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$() {
      $a_Lcom_metastay_monitorapp_enums_TaskState().call(this, "PENDING_CANCELLED", "PENDING_CANCELLED")
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$ = (function $h_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$.prototype = $a_Lcom_metastay_monitorapp_enums_TaskState().prototype;
    $c_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$.prototype = new $h_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$();
    $c_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$.prototype.constructor = $c_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$;
    $b_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$ = $c_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$
  };
  return $b_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$
}
var $n_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$ = (void 0);
function $m_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$() {
  if ((!$n_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$)) {
    $n_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$ = new ($a_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$())()
  };
  return $n_Lcom_metastay_monitorapp_enums_TaskState$PENDING$undCANCELLED$
}
var $b_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$ = (void 0);
function $a_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$() {
  if ((!$b_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$ = (function $c_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$() {
      $a_Lcom_metastay_monitorapp_enums_TaskState().call(this, "RESOURCE_UNAVAILABLE", "RESOURCE_UNAVAILABLE")
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$ = (function $h_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$.prototype = $a_Lcom_metastay_monitorapp_enums_TaskState().prototype;
    $c_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$.prototype = new $h_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$();
    $c_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$.prototype.constructor = $c_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$;
    $b_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$ = $c_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$
  };
  return $b_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$
}
var $n_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$ = (void 0);
function $m_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$() {
  if ((!$n_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$)) {
    $n_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$ = new ($a_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$())()
  };
  return $n_Lcom_metastay_monitorapp_enums_TaskState$RESOURCE$undUNAVAILABLE$
}
var $b_Lcom_metastay_monitorapp_enums_TaskState$STARTED$ = (void 0);
function $a_Lcom_metastay_monitorapp_enums_TaskState$STARTED$() {
  if ((!$b_Lcom_metastay_monitorapp_enums_TaskState$STARTED$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_enums_TaskState$STARTED$ = (function $c_Lcom_metastay_monitorapp_enums_TaskState$STARTED$() {
      $a_Lcom_metastay_monitorapp_enums_TaskState().call(this, "STARTED", "STARTED")
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_enums_TaskState$STARTED$ = (function $h_Lcom_metastay_monitorapp_enums_TaskState$STARTED$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_enums_TaskState$STARTED$.prototype = $a_Lcom_metastay_monitorapp_enums_TaskState().prototype;
    $c_Lcom_metastay_monitorapp_enums_TaskState$STARTED$.prototype = new $h_Lcom_metastay_monitorapp_enums_TaskState$STARTED$();
    $c_Lcom_metastay_monitorapp_enums_TaskState$STARTED$.prototype.constructor = $c_Lcom_metastay_monitorapp_enums_TaskState$STARTED$;
    $b_Lcom_metastay_monitorapp_enums_TaskState$STARTED$ = $c_Lcom_metastay_monitorapp_enums_TaskState$STARTED$
  };
  return $b_Lcom_metastay_monitorapp_enums_TaskState$STARTED$
}
var $n_Lcom_metastay_monitorapp_enums_TaskState$STARTED$ = (void 0);
function $m_Lcom_metastay_monitorapp_enums_TaskState$STARTED$() {
  if ((!$n_Lcom_metastay_monitorapp_enums_TaskState$STARTED$)) {
    $n_Lcom_metastay_monitorapp_enums_TaskState$STARTED$ = new ($a_Lcom_metastay_monitorapp_enums_TaskState$STARTED$())()
  };
  return $n_Lcom_metastay_monitorapp_enums_TaskState$STARTED$
}
var $b_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$ = (void 0);
function $a_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$() {
  if ((!$b_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$ = (function $c_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$() {
      $a_Lcom_metastay_monitorapp_enums_TaskState().call(this, "TO_BE_ALLOCATED", "TO_BE_ALLOCATED")
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$ = (function $h_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$.prototype = $a_Lcom_metastay_monitorapp_enums_TaskState().prototype;
    $c_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$.prototype = new $h_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$();
    $c_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$.prototype.constructor = $c_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$;
    $b_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$ = $c_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$
  };
  return $b_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$
}
var $n_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$ = (void 0);
function $m_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$() {
  if ((!$n_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$)) {
    $n_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$ = new ($a_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$())()
  };
  return $n_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undALLOCATED$
}
var $b_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$ = (void 0);
function $a_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$() {
  if ((!$b_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$)) {
    /** @constructor */
    var $c_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$ = (function $c_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$() {
      $a_Lcom_metastay_monitorapp_enums_TaskState().call(this, "TO_BE_PULLED", "TO_BE_PULLED")
    });
    /** @constructor */
    var $h_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$ = (function $h_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$.prototype = $a_Lcom_metastay_monitorapp_enums_TaskState().prototype;
    $c_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$.prototype = new $h_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$();
    $c_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$.prototype.constructor = $c_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$;
    $b_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$ = $c_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$
  };
  return $b_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$
}
var $n_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$ = (void 0);
function $m_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$() {
  if ((!$n_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$)) {
    $n_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$ = new ($a_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$())()
  };
  return $n_Lcom_metastay_monitorapp_enums_TaskState$TO$undBE$undPULLED$
}
/** @constructor */
function $c_Ljava_io_FilterOutputStream() {
  $c_Ljava_io_OutputStream.call(this);
  this.out$2 = null
}
$c_Ljava_io_FilterOutputStream.prototype = new $h_Ljava_io_OutputStream();
$c_Ljava_io_FilterOutputStream.prototype.constructor = $c_Ljava_io_FilterOutputStream;
/** @constructor */
function $h_Ljava_io_FilterOutputStream() {
  /*<skip>*/
}
$h_Ljava_io_FilterOutputStream.prototype = $c_Ljava_io_FilterOutputStream.prototype;
$c_Ljava_io_FilterOutputStream.prototype.init___Ljava_io_OutputStream = (function(out) {
  this.out$2 = out;
  return this
});
/** @constructor */
function $c_Lsmilejs_com_metastay_prism_enums_CommentLevel() {
  $c_O.call(this);
  this.id$1 = null;
  this.name$1 = null;
  this.index$1 = 0;
  this.bitmap$0$1 = false
}
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel.prototype = new $h_O();
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel.prototype.constructor = $c_Lsmilejs_com_metastay_prism_enums_CommentLevel;
/** @constructor */
function $h_Lsmilejs_com_metastay_prism_enums_CommentLevel() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_prism_enums_CommentLevel.prototype = $c_Lsmilejs_com_metastay_prism_enums_CommentLevel.prototype;
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel.prototype.init___T__T = (function(id, name) {
  this.id$1 = id;
  this.name$1 = name;
  return this
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel.prototype.$$js$exported$prop$name__O = (function() {
  return this.name$1
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel.prototype.$$js$exported$prop$id__O = (function() {
  return this.id$1
});
Object.defineProperty($c_Lsmilejs_com_metastay_prism_enums_CommentLevel.prototype, "name", {
  "get": (function() {
    return this.$$js$exported$prop$name__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_prism_enums_CommentLevel.prototype, "id", {
  "get": (function() {
    return this.$$js$exported$prop$id__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_prism_enums_CommentLevel(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_prism_enums_CommentLevel)))
}
function $as_Lsmilejs_com_metastay_prism_enums_CommentLevel(obj) {
  return (($is_Lsmilejs_com_metastay_prism_enums_CommentLevel(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.prism.enums.CommentLevel"))
}
function $isArrayOf_Lsmilejs_com_metastay_prism_enums_CommentLevel(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_prism_enums_CommentLevel)))
}
function $asArrayOf_Lsmilejs_com_metastay_prism_enums_CommentLevel(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_prism_enums_CommentLevel(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.prism.enums.CommentLevel;", depth))
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_FlowState() {
  $c_O.call(this);
  this.id$1 = null;
  this.name$1 = null;
  this.index$1 = 0;
  this.bitmap$0$1 = false
}
$c_Lsmilejs_com_metastay_valey_enums_FlowState.prototype = new $h_O();
$c_Lsmilejs_com_metastay_valey_enums_FlowState.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_FlowState;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_FlowState() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_FlowState.prototype = $c_Lsmilejs_com_metastay_valey_enums_FlowState.prototype;
$c_Lsmilejs_com_metastay_valey_enums_FlowState.prototype.init___T__T = (function(id, name) {
  this.id$1 = id;
  this.name$1 = name;
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState.prototype.$$js$exported$prop$name__O = (function() {
  return this.name$1
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState.prototype.$$js$exported$prop$id__O = (function() {
  return this.id$1
});
Object.defineProperty($c_Lsmilejs_com_metastay_valey_enums_FlowState.prototype, "name", {
  "get": (function() {
    return this.$$js$exported$prop$name__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_valey_enums_FlowState.prototype, "id", {
  "get": (function() {
    return this.$$js$exported$prop$id__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_valey_enums_FlowState(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_valey_enums_FlowState)))
}
function $as_Lsmilejs_com_metastay_valey_enums_FlowState(obj) {
  return (($is_Lsmilejs_com_metastay_valey_enums_FlowState(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.valey.enums.FlowState"))
}
function $isArrayOf_Lsmilejs_com_metastay_valey_enums_FlowState(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_valey_enums_FlowState)))
}
function $asArrayOf_Lsmilejs_com_metastay_valey_enums_FlowState(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_valey_enums_FlowState(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.valey.enums.FlowState;", depth))
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_TaskState() {
  $c_O.call(this);
  this.id$1 = null;
  this.name$1 = null;
  this.index$1 = 0;
  this.bitmap$0$1 = false
}
$c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype = new $h_O();
$c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_TaskState;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_TaskState() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_TaskState.prototype = $c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype;
$c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype.init___T__T = (function(id, name) {
  this.id$1 = id;
  this.name$1 = name;
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype.$$js$exported$prop$name__O = (function() {
  return this.name$1
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype.$$js$exported$prop$id__O = (function() {
  return this.id$1
});
Object.defineProperty($c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype, "name", {
  "get": (function() {
    return this.$$js$exported$prop$name__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype, "id", {
  "get": (function() {
    return this.$$js$exported$prop$id__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_valey_enums_TaskState(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_valey_enums_TaskState)))
}
function $as_Lsmilejs_com_metastay_valey_enums_TaskState(obj) {
  return (($is_Lsmilejs_com_metastay_valey_enums_TaskState(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.valey.enums.TaskState"))
}
function $isArrayOf_Lsmilejs_com_metastay_valey_enums_TaskState(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_valey_enums_TaskState)))
}
function $asArrayOf_Lsmilejs_com_metastay_valey_enums_TaskState(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_valey_enums_TaskState(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.valey.enums.TaskState;", depth))
}
function $is_T(obj) {
  return ((typeof obj) === "string")
}
function $as_T(obj) {
  return (($is_T(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.String"))
}
function $isArrayOf_T(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.T)))
}
function $asArrayOf_T(obj, depth) {
  return (($isArrayOf_T(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.String;", depth))
}
var $d_T = new $TypeData().initClass({
  T: 0
}, false, "java.lang.String", {
  T: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_CharSequence: 1,
  jl_Comparable: 1
}, (void 0), (void 0), $is_T);
/** @constructor */
function $c_jl_AssertionError() {
  $c_jl_Error.call(this)
}
$c_jl_AssertionError.prototype = new $h_jl_Error();
$c_jl_AssertionError.prototype.constructor = $c_jl_AssertionError;
/** @constructor */
function $h_jl_AssertionError() {
  /*<skip>*/
}
$h_jl_AssertionError.prototype = $c_jl_AssertionError.prototype;
$c_jl_AssertionError.prototype.init___O = (function(o) {
  var s = $objectToString(o);
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
var $d_jl_AssertionError = new $TypeData().initClass({
  jl_AssertionError: 0
}, false, "java.lang.AssertionError", {
  jl_AssertionError: 1,
  jl_Error: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_AssertionError.prototype.$classData = $d_jl_AssertionError;
var $d_jl_Byte = new $TypeData().initClass({
  jl_Byte: 0
}, false, "java.lang.Byte", {
  jl_Byte: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return $isByte(x)
}));
/** @constructor */
function $c_jl_CloneNotSupportedException() {
  $c_jl_Exception.call(this)
}
$c_jl_CloneNotSupportedException.prototype = new $h_jl_Exception();
$c_jl_CloneNotSupportedException.prototype.constructor = $c_jl_CloneNotSupportedException;
/** @constructor */
function $h_jl_CloneNotSupportedException() {
  /*<skip>*/
}
$h_jl_CloneNotSupportedException.prototype = $c_jl_CloneNotSupportedException.prototype;
$c_jl_CloneNotSupportedException.prototype.init___ = (function() {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
  return this
});
var $d_jl_CloneNotSupportedException = new $TypeData().initClass({
  jl_CloneNotSupportedException: 0
}, false, "java.lang.CloneNotSupportedException", {
  jl_CloneNotSupportedException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_CloneNotSupportedException.prototype.$classData = $d_jl_CloneNotSupportedException;
function $isArrayOf_jl_Double(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Double)))
}
function $asArrayOf_jl_Double(obj, depth) {
  return (($isArrayOf_jl_Double(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.Double;", depth))
}
var $d_jl_Double = new $TypeData().initClass({
  jl_Double: 0
}, false, "java.lang.Double", {
  jl_Double: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return ((typeof x) === "number")
}));
var $d_jl_Float = new $TypeData().initClass({
  jl_Float: 0
}, false, "java.lang.Float", {
  jl_Float: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return $isFloat(x)
}));
var $d_jl_Integer = new $TypeData().initClass({
  jl_Integer: 0
}, false, "java.lang.Integer", {
  jl_Integer: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return $isInt(x)
}));
function $is_jl_InterruptedException(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_InterruptedException)))
}
function $as_jl_InterruptedException(obj) {
  return (($is_jl_InterruptedException(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.InterruptedException"))
}
function $isArrayOf_jl_InterruptedException(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_InterruptedException)))
}
function $asArrayOf_jl_InterruptedException(obj, depth) {
  return (($isArrayOf_jl_InterruptedException(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.InterruptedException;", depth))
}
/** @constructor */
function $c_jl_JSConsoleBasedPrintStream$DummyOutputStream() {
  $c_Ljava_io_OutputStream.call(this)
}
$c_jl_JSConsoleBasedPrintStream$DummyOutputStream.prototype = new $h_Ljava_io_OutputStream();
$c_jl_JSConsoleBasedPrintStream$DummyOutputStream.prototype.constructor = $c_jl_JSConsoleBasedPrintStream$DummyOutputStream;
/** @constructor */
function $h_jl_JSConsoleBasedPrintStream$DummyOutputStream() {
  /*<skip>*/
}
$h_jl_JSConsoleBasedPrintStream$DummyOutputStream.prototype = $c_jl_JSConsoleBasedPrintStream$DummyOutputStream.prototype;
$c_jl_JSConsoleBasedPrintStream$DummyOutputStream.prototype.init___ = (function() {
  return this
});
var $d_jl_JSConsoleBasedPrintStream$DummyOutputStream = new $TypeData().initClass({
  jl_JSConsoleBasedPrintStream$DummyOutputStream: 0
}, false, "java.lang.JSConsoleBasedPrintStream$DummyOutputStream", {
  jl_JSConsoleBasedPrintStream$DummyOutputStream: 1,
  Ljava_io_OutputStream: 1,
  O: 1,
  Ljava_io_Closeable: 1,
  Ljava_io_Flushable: 1
});
$c_jl_JSConsoleBasedPrintStream$DummyOutputStream.prototype.$classData = $d_jl_JSConsoleBasedPrintStream$DummyOutputStream;
function $is_jl_LinkageError(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_LinkageError)))
}
function $as_jl_LinkageError(obj) {
  return (($is_jl_LinkageError(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.LinkageError"))
}
function $isArrayOf_jl_LinkageError(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_LinkageError)))
}
function $asArrayOf_jl_LinkageError(obj, depth) {
  return (($isArrayOf_jl_LinkageError(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.LinkageError;", depth))
}
function $isArrayOf_jl_Long(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Long)))
}
function $asArrayOf_jl_Long(obj, depth) {
  return (($isArrayOf_jl_Long(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.Long;", depth))
}
var $d_jl_Long = new $TypeData().initClass({
  jl_Long: 0
}, false, "java.lang.Long", {
  jl_Long: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return $is_sjsr_RuntimeLong(x)
}));
/** @constructor */
function $c_jl_RuntimeException() {
  $c_jl_Exception.call(this)
}
$c_jl_RuntimeException.prototype = new $h_jl_Exception();
$c_jl_RuntimeException.prototype.constructor = $c_jl_RuntimeException;
/** @constructor */
function $h_jl_RuntimeException() {
  /*<skip>*/
}
$h_jl_RuntimeException.prototype = $c_jl_RuntimeException.prototype;
var $d_jl_Short = new $TypeData().initClass({
  jl_Short: 0
}, false, "java.lang.Short", {
  jl_Short: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return $isShort(x)
}));
/** @constructor */
function $c_jl_StringBuilder() {
  $c_O.call(this);
  this.content$1 = null
}
$c_jl_StringBuilder.prototype = new $h_O();
$c_jl_StringBuilder.prototype.constructor = $c_jl_StringBuilder;
/** @constructor */
function $h_jl_StringBuilder() {
  /*<skip>*/
}
$h_jl_StringBuilder.prototype = $c_jl_StringBuilder.prototype;
$c_jl_StringBuilder.prototype.init___ = (function() {
  $c_jl_StringBuilder.prototype.init___T.call(this, "");
  return this
});
$c_jl_StringBuilder.prototype.append__T__jl_StringBuilder = (function(s) {
  this.content$1 = (("" + this.content$1) + ((s === null) ? "null" : s));
  return this
});
$c_jl_StringBuilder.prototype.subSequence__I__I__jl_CharSequence = (function(start, end) {
  var thiz = this.content$1;
  return $as_T(thiz.substring(start, end))
});
$c_jl_StringBuilder.prototype.toString__T = (function() {
  return this.content$1
});
$c_jl_StringBuilder.prototype.init___jl_CharSequence = (function(csq) {
  $c_jl_StringBuilder.prototype.init___T.call(this, $objectToString(csq));
  return this
});
$c_jl_StringBuilder.prototype.append__O__jl_StringBuilder = (function(obj) {
  return ((obj === null) ? this.append__T__jl_StringBuilder(null) : this.append__T__jl_StringBuilder($objectToString(obj)))
});
$c_jl_StringBuilder.prototype.init___I = (function(initialCapacity) {
  $c_jl_StringBuilder.prototype.init___T.call(this, "");
  return this
});
$c_jl_StringBuilder.prototype.append__jl_CharSequence__I__I__jl_StringBuilder = (function(csq, start, end) {
  return ((csq === null) ? this.append__jl_CharSequence__I__I__jl_StringBuilder("null", start, end) : this.append__T__jl_StringBuilder($objectToString($charSequenceSubSequence(csq, start, end))))
});
$c_jl_StringBuilder.prototype.append__C__jl_StringBuilder = (function(c) {
  return this.append__T__jl_StringBuilder($as_T($g.String.fromCharCode(c)))
});
$c_jl_StringBuilder.prototype.init___T = (function(content) {
  this.content$1 = content;
  return this
});
$c_jl_StringBuilder.prototype.reverse__jl_StringBuilder = (function() {
  var original = this.content$1;
  var result = "";
  var i = 0;
  while ((i < $uI(original.length))) {
    var index = i;
    var c = (65535 & $uI(original.charCodeAt(index)));
    if ((((64512 & c) === 55296) && (((1 + i) | 0) < $uI(original.length)))) {
      var index$1 = ((1 + i) | 0);
      var c2 = (65535 & $uI(original.charCodeAt(index$1)));
      if (((64512 & c2) === 56320)) {
        result = ((("" + $as_T($g.String.fromCharCode(c))) + $as_T($g.String.fromCharCode(c2))) + result);
        i = ((2 + i) | 0)
      } else {
        result = (("" + $as_T($g.String.fromCharCode(c))) + result);
        i = ((1 + i) | 0)
      }
    } else {
      result = (("" + $as_T($g.String.fromCharCode(c))) + result);
      i = ((1 + i) | 0)
    }
  };
  this.content$1 = result;
  return this
});
var $d_jl_StringBuilder = new $TypeData().initClass({
  jl_StringBuilder: 0
}, false, "java.lang.StringBuilder", {
  jl_StringBuilder: 1,
  O: 1,
  jl_CharSequence: 1,
  jl_Appendable: 1,
  Ljava_io_Serializable: 1
});
$c_jl_StringBuilder.prototype.$classData = $d_jl_StringBuilder;
function $is_jl_ThreadDeath(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_ThreadDeath)))
}
function $as_jl_ThreadDeath(obj) {
  return (($is_jl_ThreadDeath(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.ThreadDeath"))
}
function $isArrayOf_jl_ThreadDeath(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_ThreadDeath)))
}
function $asArrayOf_jl_ThreadDeath(obj, depth) {
  return (($isArrayOf_jl_ThreadDeath(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.ThreadDeath;", depth))
}
function $is_jl_VirtualMachineError(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_VirtualMachineError)))
}
function $as_jl_VirtualMachineError(obj) {
  return (($is_jl_VirtualMachineError(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.VirtualMachineError"))
}
function $isArrayOf_jl_VirtualMachineError(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_VirtualMachineError)))
}
function $asArrayOf_jl_VirtualMachineError(obj, depth) {
  return (($isArrayOf_jl_VirtualMachineError(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.VirtualMachineError;", depth))
}
/** @constructor */
function $c_ju_concurrent_ExecutionException() {
  $c_jl_Exception.call(this)
}
$c_ju_concurrent_ExecutionException.prototype = new $h_jl_Exception();
$c_ju_concurrent_ExecutionException.prototype.constructor = $c_ju_concurrent_ExecutionException;
/** @constructor */
function $h_ju_concurrent_ExecutionException() {
  /*<skip>*/
}
$h_ju_concurrent_ExecutionException.prototype = $c_ju_concurrent_ExecutionException.prototype;
$c_ju_concurrent_ExecutionException.prototype.init___T__jl_Throwable = (function(message, cause) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, message, cause);
  return this
});
var $d_ju_concurrent_ExecutionException = new $TypeData().initClass({
  ju_concurrent_ExecutionException: 0
}, false, "java.util.concurrent.ExecutionException", {
  ju_concurrent_ExecutionException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_ExecutionException.prototype.$classData = $d_ju_concurrent_ExecutionException;
/** @constructor */
function $c_s_Array$() {
  $c_s_FallbackArrayBuilding.call(this)
}
$c_s_Array$.prototype = new $h_s_FallbackArrayBuilding();
$c_s_Array$.prototype.constructor = $c_s_Array$;
/** @constructor */
function $h_s_Array$() {
  /*<skip>*/
}
$h_s_Array$.prototype = $c_s_Array$.prototype;
$c_s_Array$.prototype.init___ = (function() {
  return this
});
$c_s_Array$.prototype.slowcopy__p2__O__I__O__I__I__V = (function(src, srcPos, dest, destPos, length) {
  var i = srcPos;
  var j = destPos;
  var srcUntil = ((srcPos + length) | 0);
  while ((i < srcUntil)) {
    $m_sr_ScalaRunTime$().array$undupdate__O__I__O__V(dest, j, $m_sr_ScalaRunTime$().array$undapply__O__I__O(src, i));
    i = ((1 + i) | 0);
    j = ((1 + j) | 0)
  }
});
$c_s_Array$.prototype.copy__O__I__O__I__I__V = (function(src, srcPos, dest, destPos, length) {
  var srcClass = $objectGetClass(src);
  if ((srcClass.isArray__Z() && $objectGetClass(dest).isAssignableFrom__jl_Class__Z(srcClass))) {
    $systemArraycopy(src, srcPos, dest, destPos, length)
  } else {
    this.slowcopy__p2__O__I__O__I__I__V(src, srcPos, dest, destPos, length)
  }
});
var $d_s_Array$ = new $TypeData().initClass({
  s_Array$: 0
}, false, "scala.Array$", {
  s_Array$: 1,
  s_FallbackArrayBuilding: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_Array$.prototype.$classData = $d_s_Array$;
var $n_s_Array$ = (void 0);
function $m_s_Array$() {
  if ((!$n_s_Array$)) {
    $n_s_Array$ = new $c_s_Array$().init___()
  };
  return $n_s_Array$
}
/** @constructor */
function $c_s_Predef$$eq$colon$eq() {
  $c_O.call(this)
}
$c_s_Predef$$eq$colon$eq.prototype = new $h_O();
$c_s_Predef$$eq$colon$eq.prototype.constructor = $c_s_Predef$$eq$colon$eq;
/** @constructor */
function $h_s_Predef$$eq$colon$eq() {
  /*<skip>*/
}
$h_s_Predef$$eq$colon$eq.prototype = $c_s_Predef$$eq$colon$eq.prototype;
$c_s_Predef$$eq$colon$eq.prototype.toString__T = (function() {
  return "<function1>"
});
/** @constructor */
function $c_s_Predef$$less$colon$less() {
  $c_O.call(this)
}
$c_s_Predef$$less$colon$less.prototype = new $h_O();
$c_s_Predef$$less$colon$less.prototype.constructor = $c_s_Predef$$less$colon$less;
/** @constructor */
function $h_s_Predef$$less$colon$less() {
  /*<skip>*/
}
$h_s_Predef$$less$colon$less.prototype = $c_s_Predef$$less$colon$less.prototype;
$c_s_Predef$$less$colon$less.prototype.toString__T = (function() {
  return "<function1>"
});
/** @constructor */
function $c_s_concurrent_Future$InternalCallbackExecutor$() {
  $c_O.call(this);
  this.scala$concurrent$BatchingExecutor$$$undtasksLocal$1 = null
}
$c_s_concurrent_Future$InternalCallbackExecutor$.prototype = new $h_O();
$c_s_concurrent_Future$InternalCallbackExecutor$.prototype.constructor = $c_s_concurrent_Future$InternalCallbackExecutor$;
/** @constructor */
function $h_s_concurrent_Future$InternalCallbackExecutor$() {
  /*<skip>*/
}
$h_s_concurrent_Future$InternalCallbackExecutor$.prototype = $c_s_concurrent_Future$InternalCallbackExecutor$.prototype;
$c_s_concurrent_Future$InternalCallbackExecutor$.prototype.init___ = (function() {
  $n_s_concurrent_Future$InternalCallbackExecutor$ = this;
  this.scala$concurrent$BatchingExecutor$$$undtasksLocal$1 = new $c_jl_ThreadLocal().init___();
  return this
});
$c_s_concurrent_Future$InternalCallbackExecutor$.prototype.reportFailure__jl_Throwable__V = (function(t) {
  throw new $c_jl_IllegalStateException().init___T__jl_Throwable("problem in scala.concurrent internal callback", t)
});
$c_s_concurrent_Future$InternalCallbackExecutor$.prototype.execute__jl_Runnable__V = (function(runnable) {
  $s_s_concurrent_BatchingExecutor$class__execute__s_concurrent_BatchingExecutor__jl_Runnable__V(this, runnable)
});
var $d_s_concurrent_Future$InternalCallbackExecutor$ = new $TypeData().initClass({
  s_concurrent_Future$InternalCallbackExecutor$: 0
}, false, "scala.concurrent.Future$InternalCallbackExecutor$", {
  s_concurrent_Future$InternalCallbackExecutor$: 1,
  O: 1,
  s_concurrent_ExecutionContext: 1,
  s_concurrent_BatchingExecutor: 1,
  ju_concurrent_Executor: 1
});
$c_s_concurrent_Future$InternalCallbackExecutor$.prototype.$classData = $d_s_concurrent_Future$InternalCallbackExecutor$;
var $n_s_concurrent_Future$InternalCallbackExecutor$ = (void 0);
function $m_s_concurrent_Future$InternalCallbackExecutor$() {
  if ((!$n_s_concurrent_Future$InternalCallbackExecutor$)) {
    $n_s_concurrent_Future$InternalCallbackExecutor$ = new $c_s_concurrent_Future$InternalCallbackExecutor$().init___()
  };
  return $n_s_concurrent_Future$InternalCallbackExecutor$
}
/** @constructor */
function $c_s_concurrent_impl_AbstractPromise() {
  $c_ju_concurrent_atomic_AtomicReference.call(this)
}
$c_s_concurrent_impl_AbstractPromise.prototype = new $h_ju_concurrent_atomic_AtomicReference();
$c_s_concurrent_impl_AbstractPromise.prototype.constructor = $c_s_concurrent_impl_AbstractPromise;
/** @constructor */
function $h_s_concurrent_impl_AbstractPromise() {
  /*<skip>*/
}
$h_s_concurrent_impl_AbstractPromise.prototype = $c_s_concurrent_impl_AbstractPromise.prototype;
/** @constructor */
function $c_s_math_Equiv$() {
  $c_O.call(this)
}
$c_s_math_Equiv$.prototype = new $h_O();
$c_s_math_Equiv$.prototype.constructor = $c_s_math_Equiv$;
/** @constructor */
function $h_s_math_Equiv$() {
  /*<skip>*/
}
$h_s_math_Equiv$.prototype = $c_s_math_Equiv$.prototype;
$c_s_math_Equiv$.prototype.init___ = (function() {
  return this
});
var $d_s_math_Equiv$ = new $TypeData().initClass({
  s_math_Equiv$: 0
}, false, "scala.math.Equiv$", {
  s_math_Equiv$: 1,
  O: 1,
  s_math_LowPriorityEquiv: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Equiv$.prototype.$classData = $d_s_math_Equiv$;
var $n_s_math_Equiv$ = (void 0);
function $m_s_math_Equiv$() {
  if ((!$n_s_math_Equiv$)) {
    $n_s_math_Equiv$ = new $c_s_math_Equiv$().init___()
  };
  return $n_s_math_Equiv$
}
/** @constructor */
function $c_s_math_Ordering$() {
  $c_O.call(this)
}
$c_s_math_Ordering$.prototype = new $h_O();
$c_s_math_Ordering$.prototype.constructor = $c_s_math_Ordering$;
/** @constructor */
function $h_s_math_Ordering$() {
  /*<skip>*/
}
$h_s_math_Ordering$.prototype = $c_s_math_Ordering$.prototype;
$c_s_math_Ordering$.prototype.init___ = (function() {
  return this
});
var $d_s_math_Ordering$ = new $TypeData().initClass({
  s_math_Ordering$: 0
}, false, "scala.math.Ordering$", {
  s_math_Ordering$: 1,
  O: 1,
  s_math_LowPriorityOrderingImplicits: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Ordering$.prototype.$classData = $d_s_math_Ordering$;
var $n_s_math_Ordering$ = (void 0);
function $m_s_math_Ordering$() {
  if ((!$n_s_math_Ordering$)) {
    $n_s_math_Ordering$ = new $c_s_math_Ordering$().init___()
  };
  return $n_s_math_Ordering$
}
/** @constructor */
function $c_s_reflect_NoManifest$() {
  $c_O.call(this)
}
$c_s_reflect_NoManifest$.prototype = new $h_O();
$c_s_reflect_NoManifest$.prototype.constructor = $c_s_reflect_NoManifest$;
/** @constructor */
function $h_s_reflect_NoManifest$() {
  /*<skip>*/
}
$h_s_reflect_NoManifest$.prototype = $c_s_reflect_NoManifest$.prototype;
$c_s_reflect_NoManifest$.prototype.init___ = (function() {
  return this
});
$c_s_reflect_NoManifest$.prototype.toString__T = (function() {
  return "<?>"
});
var $d_s_reflect_NoManifest$ = new $TypeData().initClass({
  s_reflect_NoManifest$: 0
}, false, "scala.reflect.NoManifest$", {
  s_reflect_NoManifest$: 1,
  O: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_reflect_NoManifest$.prototype.$classData = $d_s_reflect_NoManifest$;
var $n_s_reflect_NoManifest$ = (void 0);
function $m_s_reflect_NoManifest$() {
  if ((!$n_s_reflect_NoManifest$)) {
    $n_s_reflect_NoManifest$ = new $c_s_reflect_NoManifest$().init___()
  };
  return $n_s_reflect_NoManifest$
}
/** @constructor */
function $c_sc_AbstractIterator() {
  $c_O.call(this)
}
$c_sc_AbstractIterator.prototype = new $h_O();
$c_sc_AbstractIterator.prototype.constructor = $c_sc_AbstractIterator;
/** @constructor */
function $h_sc_AbstractIterator() {
  /*<skip>*/
}
$h_sc_AbstractIterator.prototype = $c_sc_AbstractIterator.prototype;
$c_sc_AbstractIterator.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sc_AbstractIterator.prototype.isEmpty__Z = (function() {
  return $s_sc_Iterator$class__isEmpty__sc_Iterator__Z(this)
});
$c_sc_AbstractIterator.prototype.toList__sci_List = (function() {
  var this$1 = $m_sci_List$();
  var cbf = this$1.ReusableCBFInstance$2;
  return $as_sci_List($s_sc_TraversableOnce$class__to__sc_TraversableOnce__scg_CanBuildFrom__O(this, cbf))
});
$c_sc_AbstractIterator.prototype.mkString__T__T = (function(sep) {
  return $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T(this, "", sep, "")
});
$c_sc_AbstractIterator.prototype.toString__T = (function() {
  return $s_sc_Iterator$class__toString__sc_Iterator__T(this)
});
$c_sc_AbstractIterator.prototype.foreach__F1__V = (function(f) {
  $s_sc_Iterator$class__foreach__sc_Iterator__F1__V(this, f)
});
$c_sc_AbstractIterator.prototype.foldLeft__O__F2__O = (function(z, op) {
  return $s_sc_TraversableOnce$class__foldLeft__sc_TraversableOnce__O__F2__O(this, z, op)
});
$c_sc_AbstractIterator.prototype.size__I = (function() {
  return $s_sc_TraversableOnce$class__size__sc_TraversableOnce__I(this)
});
$c_sc_AbstractIterator.prototype.toStream__sci_Stream = (function() {
  return $s_sc_Iterator$class__toStream__sc_Iterator__sci_Stream(this)
});
$c_sc_AbstractIterator.prototype.addString__scm_StringBuilder__T__T__T__scm_StringBuilder = (function(b, start, sep, end) {
  return $s_sc_TraversableOnce$class__addString__sc_TraversableOnce__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
});
/** @constructor */
function $c_scg_SetFactory() {
  $c_scg_GenSetFactory.call(this)
}
$c_scg_SetFactory.prototype = new $h_scg_GenSetFactory();
$c_scg_SetFactory.prototype.constructor = $c_scg_SetFactory;
/** @constructor */
function $h_scg_SetFactory() {
  /*<skip>*/
}
$h_scg_SetFactory.prototype = $c_scg_SetFactory.prototype;
/** @constructor */
function $c_sci_ListSet$ListSetBuilder() {
  $c_O.call(this);
  this.elems$1 = null;
  this.seen$1 = null
}
$c_sci_ListSet$ListSetBuilder.prototype = new $h_O();
$c_sci_ListSet$ListSetBuilder.prototype.constructor = $c_sci_ListSet$ListSetBuilder;
/** @constructor */
function $h_sci_ListSet$ListSetBuilder() {
  /*<skip>*/
}
$h_sci_ListSet$ListSetBuilder.prototype = $c_sci_ListSet$ListSetBuilder.prototype;
$c_sci_ListSet$ListSetBuilder.prototype.result__sci_ListSet = (function() {
  var this$2 = this.elems$1;
  var z = $m_sci_ListSet$EmptyListSet$();
  var this$3 = this$2.scala$collection$mutable$ListBuffer$$start$6;
  var acc = z;
  var these = this$3;
  while ((!these.isEmpty__Z())) {
    var arg1 = acc;
    var arg2 = these.head__O();
    var x$1 = $as_sci_ListSet(arg1);
    acc = new $c_sci_ListSet$Node().init___sci_ListSet__O(x$1, arg2);
    these = $as_sc_LinearSeqOptimized(these.tail__O())
  };
  return $as_sci_ListSet(acc)
});
$c_sci_ListSet$ListSetBuilder.prototype.init___ = (function() {
  $c_sci_ListSet$ListSetBuilder.prototype.init___sci_ListSet.call(this, $m_sci_ListSet$EmptyListSet$());
  return this
});
$c_sci_ListSet$ListSetBuilder.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__O__sci_ListSet$ListSetBuilder(elem)
});
$c_sci_ListSet$ListSetBuilder.prototype.init___sci_ListSet = (function(initial) {
  var this$1 = new $c_scm_ListBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(initial);
  this.elems$1 = $as_scm_ListBuffer($s_sc_SeqLike$class__reverse__sc_SeqLike__O(this$1));
  var this$2 = new $c_scm_HashSet().init___();
  this.seen$1 = $as_scm_HashSet($s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this$2, initial));
  return this
});
$c_sci_ListSet$ListSetBuilder.prototype.result__O = (function() {
  return this.result__sci_ListSet()
});
$c_sci_ListSet$ListSetBuilder.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_sci_ListSet$ListSetBuilder.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__O__sci_ListSet$ListSetBuilder(elem)
});
$c_sci_ListSet$ListSetBuilder.prototype.sizeHint__I__V = (function(size) {
  /*<skip>*/
});
$c_sci_ListSet$ListSetBuilder.prototype.$$plus$eq__O__sci_ListSet$ListSetBuilder = (function(x) {
  var this$1 = this.seen$1;
  if ((!$s_scm_FlatHashTable$class__containsElem__scm_FlatHashTable__O__Z(this$1, x))) {
    this.elems$1.$$plus$eq__O__scm_ListBuffer(x);
    this.seen$1.$$plus$eq__O__scm_HashSet(x)
  };
  return this
});
$c_sci_ListSet$ListSetBuilder.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return $s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs)
});
var $d_sci_ListSet$ListSetBuilder = new $TypeData().initClass({
  sci_ListSet$ListSetBuilder: 0
}, false, "scala.collection.immutable.ListSet$ListSetBuilder", {
  sci_ListSet$ListSetBuilder: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_sci_ListSet$ListSetBuilder.prototype.$classData = $d_sci_ListSet$ListSetBuilder;
/** @constructor */
function $c_sci_Map$() {
  $c_scg_ImmutableMapFactory.call(this)
}
$c_sci_Map$.prototype = new $h_scg_ImmutableMapFactory();
$c_sci_Map$.prototype.constructor = $c_sci_Map$;
/** @constructor */
function $h_sci_Map$() {
  /*<skip>*/
}
$h_sci_Map$.prototype = $c_sci_Map$.prototype;
$c_sci_Map$.prototype.init___ = (function() {
  return this
});
$c_sci_Map$.prototype.empty__sc_GenMap = (function() {
  return $m_sci_Map$EmptyMap$()
});
var $d_sci_Map$ = new $TypeData().initClass({
  sci_Map$: 0
}, false, "scala.collection.immutable.Map$", {
  sci_Map$: 1,
  scg_ImmutableMapFactory: 1,
  scg_MapFactory: 1,
  scg_GenMapFactory: 1,
  O: 1
});
$c_sci_Map$.prototype.$classData = $d_sci_Map$;
var $n_sci_Map$ = (void 0);
function $m_sci_Map$() {
  if ((!$n_sci_Map$)) {
    $n_sci_Map$ = new $c_sci_Map$().init___()
  };
  return $n_sci_Map$
}
/** @constructor */
function $c_scm_GrowingBuilder() {
  $c_O.call(this);
  this.empty$1 = null;
  this.elems$1 = null
}
$c_scm_GrowingBuilder.prototype = new $h_O();
$c_scm_GrowingBuilder.prototype.constructor = $c_scm_GrowingBuilder;
/** @constructor */
function $h_scm_GrowingBuilder() {
  /*<skip>*/
}
$h_scm_GrowingBuilder.prototype = $c_scm_GrowingBuilder.prototype;
$c_scm_GrowingBuilder.prototype.init___scg_Growable = (function(empty) {
  this.empty$1 = empty;
  this.elems$1 = empty;
  return this
});
$c_scm_GrowingBuilder.prototype.$$plus$eq__O__scm_GrowingBuilder = (function(x) {
  this.elems$1.$$plus$eq__O__scg_Growable(x);
  return this
});
$c_scm_GrowingBuilder.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__O__scm_GrowingBuilder(elem)
});
$c_scm_GrowingBuilder.prototype.result__O = (function() {
  return this.elems$1
});
$c_scm_GrowingBuilder.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_scm_GrowingBuilder.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__O__scm_GrowingBuilder(elem)
});
$c_scm_GrowingBuilder.prototype.sizeHint__I__V = (function(size) {
  /*<skip>*/
});
$c_scm_GrowingBuilder.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return $s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs)
});
var $d_scm_GrowingBuilder = new $TypeData().initClass({
  scm_GrowingBuilder: 0
}, false, "scala.collection.mutable.GrowingBuilder", {
  scm_GrowingBuilder: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_scm_GrowingBuilder.prototype.$classData = $d_scm_GrowingBuilder;
/** @constructor */
function $c_scm_LazyBuilder() {
  $c_O.call(this);
  this.parts$1 = null
}
$c_scm_LazyBuilder.prototype = new $h_O();
$c_scm_LazyBuilder.prototype.constructor = $c_scm_LazyBuilder;
/** @constructor */
function $h_scm_LazyBuilder() {
  /*<skip>*/
}
$h_scm_LazyBuilder.prototype = $c_scm_LazyBuilder.prototype;
$c_scm_LazyBuilder.prototype.init___ = (function() {
  this.parts$1 = new $c_scm_ListBuffer().init___();
  return this
});
$c_scm_LazyBuilder.prototype.$$plus$plus$eq__sc_TraversableOnce__scm_LazyBuilder = (function(xs) {
  this.parts$1.$$plus$eq__O__scm_ListBuffer(xs);
  return this
});
$c_scm_LazyBuilder.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__O__scm_LazyBuilder(elem)
});
$c_scm_LazyBuilder.prototype.$$plus$eq__O__scm_LazyBuilder = (function(x) {
  var jsx$1 = this.parts$1;
  $m_sci_List$();
  var xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([x]);
  var this$2 = $m_sci_List$();
  var cbf = this$2.ReusableCBFInstance$2;
  jsx$1.$$plus$eq__O__scm_ListBuffer($as_sci_List($s_sc_TraversableLike$class__to__sc_TraversableLike__scg_CanBuildFrom__O(xs, cbf)));
  return this
});
$c_scm_LazyBuilder.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_scm_LazyBuilder.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__O__scm_LazyBuilder(elem)
});
$c_scm_LazyBuilder.prototype.sizeHint__I__V = (function(size) {
  /*<skip>*/
});
$c_scm_LazyBuilder.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return this.$$plus$plus$eq__sc_TraversableOnce__scm_LazyBuilder(xs)
});
/** @constructor */
function $c_scm_MapBuilder() {
  $c_O.call(this);
  this.empty$1 = null;
  this.elems$1 = null
}
$c_scm_MapBuilder.prototype = new $h_O();
$c_scm_MapBuilder.prototype.constructor = $c_scm_MapBuilder;
/** @constructor */
function $h_scm_MapBuilder() {
  /*<skip>*/
}
$h_scm_MapBuilder.prototype = $c_scm_MapBuilder.prototype;
$c_scm_MapBuilder.prototype.$$plus$eq__T2__scm_MapBuilder = (function(x) {
  this.elems$1 = this.elems$1.$$plus__T2__sc_GenMap(x);
  return this
});
$c_scm_MapBuilder.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__T2__scm_MapBuilder($as_T2(elem))
});
$c_scm_MapBuilder.prototype.result__O = (function() {
  return this.elems$1
});
$c_scm_MapBuilder.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_scm_MapBuilder.prototype.init___sc_GenMap = (function(empty) {
  this.empty$1 = empty;
  this.elems$1 = empty;
  return this
});
$c_scm_MapBuilder.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__T2__scm_MapBuilder($as_T2(elem))
});
$c_scm_MapBuilder.prototype.sizeHint__I__V = (function(size) {
  /*<skip>*/
});
$c_scm_MapBuilder.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return $s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs)
});
var $d_scm_MapBuilder = new $TypeData().initClass({
  scm_MapBuilder: 0
}, false, "scala.collection.mutable.MapBuilder", {
  scm_MapBuilder: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_scm_MapBuilder.prototype.$classData = $d_scm_MapBuilder;
/** @constructor */
function $c_scm_SetBuilder() {
  $c_O.call(this);
  this.empty$1 = null;
  this.elems$1 = null
}
$c_scm_SetBuilder.prototype = new $h_O();
$c_scm_SetBuilder.prototype.constructor = $c_scm_SetBuilder;
/** @constructor */
function $h_scm_SetBuilder() {
  /*<skip>*/
}
$h_scm_SetBuilder.prototype = $c_scm_SetBuilder.prototype;
$c_scm_SetBuilder.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__O__scm_SetBuilder(elem)
});
$c_scm_SetBuilder.prototype.result__O = (function() {
  return this.elems$1
});
$c_scm_SetBuilder.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_scm_SetBuilder.prototype.$$plus$eq__O__scm_SetBuilder = (function(x) {
  this.elems$1 = this.elems$1.$$plus__O__sc_Set(x);
  return this
});
$c_scm_SetBuilder.prototype.init___sc_Set = (function(empty) {
  this.empty$1 = empty;
  this.elems$1 = empty;
  return this
});
$c_scm_SetBuilder.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__O__scm_SetBuilder(elem)
});
$c_scm_SetBuilder.prototype.sizeHint__I__V = (function(size) {
  /*<skip>*/
});
$c_scm_SetBuilder.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return $s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs)
});
var $d_scm_SetBuilder = new $TypeData().initClass({
  scm_SetBuilder: 0
}, false, "scala.collection.mutable.SetBuilder", {
  scm_SetBuilder: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_scm_SetBuilder.prototype.$classData = $d_scm_SetBuilder;
/** @constructor */
function $c_scm_WrappedArrayBuilder() {
  $c_O.call(this);
  this.tag$1 = null;
  this.manifest$1 = null;
  this.elems$1 = null;
  this.capacity$1 = 0;
  this.size$1 = 0
}
$c_scm_WrappedArrayBuilder.prototype = new $h_O();
$c_scm_WrappedArrayBuilder.prototype.constructor = $c_scm_WrappedArrayBuilder;
/** @constructor */
function $h_scm_WrappedArrayBuilder() {
  /*<skip>*/
}
$h_scm_WrappedArrayBuilder.prototype = $c_scm_WrappedArrayBuilder.prototype;
$c_scm_WrappedArrayBuilder.prototype.init___s_reflect_ClassTag = (function(tag) {
  this.tag$1 = tag;
  this.manifest$1 = tag;
  this.capacity$1 = 0;
  this.size$1 = 0;
  return this
});
$c_scm_WrappedArrayBuilder.prototype.ensureSize__p1__I__V = (function(size) {
  if ((this.capacity$1 < size)) {
    var newsize = ((this.capacity$1 === 0) ? 16 : (this.capacity$1 << 1));
    while ((newsize < size)) {
      newsize = (newsize << 1)
    };
    this.resize__p1__I__V(newsize)
  }
});
$c_scm_WrappedArrayBuilder.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__O__scm_WrappedArrayBuilder(elem)
});
$c_scm_WrappedArrayBuilder.prototype.$$plus$eq__O__scm_WrappedArrayBuilder = (function(elem) {
  this.ensureSize__p1__I__V(((1 + this.size$1) | 0));
  this.elems$1.update__I__O__V(this.size$1, elem);
  this.size$1 = ((1 + this.size$1) | 0);
  return this
});
$c_scm_WrappedArrayBuilder.prototype.mkArray__p1__I__scm_WrappedArray = (function(size) {
  var schematic = this.tag$1;
  if ($is_jl_Class(schematic)) {
    var x2 = $as_jl_Class(schematic);
    var runtimeClass = x2.getComponentType__jl_Class()
  } else {
    if ((schematic === null)) {
      throw new $c_jl_UnsupportedOperationException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["unsupported schematic ", " (", ")"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([schematic, $objectGetClass(schematic)])))
    };
    var runtimeClass = schematic.runtimeClass__jl_Class()
  };
  var newelems = ((runtimeClass === $d_B.getClassOf()) ? new $c_scm_WrappedArray$ofByte().init___AB($newArrayObject($d_B.getArrayOf(), [size])) : ((runtimeClass === $d_S.getClassOf()) ? new $c_scm_WrappedArray$ofShort().init___AS($newArrayObject($d_S.getArrayOf(), [size])) : ((runtimeClass === $d_C.getClassOf()) ? new $c_scm_WrappedArray$ofChar().init___AC($newArrayObject($d_C.getArrayOf(), [size])) : ((runtimeClass === $d_I.getClassOf()) ? new $c_scm_WrappedArray$ofInt().init___AI($newArrayObject($d_I.getArrayOf(), [size])) : ((runtimeClass === $d_J.getClassOf()) ? new $c_scm_WrappedArray$ofLong().init___AJ($newArrayObject($d_J.getArrayOf(), [size])) : ((runtimeClass === $d_F.getClassOf()) ? new $c_scm_WrappedArray$ofFloat().init___AF($newArrayObject($d_F.getArrayOf(), [size])) : ((runtimeClass === $d_D.getClassOf()) ? new $c_scm_WrappedArray$ofDouble().init___AD($newArrayObject($d_D.getArrayOf(), [size])) : ((runtimeClass === $d_Z.getClassOf()) ? new $c_scm_WrappedArray$ofBoolean().init___AZ($newArrayObject($d_Z.getArrayOf(), [size])) : ((runtimeClass === $d_V.getClassOf()) ? new $c_scm_WrappedArray$ofUnit().init___Asr_BoxedUnit($newArrayObject($d_sr_BoxedUnit.getArrayOf(), [size])) : new $c_scm_WrappedArray$ofRef().init___AO($asArrayOf_O(this.tag$1.newArray__I__O(size), 1)))))))))));
  if ((this.size$1 > 0)) {
    $m_s_Array$().copy__O__I__O__I__I__V(this.elems$1.array__O(), 0, newelems.array__O(), 0, this.size$1)
  };
  return newelems
});
$c_scm_WrappedArrayBuilder.prototype.result__O = (function() {
  return this.result__scm_WrappedArray()
});
$c_scm_WrappedArrayBuilder.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_scm_WrappedArrayBuilder.prototype.resize__p1__I__V = (function(size) {
  this.elems$1 = this.mkArray__p1__I__scm_WrappedArray(size);
  this.capacity$1 = size
});
$c_scm_WrappedArrayBuilder.prototype.result__scm_WrappedArray = (function() {
  if (((this.capacity$1 !== 0) && (this.capacity$1 === this.size$1))) {
    this.capacity$1 = 0;
    return this.elems$1
  } else {
    return this.mkArray__p1__I__scm_WrappedArray(this.size$1)
  }
});
$c_scm_WrappedArrayBuilder.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__O__scm_WrappedArrayBuilder(elem)
});
$c_scm_WrappedArrayBuilder.prototype.sizeHint__I__V = (function(size) {
  if ((this.capacity$1 < size)) {
    this.resize__p1__I__V(size)
  }
});
$c_scm_WrappedArrayBuilder.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return $s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs)
});
var $d_scm_WrappedArrayBuilder = new $TypeData().initClass({
  scm_WrappedArrayBuilder: 0
}, false, "scala.collection.mutable.WrappedArrayBuilder", {
  scm_WrappedArrayBuilder: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_scm_WrappedArrayBuilder.prototype.$classData = $d_scm_WrappedArrayBuilder;
/** @constructor */
function $c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext() {
  $c_O.call(this);
  this.resolvedUnitPromise$1 = null
}
$c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext.prototype = new $h_O();
$c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext.prototype.constructor = $c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext;
/** @constructor */
function $h_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext() {
  /*<skip>*/
}
$h_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext.prototype = $c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext.prototype;
$c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext.prototype.init___ = (function() {
  this.resolvedUnitPromise$1 = $g.Promise.resolve((void 0));
  return this
});
$c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext.prototype.reportFailure__jl_Throwable__V = (function(t) {
  t.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
});
$c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext.prototype.execute__jl_Runnable__V = (function(runnable) {
  this.resolvedUnitPromise$1.then((function($this, runnable$1) {
    return (function(x$1$2) {
      $asUnit(x$1$2);
      try {
        runnable$1.run__V()
      } catch (e) {
        var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
        if ((e$2 !== null)) {
          e$2.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
        } else {
          throw e
        }
      }
    })
  })(this, runnable))
});
var $d_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext = new $TypeData().initClass({
  sjs_concurrent_QueueExecutionContext$PromisesExecutionContext: 0
}, false, "scala.scalajs.concurrent.QueueExecutionContext$PromisesExecutionContext", {
  sjs_concurrent_QueueExecutionContext$PromisesExecutionContext: 1,
  O: 1,
  s_concurrent_ExecutionContextExecutor: 1,
  s_concurrent_ExecutionContext: 1,
  ju_concurrent_Executor: 1
});
$c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext.prototype.$classData = $d_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext;
/** @constructor */
function $c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext() {
  $c_O.call(this)
}
$c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext.prototype = new $h_O();
$c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext.prototype.constructor = $c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext;
/** @constructor */
function $h_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext() {
  /*<skip>*/
}
$h_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext.prototype = $c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext.prototype;
$c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext.prototype.init___ = (function() {
  return this
});
$c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext.prototype.reportFailure__jl_Throwable__V = (function(t) {
  t.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
});
$c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext.prototype.execute__jl_Runnable__V = (function(runnable) {
  $g.setTimeout((function(arg$outer, runnable$1) {
    return (function() {
      try {
        runnable$1.run__V()
      } catch (e) {
        var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
        if ((e$2 !== null)) {
          e$2.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
        } else {
          throw e
        }
      }
    })
  })(this, runnable), 0)
});
var $d_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext = new $TypeData().initClass({
  sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext: 0
}, false, "scala.scalajs.concurrent.QueueExecutionContext$TimeoutsExecutionContext", {
  sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext: 1,
  O: 1,
  s_concurrent_ExecutionContextExecutor: 1,
  s_concurrent_ExecutionContext: 1,
  ju_concurrent_Executor: 1
});
$c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext.prototype.$classData = $d_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext;
/** @constructor */
function $c_sjs_concurrent_RunNowExecutionContext$() {
  $c_O.call(this)
}
$c_sjs_concurrent_RunNowExecutionContext$.prototype = new $h_O();
$c_sjs_concurrent_RunNowExecutionContext$.prototype.constructor = $c_sjs_concurrent_RunNowExecutionContext$;
/** @constructor */
function $h_sjs_concurrent_RunNowExecutionContext$() {
  /*<skip>*/
}
$h_sjs_concurrent_RunNowExecutionContext$.prototype = $c_sjs_concurrent_RunNowExecutionContext$.prototype;
$c_sjs_concurrent_RunNowExecutionContext$.prototype.init___ = (function() {
  return this
});
$c_sjs_concurrent_RunNowExecutionContext$.prototype.reportFailure__jl_Throwable__V = (function(t) {
  t.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
});
$c_sjs_concurrent_RunNowExecutionContext$.prototype.execute__jl_Runnable__V = (function(runnable) {
  try {
    runnable.run__V()
  } catch (e) {
    var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
    if ((e$2 !== null)) {
      e$2.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
    } else {
      throw e
    }
  }
});
var $d_sjs_concurrent_RunNowExecutionContext$ = new $TypeData().initClass({
  sjs_concurrent_RunNowExecutionContext$: 0
}, false, "scala.scalajs.concurrent.RunNowExecutionContext$", {
  sjs_concurrent_RunNowExecutionContext$: 1,
  O: 1,
  s_concurrent_ExecutionContextExecutor: 1,
  s_concurrent_ExecutionContext: 1,
  ju_concurrent_Executor: 1
});
$c_sjs_concurrent_RunNowExecutionContext$.prototype.$classData = $d_sjs_concurrent_RunNowExecutionContext$;
var $n_sjs_concurrent_RunNowExecutionContext$ = (void 0);
function $m_sjs_concurrent_RunNowExecutionContext$() {
  if ((!$n_sjs_concurrent_RunNowExecutionContext$)) {
    $n_sjs_concurrent_RunNowExecutionContext$ = new $c_sjs_concurrent_RunNowExecutionContext$().init___()
  };
  return $n_sjs_concurrent_RunNowExecutionContext$
}
/** @constructor */
function $c_sjsr_RuntimeLong() {
  $c_jl_Number.call(this);
  this.lo$2 = 0;
  this.hi$2 = 0
}
$c_sjsr_RuntimeLong.prototype = new $h_jl_Number();
$c_sjsr_RuntimeLong.prototype.constructor = $c_sjsr_RuntimeLong;
/** @constructor */
function $h_sjsr_RuntimeLong() {
  /*<skip>*/
}
$h_sjsr_RuntimeLong.prototype = $c_sjsr_RuntimeLong.prototype;
$c_sjsr_RuntimeLong.prototype.longValue__J = (function() {
  return $uJ(this)
});
$c_sjsr_RuntimeLong.prototype.$$bar__sjsr_RuntimeLong__sjsr_RuntimeLong = (function(b) {
  return new $c_sjsr_RuntimeLong().init___I__I((this.lo$2 | b.lo$2), (this.hi$2 | b.hi$2))
});
$c_sjsr_RuntimeLong.prototype.$$greater$eq__sjsr_RuntimeLong__Z = (function(b) {
  var ahi = this.hi$2;
  var bhi = b.hi$2;
  return ((ahi === bhi) ? (((-2147483648) ^ this.lo$2) >= ((-2147483648) ^ b.lo$2)) : (ahi > bhi))
});
$c_sjsr_RuntimeLong.prototype.byteValue__B = (function() {
  return ((this.lo$2 << 24) >> 24)
});
$c_sjsr_RuntimeLong.prototype.equals__O__Z = (function(that) {
  if ($is_sjsr_RuntimeLong(that)) {
    var x2 = $as_sjsr_RuntimeLong(that);
    return ((this.lo$2 === x2.lo$2) && (this.hi$2 === x2.hi$2))
  } else {
    return false
  }
});
$c_sjsr_RuntimeLong.prototype.$$less__sjsr_RuntimeLong__Z = (function(b) {
  var ahi = this.hi$2;
  var bhi = b.hi$2;
  return ((ahi === bhi) ? (((-2147483648) ^ this.lo$2) < ((-2147483648) ^ b.lo$2)) : (ahi < bhi))
});
$c_sjsr_RuntimeLong.prototype.$$times__sjsr_RuntimeLong__sjsr_RuntimeLong = (function(b) {
  var alo = this.lo$2;
  var blo = b.lo$2;
  var a0 = (65535 & alo);
  var a1 = ((alo >>> 16) | 0);
  var b0 = (65535 & blo);
  var b1 = ((blo >>> 16) | 0);
  var a0b0 = $imul(a0, b0);
  var a1b0 = $imul(a1, b0);
  var a0b1 = $imul(a0, b1);
  var lo = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
  var c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
  var hi = (((((((($imul(alo, b.hi$2) + $imul(this.hi$2, blo)) | 0) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
  return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
});
$c_sjsr_RuntimeLong.prototype.init___I__I__I = (function(l, m, h) {
  $c_sjsr_RuntimeLong.prototype.init___I__I.call(this, (l | (m << 22)), ((m >> 10) | (h << 12)));
  return this
});
$c_sjsr_RuntimeLong.prototype.$$percent__sjsr_RuntimeLong__sjsr_RuntimeLong = (function(b) {
  var this$1 = $m_sjsr_RuntimeLong$();
  var lo = this$1.remainderImpl__I__I__I__I__I(this.lo$2, this.hi$2, b.lo$2, b.hi$2);
  return new $c_sjsr_RuntimeLong().init___I__I(lo, this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f)
});
$c_sjsr_RuntimeLong.prototype.toString__T = (function() {
  return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toString__I__I__T(this.lo$2, this.hi$2)
});
$c_sjsr_RuntimeLong.prototype.init___I__I = (function(lo, hi) {
  this.lo$2 = lo;
  this.hi$2 = hi;
  return this
});
$c_sjsr_RuntimeLong.prototype.compareTo__O__I = (function(x$1) {
  var that = $as_sjsr_RuntimeLong(x$1);
  return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$compare__I__I__I__I__I(this.lo$2, this.hi$2, that.lo$2, that.hi$2)
});
$c_sjsr_RuntimeLong.prototype.$$less$eq__sjsr_RuntimeLong__Z = (function(b) {
  var ahi = this.hi$2;
  var bhi = b.hi$2;
  return ((ahi === bhi) ? (((-2147483648) ^ this.lo$2) <= ((-2147483648) ^ b.lo$2)) : (ahi < bhi))
});
$c_sjsr_RuntimeLong.prototype.$$amp__sjsr_RuntimeLong__sjsr_RuntimeLong = (function(b) {
  return new $c_sjsr_RuntimeLong().init___I__I((this.lo$2 & b.lo$2), (this.hi$2 & b.hi$2))
});
$c_sjsr_RuntimeLong.prototype.$$greater$greater$greater__I__sjsr_RuntimeLong = (function(n) {
  return new $c_sjsr_RuntimeLong().init___I__I((((32 & n) === 0) ? (((this.lo$2 >>> n) | 0) | ((this.hi$2 << 1) << ((31 - n) | 0))) : ((this.hi$2 >>> n) | 0)), (((32 & n) === 0) ? ((this.hi$2 >>> n) | 0) : 0))
});
$c_sjsr_RuntimeLong.prototype.$$greater__sjsr_RuntimeLong__Z = (function(b) {
  var ahi = this.hi$2;
  var bhi = b.hi$2;
  return ((ahi === bhi) ? (((-2147483648) ^ this.lo$2) > ((-2147483648) ^ b.lo$2)) : (ahi > bhi))
});
$c_sjsr_RuntimeLong.prototype.$$less$less__I__sjsr_RuntimeLong = (function(n) {
  return new $c_sjsr_RuntimeLong().init___I__I((((32 & n) === 0) ? (this.lo$2 << n) : 0), (((32 & n) === 0) ? (((((this.lo$2 >>> 1) | 0) >>> ((31 - n) | 0)) | 0) | (this.hi$2 << n)) : (this.lo$2 << n)))
});
$c_sjsr_RuntimeLong.prototype.init___I = (function(value) {
  $c_sjsr_RuntimeLong.prototype.init___I__I.call(this, value, (value >> 31));
  return this
});
$c_sjsr_RuntimeLong.prototype.toInt__I = (function() {
  return this.lo$2
});
$c_sjsr_RuntimeLong.prototype.notEquals__sjsr_RuntimeLong__Z = (function(b) {
  return (!((this.lo$2 === b.lo$2) && (this.hi$2 === b.hi$2)))
});
$c_sjsr_RuntimeLong.prototype.unary$und$minus__sjsr_RuntimeLong = (function() {
  var lo = this.lo$2;
  var hi = this.hi$2;
  return new $c_sjsr_RuntimeLong().init___I__I(((-lo) | 0), ((lo !== 0) ? (~hi) : ((-hi) | 0)))
});
$c_sjsr_RuntimeLong.prototype.$$plus__sjsr_RuntimeLong__sjsr_RuntimeLong = (function(b) {
  var alo = this.lo$2;
  var ahi = this.hi$2;
  var bhi = b.hi$2;
  var lo = ((alo + b.lo$2) | 0);
  return new $c_sjsr_RuntimeLong().init___I__I(lo, ((((-2147483648) ^ lo) < ((-2147483648) ^ alo)) ? ((1 + ((ahi + bhi) | 0)) | 0) : ((ahi + bhi) | 0)))
});
$c_sjsr_RuntimeLong.prototype.shortValue__S = (function() {
  return ((this.lo$2 << 16) >> 16)
});
$c_sjsr_RuntimeLong.prototype.$$greater$greater__I__sjsr_RuntimeLong = (function(n) {
  return new $c_sjsr_RuntimeLong().init___I__I((((32 & n) === 0) ? (((this.lo$2 >>> n) | 0) | ((this.hi$2 << 1) << ((31 - n) | 0))) : (this.hi$2 >> n)), (((32 & n) === 0) ? (this.hi$2 >> n) : (this.hi$2 >> 31)))
});
$c_sjsr_RuntimeLong.prototype.toDouble__D = (function() {
  return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(this.lo$2, this.hi$2)
});
$c_sjsr_RuntimeLong.prototype.$$div__sjsr_RuntimeLong__sjsr_RuntimeLong = (function(b) {
  var this$1 = $m_sjsr_RuntimeLong$();
  var lo = this$1.divideImpl__I__I__I__I__I(this.lo$2, this.hi$2, b.lo$2, b.hi$2);
  return new $c_sjsr_RuntimeLong().init___I__I(lo, this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f)
});
$c_sjsr_RuntimeLong.prototype.doubleValue__D = (function() {
  return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(this.lo$2, this.hi$2)
});
$c_sjsr_RuntimeLong.prototype.hashCode__I = (function() {
  return (this.lo$2 ^ this.hi$2)
});
$c_sjsr_RuntimeLong.prototype.intValue__I = (function() {
  return this.lo$2
});
$c_sjsr_RuntimeLong.prototype.unary$und$tilde__sjsr_RuntimeLong = (function() {
  return new $c_sjsr_RuntimeLong().init___I__I((~this.lo$2), (~this.hi$2))
});
$c_sjsr_RuntimeLong.prototype.compareTo__jl_Long__I = (function(that) {
  return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$compare__I__I__I__I__I(this.lo$2, this.hi$2, that.lo$2, that.hi$2)
});
$c_sjsr_RuntimeLong.prototype.floatValue__F = (function() {
  return $fround($m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(this.lo$2, this.hi$2))
});
$c_sjsr_RuntimeLong.prototype.$$minus__sjsr_RuntimeLong__sjsr_RuntimeLong = (function(b) {
  var alo = this.lo$2;
  var ahi = this.hi$2;
  var bhi = b.hi$2;
  var lo = ((alo - b.lo$2) | 0);
  return new $c_sjsr_RuntimeLong().init___I__I(lo, ((((-2147483648) ^ lo) > ((-2147483648) ^ alo)) ? (((-1) + ((ahi - bhi) | 0)) | 0) : ((ahi - bhi) | 0)))
});
$c_sjsr_RuntimeLong.prototype.$$up__sjsr_RuntimeLong__sjsr_RuntimeLong = (function(b) {
  return new $c_sjsr_RuntimeLong().init___I__I((this.lo$2 ^ b.lo$2), (this.hi$2 ^ b.hi$2))
});
$c_sjsr_RuntimeLong.prototype.equals__sjsr_RuntimeLong__Z = (function(b) {
  return ((this.lo$2 === b.lo$2) && (this.hi$2 === b.hi$2))
});
function $is_sjsr_RuntimeLong(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sjsr_RuntimeLong)))
}
function $as_sjsr_RuntimeLong(obj) {
  return (($is_sjsr_RuntimeLong(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.scalajs.runtime.RuntimeLong"))
}
function $isArrayOf_sjsr_RuntimeLong(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sjsr_RuntimeLong)))
}
function $asArrayOf_sjsr_RuntimeLong(obj, depth) {
  return (($isArrayOf_sjsr_RuntimeLong(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.scalajs.runtime.RuntimeLong;", depth))
}
var $d_sjsr_RuntimeLong = new $TypeData().initClass({
  sjsr_RuntimeLong: 0
}, false, "scala.scalajs.runtime.RuntimeLong", {
  sjsr_RuntimeLong: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
});
$c_sjsr_RuntimeLong.prototype.$classData = $d_sjsr_RuntimeLong;
/** @constructor */
function $c_sr_AbstractFunction0$mcV$sp() {
  $c_sr_AbstractFunction0.call(this)
}
$c_sr_AbstractFunction0$mcV$sp.prototype = new $h_sr_AbstractFunction0();
$c_sr_AbstractFunction0$mcV$sp.prototype.constructor = $c_sr_AbstractFunction0$mcV$sp;
/** @constructor */
function $h_sr_AbstractFunction0$mcV$sp() {
  /*<skip>*/
}
$h_sr_AbstractFunction0$mcV$sp.prototype = $c_sr_AbstractFunction0$mcV$sp.prototype;
/** @constructor */
function $c_Lcom_iteration3_smilejs_ClientError() {
  $c_O.call(this);
  this.require$1 = null;
  this.message$1 = null
}
$c_Lcom_iteration3_smilejs_ClientError.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_ClientError.prototype.constructor = $c_Lcom_iteration3_smilejs_ClientError;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ClientError() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ClientError.prototype = $c_Lcom_iteration3_smilejs_ClientError.prototype;
$c_Lcom_iteration3_smilejs_ClientError.prototype.$$js$exported$prop$require__O = (function() {
  return this.require$1
});
$c_Lcom_iteration3_smilejs_ClientError.prototype.productPrefix__T = (function() {
  return "ClientError"
});
$c_Lcom_iteration3_smilejs_ClientError.prototype.init___T__T = (function(require, message) {
  this.require$1 = require;
  this.message$1 = message;
  return this
});
$c_Lcom_iteration3_smilejs_ClientError.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_iteration3_smilejs_ClientError.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_iteration3_smilejs_ClientError(x$1)) {
    var ClientError$1 = $as_Lcom_iteration3_smilejs_ClientError(x$1);
    return ((this.require$1 === ClientError$1.require$1) && (this.message$1 === ClientError$1.message$1))
  } else {
    return false
  }
});
$c_Lcom_iteration3_smilejs_ClientError.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.require$1;
      break
    }
    case 1: {
      return this.message$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_iteration3_smilejs_ClientError.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_iteration3_smilejs_ClientError.prototype.$$js$exported$prop$message__O = (function() {
  return this.message$1
});
$c_Lcom_iteration3_smilejs_ClientError.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_iteration3_smilejs_ClientError.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_iteration3_smilejs_ClientError.prototype, "message", {
  "get": (function() {
    return this.$$js$exported$prop$message__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_iteration3_smilejs_ClientError.prototype, "require", {
  "get": (function() {
    return this.$$js$exported$prop$require__O()
  }),
  "configurable": true
});
function $is_Lcom_iteration3_smilejs_ClientError(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_ClientError)))
}
function $as_Lcom_iteration3_smilejs_ClientError(obj) {
  return (($is_Lcom_iteration3_smilejs_ClientError(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.ClientError"))
}
function $isArrayOf_Lcom_iteration3_smilejs_ClientError(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_ClientError)))
}
function $asArrayOf_Lcom_iteration3_smilejs_ClientError(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_ClientError(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.ClientError;", depth))
}
var $d_Lcom_iteration3_smilejs_ClientError = new $TypeData().initClass({
  Lcom_iteration3_smilejs_ClientError: 0
}, false, "com.iteration3.smilejs.ClientError", {
  Lcom_iteration3_smilejs_ClientError: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_ClientError.prototype.$classData = $d_Lcom_iteration3_smilejs_ClientError;
/** @constructor */
function $c_Lcom_iteration3_smilejs_ClientException() {
  $c_O.call(this);
  this.field$1 = null;
  this.message$1 = null
}
$c_Lcom_iteration3_smilejs_ClientException.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_ClientException.prototype.constructor = $c_Lcom_iteration3_smilejs_ClientException;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ClientException() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ClientException.prototype = $c_Lcom_iteration3_smilejs_ClientException.prototype;
$c_Lcom_iteration3_smilejs_ClientException.prototype.productPrefix__T = (function() {
  return "ClientException"
});
$c_Lcom_iteration3_smilejs_ClientException.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_iteration3_smilejs_ClientException.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_iteration3_smilejs_ClientException(x$1)) {
    var ClientException$1 = $as_Lcom_iteration3_smilejs_ClientException(x$1);
    if ((this.field$1 === ClientException$1.field$1)) {
      var x = this.message$1;
      var x$2 = ClientException$1.message$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_iteration3_smilejs_ClientException.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.field$1;
      break
    }
    case 1: {
      return this.message$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_iteration3_smilejs_ClientException.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_iteration3_smilejs_ClientException.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_iteration3_smilejs_ClientException.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_iteration3_smilejs_ClientException.prototype.init___T__s_Option = (function(field, message) {
  this.field$1 = field;
  this.message$1 = message;
  return this
});
$c_Lcom_iteration3_smilejs_ClientException.prototype.$$js$exported$prop$field__O = (function() {
  return this.field$1
});
Object.defineProperty($c_Lcom_iteration3_smilejs_ClientException.prototype, "field", {
  "get": (function() {
    return this.$$js$exported$prop$field__O()
  }),
  "configurable": true
});
function $is_Lcom_iteration3_smilejs_ClientException(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_ClientException)))
}
function $as_Lcom_iteration3_smilejs_ClientException(obj) {
  return (($is_Lcom_iteration3_smilejs_ClientException(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.ClientException"))
}
function $isArrayOf_Lcom_iteration3_smilejs_ClientException(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_ClientException)))
}
function $asArrayOf_Lcom_iteration3_smilejs_ClientException(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_ClientException(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.ClientException;", depth))
}
var $d_Lcom_iteration3_smilejs_ClientException = new $TypeData().initClass({
  Lcom_iteration3_smilejs_ClientException: 0
}, false, "com.iteration3.smilejs.ClientException", {
  Lcom_iteration3_smilejs_ClientException: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_ClientException.prototype.$classData = $d_Lcom_iteration3_smilejs_ClientException;
/** @constructor */
function $c_Lcom_iteration3_smilejs_util_VRBuilderPQ() {
  $c_O.call(this);
  this.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1 = null;
  this.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1 = null
}
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.constructor = $c_Lcom_iteration3_smilejs_util_VRBuilderPQ;
/** @constructor */
function $h_Lcom_iteration3_smilejs_util_VRBuilderPQ() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype = $c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype;
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.productPrefix__T = (function() {
  return "VRBuilderPQ"
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.name__T__Lcom_iteration3_smilejs_util_VRBuilderNamePath = (function(name) {
  var ret = this.createObject__p1__sjs_js_Dynamic();
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderNamePath().init___sjs_js_Dynamic__T__T(ret, "name", name)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.createObject__p1__sjs_js_Dynamic = (function() {
  var ret = {};
  var this$1 = this.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1;
  if ($s_sc_TraversableOnce$class__nonEmpty__sc_TraversableOnce__Z(this$1)) {
    ret.params = this.createParamObject__p1__sjs_js_Object()
  };
  var this$2 = this.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1;
  if ($s_sc_TraversableOnce$class__nonEmpty__sc_TraversableOnce__Z(this$2)) {
    ret.query = this.createQueryObject__p1__sjs_js_Object()
  };
  return ret
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.$$js$exported$meth$param__T__sjs_js_Any__O = (function(name, value) {
  return this.param__T__sjs_js_Any__Lcom_iteration3_smilejs_util_VRBuilderPQ(name, value)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.$$js$exported$meth$query__T2__O = (function(query) {
  return this.query__T2__Lcom_iteration3_smilejs_util_VRBuilderPQ(query)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.query__T__sjs_js_Any__Lcom_iteration3_smilejs_util_VRBuilderPQ = (function(name, value) {
  var jsx$2 = this.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1;
  var x$7 = new $c_T2().init___O__O(name, value);
  var this$3 = $m_sci_Nil$();
  var jsx$1 = new $c_sci_$colon$colon().init___O__sci_List(x$7, this$3);
  var this$4 = $m_sci_List$();
  var x$13 = $as_sci_List(jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2));
  var x$14 = this.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1;
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List(x$14, x$13)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_iteration3_smilejs_util_VRBuilderPQ(x$1)) {
    var VRBuilderPQ$1 = $as_Lcom_iteration3_smilejs_util_VRBuilderPQ(x$1);
    var x = this.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1;
    var x$2 = VRBuilderPQ$1.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1;
    if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
      var x$3 = this.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1;
      var x$4 = VRBuilderPQ$1.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1;
      return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1;
      break
    }
    case 1: {
      return this.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.param__T__sjs_js_Any__Lcom_iteration3_smilejs_util_VRBuilderPQ = (function(name, value) {
  var jsx$2 = this.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1;
  var x$5 = new $c_T2().init___O__O(name, value);
  var this$3 = $m_sci_Nil$();
  var jsx$1 = new $c_sci_$colon$colon().init___O__sci_List(x$5, this$3);
  var this$4 = $m_sci_List$();
  var paramList = $as_sci_List(jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2));
  var queryList = this.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1;
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List(paramList, queryList)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.path__T__Lcom_iteration3_smilejs_util_VRBuilderNamePath = (function(path) {
  var ret = this.createObject__p1__sjs_js_Dynamic();
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderNamePath().init___sjs_js_Dynamic__T__T(ret, "path", path)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.init___sci_List__sci_List = (function(paramList, queryList) {
  this.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1 = paramList;
  this.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1 = queryList;
  return this
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.createQueryObject__p1__sjs_js_Object = (function() {
  var ret = {};
  var this$1 = this.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1;
  var these = this$1;
  while ((!these.isEmpty__Z())) {
    var arg1 = these.head__O();
    var x0$2 = $as_T2(arg1);
    if ((x0$2 !== null)) {
      var name = $as_T(x0$2.$$und1$f);
      var arg = x0$2.$$und2$f;
      ret[name] = arg
    } else {
      throw new $c_s_MatchError().init___O(x0$2)
    };
    var this$2 = these;
    these = this$2.tail__sci_List()
  };
  return ret
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.createParamObject__p1__sjs_js_Object = (function() {
  var ret = {};
  var this$1 = this.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1;
  var these = this$1;
  while ((!these.isEmpty__Z())) {
    var arg1 = these.head__O();
    var x0$1 = $as_T2(arg1);
    if ((x0$1 !== null)) {
      var name = $as_T(x0$1.$$und1$f);
      var arg = x0$1.$$und2$f;
      ret[name] = arg
    } else {
      throw new $c_s_MatchError().init___O(x0$1)
    };
    var this$2 = these;
    these = this$2.tail__sci_List()
  };
  return ret
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.query__T2__Lcom_iteration3_smilejs_util_VRBuilderPQ = (function(query) {
  var jsx$2 = this.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1;
  var this$1 = $m_sci_Nil$();
  var jsx$1 = new $c_sci_$colon$colon().init___O__sci_List(query, this$1);
  var this$2 = $m_sci_List$();
  var x$15 = $as_sci_List(jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2));
  var x$16 = this.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1;
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List(x$16, x$15)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.$$js$exported$meth$query__T__sjs_js_Any__O = (function(name, value) {
  return this.query__T__sjs_js_Any__Lcom_iteration3_smilejs_util_VRBuilderPQ(name, value)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.$$js$exported$meth$path__T__O = (function(path) {
  return this.path__T__Lcom_iteration3_smilejs_util_VRBuilderNamePath(path)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.param__T2__Lcom_iteration3_smilejs_util_VRBuilderPQ = (function(param) {
  var jsx$2 = this.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1;
  var this$1 = $m_sci_Nil$();
  var jsx$1 = new $c_sci_$colon$colon().init___O__sci_List(param, this$1);
  var this$2 = $m_sci_List$();
  var paramList = $as_sci_List(jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2));
  var queryList = this.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1;
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List(paramList, queryList)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.$$js$exported$meth$name__T__O = (function(name) {
  return this.name__T__Lcom_iteration3_smilejs_util_VRBuilderNamePath(name)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.$$js$exported$meth$param__T2__O = (function(param) {
  return this.param__T2__Lcom_iteration3_smilejs_util_VRBuilderPQ(param)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.path = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$path__T__O(prep0)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.name = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$name__T__O(prep0)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.query = (function(arg$1) {
  var jsx$1 = (arguments.length | 0);
  var jsx$2 = 1;
  var arg$rest = [];
  while ((jsx$2 < jsx$1)) {
    arg$rest.push(arguments[jsx$2]);
    jsx$2 = ((jsx$2 + 1) | 0)
  };
  switch ($uI(arg$rest.length)) {
    case 0: {
      var prep0 = $as_T2(arg$1);
      return this.$$js$exported$meth$query__T2__O(prep0);
      break
    }
    case 1: {
      var prep0 = $as_T(arg$1);
      var prep1 = arg$rest[0];
      return this.$$js$exported$meth$query__T__sjs_js_Any__O(prep0, prep1);
      break
    }
    default: {
      throw "No matching overload"
    }
  }
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.param = (function(arg$1) {
  var jsx$1 = (arguments.length | 0);
  var jsx$2 = 1;
  var arg$rest = [];
  while ((jsx$2 < jsx$1)) {
    arg$rest.push(arguments[jsx$2]);
    jsx$2 = ((jsx$2 + 1) | 0)
  };
  switch ($uI(arg$rest.length)) {
    case 1: {
      var prep0 = $as_T(arg$1);
      var prep1 = arg$rest[0];
      return this.$$js$exported$meth$param__T__sjs_js_Any__O(prep0, prep1);
      break
    }
    case 0: {
      var prep0 = $as_T2(arg$1);
      return this.$$js$exported$meth$param__T2__O(prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  }
});
function $is_Lcom_iteration3_smilejs_util_VRBuilderPQ(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_util_VRBuilderPQ)))
}
function $as_Lcom_iteration3_smilejs_util_VRBuilderPQ(obj) {
  return (($is_Lcom_iteration3_smilejs_util_VRBuilderPQ(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.util.VRBuilderPQ"))
}
function $isArrayOf_Lcom_iteration3_smilejs_util_VRBuilderPQ(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_util_VRBuilderPQ)))
}
function $asArrayOf_Lcom_iteration3_smilejs_util_VRBuilderPQ(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_util_VRBuilderPQ(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.util.VRBuilderPQ;", depth))
}
var $d_Lcom_iteration3_smilejs_util_VRBuilderPQ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_util_VRBuilderPQ: 0
}, false, "com.iteration3.smilejs.util.VRBuilderPQ", {
  Lcom_iteration3_smilejs_util_VRBuilderPQ: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.$classData = $d_Lcom_iteration3_smilejs_util_VRBuilderPQ;
/** @constructor */
function $c_Lcom_iteration3_smilejs_util_VRBuilderPQ$() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ$.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ$.prototype.constructor = $c_Lcom_iteration3_smilejs_util_VRBuilderPQ$;
/** @constructor */
function $h_Lcom_iteration3_smilejs_util_VRBuilderPQ$() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_util_VRBuilderPQ$.prototype = $c_Lcom_iteration3_smilejs_util_VRBuilderPQ$.prototype;
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ$.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ$.prototype.$$lessinit$greater$default$1__sci_List = (function() {
  return $m_sci_Nil$()
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ$.prototype.toString__T = (function() {
  return "VRBuilderPQ"
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ$.prototype.$$lessinit$greater$default$2__sci_List = (function() {
  return $m_sci_Nil$()
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ$.prototype.apply__O__O__O = (function(v1, v2) {
  var paramList = $as_sci_List(v1);
  var queryList = $as_sci_List(v2);
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List(paramList, queryList)
});
var $d_Lcom_iteration3_smilejs_util_VRBuilderPQ$ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_util_VRBuilderPQ$: 0
}, false, "com.iteration3.smilejs.util.VRBuilderPQ$", {
  Lcom_iteration3_smilejs_util_VRBuilderPQ$: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ$.prototype.$classData = $d_Lcom_iteration3_smilejs_util_VRBuilderPQ$;
var $n_Lcom_iteration3_smilejs_util_VRBuilderPQ$ = (void 0);
function $m_Lcom_iteration3_smilejs_util_VRBuilderPQ$() {
  if ((!$n_Lcom_iteration3_smilejs_util_VRBuilderPQ$)) {
    $n_Lcom_iteration3_smilejs_util_VRBuilderPQ$ = new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ$().init___()
  };
  return $n_Lcom_iteration3_smilejs_util_VRBuilderPQ$
}
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1() {
  $c_sr_AbstractFunction3.call(this)
}
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1.prototype = new $h_sr_AbstractFunction3();
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1.prototype = $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1.prototype;
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1.prototype.apply__T__T__T__V = (function(userName, flowId, comment) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$().addComment__Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input().init___T__T__T(flowId, comment, userName));
  var pf = new $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1$$anonfun$apply$1().init___Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1.prototype.apply__O__O__O__O = (function(v1, v2, v3) {
  this.apply__T__T__T__V($as_T(v1), $as_T(v2), $as_T(v3))
});
var $d_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1: 0
}, false, "com.metastay.monitorapp.actions.CommentActionsCode$$anonfun$addFlowComment$1", {
  Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1: 1,
  sr_AbstractFunction3: 1,
  O: 1,
  F3: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1() {
  $c_sr_AbstractFunction3.call(this)
}
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1.prototype = new $h_sr_AbstractFunction3();
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1.prototype = $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1.prototype;
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1.prototype.apply__T__T__T__V = (function(userName, taskId, comment) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$().addComment__Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input().init___T__T__T(taskId, comment, userName));
  var pf = new $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1$$anonfun$apply$2().init___Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1.prototype.apply__O__O__O__O = (function(v1, v2, v3) {
  this.apply__T__T__T__V($as_T(v1), $as_T(v2), $as_T(v3))
});
var $d_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1: 0
}, false, "com.metastay.monitorapp.actions.CommentActionsCode$$anonfun$addTaskComment$1", {
  Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1: 1,
  sr_AbstractFunction3: 1,
  O: 1,
  F3: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1.prototype = $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1.prototype;
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1.prototype.apply__T__V = (function(flowId) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$().getFlowCommentList__Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input().init___T(flowId));
  var pf = new $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1$$anonfun$apply$3().init___Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1: 0
}, false, "com.metastay.monitorapp.actions.CommentActionsCode$$anonfun$loadFlowCommentList$1", {
  Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1.prototype = $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1.prototype;
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1.prototype.apply__T__V = (function(taskId) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_commentreader_CommentReaderBackend$().getTaskCommentList__Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input().init___T(taskId));
  var pf = new $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1$$anonfun$apply$4().init___Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1: 0
}, false, "com.metastay.monitorapp.actions.CommentActionsCode$$anonfun$loadTaskCommentList$1", {
  Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1.prototype = $c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1.prototype;
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1.prototype.apply__O__O = (function(v1) {
  this.apply__Lcom_metastay_monitorapp_store_Store__V(v1)
});
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1.prototype.apply__Lcom_metastay_monitorapp_store_Store__V = (function(store) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_loggedinuserreader_LoggedInUserReaderBackend$().loadUserDetails__s_concurrent_Future();
  var pf = new $c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1().init___Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1__Lcom_metastay_monitorapp_store_Store(this, store);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1: 0
}, false, "com.metastay.monitorapp.actions.LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1", {
  Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1.prototype.apply__T__T__V = (function(flowId, reason) {
  if ((reason === null)) {
    throw new $c_jl_NullPointerException().init___()
  };
  if ((reason === "")) {
    var reasonOpt = $m_s_None$()
  } else {
    var reasonOpt = new $c_s_Some().init___O(reason)
  };
  var this$2 = $m_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$().cancel__Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input().init___T__s_Option(flowId, reasonOpt));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1$$anonfun$apply$4().init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1__T(this, flowId);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$2, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__T__V($as_T(v1), $as_T(v2))
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$cancel$1", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__I__V($as_T(v1), $uI(v2))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1.prototype.apply__T__I__V = (function(flowId, priority) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$().changePriority__Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input().init___T__I(flowId, priority));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1$$anonfun$apply$5().init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1__T__I(this, flowId, priority);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$changePriority$1", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1() {
  $c_sr_AbstractFunction6.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1.prototype = new $h_sr_AbstractFunction6();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1.prototype.apply__T__T__T__T__I__T__V = (function(fqFlowName, teamCode, source, netName, priority, initDocument) {
  var x$4 = new $c_s_Some().init___O(teamCode);
  var x$8 = new $c_s_Some().init___O(source);
  var input = new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input().init___T__T__I__T__s_Option__s_Option(fqFlowName, netName, priority, initDocument, x$4, x$8);
  var this$1 = $m_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$().create__Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input__s_concurrent_Future(input);
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1$$anonfun$apply$3().init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$createFlow$1", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1: 1,
  sr_AbstractFunction6: 1,
  O: 1,
  F6: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1.prototype.apply__T__T__V = (function(flowId, reason) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$().forceComplete__Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input().init___T__s_Option(flowId, new $c_s_Some().init___O(reason)));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1$$anonfun$apply$7().init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1__T(this, flowId);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__T__V($as_T(v1), $as_T(v2))
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$forceComplete$1", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype.apply__O__O = (function(v1) {
  this.apply__Lcom_metastay_monitorapp_store_Store__V(v1)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype.apply__Lcom_metastay_monitorapp_store_Store__V = (function(store) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$().getFlowNameList__s_concurrent_Future();
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12().init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1__Lcom_metastay_monitorapp_store_Store(this, store);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1.prototype.apply__T__V = (function(fqFlowName) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$().getDocumentSchema__Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input().init___T(fqFlowName));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1$$anonfun$apply$10().init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1.prototype.apply__T__V = (function(flowId) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$().getFlowErrorList__Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input().init___T(flowId));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1$$anonfun$apply$11().init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1.prototype.apply__T__V = (function(fqFlowName) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$().getNetInitDocumentSchemaMap__Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input().init___T(fqFlowName));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1$$anonfun$apply$9().init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1.prototype.apply__T__V = (function(flowId) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$().getMonitorFlowDetails__Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input().init___T(flowId));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1$$anonfun$apply$2().init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1.prototype.apply__T__T__V = (function(fqFlowName, netName) {
  var netNameOpt = $m_s_None$();
  if ((netName === null)) {
    throw new $c_jl_NullPointerException().init___()
  };
  if ((netName !== "")) {
    netNameOpt = new $c_s_Some().init___O(netName)
  };
  var this$2 = $m_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$().getFlowStallList__Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input().init___T__s_Option(fqFlowName, netNameOpt));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1$$anonfun$apply$17().init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$2, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__T__V($as_T(v1), $as_T(v2))
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$loadStallEntryList$1", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1.prototype.apply__T__T__V = (function(fqFlowName, netName) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$().release__Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input().init___T__T(fqFlowName, netName));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1$$anonfun$apply$15().init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__T__V($as_T(v1), $as_T(v2))
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$releaseFlow$1", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1() {
  $c_sr_AbstractFunction3.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1.prototype = new $h_sr_AbstractFunction3();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1.prototype.apply__T__T__T__V = (function(flowId, fqFlowName, netName) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$().releaseOne__Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input().init___T(flowId));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1$$anonfun$apply$16().init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1__T__T(this, fqFlowName, netName);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1.prototype.apply__O__O__O__O = (function(v1, v2, v3) {
  this.apply__T__T__T__V($as_T(v1), $as_T(v2), $as_T(v3))
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$releaseOneFlow$1", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1: 1,
  sr_AbstractFunction3: 1,
  O: 1,
  F3: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1.prototype.apply__T__T__V = (function(flowId, documentJson) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$().rescue__Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input().init___T__T(flowId, documentJson));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1$$anonfun$apply$8().init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1__T(this, flowId);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__T__V($as_T(v1), $as_T(v2))
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$rescue$1", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1.prototype.apply__T__V = (function(flowId) {
  var this$2 = $m_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$().reset__Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input().init___T__s_Option(flowId, ($m_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input$(), $m_s_None$())));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1$$anonfun$apply$6().init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1__T(this, flowId);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$2, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$reset$1", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__Lcom_metastay_monitorapp_store_Store__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm__V(v1, v2)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1.prototype.apply__Lcom_metastay_monitorapp_store_Store__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm__V = (function(store, monitorFlowSearch) {
  $m_Lcom_metastay_monitorapp_store_Store$Ext$().MUTATE$undMONITOR$undFLOW$undSEARCH$extension__Lcom_metastay_monitorapp_store_Store__Lcom_metastay_monitorapp_data_MonitorFlowSearchForm__V(store, monitorFlowSearch);
  var input = $m_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input(monitorFlowSearch.toJson);
  var this$2 = $m_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$().search__Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input__s_concurrent_Future(input);
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1$$anonfun$apply$1().init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1__Lcom_metastay_monitorapp_store_Store(this, store);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$2, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$search$1", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1.prototype.apply__T__V = (function(fqFlowName) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$().stallAll__Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input().init___T(fqFlowName));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1$$anonfun$apply$14().init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$stallAllFlow$1", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1.prototype.apply__T__T__V = (function(fqFlowName, netName) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_valeyflowwriter_ValeyFlowWriterBackend$().stall__Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input().init___T__T(fqFlowName, netName));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1$$anonfun$apply$13().init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__T__V($as_T(v1), $as_T(v2))
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$stallFlow$1", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1() {
  $c_sr_AbstractFunction3.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1.prototype = new $h_sr_AbstractFunction3();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1.prototype.apply__Lcom_metastay_monitorapp_store_Store__T__T__V = (function(store, taskId, allocatedTo) {
  var allocatedBy = $as_T(store.state.userDetails.userName);
  var this$1 = $m_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$().assign__Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input().init___T__T__s_Option(taskId, allocatedTo, new $c_s_Some().init___O(allocatedBy)));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1$$anonfun$apply$8().init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1__T(this, taskId);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1.prototype.apply__O__O__O__O = (function(v1, v2, v3) {
  this.apply__Lcom_metastay_monitorapp_store_Store__T__T__V(v1, $as_T(v2), $as_T(v3))
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$allocateTask$1", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1: 1,
  sr_AbstractFunction3: 1,
  O: 1,
  F3: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1.prototype.apply__Lcom_metastay_monitorapp_store_Store__T__V = (function(store, taskId) {
  var deallocatedBy = $as_T(store.state.userDetails.userName);
  var this$1 = $m_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$().deallocate__Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input().init___T__s_Option(taskId, new $c_s_Some().init___O(deallocatedBy)));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1$$anonfun$apply$9().init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1__T(this, taskId);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__Lcom_metastay_monitorapp_store_Store__T__V(v1, $as_T(v2))
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$deallocateTask$1", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1.prototype.apply__Lcom_metastay_monitorapp_store_Store__sjs_js_Array__V = (function(store, taskIdList) {
  var deAllocatedBy = $as_T(store.state.userDetails.userName);
  var this$2 = $m_sci_List$();
  var cbf = this$2.ReusableCBFInstance$2;
  var b = cbf.apply__scm_Builder();
  b.sizeHint__I__V($uI(taskIdList.length));
  b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(taskIdList));
  var this$4 = $as_sci_List(b.result__O());
  var this$3 = $m_sci_List$();
  var bf = this$3.ReusableCBFInstance$2;
  if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
    if ((this$4 === $m_sci_Nil$())) {
      var jsx$1 = $m_sci_Nil$()
    } else {
      var v1 = this$4.head__O();
      var taskId = $as_T(v1);
      var this$9 = $m_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$().deallocate__Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input().init___T__s_Option(taskId, new $c_s_Some().init___O(deAllocatedBy)));
      var f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(taskId$1) {
        return (function(x0$1$2) {
          var x0$1 = $as_T2(x0$1$2);
          if ((x0$1 !== null)) {
            var p2 = $as_s_util_Either(x0$1.$$und2$f);
            if ($is_s_util_Right(p2)) {
              return new $c_T2().init___O__O(taskId$1, true)
            }
          };
          if ((x0$1 !== null)) {
            var p4 = $as_s_util_Either(x0$1.$$und2$f);
            if ($is_s_util_Left(p4)) {
              return new $c_T2().init___O__O(taskId$1, false)
            }
          };
          throw new $c_s_MatchError().init___O(x0$1)
        })
      })(taskId));
      var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
      var h = new $c_sci_$colon$colon().init___O__sci_List($s_s_concurrent_Future$class__map__s_concurrent_Future__F1__s_concurrent_ExecutionContext__s_concurrent_Future(this$9, f, executor), $m_sci_Nil$());
      var t = h;
      var rest = this$4.tail__sci_List();
      while ((rest !== $m_sci_Nil$())) {
        var v1$1 = rest.head__O();
        var taskId$2 = $as_T(v1$1);
        var this$14 = $m_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$().deallocate__Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input().init___T__s_Option(taskId$2, new $c_s_Some().init___O(deAllocatedBy)));
        var f$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(taskId$1$1) {
          return (function(x0$1$2$1) {
            var x0$1$1 = $as_T2(x0$1$2$1);
            if ((x0$1$1 !== null)) {
              var p2$1 = $as_s_util_Either(x0$1$1.$$und2$f);
              if ($is_s_util_Right(p2$1)) {
                return new $c_T2().init___O__O(taskId$1$1, true)
              }
            };
            if ((x0$1$1 !== null)) {
              var p4$1 = $as_s_util_Either(x0$1$1.$$und2$f);
              if ($is_s_util_Left(p4$1)) {
                return new $c_T2().init___O__O(taskId$1$1, false)
              }
            };
            throw new $c_s_MatchError().init___O(x0$1$1)
          })
        })(taskId$2));
        var executor$1 = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
        var nx = new $c_sci_$colon$colon().init___O__sci_List($s_s_concurrent_Future$class__map__s_concurrent_Future__F1__s_concurrent_ExecutionContext__s_concurrent_Future(this$14, f$1, executor$1), $m_sci_Nil$());
        t.tl$5 = nx;
        t = nx;
        var this$15 = rest;
        rest = this$15.tail__sci_List()
      };
      var jsx$1 = h
    }
  } else {
    var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$4, bf);
    var these = this$4;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      var taskId$3 = $as_T(arg1);
      var this$20 = $m_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$().deallocate__Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input().init___T__s_Option(taskId$3, new $c_s_Some().init___O(deAllocatedBy)));
      var f$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(taskId$1$2) {
        return (function(x0$1$2$2) {
          var x0$1$3 = $as_T2(x0$1$2$2);
          if ((x0$1$3 !== null)) {
            var p2$2 = $as_s_util_Either(x0$1$3.$$und2$f);
            if ($is_s_util_Right(p2$2)) {
              return new $c_T2().init___O__O(taskId$1$2, true)
            }
          };
          if ((x0$1$3 !== null)) {
            var p4$2 = $as_s_util_Either(x0$1$3.$$und2$f);
            if ($is_s_util_Left(p4$2)) {
              return new $c_T2().init___O__O(taskId$1$2, false)
            }
          };
          throw new $c_s_MatchError().init___O(x0$1$3)
        })
      })(taskId$3));
      var executor$2 = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
      b$1.$$plus$eq__O__scm_Builder($s_s_concurrent_Future$class__map__s_concurrent_Future__F1__s_concurrent_ExecutionContext__s_concurrent_Future(this$20, f$2, executor$2));
      var this$21 = these;
      these = this$21.tail__sci_List()
    };
    var jsx$1 = b$1.result__O()
  };
  var listOfFResult = $as_sci_List(jsx$1);
  var jsx$2 = $m_s_concurrent_Future$();
  var this$22 = $m_sci_List$();
  var resultList = jsx$2.sequence__sc_TraversableOnce__scg_CanBuildFrom__s_concurrent_ExecutionContext__s_concurrent_Future(listOfFResult, this$22.ReusableCBFInstance$2, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor());
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1$$anonfun$apply$7().init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1(this);
  var executor$3 = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(resultList, pf, executor$3)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__Lcom_metastay_monitorapp_store_Store__sjs_js_Array__V(v1, v2)
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$deallocateTaskList$1", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1.prototype.apply__T__T__V = (function(taskId, comment) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$().forceComplete__Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input().init___T__s_Option(taskId, new $c_s_Some().init___O(comment)));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1$$anonfun$apply$13().init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1__T(this, taskId);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__T__V($as_T(v1), $as_T(v2))
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$forceCompleteTask$1", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1.prototype.apply__T__V = (function(taskId) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$().getMonitorSubFlowTaskDetails__Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input().init___T(taskId));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1$$anonfun$apply$3().init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1.prototype.apply__T__V = (function(taskId) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$().getMonitorSubTaskList__Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input().init___T(taskId));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1$$anonfun$apply$4().init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1.prototype.apply__T__V = (function(taskId) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$().getMonitorTaskDetails__Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input().init___T(taskId));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1$$anonfun$apply$2().init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1.prototype.apply__T__V = (function(taskId) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$().getTaskErrorList__Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input().init___T(taskId));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1$$anonfun$apply$5().init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1.prototype.apply__T__V = (function(fqTaskName) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$().getTaskOutputSchema__Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input().init___T(fqTaskName));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1$$anonfun$apply$6().init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1.prototype.apply__T__V = (function(taskId) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$().getUserListToAllocateTask__Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input().init___T(taskId));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1$$anonfun$apply$14().init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1.prototype.apply__Lcom_metastay_monitorapp_store_Store__T__V = (function(store, taskId) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$().proceed__Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input().init___T(taskId));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1$$anonfun$apply$10().init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1__T(this, taskId);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__Lcom_metastay_monitorapp_store_Store__T__V(v1, $as_T(v2))
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$proceedTask$1", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1() {
  $c_sr_AbstractFunction3.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1.prototype = new $h_sr_AbstractFunction3();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1.prototype.apply__Lcom_metastay_monitorapp_store_Store__T__T__V = (function(store, taskId, outputJson) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$().rescue__Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input().init___T__T(taskId, outputJson));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1$$anonfun$apply$11().init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1__T(this, taskId);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1.prototype.apply__O__O__O__O = (function(v1, v2, v3) {
  this.apply__Lcom_metastay_monitorapp_store_Store__T__T__V(v1, $as_T(v2), $as_T(v3))
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$rescueTask$1", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1: 1,
  sr_AbstractFunction3: 1,
  O: 1,
  F3: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1.prototype.apply__T__V = (function(taskId) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$().retry__Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input().init___T(taskId));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1$$anonfun$apply$12().init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1__T(this, taskId);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$retryTask$1", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1.prototype.apply__Lcom_metastay_monitorapp_store_Store__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm__V = (function(store, monitorTaskSearchForm) {
  var input = $m_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input(monitorTaskSearchForm.toJson);
  $m_Lcom_metastay_monitorapp_store_Store$Ext$().MUTATE$undMONITOR$undTASK$undSEARCH$extension__Lcom_metastay_monitorapp_store_Store__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm__V(store, monitorTaskSearchForm);
  var this$2 = $m_Lcom_metastay_monitorapp_service_monitortaskreader_MonitorTaskReaderBackend$().search__Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input__s_concurrent_Future(input);
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1$$anonfun$apply$1().init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1__Lcom_metastay_monitorapp_store_Store(this, store);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$2, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__Lcom_metastay_monitorapp_store_Store__Lcom_metastay_monitorapp_data_MonitorTaskSearchForm__V(v1, v2)
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$search$1", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1.prototype.apply__Lcom_metastay_monitorapp_store_Store__T__V = (function(store, userName) {
  var by = $as_T(store.state.userDetails.userName);
  var this$1 = $m_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$().deallocateAll__Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input().init___T__s_Option(userName, new $c_s_Some().init___O(by)));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1$$anonfun$apply$3().init___Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1__T(this, userName);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__Lcom_metastay_monitorapp_store_Store__T__V(v1, $as_T(v2))
});
var $d_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorUserActionsCode$$anonfun$deallocateAllForUser$1", {
  Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1.prototype.apply__T__V = (function(userName) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$().getMonitorUserDetails__Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input().init___T(userName));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1$$anonfun$apply$5().init___Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1", {
  Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1() {
  $c_sr_AbstractFunction4.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1.prototype = new $h_sr_AbstractFunction4();
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1.prototype.apply__Lcom_metastay_monitorapp_store_Store__sjs_js_Array__T__T__V = (function(store, taskIdList, allocateTo, userName) {
  var by = $as_T(store.state.userDetails.userName);
  $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Processing the request."])).s__sc_Seq__T($m_sci_Nil$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
  var f = new $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6().init___Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1__T__T(this, by, allocateTo);
  var i = 0;
  var len = $uI(taskIdList.length);
  while ((i < len)) {
    var index = i;
    var v1 = taskIdList[index];
    f.apply__T__V($as_T(v1));
    i = ((1 + i) | 0)
  };
  $m_sjs_js_timers_package$().setTimeout__D__F0__sjs_js_timers_SetTimeoutHandle(2000.0, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(userName$2) {
    return (function() {
      var this$5 = new $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1().init___();
      this$5.apply__T__V(userName$2)
    })
  })(userName)))
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1.prototype.apply__O__O__O__O__O = (function(v1, v2, v3, v4) {
  this.apply__Lcom_metastay_monitorapp_store_Store__sjs_js_Array__T__T__V(v1, v2, $as_T(v3), $as_T(v4))
});
var $d_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorUserActionsCode$$anonfun$reassignTaskList$1", {
  Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1: 1,
  sr_AbstractFunction4: 1,
  O: 1,
  F4: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6() {
  $c_sr_AbstractFunction1.call(this);
  this.by$1$2 = null;
  this.allocateTo$1$2 = null
}
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6.prototype.apply__T__V = (function(taskId) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_valeytaskwriter_ValeyTaskWriterBackend$().reassign__Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input().init___T__T__s_Option(taskId, this.allocateTo$1$2, new $c_s_Some().init___O(this.by$1$2)));
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6$$anonfun$apply$4().init___Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6.prototype.init___Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1__T__T = (function($$outer, by$1, allocateTo$1) {
  this.by$1$2 = by$1;
  this.allocateTo$1$2 = allocateTo$1;
  return this
});
var $d_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6: 0
}, false, "com.metastay.monitorapp.actions.MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6", {
  Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1.prototype.apply__Lcom_metastay_monitorapp_store_Store__Lcom_metastay_monitorapp_data_MonitorUserSearchForm__V = (function(store, monitorUserSearchForm) {
  var input = $m_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input(monitorUserSearchForm.toJson);
  $m_Lcom_metastay_monitorapp_store_Store$Ext$().MUTATE$undMONITOR$undUSER$undSEARCH$extension__Lcom_metastay_monitorapp_store_Store__Lcom_metastay_monitorapp_data_MonitorUserSearchForm__V(store, monitorUserSearchForm);
  var this$2 = $m_Lcom_metastay_monitorapp_service_monitoruserreader_MonitorUserReaderBackend$().search__Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input__s_concurrent_Future(input);
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1$$anonfun$apply$2().init___Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1__Lcom_metastay_monitorapp_store_Store(this, store);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$2, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__Lcom_metastay_monitorapp_store_Store__Lcom_metastay_monitorapp_data_MonitorUserSearchForm__V(v1, v2)
});
var $d_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorUserActionsCode$$anonfun$search$1", {
  Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1.prototype = $c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1.prototype;
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1.prototype.apply__T__V = (function(flowId) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$().getFlowTagList__Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input().init___T(flowId));
  var pf = new $c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1$$anonfun$apply$2().init___Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1: 0
}, false, "com.metastay.monitorapp.actions.TagActionsCode$$anonfun$loadFlowTagList$1", {
  Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1.prototype = $c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1.prototype;
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1.prototype.apply__T__V = (function(taskId) {
  var this$1 = $m_Lcom_metastay_monitorapp_service_tagreader_TagReaderBackend$().getTaskTagList__Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input__s_concurrent_Future(new $c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input().init___T(taskId));
  var pf = new $c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1$$anonfun$apply$1().init___Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1: 0
}, false, "com.metastay.monitorapp.actions.TagActionsCode$$anonfun$loadTaskTagList$1", {
  Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input() {
  $c_O.call(this);
  this.flowId$1 = null
}
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input.prototype = $c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input.prototype;
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input(x$1)) {
    var Input$1 = $as_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input(x$1);
    return (this.flowId$1 === Input$1.flowId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.flowId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.flowId$1;
  ret.flowId = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input.prototype.init___T = (function(flowId) {
  this.flowId$1 = flowId;
  return this
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input)))
}
function $as_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.commentreader.GetFlowCommentList$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.commentreader.GetFlowCommentList$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input: 0
}, false, "com.metastay.monitorapp.service.commentreader.GetFlowCommentList$Input", {
  Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_commentreader_GetFlowCommentList$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input() {
  $c_O.call(this);
  this.taskId$1 = null
}
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input.prototype = $c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input.prototype;
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input(x$1)) {
    var Input$2 = $as_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input(x$1);
    return (this.taskId$1 === Input$2.taskId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input.prototype.$$js$exported$prop$taskId__O = (function() {
  return this.taskId$1
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.taskId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.taskId$1;
  ret.taskId = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input.prototype.init___T = (function(taskId) {
  this.taskId$1 = taskId;
  return this
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input.prototype, "taskId", {
  "get": (function() {
    return this.$$js$exported$prop$taskId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input)))
}
function $as_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.commentreader.GetTaskCommentList$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.commentreader.GetTaskCommentList$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input: 0
}, false, "com.metastay.monitorapp.service.commentreader.GetTaskCommentList$Input", {
  Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_commentreader_GetTaskCommentList$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input.prototype = $c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input.prototype;
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.productArity__I = (function() {
  return 0
});
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.equals__O__Z = (function(x$1) {
  return ($is_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input(x$1) && ($as_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input(x$1), true))
});
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  return ret
});
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input)))
}
function $as_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.loggedinuserreader.LoadUserDetails$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.loggedinuserreader.LoadUserDetails$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input: 0
}, false, "com.metastay.monitorapp.service.loggedinuserreader.LoadUserDetails$Input", {
  Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_loggedinuserreader_LoadUserDetails$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input.prototype = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input.prototype;
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input.prototype.productArity__I = (function() {
  return 0
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input.prototype.equals__O__Z = (function(x$1) {
  return ($is_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input(x$1) && ($as_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input(x$1), true))
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  return ret
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input)))
}
function $as_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.monitordashboardreader.GetMonitorFlowDashboardSummaryList$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.monitordashboardreader.GetMonitorFlowDashboardSummaryList$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input: 0
}, false, "com.metastay.monitorapp.service.monitordashboardreader.GetMonitorFlowDashboardSummaryList$Input", {
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorFlowDashboardSummaryList$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input.prototype = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input.prototype;
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input.prototype.productArity__I = (function() {
  return 0
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input.prototype.equals__O__Z = (function(x$1) {
  return ($is_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input(x$1) && ($as_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input(x$1), true))
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  return ret
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input)))
}
function $as_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.monitordashboardreader.GetMonitorTaskDashboardSummaryList$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.monitordashboardreader.GetMonitorTaskDashboardSummaryList$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input: 0
}, false, "com.metastay.monitorapp.service.monitordashboardreader.GetMonitorTaskDashboardSummaryList$Input", {
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorTaskDashboardSummaryList$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input.prototype = $c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input.prototype;
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input.prototype.productArity__I = (function() {
  return 0
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input.prototype.equals__O__Z = (function(x$1) {
  return ($is_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input(x$1) && ($as_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input(x$1), true))
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  return ret
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input)))
}
function $as_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.monitordashboardreader.GetMonitorUserDashboardSummaryList$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.monitordashboardreader.GetMonitorUserDashboardSummaryList$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input: 0
}, false, "com.metastay.monitorapp.service.monitordashboardreader.GetMonitorUserDashboardSummaryList$Input", {
  Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitordashboardreader_GetMonitorUserDashboardSummaryList$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input.prototype.productArity__I = (function() {
  return 0
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input.prototype.equals__O__Z = (function(x$1) {
  return ($is_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input(x$1) && ($as_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input(x$1), true))
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  return ret
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input)))
}
function $as_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.monitorflowreader.GetEarliestActiveFlowList$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.monitorflowreader.GetEarliestActiveFlowList$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.GetEarliestActiveFlowList$Input", {
  Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetEarliestActiveFlowList$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input() {
  $c_O.call(this);
  this.flowId$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input(x$1)) {
    var Input$3 = $as_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input(x$1);
    return (this.flowId$1 === Input$3.flowId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.flowId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.flowId$1;
  ret.flowId = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input.prototype.init___T = (function(flowId) {
  this.flowId$1 = flowId;
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input)))
}
function $as_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.monitorflowreader.GetFlowErrorList$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.monitorflowreader.GetFlowErrorList$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.GetFlowErrorList$Input", {
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowErrorList$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input.prototype.productArity__I = (function() {
  return 0
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input.prototype.equals__O__Z = (function(x$1) {
  return ($is_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input(x$1) && ($as_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input(x$1), true))
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  return ret
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input)))
}
function $as_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.monitorflowreader.GetFlowNameList$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.monitorflowreader.GetFlowNameList$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.GetFlowNameList$Input", {
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output() {
  $c_O.call(this);
  this.fqFlowNameList$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output.prototype.productPrefix__T = (function() {
  return "Output"
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output(x$1)) {
    var Output$1 = $as_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output(x$1);
    var x = this.fqFlowNameList$1;
    var x$2 = Output$1.fqFlowNameList$1;
    return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.fqFlowNameList$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var col = this.fqFlowNameList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$1 = x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    var jsx$1 = result
  };
  ret.fqFlowNameList = jsx$1;
  return ret
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output.prototype.fqFlowNameListJS__sjs_js_Array = (function() {
  var col = this.fqFlowNameList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output.prototype.$$js$exported$prop$fqFlowNameList__O = (function() {
  return this.fqFlowNameListJS__sjs_js_Array()
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output.prototype.init___sci_List = (function(fqFlowNameList) {
  this.fqFlowNameList$1 = fqFlowNameList;
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output.prototype, "fqFlowNameList", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowNameList__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output)))
}
function $as_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output(obj) {
  return (($is_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.monitorflowreader.GetFlowNameList$Output"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.monitorflowreader.GetFlowNameList$Output;", depth))
}
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.GetFlowNameList$Output", {
  Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input() {
  $c_O.call(this);
  this.flowId$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input(x$1)) {
    var Input$2 = $as_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input(x$1);
    return (this.flowId$1 === Input$2.flowId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.flowId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.flowId$1;
  ret.flowId = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input.prototype.init___T = (function(flowId) {
  this.flowId$1 = flowId;
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input)))
}
function $as_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.monitorflowreader.GetMonitorFlowDetails$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.monitorflowreader.GetMonitorFlowDetails$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.GetMonitorFlowDetails$Input", {
  Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_GetMonitorFlowDetails$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input() {
  $c_O.call(this);
  this.teamCodeList$1 = null;
  this.fromDate$1 = null;
  this.toDate$1 = null;
  this.cid$1 = null;
  this.showAll$1 = false;
  this.includeCompleted$1 = false
}
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype = $c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype;
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype.$$js$exported$prop$showAll__O = (function() {
  return this.showAll$1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype.productArity__I = (function() {
  return 6
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input(x$1)) {
    var Input$1 = $as_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input(x$1);
    var x = this.teamCodeList$1;
    var x$2 = Input$1.teamCodeList$1;
    if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
      var x$3 = this.fromDate$1;
      var x$4 = Input$1.fromDate$1;
      var jsx$3 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      var jsx$3 = false
    };
    if (jsx$3) {
      var x$5 = this.toDate$1;
      var x$6 = Input$1.toDate$1;
      var jsx$2 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
    } else {
      var jsx$2 = false
    };
    if (jsx$2) {
      var x$7 = this.cid$1;
      var x$8 = Input$1.cid$1;
      var jsx$1 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
    } else {
      var jsx$1 = false
    };
    if ((jsx$1 && (this.showAll$1 === Input$1.showAll$1))) {
      return (this.includeCompleted$1 === Input$1.includeCompleted$1)
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCodeList$1;
      break
    }
    case 1: {
      return this.fromDate$1;
      break
    }
    case 2: {
      return this.toDate$1;
      break
    }
    case 3: {
      return this.cid$1;
      break
    }
    case 4: {
      return this.showAll$1;
      break
    }
    case 5: {
      return this.includeCompleted$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype.cidJS__sjs_js_UndefOr = (function() {
  var opt = this.cid$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype.$$js$exported$prop$includeCompleted__O = (function() {
  return this.includeCompleted$1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype.$$js$exported$prop$fromDate__O = (function() {
  return this.fromDateJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var col = this.teamCodeList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$1 = x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    var jsx$1 = result
  };
  ret.teamCodeList = jsx$1;
  if (this.fromDate$1.isDefined__Z()) {
    var s = $as_T(this.fromDate$1.get__O().toISOString());
    ret.fromDate = s
  };
  if (this.toDate$1.isDefined__Z()) {
    var s$1 = $as_T(this.toDate$1.get__O().toISOString());
    ret.toDate = s$1
  };
  if (this.cid$1.isDefined__Z()) {
    var s$2 = $as_T(this.cid$1.get__O());
    ret.cid = s$2
  };
  var value = this.showAll$1;
  ret.showAll = value;
  var value$1 = this.includeCompleted$1;
  ret.includeCompleted = value$1;
  return ret
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype.init___sci_List__s_Option__s_Option__s_Option__Z__Z = (function(teamCodeList, fromDate, toDate, cid, showAll, includeCompleted) {
  this.teamCodeList$1 = teamCodeList;
  this.fromDate$1 = fromDate;
  this.toDate$1 = toDate;
  this.cid$1 = cid;
  this.showAll$1 = showAll;
  this.includeCompleted$1 = includeCompleted;
  return this
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype.$$js$exported$prop$cid__O = (function() {
  return this.cidJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype.fromDateJS__sjs_js_UndefOr = (function() {
  var opt = this.fromDate$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamCodeList$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.fromDate$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.toDate$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.cid$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, (this.showAll$1 ? 1231 : 1237));
  acc = $m_sr_Statics$().mix__I__I__I(acc, (this.includeCompleted$1 ? 1231 : 1237));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 6)
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype.$$js$exported$prop$toDate__O = (function() {
  return this.toDateJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype.toDateJS__sjs_js_UndefOr = (function() {
  var opt = this.toDate$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype.$$js$exported$prop$teamCodeList__O = (function() {
  return this.teamCodeListJS__sjs_js_Array()
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype.teamCodeListJS__sjs_js_Array = (function() {
  var col = this.teamCodeList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype, "cid", {
  "get": (function() {
    return this.$$js$exported$prop$cid__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype, "toDate", {
  "get": (function() {
    return this.$$js$exported$prop$toDate__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype, "fromDate", {
  "get": (function() {
    return this.$$js$exported$prop$fromDate__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype, "teamCodeList", {
  "get": (function() {
    return this.$$js$exported$prop$teamCodeList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype, "includeCompleted", {
  "get": (function() {
    return this.$$js$exported$prop$includeCompleted__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype, "showAll", {
  "get": (function() {
    return this.$$js$exported$prop$showAll__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input)))
}
function $as_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.monitorflowreader.Search$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.monitorflowreader.Search$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input: 0
}, false, "com.metastay.monitorapp.service.monitorflowreader.Search$Input", {
  Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitorflowreader_Search$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input() {
  $c_O.call(this);
  this.taskId$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input(x$1)) {
    var Input$4 = $as_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input(x$1);
    return (this.taskId$1 === Input$4.taskId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input.prototype.$$js$exported$prop$taskId__O = (function() {
  return this.taskId$1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.taskId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.taskId$1;
  ret.taskId = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input.prototype.init___T = (function(taskId) {
  this.taskId$1 = taskId;
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input.prototype, "taskId", {
  "get": (function() {
    return this.$$js$exported$prop$taskId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input)))
}
function $as_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.monitortaskreader.GetMonitorSubFlowTaskDetails$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.monitortaskreader.GetMonitorSubFlowTaskDetails$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetMonitorSubFlowTaskDetails$Input", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubFlowTaskDetails$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input() {
  $c_O.call(this);
  this.taskId$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input(x$1)) {
    var Input$5 = $as_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input(x$1);
    return (this.taskId$1 === Input$5.taskId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input.prototype.$$js$exported$prop$taskId__O = (function() {
  return this.taskId$1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.taskId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.taskId$1;
  ret.taskId = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input.prototype.init___T = (function(taskId) {
  this.taskId$1 = taskId;
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input.prototype, "taskId", {
  "get": (function() {
    return this.$$js$exported$prop$taskId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input)))
}
function $as_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.monitortaskreader.GetMonitorSubTaskList$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.monitortaskreader.GetMonitorSubTaskList$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetMonitorSubTaskList$Input", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorSubTaskList$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input() {
  $c_O.call(this);
  this.taskId$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input(x$1)) {
    var Input$2 = $as_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input(x$1);
    return (this.taskId$1 === Input$2.taskId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input.prototype.$$js$exported$prop$taskId__O = (function() {
  return this.taskId$1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.taskId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.taskId$1;
  ret.taskId = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input.prototype.init___T = (function(taskId) {
  this.taskId$1 = taskId;
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input.prototype, "taskId", {
  "get": (function() {
    return this.$$js$exported$prop$taskId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input)))
}
function $as_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.monitortaskreader.GetMonitorTaskDetails$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.monitortaskreader.GetMonitorTaskDetails$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetMonitorTaskDetails$Input", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetMonitorTaskDetails$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input() {
  $c_O.call(this);
  this.taskId$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input(x$1)) {
    var Input$3 = $as_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input(x$1);
    return (this.taskId$1 === Input$3.taskId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input.prototype.$$js$exported$prop$taskId__O = (function() {
  return this.taskId$1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.taskId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.taskId$1;
  ret.taskId = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input.prototype.init___T = (function(taskId) {
  this.taskId$1 = taskId;
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input.prototype, "taskId", {
  "get": (function() {
    return this.$$js$exported$prop$taskId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input)))
}
function $as_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.monitortaskreader.GetTaskErrorList$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.monitortaskreader.GetTaskErrorList$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetTaskErrorList$Input", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskErrorList$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input() {
  $c_O.call(this);
  this.fqTaskName$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input(x$1)) {
    var Input$7 = $as_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input(x$1);
    return (this.fqTaskName$1 === Input$7.fqTaskName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.fqTaskName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.fqTaskName$1;
  ret.fqTaskName = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input.prototype.$$js$exported$prop$fqTaskName__O = (function() {
  return this.fqTaskName$1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input.prototype.init___T = (function(fqTaskName) {
  this.fqTaskName$1 = fqTaskName;
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input.prototype, "fqTaskName", {
  "get": (function() {
    return this.$$js$exported$prop$fqTaskName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input)))
}
function $as_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.monitortaskreader.GetTaskOutputSchema$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.monitortaskreader.GetTaskOutputSchema$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetTaskOutputSchema$Input", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetTaskOutputSchema$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input() {
  $c_O.call(this);
  this.taskId$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input(x$1)) {
    var Input$6 = $as_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input(x$1);
    return (this.taskId$1 === Input$6.taskId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input.prototype.$$js$exported$prop$taskId__O = (function() {
  return this.taskId$1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.taskId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.taskId$1;
  ret.taskId = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input.prototype.init___T = (function(taskId) {
  this.taskId$1 = taskId;
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input.prototype, "taskId", {
  "get": (function() {
    return this.$$js$exported$prop$taskId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input)))
}
function $as_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.monitortaskreader.GetUserListToAllocateTask$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.monitortaskreader.GetUserListToAllocateTask$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.GetUserListToAllocateTask$Input", {
  Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_GetUserListToAllocateTask$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input() {
  $c_O.call(this);
  this.teamCode$1 = null;
  this.taskNameList$1 = null;
  this.taskStateList$1 = null;
  this.cid$1 = null;
  this.fromDate$1 = null;
  this.toDate$1 = null;
  this.showAll$1 = false
}
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype = $c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype;
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.$$js$exported$prop$showAll__O = (function() {
  return this.showAll$1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.productArity__I = (function() {
  return 7
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.taskStateListJS__sjs_js_Array = (function() {
  var col = this.taskStateList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input(x$1)) {
    var Input$1 = $as_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input(x$1);
    if ((this.teamCode$1 === Input$1.teamCode$1)) {
      var x = this.taskNameList$1;
      var x$2 = Input$1.taskNameList$1;
      var jsx$5 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      var jsx$5 = false
    };
    if (jsx$5) {
      var x$3 = this.taskStateList$1;
      var x$4 = Input$1.taskStateList$1;
      var jsx$4 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      var jsx$4 = false
    };
    if (jsx$4) {
      var x$5 = this.cid$1;
      var x$6 = Input$1.cid$1;
      var jsx$3 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
    } else {
      var jsx$3 = false
    };
    if (jsx$3) {
      var x$7 = this.fromDate$1;
      var x$8 = Input$1.fromDate$1;
      var jsx$2 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
    } else {
      var jsx$2 = false
    };
    if (jsx$2) {
      var x$9 = this.toDate$1;
      var x$10 = Input$1.toDate$1;
      var jsx$1 = ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      return (this.showAll$1 === Input$1.showAll$1)
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCode$1;
      break
    }
    case 1: {
      return this.taskNameList$1;
      break
    }
    case 2: {
      return this.taskStateList$1;
      break
    }
    case 3: {
      return this.cid$1;
      break
    }
    case 4: {
      return this.fromDate$1;
      break
    }
    case 5: {
      return this.toDate$1;
      break
    }
    case 6: {
      return this.showAll$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.init___T__sci_List__sci_List__s_Option__s_Option__s_Option__Z = (function(teamCode, taskNameList, taskStateList, cid, fromDate, toDate, showAll) {
  this.teamCode$1 = teamCode;
  this.taskNameList$1 = taskNameList;
  this.taskStateList$1 = taskStateList;
  this.cid$1 = cid;
  this.fromDate$1 = fromDate;
  this.toDate$1 = toDate;
  this.showAll$1 = showAll;
  return this
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.cidJS__sjs_js_UndefOr = (function() {
  var opt = this.cid$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.$$js$exported$prop$fromDate__O = (function() {
  return this.fromDateJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamCode$1;
  ret.teamCode = s;
  var col = this.taskNameList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$1 = x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$5 = these;
      these = this$5.tail__sci_List()
    };
    var jsx$1 = result
  };
  ret.taskNameList = jsx$1;
  var col$1 = this.taskStateList$1;
  if ($is_sjs_js_ArrayOps(col$1)) {
    var x2$1 = $as_sjs_js_ArrayOps(col$1);
    var jsx$2 = x2$1.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col$1)) {
    var x3$1 = $as_sjs_js_WrappedArray(col$1);
    var jsx$2 = x3$1.array$6
  } else {
    var result$1 = [];
    var these$1 = col$1;
    while ((!these$1.isEmpty__Z())) {
      var arg1$1 = these$1.head__O();
      $uI(result$1.push(arg1$1));
      var this$9 = these$1;
      these$1 = this$9.tail__sci_List()
    };
    var jsx$2 = result$1
  };
  ret.taskStateList = jsx$2;
  if (this.cid$1.isDefined__Z()) {
    var s$1 = $as_T(this.cid$1.get__O());
    ret.cid = s$1
  };
  if (this.fromDate$1.isDefined__Z()) {
    var s$2 = $as_T(this.fromDate$1.get__O().toISOString());
    ret.fromDate = s$2
  };
  if (this.toDate$1.isDefined__Z()) {
    var s$3 = $as_T(this.toDate$1.get__O().toISOString());
    ret.toDate = s$3
  };
  var value = this.showAll$1;
  ret.showAll = value;
  return ret
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.$$js$exported$prop$taskStateList__O = (function() {
  return this.taskStateListJS__sjs_js_Array()
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.$$js$exported$prop$cid__O = (function() {
  return this.cidJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.taskNameListJS__sjs_js_Array = (function() {
  var col = this.taskNameList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.fromDateJS__sjs_js_UndefOr = (function() {
  var opt = this.fromDate$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamCode$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskNameList$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskStateList$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.cid$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.fromDate$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.toDate$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, (this.showAll$1 ? 1231 : 1237));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 7)
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.$$js$exported$prop$toDate__O = (function() {
  return this.toDateJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.toDateJS__sjs_js_UndefOr = (function() {
  var opt = this.toDate$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.$$js$exported$prop$taskNameList__O = (function() {
  return this.taskNameListJS__sjs_js_Array()
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype, "toDate", {
  "get": (function() {
    return this.$$js$exported$prop$toDate__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype, "fromDate", {
  "get": (function() {
    return this.$$js$exported$prop$fromDate__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype, "cid", {
  "get": (function() {
    return this.$$js$exported$prop$cid__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype, "taskStateList", {
  "get": (function() {
    return this.$$js$exported$prop$taskStateList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype, "taskNameList", {
  "get": (function() {
    return this.$$js$exported$prop$taskNameList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype, "showAll", {
  "get": (function() {
    return this.$$js$exported$prop$showAll__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input)))
}
function $as_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.monitortaskreader.Search$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.monitortaskreader.Search$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input: 0
}, false, "com.metastay.monitorapp.service.monitortaskreader.Search$Input", {
  Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitortaskreader_Search$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input() {
  $c_O.call(this);
  this.userName$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input.prototype = $c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input.prototype;
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input(x$1)) {
    var Input$2 = $as_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input(x$1);
    return (this.userName$1 === Input$2.userName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input.prototype.init___T = (function(userName) {
  this.userName$1 = userName;
  return this
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input)))
}
function $as_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.monitoruserreader.GetMonitorUserDetails$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.monitoruserreader.GetMonitorUserDetails$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input: 0
}, false, "com.metastay.monitorapp.service.monitoruserreader.GetMonitorUserDetails$Input", {
  Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitoruserreader_GetMonitorUserDetails$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input() {
  $c_O.call(this);
  this.userName$1 = null;
  this.teamCode$1 = null;
  this.taskNameList$1 = null;
  this.fromDate$1 = null;
  this.toDate$1 = null
}
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype = $c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype;
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype.productArity__I = (function() {
  return 5
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input(x$1)) {
    var Input$1 = $as_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input(x$1);
    var x = this.userName$1;
    var x$2 = Input$1.userName$1;
    if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
      var x$3 = this.teamCode$1;
      var x$4 = Input$1.teamCode$1;
      var jsx$3 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      var jsx$3 = false
    };
    if (jsx$3) {
      var x$5 = this.taskNameList$1;
      var x$6 = Input$1.taskNameList$1;
      var jsx$2 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
    } else {
      var jsx$2 = false
    };
    if (jsx$2) {
      var x$7 = this.fromDate$1;
      var x$8 = Input$1.fromDate$1;
      var jsx$1 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      var x$9 = this.toDate$1;
      var x$10 = Input$1.toDate$1;
      return ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    case 1: {
      return this.teamCode$1;
      break
    }
    case 2: {
      return this.taskNameList$1;
      break
    }
    case 3: {
      return this.fromDate$1;
      break
    }
    case 4: {
      return this.toDate$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype.$$js$exported$prop$fromDate__O = (function() {
  return this.fromDateJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  if (this.userName$1.isDefined__Z()) {
    var s = $as_T(this.userName$1.get__O());
    ret.userName = s
  };
  if (this.teamCode$1.isDefined__Z()) {
    var s$1 = $as_T(this.teamCode$1.get__O());
    ret.teamCode = s$1
  };
  var col = this.taskNameList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$1 = x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$6 = these;
      these = this$6.tail__sci_List()
    };
    var jsx$1 = result
  };
  ret.taskNameList = jsx$1;
  if (this.fromDate$1.isDefined__Z()) {
    var s$2 = $as_T(this.fromDate$1.get__O().toISOString());
    ret.fromDate = s$2
  };
  if (this.toDate$1.isDefined__Z()) {
    var s$3 = $as_T(this.toDate$1.get__O().toISOString());
    ret.toDate = s$3
  };
  return ret
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype.userNameJS__sjs_js_UndefOr = (function() {
  var opt = this.userName$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype.teamCodeJS__sjs_js_UndefOr = (function() {
  var opt = this.teamCode$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userNameJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCodeJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype.taskNameListJS__sjs_js_Array = (function() {
  var col = this.taskNameList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype.fromDateJS__sjs_js_UndefOr = (function() {
  var opt = this.fromDate$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype.init___s_Option__s_Option__sci_List__s_Option__s_Option = (function(userName, teamCode, taskNameList, fromDate, toDate) {
  this.userName$1 = userName;
  this.teamCode$1 = teamCode;
  this.taskNameList$1 = taskNameList;
  this.fromDate$1 = fromDate;
  this.toDate$1 = toDate;
  return this
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype.$$js$exported$prop$toDate__O = (function() {
  return this.toDateJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype.toDateJS__sjs_js_UndefOr = (function() {
  var opt = this.toDate$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype.$$js$exported$prop$taskNameList__O = (function() {
  return this.taskNameListJS__sjs_js_Array()
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype, "toDate", {
  "get": (function() {
    return this.$$js$exported$prop$toDate__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype, "fromDate", {
  "get": (function() {
    return this.$$js$exported$prop$fromDate__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype, "taskNameList", {
  "get": (function() {
    return this.$$js$exported$prop$taskNameList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input)))
}
function $as_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.monitoruserreader.Search$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.monitoruserreader.Search$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input: 0
}, false, "com.metastay.monitorapp.service.monitoruserreader.Search$Input", {
  Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_monitoruserreader_Search$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input() {
  $c_O.call(this);
  this.flowId$1 = null
}
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input.prototype = $c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input.prototype;
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input(x$1)) {
    var Input$1 = $as_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input(x$1);
    return (this.flowId$1 === Input$1.flowId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.flowId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.flowId$1;
  ret.flowId = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input.prototype.init___T = (function(flowId) {
  this.flowId$1 = flowId;
  return this
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input)))
}
function $as_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.tagreader.GetFlowTagList$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.tagreader.GetFlowTagList$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input: 0
}, false, "com.metastay.monitorapp.service.tagreader.GetFlowTagList$Input", {
  Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_tagreader_GetFlowTagList$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input() {
  $c_O.call(this);
  this.taskId$1 = null
}
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input.prototype = $c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input.prototype;
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input(x$1)) {
    var Input$2 = $as_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input(x$1);
    return (this.taskId$1 === Input$2.taskId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input.prototype.$$js$exported$prop$taskId__O = (function() {
  return this.taskId$1
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.taskId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.taskId$1;
  ret.taskId = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input.prototype.init___T = (function(taskId) {
  this.taskId$1 = taskId;
  return this
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input.prototype, "taskId", {
  "get": (function() {
    return this.$$js$exported$prop$taskId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input)))
}
function $as_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.tagreader.GetTaskTagList$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.tagreader.GetTaskTagList$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input: 0
}, false, "com.metastay.monitorapp.service.tagreader.GetTaskTagList$Input", {
  Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_tagreader_GetTaskTagList$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input() {
  $c_O.call(this);
  this.fqFlowName$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input(x$1)) {
    var Input$3 = $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input(x$1);
    return (this.fqFlowName$1 === Input$3.fqFlowName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.fqFlowName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.fqFlowName$1;
  ret.fqFlowName = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input.prototype.init___T = (function(fqFlowName) {
  this.fqFlowName$1 = fqFlowName;
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeyflowreader.GetDocumentSchema$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeyflowreader.GetDocumentSchema$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetDocumentSchema$Input", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output() {
  $c_O.call(this);
  this.documentSchema$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output.prototype.productPrefix__T = (function() {
  return "Output"
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output(x$1)) {
    var Output$4 = $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output(x$1);
    return (this.documentSchema$1 === Output$4.documentSchema$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.documentSchema$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.documentSchema$1;
  ret.documentSchema = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output.prototype.$$js$exported$prop$documentSchema__O = (function() {
  return this.documentSchema$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output.prototype.init___T = (function(documentSchema) {
  this.documentSchema$1 = documentSchema;
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output.prototype, "documentSchema", {
  "get": (function() {
    return this.$$js$exported$prop$documentSchema__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output)))
}
function $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeyflowreader.GetDocumentSchema$Output"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeyflowreader.GetDocumentSchema$Output;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetDocumentSchema$Output", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input() {
  $c_O.call(this);
  this.fqFlowName$1 = null;
  this.netName$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input(x$1)) {
    var Input$5 = $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input(x$1);
    if ((this.fqFlowName$1 === Input$5.fqFlowName$1)) {
      var x = this.netName$1;
      var x$2 = Input$5.netName$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.fqFlowName$1;
      break
    }
    case 1: {
      return this.netName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.fqFlowName$1;
  ret.fqFlowName = s;
  if (this.netName$1.isDefined__Z()) {
    var s$1 = $as_T(this.netName$1.get__O());
    ret.netName = s$1
  };
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input.prototype.netNameJS__sjs_js_UndefOr = (function() {
  var opt = this.netName$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input.prototype.$$js$exported$prop$netName__O = (function() {
  return this.netNameJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input.prototype.init___T__s_Option = (function(fqFlowName, netName) {
  this.fqFlowName$1 = fqFlowName;
  this.netName$1 = netName;
  return this
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input.prototype, "netName", {
  "get": (function() {
    return this.$$js$exported$prop$netName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeyflowreader.GetFlowStallList$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeyflowreader.GetFlowStallList$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetFlowStallList$Input", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output() {
  $c_O.call(this);
  this.flowId$1 = null;
  this.teamCode$1 = null;
  this.fqFlowName$1 = null;
  this.netName$1 = null;
  this.priority$1 = 0;
  this.initData$1 = null;
  this.cid$1 = null;
  this.displayId$1 = null;
  this.source$1 = null;
  this.parentTaskId$1 = null;
  this.createdBy$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.productPrefix__T = (function() {
  return "Output"
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.productArity__I = (function() {
  return 11
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output(x$1)) {
    var Output$7 = $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output(x$1);
    if ((this.flowId$1 === Output$7.flowId$1)) {
      var x = this.teamCode$1;
      var x$2 = Output$7.teamCode$1;
      var jsx$3 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      var jsx$3 = false
    };
    if (((((((jsx$3 && (this.fqFlowName$1 === Output$7.fqFlowName$1)) && (this.netName$1 === Output$7.netName$1)) && (this.priority$1 === Output$7.priority$1)) && (this.initData$1 === Output$7.initData$1)) && (this.cid$1 === Output$7.cid$1)) && (this.displayId$1 === Output$7.displayId$1))) {
      var x$3 = this.source$1;
      var x$4 = Output$7.source$1;
      var jsx$2 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      var jsx$2 = false
    };
    if (jsx$2) {
      var x$5 = this.parentTaskId$1;
      var x$6 = Output$7.parentTaskId$1;
      var jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      var x$7 = this.createdBy$1;
      var x$8 = Output$7.createdBy$1;
      return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.flowId$1;
      break
    }
    case 1: {
      return this.teamCode$1;
      break
    }
    case 2: {
      return this.fqFlowName$1;
      break
    }
    case 3: {
      return this.netName$1;
      break
    }
    case 4: {
      return this.priority$1;
      break
    }
    case 5: {
      return this.initData$1;
      break
    }
    case 6: {
      return this.cid$1;
      break
    }
    case 7: {
      return this.displayId$1;
      break
    }
    case 8: {
      return this.source$1;
      break
    }
    case 9: {
      return this.parentTaskId$1;
      break
    }
    case 10: {
      return this.createdBy$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.sourceJS__sjs_js_UndefOr = (function() {
  var opt = this.source$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.flowId$1;
  ret.flowId = s;
  if (this.teamCode$1.isDefined__Z()) {
    var s$1 = $as_T(this.teamCode$1.get__O());
    ret.teamCode = s$1
  };
  var s$2 = this.fqFlowName$1;
  ret.fqFlowName = s$2;
  var s$3 = this.netName$1;
  ret.netName = s$3;
  var value = this.priority$1;
  ret.priority = value;
  var s$4 = this.initData$1;
  ret.initData = s$4;
  var s$5 = this.cid$1;
  ret.cid = s$5;
  var s$6 = this.displayId$1;
  ret.displayId = s$6;
  if (this.source$1.isDefined__Z()) {
    var s$7 = $as_T(this.source$1.get__O());
    ret.source = s$7
  };
  if (this.parentTaskId$1.isDefined__Z()) {
    var s$8 = $as_T(this.parentTaskId$1.get__O());
    ret.parentTaskId = s$8
  };
  if (this.createdBy$1.isDefined__Z()) {
    var s$9 = $as_T(this.createdBy$1.get__O());
    ret.createdBy = s$9
  };
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.init___T__s_Option__T__T__I__T__T__T__s_Option__s_Option__s_Option = (function(flowId, teamCode, fqFlowName, netName, priority, initData, cid, displayId, source, parentTaskId, createdBy) {
  this.flowId$1 = flowId;
  this.teamCode$1 = teamCode;
  this.fqFlowName$1 = fqFlowName;
  this.netName$1 = netName;
  this.priority$1 = priority;
  this.initData$1 = initData;
  this.cid$1 = cid;
  this.displayId$1 = displayId;
  this.source$1 = source;
  this.parentTaskId$1 = parentTaskId;
  this.createdBy$1 = createdBy;
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.$$js$exported$prop$priority__O = (function() {
  return this.priority$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.teamCodeJS__sjs_js_UndefOr = (function() {
  var opt = this.teamCode$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.$$js$exported$prop$parentTaskId__O = (function() {
  return this.parentTaskIdJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.$$js$exported$prop$source__O = (function() {
  return this.sourceJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.parentTaskIdJS__sjs_js_UndefOr = (function() {
  var opt = this.parentTaskId$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.createdByJS__sjs_js_UndefOr = (function() {
  var opt = this.createdBy$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCodeJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.$$js$exported$prop$cid__O = (function() {
  return this.cid$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.$$js$exported$prop$netName__O = (function() {
  return this.netName$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.flowId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamCode$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.fqFlowName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.netName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.priority$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.initData$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.cid$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.displayId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.source$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.parentTaskId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.createdBy$1));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 11)
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.$$js$exported$prop$displayId__O = (function() {
  return this.displayId$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.$$js$exported$prop$createdBy__O = (function() {
  return this.createdByJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.$$js$exported$prop$initData__O = (function() {
  return this.initData$1
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype, "createdBy", {
  "get": (function() {
    return this.$$js$exported$prop$createdBy__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype, "parentTaskId", {
  "get": (function() {
    return this.$$js$exported$prop$parentTaskId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype, "source", {
  "get": (function() {
    return this.$$js$exported$prop$source__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype, "displayId", {
  "get": (function() {
    return this.$$js$exported$prop$displayId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype, "cid", {
  "get": (function() {
    return this.$$js$exported$prop$cid__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype, "initData", {
  "get": (function() {
    return this.$$js$exported$prop$initData__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype, "priority", {
  "get": (function() {
    return this.$$js$exported$prop$priority__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype, "netName", {
  "get": (function() {
    return this.$$js$exported$prop$netName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output)))
}
function $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeyflowreader.GetFlowStallList$Output"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeyflowreader.GetFlowStallList$Output;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetFlowStallList$Output", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input() {
  $c_O.call(this)
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input.prototype.productArity__I = (function() {
  return 0
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input.prototype.equals__O__Z = (function(x$1) {
  return ($is_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input(x$1) && ($as_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input(x$1), true))
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeyflowreader.GetFlowStallSetList$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeyflowreader.GetFlowStallSetList$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetFlowStallSetList$Input", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output() {
  $c_O.call(this);
  this.fqFlowName$1 = null;
  this.netName$1 = null;
  this.count$1 = 0
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output.prototype.productPrefix__T = (function() {
  return "Output"
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output.prototype.productArity__I = (function() {
  return 3
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output(x$1)) {
    var Output$6 = $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output(x$1);
    return (((this.fqFlowName$1 === Output$6.fqFlowName$1) && (this.netName$1 === Output$6.netName$1)) && (this.count$1 === Output$6.count$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.fqFlowName$1;
      break
    }
    case 1: {
      return this.netName$1;
      break
    }
    case 2: {
      return this.count$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output.prototype.$$js$exported$prop$count__O = (function() {
  return this.count$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.fqFlowName$1;
  ret.fqFlowName = s;
  var s$1 = this.netName$1;
  ret.netName = s$1;
  var value = this.count$1;
  ret.count = value;
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output.prototype.init___T__T__I = (function(fqFlowName, netName, count) {
  this.fqFlowName$1 = fqFlowName;
  this.netName$1 = netName;
  this.count$1 = count;
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output.prototype.$$js$exported$prop$netName__O = (function() {
  return this.netName$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.fqFlowName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.netName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.count$1);
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output.prototype, "count", {
  "get": (function() {
    return this.$$js$exported$prop$count__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output.prototype, "netName", {
  "get": (function() {
    return this.$$js$exported$prop$netName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output)))
}
function $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeyflowreader.GetFlowStallSetList$Output"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeyflowreader.GetFlowStallSetList$Output;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetFlowStallSetList$Output", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input() {
  $c_O.call(this);
  this.fqFlowName$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input(x$1)) {
    var Input$2 = $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input(x$1);
    return (this.fqFlowName$1 === Input$2.fqFlowName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.fqFlowName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.fqFlowName$1;
  ret.fqFlowName = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input.prototype.init___T = (function(fqFlowName) {
  this.fqFlowName$1 = fqFlowName;
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeyflowreader.GetNetInitDocumentSchemaMap$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeyflowreader.GetNetInitDocumentSchemaMap$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetNetInitDocumentSchemaMap$Input", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output() {
  $c_O.call(this);
  this.netName$1 = null;
  this.initDocumentSchema$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output.prototype.init___T__T = (function(netName, initDocumentSchema) {
  this.netName$1 = netName;
  this.initDocumentSchema$1 = initDocumentSchema;
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output.prototype.productPrefix__T = (function() {
  return "Output"
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output(x$1)) {
    var Output$3 = $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output(x$1);
    return ((this.netName$1 === Output$3.netName$1) && (this.initDocumentSchema$1 === Output$3.initDocumentSchema$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.netName$1;
      break
    }
    case 1: {
      return this.initDocumentSchema$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.netName$1;
  ret.netName = s;
  var s$1 = this.initDocumentSchema$1;
  ret.initDocumentSchema = s$1;
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output.prototype.$$js$exported$prop$netName__O = (function() {
  return this.netName$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output.prototype.$$js$exported$prop$initDocumentSchema__O = (function() {
  return this.initDocumentSchema$1
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output.prototype, "initDocumentSchema", {
  "get": (function() {
    return this.$$js$exported$prop$initDocumentSchema__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output.prototype, "netName", {
  "get": (function() {
    return this.$$js$exported$prop$netName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output)))
}
function $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeyflowreader.GetNetInitDocumentSchemaMap$Output"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeyflowreader.GetNetInitDocumentSchemaMap$Output;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output: 0
}, false, "com.metastay.monitorapp.service.valeyflowreader.GetNetInitDocumentSchemaMap$Output", {
  Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input() {
  $c_O.call(this);
  this.flowId$1 = null;
  this.comment$1 = null;
  this.userName$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input.prototype.productArity__I = (function() {
  return 3
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input(x$1)) {
    var Input$7 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input(x$1);
    return (((this.flowId$1 === Input$7.flowId$1) && (this.comment$1 === Input$7.comment$1)) && (this.userName$1 === Input$7.userName$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.flowId$1;
      break
    }
    case 1: {
      return this.comment$1;
      break
    }
    case 2: {
      return this.userName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.flowId$1;
  ret.flowId = s;
  var s$1 = this.comment$1;
  ret.comment = s$1;
  var s$2 = this.userName$1;
  ret.userName = s$2;
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input.prototype.$$js$exported$prop$comment__O = (function() {
  return this.comment$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input.prototype.init___T__T__T = (function(flowId, comment, userName) {
  this.flowId$1 = flowId;
  this.comment$1 = comment;
  this.userName$1 = userName;
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input.prototype, "comment", {
  "get": (function() {
    return this.$$js$exported$prop$comment__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeyflowwriter.AddComment$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeyflowwriter.AddComment$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.AddComment$Input", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_AddComment$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input() {
  $c_O.call(this);
  this.flowId$1 = null;
  this.reason$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input(x$1)) {
    var Input$6 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input(x$1);
    if ((this.flowId$1 === Input$6.flowId$1)) {
      var x = this.reason$1;
      var x$2 = Input$6.reason$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.flowId$1;
      break
    }
    case 1: {
      return this.reason$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.flowId$1;
  ret.flowId = s;
  if (this.reason$1.isDefined__Z()) {
    var s$1 = $as_T(this.reason$1.get__O());
    ret.reason = s$1
  };
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input.prototype.reasonJS__sjs_js_UndefOr = (function() {
  var opt = this.reason$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input.prototype.$$js$exported$prop$reason__O = (function() {
  return this.reasonJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input.prototype.init___T__s_Option = (function(flowId, reason) {
  this.flowId$1 = flowId;
  this.reason$1 = reason;
  return this
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input.prototype, "reason", {
  "get": (function() {
    return this.$$js$exported$prop$reason__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeyflowwriter.Cancel$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeyflowwriter.Cancel$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Cancel$Input", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Cancel$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input() {
  $c_O.call(this);
  this.flowId$1 = null;
  this.priority$1 = 0
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input(x$1)) {
    var Input$9 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input(x$1);
    return ((this.flowId$1 === Input$9.flowId$1) && (this.priority$1 === Input$9.priority$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.flowId$1;
      break
    }
    case 1: {
      return this.priority$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.flowId$1;
  ret.flowId = s;
  var value = this.priority$1;
  ret.priority = value;
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input.prototype.$$js$exported$prop$priority__O = (function() {
  return this.priority$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input.prototype.init___T__I = (function(flowId, priority) {
  this.flowId$1 = flowId;
  this.priority$1 = priority;
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.flowId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.priority$1);
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 2)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input.prototype, "priority", {
  "get": (function() {
    return this.$$js$exported$prop$priority__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeyflowwriter.ChangePriority$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeyflowwriter.ChangePriority$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.ChangePriority$Input", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ChangePriority$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input() {
  $c_O.call(this);
  this.fqFlowName$1 = null;
  this.netName$1 = null;
  this.priority$1 = 0;
  this.initDocument$1 = null;
  this.teamCode$1 = null;
  this.source$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype.productArity__I = (function() {
  return 6
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input(x$1)) {
    var Input$1 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input(x$1);
    if (((((this.fqFlowName$1 === Input$1.fqFlowName$1) && (this.netName$1 === Input$1.netName$1)) && (this.priority$1 === Input$1.priority$1)) && (this.initDocument$1 === Input$1.initDocument$1))) {
      var x = this.teamCode$1;
      var x$2 = Input$1.teamCode$1;
      var jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      var x$3 = this.source$1;
      var x$4 = Input$1.source$1;
      return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.fqFlowName$1;
      break
    }
    case 1: {
      return this.netName$1;
      break
    }
    case 2: {
      return this.priority$1;
      break
    }
    case 3: {
      return this.initDocument$1;
      break
    }
    case 4: {
      return this.teamCode$1;
      break
    }
    case 5: {
      return this.source$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype.sourceJS__sjs_js_UndefOr = (function() {
  var opt = this.source$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.fqFlowName$1;
  ret.fqFlowName = s;
  var s$1 = this.netName$1;
  ret.netName = s$1;
  var value = this.priority$1;
  ret.priority = value;
  var s$2 = this.initDocument$1;
  ret.initDocument = s$2;
  if (this.teamCode$1.isDefined__Z()) {
    var s$3 = $as_T(this.teamCode$1.get__O());
    ret.teamCode = s$3
  };
  if (this.source$1.isDefined__Z()) {
    var s$4 = $as_T(this.source$1.get__O());
    ret.source = s$4
  };
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype.$$js$exported$prop$priority__O = (function() {
  return this.priority$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype.$$js$exported$prop$source__O = (function() {
  return this.sourceJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype.teamCodeJS__sjs_js_UndefOr = (function() {
  var opt = this.teamCode$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCodeJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype.$$js$exported$prop$initDocument__O = (function() {
  return this.initDocument$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype.$$js$exported$prop$netName__O = (function() {
  return this.netName$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.fqFlowName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.netName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.priority$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.initDocument$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamCode$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.source$1));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 6)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype.init___T__T__I__T__s_Option__s_Option = (function(fqFlowName, netName, priority, initDocument, teamCode, source) {
  this.fqFlowName$1 = fqFlowName;
  this.netName$1 = netName;
  this.priority$1 = priority;
  this.initDocument$1 = initDocument;
  this.teamCode$1 = teamCode;
  this.source$1 = source;
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype, "source", {
  "get": (function() {
    return this.$$js$exported$prop$source__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype, "initDocument", {
  "get": (function() {
    return this.$$js$exported$prop$initDocument__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype, "priority", {
  "get": (function() {
    return this.$$js$exported$prop$priority__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype, "netName", {
  "get": (function() {
    return this.$$js$exported$prop$netName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeyflowwriter.Create$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeyflowwriter.Create$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Create$Input", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output() {
  $c_O.call(this);
  this.flowId$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output.prototype.productPrefix__T = (function() {
  return "Output"
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output(x$1)) {
    var Output$1 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output(x$1);
    return (this.flowId$1 === Output$1.flowId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.flowId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.flowId$1;
  ret.flowId = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output.prototype.init___T = (function(flowId) {
  this.flowId$1 = flowId;
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output)))
}
function $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeyflowwriter.Create$Output"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeyflowwriter.Create$Output;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Create$Output", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input() {
  $c_O.call(this);
  this.flowId$1 = null;
  this.comment$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input(x$1)) {
    var Input$5 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input(x$1);
    if ((this.flowId$1 === Input$5.flowId$1)) {
      var x = this.comment$1;
      var x$2 = Input$5.comment$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.flowId$1;
      break
    }
    case 1: {
      return this.comment$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.flowId$1;
  ret.flowId = s;
  if (this.comment$1.isDefined__Z()) {
    var s$1 = $as_T(this.comment$1.get__O());
    ret.comment = s$1
  };
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input.prototype.commentJS__sjs_js_UndefOr = (function() {
  var opt = this.comment$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input.prototype.$$js$exported$prop$comment__O = (function() {
  return this.commentJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input.prototype.init___T__s_Option = (function(flowId, comment) {
  this.flowId$1 = flowId;
  this.comment$1 = comment;
  return this
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input.prototype, "comment", {
  "get": (function() {
    return this.$$js$exported$prop$comment__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeyflowwriter.ForceComplete$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeyflowwriter.ForceComplete$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.ForceComplete$Input", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ForceComplete$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input() {
  $c_O.call(this);
  this.fqFlowName$1 = null;
  this.netName$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input.prototype.init___T__T = (function(fqFlowName, netName) {
  this.fqFlowName$1 = fqFlowName;
  this.netName$1 = netName;
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input(x$1)) {
    var Input$17 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input(x$1);
    return ((this.fqFlowName$1 === Input$17.fqFlowName$1) && (this.netName$1 === Input$17.netName$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.fqFlowName$1;
      break
    }
    case 1: {
      return this.netName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.fqFlowName$1;
  ret.fqFlowName = s;
  var s$1 = this.netName$1;
  ret.netName = s$1;
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input.prototype.$$js$exported$prop$netName__O = (function() {
  return this.netName$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input.prototype, "netName", {
  "get": (function() {
    return this.$$js$exported$prop$netName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeyflowwriter.Release$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeyflowwriter.Release$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Release$Input", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Release$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input() {
  $c_O.call(this);
  this.flowId$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input(x$1)) {
    var Input$19 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input(x$1);
    return (this.flowId$1 === Input$19.flowId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.flowId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.flowId$1;
  ret.flowId = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input.prototype.init___T = (function(flowId) {
  this.flowId$1 = flowId;
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeyflowwriter.ReleaseOne$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeyflowwriter.ReleaseOne$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.ReleaseOne$Input", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_ReleaseOne$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input() {
  $c_O.call(this);
  this.flowId$1 = null;
  this.documentJson$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input.prototype.init___T__T = (function(flowId, documentJson) {
  this.flowId$1 = flowId;
  this.documentJson$1 = documentJson;
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input(x$1)) {
    var Input$4 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input(x$1);
    return ((this.flowId$1 === Input$4.flowId$1) && (this.documentJson$1 === Input$4.documentJson$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.flowId$1;
      break
    }
    case 1: {
      return this.documentJson$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input.prototype.$$js$exported$prop$documentJson__O = (function() {
  return this.documentJson$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.flowId$1;
  ret.flowId = s;
  var s$1 = this.documentJson$1;
  ret.documentJson = s$1;
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input.prototype, "documentJson", {
  "get": (function() {
    return this.$$js$exported$prop$documentJson__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeyflowwriter.Rescue$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeyflowwriter.Rescue$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Rescue$Input", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Rescue$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input() {
  $c_O.call(this);
  this.flowId$1 = null;
  this.reason$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input(x$1)) {
    var Input$2 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input(x$1);
    if ((this.flowId$1 === Input$2.flowId$1)) {
      var x = this.reason$1;
      var x$2 = Input$2.reason$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.flowId$1;
      break
    }
    case 1: {
      return this.reason$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.flowId$1;
  ret.flowId = s;
  if (this.reason$1.isDefined__Z()) {
    var s$1 = $as_T(this.reason$1.get__O());
    ret.reason = s$1
  };
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input.prototype.reasonJS__sjs_js_UndefOr = (function() {
  var opt = this.reason$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input.prototype.$$js$exported$prop$reason__O = (function() {
  return this.reasonJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input.prototype.init___T__s_Option = (function(flowId, reason) {
  this.flowId$1 = flowId;
  this.reason$1 = reason;
  return this
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input.prototype, "reason", {
  "get": (function() {
    return this.$$js$exported$prop$reason__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeyflowwriter.Reset$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeyflowwriter.Reset$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Reset$Input", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output() {
  $c_O.call(this);
  this.newFlowId$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output.prototype.productPrefix__T = (function() {
  return "Output"
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output(x$1)) {
    var Output$2 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output(x$1);
    return (this.newFlowId$1 === Output$2.newFlowId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output.prototype.$$js$exported$prop$newFlowId__O = (function() {
  return this.newFlowId$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.newFlowId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.newFlowId$1;
  ret.newFlowId = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output.prototype.init___T = (function(newFlowId) {
  this.newFlowId$1 = newFlowId;
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output.prototype, "newFlowId", {
  "get": (function() {
    return this.$$js$exported$prop$newFlowId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output)))
}
function $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeyflowwriter.Reset$Output"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeyflowwriter.Reset$Output;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Reset$Output", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Reset$Output;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input() {
  $c_O.call(this);
  this.fqFlowName$1 = null;
  this.netName$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input.prototype.init___T__T = (function(fqFlowName, netName) {
  this.fqFlowName$1 = fqFlowName;
  this.netName$1 = netName;
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input(x$1)) {
    var Input$15 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input(x$1);
    return ((this.fqFlowName$1 === Input$15.fqFlowName$1) && (this.netName$1 === Input$15.netName$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.fqFlowName$1;
      break
    }
    case 1: {
      return this.netName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.fqFlowName$1;
  ret.fqFlowName = s;
  var s$1 = this.netName$1;
  ret.netName = s$1;
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input.prototype.$$js$exported$prop$netName__O = (function() {
  return this.netName$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input.prototype, "netName", {
  "get": (function() {
    return this.$$js$exported$prop$netName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeyflowwriter.Stall$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeyflowwriter.Stall$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.Stall$Input", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_Stall$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input() {
  $c_O.call(this);
  this.fqFlowName$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input(x$1)) {
    var Input$16 = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input(x$1);
    return (this.fqFlowName$1 === Input$16.fqFlowName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.fqFlowName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.fqFlowName$1;
  ret.fqFlowName = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input.prototype.init___T = (function(fqFlowName) {
  this.fqFlowName$1 = fqFlowName;
  return this
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeyflowwriter.StallAll$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeyflowwriter.StallAll$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input: 0
}, false, "com.metastay.monitorapp.service.valeyflowwriter.StallAll$Input", {
  Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeyflowwriter_StallAll$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input() {
  $c_O.call(this);
  this.taskId$1 = null;
  this.comment$1 = null;
  this.userName$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input.prototype.productArity__I = (function() {
  return 3
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input(x$1)) {
    var Input$20 = $as_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input(x$1);
    return (((this.taskId$1 === Input$20.taskId$1) && (this.comment$1 === Input$20.comment$1)) && (this.userName$1 === Input$20.userName$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.taskId$1;
      break
    }
    case 1: {
      return this.comment$1;
      break
    }
    case 2: {
      return this.userName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input.prototype.$$js$exported$prop$taskId__O = (function() {
  return this.taskId$1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.taskId$1;
  ret.taskId = s;
  var s$1 = this.comment$1;
  ret.comment = s$1;
  var s$2 = this.userName$1;
  ret.userName = s$2;
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input.prototype.$$js$exported$prop$comment__O = (function() {
  return this.comment$1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input.prototype.init___T__T__T = (function(taskId, comment, userName) {
  this.taskId$1 = taskId;
  this.comment$1 = comment;
  this.userName$1 = userName;
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input.prototype, "comment", {
  "get": (function() {
    return this.$$js$exported$prop$comment__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input.prototype, "taskId", {
  "get": (function() {
    return this.$$js$exported$prop$taskId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeytaskwriter.AddComment$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeytaskwriter.AddComment$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.AddComment$Input", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_AddComment$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input() {
  $c_O.call(this);
  this.taskId$1 = null;
  this.toUserName$1 = null;
  this.whoDidItUserName$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input.prototype.productArity__I = (function() {
  return 3
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input(x$1)) {
    var Input$3 = $as_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input(x$1);
    if (((this.taskId$1 === Input$3.taskId$1) && (this.toUserName$1 === Input$3.toUserName$1))) {
      var x = this.whoDidItUserName$1;
      var x$2 = Input$3.whoDidItUserName$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.taskId$1;
      break
    }
    case 1: {
      return this.toUserName$1;
      break
    }
    case 2: {
      return this.whoDidItUserName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input.prototype.$$js$exported$prop$toUserName__O = (function() {
  return this.toUserName$1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input.prototype.$$js$exported$prop$taskId__O = (function() {
  return this.taskId$1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input.prototype.$$js$exported$prop$whoDidItUserName__O = (function() {
  return this.whoDidItUserNameJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.taskId$1;
  ret.taskId = s;
  var s$1 = this.toUserName$1;
  ret.toUserName = s$1;
  if (this.whoDidItUserName$1.isDefined__Z()) {
    var s$2 = $as_T(this.whoDidItUserName$1.get__O());
    ret.whoDidItUserName = s$2
  };
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input.prototype.whoDidItUserNameJS__sjs_js_UndefOr = (function() {
  var opt = this.whoDidItUserName$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input.prototype.init___T__T__s_Option = (function(taskId, toUserName, whoDidItUserName) {
  this.taskId$1 = taskId;
  this.toUserName$1 = toUserName;
  this.whoDidItUserName$1 = whoDidItUserName;
  return this
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input.prototype, "whoDidItUserName", {
  "get": (function() {
    return this.$$js$exported$prop$whoDidItUserName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input.prototype, "toUserName", {
  "get": (function() {
    return this.$$js$exported$prop$toUserName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input.prototype, "taskId", {
  "get": (function() {
    return this.$$js$exported$prop$taskId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeytaskwriter.Assign$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeytaskwriter.Assign$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Assign$Input", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Assign$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input() {
  $c_O.call(this);
  this.taskId$1 = null;
  this.whoDidItUserName$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input(x$1)) {
    var Input$5 = $as_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input(x$1);
    if ((this.taskId$1 === Input$5.taskId$1)) {
      var x = this.whoDidItUserName$1;
      var x$2 = Input$5.whoDidItUserName$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.taskId$1;
      break
    }
    case 1: {
      return this.whoDidItUserName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input.prototype.$$js$exported$prop$taskId__O = (function() {
  return this.taskId$1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input.prototype.$$js$exported$prop$whoDidItUserName__O = (function() {
  return this.whoDidItUserNameJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.taskId$1;
  ret.taskId = s;
  if (this.whoDidItUserName$1.isDefined__Z()) {
    var s$1 = $as_T(this.whoDidItUserName$1.get__O());
    ret.whoDidItUserName = s$1
  };
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input.prototype.whoDidItUserNameJS__sjs_js_UndefOr = (function() {
  var opt = this.whoDidItUserName$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input.prototype.init___T__s_Option = (function(taskId, whoDidItUserName) {
  this.taskId$1 = taskId;
  this.whoDidItUserName$1 = whoDidItUserName;
  return this
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input.prototype, "whoDidItUserName", {
  "get": (function() {
    return this.$$js$exported$prop$whoDidItUserName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input.prototype, "taskId", {
  "get": (function() {
    return this.$$js$exported$prop$taskId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeytaskwriter.Deallocate$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeytaskwriter.Deallocate$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Deallocate$Input", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Deallocate$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input() {
  $c_O.call(this);
  this.userName$1 = null;
  this.whoDidItUserName$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input(x$1)) {
    var Input$6 = $as_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input(x$1);
    if ((this.userName$1 === Input$6.userName$1)) {
      var x = this.whoDidItUserName$1;
      var x$2 = Input$6.whoDidItUserName$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    case 1: {
      return this.whoDidItUserName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input.prototype.$$js$exported$prop$whoDidItUserName__O = (function() {
  return this.whoDidItUserNameJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  if (this.whoDidItUserName$1.isDefined__Z()) {
    var s$1 = $as_T(this.whoDidItUserName$1.get__O());
    ret.whoDidItUserName = s$1
  };
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input.prototype.whoDidItUserNameJS__sjs_js_UndefOr = (function() {
  var opt = this.whoDidItUserName$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input.prototype.init___T__s_Option = (function(userName, whoDidItUserName) {
  this.userName$1 = userName;
  this.whoDidItUserName$1 = whoDidItUserName;
  return this
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input.prototype, "whoDidItUserName", {
  "get": (function() {
    return this.$$js$exported$prop$whoDidItUserName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeytaskwriter.DeallocateAll$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeytaskwriter.DeallocateAll$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.DeallocateAll$Input", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_DeallocateAll$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input() {
  $c_O.call(this);
  this.taskId$1 = null;
  this.comment$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input(x$1)) {
    var Input$16 = $as_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input(x$1);
    if ((this.taskId$1 === Input$16.taskId$1)) {
      var x = this.comment$1;
      var x$2 = Input$16.comment$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.taskId$1;
      break
    }
    case 1: {
      return this.comment$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input.prototype.$$js$exported$prop$taskId__O = (function() {
  return this.taskId$1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.taskId$1;
  ret.taskId = s;
  if (this.comment$1.isDefined__Z()) {
    var s$1 = $as_T(this.comment$1.get__O());
    ret.comment = s$1
  };
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input.prototype.commentJS__sjs_js_UndefOr = (function() {
  var opt = this.comment$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input.prototype.$$js$exported$prop$comment__O = (function() {
  return this.commentJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input.prototype.init___T__s_Option = (function(taskId, comment) {
  this.taskId$1 = taskId;
  this.comment$1 = comment;
  return this
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input.prototype, "comment", {
  "get": (function() {
    return this.$$js$exported$prop$comment__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input.prototype, "taskId", {
  "get": (function() {
    return this.$$js$exported$prop$taskId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeytaskwriter.ForceComplete$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeytaskwriter.ForceComplete$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.ForceComplete$Input", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_ForceComplete$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input() {
  $c_O.call(this);
  this.taskId$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input(x$1)) {
    var Input$9 = $as_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input(x$1);
    return (this.taskId$1 === Input$9.taskId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input.prototype.$$js$exported$prop$taskId__O = (function() {
  return this.taskId$1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.taskId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.taskId$1;
  ret.taskId = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input.prototype.init___T = (function(taskId) {
  this.taskId$1 = taskId;
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input.prototype, "taskId", {
  "get": (function() {
    return this.$$js$exported$prop$taskId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeytaskwriter.Proceed$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeytaskwriter.Proceed$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Proceed$Input", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Proceed$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input() {
  $c_O.call(this);
  this.taskId$1 = null;
  this.toUserName$1 = null;
  this.whoDidItUserName$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input.prototype.productArity__I = (function() {
  return 3
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input(x$1)) {
    var Input$7 = $as_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input(x$1);
    if (((this.taskId$1 === Input$7.taskId$1) && (this.toUserName$1 === Input$7.toUserName$1))) {
      var x = this.whoDidItUserName$1;
      var x$2 = Input$7.whoDidItUserName$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.taskId$1;
      break
    }
    case 1: {
      return this.toUserName$1;
      break
    }
    case 2: {
      return this.whoDidItUserName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input.prototype.$$js$exported$prop$toUserName__O = (function() {
  return this.toUserName$1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input.prototype.$$js$exported$prop$taskId__O = (function() {
  return this.taskId$1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input.prototype.$$js$exported$prop$whoDidItUserName__O = (function() {
  return this.whoDidItUserNameJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.taskId$1;
  ret.taskId = s;
  var s$1 = this.toUserName$1;
  ret.toUserName = s$1;
  if (this.whoDidItUserName$1.isDefined__Z()) {
    var s$2 = $as_T(this.whoDidItUserName$1.get__O());
    ret.whoDidItUserName = s$2
  };
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input.prototype.whoDidItUserNameJS__sjs_js_UndefOr = (function() {
  var opt = this.whoDidItUserName$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input.prototype.init___T__T__s_Option = (function(taskId, toUserName, whoDidItUserName) {
  this.taskId$1 = taskId;
  this.toUserName$1 = toUserName;
  this.whoDidItUserName$1 = whoDidItUserName;
  return this
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input.prototype, "whoDidItUserName", {
  "get": (function() {
    return this.$$js$exported$prop$whoDidItUserName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input.prototype, "toUserName", {
  "get": (function() {
    return this.$$js$exported$prop$toUserName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input.prototype, "taskId", {
  "get": (function() {
    return this.$$js$exported$prop$taskId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeytaskwriter.Reassign$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeytaskwriter.Reassign$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Reassign$Input", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Reassign$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input() {
  $c_O.call(this);
  this.taskId$1 = null;
  this.outputJson$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input.prototype.init___T__T = (function(taskId, outputJson) {
  this.taskId$1 = taskId;
  this.outputJson$1 = outputJson;
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input(x$1)) {
    var Input$14 = $as_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input(x$1);
    return ((this.taskId$1 === Input$14.taskId$1) && (this.outputJson$1 === Input$14.outputJson$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.taskId$1;
      break
    }
    case 1: {
      return this.outputJson$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input.prototype.$$js$exported$prop$taskId__O = (function() {
  return this.taskId$1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.taskId$1;
  ret.taskId = s;
  var s$1 = this.outputJson$1;
  ret.outputJson = s$1;
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input.prototype.$$js$exported$prop$outputJson__O = (function() {
  return this.outputJson$1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input.prototype, "outputJson", {
  "get": (function() {
    return this.$$js$exported$prop$outputJson__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input.prototype, "taskId", {
  "get": (function() {
    return this.$$js$exported$prop$taskId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeytaskwriter.Rescue$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeytaskwriter.Rescue$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Rescue$Input", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Rescue$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input() {
  $c_O.call(this);
  this.taskId$1 = null
}
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input.prototype = new $h_O();
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input.prototype.constructor = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input;
/** @constructor */
function $h_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input.prototype = $c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input.prototype;
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input(x$1)) {
    var Input$17 = $as_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input(x$1);
    return (this.taskId$1 === Input$17.taskId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input.prototype.$$js$exported$prop$taskId__O = (function() {
  return this.taskId$1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.taskId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.taskId$1;
  ret.taskId = s;
  return ret
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input.prototype.init___T = (function(taskId) {
  this.taskId$1 = taskId;
  return this
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input.prototype, "taskId", {
  "get": (function() {
    return this.$$js$exported$prop$taskId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input)))
}
function $as_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input(obj) {
  return (($is_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.monitorapp.service.valeytaskwriter.Retry$Input"))
}
function $isArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input)))
}
function $asArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.monitorapp.service.valeytaskwriter.Retry$Input;", depth))
}
var $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input = new $TypeData().initClass({
  Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input: 0
}, false, "com.metastay.monitorapp.service.valeytaskwriter.Retry$Input", {
  Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input.prototype.$classData = $d_Lcom_metastay_monitorapp_service_valeytaskwriter_Retry$Input;
/** @constructor */
function $c_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$$anonfun$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$$anonfun$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$$anonfun$1.prototype.constructor = $c_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$$anonfun$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$$anonfun$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$$anonfun$1.prototype = $c_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$$anonfun$1.prototype;
$c_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$$anonfun$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$$anonfun$1.prototype.apply__Lcom_metastay_monitorapp_store_State__Lcom_metastay_monitorapp_data_UserDetails__V = (function(state, userDetails) {
  state.userDetails = userDetails;
  var jsx$1 = state.userDetails;
  var array = userDetails.teamTaskAdminList;
  var array$1 = [];
  $uI(array.length);
  var i = 0;
  var len = $uI(array.length);
  while ((i < len)) {
    var index = i;
    var arg1 = array[index];
    var elem = $as_T(arg1.teamCode);
    array$1.push(elem);
    i = ((1 + i) | 0)
  };
  var array$2 = [];
  var seen = $as_scm_HashSet($m_scm_HashSet$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()));
  var i$1 = 0;
  var len$1 = $uI(array$1.length);
  while ((i$1 < len$1)) {
    var index$1 = i$1;
    var arg1$1 = array$1[index$1];
    if ((!$s_scm_FlatHashTable$class__containsElem__scm_FlatHashTable__O__Z(seen, arg1$1))) {
      array$2.push(arg1$1);
      seen.$$plus$eq__O__scm_HashSet(arg1$1)
    };
    i$1 = ((1 + i$1) | 0)
  };
  jsx$1.teamListForTaskAdmin = array$2
});
$c_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$$anonfun$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__Lcom_metastay_monitorapp_store_State__Lcom_metastay_monitorapp_data_UserDetails__V(v1, v2)
});
var $d_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$$anonfun$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$$anonfun$1: 0
}, false, "com.metastay.monitorapp.store.LoggedInUserMutationsCode$$anonfun$1", {
  Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$$anonfun$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$$anonfun$1.prototype.$classData = $d_Lcom_metastay_monitorapp_store_LoggedInUserMutationsCode$$anonfun$1;
/** @constructor */
function $c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1.prototype.constructor = $c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1;
/** @constructor */
function $h_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1.prototype = $c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1.prototype;
$c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1.prototype.apply__O__O = (function(v1) {
  this.apply__Lcom_metastay_reportapp_store_Store__V(v1)
});
$c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1.prototype.apply__Lcom_metastay_reportapp_store_Store__V = (function(store) {
  var this$1 = $m_Lcom_metastay_reportapp_service_loggedinuserreader_LoggedInUserReaderBackend$().loadUserDetails__s_concurrent_Future();
  var pf = new $c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1().init___Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1__Lcom_metastay_reportapp_store_Store(this, store);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1 = new $TypeData().initClass({
  Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1: 0
}, false, "com.metastay.reportapp.actions.LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1", {
  Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1.prototype.$classData = $d_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1;
/** @constructor */
function $c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype.constructor = $c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1;
/** @constructor */
function $h_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype = $c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype;
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype.apply__O__O = (function(v1) {
  this.apply__Lcom_metastay_reportapp_store_Store__V(v1)
});
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype.apply__Lcom_metastay_reportapp_store_Store__V = (function(store) {
  var this$1 = $m_Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$().getFlowNameList__s_concurrent_Future();
  var pf = new $c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$2().init___Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1__Lcom_metastay_reportapp_store_Store(this, store);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1 = new $TypeData().initClass({
  Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1: 0
}, false, "com.metastay.reportapp.actions.ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1", {
  Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype.$classData = $d_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1;
/** @constructor */
function $c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1() {
  $c_sr_AbstractFunction4.call(this)
}
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1.prototype = new $h_sr_AbstractFunction4();
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1.prototype.constructor = $c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1;
/** @constructor */
function $h_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1.prototype = $c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1.prototype;
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1.prototype.apply__O__O__O__O__O = (function(v1, v2, v3, v4) {
  this.apply__Lcom_metastay_reportapp_store_Store__T__sjs_js_Date__sjs_js_Date__V(v1, $as_T(v2), v3, v4)
});
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1.prototype.apply__Lcom_metastay_reportapp_store_Store__T__sjs_js_Date__sjs_js_Date__V = (function(store, fqFlowName, fromDate, toDate) {
  $m_Lcom_metastay_reportapp_store_Store$Ext$().MUTATE$undREPORT$undFLOW$undSEARCH$extension__Lcom_metastay_reportapp_store_Store__Lcom_metastay_reportapp_data_ReportFlowSearchForm__V(store, new ($a_Lcom_metastay_reportapp_data_ReportFlowSearchForm())(fqFlowName, fromDate, toDate));
  var this$4 = $m_Lcom_metastay_reportapp_service_reportflowreader_ReportFlowReaderBackend$().search__Lcom_metastay_reportapp_service_reportflowreader_Search$Input__s_concurrent_Future(new $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input().init___T__sjs_js_Date__sjs_js_Date(fqFlowName, fromDate, toDate));
  var pf = new $c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1$$anonfun$apply$1().init___Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1__Lcom_metastay_reportapp_store_Store(this, store);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$4, pf, executor)
});
var $d_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1 = new $TypeData().initClass({
  Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1: 0
}, false, "com.metastay.reportapp.actions.ReportFlowActionsCode$$anonfun$search$1", {
  Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1: 1,
  sr_AbstractFunction4: 1,
  O: 1,
  F4: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1.prototype.$classData = $d_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1;
/** @constructor */
function $c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1.prototype.constructor = $c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1;
/** @constructor */
function $h_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1.prototype = $c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1.prototype;
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1.prototype.apply__T__V = (function(fqFlowName) {
  var this$1 = $m_Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$().getTaskNameList__Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input__s_concurrent_Future(new $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input().init___T(fqFlowName));
  var pf = new $c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1$$anonfun$apply$2().init___Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1 = new $TypeData().initClass({
  Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1: 0
}, false, "com.metastay.reportapp.actions.ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1", {
  Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1.prototype.$classData = $d_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1;
/** @constructor */
function $c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1.prototype.constructor = $c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1;
/** @constructor */
function $h_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1.prototype = $c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1.prototype;
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1.prototype.apply__Lcom_metastay_reportapp_store_Store__Lcom_metastay_reportapp_data_ReportTaskSearchForm__V = (function(store, reportTaskSearchForm) {
  $m_Lcom_metastay_reportapp_store_Store$Ext$().MUTATE$undREPORT$undTASK$undSEARCH$extension__Lcom_metastay_reportapp_store_Store__Lcom_metastay_reportapp_data_ReportTaskSearchForm__V(store, reportTaskSearchForm);
  var jsx$2 = $m_Lcom_metastay_reportapp_service_reporttaskreader_ReportTaskReaderBackend$();
  var jsx$1 = $as_T(reportTaskSearchForm.fqFlowName);
  var value = reportTaskSearchForm.taskName;
  var this$5 = jsx$2.search__Lcom_metastay_reportapp_service_reporttaskreader_Search$Input__s_concurrent_Future(new $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input().init___T__s_Option__sjs_js_Date__sjs_js_Date(jsx$1, ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value)), reportTaskSearchForm.fromDate, reportTaskSearchForm.toDate));
  var pf = new $c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1$$anonfun$apply$1().init___Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1__Lcom_metastay_reportapp_store_Store(this, store);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$5, pf, executor)
});
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__Lcom_metastay_reportapp_store_Store__Lcom_metastay_reportapp_data_ReportTaskSearchForm__V(v1, v2)
});
var $d_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1 = new $TypeData().initClass({
  Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1: 0
}, false, "com.metastay.reportapp.actions.ReportTaskActionsCode$$anonfun$search$1", {
  Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1.prototype.$classData = $d_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1;
/** @constructor */
function $c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1.prototype.constructor = $c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1;
/** @constructor */
function $h_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1.prototype = $c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1.prototype;
$c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1.prototype.apply__Lcom_metastay_reportapp_store_Store__Lcom_metastay_reportapp_data_ReportUserSearchForm__V = (function(store, reportUserSearchForm) {
  $m_Lcom_metastay_reportapp_store_Store$Ext$().MUTATE$undREPORT$undUSER$undSEARCH$extension__Lcom_metastay_reportapp_store_Store__Lcom_metastay_reportapp_data_ReportUserSearchForm__V(store, reportUserSearchForm);
  var this$2 = $m_Lcom_metastay_reportapp_service_reportuserreader_ReportUserReaderBackend$().search__Lcom_metastay_reportapp_service_reportuserreader_Search$Input__s_concurrent_Future(new $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input().init___T__sjs_js_Date__sjs_js_Date($as_T(reportUserSearchForm.userName), reportUserSearchForm.fromDate, reportUserSearchForm.toDate));
  var pf = new $c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1$$anonfun$apply$1().init___Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1__Lcom_metastay_reportapp_store_Store(this, store);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$2, pf, executor)
});
$c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__Lcom_metastay_reportapp_store_Store__Lcom_metastay_reportapp_data_ReportUserSearchForm__V(v1, v2)
});
var $d_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1 = new $TypeData().initClass({
  Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1: 0
}, false, "com.metastay.reportapp.actions.ReportUserActionsCode$$anonfun$search$1", {
  Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1.prototype.$classData = $d_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.constructor = $c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input.prototype = $c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input.prototype;
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.productArity__I = (function() {
  return 0
});
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.equals__O__Z = (function(x$1) {
  return ($is_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input(x$1) && ($as_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input(x$1), true))
});
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  return ret
});
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input)))
}
function $as_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input(obj) {
  return (($is_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.reportapp.service.loggedinuserreader.LoadUserDetails$Input"))
}
function $isArrayOf_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input)))
}
function $asArrayOf_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.reportapp.service.loggedinuserreader.LoadUserDetails$Input;", depth))
}
var $d_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input: 0
}, false, "com.metastay.reportapp.service.loggedinuserreader.LoadUserDetails$Input", {
  Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input.prototype.$classData = $d_Lcom_metastay_reportapp_service_loggedinuserreader_LoadUserDetails$Input;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input() {
  $c_O.call(this)
}
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input.prototype = $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input.prototype;
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input.prototype.productArity__I = (function() {
  return 0
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input.prototype.equals__O__Z = (function(x$1) {
  return ($is_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input(x$1) && ($as_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input(x$1), true))
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  return ret
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input)))
}
function $as_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input(obj) {
  return (($is_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.reportapp.service.reportflowreader.GetFlowNameList$Input"))
}
function $isArrayOf_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input)))
}
function $asArrayOf_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.reportapp.service.reportflowreader.GetFlowNameList$Input;", depth))
}
var $d_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input: 0
}, false, "com.metastay.reportapp.service.reportflowreader.GetFlowNameList$Input", {
  Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Input;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output() {
  $c_O.call(this);
  this.fqFlowNameList$1 = null
}
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output.prototype = $c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output.prototype;
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output.prototype.productPrefix__T = (function() {
  return "Output"
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output(x$1)) {
    var Output$2 = $as_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output(x$1);
    var x = this.fqFlowNameList$1;
    var x$2 = Output$2.fqFlowNameList$1;
    return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
  } else {
    return false
  }
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.fqFlowNameList$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var col = this.fqFlowNameList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$1 = x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    var jsx$1 = result
  };
  ret.fqFlowNameList = jsx$1;
  return ret
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output.prototype.fqFlowNameListJS__sjs_js_Array = (function() {
  var col = this.fqFlowNameList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output.prototype.$$js$exported$prop$fqFlowNameList__O = (function() {
  return this.fqFlowNameListJS__sjs_js_Array()
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output.prototype.init___sci_List = (function(fqFlowNameList) {
  this.fqFlowNameList$1 = fqFlowNameList;
  return this
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output.prototype, "fqFlowNameList", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowNameList__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output)))
}
function $as_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output(obj) {
  return (($is_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.reportapp.service.reportflowreader.GetFlowNameList$Output"))
}
function $isArrayOf_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output)))
}
function $asArrayOf_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output(obj, depth) {
  return (($isArrayOf_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.reportapp.service.reportflowreader.GetFlowNameList$Output;", depth))
}
var $d_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output: 0
}, false, "com.metastay.reportapp.service.reportflowreader.GetFlowNameList$Output", {
  Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input() {
  $c_O.call(this);
  this.fqFlowName$1 = null;
  this.fromDate$1 = null;
  this.toDate$1 = null
}
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportflowreader_Search$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportflowreader_Search$Input.prototype = $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input.prototype;
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input.prototype.productArity__I = (function() {
  return 3
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_reportapp_service_reportflowreader_Search$Input(x$1)) {
    var Input$1 = $as_Lcom_metastay_reportapp_service_reportflowreader_Search$Input(x$1);
    return (((this.fqFlowName$1 === Input$1.fqFlowName$1) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.fromDate$1, Input$1.fromDate$1)) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.toDate$1, Input$1.toDate$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.fqFlowName$1;
      break
    }
    case 1: {
      return this.fromDate$1;
      break
    }
    case 2: {
      return this.toDate$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input.prototype.$$js$exported$prop$fromDate__O = (function() {
  return this.fromDate$1
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.fqFlowName$1;
  ret.fqFlowName = s;
  var s$1 = $as_T(this.fromDate$1.toISOString());
  ret.fromDate = s$1;
  var s$2 = $as_T(this.toDate$1.toISOString());
  ret.toDate = s$2;
  return ret
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input.prototype.init___T__sjs_js_Date__sjs_js_Date = (function(fqFlowName, fromDate, toDate) {
  this.fqFlowName$1 = fqFlowName;
  this.fromDate$1 = fromDate;
  this.toDate$1 = toDate;
  return this
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input.prototype.$$js$exported$prop$toDate__O = (function() {
  return this.toDate$1
});
Object.defineProperty($c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input.prototype, "toDate", {
  "get": (function() {
    return this.$$js$exported$prop$toDate__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input.prototype, "fromDate", {
  "get": (function() {
    return this.$$js$exported$prop$fromDate__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_reportapp_service_reportflowreader_Search$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_reportapp_service_reportflowreader_Search$Input)))
}
function $as_Lcom_metastay_reportapp_service_reportflowreader_Search$Input(obj) {
  return (($is_Lcom_metastay_reportapp_service_reportflowreader_Search$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.reportapp.service.reportflowreader.Search$Input"))
}
function $isArrayOf_Lcom_metastay_reportapp_service_reportflowreader_Search$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_reportapp_service_reportflowreader_Search$Input)))
}
function $asArrayOf_Lcom_metastay_reportapp_service_reportflowreader_Search$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_reportapp_service_reportflowreader_Search$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.reportapp.service.reportflowreader.Search$Input;", depth))
}
var $d_Lcom_metastay_reportapp_service_reportflowreader_Search$Input = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportflowreader_Search$Input: 0
}, false, "com.metastay.reportapp.service.reportflowreader.Search$Input", {
  Lcom_metastay_reportapp_service_reportflowreader_Search$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Input.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportflowreader_Search$Input;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output() {
  $c_O.call(this);
  this.totalCount$1 = 0;
  this.resultList$1 = null
}
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportflowreader_Search$Output() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportflowreader_Search$Output.prototype = $c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output.prototype;
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output.prototype.productPrefix__T = (function() {
  return "Output"
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_reportapp_service_reportflowreader_Search$Output(x$1)) {
    var Output$1 = $as_Lcom_metastay_reportapp_service_reportflowreader_Search$Output(x$1);
    if ((this.totalCount$1 === Output$1.totalCount$1)) {
      var x = this.resultList$1;
      var x$2 = Output$1.resultList$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.totalCount$1;
      break
    }
    case 1: {
      return this.resultList$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var value = this.totalCount$1;
  ret.totalCount = value;
  var this$3 = this.resultList$1;
  var f = (function(x$1$2) {
    var x$1 = $as_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult(x$1$2);
    return x$1.toJson__sjs_js_Dynamic()
  });
  var this$2 = $m_sci_List$();
  var bf = this$2.ReusableCBFInstance$2;
  if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
    if ((this$3 === $m_sci_Nil$())) {
      var jsx$1 = $m_sci_Nil$()
    } else {
      var arg1 = this$3.head__O();
      var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
      var t = h;
      var rest = this$3.tail__sci_List();
      while ((rest !== $m_sci_Nil$())) {
        var arg1$1 = rest.head__O();
        var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
        t.tl$5 = nx;
        t = nx;
        var this$4 = rest;
        rest = this$4.tail__sci_List()
      };
      var jsx$1 = h
    }
  } else {
    var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$3, bf);
    var these = this$3;
    while ((!these.isEmpty__Z())) {
      var arg1$2 = these.head__O();
      b.$$plus$eq__O__scm_Builder(f(arg1$2));
      var this$5 = these;
      these = this$5.tail__sci_List()
    };
    var jsx$1 = b.result__O()
  };
  var col = $as_sc_GenTraversableOnce(jsx$1);
  var this$8 = $m_sjsr_package$();
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$2 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$2 = x3.array$6
  } else {
    var result = [];
    col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x$2) {
        return $uI(result$1.push(x$2))
      })
    })(this$8, result)));
    var jsx$2 = result
  };
  ret.resultList = jsx$2;
  return ret
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output.prototype.$$js$exported$prop$resultList__O = (function() {
  return this.resultListJS__sjs_js_Array()
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output.prototype.resultListJS__sjs_js_Array = (function() {
  var col = this.resultList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output.prototype.$$js$exported$prop$totalCount__O = (function() {
  return this.totalCount$1
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.totalCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.resultList$1));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 2)
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output.prototype.init___I__sci_List = (function(totalCount, resultList) {
  this.totalCount$1 = totalCount;
  this.resultList$1 = resultList;
  return this
});
Object.defineProperty($c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output.prototype, "resultList", {
  "get": (function() {
    return this.$$js$exported$prop$resultList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output.prototype, "totalCount", {
  "get": (function() {
    return this.$$js$exported$prop$totalCount__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_reportapp_service_reportflowreader_Search$Output(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_reportapp_service_reportflowreader_Search$Output)))
}
function $as_Lcom_metastay_reportapp_service_reportflowreader_Search$Output(obj) {
  return (($is_Lcom_metastay_reportapp_service_reportflowreader_Search$Output(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.reportapp.service.reportflowreader.Search$Output"))
}
function $isArrayOf_Lcom_metastay_reportapp_service_reportflowreader_Search$Output(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_reportapp_service_reportflowreader_Search$Output)))
}
function $asArrayOf_Lcom_metastay_reportapp_service_reportflowreader_Search$Output(obj, depth) {
  return (($isArrayOf_Lcom_metastay_reportapp_service_reportflowreader_Search$Output(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.reportapp.service.reportflowreader.Search$Output;", depth))
}
var $d_Lcom_metastay_reportapp_service_reportflowreader_Search$Output = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportflowreader_Search$Output: 0
}, false, "com.metastay.reportapp.service.reportflowreader.Search$Output", {
  Lcom_metastay_reportapp_service_reportflowreader_Search$Output: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_reportflowreader_Search$Output.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportflowreader_Search$Output;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input() {
  $c_O.call(this);
  this.fqFlowName$1 = null
}
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input.prototype.constructor = $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input.prototype = $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input.prototype;
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input(x$1)) {
    var Input$2 = $as_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input(x$1);
    return (this.fqFlowName$1 === Input$2.fqFlowName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.fqFlowName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.fqFlowName$1;
  ret.fqFlowName = s;
  return ret
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input.prototype.init___T = (function(fqFlowName) {
  this.fqFlowName$1 = fqFlowName;
  return this
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input)))
}
function $as_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input(obj) {
  return (($is_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.reportapp.service.reporttaskreader.GetTaskNameList$Input"))
}
function $isArrayOf_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input)))
}
function $asArrayOf_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.reportapp.service.reporttaskreader.GetTaskNameList$Input;", depth))
}
var $d_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input: 0
}, false, "com.metastay.reportapp.service.reporttaskreader.GetTaskNameList$Input", {
  Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input.prototype.$classData = $d_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Input;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output() {
  $c_O.call(this);
  this.taskNameList$1 = null
}
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output.prototype.constructor = $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output.prototype = $c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output.prototype;
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output.prototype.productPrefix__T = (function() {
  return "Output"
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output(x$1)) {
    var Output$2 = $as_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output(x$1);
    var x = this.taskNameList$1;
    var x$2 = Output$2.taskNameList$1;
    return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
  } else {
    return false
  }
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.taskNameList$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var col = this.taskNameList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$1 = x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    var jsx$1 = result
  };
  ret.taskNameList = jsx$1;
  return ret
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output.prototype.init___sci_List = (function(taskNameList) {
  this.taskNameList$1 = taskNameList;
  return this
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output.prototype.taskNameListJS__sjs_js_Array = (function() {
  var col = this.taskNameList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output.prototype.$$js$exported$prop$taskNameList__O = (function() {
  return this.taskNameListJS__sjs_js_Array()
});
Object.defineProperty($c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output.prototype, "taskNameList", {
  "get": (function() {
    return this.$$js$exported$prop$taskNameList__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output)))
}
function $as_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output(obj) {
  return (($is_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.reportapp.service.reporttaskreader.GetTaskNameList$Output"))
}
function $isArrayOf_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output)))
}
function $asArrayOf_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output(obj, depth) {
  return (($isArrayOf_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.reportapp.service.reporttaskreader.GetTaskNameList$Output;", depth))
}
var $d_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output: 0
}, false, "com.metastay.reportapp.service.reporttaskreader.GetTaskNameList$Output", {
  Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output.prototype.$classData = $d_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input() {
  $c_O.call(this);
  this.fqFlowName$1 = null;
  this.taskName$1 = null;
  this.fromDate$1 = null;
  this.toDate$1 = null
}
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype.constructor = $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype = $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype;
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype.productArity__I = (function() {
  return 4
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input(x$1)) {
    var Input$1 = $as_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input(x$1);
    if ((this.fqFlowName$1 === Input$1.fqFlowName$1)) {
      var x = this.taskName$1;
      var x$2 = Input$1.taskName$1;
      var jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      var jsx$1 = false
    };
    if ((jsx$1 && $m_sr_BoxesRunTime$().equals__O__O__Z(this.fromDate$1, Input$1.fromDate$1))) {
      return $m_sr_BoxesRunTime$().equals__O__O__Z(this.toDate$1, Input$1.toDate$1)
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.fqFlowName$1;
      break
    }
    case 1: {
      return this.taskName$1;
      break
    }
    case 2: {
      return this.fromDate$1;
      break
    }
    case 3: {
      return this.toDate$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype.taskNameJS__sjs_js_UndefOr = (function() {
  var opt = this.taskName$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype.$$js$exported$prop$fromDate__O = (function() {
  return this.fromDate$1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.fqFlowName$1;
  ret.fqFlowName = s;
  if (this.taskName$1.isDefined__Z()) {
    var s$1 = $as_T(this.taskName$1.get__O());
    ret.taskName = s$1
  };
  var s$2 = $as_T(this.fromDate$1.toISOString());
  ret.fromDate = s$2;
  var s$3 = $as_T(this.toDate$1.toISOString());
  ret.toDate = s$3;
  return ret
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype.$$js$exported$prop$taskName__O = (function() {
  return this.taskNameJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype.init___T__s_Option__sjs_js_Date__sjs_js_Date = (function(fqFlowName, taskName, fromDate, toDate) {
  this.fqFlowName$1 = fqFlowName;
  this.taskName$1 = taskName;
  this.fromDate$1 = fromDate;
  this.toDate$1 = toDate;
  return this
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype.$$js$exported$prop$toDate__O = (function() {
  return this.toDate$1
});
Object.defineProperty($c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype, "taskName", {
  "get": (function() {
    return this.$$js$exported$prop$taskName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype, "toDate", {
  "get": (function() {
    return this.$$js$exported$prop$toDate__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype, "fromDate", {
  "get": (function() {
    return this.$$js$exported$prop$fromDate__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_reportapp_service_reporttaskreader_Search$Input)))
}
function $as_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input(obj) {
  return (($is_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.reportapp.service.reporttaskreader.Search$Input"))
}
function $isArrayOf_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_reportapp_service_reporttaskreader_Search$Input)))
}
function $asArrayOf_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.reportapp.service.reporttaskreader.Search$Input;", depth))
}
var $d_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reporttaskreader_Search$Input: 0
}, false, "com.metastay.reportapp.service.reporttaskreader.Search$Input", {
  Lcom_metastay_reportapp_service_reporttaskreader_Search$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input.prototype.$classData = $d_Lcom_metastay_reportapp_service_reporttaskreader_Search$Input;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output() {
  $c_O.call(this);
  this.totalCount$1 = 0;
  this.resultList$1 = null
}
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output.prototype.constructor = $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output.prototype = $c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output.prototype;
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output.prototype.productPrefix__T = (function() {
  return "Output"
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output(x$1)) {
    var Output$1 = $as_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output(x$1);
    if ((this.totalCount$1 === Output$1.totalCount$1)) {
      var x = this.resultList$1;
      var x$2 = Output$1.resultList$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.totalCount$1;
      break
    }
    case 1: {
      return this.resultList$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var value = this.totalCount$1;
  ret.totalCount = value;
  var this$3 = this.resultList$1;
  var f = (function(x$1$2) {
    var x$1 = $as_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult(x$1$2);
    return x$1.toJson__sjs_js_Dynamic()
  });
  var this$2 = $m_sci_List$();
  var bf = this$2.ReusableCBFInstance$2;
  if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
    if ((this$3 === $m_sci_Nil$())) {
      var jsx$1 = $m_sci_Nil$()
    } else {
      var arg1 = this$3.head__O();
      var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
      var t = h;
      var rest = this$3.tail__sci_List();
      while ((rest !== $m_sci_Nil$())) {
        var arg1$1 = rest.head__O();
        var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
        t.tl$5 = nx;
        t = nx;
        var this$4 = rest;
        rest = this$4.tail__sci_List()
      };
      var jsx$1 = h
    }
  } else {
    var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$3, bf);
    var these = this$3;
    while ((!these.isEmpty__Z())) {
      var arg1$2 = these.head__O();
      b.$$plus$eq__O__scm_Builder(f(arg1$2));
      var this$5 = these;
      these = this$5.tail__sci_List()
    };
    var jsx$1 = b.result__O()
  };
  var col = $as_sc_GenTraversableOnce(jsx$1);
  var this$8 = $m_sjsr_package$();
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$2 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$2 = x3.array$6
  } else {
    var result = [];
    col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x$2) {
        return $uI(result$1.push(x$2))
      })
    })(this$8, result)));
    var jsx$2 = result
  };
  ret.resultList = jsx$2;
  return ret
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output.prototype.$$js$exported$prop$resultList__O = (function() {
  return this.resultListJS__sjs_js_Array()
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output.prototype.resultListJS__sjs_js_Array = (function() {
  var col = this.resultList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output.prototype.$$js$exported$prop$totalCount__O = (function() {
  return this.totalCount$1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.totalCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.resultList$1));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 2)
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output.prototype.init___I__sci_List = (function(totalCount, resultList) {
  this.totalCount$1 = totalCount;
  this.resultList$1 = resultList;
  return this
});
Object.defineProperty($c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output.prototype, "resultList", {
  "get": (function() {
    return this.$$js$exported$prop$resultList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output.prototype, "totalCount", {
  "get": (function() {
    return this.$$js$exported$prop$totalCount__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_reportapp_service_reporttaskreader_Search$Output)))
}
function $as_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output(obj) {
  return (($is_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.reportapp.service.reporttaskreader.Search$Output"))
}
function $isArrayOf_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_reportapp_service_reporttaskreader_Search$Output)))
}
function $asArrayOf_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output(obj, depth) {
  return (($isArrayOf_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.reportapp.service.reporttaskreader.Search$Output;", depth))
}
var $d_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reporttaskreader_Search$Output: 0
}, false, "com.metastay.reportapp.service.reporttaskreader.Search$Output", {
  Lcom_metastay_reportapp_service_reporttaskreader_Search$Output: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output.prototype.$classData = $d_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input() {
  $c_O.call(this);
  this.userName$1 = null;
  this.fromDate$1 = null;
  this.toDate$1 = null
}
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportuserreader_Search$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportuserreader_Search$Input.prototype = $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input.prototype;
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input.prototype.productArity__I = (function() {
  return 3
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_reportapp_service_reportuserreader_Search$Input(x$1)) {
    var Input$1 = $as_Lcom_metastay_reportapp_service_reportuserreader_Search$Input(x$1);
    return (((this.userName$1 === Input$1.userName$1) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.fromDate$1, Input$1.fromDate$1)) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.toDate$1, Input$1.toDate$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    case 1: {
      return this.fromDate$1;
      break
    }
    case 2: {
      return this.toDate$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input.prototype.$$js$exported$prop$fromDate__O = (function() {
  return this.fromDate$1
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  var s$1 = $as_T(this.fromDate$1.toISOString());
  ret.fromDate = s$1;
  var s$2 = $as_T(this.toDate$1.toISOString());
  ret.toDate = s$2;
  return ret
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input.prototype.init___T__sjs_js_Date__sjs_js_Date = (function(userName, fromDate, toDate) {
  this.userName$1 = userName;
  this.fromDate$1 = fromDate;
  this.toDate$1 = toDate;
  return this
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input.prototype.$$js$exported$prop$toDate__O = (function() {
  return this.toDate$1
});
Object.defineProperty($c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input.prototype, "toDate", {
  "get": (function() {
    return this.$$js$exported$prop$toDate__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input.prototype, "fromDate", {
  "get": (function() {
    return this.$$js$exported$prop$fromDate__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_reportapp_service_reportuserreader_Search$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_reportapp_service_reportuserreader_Search$Input)))
}
function $as_Lcom_metastay_reportapp_service_reportuserreader_Search$Input(obj) {
  return (($is_Lcom_metastay_reportapp_service_reportuserreader_Search$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.reportapp.service.reportuserreader.Search$Input"))
}
function $isArrayOf_Lcom_metastay_reportapp_service_reportuserreader_Search$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_reportapp_service_reportuserreader_Search$Input)))
}
function $asArrayOf_Lcom_metastay_reportapp_service_reportuserreader_Search$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_reportapp_service_reportuserreader_Search$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.reportapp.service.reportuserreader.Search$Input;", depth))
}
var $d_Lcom_metastay_reportapp_service_reportuserreader_Search$Input = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportuserreader_Search$Input: 0
}, false, "com.metastay.reportapp.service.reportuserreader.Search$Input", {
  Lcom_metastay_reportapp_service_reportuserreader_Search$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Input.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportuserreader_Search$Input;
/** @constructor */
function $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output() {
  $c_O.call(this);
  this.totalCount$1 = 0;
  this.resultList$1 = null
}
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output.prototype = new $h_O();
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output.prototype.constructor = $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output;
/** @constructor */
function $h_Lcom_metastay_reportapp_service_reportuserreader_Search$Output() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_service_reportuserreader_Search$Output.prototype = $c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output.prototype;
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output.prototype.productPrefix__T = (function() {
  return "Output"
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_reportapp_service_reportuserreader_Search$Output(x$1)) {
    var Output$1 = $as_Lcom_metastay_reportapp_service_reportuserreader_Search$Output(x$1);
    if ((this.totalCount$1 === Output$1.totalCount$1)) {
      var x = this.resultList$1;
      var x$2 = Output$1.resultList$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.totalCount$1;
      break
    }
    case 1: {
      return this.resultList$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var value = this.totalCount$1;
  ret.totalCount = value;
  var this$3 = this.resultList$1;
  var f = (function(x$1$2) {
    var x$1 = $as_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult(x$1$2);
    return x$1.toJson__sjs_js_Dynamic()
  });
  var this$2 = $m_sci_List$();
  var bf = this$2.ReusableCBFInstance$2;
  if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
    if ((this$3 === $m_sci_Nil$())) {
      var jsx$1 = $m_sci_Nil$()
    } else {
      var arg1 = this$3.head__O();
      var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
      var t = h;
      var rest = this$3.tail__sci_List();
      while ((rest !== $m_sci_Nil$())) {
        var arg1$1 = rest.head__O();
        var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
        t.tl$5 = nx;
        t = nx;
        var this$4 = rest;
        rest = this$4.tail__sci_List()
      };
      var jsx$1 = h
    }
  } else {
    var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$3, bf);
    var these = this$3;
    while ((!these.isEmpty__Z())) {
      var arg1$2 = these.head__O();
      b.$$plus$eq__O__scm_Builder(f(arg1$2));
      var this$5 = these;
      these = this$5.tail__sci_List()
    };
    var jsx$1 = b.result__O()
  };
  var col = $as_sc_GenTraversableOnce(jsx$1);
  var this$8 = $m_sjsr_package$();
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$2 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$2 = x3.array$6
  } else {
    var result = [];
    col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x$2) {
        return $uI(result$1.push(x$2))
      })
    })(this$8, result)));
    var jsx$2 = result
  };
  ret.resultList = jsx$2;
  return ret
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output.prototype.$$js$exported$prop$resultList__O = (function() {
  return this.resultListJS__sjs_js_Array()
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output.prototype.resultListJS__sjs_js_Array = (function() {
  var col = this.resultList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output.prototype.$$js$exported$prop$totalCount__O = (function() {
  return this.totalCount$1
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.totalCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.resultList$1));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 2)
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output.prototype.init___I__sci_List = (function(totalCount, resultList) {
  this.totalCount$1 = totalCount;
  this.resultList$1 = resultList;
  return this
});
Object.defineProperty($c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output.prototype, "resultList", {
  "get": (function() {
    return this.$$js$exported$prop$resultList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output.prototype, "totalCount", {
  "get": (function() {
    return this.$$js$exported$prop$totalCount__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_reportapp_service_reportuserreader_Search$Output(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_reportapp_service_reportuserreader_Search$Output)))
}
function $as_Lcom_metastay_reportapp_service_reportuserreader_Search$Output(obj) {
  return (($is_Lcom_metastay_reportapp_service_reportuserreader_Search$Output(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.reportapp.service.reportuserreader.Search$Output"))
}
function $isArrayOf_Lcom_metastay_reportapp_service_reportuserreader_Search$Output(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_reportapp_service_reportuserreader_Search$Output)))
}
function $asArrayOf_Lcom_metastay_reportapp_service_reportuserreader_Search$Output(obj, depth) {
  return (($isArrayOf_Lcom_metastay_reportapp_service_reportuserreader_Search$Output(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.reportapp.service.reportuserreader.Search$Output;", depth))
}
var $d_Lcom_metastay_reportapp_service_reportuserreader_Search$Output = new $TypeData().initClass({
  Lcom_metastay_reportapp_service_reportuserreader_Search$Output: 0
}, false, "com.metastay.reportapp.service.reportuserreader.Search$Output", {
  Lcom_metastay_reportapp_service_reportuserreader_Search$Output: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_service_reportuserreader_Search$Output.prototype.$classData = $d_Lcom_metastay_reportapp_service_reportuserreader_Search$Output;
/** @constructor */
function $c_Lsmilejs_com_metastay_browserdata_data_UserDetails() {
  $c_O.call(this);
  this.userName$1 = null;
  this.appRoleList$1 = null;
  this.projectName$1 = null
}
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails.prototype = new $h_O();
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails.prototype.constructor = $c_Lsmilejs_com_metastay_browserdata_data_UserDetails;
/** @constructor */
function $h_Lsmilejs_com_metastay_browserdata_data_UserDetails() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_browserdata_data_UserDetails.prototype = $c_Lsmilejs_com_metastay_browserdata_data_UserDetails.prototype;
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails.prototype.productPrefix__T = (function() {
  return "UserDetails"
});
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails.prototype.productArity__I = (function() {
  return 3
});
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_browserdata_data_UserDetails(x$1)) {
    var UserDetails$1 = $as_Lsmilejs_com_metastay_browserdata_data_UserDetails(x$1);
    if ((this.userName$1 === UserDetails$1.userName$1)) {
      var x = this.appRoleList$1;
      var x$2 = UserDetails$1.appRoleList$1;
      var jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      return (this.projectName$1 === UserDetails$1.projectName$1)
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    case 1: {
      return this.appRoleList$1;
      break
    }
    case 2: {
      return this.projectName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails.prototype.toString__T = (function() {
  var jsx$2 = ((this.userName$1 === null) ? "userName=null" : ("userName=" + this.userName$1));
  if ((this.appRoleList$1 === null)) {
    var jsx$1 = "appRoleList=null"
  } else {
    var this$1 = this.appRoleList$1;
    var jsx$1 = ("appRoleList=" + $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this$1))
  };
  return (((((("UserDetails(" + jsx$2) + ",") + jsx$1) + ",") + ((this.projectName$1 === null) ? "projectName=null" : ("projectName=" + this.projectName$1))) + ")")
});
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails.prototype.init___T__sci_List__T = (function(userName, appRoleList, projectName) {
  this.userName$1 = userName;
  this.appRoleList$1 = appRoleList;
  this.projectName$1 = projectName;
  return this
});
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  var this$3 = this.appRoleList$1;
  var f = (function(x$1$2) {
    var x$1 = $as_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser(x$1$2);
    return x$1.toJson__sjs_js_Dynamic()
  });
  var this$2 = $m_sci_List$();
  var bf = this$2.ReusableCBFInstance$2;
  if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
    if ((this$3 === $m_sci_Nil$())) {
      var jsx$1 = $m_sci_Nil$()
    } else {
      var arg1 = this$3.head__O();
      var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
      var t = h;
      var rest = this$3.tail__sci_List();
      while ((rest !== $m_sci_Nil$())) {
        var arg1$1 = rest.head__O();
        var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
        t.tl$5 = nx;
        t = nx;
        var this$4 = rest;
        rest = this$4.tail__sci_List()
      };
      var jsx$1 = h
    }
  } else {
    var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$3, bf);
    var these = this$3;
    while ((!these.isEmpty__Z())) {
      var arg1$2 = these.head__O();
      b.$$plus$eq__O__scm_Builder(f(arg1$2));
      var this$5 = these;
      these = this$5.tail__sci_List()
    };
    var jsx$1 = b.result__O()
  };
  var col = $as_sc_GenTraversableOnce(jsx$1);
  var this$8 = $m_sjsr_package$();
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$2 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$2 = x3.array$6
  } else {
    var result = [];
    col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x$2) {
        return $uI(result$1.push(x$2))
      })
    })(this$8, result)));
    var jsx$2 = result
  };
  ret.appRoleList = jsx$2;
  var s$1 = this.projectName$1;
  ret.projectName = s$1;
  return ret
});
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails.prototype.$$js$exported$prop$projectName__O = (function() {
  return this.projectName$1
});
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails.prototype.appRoleListJS__sjs_js_Array = (function() {
  var col = this.appRoleList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails.prototype.$$js$exported$prop$appRoleList__O = (function() {
  return this.appRoleListJS__sjs_js_Array()
});
Object.defineProperty($c_Lsmilejs_com_metastay_browserdata_data_UserDetails.prototype, "appRoleList", {
  "get": (function() {
    return this.$$js$exported$prop$appRoleList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_browserdata_data_UserDetails.prototype, "projectName", {
  "get": (function() {
    return this.$$js$exported$prop$projectName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_browserdata_data_UserDetails.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_browserdata_data_UserDetails(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_browserdata_data_UserDetails)))
}
function $as_Lsmilejs_com_metastay_browserdata_data_UserDetails(obj) {
  return (($is_Lsmilejs_com_metastay_browserdata_data_UserDetails(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.browserdata.data.UserDetails"))
}
function $isArrayOf_Lsmilejs_com_metastay_browserdata_data_UserDetails(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_browserdata_data_UserDetails)))
}
function $asArrayOf_Lsmilejs_com_metastay_browserdata_data_UserDetails(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_browserdata_data_UserDetails(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.browserdata.data.UserDetails;", depth))
}
var $d_Lsmilejs_com_metastay_browserdata_data_UserDetails = new $TypeData().initClass({
  Lsmilejs_com_metastay_browserdata_data_UserDetails: 0
}, false, "smilejs.com.metastay.browserdata.data.UserDetails", {
  Lsmilejs_com_metastay_browserdata_data_UserDetails: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_browserdata_data_UserDetails.prototype.$classData = $d_Lsmilejs_com_metastay_browserdata_data_UserDetails;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser() {
  $c_O.call(this);
  this.userName$1 = null;
  this.currentQSize$1 = 0;
  this.maxQSize$1 = 0
}
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_AllocateToUser() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_AllocateToUser.prototype = $c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser.prototype.init___T__I__I = (function(userName, currentQSize, maxQSize) {
  this.userName$1 = userName;
  this.currentQSize$1 = currentQSize;
  this.maxQSize$1 = maxQSize;
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser.prototype.productPrefix__T = (function() {
  return "AllocateToUser"
});
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser.prototype.productArity__I = (function() {
  return 3
});
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_AllocateToUser(x$1)) {
    var AllocateToUser$1 = $as_Lsmilejs_com_metastay_monitordata_data_AllocateToUser(x$1);
    return (((this.userName$1 === AllocateToUser$1.userName$1) && (this.currentQSize$1 === AllocateToUser$1.currentQSize$1)) && (this.maxQSize$1 === AllocateToUser$1.maxQSize$1))
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    case 1: {
      return this.currentQSize$1;
      break
    }
    case 2: {
      return this.maxQSize$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser.prototype.$$js$exported$prop$maxQSize__O = (function() {
  return this.maxQSize$1
});
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser.prototype.toString__T = (function() {
  var jsx$1 = ((this.userName$1 === null) ? "userName=null" : ("userName=" + this.userName$1));
  var this$1 = this.currentQSize$1;
  var this$3 = this.maxQSize$1;
  return (((((((("AllocateToUser(" + jsx$1) + ",") + "currentQSize=") + ("" + this$1)) + ",") + "maxQSize=") + ("" + this$3)) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  var value = this.currentQSize$1;
  ret.currentQSize = value;
  var value$1 = this.maxQSize$1;
  ret.maxQSize = value$1;
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser.prototype.$$js$exported$prop$currentQSize__O = (function() {
  return this.currentQSize$1
});
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.userName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.currentQSize$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.maxQSize$1);
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
});
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser.prototype, "maxQSize", {
  "get": (function() {
    return this.$$js$exported$prop$maxQSize__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser.prototype, "currentQSize", {
  "get": (function() {
    return this.$$js$exported$prop$currentQSize__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_AllocateToUser(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_AllocateToUser)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_AllocateToUser(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_AllocateToUser(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.AllocateToUser"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_AllocateToUser(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_AllocateToUser)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_AllocateToUser(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_AllocateToUser(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.AllocateToUser;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_AllocateToUser = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_AllocateToUser: 0
}, false, "smilejs.com.metastay.monitordata.data.AllocateToUser", {
  Lsmilejs_com_metastay_monitordata_data_AllocateToUser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_AllocateToUser.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_AllocateToUser;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_Comment() {
  $c_O.call(this);
  this.commentedBy$1 = null;
  this.createdTime$1 = null;
  this.commentLevel$1 = null;
  this.comment$1 = null;
  this.taskName$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_Comment;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_Comment() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_Comment.prototype = $c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype.productPrefix__T = (function() {
  return "Comment"
});
$c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype.$$js$exported$prop$commentedBy__O = (function() {
  return this.commentedBy$1
});
$c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype.productArity__I = (function() {
  return 5
});
$c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_Comment(x$1)) {
    var Comment$1 = $as_Lsmilejs_com_metastay_monitordata_data_Comment(x$1);
    if (((this.commentedBy$1 === Comment$1.commentedBy$1) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.createdTime$1, Comment$1.createdTime$1))) {
      var x = this.commentLevel$1;
      var x$2 = Comment$1.commentLevel$1;
      var jsx$1 = (x === x$2)
    } else {
      var jsx$1 = false
    };
    if ((jsx$1 && (this.comment$1 === Comment$1.comment$1))) {
      var x$3 = this.taskName$1;
      var x$4 = Comment$1.taskName$1;
      return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.commentedBy$1;
      break
    }
    case 1: {
      return this.createdTime$1;
      break
    }
    case 2: {
      return this.commentLevel$1;
      break
    }
    case 3: {
      return this.comment$1;
      break
    }
    case 4: {
      return this.taskName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype.taskNameJS__sjs_js_UndefOr = (function() {
  var opt = this.taskName$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype.toString__T = (function() {
  return (((((((((("Comment(" + ((this.commentedBy$1 === null) ? "commentedBy=null" : ("commentedBy=" + this.commentedBy$1))) + ",") + ((this.createdTime$1 === null) ? "createdTime=null" : ("createdTime=" + $objectToString(this.createdTime$1)))) + ",") + ((this.commentLevel$1 === null) ? "commentLevel=null" : ("commentLevel=" + this.commentLevel$1.toString__T()))) + ",") + ((this.comment$1 === null) ? "comment=null" : ("comment=" + this.comment$1))) + ",") + ((this.taskName$1 === null) ? "taskName=null" : ("taskName=" + this.taskName$1.toString__T()))) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype.init___T__sjs_js_Date__Lsmilejs_com_metastay_prism_enums_CommentLevel__T__s_Option = (function(commentedBy, createdTime, commentLevel, comment, taskName) {
  this.commentedBy$1 = commentedBy;
  this.createdTime$1 = createdTime;
  this.commentLevel$1 = commentLevel;
  this.comment$1 = comment;
  this.taskName$1 = taskName;
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.commentedBy$1;
  ret.commentedBy = s;
  var s$1 = $as_T(this.createdTime$1.toISOString());
  ret.createdTime = s$1;
  var s$2 = this.commentLevel$1.id$1;
  ret.commentLevel = s$2;
  var s$3 = this.comment$1;
  ret.comment = s$3;
  if (this.taskName$1.isDefined__Z()) {
    var s$4 = $as_T(this.taskName$1.get__O());
    ret.taskName = s$4
  };
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype.$$js$exported$prop$comment__O = (function() {
  return this.comment$1
});
$c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype.$$js$exported$prop$taskName__O = (function() {
  return this.taskNameJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype.$$js$exported$prop$commentLevel__O = (function() {
  return this.commentLevel$1
});
$c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype.$$js$exported$prop$createdTime__O = (function() {
  return this.createdTime$1
});
$c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype, "taskName", {
  "get": (function() {
    return this.$$js$exported$prop$taskName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype, "comment", {
  "get": (function() {
    return this.$$js$exported$prop$comment__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype, "commentLevel", {
  "get": (function() {
    return this.$$js$exported$prop$commentLevel__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype, "createdTime", {
  "get": (function() {
    return this.$$js$exported$prop$createdTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype, "commentedBy", {
  "get": (function() {
    return this.$$js$exported$prop$commentedBy__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_Comment(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_Comment)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_Comment(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_Comment(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.Comment"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_Comment(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_Comment)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_Comment(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_Comment(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.Comment;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_Comment = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_Comment: 0
}, false, "smilejs.com.metastay.monitordata.data.Comment", {
  Lsmilejs_com_metastay_monitordata_data_Comment: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_Comment.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_Comment;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask() {
  $c_O.call(this);
  this.teamCode$1 = null;
  this.fqFlowName$1 = null;
  this.taskName$1 = null;
  this.readyCount$1 = 0;
  this.allocatedCount$1 = 0;
  this.startedCount$1 = 0;
  this.errorCount$1 = 0;
  this.completedCount$1 = 0
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype.productPrefix__T = (function() {
  return "MonitorDashboardTask"
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype.productArity__I = (function() {
  return 8
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask(x$1)) {
    var MonitorDashboardTask$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask(x$1);
    return ((((((((this.teamCode$1 === MonitorDashboardTask$1.teamCode$1) && (this.fqFlowName$1 === MonitorDashboardTask$1.fqFlowName$1)) && (this.taskName$1 === MonitorDashboardTask$1.taskName$1)) && (this.readyCount$1 === MonitorDashboardTask$1.readyCount$1)) && (this.allocatedCount$1 === MonitorDashboardTask$1.allocatedCount$1)) && (this.startedCount$1 === MonitorDashboardTask$1.startedCount$1)) && (this.errorCount$1 === MonitorDashboardTask$1.errorCount$1)) && (this.completedCount$1 === MonitorDashboardTask$1.completedCount$1))
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCode$1;
      break
    }
    case 1: {
      return this.fqFlowName$1;
      break
    }
    case 2: {
      return this.taskName$1;
      break
    }
    case 3: {
      return this.readyCount$1;
      break
    }
    case 4: {
      return this.allocatedCount$1;
      break
    }
    case 5: {
      return this.startedCount$1;
      break
    }
    case 6: {
      return this.errorCount$1;
      break
    }
    case 7: {
      return this.completedCount$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype.$$js$exported$prop$startedCount__O = (function() {
  return this.startedCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype.toString__T = (function() {
  var jsx$3 = ((this.teamCode$1 === null) ? "teamCode=null" : ("teamCode=" + this.teamCode$1));
  var jsx$2 = ((this.fqFlowName$1 === null) ? "fqFlowName=null" : ("fqFlowName=" + this.fqFlowName$1));
  var jsx$1 = ((this.taskName$1 === null) ? "taskName=null" : ("taskName=" + this.taskName$1));
  var this$1 = this.readyCount$1;
  var this$3 = this.allocatedCount$1;
  var this$5 = this.startedCount$1;
  var this$7 = this.errorCount$1;
  var this$9 = this.completedCount$1;
  return ((((((((((((((((((((("MonitorDashboardTask(" + jsx$3) + ",") + jsx$2) + ",") + jsx$1) + ",") + "readyCount=") + ("" + this$1)) + ",") + "allocatedCount=") + ("" + this$3)) + ",") + "startedCount=") + ("" + this$5)) + ",") + "errorCount=") + ("" + this$7)) + ",") + "completedCount=") + ("" + this$9)) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamCode$1;
  ret.teamCode = s;
  var s$1 = this.fqFlowName$1;
  ret.fqFlowName = s$1;
  var s$2 = this.taskName$1;
  ret.taskName = s$2;
  var value = this.readyCount$1;
  ret.readyCount = value;
  var value$1 = this.allocatedCount$1;
  ret.allocatedCount = value$1;
  var value$2 = this.startedCount$1;
  ret.startedCount = value$2;
  var value$3 = this.errorCount$1;
  ret.errorCount = value$3;
  var value$4 = this.completedCount$1;
  ret.completedCount = value$4;
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype.$$js$exported$prop$readyCount__O = (function() {
  return this.readyCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype.$$js$exported$prop$taskName__O = (function() {
  return this.taskName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype.$$js$exported$prop$completedCount__O = (function() {
  return this.completedCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype.init___T__T__T__I__I__I__I__I = (function(teamCode, fqFlowName, taskName, readyCount, allocatedCount, startedCount, errorCount, completedCount) {
  this.teamCode$1 = teamCode;
  this.fqFlowName$1 = fqFlowName;
  this.taskName$1 = taskName;
  this.readyCount$1 = readyCount;
  this.allocatedCount$1 = allocatedCount;
  this.startedCount$1 = startedCount;
  this.errorCount$1 = errorCount;
  this.completedCount$1 = completedCount;
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamCode$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.fqFlowName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.readyCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.allocatedCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.startedCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.errorCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.completedCount$1);
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 8)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype.$$js$exported$prop$allocatedCount__O = (function() {
  return this.allocatedCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype.$$js$exported$prop$errorCount__O = (function() {
  return this.errorCount$1
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype, "completedCount", {
  "get": (function() {
    return this.$$js$exported$prop$completedCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype, "errorCount", {
  "get": (function() {
    return this.$$js$exported$prop$errorCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype, "startedCount", {
  "get": (function() {
    return this.$$js$exported$prop$startedCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype, "allocatedCount", {
  "get": (function() {
    return this.$$js$exported$prop$allocatedCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype, "readyCount", {
  "get": (function() {
    return this.$$js$exported$prop$readyCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype, "taskName", {
  "get": (function() {
    return this.$$js$exported$prop$taskName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.MonitorDashboardTask"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.MonitorDashboardTask;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorDashboardTask", {
  Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser() {
  $c_O.call(this);
  this.teamCode$1 = null;
  this.fqFlowName$1 = null;
  this.userName$1 = null;
  this.isActive$1 = false;
  this.allocatedCount$1 = 0;
  this.startedCount$1 = 0;
  this.completedCount$1 = 0
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype.productPrefix__T = (function() {
  return "MonitorDashboardUser"
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype.init___T__T__T__Z__I__I__I = (function(teamCode, fqFlowName, userName, isActive, allocatedCount, startedCount, completedCount) {
  this.teamCode$1 = teamCode;
  this.fqFlowName$1 = fqFlowName;
  this.userName$1 = userName;
  this.isActive$1 = isActive;
  this.allocatedCount$1 = allocatedCount;
  this.startedCount$1 = startedCount;
  this.completedCount$1 = completedCount;
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype.productArity__I = (function() {
  return 7
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser(x$1)) {
    var MonitorDashboardUser$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser(x$1);
    return (((((((this.teamCode$1 === MonitorDashboardUser$1.teamCode$1) && (this.fqFlowName$1 === MonitorDashboardUser$1.fqFlowName$1)) && (this.userName$1 === MonitorDashboardUser$1.userName$1)) && (this.isActive$1 === MonitorDashboardUser$1.isActive$1)) && (this.allocatedCount$1 === MonitorDashboardUser$1.allocatedCount$1)) && (this.startedCount$1 === MonitorDashboardUser$1.startedCount$1)) && (this.completedCount$1 === MonitorDashboardUser$1.completedCount$1))
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCode$1;
      break
    }
    case 1: {
      return this.fqFlowName$1;
      break
    }
    case 2: {
      return this.userName$1;
      break
    }
    case 3: {
      return this.isActive$1;
      break
    }
    case 4: {
      return this.allocatedCount$1;
      break
    }
    case 5: {
      return this.startedCount$1;
      break
    }
    case 6: {
      return this.completedCount$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype.$$js$exported$prop$startedCount__O = (function() {
  return this.startedCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype.toString__T = (function() {
  var jsx$3 = ((this.teamCode$1 === null) ? "teamCode=null" : ("teamCode=" + this.teamCode$1));
  var jsx$2 = ((this.fqFlowName$1 === null) ? "fqFlowName=null" : ("fqFlowName=" + this.fqFlowName$1));
  var jsx$1 = ((this.userName$1 === null) ? "userName=null" : ("userName=" + this.userName$1));
  var this$1 = this.isActive$1;
  var this$3 = this.allocatedCount$1;
  var this$5 = this.startedCount$1;
  var this$7 = this.completedCount$1;
  return (((((((((((((((((("MonitorDashboardUser(" + jsx$3) + ",") + jsx$2) + ",") + jsx$1) + ",") + "isActive=") + ("" + this$1)) + ",") + "allocatedCount=") + ("" + this$3)) + ",") + "startedCount=") + ("" + this$5)) + ",") + "completedCount=") + ("" + this$7)) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamCode$1;
  ret.teamCode = s;
  var s$1 = this.fqFlowName$1;
  ret.fqFlowName = s$1;
  var s$2 = this.userName$1;
  ret.userName = s$2;
  var value = this.isActive$1;
  ret.isActive = value;
  var value$1 = this.allocatedCount$1;
  ret.allocatedCount = value$1;
  var value$2 = this.startedCount$1;
  ret.startedCount = value$2;
  var value$3 = this.completedCount$1;
  ret.completedCount = value$3;
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype.$$js$exported$prop$isActive__O = (function() {
  return this.isActive$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype.$$js$exported$prop$completedCount__O = (function() {
  return this.completedCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype.$$js$exported$prop$allocatedCount__O = (function() {
  return this.allocatedCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamCode$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.fqFlowName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.userName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, (this.isActive$1 ? 1231 : 1237));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.allocatedCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.startedCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.completedCount$1);
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 7)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype, "completedCount", {
  "get": (function() {
    return this.$$js$exported$prop$completedCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype, "startedCount", {
  "get": (function() {
    return this.$$js$exported$prop$startedCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype, "allocatedCount", {
  "get": (function() {
    return this.$$js$exported$prop$allocatedCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype, "isActive", {
  "get": (function() {
    return this.$$js$exported$prop$isActive__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.MonitorDashboardUser"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.MonitorDashboardUser;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorDashboardUser", {
  Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive() {
  $c_O.call(this);
  this.flowId$1 = null;
  this.displayId$1 = null;
  this.cid$1 = null;
  this.teamCode$1 = null;
  this.netName$1 = null;
  this.flowState$1 = null;
  this.fqFlowName$1 = null;
  this.flowName$1 = null;
  this.priority$1 = 0;
  this.createdTime$1 = null;
  this.source$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.productPrefix__T = (function() {
  return "MonitorEarliestFlowActive"
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.productArity__I = (function() {
  return 11
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive(x$1)) {
    var MonitorEarliestFlowActive$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive(x$1);
    if ((((((this.flowId$1 === MonitorEarliestFlowActive$1.flowId$1) && (this.displayId$1 === MonitorEarliestFlowActive$1.displayId$1)) && (this.cid$1 === MonitorEarliestFlowActive$1.cid$1)) && (this.teamCode$1 === MonitorEarliestFlowActive$1.teamCode$1)) && (this.netName$1 === MonitorEarliestFlowActive$1.netName$1))) {
      var x = this.flowState$1;
      var x$2 = MonitorEarliestFlowActive$1.flowState$1;
      var jsx$1 = (x === x$2)
    } else {
      var jsx$1 = false
    };
    if (((((jsx$1 && (this.fqFlowName$1 === MonitorEarliestFlowActive$1.fqFlowName$1)) && (this.flowName$1 === MonitorEarliestFlowActive$1.flowName$1)) && (this.priority$1 === MonitorEarliestFlowActive$1.priority$1)) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.createdTime$1, MonitorEarliestFlowActive$1.createdTime$1))) {
      var x$3 = this.source$1;
      var x$4 = MonitorEarliestFlowActive$1.source$1;
      return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.flowId$1;
      break
    }
    case 1: {
      return this.displayId$1;
      break
    }
    case 2: {
      return this.cid$1;
      break
    }
    case 3: {
      return this.teamCode$1;
      break
    }
    case 4: {
      return this.netName$1;
      break
    }
    case 5: {
      return this.flowState$1;
      break
    }
    case 6: {
      return this.fqFlowName$1;
      break
    }
    case 7: {
      return this.flowName$1;
      break
    }
    case 8: {
      return this.priority$1;
      break
    }
    case 9: {
      return this.createdTime$1;
      break
    }
    case 10: {
      return this.source$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.toString__T = (function() {
  var jsx$8 = ((this.flowId$1 === null) ? "flowId=null" : ("flowId=" + this.flowId$1));
  var jsx$7 = ((this.displayId$1 === null) ? "displayId=null" : ("displayId=" + this.displayId$1));
  var jsx$6 = ((this.cid$1 === null) ? "cid=null" : ("cid=" + this.cid$1));
  var jsx$5 = ((this.teamCode$1 === null) ? "teamCode=null" : ("teamCode=" + this.teamCode$1));
  var jsx$4 = ((this.netName$1 === null) ? "netName=null" : ("netName=" + this.netName$1));
  var jsx$3 = ((this.flowState$1 === null) ? "flowState=null" : ("flowState=" + this.flowState$1.toString__T()));
  var jsx$2 = ((this.fqFlowName$1 === null) ? "fqFlowName=null" : ("fqFlowName=" + this.fqFlowName$1));
  var jsx$1 = ((this.flowName$1 === null) ? "flowName=null" : ("flowName=" + this.flowName$1));
  var this$1 = this.priority$1;
  return ((((((((((((((((((((((("MonitorEarliestFlowActive(" + jsx$8) + ",") + jsx$7) + ",") + jsx$6) + ",") + jsx$5) + ",") + jsx$4) + ",") + jsx$3) + ",") + jsx$2) + ",") + jsx$1) + ",") + "priority=") + ("" + this$1)) + ",") + ((this.createdTime$1 === null) ? "createdTime=null" : ("createdTime=" + $objectToString(this.createdTime$1)))) + ",") + ((this.source$1 === null) ? "source=null" : ("source=" + this.source$1.toString__T()))) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.sourceJS__sjs_js_UndefOr = (function() {
  var opt = this.source$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.flowId$1;
  ret.flowId = s;
  var s$1 = this.displayId$1;
  ret.displayId = s$1;
  var s$2 = this.cid$1;
  ret.cid = s$2;
  var s$3 = this.teamCode$1;
  ret.teamCode = s$3;
  var s$4 = this.netName$1;
  ret.netName = s$4;
  var s$5 = this.flowState$1.id$1;
  ret.flowState = s$5;
  var s$6 = this.fqFlowName$1;
  ret.fqFlowName = s$6;
  var s$7 = this.flowName$1;
  ret.flowName = s$7;
  var value = this.priority$1;
  ret.priority = value;
  var s$8 = $as_T(this.createdTime$1.toISOString());
  ret.createdTime = s$8;
  if (this.source$1.isDefined__Z()) {
    var s$9 = $as_T(this.source$1.get__O());
    ret.source = s$9
  };
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.$$js$exported$prop$priority__O = (function() {
  return this.priority$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.$$js$exported$prop$flowState__O = (function() {
  return this.flowState$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.$$js$exported$prop$source__O = (function() {
  return this.sourceJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.init___T__T__T__T__T__Lsmilejs_com_metastay_valey_enums_FlowState__T__T__I__sjs_js_Date__s_Option = (function(flowId, displayId, cid, teamCode, netName, flowState, fqFlowName, flowName, priority, createdTime, source) {
  this.flowId$1 = flowId;
  this.displayId$1 = displayId;
  this.cid$1 = cid;
  this.teamCode$1 = teamCode;
  this.netName$1 = netName;
  this.flowState$1 = flowState;
  this.fqFlowName$1 = fqFlowName;
  this.flowName$1 = flowName;
  this.priority$1 = priority;
  this.createdTime$1 = createdTime;
  this.source$1 = source;
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.$$js$exported$prop$cid__O = (function() {
  return this.cid$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.$$js$exported$prop$netName__O = (function() {
  return this.netName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.flowId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.displayId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.cid$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamCode$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.netName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.flowState$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.fqFlowName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.flowName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.priority$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.createdTime$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.source$1));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 11)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.$$js$exported$prop$displayId__O = (function() {
  return this.displayId$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.$$js$exported$prop$createdTime__O = (function() {
  return this.createdTime$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.$$js$exported$prop$flowName__O = (function() {
  return this.flowName$1
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype, "source", {
  "get": (function() {
    return this.$$js$exported$prop$source__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype, "createdTime", {
  "get": (function() {
    return this.$$js$exported$prop$createdTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype, "priority", {
  "get": (function() {
    return this.$$js$exported$prop$priority__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype, "flowName", {
  "get": (function() {
    return this.$$js$exported$prop$flowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype, "flowState", {
  "get": (function() {
    return this.$$js$exported$prop$flowState__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype, "netName", {
  "get": (function() {
    return this.$$js$exported$prop$netName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype, "cid", {
  "get": (function() {
    return this.$$js$exported$prop$cid__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype, "displayId", {
  "get": (function() {
    return this.$$js$exported$prop$displayId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.MonitorEarliestFlowActive"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.MonitorEarliestFlowActive;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorEarliestFlowActive", {
  Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary() {
  $c_O.call(this);
  this.fqFlowName$1 = null;
  this.flowName$1 = null;
  this.teamCode$1 = null;
  this.createdTodayCount$1 = 0;
  this.activeCount$1 = 0;
  this.errorCount$1 = 0;
  this.completedTodayCount$1 = 0;
  this.taskList$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype.productPrefix__T = (function() {
  return "MonitorFlowDashboardSummary"
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype.taskListJS__sjs_js_Array = (function() {
  var col = this.taskList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype.productArity__I = (function() {
  return 8
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype.$$js$exported$prop$activeCount__O = (function() {
  return this.activeCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary(x$1)) {
    var MonitorFlowDashboardSummary$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary(x$1);
    if ((((((((this.fqFlowName$1 === MonitorFlowDashboardSummary$1.fqFlowName$1) && (this.flowName$1 === MonitorFlowDashboardSummary$1.flowName$1)) && (this.teamCode$1 === MonitorFlowDashboardSummary$1.teamCode$1)) && (this.createdTodayCount$1 === MonitorFlowDashboardSummary$1.createdTodayCount$1)) && (this.activeCount$1 === MonitorFlowDashboardSummary$1.activeCount$1)) && (this.errorCount$1 === MonitorFlowDashboardSummary$1.errorCount$1)) && (this.completedTodayCount$1 === MonitorFlowDashboardSummary$1.completedTodayCount$1))) {
      var x = this.taskList$1;
      var x$2 = MonitorFlowDashboardSummary$1.taskList$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.fqFlowName$1;
      break
    }
    case 1: {
      return this.flowName$1;
      break
    }
    case 2: {
      return this.teamCode$1;
      break
    }
    case 3: {
      return this.createdTodayCount$1;
      break
    }
    case 4: {
      return this.activeCount$1;
      break
    }
    case 5: {
      return this.errorCount$1;
      break
    }
    case 6: {
      return this.completedTodayCount$1;
      break
    }
    case 7: {
      return this.taskList$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype.toString__T = (function() {
  var jsx$4 = ((this.fqFlowName$1 === null) ? "fqFlowName=null" : ("fqFlowName=" + this.fqFlowName$1));
  var jsx$3 = ((this.flowName$1 === null) ? "flowName=null" : ("flowName=" + this.flowName$1));
  var jsx$2 = ((this.teamCode$1 === null) ? "teamCode=null" : ("teamCode=" + this.teamCode$1));
  var this$1 = this.createdTodayCount$1;
  var this$3 = this.activeCount$1;
  var this$5 = this.errorCount$1;
  var this$7 = this.completedTodayCount$1;
  if ((this.taskList$1 === null)) {
    var jsx$1 = "taskList=null"
  } else {
    var this$9 = this.taskList$1;
    var jsx$1 = ("taskList=" + $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this$9))
  };
  return (((((((((((((((((((("MonitorFlowDashboardSummary(" + jsx$4) + ",") + jsx$3) + ",") + jsx$2) + ",") + "createdTodayCount=") + ("" + this$1)) + ",") + "activeCount=") + ("" + this$3)) + ",") + "errorCount=") + ("" + this$5)) + ",") + "completedTodayCount=") + ("" + this$7)) + ",") + jsx$1) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.fqFlowName$1;
  ret.fqFlowName = s;
  var s$1 = this.flowName$1;
  ret.flowName = s$1;
  var s$2 = this.teamCode$1;
  ret.teamCode = s$2;
  var value = this.createdTodayCount$1;
  ret.createdTodayCount = value;
  var value$1 = this.activeCount$1;
  ret.activeCount = value$1;
  var value$2 = this.errorCount$1;
  ret.errorCount = value$2;
  var value$3 = this.completedTodayCount$1;
  ret.completedTodayCount = value$3;
  var this$9 = this.taskList$1;
  var f = (function(x$1$2) {
    var x$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask(x$1$2);
    return x$1.toJson__sjs_js_Dynamic()
  });
  var this$8 = $m_sci_List$();
  var bf = this$8.ReusableCBFInstance$2;
  if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
    if ((this$9 === $m_sci_Nil$())) {
      var jsx$1 = $m_sci_Nil$()
    } else {
      var arg1 = this$9.head__O();
      var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
      var t = h;
      var rest = this$9.tail__sci_List();
      while ((rest !== $m_sci_Nil$())) {
        var arg1$1 = rest.head__O();
        var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
        t.tl$5 = nx;
        t = nx;
        var this$10 = rest;
        rest = this$10.tail__sci_List()
      };
      var jsx$1 = h
    }
  } else {
    var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$9, bf);
    var these = this$9;
    while ((!these.isEmpty__Z())) {
      var arg1$2 = these.head__O();
      b.$$plus$eq__O__scm_Builder(f(arg1$2));
      var this$11 = these;
      these = this$11.tail__sci_List()
    };
    var jsx$1 = b.result__O()
  };
  var col = $as_sc_GenTraversableOnce(jsx$1);
  var this$14 = $m_sjsr_package$();
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$2 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$2 = x3.array$6
  } else {
    var result = [];
    col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x$2) {
        return $uI(result$1.push(x$2))
      })
    })(this$14, result)));
    var jsx$2 = result
  };
  ret.taskList = jsx$2;
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype.init___T__T__T__I__I__I__I__sci_List = (function(fqFlowName, flowName, teamCode, createdTodayCount, activeCount, errorCount, completedTodayCount, taskList) {
  this.fqFlowName$1 = fqFlowName;
  this.flowName$1 = flowName;
  this.teamCode$1 = teamCode;
  this.createdTodayCount$1 = createdTodayCount;
  this.activeCount$1 = activeCount;
  this.errorCount$1 = errorCount;
  this.completedTodayCount$1 = completedTodayCount;
  this.taskList$1 = taskList;
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype.$$js$exported$prop$taskList__O = (function() {
  return this.taskListJS__sjs_js_Array()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.fqFlowName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.flowName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamCode$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.createdTodayCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.activeCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.errorCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.completedTodayCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskList$1));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 8)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype.$$js$exported$prop$completedTodayCount__O = (function() {
  return this.completedTodayCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype.$$js$exported$prop$createdTodayCount__O = (function() {
  return this.createdTodayCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype.$$js$exported$prop$errorCount__O = (function() {
  return this.errorCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype.$$js$exported$prop$flowName__O = (function() {
  return this.flowName$1
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype, "taskList", {
  "get": (function() {
    return this.$$js$exported$prop$taskList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype, "completedTodayCount", {
  "get": (function() {
    return this.$$js$exported$prop$completedTodayCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype, "errorCount", {
  "get": (function() {
    return this.$$js$exported$prop$errorCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype, "activeCount", {
  "get": (function() {
    return this.$$js$exported$prop$activeCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype, "createdTodayCount", {
  "get": (function() {
    return this.$$js$exported$prop$createdTodayCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype, "flowName", {
  "get": (function() {
    return this.$$js$exported$prop$flowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.MonitorFlowDashboardSummary"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.MonitorFlowDashboardSummary;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorFlowDashboardSummary", {
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails() {
  $c_O.call(this);
  this.teamCode$1 = null;
  this.fqFlowName$1 = null;
  this.flowName$1 = null;
  this.netName$1 = null;
  this.cid$1 = null;
  this.displayId$1 = null;
  this.priority$1 = 0;
  this.createdTime$1 = null;
  this.startedTime$1 = null;
  this.lastUpdatedTime$1 = null;
  this.flowState$1 = null;
  this.readyCount$1 = 0;
  this.allocatedCount$1 = 0;
  this.startedCount$1 = 0;
  this.completedCount$1 = 0;
  this.documentData$1 = null;
  this.taskList$1 = null;
  this.source$1 = null;
  this.linkedFlowId$1 = null;
  this.parentTaskId$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.$$js$exported$prop$linkedFlowId__O = (function() {
  return this.linkedFlowIdJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.productPrefix__T = (function() {
  return "MonitorFlowDetails"
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.taskListJS__sjs_js_Array = (function() {
  var col = this.taskList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.productArity__I = (function() {
  return 20
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails(x$1)) {
    var MonitorFlowDetails$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails(x$1);
    if (((((((((this.teamCode$1 === MonitorFlowDetails$1.teamCode$1) && (this.fqFlowName$1 === MonitorFlowDetails$1.fqFlowName$1)) && (this.flowName$1 === MonitorFlowDetails$1.flowName$1)) && (this.netName$1 === MonitorFlowDetails$1.netName$1)) && (this.cid$1 === MonitorFlowDetails$1.cid$1)) && (this.displayId$1 === MonitorFlowDetails$1.displayId$1)) && (this.priority$1 === MonitorFlowDetails$1.priority$1)) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.createdTime$1, MonitorFlowDetails$1.createdTime$1))) {
      var x = this.startedTime$1;
      var x$2 = MonitorFlowDetails$1.startedTime$1;
      var jsx$5 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      var jsx$5 = false
    };
    if ((jsx$5 && $m_sr_BoxesRunTime$().equals__O__O__Z(this.lastUpdatedTime$1, MonitorFlowDetails$1.lastUpdatedTime$1))) {
      var x$3 = this.flowState$1;
      var x$4 = MonitorFlowDetails$1.flowState$1;
      var jsx$4 = (x$3 === x$4)
    } else {
      var jsx$4 = false
    };
    if ((((((jsx$4 && (this.readyCount$1 === MonitorFlowDetails$1.readyCount$1)) && (this.allocatedCount$1 === MonitorFlowDetails$1.allocatedCount$1)) && (this.startedCount$1 === MonitorFlowDetails$1.startedCount$1)) && (this.completedCount$1 === MonitorFlowDetails$1.completedCount$1)) && (this.documentData$1 === MonitorFlowDetails$1.documentData$1))) {
      var x$5 = this.taskList$1;
      var x$6 = MonitorFlowDetails$1.taskList$1;
      var jsx$3 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
    } else {
      var jsx$3 = false
    };
    if (jsx$3) {
      var x$7 = this.source$1;
      var x$8 = MonitorFlowDetails$1.source$1;
      var jsx$2 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
    } else {
      var jsx$2 = false
    };
    if (jsx$2) {
      var x$9 = this.linkedFlowId$1;
      var x$10 = MonitorFlowDetails$1.linkedFlowId$1;
      var jsx$1 = ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      var x$11 = this.parentTaskId$1;
      var x$12 = MonitorFlowDetails$1.parentTaskId$1;
      return ((x$11 === null) ? (x$12 === null) : x$11.equals__O__Z(x$12))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCode$1;
      break
    }
    case 1: {
      return this.fqFlowName$1;
      break
    }
    case 2: {
      return this.flowName$1;
      break
    }
    case 3: {
      return this.netName$1;
      break
    }
    case 4: {
      return this.cid$1;
      break
    }
    case 5: {
      return this.displayId$1;
      break
    }
    case 6: {
      return this.priority$1;
      break
    }
    case 7: {
      return this.createdTime$1;
      break
    }
    case 8: {
      return this.startedTime$1;
      break
    }
    case 9: {
      return this.lastUpdatedTime$1;
      break
    }
    case 10: {
      return this.flowState$1;
      break
    }
    case 11: {
      return this.readyCount$1;
      break
    }
    case 12: {
      return this.allocatedCount$1;
      break
    }
    case 13: {
      return this.startedCount$1;
      break
    }
    case 14: {
      return this.completedCount$1;
      break
    }
    case 15: {
      return this.documentData$1;
      break
    }
    case 16: {
      return this.taskList$1;
      break
    }
    case 17: {
      return this.source$1;
      break
    }
    case 18: {
      return this.linkedFlowId$1;
      break
    }
    case 19: {
      return this.parentTaskId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.$$js$exported$prop$startedCount__O = (function() {
  return this.startedCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.toString__T = (function() {
  var jsx$12 = ((this.teamCode$1 === null) ? "teamCode=null" : ("teamCode=" + this.teamCode$1));
  var jsx$11 = ((this.fqFlowName$1 === null) ? "fqFlowName=null" : ("fqFlowName=" + this.fqFlowName$1));
  var jsx$10 = ((this.flowName$1 === null) ? "flowName=null" : ("flowName=" + this.flowName$1));
  var jsx$9 = ((this.netName$1 === null) ? "netName=null" : ("netName=" + this.netName$1));
  var jsx$8 = ((this.cid$1 === null) ? "cid=null" : ("cid=" + this.cid$1));
  var jsx$7 = ((this.displayId$1 === null) ? "displayId=null" : ("displayId=" + this.displayId$1));
  var this$1 = this.priority$1;
  var jsx$6 = ((this.createdTime$1 === null) ? "createdTime=null" : ("createdTime=" + $objectToString(this.createdTime$1)));
  var jsx$5 = ((this.startedTime$1 === null) ? "startedTime=null" : ("startedTime=" + this.startedTime$1.toString__T()));
  var jsx$4 = ((this.lastUpdatedTime$1 === null) ? "lastUpdatedTime=null" : ("lastUpdatedTime=" + $objectToString(this.lastUpdatedTime$1)));
  var jsx$3 = ((this.flowState$1 === null) ? "flowState=null" : ("flowState=" + this.flowState$1.toString__T()));
  var this$3 = this.readyCount$1;
  var this$5 = this.allocatedCount$1;
  var this$7 = this.startedCount$1;
  var this$9 = this.completedCount$1;
  var jsx$2 = ((this.documentData$1 === null) ? "documentData=null" : ("documentData=" + this.documentData$1));
  if ((this.taskList$1 === null)) {
    var jsx$1 = "taskList=null"
  } else {
    var this$11 = this.taskList$1;
    var jsx$1 = ("taskList=" + $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this$11))
  };
  return ((((((((((((((((((((((((((((((((((((((((((((("MonitorFlowDetails(" + jsx$12) + ",") + jsx$11) + ",") + jsx$10) + ",") + jsx$9) + ",") + jsx$8) + ",") + jsx$7) + ",") + "priority=") + ("" + this$1)) + ",") + jsx$6) + ",") + jsx$5) + ",") + jsx$4) + ",") + jsx$3) + ",") + "readyCount=") + ("" + this$3)) + ",") + "allocatedCount=") + ("" + this$5)) + ",") + "startedCount=") + ("" + this$7)) + ",") + "completedCount=") + ("" + this$9)) + ",") + jsx$2) + ",") + jsx$1) + ",") + ((this.source$1 === null) ? "source=null" : ("source=" + this.source$1.toString__T()))) + ",") + ((this.linkedFlowId$1 === null) ? "linkedFlowId=null" : ("linkedFlowId=" + this.linkedFlowId$1.toString__T()))) + ",") + ((this.parentTaskId$1 === null) ? "parentTaskId=null" : ("parentTaskId=" + this.parentTaskId$1.toString__T()))) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.sourceJS__sjs_js_UndefOr = (function() {
  var opt = this.source$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamCode$1;
  ret.teamCode = s;
  var s$1 = this.fqFlowName$1;
  ret.fqFlowName = s$1;
  var s$2 = this.flowName$1;
  ret.flowName = s$2;
  var s$3 = this.netName$1;
  ret.netName = s$3;
  var s$4 = this.cid$1;
  ret.cid = s$4;
  var s$5 = this.displayId$1;
  ret.displayId = s$5;
  var value = this.priority$1;
  ret.priority = value;
  var s$6 = $as_T(this.createdTime$1.toISOString());
  ret.createdTime = s$6;
  if (this.startedTime$1.isDefined__Z()) {
    var s$7 = $as_T(this.startedTime$1.get__O().toISOString());
    ret.startedTime = s$7
  };
  var s$8 = $as_T(this.lastUpdatedTime$1.toISOString());
  ret.lastUpdatedTime = s$8;
  var s$9 = this.flowState$1.id$1;
  ret.flowState = s$9;
  var value$1 = this.readyCount$1;
  ret.readyCount = value$1;
  var value$2 = this.allocatedCount$1;
  ret.allocatedCount = value$2;
  var value$3 = this.startedCount$1;
  ret.startedCount = value$3;
  var value$4 = this.completedCount$1;
  ret.completedCount = value$4;
  var s$10 = this.documentData$1;
  ret.documentData = s$10;
  var this$18 = this.taskList$1;
  var f = (function(x$1$2) {
    var x$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask(x$1$2);
    return x$1.toJson__sjs_js_Dynamic()
  });
  var this$17 = $m_sci_List$();
  var bf = this$17.ReusableCBFInstance$2;
  if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
    if ((this$18 === $m_sci_Nil$())) {
      var jsx$1 = $m_sci_Nil$()
    } else {
      var arg1 = this$18.head__O();
      var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
      var t = h;
      var rest = this$18.tail__sci_List();
      while ((rest !== $m_sci_Nil$())) {
        var arg1$1 = rest.head__O();
        var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
        t.tl$5 = nx;
        t = nx;
        var this$19 = rest;
        rest = this$19.tail__sci_List()
      };
      var jsx$1 = h
    }
  } else {
    var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$18, bf);
    var these = this$18;
    while ((!these.isEmpty__Z())) {
      var arg1$2 = these.head__O();
      b.$$plus$eq__O__scm_Builder(f(arg1$2));
      var this$20 = these;
      these = this$20.tail__sci_List()
    };
    var jsx$1 = b.result__O()
  };
  var col = $as_sc_GenTraversableOnce(jsx$1);
  var this$23 = $m_sjsr_package$();
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$2 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$2 = x3.array$6
  } else {
    var result = [];
    col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x$2) {
        return $uI(result$1.push(x$2))
      })
    })(this$23, result)));
    var jsx$2 = result
  };
  ret.taskList = jsx$2;
  if (this.source$1.isDefined__Z()) {
    var s$11 = $as_T(this.source$1.get__O());
    ret.source = s$11
  };
  if (this.linkedFlowId$1.isDefined__Z()) {
    var s$12 = $as_T(this.linkedFlowId$1.get__O());
    ret.linkedFlowId = s$12
  };
  if (this.parentTaskId$1.isDefined__Z()) {
    var s$13 = $as_T(this.parentTaskId$1.get__O());
    ret.parentTaskId = s$13
  };
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.$$js$exported$prop$readyCount__O = (function() {
  return this.readyCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.init___T__T__T__T__T__T__I__sjs_js_Date__s_Option__sjs_js_Date__Lsmilejs_com_metastay_valey_enums_FlowState__I__I__I__I__T__sci_List__s_Option__s_Option__s_Option = (function(teamCode, fqFlowName, flowName, netName, cid, displayId, priority, createdTime, startedTime, lastUpdatedTime, flowState, readyCount, allocatedCount, startedCount, completedCount, documentData, taskList, source, linkedFlowId, parentTaskId) {
  this.teamCode$1 = teamCode;
  this.fqFlowName$1 = fqFlowName;
  this.flowName$1 = flowName;
  this.netName$1 = netName;
  this.cid$1 = cid;
  this.displayId$1 = displayId;
  this.priority$1 = priority;
  this.createdTime$1 = createdTime;
  this.startedTime$1 = startedTime;
  this.lastUpdatedTime$1 = lastUpdatedTime;
  this.flowState$1 = flowState;
  this.readyCount$1 = readyCount;
  this.allocatedCount$1 = allocatedCount;
  this.startedCount$1 = startedCount;
  this.completedCount$1 = completedCount;
  this.documentData$1 = documentData;
  this.taskList$1 = taskList;
  this.source$1 = source;
  this.linkedFlowId$1 = linkedFlowId;
  this.parentTaskId$1 = parentTaskId;
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.linkedFlowIdJS__sjs_js_UndefOr = (function() {
  var opt = this.linkedFlowId$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.$$js$exported$prop$priority__O = (function() {
  return this.priority$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.$$js$exported$prop$flowState__O = (function() {
  return this.flowState$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.$$js$exported$prop$parentTaskId__O = (function() {
  return this.parentTaskIdJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.$$js$exported$prop$source__O = (function() {
  return this.sourceJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.parentTaskIdJS__sjs_js_UndefOr = (function() {
  var opt = this.parentTaskId$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.$$js$exported$prop$cid__O = (function() {
  return this.cid$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.$$js$exported$prop$documentData__O = (function() {
  return this.documentData$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.$$js$exported$prop$lastUpdatedTime__O = (function() {
  return this.lastUpdatedTime$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.$$js$exported$prop$completedCount__O = (function() {
  return this.completedCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.$$js$exported$prop$netName__O = (function() {
  return this.netName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.$$js$exported$prop$taskList__O = (function() {
  return this.taskListJS__sjs_js_Array()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.startedTimeJS__sjs_js_UndefOr = (function() {
  var opt = this.startedTime$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamCode$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.fqFlowName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.flowName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.netName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.cid$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.displayId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.priority$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.createdTime$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.startedTime$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.lastUpdatedTime$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.flowState$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.readyCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.allocatedCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.startedCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.completedCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.documentData$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskList$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.source$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.linkedFlowId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.parentTaskId$1));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 20)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.$$js$exported$prop$displayId__O = (function() {
  return this.displayId$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.$$js$exported$prop$allocatedCount__O = (function() {
  return this.allocatedCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.$$js$exported$prop$createdTime__O = (function() {
  return this.createdTime$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.$$js$exported$prop$startedTime__O = (function() {
  return this.startedTimeJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.$$js$exported$prop$flowName__O = (function() {
  return this.flowName$1
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype, "parentTaskId", {
  "get": (function() {
    return this.$$js$exported$prop$parentTaskId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype, "linkedFlowId", {
  "get": (function() {
    return this.$$js$exported$prop$linkedFlowId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype, "source", {
  "get": (function() {
    return this.$$js$exported$prop$source__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype, "taskList", {
  "get": (function() {
    return this.$$js$exported$prop$taskList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype, "startedTime", {
  "get": (function() {
    return this.$$js$exported$prop$startedTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype, "documentData", {
  "get": (function() {
    return this.$$js$exported$prop$documentData__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype, "completedCount", {
  "get": (function() {
    return this.$$js$exported$prop$completedCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype, "startedCount", {
  "get": (function() {
    return this.$$js$exported$prop$startedCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype, "allocatedCount", {
  "get": (function() {
    return this.$$js$exported$prop$allocatedCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype, "readyCount", {
  "get": (function() {
    return this.$$js$exported$prop$readyCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype, "flowState", {
  "get": (function() {
    return this.$$js$exported$prop$flowState__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype, "lastUpdatedTime", {
  "get": (function() {
    return this.$$js$exported$prop$lastUpdatedTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype, "createdTime", {
  "get": (function() {
    return this.$$js$exported$prop$createdTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype, "priority", {
  "get": (function() {
    return this.$$js$exported$prop$priority__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype, "displayId", {
  "get": (function() {
    return this.$$js$exported$prop$displayId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype, "cid", {
  "get": (function() {
    return this.$$js$exported$prop$cid__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype, "netName", {
  "get": (function() {
    return this.$$js$exported$prop$netName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype, "flowName", {
  "get": (function() {
    return this.$$js$exported$prop$flowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.MonitorFlowDetails"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.MonitorFlowDetails;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorFlowDetails", {
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask() {
  $c_O.call(this);
  this.taskId$1 = null;
  this.taskName$1 = null;
  this.taskState$1 = null;
  this.allocatedTo$1 = null;
  this.readyTime$1 = null;
  this.allocatedTime$1 = null;
  this.startedTime$1 = null;
  this.endTime$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.allocatedTimeJS__sjs_js_UndefOr = (function() {
  var opt = this.allocatedTime$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.productPrefix__T = (function() {
  return "MonitorFlowDetailsTask"
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.productArity__I = (function() {
  return 8
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.init___T__T__Lsmilejs_com_metastay_valey_enums_TaskState__s_Option__sjs_js_Date__s_Option__s_Option__s_Option = (function(taskId, taskName, taskState, allocatedTo, readyTime, allocatedTime, startedTime, endTime) {
  this.taskId$1 = taskId;
  this.taskName$1 = taskName;
  this.taskState$1 = taskState;
  this.allocatedTo$1 = allocatedTo;
  this.readyTime$1 = readyTime;
  this.allocatedTime$1 = allocatedTime;
  this.startedTime$1 = startedTime;
  this.endTime$1 = endTime;
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask(x$1)) {
    var MonitorFlowDetailsTask$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask(x$1);
    if (((this.taskId$1 === MonitorFlowDetailsTask$1.taskId$1) && (this.taskName$1 === MonitorFlowDetailsTask$1.taskName$1))) {
      var x = this.taskState$1;
      var x$2 = MonitorFlowDetailsTask$1.taskState$1;
      var jsx$4 = (x === x$2)
    } else {
      var jsx$4 = false
    };
    if (jsx$4) {
      var x$3 = this.allocatedTo$1;
      var x$4 = MonitorFlowDetailsTask$1.allocatedTo$1;
      var jsx$3 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      var jsx$3 = false
    };
    if ((jsx$3 && $m_sr_BoxesRunTime$().equals__O__O__Z(this.readyTime$1, MonitorFlowDetailsTask$1.readyTime$1))) {
      var x$5 = this.allocatedTime$1;
      var x$6 = MonitorFlowDetailsTask$1.allocatedTime$1;
      var jsx$2 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
    } else {
      var jsx$2 = false
    };
    if (jsx$2) {
      var x$7 = this.startedTime$1;
      var x$8 = MonitorFlowDetailsTask$1.startedTime$1;
      var jsx$1 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      var x$9 = this.endTime$1;
      var x$10 = MonitorFlowDetailsTask$1.endTime$1;
      return ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.taskId$1;
      break
    }
    case 1: {
      return this.taskName$1;
      break
    }
    case 2: {
      return this.taskState$1;
      break
    }
    case 3: {
      return this.allocatedTo$1;
      break
    }
    case 4: {
      return this.readyTime$1;
      break
    }
    case 5: {
      return this.allocatedTime$1;
      break
    }
    case 6: {
      return this.startedTime$1;
      break
    }
    case 7: {
      return this.endTime$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.$$js$exported$prop$taskId__O = (function() {
  return this.taskId$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.$$js$exported$prop$endTime__O = (function() {
  return this.endTimeJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.toString__T = (function() {
  return (((((((((((((((("MonitorFlowDetailsTask(" + ((this.taskId$1 === null) ? "taskId=null" : ("taskId=" + this.taskId$1))) + ",") + ((this.taskName$1 === null) ? "taskName=null" : ("taskName=" + this.taskName$1))) + ",") + ((this.taskState$1 === null) ? "taskState=null" : ("taskState=" + this.taskState$1.toString__T()))) + ",") + ((this.allocatedTo$1 === null) ? "allocatedTo=null" : ("allocatedTo=" + this.allocatedTo$1.toString__T()))) + ",") + ((this.readyTime$1 === null) ? "readyTime=null" : ("readyTime=" + $objectToString(this.readyTime$1)))) + ",") + ((this.allocatedTime$1 === null) ? "allocatedTime=null" : ("allocatedTime=" + this.allocatedTime$1.toString__T()))) + ",") + ((this.startedTime$1 === null) ? "startedTime=null" : ("startedTime=" + this.startedTime$1.toString__T()))) + ",") + ((this.endTime$1 === null) ? "endTime=null" : ("endTime=" + this.endTime$1.toString__T()))) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.allocatedToJS__sjs_js_UndefOr = (function() {
  var opt = this.allocatedTo$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.taskId$1;
  ret.taskId = s;
  var s$1 = this.taskName$1;
  ret.taskName = s$1;
  var s$2 = this.taskState$1.id$1;
  ret.taskState = s$2;
  if (this.allocatedTo$1.isDefined__Z()) {
    var s$3 = $as_T(this.allocatedTo$1.get__O());
    ret.allocatedTo = s$3
  };
  var s$4 = $as_T(this.readyTime$1.toISOString());
  ret.readyTime = s$4;
  if (this.allocatedTime$1.isDefined__Z()) {
    var s$5 = $as_T(this.allocatedTime$1.get__O().toISOString());
    ret.allocatedTime = s$5
  };
  if (this.startedTime$1.isDefined__Z()) {
    var s$6 = $as_T(this.startedTime$1.get__O().toISOString());
    ret.startedTime = s$6
  };
  if (this.endTime$1.isDefined__Z()) {
    var s$7 = $as_T(this.endTime$1.get__O().toISOString());
    ret.endTime = s$7
  };
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.$$js$exported$prop$allocatedTo__O = (function() {
  return this.allocatedToJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.$$js$exported$prop$taskState__O = (function() {
  return this.taskState$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.$$js$exported$prop$readyTime__O = (function() {
  return this.readyTime$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.$$js$exported$prop$taskName__O = (function() {
  return this.taskName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.endTimeJS__sjs_js_UndefOr = (function() {
  var opt = this.endTime$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.startedTimeJS__sjs_js_UndefOr = (function() {
  var opt = this.startedTime$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.$$js$exported$prop$allocatedTime__O = (function() {
  return this.allocatedTimeJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.$$js$exported$prop$startedTime__O = (function() {
  return this.startedTimeJS__sjs_js_UndefOr()
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype, "endTime", {
  "get": (function() {
    return this.$$js$exported$prop$endTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype, "startedTime", {
  "get": (function() {
    return this.$$js$exported$prop$startedTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype, "allocatedTime", {
  "get": (function() {
    return this.$$js$exported$prop$allocatedTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype, "allocatedTo", {
  "get": (function() {
    return this.$$js$exported$prop$allocatedTo__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype, "readyTime", {
  "get": (function() {
    return this.$$js$exported$prop$readyTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype, "taskState", {
  "get": (function() {
    return this.$$js$exported$prop$taskState__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype, "taskName", {
  "get": (function() {
    return this.$$js$exported$prop$taskName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype, "taskId", {
  "get": (function() {
    return this.$$js$exported$prop$taskId__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.MonitorFlowDetailsTask"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.MonitorFlowDetailsTask;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorFlowDetailsTask", {
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetailsTask;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError() {
  $c_O.call(this);
  this.flowId$1 = null;
  this.flowState$1 = null;
  this.summary$1 = null;
  this.details$1 = null;
  this.documentData$1 = null;
  this.constraintList$1 = null;
  this.errorTime$1 = null;
  this.errorDate$1 = null;
  this.isHistory$1 = false
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.$$js$exported$prop$errorTime__O = (function() {
  return this.errorTime$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.productPrefix__T = (function() {
  return "MonitorFlowError"
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.productArity__I = (function() {
  return 9
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError(x$1)) {
    var MonitorFlowError$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError(x$1);
    if ((this.flowId$1 === MonitorFlowError$1.flowId$1)) {
      var x = this.flowState$1;
      var x$2 = MonitorFlowError$1.flowState$1;
      var jsx$5 = (x === x$2)
    } else {
      var jsx$5 = false
    };
    if (jsx$5) {
      var x$3 = this.summary$1;
      var x$4 = MonitorFlowError$1.summary$1;
      var jsx$4 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      var jsx$4 = false
    };
    if (jsx$4) {
      var x$5 = this.details$1;
      var x$6 = MonitorFlowError$1.details$1;
      var jsx$3 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
    } else {
      var jsx$3 = false
    };
    if (jsx$3) {
      var x$7 = this.documentData$1;
      var x$8 = MonitorFlowError$1.documentData$1;
      var jsx$2 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
    } else {
      var jsx$2 = false
    };
    if (jsx$2) {
      var x$9 = this.constraintList$1;
      var x$10 = MonitorFlowError$1.constraintList$1;
      var jsx$1 = ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
    } else {
      var jsx$1 = false
    };
    if (((jsx$1 && $m_sr_BoxesRunTime$().equals__O__O__Z(this.errorTime$1, MonitorFlowError$1.errorTime$1)) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.errorDate$1, MonitorFlowError$1.errorDate$1))) {
      return (this.isHistory$1 === MonitorFlowError$1.isHistory$1)
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.$$js$exported$prop$errorDate__O = (function() {
  return this.errorDate$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.flowId$1;
      break
    }
    case 1: {
      return this.flowState$1;
      break
    }
    case 2: {
      return this.summary$1;
      break
    }
    case 3: {
      return this.details$1;
      break
    }
    case 4: {
      return this.documentData$1;
      break
    }
    case 5: {
      return this.constraintList$1;
      break
    }
    case 6: {
      return this.errorTime$1;
      break
    }
    case 7: {
      return this.errorDate$1;
      break
    }
    case 8: {
      return this.isHistory$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.summaryJS__sjs_js_UndefOr = (function() {
  var opt = this.summary$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.toString__T = (function() {
  var jsx$8 = ((this.flowId$1 === null) ? "flowId=null" : ("flowId=" + this.flowId$1));
  var jsx$7 = ((this.flowState$1 === null) ? "flowState=null" : ("flowState=" + this.flowState$1.toString__T()));
  var jsx$6 = ((this.summary$1 === null) ? "summary=null" : ("summary=" + this.summary$1.toString__T()));
  var jsx$5 = ((this.details$1 === null) ? "details=null" : ("details=" + this.details$1.toString__T()));
  var jsx$4 = ((this.documentData$1 === null) ? "documentData=null" : ("documentData=" + this.documentData$1.toString__T()));
  if ((this.constraintList$1 === null)) {
    var jsx$3 = "constraintList=null"
  } else {
    var this$1 = this.constraintList$1;
    var jsx$3 = ("constraintList=" + $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this$1))
  };
  var jsx$2 = ((this.errorTime$1 === null) ? "errorTime=null" : ("errorTime=" + $objectToString(this.errorTime$1)));
  var jsx$1 = ((this.errorDate$1 === null) ? "errorDate=null" : ("errorDate=" + $objectToString(this.errorDate$1)));
  var this$2 = this.isHistory$1;
  return ((((((((((((((((((("MonitorFlowError(" + jsx$8) + ",") + jsx$7) + ",") + jsx$6) + ",") + jsx$5) + ",") + jsx$4) + ",") + jsx$3) + ",") + jsx$2) + ",") + jsx$1) + ",") + "isHistory=") + ("" + this$2)) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.flowId$1;
  ret.flowId = s;
  var s$1 = this.flowState$1.id$1;
  ret.flowState = s$1;
  if (this.summary$1.isDefined__Z()) {
    var s$2 = $as_T(this.summary$1.get__O());
    ret.summary = s$2
  };
  if (this.details$1.isDefined__Z()) {
    var s$3 = $as_T(this.details$1.get__O());
    ret.details = s$3
  };
  if (this.documentData$1.isDefined__Z()) {
    var s$4 = $as_T(this.documentData$1.get__O());
    ret.documentData = s$4
  };
  var col = this.constraintList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$1 = x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$9 = these;
      these = this$9.tail__sci_List()
    };
    var jsx$1 = result
  };
  ret.constraintList = jsx$1;
  var s$5 = $as_T(this.errorTime$1.toISOString());
  ret.errorTime = s$5;
  var s$6 = $as_T(this.errorDate$1.toISOString());
  ret.errorDate = s$6;
  var value = this.isHistory$1;
  ret.isHistory = value;
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.init___T__Lsmilejs_com_metastay_valey_enums_FlowState__s_Option__s_Option__s_Option__sci_List__sjs_js_Date__sjs_js_Date__Z = (function(flowId, flowState, summary, details, documentData, constraintList, errorTime, errorDate, isHistory) {
  this.flowId$1 = flowId;
  this.flowState$1 = flowState;
  this.summary$1 = summary;
  this.details$1 = details;
  this.documentData$1 = documentData;
  this.constraintList$1 = constraintList;
  this.errorTime$1 = errorTime;
  this.errorDate$1 = errorDate;
  this.isHistory$1 = isHistory;
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.$$js$exported$prop$flowState__O = (function() {
  return this.flowState$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.detailsJS__sjs_js_UndefOr = (function() {
  var opt = this.details$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.documentDataJS__sjs_js_UndefOr = (function() {
  var opt = this.documentData$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.constraintListJS__sjs_js_Array = (function() {
  var col = this.constraintList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.$$js$exported$prop$documentData__O = (function() {
  return this.documentDataJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.$$js$exported$prop$details__O = (function() {
  return this.detailsJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.flowId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.flowState$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.summary$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.details$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.documentData$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.constraintList$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.errorTime$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.errorDate$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, (this.isHistory$1 ? 1231 : 1237));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 9)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.$$js$exported$prop$summary__O = (function() {
  return this.summaryJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.$$js$exported$prop$constraintList__O = (function() {
  return this.constraintListJS__sjs_js_Array()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.$$js$exported$prop$isHistory__O = (function() {
  return this.isHistory$1
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype, "constraintList", {
  "get": (function() {
    return this.$$js$exported$prop$constraintList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype, "documentData", {
  "get": (function() {
    return this.$$js$exported$prop$documentData__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype, "details", {
  "get": (function() {
    return this.$$js$exported$prop$details__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype, "summary", {
  "get": (function() {
    return this.$$js$exported$prop$summary__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype, "isHistory", {
  "get": (function() {
    return this.$$js$exported$prop$isHistory__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype, "errorDate", {
  "get": (function() {
    return this.$$js$exported$prop$errorDate__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype, "errorTime", {
  "get": (function() {
    return this.$$js$exported$prop$errorTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype, "flowState", {
  "get": (function() {
    return this.$$js$exported$prop$flowState__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorFlowError)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.MonitorFlowError"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorFlowError)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.MonitorFlowError;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowError: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorFlowError", {
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowError: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult() {
  $c_O.call(this);
  this.flowId$1 = null;
  this.displayId$1 = null;
  this.cid$1 = null;
  this.teamCode$1 = null;
  this.netName$1 = null;
  this.flowState$1 = null;
  this.fqFlowName$1 = null;
  this.flowName$1 = null;
  this.priority$1 = 0;
  this.createdTime$1 = null;
  this.readyCount$1 = 0;
  this.allocatedCount$1 = 0;
  this.startedCount$1 = 0;
  this.errorCount$1 = 0;
  this.completedCount$1 = 0;
  this.documentData$1 = null;
  this.source$1 = null;
  this.tagList$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.productPrefix__T = (function() {
  return "MonitorFlowSearchResult"
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.init___T__T__T__T__T__Lsmilejs_com_metastay_valey_enums_FlowState__T__T__I__sjs_js_Date__I__I__I__I__I__T__s_Option__sci_List = (function(flowId, displayId, cid, teamCode, netName, flowState, fqFlowName, flowName, priority, createdTime, readyCount, allocatedCount, startedCount, errorCount, completedCount, documentData, source, tagList) {
  this.flowId$1 = flowId;
  this.displayId$1 = displayId;
  this.cid$1 = cid;
  this.teamCode$1 = teamCode;
  this.netName$1 = netName;
  this.flowState$1 = flowState;
  this.fqFlowName$1 = fqFlowName;
  this.flowName$1 = flowName;
  this.priority$1 = priority;
  this.createdTime$1 = createdTime;
  this.readyCount$1 = readyCount;
  this.allocatedCount$1 = allocatedCount;
  this.startedCount$1 = startedCount;
  this.errorCount$1 = errorCount;
  this.completedCount$1 = completedCount;
  this.documentData$1 = documentData;
  this.source$1 = source;
  this.tagList$1 = tagList;
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.productArity__I = (function() {
  return 18
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult(x$1)) {
    var MonitorFlowSearchResult$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult(x$1);
    if ((((((this.flowId$1 === MonitorFlowSearchResult$1.flowId$1) && (this.displayId$1 === MonitorFlowSearchResult$1.displayId$1)) && (this.cid$1 === MonitorFlowSearchResult$1.cid$1)) && (this.teamCode$1 === MonitorFlowSearchResult$1.teamCode$1)) && (this.netName$1 === MonitorFlowSearchResult$1.netName$1))) {
      var x = this.flowState$1;
      var x$2 = MonitorFlowSearchResult$1.flowState$1;
      var jsx$2 = (x === x$2)
    } else {
      var jsx$2 = false
    };
    if (((((((((((jsx$2 && (this.fqFlowName$1 === MonitorFlowSearchResult$1.fqFlowName$1)) && (this.flowName$1 === MonitorFlowSearchResult$1.flowName$1)) && (this.priority$1 === MonitorFlowSearchResult$1.priority$1)) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.createdTime$1, MonitorFlowSearchResult$1.createdTime$1)) && (this.readyCount$1 === MonitorFlowSearchResult$1.readyCount$1)) && (this.allocatedCount$1 === MonitorFlowSearchResult$1.allocatedCount$1)) && (this.startedCount$1 === MonitorFlowSearchResult$1.startedCount$1)) && (this.errorCount$1 === MonitorFlowSearchResult$1.errorCount$1)) && (this.completedCount$1 === MonitorFlowSearchResult$1.completedCount$1)) && (this.documentData$1 === MonitorFlowSearchResult$1.documentData$1))) {
      var x$3 = this.source$1;
      var x$4 = MonitorFlowSearchResult$1.source$1;
      var jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      var x$5 = this.tagList$1;
      var x$6 = MonitorFlowSearchResult$1.tagList$1;
      return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.flowId$1;
      break
    }
    case 1: {
      return this.displayId$1;
      break
    }
    case 2: {
      return this.cid$1;
      break
    }
    case 3: {
      return this.teamCode$1;
      break
    }
    case 4: {
      return this.netName$1;
      break
    }
    case 5: {
      return this.flowState$1;
      break
    }
    case 6: {
      return this.fqFlowName$1;
      break
    }
    case 7: {
      return this.flowName$1;
      break
    }
    case 8: {
      return this.priority$1;
      break
    }
    case 9: {
      return this.createdTime$1;
      break
    }
    case 10: {
      return this.readyCount$1;
      break
    }
    case 11: {
      return this.allocatedCount$1;
      break
    }
    case 12: {
      return this.startedCount$1;
      break
    }
    case 13: {
      return this.errorCount$1;
      break
    }
    case 14: {
      return this.completedCount$1;
      break
    }
    case 15: {
      return this.documentData$1;
      break
    }
    case 16: {
      return this.source$1;
      break
    }
    case 17: {
      return this.tagList$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.$$js$exported$prop$startedCount__O = (function() {
  return this.startedCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.toString__T = (function() {
  var jsx$12 = ((this.flowId$1 === null) ? "flowId=null" : ("flowId=" + this.flowId$1));
  var jsx$11 = ((this.displayId$1 === null) ? "displayId=null" : ("displayId=" + this.displayId$1));
  var jsx$10 = ((this.cid$1 === null) ? "cid=null" : ("cid=" + this.cid$1));
  var jsx$9 = ((this.teamCode$1 === null) ? "teamCode=null" : ("teamCode=" + this.teamCode$1));
  var jsx$8 = ((this.netName$1 === null) ? "netName=null" : ("netName=" + this.netName$1));
  var jsx$7 = ((this.flowState$1 === null) ? "flowState=null" : ("flowState=" + this.flowState$1.toString__T()));
  var jsx$6 = ((this.fqFlowName$1 === null) ? "fqFlowName=null" : ("fqFlowName=" + this.fqFlowName$1));
  var jsx$5 = ((this.flowName$1 === null) ? "flowName=null" : ("flowName=" + this.flowName$1));
  var this$1 = this.priority$1;
  var jsx$4 = ((this.createdTime$1 === null) ? "createdTime=null" : ("createdTime=" + $objectToString(this.createdTime$1)));
  var this$3 = this.readyCount$1;
  var this$5 = this.allocatedCount$1;
  var this$7 = this.startedCount$1;
  var this$9 = this.errorCount$1;
  var this$11 = this.completedCount$1;
  var jsx$3 = ((this.documentData$1 === null) ? "documentData=null" : ("documentData=" + this.documentData$1));
  var jsx$2 = ((this.source$1 === null) ? "source=null" : ("source=" + this.source$1.toString__T()));
  if ((this.tagList$1 === null)) {
    var jsx$1 = "tagList=null"
  } else {
    var this$13 = this.tagList$1;
    var jsx$1 = ("tagList=" + $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this$13))
  };
  return (((((((((((((((((((((((((((((((((((((((((("MonitorFlowSearchResult(" + jsx$12) + ",") + jsx$11) + ",") + jsx$10) + ",") + jsx$9) + ",") + jsx$8) + ",") + jsx$7) + ",") + jsx$6) + ",") + jsx$5) + ",") + "priority=") + ("" + this$1)) + ",") + jsx$4) + ",") + "readyCount=") + ("" + this$3)) + ",") + "allocatedCount=") + ("" + this$5)) + ",") + "startedCount=") + ("" + this$7)) + ",") + "errorCount=") + ("" + this$9)) + ",") + "completedCount=") + ("" + this$11)) + ",") + jsx$3) + ",") + jsx$2) + ",") + jsx$1) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.sourceJS__sjs_js_UndefOr = (function() {
  var opt = this.source$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.tagListJS__sjs_js_Array = (function() {
  var col = this.tagList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.$$js$exported$prop$tagList__O = (function() {
  return this.tagListJS__sjs_js_Array()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.flowId$1;
  ret.flowId = s;
  var s$1 = this.displayId$1;
  ret.displayId = s$1;
  var s$2 = this.cid$1;
  ret.cid = s$2;
  var s$3 = this.teamCode$1;
  ret.teamCode = s$3;
  var s$4 = this.netName$1;
  ret.netName = s$4;
  var s$5 = this.flowState$1.id$1;
  ret.flowState = s$5;
  var s$6 = this.fqFlowName$1;
  ret.fqFlowName = s$6;
  var s$7 = this.flowName$1;
  ret.flowName = s$7;
  var value = this.priority$1;
  ret.priority = value;
  var s$8 = $as_T(this.createdTime$1.toISOString());
  ret.createdTime = s$8;
  var value$1 = this.readyCount$1;
  ret.readyCount = value$1;
  var value$2 = this.allocatedCount$1;
  ret.allocatedCount = value$2;
  var value$3 = this.startedCount$1;
  ret.startedCount = value$3;
  var value$4 = this.errorCount$1;
  ret.errorCount = value$4;
  var value$5 = this.completedCount$1;
  ret.completedCount = value$5;
  var s$9 = this.documentData$1;
  ret.documentData = s$9;
  if (this.source$1.isDefined__Z()) {
    var s$10 = $as_T(this.source$1.get__O());
    ret.source = s$10
  };
  var this$19 = this.tagList$1;
  var f = (function(x$1$2) {
    var x$1 = $as_Lsmilejs_com_metastay_monitordata_data_Tag(x$1$2);
    return x$1.toJson__sjs_js_Dynamic()
  });
  var this$18 = $m_sci_List$();
  var bf = this$18.ReusableCBFInstance$2;
  if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
    if ((this$19 === $m_sci_Nil$())) {
      var jsx$1 = $m_sci_Nil$()
    } else {
      var arg1 = this$19.head__O();
      var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
      var t = h;
      var rest = this$19.tail__sci_List();
      while ((rest !== $m_sci_Nil$())) {
        var arg1$1 = rest.head__O();
        var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
        t.tl$5 = nx;
        t = nx;
        var this$20 = rest;
        rest = this$20.tail__sci_List()
      };
      var jsx$1 = h
    }
  } else {
    var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$19, bf);
    var these = this$19;
    while ((!these.isEmpty__Z())) {
      var arg1$2 = these.head__O();
      b.$$plus$eq__O__scm_Builder(f(arg1$2));
      var this$21 = these;
      these = this$21.tail__sci_List()
    };
    var jsx$1 = b.result__O()
  };
  var col = $as_sc_GenTraversableOnce(jsx$1);
  var this$24 = $m_sjsr_package$();
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$2 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$2 = x3.array$6
  } else {
    var result = [];
    col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x$2) {
        return $uI(result$1.push(x$2))
      })
    })(this$24, result)));
    var jsx$2 = result
  };
  ret.tagList = jsx$2;
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.$$js$exported$prop$readyCount__O = (function() {
  return this.readyCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.$$js$exported$prop$priority__O = (function() {
  return this.priority$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.$$js$exported$prop$flowState__O = (function() {
  return this.flowState$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.$$js$exported$prop$source__O = (function() {
  return this.sourceJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.$$js$exported$prop$cid__O = (function() {
  return this.cid$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.$$js$exported$prop$documentData__O = (function() {
  return this.documentData$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.$$js$exported$prop$completedCount__O = (function() {
  return this.completedCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.$$js$exported$prop$netName__O = (function() {
  return this.netName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.flowId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.displayId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.cid$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamCode$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.netName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.flowState$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.fqFlowName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.flowName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.priority$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.createdTime$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.readyCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.allocatedCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.startedCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.errorCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.completedCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.documentData$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.source$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.tagList$1));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 18)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.$$js$exported$prop$allocatedCount__O = (function() {
  return this.allocatedCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.$$js$exported$prop$displayId__O = (function() {
  return this.displayId$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.$$js$exported$prop$createdTime__O = (function() {
  return this.createdTime$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.$$js$exported$prop$errorCount__O = (function() {
  return this.errorCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.$$js$exported$prop$flowName__O = (function() {
  return this.flowName$1
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype, "tagList", {
  "get": (function() {
    return this.$$js$exported$prop$tagList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype, "source", {
  "get": (function() {
    return this.$$js$exported$prop$source__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype, "documentData", {
  "get": (function() {
    return this.$$js$exported$prop$documentData__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype, "completedCount", {
  "get": (function() {
    return this.$$js$exported$prop$completedCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype, "errorCount", {
  "get": (function() {
    return this.$$js$exported$prop$errorCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype, "startedCount", {
  "get": (function() {
    return this.$$js$exported$prop$startedCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype, "allocatedCount", {
  "get": (function() {
    return this.$$js$exported$prop$allocatedCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype, "readyCount", {
  "get": (function() {
    return this.$$js$exported$prop$readyCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype, "createdTime", {
  "get": (function() {
    return this.$$js$exported$prop$createdTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype, "priority", {
  "get": (function() {
    return this.$$js$exported$prop$priority__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype, "flowName", {
  "get": (function() {
    return this.$$js$exported$prop$flowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype, "flowState", {
  "get": (function() {
    return this.$$js$exported$prop$flowState__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype, "netName", {
  "get": (function() {
    return this.$$js$exported$prop$netName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype, "cid", {
  "get": (function() {
    return this.$$js$exported$prop$cid__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype, "displayId", {
  "get": (function() {
    return this.$$js$exported$prop$displayId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.MonitorFlowSearchResult"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.MonitorFlowSearchResult;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorFlowSearchResult", {
  Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails() {
  $c_O.call(this);
  this.taskId$1 = null;
  this.subFlowId$1 = null;
  this.subFlowName$1 = null;
  this.subFlowNetName$1 = null;
  this.subFlowFqName$1 = null;
  this.subFlowState$1 = null;
  this.subTeam$1 = null;
  this.subFlowDisplayId$1 = null;
  this.subFlowCid$1 = null;
  this.subFlowLastUpdatedTime$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype.$$js$exported$prop$subFlowNetName__O = (function() {
  return this.subFlowNetName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype.productPrefix__T = (function() {
  return "MonitorSubFlowTaskDetails"
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype.$$js$exported$prop$subTeam__O = (function() {
  return this.subTeam$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype.productArity__I = (function() {
  return 10
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype.$$js$exported$prop$subFlowCid__O = (function() {
  return this.subFlowCid$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype.$$js$exported$prop$subFlowFqName__O = (function() {
  return this.subFlowFqName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails(x$1)) {
    var MonitorSubFlowTaskDetails$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails(x$1);
    return ((((((((((this.taskId$1 === MonitorSubFlowTaskDetails$1.taskId$1) && (this.subFlowId$1 === MonitorSubFlowTaskDetails$1.subFlowId$1)) && (this.subFlowName$1 === MonitorSubFlowTaskDetails$1.subFlowName$1)) && (this.subFlowNetName$1 === MonitorSubFlowTaskDetails$1.subFlowNetName$1)) && (this.subFlowFqName$1 === MonitorSubFlowTaskDetails$1.subFlowFqName$1)) && (this.subFlowState$1 === MonitorSubFlowTaskDetails$1.subFlowState$1)) && (this.subTeam$1 === MonitorSubFlowTaskDetails$1.subTeam$1)) && (this.subFlowDisplayId$1 === MonitorSubFlowTaskDetails$1.subFlowDisplayId$1)) && (this.subFlowCid$1 === MonitorSubFlowTaskDetails$1.subFlowCid$1)) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.subFlowLastUpdatedTime$1, MonitorSubFlowTaskDetails$1.subFlowLastUpdatedTime$1))
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.taskId$1;
      break
    }
    case 1: {
      return this.subFlowId$1;
      break
    }
    case 2: {
      return this.subFlowName$1;
      break
    }
    case 3: {
      return this.subFlowNetName$1;
      break
    }
    case 4: {
      return this.subFlowFqName$1;
      break
    }
    case 5: {
      return this.subFlowState$1;
      break
    }
    case 6: {
      return this.subTeam$1;
      break
    }
    case 7: {
      return this.subFlowDisplayId$1;
      break
    }
    case 8: {
      return this.subFlowCid$1;
      break
    }
    case 9: {
      return this.subFlowLastUpdatedTime$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype.init___T__T__T__T__T__T__T__T__T__sjs_js_Date = (function(taskId, subFlowId, subFlowName, subFlowNetName, subFlowFqName, subFlowState, subTeam, subFlowDisplayId, subFlowCid, subFlowLastUpdatedTime) {
  this.taskId$1 = taskId;
  this.subFlowId$1 = subFlowId;
  this.subFlowName$1 = subFlowName;
  this.subFlowNetName$1 = subFlowNetName;
  this.subFlowFqName$1 = subFlowFqName;
  this.subFlowState$1 = subFlowState;
  this.subTeam$1 = subTeam;
  this.subFlowDisplayId$1 = subFlowDisplayId;
  this.subFlowCid$1 = subFlowCid;
  this.subFlowLastUpdatedTime$1 = subFlowLastUpdatedTime;
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype.$$js$exported$prop$taskId__O = (function() {
  return this.taskId$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype.toString__T = (function() {
  return (((((((((((((((((((("MonitorSubFlowTaskDetails(" + ((this.taskId$1 === null) ? "taskId=null" : ("taskId=" + this.taskId$1))) + ",") + ((this.subFlowId$1 === null) ? "subFlowId=null" : ("subFlowId=" + this.subFlowId$1))) + ",") + ((this.subFlowName$1 === null) ? "subFlowName=null" : ("subFlowName=" + this.subFlowName$1))) + ",") + ((this.subFlowNetName$1 === null) ? "subFlowNetName=null" : ("subFlowNetName=" + this.subFlowNetName$1))) + ",") + ((this.subFlowFqName$1 === null) ? "subFlowFqName=null" : ("subFlowFqName=" + this.subFlowFqName$1))) + ",") + ((this.subFlowState$1 === null) ? "subFlowState=null" : ("subFlowState=" + this.subFlowState$1))) + ",") + ((this.subTeam$1 === null) ? "subTeam=null" : ("subTeam=" + this.subTeam$1))) + ",") + ((this.subFlowDisplayId$1 === null) ? "subFlowDisplayId=null" : ("subFlowDisplayId=" + this.subFlowDisplayId$1))) + ",") + ((this.subFlowCid$1 === null) ? "subFlowCid=null" : ("subFlowCid=" + this.subFlowCid$1))) + ",") + ((this.subFlowLastUpdatedTime$1 === null) ? "subFlowLastUpdatedTime=null" : ("subFlowLastUpdatedTime=" + $objectToString(this.subFlowLastUpdatedTime$1)))) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.taskId$1;
  ret.taskId = s;
  var s$1 = this.subFlowId$1;
  ret.subFlowId = s$1;
  var s$2 = this.subFlowName$1;
  ret.subFlowName = s$2;
  var s$3 = this.subFlowNetName$1;
  ret.subFlowNetName = s$3;
  var s$4 = this.subFlowFqName$1;
  ret.subFlowFqName = s$4;
  var s$5 = this.subFlowState$1;
  ret.subFlowState = s$5;
  var s$6 = this.subTeam$1;
  ret.subTeam = s$6;
  var s$7 = this.subFlowDisplayId$1;
  ret.subFlowDisplayId = s$7;
  var s$8 = this.subFlowCid$1;
  ret.subFlowCid = s$8;
  var s$9 = $as_T(this.subFlowLastUpdatedTime$1.toISOString());
  ret.subFlowLastUpdatedTime = s$9;
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype.$$js$exported$prop$subFlowId__O = (function() {
  return this.subFlowId$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype.$$js$exported$prop$subFlowState__O = (function() {
  return this.subFlowState$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype.$$js$exported$prop$subFlowLastUpdatedTime__O = (function() {
  return this.subFlowLastUpdatedTime$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype.$$js$exported$prop$subFlowDisplayId__O = (function() {
  return this.subFlowDisplayId$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype.$$js$exported$prop$subFlowName__O = (function() {
  return this.subFlowName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype, "subFlowLastUpdatedTime", {
  "get": (function() {
    return this.$$js$exported$prop$subFlowLastUpdatedTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype, "subFlowCid", {
  "get": (function() {
    return this.$$js$exported$prop$subFlowCid__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype, "subFlowDisplayId", {
  "get": (function() {
    return this.$$js$exported$prop$subFlowDisplayId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype, "subTeam", {
  "get": (function() {
    return this.$$js$exported$prop$subTeam__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype, "subFlowState", {
  "get": (function() {
    return this.$$js$exported$prop$subFlowState__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype, "subFlowFqName", {
  "get": (function() {
    return this.$$js$exported$prop$subFlowFqName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype, "subFlowNetName", {
  "get": (function() {
    return this.$$js$exported$prop$subFlowNetName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype, "subFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$subFlowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype, "subFlowId", {
  "get": (function() {
    return this.$$js$exported$prop$subFlowId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype, "taskId", {
  "get": (function() {
    return this.$$js$exported$prop$taskId__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.MonitorSubFlowTaskDetails"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.MonitorSubFlowTaskDetails;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorSubFlowTaskDetails", {
  Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary() {
  $c_O.call(this);
  this.fqFlowName$1 = null;
  this.flowName$1 = null;
  this.teamCode$1 = null;
  this.taskList$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype.productPrefix__T = (function() {
  return "MonitorTaskDashboardSummary"
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype.taskListJS__sjs_js_Array = (function() {
  var col = this.taskList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype.productArity__I = (function() {
  return 4
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary(x$1)) {
    var MonitorTaskDashboardSummary$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary(x$1);
    if ((((this.fqFlowName$1 === MonitorTaskDashboardSummary$1.fqFlowName$1) && (this.flowName$1 === MonitorTaskDashboardSummary$1.flowName$1)) && (this.teamCode$1 === MonitorTaskDashboardSummary$1.teamCode$1))) {
      var x = this.taskList$1;
      var x$2 = MonitorTaskDashboardSummary$1.taskList$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.fqFlowName$1;
      break
    }
    case 1: {
      return this.flowName$1;
      break
    }
    case 2: {
      return this.teamCode$1;
      break
    }
    case 3: {
      return this.taskList$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype.toString__T = (function() {
  var jsx$4 = ((this.fqFlowName$1 === null) ? "fqFlowName=null" : ("fqFlowName=" + this.fqFlowName$1));
  var jsx$3 = ((this.flowName$1 === null) ? "flowName=null" : ("flowName=" + this.flowName$1));
  var jsx$2 = ((this.teamCode$1 === null) ? "teamCode=null" : ("teamCode=" + this.teamCode$1));
  if ((this.taskList$1 === null)) {
    var jsx$1 = "taskList=null"
  } else {
    var this$1 = this.taskList$1;
    var jsx$1 = ("taskList=" + $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this$1))
  };
  return (((((((("MonitorTaskDashboardSummary(" + jsx$4) + ",") + jsx$3) + ",") + jsx$2) + ",") + jsx$1) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.fqFlowName$1;
  ret.fqFlowName = s;
  var s$1 = this.flowName$1;
  ret.flowName = s$1;
  var s$2 = this.teamCode$1;
  ret.teamCode = s$2;
  var this$5 = this.taskList$1;
  var f = (function(x$1$2) {
    var x$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardTask(x$1$2);
    return x$1.toJson__sjs_js_Dynamic()
  });
  var this$4 = $m_sci_List$();
  var bf = this$4.ReusableCBFInstance$2;
  if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
    if ((this$5 === $m_sci_Nil$())) {
      var jsx$1 = $m_sci_Nil$()
    } else {
      var arg1 = this$5.head__O();
      var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
      var t = h;
      var rest = this$5.tail__sci_List();
      while ((rest !== $m_sci_Nil$())) {
        var arg1$1 = rest.head__O();
        var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
        t.tl$5 = nx;
        t = nx;
        var this$6 = rest;
        rest = this$6.tail__sci_List()
      };
      var jsx$1 = h
    }
  } else {
    var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf);
    var these = this$5;
    while ((!these.isEmpty__Z())) {
      var arg1$2 = these.head__O();
      b.$$plus$eq__O__scm_Builder(f(arg1$2));
      var this$7 = these;
      these = this$7.tail__sci_List()
    };
    var jsx$1 = b.result__O()
  };
  var col = $as_sc_GenTraversableOnce(jsx$1);
  var this$10 = $m_sjsr_package$();
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$2 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$2 = x3.array$6
  } else {
    var result = [];
    col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x$2) {
        return $uI(result$1.push(x$2))
      })
    })(this$10, result)));
    var jsx$2 = result
  };
  ret.taskList = jsx$2;
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype.init___T__T__T__sci_List = (function(fqFlowName, flowName, teamCode, taskList) {
  this.fqFlowName$1 = fqFlowName;
  this.flowName$1 = flowName;
  this.teamCode$1 = teamCode;
  this.taskList$1 = taskList;
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype.$$js$exported$prop$taskList__O = (function() {
  return this.taskListJS__sjs_js_Array()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype.$$js$exported$prop$flowName__O = (function() {
  return this.flowName$1
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype, "taskList", {
  "get": (function() {
    return this.$$js$exported$prop$taskList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype, "flowName", {
  "get": (function() {
    return this.$$js$exported$prop$flowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.MonitorTaskDashboardSummary"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.MonitorTaskDashboardSummary;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorTaskDashboardSummary", {
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails() {
  $c_O.call(this);
  this.flowId$1 = null;
  this.taskName$1 = null;
  this.taskId$1 = null;
  this.taskType$1 = null;
  this.teamCode$1 = null;
  this.fqFlowName$1 = null;
  this.flowName$1 = null;
  this.cid$1 = null;
  this.displayId$1 = null;
  this.taskState$1 = null;
  this.allocatedTo$1 = null;
  this.priority$1 = 0;
  this.readyTime$1 = null;
  this.allocatedTime$1 = null;
  this.startedTime$1 = null;
  this.endTime$1 = null;
  this.lastUpdatedTime$1 = null;
  this.taskInput$1 = null;
  this.taskOutput$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.allocatedTimeJS__sjs_js_UndefOr = (function() {
  var opt = this.allocatedTime$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.productPrefix__T = (function() {
  return "MonitorTaskDetails"
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.productArity__I = (function() {
  return 19
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.$$js$exported$prop$taskType__O = (function() {
  return this.taskType$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails(x$1)) {
    var MonitorTaskDetails$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails(x$1);
    if ((((((((((this.flowId$1 === MonitorTaskDetails$1.flowId$1) && (this.taskName$1 === MonitorTaskDetails$1.taskName$1)) && (this.taskId$1 === MonitorTaskDetails$1.taskId$1)) && (this.taskType$1 === MonitorTaskDetails$1.taskType$1)) && (this.teamCode$1 === MonitorTaskDetails$1.teamCode$1)) && (this.fqFlowName$1 === MonitorTaskDetails$1.fqFlowName$1)) && (this.flowName$1 === MonitorTaskDetails$1.flowName$1)) && (this.cid$1 === MonitorTaskDetails$1.cid$1)) && (this.displayId$1 === MonitorTaskDetails$1.displayId$1))) {
      var x = this.taskState$1;
      var x$2 = MonitorTaskDetails$1.taskState$1;
      var jsx$5 = (x === x$2)
    } else {
      var jsx$5 = false
    };
    if (jsx$5) {
      var x$3 = this.allocatedTo$1;
      var x$4 = MonitorTaskDetails$1.allocatedTo$1;
      var jsx$4 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      var jsx$4 = false
    };
    if (((jsx$4 && (this.priority$1 === MonitorTaskDetails$1.priority$1)) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.readyTime$1, MonitorTaskDetails$1.readyTime$1))) {
      var x$5 = this.allocatedTime$1;
      var x$6 = MonitorTaskDetails$1.allocatedTime$1;
      var jsx$3 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
    } else {
      var jsx$3 = false
    };
    if (jsx$3) {
      var x$7 = this.startedTime$1;
      var x$8 = MonitorTaskDetails$1.startedTime$1;
      var jsx$2 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
    } else {
      var jsx$2 = false
    };
    if (jsx$2) {
      var x$9 = this.endTime$1;
      var x$10 = MonitorTaskDetails$1.endTime$1;
      var jsx$1 = ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
    } else {
      var jsx$1 = false
    };
    if (((jsx$1 && $m_sr_BoxesRunTime$().equals__O__O__Z(this.lastUpdatedTime$1, MonitorTaskDetails$1.lastUpdatedTime$1)) && (this.taskInput$1 === MonitorTaskDetails$1.taskInput$1))) {
      var x$11 = this.taskOutput$1;
      var x$12 = MonitorTaskDetails$1.taskOutput$1;
      return ((x$11 === null) ? (x$12 === null) : x$11.equals__O__Z(x$12))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.flowId$1;
      break
    }
    case 1: {
      return this.taskName$1;
      break
    }
    case 2: {
      return this.taskId$1;
      break
    }
    case 3: {
      return this.taskType$1;
      break
    }
    case 4: {
      return this.teamCode$1;
      break
    }
    case 5: {
      return this.fqFlowName$1;
      break
    }
    case 6: {
      return this.flowName$1;
      break
    }
    case 7: {
      return this.cid$1;
      break
    }
    case 8: {
      return this.displayId$1;
      break
    }
    case 9: {
      return this.taskState$1;
      break
    }
    case 10: {
      return this.allocatedTo$1;
      break
    }
    case 11: {
      return this.priority$1;
      break
    }
    case 12: {
      return this.readyTime$1;
      break
    }
    case 13: {
      return this.allocatedTime$1;
      break
    }
    case 14: {
      return this.startedTime$1;
      break
    }
    case 15: {
      return this.endTime$1;
      break
    }
    case 16: {
      return this.lastUpdatedTime$1;
      break
    }
    case 17: {
      return this.taskInput$1;
      break
    }
    case 18: {
      return this.taskOutput$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.$$js$exported$prop$taskInput__O = (function() {
  return this.taskInput$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.$$js$exported$prop$taskId__O = (function() {
  return this.taskId$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.$$js$exported$prop$endTime__O = (function() {
  return this.endTimeJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.toString__T = (function() {
  var jsx$11 = ((this.flowId$1 === null) ? "flowId=null" : ("flowId=" + this.flowId$1));
  var jsx$10 = ((this.taskName$1 === null) ? "taskName=null" : ("taskName=" + this.taskName$1));
  var jsx$9 = ((this.taskId$1 === null) ? "taskId=null" : ("taskId=" + this.taskId$1));
  var jsx$8 = ((this.taskType$1 === null) ? "taskType=null" : ("taskType=" + this.taskType$1));
  var jsx$7 = ((this.teamCode$1 === null) ? "teamCode=null" : ("teamCode=" + this.teamCode$1));
  var jsx$6 = ((this.fqFlowName$1 === null) ? "fqFlowName=null" : ("fqFlowName=" + this.fqFlowName$1));
  var jsx$5 = ((this.flowName$1 === null) ? "flowName=null" : ("flowName=" + this.flowName$1));
  var jsx$4 = ((this.cid$1 === null) ? "cid=null" : ("cid=" + this.cid$1));
  var jsx$3 = ((this.displayId$1 === null) ? "displayId=null" : ("displayId=" + this.displayId$1));
  var jsx$2 = ((this.taskState$1 === null) ? "taskState=null" : ("taskState=" + this.taskState$1.toString__T()));
  var jsx$1 = ((this.allocatedTo$1 === null) ? "allocatedTo=null" : ("allocatedTo=" + this.allocatedTo$1.toString__T()));
  var this$1 = this.priority$1;
  return ((((((((((((((((((((((((((((((((((((((("MonitorTaskDetails(" + jsx$11) + ",") + jsx$10) + ",") + jsx$9) + ",") + jsx$8) + ",") + jsx$7) + ",") + jsx$6) + ",") + jsx$5) + ",") + jsx$4) + ",") + jsx$3) + ",") + jsx$2) + ",") + jsx$1) + ",") + "priority=") + ("" + this$1)) + ",") + ((this.readyTime$1 === null) ? "readyTime=null" : ("readyTime=" + $objectToString(this.readyTime$1)))) + ",") + ((this.allocatedTime$1 === null) ? "allocatedTime=null" : ("allocatedTime=" + this.allocatedTime$1.toString__T()))) + ",") + ((this.startedTime$1 === null) ? "startedTime=null" : ("startedTime=" + this.startedTime$1.toString__T()))) + ",") + ((this.endTime$1 === null) ? "endTime=null" : ("endTime=" + this.endTime$1.toString__T()))) + ",") + ((this.lastUpdatedTime$1 === null) ? "lastUpdatedTime=null" : ("lastUpdatedTime=" + $objectToString(this.lastUpdatedTime$1)))) + ",") + ((this.taskInput$1 === null) ? "taskInput=null" : ("taskInput=" + this.taskInput$1))) + ",") + ((this.taskOutput$1 === null) ? "taskOutput=null" : ("taskOutput=" + this.taskOutput$1.toString__T()))) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.allocatedToJS__sjs_js_UndefOr = (function() {
  var opt = this.allocatedTo$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.flowId$1;
  ret.flowId = s;
  var s$1 = this.taskName$1;
  ret.taskName = s$1;
  var s$2 = this.taskId$1;
  ret.taskId = s$2;
  var s$3 = this.taskType$1;
  ret.taskType = s$3;
  var s$4 = this.teamCode$1;
  ret.teamCode = s$4;
  var s$5 = this.fqFlowName$1;
  ret.fqFlowName = s$5;
  var s$6 = this.flowName$1;
  ret.flowName = s$6;
  var s$7 = this.cid$1;
  ret.cid = s$7;
  var s$8 = this.displayId$1;
  ret.displayId = s$8;
  var s$9 = this.taskState$1.id$1;
  ret.taskState = s$9;
  if (this.allocatedTo$1.isDefined__Z()) {
    var s$10 = $as_T(this.allocatedTo$1.get__O());
    ret.allocatedTo = s$10
  };
  var value = this.priority$1;
  ret.priority = value;
  var s$11 = $as_T(this.readyTime$1.toISOString());
  ret.readyTime = s$11;
  if (this.allocatedTime$1.isDefined__Z()) {
    var s$12 = $as_T(this.allocatedTime$1.get__O().toISOString());
    ret.allocatedTime = s$12
  };
  if (this.startedTime$1.isDefined__Z()) {
    var s$13 = $as_T(this.startedTime$1.get__O().toISOString());
    ret.startedTime = s$13
  };
  if (this.endTime$1.isDefined__Z()) {
    var s$14 = $as_T(this.endTime$1.get__O().toISOString());
    ret.endTime = s$14
  };
  var s$15 = $as_T(this.lastUpdatedTime$1.toISOString());
  ret.lastUpdatedTime = s$15;
  var s$16 = this.taskInput$1;
  ret.taskInput = s$16;
  if (this.taskOutput$1.isDefined__Z()) {
    var s$17 = $as_T(this.taskOutput$1.get__O());
    ret.taskOutput = s$17
  };
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.$$js$exported$prop$taskOutput__O = (function() {
  return this.taskOutputJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.$$js$exported$prop$priority__O = (function() {
  return this.priority$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.$$js$exported$prop$allocatedTo__O = (function() {
  return this.allocatedToJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.$$js$exported$prop$cid__O = (function() {
  return this.cid$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.$$js$exported$prop$taskState__O = (function() {
  return this.taskState$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.$$js$exported$prop$lastUpdatedTime__O = (function() {
  return this.lastUpdatedTime$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.$$js$exported$prop$readyTime__O = (function() {
  return this.readyTime$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.$$js$exported$prop$taskName__O = (function() {
  return this.taskName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.init___T__T__T__T__T__T__T__T__T__Lsmilejs_com_metastay_valey_enums_TaskState__s_Option__I__sjs_js_Date__s_Option__s_Option__s_Option__sjs_js_Date__T__s_Option = (function(flowId, taskName, taskId, taskType, teamCode, fqFlowName, flowName, cid, displayId, taskState, allocatedTo, priority, readyTime, allocatedTime, startedTime, endTime, lastUpdatedTime, taskInput, taskOutput) {
  this.flowId$1 = flowId;
  this.taskName$1 = taskName;
  this.taskId$1 = taskId;
  this.taskType$1 = taskType;
  this.teamCode$1 = teamCode;
  this.fqFlowName$1 = fqFlowName;
  this.flowName$1 = flowName;
  this.cid$1 = cid;
  this.displayId$1 = displayId;
  this.taskState$1 = taskState;
  this.allocatedTo$1 = allocatedTo;
  this.priority$1 = priority;
  this.readyTime$1 = readyTime;
  this.allocatedTime$1 = allocatedTime;
  this.startedTime$1 = startedTime;
  this.endTime$1 = endTime;
  this.lastUpdatedTime$1 = lastUpdatedTime;
  this.taskInput$1 = taskInput;
  this.taskOutput$1 = taskOutput;
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.startedTimeJS__sjs_js_UndefOr = (function() {
  var opt = this.startedTime$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.endTimeJS__sjs_js_UndefOr = (function() {
  var opt = this.endTime$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.flowId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskType$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamCode$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.fqFlowName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.flowName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.cid$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.displayId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskState$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.allocatedTo$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.priority$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.readyTime$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.allocatedTime$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.startedTime$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.endTime$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.lastUpdatedTime$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskInput$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskOutput$1));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 19)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.$$js$exported$prop$displayId__O = (function() {
  return this.displayId$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.$$js$exported$prop$allocatedTime__O = (function() {
  return this.allocatedTimeJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.taskOutputJS__sjs_js_UndefOr = (function() {
  var opt = this.taskOutput$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.$$js$exported$prop$startedTime__O = (function() {
  return this.startedTimeJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.$$js$exported$prop$flowName__O = (function() {
  return this.flowName$1
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype, "taskOutput", {
  "get": (function() {
    return this.$$js$exported$prop$taskOutput__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype, "endTime", {
  "get": (function() {
    return this.$$js$exported$prop$endTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype, "startedTime", {
  "get": (function() {
    return this.$$js$exported$prop$startedTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype, "allocatedTime", {
  "get": (function() {
    return this.$$js$exported$prop$allocatedTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype, "allocatedTo", {
  "get": (function() {
    return this.$$js$exported$prop$allocatedTo__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype, "taskInput", {
  "get": (function() {
    return this.$$js$exported$prop$taskInput__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype, "lastUpdatedTime", {
  "get": (function() {
    return this.$$js$exported$prop$lastUpdatedTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype, "readyTime", {
  "get": (function() {
    return this.$$js$exported$prop$readyTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype, "priority", {
  "get": (function() {
    return this.$$js$exported$prop$priority__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype, "taskState", {
  "get": (function() {
    return this.$$js$exported$prop$taskState__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype, "displayId", {
  "get": (function() {
    return this.$$js$exported$prop$displayId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype, "cid", {
  "get": (function() {
    return this.$$js$exported$prop$cid__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype, "flowName", {
  "get": (function() {
    return this.$$js$exported$prop$flowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype, "taskType", {
  "get": (function() {
    return this.$$js$exported$prop$taskType__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype, "taskId", {
  "get": (function() {
    return this.$$js$exported$prop$taskId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype, "taskName", {
  "get": (function() {
    return this.$$js$exported$prop$taskName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.MonitorTaskDetails"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.MonitorTaskDetails;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorTaskDetails", {
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError() {
  $c_O.call(this);
  this.taskId$1 = null;
  this.flowId$1 = null;
  this.taskState$1 = null;
  this.summary$1 = null;
  this.details$1 = null;
  this.outputData$1 = null;
  this.constraintList$1 = null;
  this.errorTime$1 = null;
  this.errorDate$1 = null;
  this.isHistory$1 = false
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.$$js$exported$prop$errorTime__O = (function() {
  return this.errorTime$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.productPrefix__T = (function() {
  return "MonitorTaskError"
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.productArity__I = (function() {
  return 10
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError(x$1)) {
    var MonitorTaskError$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError(x$1);
    if (((this.taskId$1 === MonitorTaskError$1.taskId$1) && (this.flowId$1 === MonitorTaskError$1.flowId$1))) {
      var x = this.taskState$1;
      var x$2 = MonitorTaskError$1.taskState$1;
      var jsx$5 = (x === x$2)
    } else {
      var jsx$5 = false
    };
    if (jsx$5) {
      var x$3 = this.summary$1;
      var x$4 = MonitorTaskError$1.summary$1;
      var jsx$4 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      var jsx$4 = false
    };
    if (jsx$4) {
      var x$5 = this.details$1;
      var x$6 = MonitorTaskError$1.details$1;
      var jsx$3 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
    } else {
      var jsx$3 = false
    };
    if (jsx$3) {
      var x$7 = this.outputData$1;
      var x$8 = MonitorTaskError$1.outputData$1;
      var jsx$2 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
    } else {
      var jsx$2 = false
    };
    if (jsx$2) {
      var x$9 = this.constraintList$1;
      var x$10 = MonitorTaskError$1.constraintList$1;
      var jsx$1 = ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
    } else {
      var jsx$1 = false
    };
    if (((jsx$1 && $m_sr_BoxesRunTime$().equals__O__O__Z(this.errorTime$1, MonitorTaskError$1.errorTime$1)) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.errorDate$1, MonitorTaskError$1.errorDate$1))) {
      return (this.isHistory$1 === MonitorTaskError$1.isHistory$1)
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.$$js$exported$prop$errorDate__O = (function() {
  return this.errorDate$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.taskId$1;
      break
    }
    case 1: {
      return this.flowId$1;
      break
    }
    case 2: {
      return this.taskState$1;
      break
    }
    case 3: {
      return this.summary$1;
      break
    }
    case 4: {
      return this.details$1;
      break
    }
    case 5: {
      return this.outputData$1;
      break
    }
    case 6: {
      return this.constraintList$1;
      break
    }
    case 7: {
      return this.errorTime$1;
      break
    }
    case 8: {
      return this.errorDate$1;
      break
    }
    case 9: {
      return this.isHistory$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.$$js$exported$prop$taskId__O = (function() {
  return this.taskId$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.summaryJS__sjs_js_UndefOr = (function() {
  var opt = this.summary$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.toString__T = (function() {
  var jsx$9 = ((this.taskId$1 === null) ? "taskId=null" : ("taskId=" + this.taskId$1));
  var jsx$8 = ((this.flowId$1 === null) ? "flowId=null" : ("flowId=" + this.flowId$1));
  var jsx$7 = ((this.taskState$1 === null) ? "taskState=null" : ("taskState=" + this.taskState$1.toString__T()));
  var jsx$6 = ((this.summary$1 === null) ? "summary=null" : ("summary=" + this.summary$1.toString__T()));
  var jsx$5 = ((this.details$1 === null) ? "details=null" : ("details=" + this.details$1.toString__T()));
  var jsx$4 = ((this.outputData$1 === null) ? "outputData=null" : ("outputData=" + this.outputData$1.toString__T()));
  if ((this.constraintList$1 === null)) {
    var jsx$3 = "constraintList=null"
  } else {
    var this$1 = this.constraintList$1;
    var jsx$3 = ("constraintList=" + $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this$1))
  };
  var jsx$2 = ((this.errorTime$1 === null) ? "errorTime=null" : ("errorTime=" + $objectToString(this.errorTime$1)));
  var jsx$1 = ((this.errorDate$1 === null) ? "errorDate=null" : ("errorDate=" + $objectToString(this.errorDate$1)));
  var this$2 = this.isHistory$1;
  return ((((((((((((((((((((("MonitorTaskError(" + jsx$9) + ",") + jsx$8) + ",") + jsx$7) + ",") + jsx$6) + ",") + jsx$5) + ",") + jsx$4) + ",") + jsx$3) + ",") + jsx$2) + ",") + jsx$1) + ",") + "isHistory=") + ("" + this$2)) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.outputDataJS__sjs_js_UndefOr = (function() {
  var opt = this.outputData$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.$$js$exported$prop$outputData__O = (function() {
  return this.outputDataJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.taskId$1;
  ret.taskId = s;
  var s$1 = this.flowId$1;
  ret.flowId = s$1;
  var s$2 = this.taskState$1.id$1;
  ret.taskState = s$2;
  if (this.summary$1.isDefined__Z()) {
    var s$3 = $as_T(this.summary$1.get__O());
    ret.summary = s$3
  };
  if (this.details$1.isDefined__Z()) {
    var s$4 = $as_T(this.details$1.get__O());
    ret.details = s$4
  };
  if (this.outputData$1.isDefined__Z()) {
    var s$5 = $as_T(this.outputData$1.get__O());
    ret.outputData = s$5
  };
  var col = this.constraintList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$1 = x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$10 = these;
      these = this$10.tail__sci_List()
    };
    var jsx$1 = result
  };
  ret.constraintList = jsx$1;
  var s$6 = $as_T(this.errorTime$1.toISOString());
  ret.errorTime = s$6;
  var s$7 = $as_T(this.errorDate$1.toISOString());
  ret.errorDate = s$7;
  var value = this.isHistory$1;
  ret.isHistory = value;
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.detailsJS__sjs_js_UndefOr = (function() {
  var opt = this.details$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.init___T__T__Lsmilejs_com_metastay_valey_enums_TaskState__s_Option__s_Option__s_Option__sci_List__sjs_js_Date__sjs_js_Date__Z = (function(taskId, flowId, taskState, summary, details, outputData, constraintList, errorTime, errorDate, isHistory) {
  this.taskId$1 = taskId;
  this.flowId$1 = flowId;
  this.taskState$1 = taskState;
  this.summary$1 = summary;
  this.details$1 = details;
  this.outputData$1 = outputData;
  this.constraintList$1 = constraintList;
  this.errorTime$1 = errorTime;
  this.errorDate$1 = errorDate;
  this.isHistory$1 = isHistory;
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.constraintListJS__sjs_js_Array = (function() {
  var col = this.constraintList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.$$js$exported$prop$taskState__O = (function() {
  return this.taskState$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.$$js$exported$prop$details__O = (function() {
  return this.detailsJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.flowId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskState$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.summary$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.details$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.outputData$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.constraintList$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.errorTime$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.errorDate$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, (this.isHistory$1 ? 1231 : 1237));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 10)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.$$js$exported$prop$summary__O = (function() {
  return this.summaryJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.$$js$exported$prop$constraintList__O = (function() {
  return this.constraintListJS__sjs_js_Array()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.$$js$exported$prop$isHistory__O = (function() {
  return this.isHistory$1
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype, "constraintList", {
  "get": (function() {
    return this.$$js$exported$prop$constraintList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype, "outputData", {
  "get": (function() {
    return this.$$js$exported$prop$outputData__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype, "details", {
  "get": (function() {
    return this.$$js$exported$prop$details__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype, "summary", {
  "get": (function() {
    return this.$$js$exported$prop$summary__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype, "isHistory", {
  "get": (function() {
    return this.$$js$exported$prop$isHistory__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype, "errorDate", {
  "get": (function() {
    return this.$$js$exported$prop$errorDate__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype, "errorTime", {
  "get": (function() {
    return this.$$js$exported$prop$errorTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype, "taskState", {
  "get": (function() {
    return this.$$js$exported$prop$taskState__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype, "taskId", {
  "get": (function() {
    return this.$$js$exported$prop$taskId__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorTaskError)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.MonitorTaskError"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorTaskError)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.MonitorTaskError;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskError: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorTaskError", {
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskError: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult() {
  $c_O.call(this);
  this.flowId$1 = null;
  this.taskId$1 = null;
  this.displayId$1 = null;
  this.taskName$1 = null;
  this.taskType$1 = null;
  this.priority$1 = 0;
  this.flowCreatedDate$1 = null;
  this.taskState$1 = null;
  this.allocatedTo$1 = null;
  this.allocatedTime$1 = null;
  this.startedTime$1 = null;
  this.taskInput$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.allocatedTimeJS__sjs_js_UndefOr = (function() {
  var opt = this.allocatedTime$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.productPrefix__T = (function() {
  return "MonitorTaskSearchResult"
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.productArity__I = (function() {
  return 12
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.$$js$exported$prop$taskType__O = (function() {
  return this.taskType$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult(x$1)) {
    var MonitorTaskSearchResult$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult(x$1);
    if ((((((((this.flowId$1 === MonitorTaskSearchResult$1.flowId$1) && (this.taskId$1 === MonitorTaskSearchResult$1.taskId$1)) && (this.displayId$1 === MonitorTaskSearchResult$1.displayId$1)) && (this.taskName$1 === MonitorTaskSearchResult$1.taskName$1)) && (this.taskType$1 === MonitorTaskSearchResult$1.taskType$1)) && (this.priority$1 === MonitorTaskSearchResult$1.priority$1)) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.flowCreatedDate$1, MonitorTaskSearchResult$1.flowCreatedDate$1))) {
      var x = this.taskState$1;
      var x$2 = MonitorTaskSearchResult$1.taskState$1;
      var jsx$4 = (x === x$2)
    } else {
      var jsx$4 = false
    };
    if (jsx$4) {
      var x$3 = this.allocatedTo$1;
      var x$4 = MonitorTaskSearchResult$1.allocatedTo$1;
      var jsx$3 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      var jsx$3 = false
    };
    if (jsx$3) {
      var x$5 = this.allocatedTime$1;
      var x$6 = MonitorTaskSearchResult$1.allocatedTime$1;
      var jsx$2 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
    } else {
      var jsx$2 = false
    };
    if (jsx$2) {
      var x$7 = this.startedTime$1;
      var x$8 = MonitorTaskSearchResult$1.startedTime$1;
      var jsx$1 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      return (this.taskInput$1 === MonitorTaskSearchResult$1.taskInput$1)
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.$$js$exported$prop$taskInput__O = (function() {
  return this.taskInput$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.flowId$1;
      break
    }
    case 1: {
      return this.taskId$1;
      break
    }
    case 2: {
      return this.displayId$1;
      break
    }
    case 3: {
      return this.taskName$1;
      break
    }
    case 4: {
      return this.taskType$1;
      break
    }
    case 5: {
      return this.priority$1;
      break
    }
    case 6: {
      return this.flowCreatedDate$1;
      break
    }
    case 7: {
      return this.taskState$1;
      break
    }
    case 8: {
      return this.allocatedTo$1;
      break
    }
    case 9: {
      return this.allocatedTime$1;
      break
    }
    case 10: {
      return this.startedTime$1;
      break
    }
    case 11: {
      return this.taskInput$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.$$js$exported$prop$taskId__O = (function() {
  return this.taskId$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.toString__T = (function() {
  var jsx$5 = ((this.flowId$1 === null) ? "flowId=null" : ("flowId=" + this.flowId$1));
  var jsx$4 = ((this.taskId$1 === null) ? "taskId=null" : ("taskId=" + this.taskId$1));
  var jsx$3 = ((this.displayId$1 === null) ? "displayId=null" : ("displayId=" + this.displayId$1));
  var jsx$2 = ((this.taskName$1 === null) ? "taskName=null" : ("taskName=" + this.taskName$1));
  var jsx$1 = ((this.taskType$1 === null) ? "taskType=null" : ("taskType=" + this.taskType$1));
  var this$1 = this.priority$1;
  return ((((((((((((((((((((((((("MonitorTaskSearchResult(" + jsx$5) + ",") + jsx$4) + ",") + jsx$3) + ",") + jsx$2) + ",") + jsx$1) + ",") + "priority=") + ("" + this$1)) + ",") + ((this.flowCreatedDate$1 === null) ? "flowCreatedDate=null" : ("flowCreatedDate=" + $objectToString(this.flowCreatedDate$1)))) + ",") + ((this.taskState$1 === null) ? "taskState=null" : ("taskState=" + this.taskState$1.toString__T()))) + ",") + ((this.allocatedTo$1 === null) ? "allocatedTo=null" : ("allocatedTo=" + this.allocatedTo$1.toString__T()))) + ",") + ((this.allocatedTime$1 === null) ? "allocatedTime=null" : ("allocatedTime=" + this.allocatedTime$1.toString__T()))) + ",") + ((this.startedTime$1 === null) ? "startedTime=null" : ("startedTime=" + this.startedTime$1.toString__T()))) + ",") + ((this.taskInput$1 === null) ? "taskInput=null" : ("taskInput=" + this.taskInput$1))) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.allocatedToJS__sjs_js_UndefOr = (function() {
  var opt = this.allocatedTo$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.flowId$1;
  ret.flowId = s;
  var s$1 = this.taskId$1;
  ret.taskId = s$1;
  var s$2 = this.displayId$1;
  ret.displayId = s$2;
  var s$3 = this.taskName$1;
  ret.taskName = s$3;
  var s$4 = this.taskType$1;
  ret.taskType = s$4;
  var value = this.priority$1;
  ret.priority = value;
  var s$5 = $as_T(this.flowCreatedDate$1.toISOString());
  ret.flowCreatedDate = s$5;
  var s$6 = this.taskState$1.id$1;
  ret.taskState = s$6;
  if (this.allocatedTo$1.isDefined__Z()) {
    var s$7 = $as_T(this.allocatedTo$1.get__O());
    ret.allocatedTo = s$7
  };
  if (this.allocatedTime$1.isDefined__Z()) {
    var s$8 = $as_T(this.allocatedTime$1.get__O().toISOString());
    ret.allocatedTime = s$8
  };
  if (this.startedTime$1.isDefined__Z()) {
    var s$9 = $as_T(this.startedTime$1.get__O().toISOString());
    ret.startedTime = s$9
  };
  var s$10 = this.taskInput$1;
  ret.taskInput = s$10;
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.init___T__T__T__T__T__I__sjs_js_Date__Lsmilejs_com_metastay_valey_enums_TaskState__s_Option__s_Option__s_Option__T = (function(flowId, taskId, displayId, taskName, taskType, priority, flowCreatedDate, taskState, allocatedTo, allocatedTime, startedTime, taskInput) {
  this.flowId$1 = flowId;
  this.taskId$1 = taskId;
  this.displayId$1 = displayId;
  this.taskName$1 = taskName;
  this.taskType$1 = taskType;
  this.priority$1 = priority;
  this.flowCreatedDate$1 = flowCreatedDate;
  this.taskState$1 = taskState;
  this.allocatedTo$1 = allocatedTo;
  this.allocatedTime$1 = allocatedTime;
  this.startedTime$1 = startedTime;
  this.taskInput$1 = taskInput;
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.$$js$exported$prop$priority__O = (function() {
  return this.priority$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.$$js$exported$prop$allocatedTo__O = (function() {
  return this.allocatedToJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.$$js$exported$prop$taskState__O = (function() {
  return this.taskState$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.$$js$exported$prop$taskName__O = (function() {
  return this.taskName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.startedTimeJS__sjs_js_UndefOr = (function() {
  var opt = this.startedTime$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.flowId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.displayId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskType$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.priority$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.flowCreatedDate$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskState$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.allocatedTo$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.allocatedTime$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.startedTime$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskInput$1));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 12)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.$$js$exported$prop$flowCreatedDate__O = (function() {
  return this.flowCreatedDate$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.$$js$exported$prop$displayId__O = (function() {
  return this.displayId$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.$$js$exported$prop$allocatedTime__O = (function() {
  return this.allocatedTimeJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.$$js$exported$prop$startedTime__O = (function() {
  return this.startedTimeJS__sjs_js_UndefOr()
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype, "startedTime", {
  "get": (function() {
    return this.$$js$exported$prop$startedTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype, "allocatedTime", {
  "get": (function() {
    return this.$$js$exported$prop$allocatedTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype, "allocatedTo", {
  "get": (function() {
    return this.$$js$exported$prop$allocatedTo__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype, "taskInput", {
  "get": (function() {
    return this.$$js$exported$prop$taskInput__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype, "taskState", {
  "get": (function() {
    return this.$$js$exported$prop$taskState__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype, "flowCreatedDate", {
  "get": (function() {
    return this.$$js$exported$prop$flowCreatedDate__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype, "priority", {
  "get": (function() {
    return this.$$js$exported$prop$priority__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype, "taskType", {
  "get": (function() {
    return this.$$js$exported$prop$taskType__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype, "taskName", {
  "get": (function() {
    return this.$$js$exported$prop$taskName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype, "displayId", {
  "get": (function() {
    return this.$$js$exported$prop$displayId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype, "taskId", {
  "get": (function() {
    return this.$$js$exported$prop$taskId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.MonitorTaskSearchResult"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.MonitorTaskSearchResult;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorTaskSearchResult", {
  Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap() {
  $c_O.call(this);
  this.teamCode$1 = null;
  this.earliestFlowActiveList$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap.prototype.productPrefix__T = (function() {
  return "MonitorTeamEarliestFlowMap"
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap.prototype.productArity__I = (function() {
  return 2
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap.prototype.earliestFlowActiveListJS__sjs_js_Array = (function() {
  var col = this.earliestFlowActiveList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap(x$1)) {
    var MonitorTeamEarliestFlowMap$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap(x$1);
    if ((this.teamCode$1 === MonitorTeamEarliestFlowMap$1.teamCode$1)) {
      var x = this.earliestFlowActiveList$1;
      var x$2 = MonitorTeamEarliestFlowMap$1.earliestFlowActiveList$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCode$1;
      break
    }
    case 1: {
      return this.earliestFlowActiveList$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap.prototype.toString__T = (function() {
  var jsx$2 = ((this.teamCode$1 === null) ? "teamCode=null" : ("teamCode=" + this.teamCode$1));
  if ((this.earliestFlowActiveList$1 === null)) {
    var jsx$1 = "earliestFlowActiveList=null"
  } else {
    var this$1 = this.earliestFlowActiveList$1;
    var jsx$1 = ("earliestFlowActiveList=" + $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this$1))
  };
  return (((("MonitorTeamEarliestFlowMap(" + jsx$2) + ",") + jsx$1) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamCode$1;
  ret.teamCode = s;
  var this$3 = this.earliestFlowActiveList$1;
  var f = (function(x$1$2) {
    var x$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorEarliestFlowActive(x$1$2);
    return x$1.toJson__sjs_js_Dynamic()
  });
  var this$2 = $m_sci_List$();
  var bf = this$2.ReusableCBFInstance$2;
  if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
    if ((this$3 === $m_sci_Nil$())) {
      var jsx$1 = $m_sci_Nil$()
    } else {
      var arg1 = this$3.head__O();
      var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
      var t = h;
      var rest = this$3.tail__sci_List();
      while ((rest !== $m_sci_Nil$())) {
        var arg1$1 = rest.head__O();
        var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
        t.tl$5 = nx;
        t = nx;
        var this$4 = rest;
        rest = this$4.tail__sci_List()
      };
      var jsx$1 = h
    }
  } else {
    var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$3, bf);
    var these = this$3;
    while ((!these.isEmpty__Z())) {
      var arg1$2 = these.head__O();
      b.$$plus$eq__O__scm_Builder(f(arg1$2));
      var this$5 = these;
      these = this$5.tail__sci_List()
    };
    var jsx$1 = b.result__O()
  };
  var col = $as_sc_GenTraversableOnce(jsx$1);
  var this$8 = $m_sjsr_package$();
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$2 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$2 = x3.array$6
  } else {
    var result = [];
    col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x$2) {
        return $uI(result$1.push(x$2))
      })
    })(this$8, result)));
    var jsx$2 = result
  };
  ret.earliestFlowActiveList = jsx$2;
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap.prototype.$$js$exported$prop$earliestFlowActiveList__O = (function() {
  return this.earliestFlowActiveListJS__sjs_js_Array()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap.prototype.init___T__sci_List = (function(teamCode, earliestFlowActiveList) {
  this.teamCode$1 = teamCode;
  this.earliestFlowActiveList$1 = earliestFlowActiveList;
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap.prototype, "earliestFlowActiveList", {
  "get": (function() {
    return this.$$js$exported$prop$earliestFlowActiveList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.MonitorTeamEarliestFlowMap"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.MonitorTeamEarliestFlowMap;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorTeamEarliestFlowMap", {
  Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary() {
  $c_O.call(this);
  this.fqFlowName$1 = null;
  this.flowName$1 = null;
  this.teamCode$1 = null;
  this.userList$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype.productPrefix__T = (function() {
  return "MonitorUserDashboardSummary"
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype.productArity__I = (function() {
  return 4
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary(x$1)) {
    var MonitorUserDashboardSummary$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary(x$1);
    if ((((this.fqFlowName$1 === MonitorUserDashboardSummary$1.fqFlowName$1) && (this.flowName$1 === MonitorUserDashboardSummary$1.flowName$1)) && (this.teamCode$1 === MonitorUserDashboardSummary$1.teamCode$1))) {
      var x = this.userList$1;
      var x$2 = MonitorUserDashboardSummary$1.userList$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.fqFlowName$1;
      break
    }
    case 1: {
      return this.flowName$1;
      break
    }
    case 2: {
      return this.teamCode$1;
      break
    }
    case 3: {
      return this.userList$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype.toString__T = (function() {
  var jsx$4 = ((this.fqFlowName$1 === null) ? "fqFlowName=null" : ("fqFlowName=" + this.fqFlowName$1));
  var jsx$3 = ((this.flowName$1 === null) ? "flowName=null" : ("flowName=" + this.flowName$1));
  var jsx$2 = ((this.teamCode$1 === null) ? "teamCode=null" : ("teamCode=" + this.teamCode$1));
  if ((this.userList$1 === null)) {
    var jsx$1 = "userList=null"
  } else {
    var this$1 = this.userList$1;
    var jsx$1 = ("userList=" + $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this$1))
  };
  return (((((((("MonitorUserDashboardSummary(" + jsx$4) + ",") + jsx$3) + ",") + jsx$2) + ",") + jsx$1) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.fqFlowName$1;
  ret.fqFlowName = s;
  var s$1 = this.flowName$1;
  ret.flowName = s$1;
  var s$2 = this.teamCode$1;
  ret.teamCode = s$2;
  var this$5 = this.userList$1;
  var f = (function(x$1$2) {
    var x$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorDashboardUser(x$1$2);
    return x$1.toJson__sjs_js_Dynamic()
  });
  var this$4 = $m_sci_List$();
  var bf = this$4.ReusableCBFInstance$2;
  if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
    if ((this$5 === $m_sci_Nil$())) {
      var jsx$1 = $m_sci_Nil$()
    } else {
      var arg1 = this$5.head__O();
      var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
      var t = h;
      var rest = this$5.tail__sci_List();
      while ((rest !== $m_sci_Nil$())) {
        var arg1$1 = rest.head__O();
        var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
        t.tl$5 = nx;
        t = nx;
        var this$6 = rest;
        rest = this$6.tail__sci_List()
      };
      var jsx$1 = h
    }
  } else {
    var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf);
    var these = this$5;
    while ((!these.isEmpty__Z())) {
      var arg1$2 = these.head__O();
      b.$$plus$eq__O__scm_Builder(f(arg1$2));
      var this$7 = these;
      these = this$7.tail__sci_List()
    };
    var jsx$1 = b.result__O()
  };
  var col = $as_sc_GenTraversableOnce(jsx$1);
  var this$10 = $m_sjsr_package$();
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$2 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$2 = x3.array$6
  } else {
    var result = [];
    col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x$2) {
        return $uI(result$1.push(x$2))
      })
    })(this$10, result)));
    var jsx$2 = result
  };
  ret.userList = jsx$2;
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype.$$js$exported$prop$userList__O = (function() {
  return this.userListJS__sjs_js_Array()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype.userListJS__sjs_js_Array = (function() {
  var col = this.userList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype.init___T__T__T__sci_List = (function(fqFlowName, flowName, teamCode, userList) {
  this.fqFlowName$1 = fqFlowName;
  this.flowName$1 = flowName;
  this.teamCode$1 = teamCode;
  this.userList$1 = userList;
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype.$$js$exported$prop$flowName__O = (function() {
  return this.flowName$1
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype, "userList", {
  "get": (function() {
    return this.$$js$exported$prop$userList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype, "flowName", {
  "get": (function() {
    return this.$$js$exported$prop$flowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.MonitorUserDashboardSummary"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.MonitorUserDashboardSummary;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorUserDashboardSummary", {
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails() {
  $c_O.call(this);
  this.userName$1 = null;
  this.userIsActive$1 = false;
  this.teamRoleList$1 = null;
  this.allocatedCount$1 = 0;
  this.startedCount$1 = 0;
  this.lastActivityTime$1 = null;
  this.taskList$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype.$$js$exported$prop$lastActivityTime__O = (function() {
  return this.lastActivityTimeJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype.productPrefix__T = (function() {
  return "MonitorUserDetails"
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype.taskListJS__sjs_js_Array = (function() {
  var col = this.taskList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype.productArity__I = (function() {
  return 7
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails(x$1)) {
    var MonitorUserDetails$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails(x$1);
    if (((this.userName$1 === MonitorUserDetails$1.userName$1) && (this.userIsActive$1 === MonitorUserDetails$1.userIsActive$1))) {
      var x = this.teamRoleList$1;
      var x$2 = MonitorUserDetails$1.teamRoleList$1;
      var jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      var jsx$2 = false
    };
    if (((jsx$2 && (this.allocatedCount$1 === MonitorUserDetails$1.allocatedCount$1)) && (this.startedCount$1 === MonitorUserDetails$1.startedCount$1))) {
      var x$3 = this.lastActivityTime$1;
      var x$4 = MonitorUserDetails$1.lastActivityTime$1;
      var jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      var x$5 = this.taskList$1;
      var x$6 = MonitorUserDetails$1.taskList$1;
      return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype.init___T__Z__sci_List__I__I__s_Option__sci_List = (function(userName, userIsActive, teamRoleList, allocatedCount, startedCount, lastActivityTime, taskList) {
  this.userName$1 = userName;
  this.userIsActive$1 = userIsActive;
  this.teamRoleList$1 = teamRoleList;
  this.allocatedCount$1 = allocatedCount;
  this.startedCount$1 = startedCount;
  this.lastActivityTime$1 = lastActivityTime;
  this.taskList$1 = taskList;
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    case 1: {
      return this.userIsActive$1;
      break
    }
    case 2: {
      return this.teamRoleList$1;
      break
    }
    case 3: {
      return this.allocatedCount$1;
      break
    }
    case 4: {
      return this.startedCount$1;
      break
    }
    case 5: {
      return this.lastActivityTime$1;
      break
    }
    case 6: {
      return this.taskList$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype.teamRoleListJS__sjs_js_Array = (function() {
  var col = this.teamRoleList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype.$$js$exported$prop$startedCount__O = (function() {
  return this.startedCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype.toString__T = (function() {
  var jsx$4 = ((this.userName$1 === null) ? "userName=null" : ("userName=" + this.userName$1));
  var this$1 = this.userIsActive$1;
  if ((this.teamRoleList$1 === null)) {
    var jsx$3 = "teamRoleList=null"
  } else {
    var this$3 = this.teamRoleList$1;
    var jsx$3 = ("teamRoleList=" + $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this$3))
  };
  var this$4 = this.allocatedCount$1;
  var this$6 = this.startedCount$1;
  var jsx$2 = ((this.lastActivityTime$1 === null) ? "lastActivityTime=null" : ("lastActivityTime=" + this.lastActivityTime$1.toString__T()));
  if ((this.taskList$1 === null)) {
    var jsx$1 = "taskList=null"
  } else {
    var this$8 = this.taskList$1;
    var jsx$1 = ("taskList=" + $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this$8))
  };
  return ((((((((((((((((("MonitorUserDetails(" + jsx$4) + ",") + "userIsActive=") + ("" + this$1)) + ",") + jsx$3) + ",") + "allocatedCount=") + ("" + this$4)) + ",") + "startedCount=") + ("" + this$6)) + ",") + jsx$2) + ",") + jsx$1) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  var value = this.userIsActive$1;
  ret.userIsActive = value;
  var this$4 = this.teamRoleList$1;
  var f = (function(x$1$2) {
    var x$1 = $as_Lsmilejs_com_metastay_monitordata_data_TeamRoleList(x$1$2);
    return x$1.toJson__sjs_js_Dynamic()
  });
  var this$3 = $m_sci_List$();
  var bf = this$3.ReusableCBFInstance$2;
  if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
    if ((this$4 === $m_sci_Nil$())) {
      var jsx$1 = $m_sci_Nil$()
    } else {
      var arg1 = this$4.head__O();
      var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
      var t = h;
      var rest = this$4.tail__sci_List();
      while ((rest !== $m_sci_Nil$())) {
        var arg1$1 = rest.head__O();
        var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
        t.tl$5 = nx;
        t = nx;
        var this$5 = rest;
        rest = this$5.tail__sci_List()
      };
      var jsx$1 = h
    }
  } else {
    var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$4, bf);
    var these = this$4;
    while ((!these.isEmpty__Z())) {
      var arg1$2 = these.head__O();
      b.$$plus$eq__O__scm_Builder(f(arg1$2));
      var this$6 = these;
      these = this$6.tail__sci_List()
    };
    var jsx$1 = b.result__O()
  };
  var col = $as_sc_GenTraversableOnce(jsx$1);
  var this$9 = $m_sjsr_package$();
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$2 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$2 = x3.array$6
  } else {
    var result = [];
    col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x$2) {
        return $uI(result$1.push(x$2))
      })
    })(this$9, result)));
    var jsx$2 = result
  };
  ret.teamRoleList = jsx$2;
  var value$1 = this.allocatedCount$1;
  ret.allocatedCount = value$1;
  var value$2 = this.startedCount$1;
  ret.startedCount = value$2;
  if (this.lastActivityTime$1.isDefined__Z()) {
    var s$1 = $as_T(this.lastActivityTime$1.get__O().toISOString());
    ret.lastActivityTime = s$1
  };
  var this$14 = this.taskList$1;
  var f$1 = (function(x$2$2) {
    var x$2$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask(x$2$2);
    return x$2$1.toJson__sjs_js_Dynamic()
  });
  var this$13 = $m_sci_List$();
  var bf$1 = this$13.ReusableCBFInstance$2;
  if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
    if ((this$14 === $m_sci_Nil$())) {
      var jsx$3 = $m_sci_Nil$()
    } else {
      var arg1$3 = this$14.head__O();
      var h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
      var t$1 = h$1;
      var rest$1 = this$14.tail__sci_List();
      while ((rest$1 !== $m_sci_Nil$())) {
        var arg1$4 = rest$1.head__O();
        var nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
        t$1.tl$5 = nx$1;
        t$1 = nx$1;
        var this$15 = rest$1;
        rest$1 = this$15.tail__sci_List()
      };
      var jsx$3 = h$1
    }
  } else {
    var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$14, bf$1);
    var these$1 = this$14;
    while ((!these$1.isEmpty__Z())) {
      var arg1$5 = these$1.head__O();
      b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
      var this$16 = these$1;
      these$1 = this$16.tail__sci_List()
    };
    var jsx$3 = b$1.result__O()
  };
  var col$1 = $as_sc_GenTraversableOnce(jsx$3);
  var this$19 = $m_sjsr_package$();
  if ($is_sjs_js_ArrayOps(col$1)) {
    var x2$1 = $as_sjs_js_ArrayOps(col$1);
    var jsx$4 = x2$1.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col$1)) {
    var x3$1 = $as_sjs_js_WrappedArray(col$1);
    var jsx$4 = x3$1.array$6
  } else {
    var result$2 = [];
    col$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, result$3) {
      return (function(x$2$3) {
        return $uI(result$3.push(x$2$3))
      })
    })(this$19, result$2)));
    var jsx$4 = result$2
  };
  ret.taskList = jsx$4;
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype.$$js$exported$prop$userIsActive__O = (function() {
  return this.userIsActive$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype.lastActivityTimeJS__sjs_js_UndefOr = (function() {
  var opt = this.lastActivityTime$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype.$$js$exported$prop$teamRoleList__O = (function() {
  return this.teamRoleListJS__sjs_js_Array()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype.$$js$exported$prop$taskList__O = (function() {
  return this.taskListJS__sjs_js_Array()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.userName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, (this.userIsActive$1 ? 1231 : 1237));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamRoleList$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.allocatedCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.startedCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.lastActivityTime$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskList$1));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 7)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype.$$js$exported$prop$allocatedCount__O = (function() {
  return this.allocatedCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype, "taskList", {
  "get": (function() {
    return this.$$js$exported$prop$taskList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype, "lastActivityTime", {
  "get": (function() {
    return this.$$js$exported$prop$lastActivityTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype, "teamRoleList", {
  "get": (function() {
    return this.$$js$exported$prop$teamRoleList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype, "startedCount", {
  "get": (function() {
    return this.$$js$exported$prop$startedCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype, "allocatedCount", {
  "get": (function() {
    return this.$$js$exported$prop$allocatedCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype, "userIsActive", {
  "get": (function() {
    return this.$$js$exported$prop$userIsActive__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.MonitorUserDetails"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.MonitorUserDetails;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorUserDetails", {
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask() {
  $c_O.call(this);
  this.taskId$1 = null;
  this.taskName$1 = null;
  this.taskState$1 = null;
  this.priority$1 = 0;
  this.readyTime$1 = null;
  this.allocatedTime$1 = null;
  this.startedTime$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype.allocatedTimeJS__sjs_js_UndefOr = (function() {
  var opt = this.allocatedTime$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype.productPrefix__T = (function() {
  return "MonitorUserDetailsTask"
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype.productArity__I = (function() {
  return 7
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask(x$1)) {
    var MonitorUserDetailsTask$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask(x$1);
    if (((this.taskId$1 === MonitorUserDetailsTask$1.taskId$1) && (this.taskName$1 === MonitorUserDetailsTask$1.taskName$1))) {
      var x = this.taskState$1;
      var x$2 = MonitorUserDetailsTask$1.taskState$1;
      var jsx$2 = (x === x$2)
    } else {
      var jsx$2 = false
    };
    if (((jsx$2 && (this.priority$1 === MonitorUserDetailsTask$1.priority$1)) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.readyTime$1, MonitorUserDetailsTask$1.readyTime$1))) {
      var x$3 = this.allocatedTime$1;
      var x$4 = MonitorUserDetailsTask$1.allocatedTime$1;
      var jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      var x$5 = this.startedTime$1;
      var x$6 = MonitorUserDetailsTask$1.startedTime$1;
      return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.taskId$1;
      break
    }
    case 1: {
      return this.taskName$1;
      break
    }
    case 2: {
      return this.taskState$1;
      break
    }
    case 3: {
      return this.priority$1;
      break
    }
    case 4: {
      return this.readyTime$1;
      break
    }
    case 5: {
      return this.allocatedTime$1;
      break
    }
    case 6: {
      return this.startedTime$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype.$$js$exported$prop$taskId__O = (function() {
  return this.taskId$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype.toString__T = (function() {
  var jsx$3 = ((this.taskId$1 === null) ? "taskId=null" : ("taskId=" + this.taskId$1));
  var jsx$2 = ((this.taskName$1 === null) ? "taskName=null" : ("taskName=" + this.taskName$1));
  var jsx$1 = ((this.taskState$1 === null) ? "taskState=null" : ("taskState=" + this.taskState$1.toString__T()));
  var this$1 = this.priority$1;
  return ((((((((((((((("MonitorUserDetailsTask(" + jsx$3) + ",") + jsx$2) + ",") + jsx$1) + ",") + "priority=") + ("" + this$1)) + ",") + ((this.readyTime$1 === null) ? "readyTime=null" : ("readyTime=" + $objectToString(this.readyTime$1)))) + ",") + ((this.allocatedTime$1 === null) ? "allocatedTime=null" : ("allocatedTime=" + this.allocatedTime$1.toString__T()))) + ",") + ((this.startedTime$1 === null) ? "startedTime=null" : ("startedTime=" + this.startedTime$1.toString__T()))) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.taskId$1;
  ret.taskId = s;
  var s$1 = this.taskName$1;
  ret.taskName = s$1;
  var s$2 = this.taskState$1.id$1;
  ret.taskState = s$2;
  var value = this.priority$1;
  ret.priority = value;
  var s$3 = $as_T(this.readyTime$1.toISOString());
  ret.readyTime = s$3;
  if (this.allocatedTime$1.isDefined__Z()) {
    var s$4 = $as_T(this.allocatedTime$1.get__O().toISOString());
    ret.allocatedTime = s$4
  };
  if (this.startedTime$1.isDefined__Z()) {
    var s$5 = $as_T(this.startedTime$1.get__O().toISOString());
    ret.startedTime = s$5
  };
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype.$$js$exported$prop$priority__O = (function() {
  return this.priority$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype.$$js$exported$prop$taskState__O = (function() {
  return this.taskState$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype.$$js$exported$prop$readyTime__O = (function() {
  return this.readyTime$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype.$$js$exported$prop$taskName__O = (function() {
  return this.taskName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype.startedTimeJS__sjs_js_UndefOr = (function() {
  var opt = this.startedTime$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskState$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.priority$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.readyTime$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.allocatedTime$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.startedTime$1));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 7)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype.$$js$exported$prop$allocatedTime__O = (function() {
  return this.allocatedTimeJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype.$$js$exported$prop$startedTime__O = (function() {
  return this.startedTimeJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype.init___T__T__Lsmilejs_com_metastay_valey_enums_TaskState__I__sjs_js_Date__s_Option__s_Option = (function(taskId, taskName, taskState, priority, readyTime, allocatedTime, startedTime) {
  this.taskId$1 = taskId;
  this.taskName$1 = taskName;
  this.taskState$1 = taskState;
  this.priority$1 = priority;
  this.readyTime$1 = readyTime;
  this.allocatedTime$1 = allocatedTime;
  this.startedTime$1 = startedTime;
  return this
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype, "startedTime", {
  "get": (function() {
    return this.$$js$exported$prop$startedTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype, "allocatedTime", {
  "get": (function() {
    return this.$$js$exported$prop$allocatedTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype, "readyTime", {
  "get": (function() {
    return this.$$js$exported$prop$readyTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype, "priority", {
  "get": (function() {
    return this.$$js$exported$prop$priority__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype, "taskState", {
  "get": (function() {
    return this.$$js$exported$prop$taskState__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype, "taskName", {
  "get": (function() {
    return this.$$js$exported$prop$taskName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype, "taskId", {
  "get": (function() {
    return this.$$js$exported$prop$taskId__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.MonitorUserDetailsTask"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.MonitorUserDetailsTask;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorUserDetailsTask", {
  Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetailsTask;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult() {
  $c_O.call(this);
  this.userName$1 = null;
  this.teamCode$1 = null;
  this.fqFlowName$1 = null;
  this.flowName$1 = null;
  this.taskName$1 = null;
  this.allocatedCount$1 = 0;
  this.startedCount$1 = 0;
  this.lastActivityTime$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype = $c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype.$$js$exported$prop$lastActivityTime__O = (function() {
  return this.lastActivityTimeJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype.init___T__T__T__T__T__I__I__s_Option = (function(userName, teamCode, fqFlowName, flowName, taskName, allocatedCount, startedCount, lastActivityTime) {
  this.userName$1 = userName;
  this.teamCode$1 = teamCode;
  this.fqFlowName$1 = fqFlowName;
  this.flowName$1 = flowName;
  this.taskName$1 = taskName;
  this.allocatedCount$1 = allocatedCount;
  this.startedCount$1 = startedCount;
  this.lastActivityTime$1 = lastActivityTime;
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype.productPrefix__T = (function() {
  return "MonitorUserSearchResult"
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype.productArity__I = (function() {
  return 8
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult(x$1)) {
    var MonitorUserSearchResult$1 = $as_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult(x$1);
    if ((((((((this.userName$1 === MonitorUserSearchResult$1.userName$1) && (this.teamCode$1 === MonitorUserSearchResult$1.teamCode$1)) && (this.fqFlowName$1 === MonitorUserSearchResult$1.fqFlowName$1)) && (this.flowName$1 === MonitorUserSearchResult$1.flowName$1)) && (this.taskName$1 === MonitorUserSearchResult$1.taskName$1)) && (this.allocatedCount$1 === MonitorUserSearchResult$1.allocatedCount$1)) && (this.startedCount$1 === MonitorUserSearchResult$1.startedCount$1))) {
      var x = this.lastActivityTime$1;
      var x$2 = MonitorUserSearchResult$1.lastActivityTime$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    case 1: {
      return this.teamCode$1;
      break
    }
    case 2: {
      return this.fqFlowName$1;
      break
    }
    case 3: {
      return this.flowName$1;
      break
    }
    case 4: {
      return this.taskName$1;
      break
    }
    case 5: {
      return this.allocatedCount$1;
      break
    }
    case 6: {
      return this.startedCount$1;
      break
    }
    case 7: {
      return this.lastActivityTime$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype.$$js$exported$prop$startedCount__O = (function() {
  return this.startedCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype.toString__T = (function() {
  var jsx$5 = ((this.userName$1 === null) ? "userName=null" : ("userName=" + this.userName$1));
  var jsx$4 = ((this.teamCode$1 === null) ? "teamCode=null" : ("teamCode=" + this.teamCode$1));
  var jsx$3 = ((this.fqFlowName$1 === null) ? "fqFlowName=null" : ("fqFlowName=" + this.fqFlowName$1));
  var jsx$2 = ((this.flowName$1 === null) ? "flowName=null" : ("flowName=" + this.flowName$1));
  var jsx$1 = ((this.taskName$1 === null) ? "taskName=null" : ("taskName=" + this.taskName$1));
  var this$1 = this.allocatedCount$1;
  var this$3 = this.startedCount$1;
  return (((((((((((((((((("MonitorUserSearchResult(" + jsx$5) + ",") + jsx$4) + ",") + jsx$3) + ",") + jsx$2) + ",") + jsx$1) + ",") + "allocatedCount=") + ("" + this$1)) + ",") + "startedCount=") + ("" + this$3)) + ",") + ((this.lastActivityTime$1 === null) ? "lastActivityTime=null" : ("lastActivityTime=" + this.lastActivityTime$1.toString__T()))) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  var s$1 = this.teamCode$1;
  ret.teamCode = s$1;
  var s$2 = this.fqFlowName$1;
  ret.fqFlowName = s$2;
  var s$3 = this.flowName$1;
  ret.flowName = s$3;
  var s$4 = this.taskName$1;
  ret.taskName = s$4;
  var value = this.allocatedCount$1;
  ret.allocatedCount = value;
  var value$1 = this.startedCount$1;
  ret.startedCount = value$1;
  if (this.lastActivityTime$1.isDefined__Z()) {
    var s$5 = $as_T(this.lastActivityTime$1.get__O().toISOString());
    ret.lastActivityTime = s$5
  };
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype.lastActivityTimeJS__sjs_js_UndefOr = (function() {
  var opt = this.lastActivityTime$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype.$$js$exported$prop$taskName__O = (function() {
  return this.taskName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.userName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamCode$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.fqFlowName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.flowName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.taskName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.allocatedCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.startedCount$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.lastActivityTime$1));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 8)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype.$$js$exported$prop$allocatedCount__O = (function() {
  return this.allocatedCount$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype.$$js$exported$prop$flowName__O = (function() {
  return this.flowName$1
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype, "lastActivityTime", {
  "get": (function() {
    return this.$$js$exported$prop$lastActivityTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype, "startedCount", {
  "get": (function() {
    return this.$$js$exported$prop$startedCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype, "allocatedCount", {
  "get": (function() {
    return this.$$js$exported$prop$allocatedCount__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype, "taskName", {
  "get": (function() {
    return this.$$js$exported$prop$taskName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype, "flowName", {
  "get": (function() {
    return this.$$js$exported$prop$flowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.MonitorUserSearchResult"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.MonitorUserSearchResult;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult: 0
}, false, "smilejs.com.metastay.monitordata.data.MonitorUserSearchResult", {
  Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_Tag() {
  $c_O.call(this);
  this.key$1 = null;
  this.valueList$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_Tag.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_Tag.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_Tag;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_Tag() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_Tag.prototype = $c_Lsmilejs_com_metastay_monitordata_data_Tag.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_Tag.prototype.productPrefix__T = (function() {
  return "Tag"
});
$c_Lsmilejs_com_metastay_monitordata_data_Tag.prototype.productArity__I = (function() {
  return 2
});
$c_Lsmilejs_com_metastay_monitordata_data_Tag.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_Tag(x$1)) {
    var Tag$1 = $as_Lsmilejs_com_metastay_monitordata_data_Tag(x$1);
    if ((this.key$1 === Tag$1.key$1)) {
      var x = this.valueList$1;
      var x$2 = Tag$1.valueList$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_Tag.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.key$1;
      break
    }
    case 1: {
      return this.valueList$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_Tag.prototype.toString__T = (function() {
  var jsx$2 = ((this.key$1 === null) ? "key=null" : ("key=" + this.key$1));
  if ((this.valueList$1 === null)) {
    var jsx$1 = "valueList=null"
  } else {
    var this$1 = this.valueList$1;
    var jsx$1 = ("valueList=" + $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this$1))
  };
  return (((("Tag(" + jsx$2) + ",") + jsx$1) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_Tag.prototype.$$js$exported$prop$key__O = (function() {
  return this.key$1
});
$c_Lsmilejs_com_metastay_monitordata_data_Tag.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.key$1;
  ret.key = s;
  var col = this.valueList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$1 = x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$5 = these;
      these = this$5.tail__sci_List()
    };
    var jsx$1 = result
  };
  ret.valueList = jsx$1;
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_Tag.prototype.valueListJS__sjs_js_Array = (function() {
  var col = this.valueList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_Tag.prototype.$$js$exported$prop$valueList__O = (function() {
  return this.valueListJS__sjs_js_Array()
});
$c_Lsmilejs_com_metastay_monitordata_data_Tag.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_monitordata_data_Tag.prototype.init___T__sci_List = (function(key, valueList) {
  this.key$1 = key;
  this.valueList$1 = valueList;
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_Tag.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_Tag.prototype, "valueList", {
  "get": (function() {
    return this.$$js$exported$prop$valueList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_Tag.prototype, "key", {
  "get": (function() {
    return this.$$js$exported$prop$key__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_Tag(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_Tag)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_Tag(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_Tag(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.Tag"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_Tag(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_Tag)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_Tag(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_Tag(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.Tag;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_Tag = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_Tag: 0
}, false, "smilejs.com.metastay.monitordata.data.Tag", {
  Lsmilejs_com_metastay_monitordata_data_Tag: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_Tag.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_Tag;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList() {
  $c_O.call(this);
  this.teamCode$1 = null;
  this.roleList$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_TeamRoleList() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_TeamRoleList.prototype = $c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList.prototype.productPrefix__T = (function() {
  return "TeamRoleList"
});
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList.prototype.productArity__I = (function() {
  return 2
});
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList.prototype.$$js$exported$prop$roleList__O = (function() {
  return this.roleListJS__sjs_js_Array()
});
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_TeamRoleList(x$1)) {
    var TeamRoleList$1 = $as_Lsmilejs_com_metastay_monitordata_data_TeamRoleList(x$1);
    if ((this.teamCode$1 === TeamRoleList$1.teamCode$1)) {
      var x = this.roleList$1;
      var x$2 = TeamRoleList$1.roleList$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCode$1;
      break
    }
    case 1: {
      return this.roleList$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList.prototype.toString__T = (function() {
  var jsx$2 = ((this.teamCode$1 === null) ? "teamCode=null" : ("teamCode=" + this.teamCode$1));
  if ((this.roleList$1 === null)) {
    var jsx$1 = "roleList=null"
  } else {
    var this$1 = this.roleList$1;
    var jsx$1 = ("roleList=" + $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this$1))
  };
  return (((("TeamRoleList(" + jsx$2) + ",") + jsx$1) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamCode$1;
  ret.teamCode = s;
  var col = this.roleList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$1 = x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$5 = these;
      these = this$5.tail__sci_List()
    };
    var jsx$1 = result
  };
  ret.roleList = jsx$1;
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList.prototype.roleListJS__sjs_js_Array = (function() {
  var col = this.roleList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList.prototype.init___T__sci_List = (function(teamCode, roleList) {
  this.teamCode$1 = teamCode;
  this.roleList$1 = roleList;
  return this
});
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList.prototype, "roleList", {
  "get": (function() {
    return this.$$js$exported$prop$roleList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_TeamRoleList(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_TeamRoleList)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_TeamRoleList(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_TeamRoleList(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.TeamRoleList"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_TeamRoleList(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_TeamRoleList)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_TeamRoleList(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_TeamRoleList(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.TeamRoleList;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_TeamRoleList = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_TeamRoleList: 0
}, false, "smilejs.com.metastay.monitordata.data.TeamRoleList", {
  Lsmilejs_com_metastay_monitordata_data_TeamRoleList: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_TeamRoleList.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_TeamRoleList;
/** @constructor */
function $c_Lsmilejs_com_metastay_monitordata_data_UserDetails() {
  $c_O.call(this);
  this.userName$1 = null;
  this.projectName$1 = null;
  this.appRoleList$1 = null;
  this.teamRoleList$1 = null;
  this.teamAdminList$1 = null;
  this.teamTaskAdminList$1 = null
}
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype = new $h_O();
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype.constructor = $c_Lsmilejs_com_metastay_monitordata_data_UserDetails;
/** @constructor */
function $h_Lsmilejs_com_metastay_monitordata_data_UserDetails() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype = $c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype;
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype.productPrefix__T = (function() {
  return "UserDetails"
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype.productArity__I = (function() {
  return 6
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_monitordata_data_UserDetails(x$1)) {
    var UserDetails$1 = $as_Lsmilejs_com_metastay_monitordata_data_UserDetails(x$1);
    if (((this.userName$1 === UserDetails$1.userName$1) && (this.projectName$1 === UserDetails$1.projectName$1))) {
      var x = this.appRoleList$1;
      var x$2 = UserDetails$1.appRoleList$1;
      var jsx$3 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      var jsx$3 = false
    };
    if (jsx$3) {
      var x$3 = this.teamRoleList$1;
      var x$4 = UserDetails$1.teamRoleList$1;
      var jsx$2 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      var jsx$2 = false
    };
    if (jsx$2) {
      var x$5 = this.teamAdminList$1;
      var x$6 = UserDetails$1.teamAdminList$1;
      var jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      var x$7 = this.teamTaskAdminList$1;
      var x$8 = UserDetails$1.teamTaskAdminList$1;
      return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype.teamAdminListJS__sjs_js_Array = (function() {
  var col = this.teamAdminList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    case 1: {
      return this.projectName$1;
      break
    }
    case 2: {
      return this.appRoleList$1;
      break
    }
    case 3: {
      return this.teamRoleList$1;
      break
    }
    case 4: {
      return this.teamAdminList$1;
      break
    }
    case 5: {
      return this.teamTaskAdminList$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype.teamRoleListJS__sjs_js_Array = (function() {
  var col = this.teamRoleList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype.toString__T = (function() {
  var jsx$6 = ((this.userName$1 === null) ? "userName=null" : ("userName=" + this.userName$1));
  var jsx$5 = ((this.projectName$1 === null) ? "projectName=null" : ("projectName=" + this.projectName$1));
  if ((this.appRoleList$1 === null)) {
    var jsx$4 = "appRoleList=null"
  } else {
    var this$1 = this.appRoleList$1;
    var jsx$4 = ("appRoleList=" + $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this$1))
  };
  if ((this.teamRoleList$1 === null)) {
    var jsx$3 = "teamRoleList=null"
  } else {
    var this$2 = this.teamRoleList$1;
    var jsx$3 = ("teamRoleList=" + $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this$2))
  };
  if ((this.teamAdminList$1 === null)) {
    var jsx$2 = "teamAdminList=null"
  } else {
    var this$3 = this.teamAdminList$1;
    var jsx$2 = ("teamAdminList=" + $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this$3))
  };
  if ((this.teamTaskAdminList$1 === null)) {
    var jsx$1 = "teamTaskAdminList=null"
  } else {
    var this$4 = this.teamTaskAdminList$1;
    var jsx$1 = ("teamTaskAdminList=" + $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this$4))
  };
  return (((((((((((("UserDetails(" + jsx$6) + ",") + jsx$5) + ",") + jsx$4) + ",") + jsx$3) + ",") + jsx$2) + ",") + jsx$1) + ")")
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  var s$1 = this.projectName$1;
  ret.projectName = s$1;
  var this$4 = this.appRoleList$1;
  var f = (function(x$1$2) {
    var x$1 = $as_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser(x$1$2);
    return x$1.toJson__sjs_js_Dynamic()
  });
  var this$3 = $m_sci_List$();
  var bf = this$3.ReusableCBFInstance$2;
  if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
    if ((this$4 === $m_sci_Nil$())) {
      var jsx$1 = $m_sci_Nil$()
    } else {
      var arg1 = this$4.head__O();
      var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
      var t = h;
      var rest = this$4.tail__sci_List();
      while ((rest !== $m_sci_Nil$())) {
        var arg1$1 = rest.head__O();
        var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
        t.tl$5 = nx;
        t = nx;
        var this$5 = rest;
        rest = this$5.tail__sci_List()
      };
      var jsx$1 = h
    }
  } else {
    var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$4, bf);
    var these = this$4;
    while ((!these.isEmpty__Z())) {
      var arg1$2 = these.head__O();
      b.$$plus$eq__O__scm_Builder(f(arg1$2));
      var this$6 = these;
      these = this$6.tail__sci_List()
    };
    var jsx$1 = b.result__O()
  };
  var col = $as_sc_GenTraversableOnce(jsx$1);
  var this$9 = $m_sjsr_package$();
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$2 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$2 = x3.array$6
  } else {
    var result = [];
    col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x$2) {
        return $uI(result$1.push(x$2))
      })
    })(this$9, result)));
    var jsx$2 = result
  };
  ret.appRoleList = jsx$2;
  var this$11 = this.teamRoleList$1;
  var f$1 = (function(x$2$2) {
    var x$2$1 = $as_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser(x$2$2);
    return x$2$1.toJson__sjs_js_Dynamic()
  });
  var this$10 = $m_sci_List$();
  var bf$1 = this$10.ReusableCBFInstance$2;
  if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
    if ((this$11 === $m_sci_Nil$())) {
      var jsx$3 = $m_sci_Nil$()
    } else {
      var arg1$3 = this$11.head__O();
      var h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
      var t$1 = h$1;
      var rest$1 = this$11.tail__sci_List();
      while ((rest$1 !== $m_sci_Nil$())) {
        var arg1$4 = rest$1.head__O();
        var nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
        t$1.tl$5 = nx$1;
        t$1 = nx$1;
        var this$12 = rest$1;
        rest$1 = this$12.tail__sci_List()
      };
      var jsx$3 = h$1
    }
  } else {
    var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$11, bf$1);
    var these$1 = this$11;
    while ((!these$1.isEmpty__Z())) {
      var arg1$5 = these$1.head__O();
      b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
      var this$13 = these$1;
      these$1 = this$13.tail__sci_List()
    };
    var jsx$3 = b$1.result__O()
  };
  var col$1 = $as_sc_GenTraversableOnce(jsx$3);
  var this$16 = $m_sjsr_package$();
  if ($is_sjs_js_ArrayOps(col$1)) {
    var x2$1 = $as_sjs_js_ArrayOps(col$1);
    var jsx$4 = x2$1.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col$1)) {
    var x3$1 = $as_sjs_js_WrappedArray(col$1);
    var jsx$4 = x3$1.array$6
  } else {
    var result$2 = [];
    col$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, result$3) {
      return (function(x$2$3) {
        return $uI(result$3.push(x$2$3))
      })
    })(this$16, result$2)));
    var jsx$4 = result$2
  };
  ret.teamRoleList = jsx$4;
  var col$2 = this.teamAdminList$1;
  if ($is_sjs_js_ArrayOps(col$2)) {
    var x2$2 = $as_sjs_js_ArrayOps(col$2);
    var jsx$5 = x2$2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col$2)) {
    var x3$2 = $as_sjs_js_WrappedArray(col$2);
    var jsx$5 = x3$2.array$6
  } else {
    var result$4 = [];
    var these$2 = col$2;
    while ((!these$2.isEmpty__Z())) {
      var arg1$6 = these$2.head__O();
      $uI(result$4.push(arg1$6));
      var this$20 = these$2;
      these$2 = this$20.tail__sci_List()
    };
    var jsx$5 = result$4
  };
  ret.teamAdminList = jsx$5;
  var this$22 = this.teamTaskAdminList$1;
  var f$2 = (function(x$3$2) {
    var x$3 = $as_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair(x$3$2);
    return x$3.toJson__sjs_js_Dynamic()
  });
  var this$21 = $m_sci_List$();
  var bf$2 = this$21.ReusableCBFInstance$2;
  if ((bf$2 === $m_sci_List$().ReusableCBFInstance$2)) {
    if ((this$22 === $m_sci_Nil$())) {
      var jsx$6 = $m_sci_Nil$()
    } else {
      var arg1$7 = this$22.head__O();
      var h$2 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$7), $m_sci_Nil$());
      var t$2 = h$2;
      var rest$2 = this$22.tail__sci_List();
      while ((rest$2 !== $m_sci_Nil$())) {
        var arg1$8 = rest$2.head__O();
        var nx$2 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$8), $m_sci_Nil$());
        t$2.tl$5 = nx$2;
        t$2 = nx$2;
        var this$23 = rest$2;
        rest$2 = this$23.tail__sci_List()
      };
      var jsx$6 = h$2
    }
  } else {
    var b$2 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$22, bf$2);
    var these$3 = this$22;
    while ((!these$3.isEmpty__Z())) {
      var arg1$9 = these$3.head__O();
      b$2.$$plus$eq__O__scm_Builder(f$2(arg1$9));
      var this$24 = these$3;
      these$3 = this$24.tail__sci_List()
    };
    var jsx$6 = b$2.result__O()
  };
  var col$3 = $as_sc_GenTraversableOnce(jsx$6);
  var this$27 = $m_sjsr_package$();
  if ($is_sjs_js_ArrayOps(col$3)) {
    var x2$3 = $as_sjs_js_ArrayOps(col$3);
    var jsx$7 = x2$3.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col$3)) {
    var x3$3 = $as_sjs_js_WrappedArray(col$3);
    var jsx$7 = x3$3.array$6
  } else {
    var result$5 = [];
    col$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, result$6) {
      return (function(x$2$4) {
        return $uI(result$6.push(x$2$4))
      })
    })(this$27, result$5)));
    var jsx$7 = result$5
  };
  ret.teamTaskAdminList = jsx$7;
  return ret
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype.$$js$exported$prop$projectName__O = (function() {
  return this.projectName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype.$$js$exported$prop$teamAdminList__O = (function() {
  return this.teamAdminListJS__sjs_js_Array()
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype.appRoleListJS__sjs_js_Array = (function() {
  var col = this.appRoleList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype.$$js$exported$prop$teamRoleList__O = (function() {
  return this.teamRoleListJS__sjs_js_Array()
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype.teamTaskAdminListJS__sjs_js_Array = (function() {
  var col = this.teamTaskAdminList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype.$$js$exported$prop$teamTaskAdminList__O = (function() {
  return this.teamTaskAdminListJS__sjs_js_Array()
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype.$$js$exported$prop$appRoleList__O = (function() {
  return this.appRoleListJS__sjs_js_Array()
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype.init___T__T__sci_List__sci_List__sci_List__sci_List = (function(userName, projectName, appRoleList, teamRoleList, teamAdminList, teamTaskAdminList) {
  this.userName$1 = userName;
  this.projectName$1 = projectName;
  this.appRoleList$1 = appRoleList;
  this.teamRoleList$1 = teamRoleList;
  this.teamAdminList$1 = teamAdminList;
  this.teamTaskAdminList$1 = teamTaskAdminList;
  return this
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype, "teamTaskAdminList", {
  "get": (function() {
    return this.$$js$exported$prop$teamTaskAdminList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype, "teamAdminList", {
  "get": (function() {
    return this.$$js$exported$prop$teamAdminList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype, "teamRoleList", {
  "get": (function() {
    return this.$$js$exported$prop$teamRoleList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype, "appRoleList", {
  "get": (function() {
    return this.$$js$exported$prop$appRoleList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype, "projectName", {
  "get": (function() {
    return this.$$js$exported$prop$projectName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_monitordata_data_UserDetails(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_monitordata_data_UserDetails)))
}
function $as_Lsmilejs_com_metastay_monitordata_data_UserDetails(obj) {
  return (($is_Lsmilejs_com_metastay_monitordata_data_UserDetails(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.monitordata.data.UserDetails"))
}
function $isArrayOf_Lsmilejs_com_metastay_monitordata_data_UserDetails(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_monitordata_data_UserDetails)))
}
function $asArrayOf_Lsmilejs_com_metastay_monitordata_data_UserDetails(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_monitordata_data_UserDetails(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.monitordata.data.UserDetails;", depth))
}
var $d_Lsmilejs_com_metastay_monitordata_data_UserDetails = new $TypeData().initClass({
  Lsmilejs_com_metastay_monitordata_data_UserDetails: 0
}, false, "smilejs.com.metastay.monitordata.data.UserDetails", {
  Lsmilejs_com_metastay_monitordata_data_UserDetails: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_monitordata_data_UserDetails.prototype.$classData = $d_Lsmilejs_com_metastay_monitordata_data_UserDetails;
/** @constructor */
function $c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult() {
  $c_O.call(this);
  this.flowId$1 = null;
  this.displayId$1 = null;
  this.cid$1 = null;
  this.flowName$1 = null;
  this.flowState$1 = null;
  this.createdTime$1 = null;
  this.endTime$1 = null;
  this.documentData$1 = null
}
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype = new $h_O();
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype.constructor = $c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult;
/** @constructor */
function $h_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype = $c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype;
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype.productPrefix__T = (function() {
  return "ReportFlowSearchResult"
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype.productArity__I = (function() {
  return 8
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult(x$1)) {
    var ReportFlowSearchResult$1 = $as_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult(x$1);
    if (((((((this.flowId$1 === ReportFlowSearchResult$1.flowId$1) && (this.displayId$1 === ReportFlowSearchResult$1.displayId$1)) && (this.cid$1 === ReportFlowSearchResult$1.cid$1)) && (this.flowName$1 === ReportFlowSearchResult$1.flowName$1)) && (this.flowState$1 === ReportFlowSearchResult$1.flowState$1)) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.createdTime$1, ReportFlowSearchResult$1.createdTime$1))) {
      var x = this.endTime$1;
      var x$2 = ReportFlowSearchResult$1.endTime$1;
      var jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      return (this.documentData$1 === ReportFlowSearchResult$1.documentData$1)
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.flowId$1;
      break
    }
    case 1: {
      return this.displayId$1;
      break
    }
    case 2: {
      return this.cid$1;
      break
    }
    case 3: {
      return this.flowName$1;
      break
    }
    case 4: {
      return this.flowState$1;
      break
    }
    case 5: {
      return this.createdTime$1;
      break
    }
    case 6: {
      return this.endTime$1;
      break
    }
    case 7: {
      return this.documentData$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype.$$js$exported$prop$endTime__O = (function() {
  return this.endTimeJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype.toString__T = (function() {
  return (((((((((((((((("ReportFlowSearchResult(" + ((this.flowId$1 === null) ? "flowId=null" : ("flowId=" + this.flowId$1))) + ",") + ((this.displayId$1 === null) ? "displayId=null" : ("displayId=" + this.displayId$1))) + ",") + ((this.cid$1 === null) ? "cid=null" : ("cid=" + this.cid$1))) + ",") + ((this.flowName$1 === null) ? "flowName=null" : ("flowName=" + this.flowName$1))) + ",") + ((this.flowState$1 === null) ? "flowState=null" : ("flowState=" + this.flowState$1))) + ",") + ((this.createdTime$1 === null) ? "createdTime=null" : ("createdTime=" + $objectToString(this.createdTime$1)))) + ",") + ((this.endTime$1 === null) ? "endTime=null" : ("endTime=" + this.endTime$1.toString__T()))) + ",") + ((this.documentData$1 === null) ? "documentData=null" : ("documentData=" + this.documentData$1))) + ")")
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.flowId$1;
  ret.flowId = s;
  var s$1 = this.displayId$1;
  ret.displayId = s$1;
  var s$2 = this.cid$1;
  ret.cid = s$2;
  var s$3 = this.flowName$1;
  ret.flowName = s$3;
  var s$4 = this.flowState$1;
  ret.flowState = s$4;
  var s$5 = $as_T(this.createdTime$1.toISOString());
  ret.createdTime = s$5;
  if (this.endTime$1.isDefined__Z()) {
    var s$6 = $as_T(this.endTime$1.get__O().toISOString());
    ret.endTime = s$6
  };
  var s$7 = this.documentData$1;
  ret.documentData = s$7;
  return ret
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype.init___T__T__T__T__T__sjs_js_Date__s_Option__T = (function(flowId, displayId, cid, flowName, flowState, createdTime, endTime, documentData) {
  this.flowId$1 = flowId;
  this.displayId$1 = displayId;
  this.cid$1 = cid;
  this.flowName$1 = flowName;
  this.flowState$1 = flowState;
  this.createdTime$1 = createdTime;
  this.endTime$1 = endTime;
  this.documentData$1 = documentData;
  return this
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype.$$js$exported$prop$flowState__O = (function() {
  return this.flowState$1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype.$$js$exported$prop$cid__O = (function() {
  return this.cid$1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype.$$js$exported$prop$documentData__O = (function() {
  return this.documentData$1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype.endTimeJS__sjs_js_UndefOr = (function() {
  var opt = this.endTime$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype.$$js$exported$prop$displayId__O = (function() {
  return this.displayId$1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype.$$js$exported$prop$createdTime__O = (function() {
  return this.createdTime$1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype.$$js$exported$prop$flowName__O = (function() {
  return this.flowName$1
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype, "endTime", {
  "get": (function() {
    return this.$$js$exported$prop$endTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype, "documentData", {
  "get": (function() {
    return this.$$js$exported$prop$documentData__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype, "createdTime", {
  "get": (function() {
    return this.$$js$exported$prop$createdTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype, "flowState", {
  "get": (function() {
    return this.$$js$exported$prop$flowState__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype, "flowName", {
  "get": (function() {
    return this.$$js$exported$prop$flowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype, "cid", {
  "get": (function() {
    return this.$$js$exported$prop$cid__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype, "displayId", {
  "get": (function() {
    return this.$$js$exported$prop$displayId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult)))
}
function $as_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult(obj) {
  return (($is_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.reportdata.data.ReportFlowSearchResult"))
}
function $isArrayOf_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult)))
}
function $asArrayOf_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.reportdata.data.ReportFlowSearchResult;", depth))
}
var $d_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult = new $TypeData().initClass({
  Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult: 0
}, false, "smilejs.com.metastay.reportdata.data.ReportFlowSearchResult", {
  Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult.prototype.$classData = $d_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult;
/** @constructor */
function $c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult() {
  $c_O.call(this);
  this.flowId$1 = null;
  this.displayId$1 = null;
  this.cid$1 = null;
  this.flowName$1 = null;
  this.flowState$1 = null;
  this.taskName$1 = null;
  this.taskState$1 = null;
  this.readyTime$1 = null;
  this.allocatedTo$1 = null;
  this.endTime$1 = null;
  this.taskInput$1 = null
}
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype = new $h_O();
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.constructor = $c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult;
/** @constructor */
function $h_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype = $c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype;
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.productPrefix__T = (function() {
  return "ReportTaskSearchResult"
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.productArity__I = (function() {
  return 11
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult(x$1)) {
    var ReportTaskSearchResult$1 = $as_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult(x$1);
    if (((((((((this.flowId$1 === ReportTaskSearchResult$1.flowId$1) && (this.displayId$1 === ReportTaskSearchResult$1.displayId$1)) && (this.cid$1 === ReportTaskSearchResult$1.cid$1)) && (this.flowName$1 === ReportTaskSearchResult$1.flowName$1)) && (this.flowState$1 === ReportTaskSearchResult$1.flowState$1)) && (this.taskName$1 === ReportTaskSearchResult$1.taskName$1)) && (this.taskState$1 === ReportTaskSearchResult$1.taskState$1)) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.readyTime$1, ReportTaskSearchResult$1.readyTime$1))) {
      var x = this.allocatedTo$1;
      var x$2 = ReportTaskSearchResult$1.allocatedTo$1;
      var jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      var jsx$2 = false
    };
    if (jsx$2) {
      var x$3 = this.endTime$1;
      var x$4 = ReportTaskSearchResult$1.endTime$1;
      var jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      return (this.taskInput$1 === ReportTaskSearchResult$1.taskInput$1)
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.$$js$exported$prop$taskInput__O = (function() {
  return this.taskInput$1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.flowId$1;
      break
    }
    case 1: {
      return this.displayId$1;
      break
    }
    case 2: {
      return this.cid$1;
      break
    }
    case 3: {
      return this.flowName$1;
      break
    }
    case 4: {
      return this.flowState$1;
      break
    }
    case 5: {
      return this.taskName$1;
      break
    }
    case 6: {
      return this.taskState$1;
      break
    }
    case 7: {
      return this.readyTime$1;
      break
    }
    case 8: {
      return this.allocatedTo$1;
      break
    }
    case 9: {
      return this.endTime$1;
      break
    }
    case 10: {
      return this.taskInput$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.$$js$exported$prop$endTime__O = (function() {
  return this.endTimeJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.toString__T = (function() {
  return (((((((((((((((((((((("ReportTaskSearchResult(" + ((this.flowId$1 === null) ? "flowId=null" : ("flowId=" + this.flowId$1))) + ",") + ((this.displayId$1 === null) ? "displayId=null" : ("displayId=" + this.displayId$1))) + ",") + ((this.cid$1 === null) ? "cid=null" : ("cid=" + this.cid$1))) + ",") + ((this.flowName$1 === null) ? "flowName=null" : ("flowName=" + this.flowName$1))) + ",") + ((this.flowState$1 === null) ? "flowState=null" : ("flowState=" + this.flowState$1))) + ",") + ((this.taskName$1 === null) ? "taskName=null" : ("taskName=" + this.taskName$1))) + ",") + ((this.taskState$1 === null) ? "taskState=null" : ("taskState=" + this.taskState$1))) + ",") + ((this.readyTime$1 === null) ? "readyTime=null" : ("readyTime=" + $objectToString(this.readyTime$1)))) + ",") + ((this.allocatedTo$1 === null) ? "allocatedTo=null" : ("allocatedTo=" + this.allocatedTo$1.toString__T()))) + ",") + ((this.endTime$1 === null) ? "endTime=null" : ("endTime=" + this.endTime$1.toString__T()))) + ",") + ((this.taskInput$1 === null) ? "taskInput=null" : ("taskInput=" + this.taskInput$1))) + ")")
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.allocatedToJS__sjs_js_UndefOr = (function() {
  var opt = this.allocatedTo$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.flowId$1;
  ret.flowId = s;
  var s$1 = this.displayId$1;
  ret.displayId = s$1;
  var s$2 = this.cid$1;
  ret.cid = s$2;
  var s$3 = this.flowName$1;
  ret.flowName = s$3;
  var s$4 = this.flowState$1;
  ret.flowState = s$4;
  var s$5 = this.taskName$1;
  ret.taskName = s$5;
  var s$6 = this.taskState$1;
  ret.taskState = s$6;
  var s$7 = $as_T(this.readyTime$1.toISOString());
  ret.readyTime = s$7;
  if (this.allocatedTo$1.isDefined__Z()) {
    var s$8 = $as_T(this.allocatedTo$1.get__O());
    ret.allocatedTo = s$8
  };
  if (this.endTime$1.isDefined__Z()) {
    var s$9 = $as_T(this.endTime$1.get__O().toISOString());
    ret.endTime = s$9
  };
  var s$10 = this.taskInput$1;
  ret.taskInput = s$10;
  return ret
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.$$js$exported$prop$allocatedTo__O = (function() {
  return this.allocatedToJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.$$js$exported$prop$flowState__O = (function() {
  return this.flowState$1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.$$js$exported$prop$cid__O = (function() {
  return this.cid$1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.$$js$exported$prop$taskState__O = (function() {
  return this.taskState$1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.$$js$exported$prop$readyTime__O = (function() {
  return this.readyTime$1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.init___T__T__T__T__T__T__T__sjs_js_Date__s_Option__s_Option__T = (function(flowId, displayId, cid, flowName, flowState, taskName, taskState, readyTime, allocatedTo, endTime, taskInput) {
  this.flowId$1 = flowId;
  this.displayId$1 = displayId;
  this.cid$1 = cid;
  this.flowName$1 = flowName;
  this.flowState$1 = flowState;
  this.taskName$1 = taskName;
  this.taskState$1 = taskState;
  this.readyTime$1 = readyTime;
  this.allocatedTo$1 = allocatedTo;
  this.endTime$1 = endTime;
  this.taskInput$1 = taskInput;
  return this
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.$$js$exported$prop$taskName__O = (function() {
  return this.taskName$1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.endTimeJS__sjs_js_UndefOr = (function() {
  var opt = this.endTime$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.$$js$exported$prop$displayId__O = (function() {
  return this.displayId$1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.$$js$exported$prop$flowName__O = (function() {
  return this.flowName$1
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype, "endTime", {
  "get": (function() {
    return this.$$js$exported$prop$endTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype, "allocatedTo", {
  "get": (function() {
    return this.$$js$exported$prop$allocatedTo__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype, "taskInput", {
  "get": (function() {
    return this.$$js$exported$prop$taskInput__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype, "readyTime", {
  "get": (function() {
    return this.$$js$exported$prop$readyTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype, "taskState", {
  "get": (function() {
    return this.$$js$exported$prop$taskState__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype, "taskName", {
  "get": (function() {
    return this.$$js$exported$prop$taskName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype, "flowState", {
  "get": (function() {
    return this.$$js$exported$prop$flowState__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype, "flowName", {
  "get": (function() {
    return this.$$js$exported$prop$flowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype, "cid", {
  "get": (function() {
    return this.$$js$exported$prop$cid__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype, "displayId", {
  "get": (function() {
    return this.$$js$exported$prop$displayId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult)))
}
function $as_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult(obj) {
  return (($is_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.reportdata.data.ReportTaskSearchResult"))
}
function $isArrayOf_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult)))
}
function $asArrayOf_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.reportdata.data.ReportTaskSearchResult;", depth))
}
var $d_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult = new $TypeData().initClass({
  Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult: 0
}, false, "smilejs.com.metastay.reportdata.data.ReportTaskSearchResult", {
  Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult.prototype.$classData = $d_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult;
/** @constructor */
function $c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult() {
  $c_O.call(this);
  this.flowId$1 = null;
  this.displayId$1 = null;
  this.cid$1 = null;
  this.flowName$1 = null;
  this.flowState$1 = null;
  this.taskName$1 = null;
  this.readyTime$1 = null;
  this.endTime$1 = null;
  this.taskInput$1 = null
}
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype = new $h_O();
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype.constructor = $c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult;
/** @constructor */
function $h_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype = $c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype;
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype.init___T__T__T__T__T__T__sjs_js_Date__s_Option__T = (function(flowId, displayId, cid, flowName, flowState, taskName, readyTime, endTime, taskInput) {
  this.flowId$1 = flowId;
  this.displayId$1 = displayId;
  this.cid$1 = cid;
  this.flowName$1 = flowName;
  this.flowState$1 = flowState;
  this.taskName$1 = taskName;
  this.readyTime$1 = readyTime;
  this.endTime$1 = endTime;
  this.taskInput$1 = taskInput;
  return this
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype.productPrefix__T = (function() {
  return "ReportUserSearchResult"
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype.$$js$exported$prop$flowId__O = (function() {
  return this.flowId$1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype.productArity__I = (function() {
  return 9
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult(x$1)) {
    var ReportUserSearchResult$1 = $as_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult(x$1);
    if ((((((((this.flowId$1 === ReportUserSearchResult$1.flowId$1) && (this.displayId$1 === ReportUserSearchResult$1.displayId$1)) && (this.cid$1 === ReportUserSearchResult$1.cid$1)) && (this.flowName$1 === ReportUserSearchResult$1.flowName$1)) && (this.flowState$1 === ReportUserSearchResult$1.flowState$1)) && (this.taskName$1 === ReportUserSearchResult$1.taskName$1)) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.readyTime$1, ReportUserSearchResult$1.readyTime$1))) {
      var x = this.endTime$1;
      var x$2 = ReportUserSearchResult$1.endTime$1;
      var jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      return (this.taskInput$1 === ReportUserSearchResult$1.taskInput$1)
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype.$$js$exported$prop$taskInput__O = (function() {
  return this.taskInput$1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.flowId$1;
      break
    }
    case 1: {
      return this.displayId$1;
      break
    }
    case 2: {
      return this.cid$1;
      break
    }
    case 3: {
      return this.flowName$1;
      break
    }
    case 4: {
      return this.flowState$1;
      break
    }
    case 5: {
      return this.taskName$1;
      break
    }
    case 6: {
      return this.readyTime$1;
      break
    }
    case 7: {
      return this.endTime$1;
      break
    }
    case 8: {
      return this.taskInput$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype.$$js$exported$prop$endTime__O = (function() {
  return this.endTimeJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype.toString__T = (function() {
  return (((((((((((((((((("ReportUserSearchResult(" + ((this.flowId$1 === null) ? "flowId=null" : ("flowId=" + this.flowId$1))) + ",") + ((this.displayId$1 === null) ? "displayId=null" : ("displayId=" + this.displayId$1))) + ",") + ((this.cid$1 === null) ? "cid=null" : ("cid=" + this.cid$1))) + ",") + ((this.flowName$1 === null) ? "flowName=null" : ("flowName=" + this.flowName$1))) + ",") + ((this.flowState$1 === null) ? "flowState=null" : ("flowState=" + this.flowState$1))) + ",") + ((this.taskName$1 === null) ? "taskName=null" : ("taskName=" + this.taskName$1))) + ",") + ((this.readyTime$1 === null) ? "readyTime=null" : ("readyTime=" + $objectToString(this.readyTime$1)))) + ",") + ((this.endTime$1 === null) ? "endTime=null" : ("endTime=" + this.endTime$1.toString__T()))) + ",") + ((this.taskInput$1 === null) ? "taskInput=null" : ("taskInput=" + this.taskInput$1))) + ")")
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.flowId$1;
  ret.flowId = s;
  var s$1 = this.displayId$1;
  ret.displayId = s$1;
  var s$2 = this.cid$1;
  ret.cid = s$2;
  var s$3 = this.flowName$1;
  ret.flowName = s$3;
  var s$4 = this.flowState$1;
  ret.flowState = s$4;
  var s$5 = this.taskName$1;
  ret.taskName = s$5;
  var s$6 = $as_T(this.readyTime$1.toISOString());
  ret.readyTime = s$6;
  if (this.endTime$1.isDefined__Z()) {
    var s$7 = $as_T(this.endTime$1.get__O().toISOString());
    ret.endTime = s$7
  };
  var s$8 = this.taskInput$1;
  ret.taskInput = s$8;
  return ret
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype.$$js$exported$prop$flowState__O = (function() {
  return this.flowState$1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype.$$js$exported$prop$cid__O = (function() {
  return this.cid$1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype.$$js$exported$prop$readyTime__O = (function() {
  return this.readyTime$1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype.$$js$exported$prop$taskName__O = (function() {
  return this.taskName$1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype.endTimeJS__sjs_js_UndefOr = (function() {
  var opt = this.endTime$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype.$$js$exported$prop$displayId__O = (function() {
  return this.displayId$1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype.$$js$exported$prop$flowName__O = (function() {
  return this.flowName$1
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype, "endTime", {
  "get": (function() {
    return this.$$js$exported$prop$endTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype, "taskInput", {
  "get": (function() {
    return this.$$js$exported$prop$taskInput__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype, "readyTime", {
  "get": (function() {
    return this.$$js$exported$prop$readyTime__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype, "taskName", {
  "get": (function() {
    return this.$$js$exported$prop$taskName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype, "flowState", {
  "get": (function() {
    return this.$$js$exported$prop$flowState__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype, "flowName", {
  "get": (function() {
    return this.$$js$exported$prop$flowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype, "cid", {
  "get": (function() {
    return this.$$js$exported$prop$cid__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype, "displayId", {
  "get": (function() {
    return this.$$js$exported$prop$displayId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype, "flowId", {
  "get": (function() {
    return this.$$js$exported$prop$flowId__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult)))
}
function $as_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult(obj) {
  return (($is_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.reportdata.data.ReportUserSearchResult"))
}
function $isArrayOf_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult)))
}
function $asArrayOf_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.reportdata.data.ReportUserSearchResult;", depth))
}
var $d_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult = new $TypeData().initClass({
  Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult: 0
}, false, "smilejs.com.metastay.reportdata.data.ReportUserSearchResult", {
  Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult.prototype.$classData = $d_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult;
/** @constructor */
function $c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser() {
  $c_O.call(this);
  this.appId$1 = null;
  this.role$1 = null
}
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser.prototype = new $h_O();
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser.prototype.constructor = $c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser;
/** @constructor */
function $h_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser.prototype = $c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser.prototype;
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser.prototype.$$js$exported$prop$appId__O = (function() {
  return this.appId$1
});
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser.prototype.init___T__T = (function(appId, role) {
  this.appId$1 = appId;
  this.role$1 = role;
  return this
});
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser.prototype.productPrefix__T = (function() {
  return "AppRoleForUser"
});
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser.prototype.productArity__I = (function() {
  return 2
});
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser(x$1)) {
    var AppRoleForUser$1 = $as_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser(x$1);
    return ((this.appId$1 === AppRoleForUser$1.appId$1) && (this.role$1 === AppRoleForUser$1.role$1))
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.appId$1;
      break
    }
    case 1: {
      return this.role$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser.prototype.toString__T = (function() {
  return (((("AppRoleForUser(" + ((this.appId$1 === null) ? "appId=null" : ("appId=" + this.appId$1))) + ",") + ((this.role$1 === null) ? "role=null" : ("role=" + this.role$1))) + ")")
});
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser.prototype.$$js$exported$prop$role__O = (function() {
  return this.role$1
});
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.appId$1;
  ret.appId = s;
  var s$1 = this.role$1;
  ret.role = s$1;
  return ret
});
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser.prototype, "role", {
  "get": (function() {
    return this.$$js$exported$prop$role__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser.prototype, "appId", {
  "get": (function() {
    return this.$$js$exported$prop$appId__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser)))
}
function $as_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser(obj) {
  return (($is_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.resourcecdata.data.AppRoleForUser"))
}
function $isArrayOf_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser)))
}
function $asArrayOf_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.resourcecdata.data.AppRoleForUser;", depth))
}
var $d_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser = new $TypeData().initClass({
  Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser: 0
}, false, "smilejs.com.metastay.resourcecdata.data.AppRoleForUser", {
  Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser.prototype.$classData = $d_Lsmilejs_com_metastay_resourcecdata_data_AppRoleForUser;
/** @constructor */
function $c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser() {
  $c_O.call(this);
  this.teamCode$1 = null;
  this.role$1 = null
}
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser.prototype = new $h_O();
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser.prototype.constructor = $c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser;
/** @constructor */
function $h_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser.prototype = $c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser.prototype;
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser.prototype.init___T__T = (function(teamCode, role) {
  this.teamCode$1 = teamCode;
  this.role$1 = role;
  return this
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser.prototype.productPrefix__T = (function() {
  return "TeamRoleForUser"
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser.prototype.productArity__I = (function() {
  return 2
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser(x$1)) {
    var TeamRoleForUser$1 = $as_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser(x$1);
    return ((this.teamCode$1 === TeamRoleForUser$1.teamCode$1) && (this.role$1 === TeamRoleForUser$1.role$1))
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCode$1;
      break
    }
    case 1: {
      return this.role$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser.prototype.toString__T = (function() {
  return (((("TeamRoleForUser(" + ((this.teamCode$1 === null) ? "teamCode=null" : ("teamCode=" + this.teamCode$1))) + ",") + ((this.role$1 === null) ? "role=null" : ("role=" + this.role$1))) + ")")
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser.prototype.$$js$exported$prop$role__O = (function() {
  return this.role$1
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamCode$1;
  ret.teamCode = s;
  var s$1 = this.role$1;
  ret.role = s$1;
  return ret
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser.prototype, "role", {
  "get": (function() {
    return this.$$js$exported$prop$role__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser)))
}
function $as_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser(obj) {
  return (($is_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.resourcecdata.data.TeamRoleForUser"))
}
function $isArrayOf_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser)))
}
function $asArrayOf_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.resourcecdata.data.TeamRoleForUser;", depth))
}
var $d_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser = new $TypeData().initClass({
  Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser: 0
}, false, "smilejs.com.metastay.resourcecdata.data.TeamRoleForUser", {
  Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser.prototype.$classData = $d_Lsmilejs_com_metastay_resourcecdata_data_TeamRoleForUser;
/** @constructor */
function $c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair() {
  $c_O.call(this);
  this.teamCode$1 = null;
  this.fqTaskName$1 = null;
  this.taskName$1 = null
}
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair.prototype = new $h_O();
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair.prototype.constructor = $c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair;
/** @constructor */
function $h_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair.prototype = $c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair.prototype;
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair.prototype.productPrefix__T = (function() {
  return "TeamTaskPair"
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair.prototype.productArity__I = (function() {
  return 3
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair(x$1)) {
    var TeamTaskPair$1 = $as_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair(x$1);
    return (((this.teamCode$1 === TeamTaskPair$1.teamCode$1) && (this.fqTaskName$1 === TeamTaskPair$1.fqTaskName$1)) && (this.taskName$1 === TeamTaskPair$1.taskName$1))
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCode$1;
      break
    }
    case 1: {
      return this.fqTaskName$1;
      break
    }
    case 2: {
      return this.taskName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair.prototype.toString__T = (function() {
  return (((((("TeamTaskPair(" + ((this.teamCode$1 === null) ? "teamCode=null" : ("teamCode=" + this.teamCode$1))) + ",") + ((this.fqTaskName$1 === null) ? "fqTaskName=null" : ("fqTaskName=" + this.fqTaskName$1))) + ",") + ((this.taskName$1 === null) ? "taskName=null" : ("taskName=" + this.taskName$1))) + ")")
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamCode$1;
  ret.teamCode = s;
  var s$1 = this.fqTaskName$1;
  ret.fqTaskName = s$1;
  var s$2 = this.taskName$1;
  ret.taskName = s$2;
  return ret
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair.prototype.$$js$exported$prop$fqTaskName__O = (function() {
  return this.fqTaskName$1
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair.prototype.$$js$exported$prop$taskName__O = (function() {
  return this.taskName$1
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair.prototype.init___T__T__T = (function(teamCode, fqTaskName, taskName) {
  this.teamCode$1 = teamCode;
  this.fqTaskName$1 = fqTaskName;
  this.taskName$1 = taskName;
  return this
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair.prototype, "taskName", {
  "get": (function() {
    return this.$$js$exported$prop$taskName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair.prototype, "fqTaskName", {
  "get": (function() {
    return this.$$js$exported$prop$fqTaskName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair)))
}
function $as_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair(obj) {
  return (($is_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.resourcecdata.data.TeamTaskPair"))
}
function $isArrayOf_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair)))
}
function $asArrayOf_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.resourcecdata.data.TeamTaskPair;", depth))
}
var $d_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair = new $TypeData().initClass({
  Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair: 0
}, false, "smilejs.com.metastay.resourcecdata.data.TeamTaskPair", {
  Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair.prototype.$classData = $d_Lsmilejs_com_metastay_resourcecdata_data_TeamTaskPair;
/** @constructor */
function $c_jl_ArithmeticException() {
  $c_jl_RuntimeException.call(this)
}
$c_jl_ArithmeticException.prototype = new $h_jl_RuntimeException();
$c_jl_ArithmeticException.prototype.constructor = $c_jl_ArithmeticException;
/** @constructor */
function $h_jl_ArithmeticException() {
  /*<skip>*/
}
$h_jl_ArithmeticException.prototype = $c_jl_ArithmeticException.prototype;
$c_jl_ArithmeticException.prototype.init___T = (function(s) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
var $d_jl_ArithmeticException = new $TypeData().initClass({
  jl_ArithmeticException: 0
}, false, "java.lang.ArithmeticException", {
  jl_ArithmeticException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_ArithmeticException.prototype.$classData = $d_jl_ArithmeticException;
/** @constructor */
function $c_jl_ClassCastException() {
  $c_jl_RuntimeException.call(this)
}
$c_jl_ClassCastException.prototype = new $h_jl_RuntimeException();
$c_jl_ClassCastException.prototype.constructor = $c_jl_ClassCastException;
/** @constructor */
function $h_jl_ClassCastException() {
  /*<skip>*/
}
$h_jl_ClassCastException.prototype = $c_jl_ClassCastException.prototype;
$c_jl_ClassCastException.prototype.init___T = (function(s) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
function $is_jl_ClassCastException(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_ClassCastException)))
}
function $as_jl_ClassCastException(obj) {
  return (($is_jl_ClassCastException(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.ClassCastException"))
}
function $isArrayOf_jl_ClassCastException(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_ClassCastException)))
}
function $asArrayOf_jl_ClassCastException(obj, depth) {
  return (($isArrayOf_jl_ClassCastException(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.ClassCastException;", depth))
}
var $d_jl_ClassCastException = new $TypeData().initClass({
  jl_ClassCastException: 0
}, false, "java.lang.ClassCastException", {
  jl_ClassCastException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_ClassCastException.prototype.$classData = $d_jl_ClassCastException;
/** @constructor */
function $c_jl_IllegalArgumentException() {
  $c_jl_RuntimeException.call(this)
}
$c_jl_IllegalArgumentException.prototype = new $h_jl_RuntimeException();
$c_jl_IllegalArgumentException.prototype.constructor = $c_jl_IllegalArgumentException;
/** @constructor */
function $h_jl_IllegalArgumentException() {
  /*<skip>*/
}
$h_jl_IllegalArgumentException.prototype = $c_jl_IllegalArgumentException.prototype;
$c_jl_IllegalArgumentException.prototype.init___ = (function() {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
  return this
});
$c_jl_IllegalArgumentException.prototype.init___T = (function(s) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
var $d_jl_IllegalArgumentException = new $TypeData().initClass({
  jl_IllegalArgumentException: 0
}, false, "java.lang.IllegalArgumentException", {
  jl_IllegalArgumentException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_IllegalArgumentException.prototype.$classData = $d_jl_IllegalArgumentException;
/** @constructor */
function $c_jl_IllegalStateException() {
  $c_jl_RuntimeException.call(this)
}
$c_jl_IllegalStateException.prototype = new $h_jl_RuntimeException();
$c_jl_IllegalStateException.prototype.constructor = $c_jl_IllegalStateException;
/** @constructor */
function $h_jl_IllegalStateException() {
  /*<skip>*/
}
$h_jl_IllegalStateException.prototype = $c_jl_IllegalStateException.prototype;
$c_jl_IllegalStateException.prototype.init___T = (function(s) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
$c_jl_IllegalStateException.prototype.init___T__jl_Throwable = (function(s, e) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, e);
  return this
});
var $d_jl_IllegalStateException = new $TypeData().initClass({
  jl_IllegalStateException: 0
}, false, "java.lang.IllegalStateException", {
  jl_IllegalStateException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_IllegalStateException.prototype.$classData = $d_jl_IllegalStateException;
/** @constructor */
function $c_jl_IndexOutOfBoundsException() {
  $c_jl_RuntimeException.call(this)
}
$c_jl_IndexOutOfBoundsException.prototype = new $h_jl_RuntimeException();
$c_jl_IndexOutOfBoundsException.prototype.constructor = $c_jl_IndexOutOfBoundsException;
/** @constructor */
function $h_jl_IndexOutOfBoundsException() {
  /*<skip>*/
}
$h_jl_IndexOutOfBoundsException.prototype = $c_jl_IndexOutOfBoundsException.prototype;
$c_jl_IndexOutOfBoundsException.prototype.init___T = (function(s) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
var $d_jl_IndexOutOfBoundsException = new $TypeData().initClass({
  jl_IndexOutOfBoundsException: 0
}, false, "java.lang.IndexOutOfBoundsException", {
  jl_IndexOutOfBoundsException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_IndexOutOfBoundsException.prototype.$classData = $d_jl_IndexOutOfBoundsException;
/** @constructor */
function $c_jl_NullPointerException() {
  $c_jl_RuntimeException.call(this)
}
$c_jl_NullPointerException.prototype = new $h_jl_RuntimeException();
$c_jl_NullPointerException.prototype.constructor = $c_jl_NullPointerException;
/** @constructor */
function $h_jl_NullPointerException() {
  /*<skip>*/
}
$h_jl_NullPointerException.prototype = $c_jl_NullPointerException.prototype;
$c_jl_NullPointerException.prototype.init___ = (function() {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
  return this
});
var $d_jl_NullPointerException = new $TypeData().initClass({
  jl_NullPointerException: 0
}, false, "java.lang.NullPointerException", {
  jl_NullPointerException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_NullPointerException.prototype.$classData = $d_jl_NullPointerException;
/** @constructor */
function $c_jl_UnsupportedOperationException() {
  $c_jl_RuntimeException.call(this)
}
$c_jl_UnsupportedOperationException.prototype = new $h_jl_RuntimeException();
$c_jl_UnsupportedOperationException.prototype.constructor = $c_jl_UnsupportedOperationException;
/** @constructor */
function $h_jl_UnsupportedOperationException() {
  /*<skip>*/
}
$h_jl_UnsupportedOperationException.prototype = $c_jl_UnsupportedOperationException.prototype;
$c_jl_UnsupportedOperationException.prototype.init___T = (function(s) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
var $d_jl_UnsupportedOperationException = new $TypeData().initClass({
  jl_UnsupportedOperationException: 0
}, false, "java.lang.UnsupportedOperationException", {
  jl_UnsupportedOperationException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_UnsupportedOperationException.prototype.$classData = $d_jl_UnsupportedOperationException;
/** @constructor */
function $c_ju_NoSuchElementException() {
  $c_jl_RuntimeException.call(this)
}
$c_ju_NoSuchElementException.prototype = new $h_jl_RuntimeException();
$c_ju_NoSuchElementException.prototype.constructor = $c_ju_NoSuchElementException;
/** @constructor */
function $h_ju_NoSuchElementException() {
  /*<skip>*/
}
$h_ju_NoSuchElementException.prototype = $c_ju_NoSuchElementException.prototype;
$c_ju_NoSuchElementException.prototype.init___ = (function() {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
  return this
});
$c_ju_NoSuchElementException.prototype.init___T = (function(s) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
var $d_ju_NoSuchElementException = new $TypeData().initClass({
  ju_NoSuchElementException: 0
}, false, "java.util.NoSuchElementException", {
  ju_NoSuchElementException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_ju_NoSuchElementException.prototype.$classData = $d_ju_NoSuchElementException;
/** @constructor */
function $c_s_MatchError() {
  $c_jl_RuntimeException.call(this);
  this.obj$4 = null;
  this.objString$4 = null;
  this.bitmap$0$4 = false
}
$c_s_MatchError.prototype = new $h_jl_RuntimeException();
$c_s_MatchError.prototype.constructor = $c_s_MatchError;
/** @constructor */
function $h_s_MatchError() {
  /*<skip>*/
}
$h_s_MatchError.prototype = $c_s_MatchError.prototype;
$c_s_MatchError.prototype.objString$lzycompute__p4__T = (function() {
  if ((!this.bitmap$0$4)) {
    this.objString$4 = ((this.obj$4 === null) ? "null" : this.liftedTree1$1__p4__T());
    this.bitmap$0$4 = true
  };
  return this.objString$4
});
$c_s_MatchError.prototype.ofClass$1__p4__T = (function() {
  var this$1 = this.obj$4;
  return ("of class " + $objectGetClass(this$1).getName__T())
});
$c_s_MatchError.prototype.liftedTree1$1__p4__T = (function() {
  try {
    return ((($objectToString(this.obj$4) + " (") + this.ofClass$1__p4__T()) + ")")
  } catch (e) {
    var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
    if ((e$2 !== null)) {
      return ("an instance " + this.ofClass$1__p4__T())
    } else {
      throw e
    }
  }
});
$c_s_MatchError.prototype.getMessage__T = (function() {
  return this.objString__p4__T()
});
$c_s_MatchError.prototype.objString__p4__T = (function() {
  return ((!this.bitmap$0$4) ? this.objString$lzycompute__p4__T() : this.objString$4)
});
$c_s_MatchError.prototype.init___O = (function(obj) {
  this.obj$4 = obj;
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
  return this
});
var $d_s_MatchError = new $TypeData().initClass({
  s_MatchError: 0
}, false, "scala.MatchError", {
  s_MatchError: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_s_MatchError.prototype.$classData = $d_s_MatchError;
/** @constructor */
function $c_s_Option() {
  $c_O.call(this)
}
$c_s_Option.prototype = new $h_O();
$c_s_Option.prototype.constructor = $c_s_Option;
/** @constructor */
function $h_s_Option() {
  /*<skip>*/
}
$h_s_Option.prototype = $c_s_Option.prototype;
$c_s_Option.prototype.isDefined__Z = (function() {
  return (!this.isEmpty__Z())
});
function $is_s_Option(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_Option)))
}
function $as_s_Option(obj) {
  return (($is_s_Option(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.Option"))
}
function $isArrayOf_s_Option(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_Option)))
}
function $asArrayOf_s_Option(obj, depth) {
  return (($isArrayOf_s_Option(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.Option;", depth))
}
/** @constructor */
function $c_s_Predef$$anon$1() {
  $c_s_Predef$$less$colon$less.call(this)
}
$c_s_Predef$$anon$1.prototype = new $h_s_Predef$$less$colon$less();
$c_s_Predef$$anon$1.prototype.constructor = $c_s_Predef$$anon$1;
/** @constructor */
function $h_s_Predef$$anon$1() {
  /*<skip>*/
}
$h_s_Predef$$anon$1.prototype = $c_s_Predef$$anon$1.prototype;
$c_s_Predef$$anon$1.prototype.init___ = (function() {
  return this
});
$c_s_Predef$$anon$1.prototype.apply__O__O = (function(x) {
  return x
});
var $d_s_Predef$$anon$1 = new $TypeData().initClass({
  s_Predef$$anon$1: 0
}, false, "scala.Predef$$anon$1", {
  s_Predef$$anon$1: 1,
  s_Predef$$less$colon$less: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_Predef$$anon$1.prototype.$classData = $d_s_Predef$$anon$1;
/** @constructor */
function $c_s_Predef$$anon$2() {
  $c_s_Predef$$eq$colon$eq.call(this)
}
$c_s_Predef$$anon$2.prototype = new $h_s_Predef$$eq$colon$eq();
$c_s_Predef$$anon$2.prototype.constructor = $c_s_Predef$$anon$2;
/** @constructor */
function $h_s_Predef$$anon$2() {
  /*<skip>*/
}
$h_s_Predef$$anon$2.prototype = $c_s_Predef$$anon$2.prototype;
$c_s_Predef$$anon$2.prototype.init___ = (function() {
  return this
});
$c_s_Predef$$anon$2.prototype.apply__O__O = (function(x) {
  return x
});
var $d_s_Predef$$anon$2 = new $TypeData().initClass({
  s_Predef$$anon$2: 0
}, false, "scala.Predef$$anon$2", {
  s_Predef$$anon$2: 1,
  s_Predef$$eq$colon$eq: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_Predef$$anon$2.prototype.$classData = $d_s_Predef$$anon$2;
/** @constructor */
function $c_s_StringContext() {
  $c_O.call(this);
  this.parts$1 = null
}
$c_s_StringContext.prototype = new $h_O();
$c_s_StringContext.prototype.constructor = $c_s_StringContext;
/** @constructor */
function $h_s_StringContext() {
  /*<skip>*/
}
$h_s_StringContext.prototype = $c_s_StringContext.prototype;
$c_s_StringContext.prototype.productPrefix__T = (function() {
  return "StringContext"
});
$c_s_StringContext.prototype.productArity__I = (function() {
  return 1
});
$c_s_StringContext.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_s_StringContext(x$1)) {
    var StringContext$1 = $as_s_StringContext(x$1);
    var x = this.parts$1;
    var x$2 = StringContext$1.parts$1;
    return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
  } else {
    return false
  }
});
$c_s_StringContext.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.parts$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_s_StringContext.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_s_StringContext.prototype.checkLengths__sc_Seq__V = (function(args) {
  if ((this.parts$1.length__I() !== ((1 + args.length__I()) | 0))) {
    throw new $c_jl_IllegalArgumentException().init___T((((("wrong number of arguments (" + args.length__I()) + ") for interpolated string with ") + this.parts$1.length__I()) + " parts"))
  }
});
$c_s_StringContext.prototype.s__sc_Seq__T = (function(args) {
  var f = (function($this) {
    return (function(str$2) {
      var str = $as_T(str$2);
      var this$1 = $m_s_StringContext$();
      return this$1.treatEscapes0__p1__T__Z__T(str, false)
    })
  })(this);
  this.checkLengths__sc_Seq__V(args);
  var pi = this.parts$1.iterator__sc_Iterator();
  var ai = args.iterator__sc_Iterator();
  var arg1 = pi.next__O();
  var bldr = new $c_jl_StringBuilder().init___T($as_T(f(arg1)));
  while (ai.hasNext__Z()) {
    bldr.append__O__jl_StringBuilder(ai.next__O());
    var arg1$1 = pi.next__O();
    bldr.append__T__jl_StringBuilder($as_T(f(arg1$1)))
  };
  return bldr.content$1
});
$c_s_StringContext.prototype.init___sc_Seq = (function(parts) {
  this.parts$1 = parts;
  return this
});
$c_s_StringContext.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_s_StringContext.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_s_StringContext(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_StringContext)))
}
function $as_s_StringContext(obj) {
  return (($is_s_StringContext(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.StringContext"))
}
function $isArrayOf_s_StringContext(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_StringContext)))
}
function $asArrayOf_s_StringContext(obj, depth) {
  return (($isArrayOf_s_StringContext(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.StringContext;", depth))
}
var $d_s_StringContext = new $TypeData().initClass({
  s_StringContext: 0
}, false, "scala.StringContext", {
  s_StringContext: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_StringContext.prototype.$classData = $d_s_StringContext;
/** @constructor */
function $c_s_concurrent_impl_Promise$KeptPromise() {
  $c_O.call(this);
  this.value$1 = null
}
$c_s_concurrent_impl_Promise$KeptPromise.prototype = new $h_O();
$c_s_concurrent_impl_Promise$KeptPromise.prototype.constructor = $c_s_concurrent_impl_Promise$KeptPromise;
/** @constructor */
function $h_s_concurrent_impl_Promise$KeptPromise() {
  /*<skip>*/
}
$h_s_concurrent_impl_Promise$KeptPromise.prototype = $c_s_concurrent_impl_Promise$KeptPromise.prototype;
$c_s_concurrent_impl_Promise$KeptPromise.prototype.tryComplete__s_util_Try__Z = (function(value) {
  return false
});
$c_s_concurrent_impl_Promise$KeptPromise.prototype.toString__T = (function() {
  return $s_s_concurrent_impl_Promise$class__toString__s_concurrent_impl_Promise__T(this)
});
$c_s_concurrent_impl_Promise$KeptPromise.prototype.onComplete__F1__s_concurrent_ExecutionContext__V = (function(func, executor) {
  var this$1 = this.value$1;
  var completedAs = $as_s_util_Try(this$1.x$2);
  new $c_s_concurrent_impl_CallbackRunnable().init___s_concurrent_ExecutionContext__F1(executor, func).executeWithValue__s_util_Try__V(completedAs)
});
$c_s_concurrent_impl_Promise$KeptPromise.prototype.value__s_Option = (function() {
  return this.value$1
});
$c_s_concurrent_impl_Promise$KeptPromise.prototype.init___s_util_Try = (function(suppliedValue) {
  this.value$1 = new $c_s_Some().init___O($m_s_concurrent_impl_Promise$().scala$concurrent$impl$Promise$$resolveTry__s_util_Try__s_util_Try(suppliedValue));
  return this
});
var $d_s_concurrent_impl_Promise$KeptPromise = new $TypeData().initClass({
  s_concurrent_impl_Promise$KeptPromise: 0
}, false, "scala.concurrent.impl.Promise$KeptPromise", {
  s_concurrent_impl_Promise$KeptPromise: 1,
  O: 1,
  s_concurrent_impl_Promise: 1,
  s_concurrent_Promise: 1,
  s_concurrent_Future: 1,
  s_concurrent_Awaitable: 1
});
$c_s_concurrent_impl_Promise$KeptPromise.prototype.$classData = $d_s_concurrent_impl_Promise$KeptPromise;
function $is_s_reflect_ClassTag(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_reflect_ClassTag)))
}
function $as_s_reflect_ClassTag(obj) {
  return (($is_s_reflect_ClassTag(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.reflect.ClassTag"))
}
function $isArrayOf_s_reflect_ClassTag(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_reflect_ClassTag)))
}
function $asArrayOf_s_reflect_ClassTag(obj, depth) {
  return (($isArrayOf_s_reflect_ClassTag(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.reflect.ClassTag;", depth))
}
/** @constructor */
function $c_s_util_control_BreakControl() {
  $c_jl_Throwable.call(this)
}
$c_s_util_control_BreakControl.prototype = new $h_jl_Throwable();
$c_s_util_control_BreakControl.prototype.constructor = $c_s_util_control_BreakControl;
/** @constructor */
function $h_s_util_control_BreakControl() {
  /*<skip>*/
}
$h_s_util_control_BreakControl.prototype = $c_s_util_control_BreakControl.prototype;
$c_s_util_control_BreakControl.prototype.init___ = (function() {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
  return this
});
$c_s_util_control_BreakControl.prototype.fillInStackTrace__jl_Throwable = (function() {
  return $s_s_util_control_NoStackTrace$class__fillInStackTrace__s_util_control_NoStackTrace__jl_Throwable(this)
});
var $d_s_util_control_BreakControl = new $TypeData().initClass({
  s_util_control_BreakControl: 0
}, false, "scala.util.control.BreakControl", {
  s_util_control_BreakControl: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_util_control_ControlThrowable: 1,
  s_util_control_NoStackTrace: 1
});
$c_s_util_control_BreakControl.prototype.$classData = $d_s_util_control_BreakControl;
function $is_sc_GenTraversable(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenTraversable)))
}
function $as_sc_GenTraversable(obj) {
  return (($is_sc_GenTraversable(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.GenTraversable"))
}
function $isArrayOf_sc_GenTraversable(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenTraversable)))
}
function $asArrayOf_sc_GenTraversable(obj, depth) {
  return (($isArrayOf_sc_GenTraversable(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.GenTraversable;", depth))
}
/** @constructor */
function $c_sc_Iterable$() {
  $c_scg_GenTraversableFactory.call(this)
}
$c_sc_Iterable$.prototype = new $h_scg_GenTraversableFactory();
$c_sc_Iterable$.prototype.constructor = $c_sc_Iterable$;
/** @constructor */
function $h_sc_Iterable$() {
  /*<skip>*/
}
$h_sc_Iterable$.prototype = $c_sc_Iterable$.prototype;
$c_sc_Iterable$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_sc_Iterable$.prototype.newBuilder__scm_Builder = (function() {
  $m_sci_Iterable$();
  return new $c_scm_ListBuffer().init___()
});
var $d_sc_Iterable$ = new $TypeData().initClass({
  sc_Iterable$: 0
}, false, "scala.collection.Iterable$", {
  sc_Iterable$: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sc_Iterable$.prototype.$classData = $d_sc_Iterable$;
var $n_sc_Iterable$ = (void 0);
function $m_sc_Iterable$() {
  if ((!$n_sc_Iterable$)) {
    $n_sc_Iterable$ = new $c_sc_Iterable$().init___()
  };
  return $n_sc_Iterable$
}
/** @constructor */
function $c_sc_Iterator$$anon$11() {
  $c_sc_AbstractIterator.call(this);
  this.$$outer$2 = null;
  this.f$3$2 = null
}
$c_sc_Iterator$$anon$11.prototype = new $h_sc_AbstractIterator();
$c_sc_Iterator$$anon$11.prototype.constructor = $c_sc_Iterator$$anon$11;
/** @constructor */
function $h_sc_Iterator$$anon$11() {
  /*<skip>*/
}
$h_sc_Iterator$$anon$11.prototype = $c_sc_Iterator$$anon$11.prototype;
$c_sc_Iterator$$anon$11.prototype.next__O = (function() {
  return this.f$3$2.apply__O__O(this.$$outer$2.next__O())
});
$c_sc_Iterator$$anon$11.prototype.init___sc_Iterator__F1 = (function($$outer, f$3) {
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$2 = $$outer
  };
  this.f$3$2 = f$3;
  return this
});
$c_sc_Iterator$$anon$11.prototype.hasNext__Z = (function() {
  return this.$$outer$2.hasNext__Z()
});
var $d_sc_Iterator$$anon$11 = new $TypeData().initClass({
  sc_Iterator$$anon$11: 0
}, false, "scala.collection.Iterator$$anon$11", {
  sc_Iterator$$anon$11: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$$anon$11.prototype.$classData = $d_sc_Iterator$$anon$11;
/** @constructor */
function $c_sc_Iterator$$anon$2() {
  $c_sc_AbstractIterator.call(this)
}
$c_sc_Iterator$$anon$2.prototype = new $h_sc_AbstractIterator();
$c_sc_Iterator$$anon$2.prototype.constructor = $c_sc_Iterator$$anon$2;
/** @constructor */
function $h_sc_Iterator$$anon$2() {
  /*<skip>*/
}
$h_sc_Iterator$$anon$2.prototype = $c_sc_Iterator$$anon$2.prototype;
$c_sc_Iterator$$anon$2.prototype.init___ = (function() {
  return this
});
$c_sc_Iterator$$anon$2.prototype.next__O = (function() {
  this.next__sr_Nothing$()
});
$c_sc_Iterator$$anon$2.prototype.next__sr_Nothing$ = (function() {
  throw new $c_ju_NoSuchElementException().init___T("next on empty iterator")
});
$c_sc_Iterator$$anon$2.prototype.hasNext__Z = (function() {
  return false
});
var $d_sc_Iterator$$anon$2 = new $TypeData().initClass({
  sc_Iterator$$anon$2: 0
}, false, "scala.collection.Iterator$$anon$2", {
  sc_Iterator$$anon$2: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$$anon$2.prototype.$classData = $d_sc_Iterator$$anon$2;
/** @constructor */
function $c_sc_LinearSeqLike$$anon$1() {
  $c_sc_AbstractIterator.call(this);
  this.these$2 = null
}
$c_sc_LinearSeqLike$$anon$1.prototype = new $h_sc_AbstractIterator();
$c_sc_LinearSeqLike$$anon$1.prototype.constructor = $c_sc_LinearSeqLike$$anon$1;
/** @constructor */
function $h_sc_LinearSeqLike$$anon$1() {
  /*<skip>*/
}
$h_sc_LinearSeqLike$$anon$1.prototype = $c_sc_LinearSeqLike$$anon$1.prototype;
$c_sc_LinearSeqLike$$anon$1.prototype.init___sc_LinearSeqLike = (function($$outer) {
  this.these$2 = $$outer;
  return this
});
$c_sc_LinearSeqLike$$anon$1.prototype.next__O = (function() {
  if (this.hasNext__Z()) {
    var result = this.these$2.head__O();
    this.these$2 = $as_sc_LinearSeqLike(this.these$2.tail__O());
    return result
  } else {
    return $m_sc_Iterator$().empty$1.next__O()
  }
});
$c_sc_LinearSeqLike$$anon$1.prototype.toList__sci_List = (function() {
  var xs = this.these$2.toList__sci_List();
  this.these$2 = $as_sc_LinearSeqLike(this.these$2.take__I__O(0));
  return xs
});
$c_sc_LinearSeqLike$$anon$1.prototype.hasNext__Z = (function() {
  return (!this.these$2.isEmpty__Z())
});
var $d_sc_LinearSeqLike$$anon$1 = new $TypeData().initClass({
  sc_LinearSeqLike$$anon$1: 0
}, false, "scala.collection.LinearSeqLike$$anon$1", {
  sc_LinearSeqLike$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_LinearSeqLike$$anon$1.prototype.$classData = $d_sc_LinearSeqLike$$anon$1;
/** @constructor */
function $c_sc_Traversable$() {
  $c_scg_GenTraversableFactory.call(this);
  this.breaks$3 = null
}
$c_sc_Traversable$.prototype = new $h_scg_GenTraversableFactory();
$c_sc_Traversable$.prototype.constructor = $c_sc_Traversable$;
/** @constructor */
function $h_sc_Traversable$() {
  /*<skip>*/
}
$h_sc_Traversable$.prototype = $c_sc_Traversable$.prototype;
$c_sc_Traversable$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  $n_sc_Traversable$ = this;
  this.breaks$3 = new $c_s_util_control_Breaks().init___();
  return this
});
$c_sc_Traversable$.prototype.newBuilder__scm_Builder = (function() {
  $m_sci_Traversable$();
  return new $c_scm_ListBuffer().init___()
});
var $d_sc_Traversable$ = new $TypeData().initClass({
  sc_Traversable$: 0
}, false, "scala.collection.Traversable$", {
  sc_Traversable$: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sc_Traversable$.prototype.$classData = $d_sc_Traversable$;
var $n_sc_Traversable$ = (void 0);
function $m_sc_Traversable$() {
  if ((!$n_sc_Traversable$)) {
    $n_sc_Traversable$ = new $c_sc_Traversable$().init___()
  };
  return $n_sc_Traversable$
}
/** @constructor */
function $c_scg_ImmutableSetFactory() {
  $c_scg_SetFactory.call(this)
}
$c_scg_ImmutableSetFactory.prototype = new $h_scg_SetFactory();
$c_scg_ImmutableSetFactory.prototype.constructor = $c_scg_ImmutableSetFactory;
/** @constructor */
function $h_scg_ImmutableSetFactory() {
  /*<skip>*/
}
$h_scg_ImmutableSetFactory.prototype = $c_scg_ImmutableSetFactory.prototype;
$c_scg_ImmutableSetFactory.prototype.empty__sc_GenTraversable = (function() {
  return this.emptyInstance__sci_Set()
});
$c_scg_ImmutableSetFactory.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_SetBuilder().init___sc_Set(this.emptyInstance__sci_Set())
});
/** @constructor */
function $c_scg_MutableSetFactory() {
  $c_scg_SetFactory.call(this)
}
$c_scg_MutableSetFactory.prototype = new $h_scg_SetFactory();
$c_scg_MutableSetFactory.prototype.constructor = $c_scg_MutableSetFactory;
/** @constructor */
function $h_scg_MutableSetFactory() {
  /*<skip>*/
}
$h_scg_MutableSetFactory.prototype = $c_scg_MutableSetFactory.prototype;
$c_scg_MutableSetFactory.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_GrowingBuilder().init___scg_Growable($as_scg_Growable(this.empty__sc_GenTraversable()))
});
/** @constructor */
function $c_sci_Iterable$() {
  $c_scg_GenTraversableFactory.call(this)
}
$c_sci_Iterable$.prototype = new $h_scg_GenTraversableFactory();
$c_sci_Iterable$.prototype.constructor = $c_sci_Iterable$;
/** @constructor */
function $h_sci_Iterable$() {
  /*<skip>*/
}
$h_sci_Iterable$.prototype = $c_sci_Iterable$.prototype;
$c_sci_Iterable$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_sci_Iterable$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_ListBuffer().init___()
});
var $d_sci_Iterable$ = new $TypeData().initClass({
  sci_Iterable$: 0
}, false, "scala.collection.immutable.Iterable$", {
  sci_Iterable$: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sci_Iterable$.prototype.$classData = $d_sci_Iterable$;
var $n_sci_Iterable$ = (void 0);
function $m_sci_Iterable$() {
  if ((!$n_sci_Iterable$)) {
    $n_sci_Iterable$ = new $c_sci_Iterable$().init___()
  };
  return $n_sci_Iterable$
}
/** @constructor */
function $c_sci_ListMap$$anon$1() {
  $c_sc_AbstractIterator.call(this);
  this.self$2 = null
}
$c_sci_ListMap$$anon$1.prototype = new $h_sc_AbstractIterator();
$c_sci_ListMap$$anon$1.prototype.constructor = $c_sci_ListMap$$anon$1;
/** @constructor */
function $h_sci_ListMap$$anon$1() {
  /*<skip>*/
}
$h_sci_ListMap$$anon$1.prototype = $c_sci_ListMap$$anon$1.prototype;
$c_sci_ListMap$$anon$1.prototype.next__O = (function() {
  return this.next__T2()
});
$c_sci_ListMap$$anon$1.prototype.init___sci_ListMap = (function($$outer) {
  this.self$2 = $$outer;
  return this
});
$c_sci_ListMap$$anon$1.prototype.next__T2 = (function() {
  if ((!this.hasNext__Z())) {
    throw new $c_ju_NoSuchElementException().init___T("next on empty iterator")
  } else {
    var res = new $c_T2().init___O__O(this.self$2.key__O(), this.self$2.value__O());
    this.self$2 = this.self$2.next__sci_ListMap();
    return res
  }
});
$c_sci_ListMap$$anon$1.prototype.hasNext__Z = (function() {
  return (!this.self$2.isEmpty__Z())
});
var $d_sci_ListMap$$anon$1 = new $TypeData().initClass({
  sci_ListMap$$anon$1: 0
}, false, "scala.collection.immutable.ListMap$$anon$1", {
  sci_ListMap$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sci_ListMap$$anon$1.prototype.$classData = $d_sci_ListMap$$anon$1;
/** @constructor */
function $c_sci_ListSet$$anon$1() {
  $c_sc_AbstractIterator.call(this);
  this.that$2 = null
}
$c_sci_ListSet$$anon$1.prototype = new $h_sc_AbstractIterator();
$c_sci_ListSet$$anon$1.prototype.constructor = $c_sci_ListSet$$anon$1;
/** @constructor */
function $h_sci_ListSet$$anon$1() {
  /*<skip>*/
}
$h_sci_ListSet$$anon$1.prototype = $c_sci_ListSet$$anon$1.prototype;
$c_sci_ListSet$$anon$1.prototype.next__O = (function() {
  var this$1 = this.that$2;
  if ($s_sc_TraversableOnce$class__nonEmpty__sc_TraversableOnce__Z(this$1)) {
    var res = this.that$2.head__O();
    this.that$2 = this.that$2.tail__sci_ListSet();
    return res
  } else {
    return $m_sc_Iterator$().empty$1.next__O()
  }
});
$c_sci_ListSet$$anon$1.prototype.init___sci_ListSet = (function($$outer) {
  this.that$2 = $$outer;
  return this
});
$c_sci_ListSet$$anon$1.prototype.hasNext__Z = (function() {
  var this$1 = this.that$2;
  return $s_sc_TraversableOnce$class__nonEmpty__sc_TraversableOnce__Z(this$1)
});
var $d_sci_ListSet$$anon$1 = new $TypeData().initClass({
  sci_ListSet$$anon$1: 0
}, false, "scala.collection.immutable.ListSet$$anon$1", {
  sci_ListSet$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sci_ListSet$$anon$1.prototype.$classData = $d_sci_ListSet$$anon$1;
/** @constructor */
function $c_sci_Stream$StreamBuilder() {
  $c_scm_LazyBuilder.call(this)
}
$c_sci_Stream$StreamBuilder.prototype = new $h_scm_LazyBuilder();
$c_sci_Stream$StreamBuilder.prototype.constructor = $c_sci_Stream$StreamBuilder;
/** @constructor */
function $h_sci_Stream$StreamBuilder() {
  /*<skip>*/
}
$h_sci_Stream$StreamBuilder.prototype = $c_sci_Stream$StreamBuilder.prototype;
$c_sci_Stream$StreamBuilder.prototype.init___ = (function() {
  $c_scm_LazyBuilder.prototype.init___.call(this);
  return this
});
$c_sci_Stream$StreamBuilder.prototype.result__O = (function() {
  return this.result__sci_Stream()
});
$c_sci_Stream$StreamBuilder.prototype.result__sci_Stream = (function() {
  var this$1 = this.parts$1;
  return $as_sci_Stream(this$1.scala$collection$mutable$ListBuffer$$start$6.toStream__sci_Stream().flatMap__F1__scg_CanBuildFrom__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$5$2) {
      var x$5 = $as_sc_TraversableOnce(x$5$2);
      return x$5.toStream__sci_Stream()
    })
  })(this)), ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___())))
});
function $is_sci_Stream$StreamBuilder(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Stream$StreamBuilder)))
}
function $as_sci_Stream$StreamBuilder(obj) {
  return (($is_sci_Stream$StreamBuilder(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.Stream$StreamBuilder"))
}
function $isArrayOf_sci_Stream$StreamBuilder(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Stream$StreamBuilder)))
}
function $asArrayOf_sci_Stream$StreamBuilder(obj, depth) {
  return (($isArrayOf_sci_Stream$StreamBuilder(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.Stream$StreamBuilder;", depth))
}
var $d_sci_Stream$StreamBuilder = new $TypeData().initClass({
  sci_Stream$StreamBuilder: 0
}, false, "scala.collection.immutable.Stream$StreamBuilder", {
  sci_Stream$StreamBuilder: 1,
  scm_LazyBuilder: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_sci_Stream$StreamBuilder.prototype.$classData = $d_sci_Stream$StreamBuilder;
/** @constructor */
function $c_sci_StreamIterator() {
  $c_sc_AbstractIterator.call(this);
  this.these$2 = null
}
$c_sci_StreamIterator.prototype = new $h_sc_AbstractIterator();
$c_sci_StreamIterator.prototype.constructor = $c_sci_StreamIterator;
/** @constructor */
function $h_sci_StreamIterator() {
  /*<skip>*/
}
$h_sci_StreamIterator.prototype = $c_sci_StreamIterator.prototype;
$c_sci_StreamIterator.prototype.next__O = (function() {
  if ($s_sc_Iterator$class__isEmpty__sc_Iterator__Z(this)) {
    return $m_sc_Iterator$().empty$1.next__O()
  } else {
    var cur = this.these$2.v__sci_Stream();
    var result = cur.head__O();
    this.these$2 = new $c_sci_StreamIterator$LazyCell().init___sci_StreamIterator__F0(this, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, cur$1) {
      return (function() {
        return $as_sci_Stream(cur$1.tail__O())
      })
    })(this, cur)));
    return result
  }
});
$c_sci_StreamIterator.prototype.toList__sci_List = (function() {
  var this$1 = this.toStream__sci_Stream();
  var this$2 = $m_sci_List$();
  var cbf = this$2.ReusableCBFInstance$2;
  return $as_sci_List($s_sc_TraversableLike$class__to__sc_TraversableLike__scg_CanBuildFrom__O(this$1, cbf))
});
$c_sci_StreamIterator.prototype.init___sci_Stream = (function(self) {
  this.these$2 = new $c_sci_StreamIterator$LazyCell().init___sci_StreamIterator__F0(this, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, self$1) {
    return (function() {
      return self$1
    })
  })(this, self)));
  return this
});
$c_sci_StreamIterator.prototype.hasNext__Z = (function() {
  var this$1 = this.these$2.v__sci_Stream();
  return $s_sc_TraversableOnce$class__nonEmpty__sc_TraversableOnce__Z(this$1)
});
$c_sci_StreamIterator.prototype.toStream__sci_Stream = (function() {
  var result = this.these$2.v__sci_Stream();
  this.these$2 = new $c_sci_StreamIterator$LazyCell().init___sci_StreamIterator__F0(this, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
    return (function() {
      $m_sci_Stream$();
      return $m_sci_Stream$Empty$()
    })
  })(this)));
  return result
});
var $d_sci_StreamIterator = new $TypeData().initClass({
  sci_StreamIterator: 0
}, false, "scala.collection.immutable.StreamIterator", {
  sci_StreamIterator: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sci_StreamIterator.prototype.$classData = $d_sci_StreamIterator;
/** @constructor */
function $c_sci_Traversable$() {
  $c_scg_GenTraversableFactory.call(this)
}
$c_sci_Traversable$.prototype = new $h_scg_GenTraversableFactory();
$c_sci_Traversable$.prototype.constructor = $c_sci_Traversable$;
/** @constructor */
function $h_sci_Traversable$() {
  /*<skip>*/
}
$h_sci_Traversable$.prototype = $c_sci_Traversable$.prototype;
$c_sci_Traversable$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_sci_Traversable$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_ListBuffer().init___()
});
var $d_sci_Traversable$ = new $TypeData().initClass({
  sci_Traversable$: 0
}, false, "scala.collection.immutable.Traversable$", {
  sci_Traversable$: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sci_Traversable$.prototype.$classData = $d_sci_Traversable$;
var $n_sci_Traversable$ = (void 0);
function $m_sci_Traversable$() {
  if ((!$n_sci_Traversable$)) {
    $n_sci_Traversable$ = new $c_sci_Traversable$().init___()
  };
  return $n_sci_Traversable$
}
/** @constructor */
function $c_sci_TrieIterator() {
  $c_sc_AbstractIterator.call(this);
  this.elems$2 = null;
  this.scala$collection$immutable$TrieIterator$$depth$f = 0;
  this.scala$collection$immutable$TrieIterator$$arrayStack$f = null;
  this.scala$collection$immutable$TrieIterator$$posStack$f = null;
  this.scala$collection$immutable$TrieIterator$$arrayD$f = null;
  this.scala$collection$immutable$TrieIterator$$posD$f = 0;
  this.scala$collection$immutable$TrieIterator$$subIter$f = null
}
$c_sci_TrieIterator.prototype = new $h_sc_AbstractIterator();
$c_sci_TrieIterator.prototype.constructor = $c_sci_TrieIterator;
/** @constructor */
function $h_sci_TrieIterator() {
  /*<skip>*/
}
$h_sci_TrieIterator.prototype = $c_sci_TrieIterator.prototype;
$c_sci_TrieIterator.prototype.isContainer__p2__O__Z = (function(x) {
  return ($is_sci_HashMap$HashMap1(x) || $is_sci_HashSet$HashSet1(x))
});
$c_sci_TrieIterator.prototype.next__O = (function() {
  if ((this.scala$collection$immutable$TrieIterator$$subIter$f !== null)) {
    var el = this.scala$collection$immutable$TrieIterator$$subIter$f.next__O();
    if ((!this.scala$collection$immutable$TrieIterator$$subIter$f.hasNext__Z())) {
      this.scala$collection$immutable$TrieIterator$$subIter$f = null
    };
    return el
  } else {
    return this.next0__p2__Asci_Iterable__I__O(this.scala$collection$immutable$TrieIterator$$arrayD$f, this.scala$collection$immutable$TrieIterator$$posD$f)
  }
});
$c_sci_TrieIterator.prototype.initPosStack__AI = (function() {
  return $newArrayObject($d_I.getArrayOf(), [6])
});
$c_sci_TrieIterator.prototype.hasNext__Z = (function() {
  return ((this.scala$collection$immutable$TrieIterator$$subIter$f !== null) || (this.scala$collection$immutable$TrieIterator$$depth$f >= 0))
});
$c_sci_TrieIterator.prototype.next0__p2__Asci_Iterable__I__O = (function(elems, i) {
  _next0: while (true) {
    if ((i === (((-1) + elems.u.length) | 0))) {
      this.scala$collection$immutable$TrieIterator$$depth$f = (((-1) + this.scala$collection$immutable$TrieIterator$$depth$f) | 0);
      if ((this.scala$collection$immutable$TrieIterator$$depth$f >= 0)) {
        this.scala$collection$immutable$TrieIterator$$arrayD$f = this.scala$collection$immutable$TrieIterator$$arrayStack$f.get(this.scala$collection$immutable$TrieIterator$$depth$f);
        this.scala$collection$immutable$TrieIterator$$posD$f = this.scala$collection$immutable$TrieIterator$$posStack$f.get(this.scala$collection$immutable$TrieIterator$$depth$f);
        this.scala$collection$immutable$TrieIterator$$arrayStack$f.set(this.scala$collection$immutable$TrieIterator$$depth$f, null)
      } else {
        this.scala$collection$immutable$TrieIterator$$arrayD$f = null;
        this.scala$collection$immutable$TrieIterator$$posD$f = 0
      }
    } else {
      this.scala$collection$immutable$TrieIterator$$posD$f = ((1 + this.scala$collection$immutable$TrieIterator$$posD$f) | 0)
    };
    var m = elems.get(i);
    if (this.isContainer__p2__O__Z(m)) {
      return this.getElem__O__O(m)
    } else if (this.isTrie__p2__O__Z(m)) {
      if ((this.scala$collection$immutable$TrieIterator$$depth$f >= 0)) {
        this.scala$collection$immutable$TrieIterator$$arrayStack$f.set(this.scala$collection$immutable$TrieIterator$$depth$f, this.scala$collection$immutable$TrieIterator$$arrayD$f);
        this.scala$collection$immutable$TrieIterator$$posStack$f.set(this.scala$collection$immutable$TrieIterator$$depth$f, this.scala$collection$immutable$TrieIterator$$posD$f)
      };
      this.scala$collection$immutable$TrieIterator$$depth$f = ((1 + this.scala$collection$immutable$TrieIterator$$depth$f) | 0);
      this.scala$collection$immutable$TrieIterator$$arrayD$f = this.getElems__p2__sci_Iterable__Asci_Iterable(m);
      this.scala$collection$immutable$TrieIterator$$posD$f = 0;
      var temp$elems = this.getElems__p2__sci_Iterable__Asci_Iterable(m);
      elems = temp$elems;
      i = 0;
      continue _next0
    } else {
      this.scala$collection$immutable$TrieIterator$$subIter$f = m.iterator__sc_Iterator();
      return this.next__O()
    }
  }
});
$c_sci_TrieIterator.prototype.getElems__p2__sci_Iterable__Asci_Iterable = (function(x) {
  if ($is_sci_HashMap$HashTrieMap(x)) {
    var x2 = $as_sci_HashMap$HashTrieMap(x);
    var jsx$1 = x2.elems$6
  } else {
    if ((!$is_sci_HashSet$HashTrieSet(x))) {
      throw new $c_s_MatchError().init___O(x)
    };
    var x3 = $as_sci_HashSet$HashTrieSet(x);
    var jsx$1 = x3.elems$5
  };
  return $asArrayOf_sci_Iterable(jsx$1, 1)
});
$c_sci_TrieIterator.prototype.init___Asci_Iterable = (function(elems) {
  this.elems$2 = elems;
  this.scala$collection$immutable$TrieIterator$$depth$f = 0;
  this.scala$collection$immutable$TrieIterator$$arrayStack$f = this.initArrayStack__AAsci_Iterable();
  this.scala$collection$immutable$TrieIterator$$posStack$f = this.initPosStack__AI();
  this.scala$collection$immutable$TrieIterator$$arrayD$f = this.elems$2;
  this.scala$collection$immutable$TrieIterator$$posD$f = 0;
  this.scala$collection$immutable$TrieIterator$$subIter$f = null;
  return this
});
$c_sci_TrieIterator.prototype.isTrie__p2__O__Z = (function(x) {
  return ($is_sci_HashMap$HashTrieMap(x) || $is_sci_HashSet$HashTrieSet(x))
});
$c_sci_TrieIterator.prototype.initArrayStack__AAsci_Iterable = (function() {
  return $newArrayObject($d_sci_Iterable.getArrayOf().getArrayOf(), [6])
});
/** @constructor */
function $c_sci_VectorBuilder() {
  $c_O.call(this);
  this.blockIndex$1 = 0;
  this.lo$1 = 0;
  this.depth$1 = 0;
  this.display0$1 = null;
  this.display1$1 = null;
  this.display2$1 = null;
  this.display3$1 = null;
  this.display4$1 = null;
  this.display5$1 = null
}
$c_sci_VectorBuilder.prototype = new $h_O();
$c_sci_VectorBuilder.prototype.constructor = $c_sci_VectorBuilder;
/** @constructor */
function $h_sci_VectorBuilder() {
  /*<skip>*/
}
$h_sci_VectorBuilder.prototype = $c_sci_VectorBuilder.prototype;
$c_sci_VectorBuilder.prototype.display3__AO = (function() {
  return this.display3$1
});
$c_sci_VectorBuilder.prototype.init___ = (function() {
  this.display0$1 = $newArrayObject($d_O.getArrayOf(), [32]);
  this.depth$1 = 1;
  this.blockIndex$1 = 0;
  this.lo$1 = 0;
  return this
});
$c_sci_VectorBuilder.prototype.depth__I = (function() {
  return this.depth$1
});
$c_sci_VectorBuilder.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__O__sci_VectorBuilder(elem)
});
$c_sci_VectorBuilder.prototype.display5$und$eq__AO__V = (function(x$1) {
  this.display5$1 = x$1
});
$c_sci_VectorBuilder.prototype.display0__AO = (function() {
  return this.display0$1
});
$c_sci_VectorBuilder.prototype.display4__AO = (function() {
  return this.display4$1
});
$c_sci_VectorBuilder.prototype.display2$und$eq__AO__V = (function(x$1) {
  this.display2$1 = x$1
});
$c_sci_VectorBuilder.prototype.$$plus$eq__O__sci_VectorBuilder = (function(elem) {
  if ((this.lo$1 >= this.display0$1.u.length)) {
    var newBlockIndex = ((32 + this.blockIndex$1) | 0);
    var xor = (this.blockIndex$1 ^ newBlockIndex);
    $s_sci_VectorPointer$class__gotoNextBlockStartWritable__sci_VectorPointer__I__I__V(this, newBlockIndex, xor);
    this.blockIndex$1 = newBlockIndex;
    this.lo$1 = 0
  };
  this.display0$1.set(this.lo$1, elem);
  this.lo$1 = ((1 + this.lo$1) | 0);
  return this
});
$c_sci_VectorBuilder.prototype.result__O = (function() {
  return this.result__sci_Vector()
});
$c_sci_VectorBuilder.prototype.display1$und$eq__AO__V = (function(x$1) {
  this.display1$1 = x$1
});
$c_sci_VectorBuilder.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_sci_VectorBuilder.prototype.display4$und$eq__AO__V = (function(x$1) {
  this.display4$1 = x$1
});
$c_sci_VectorBuilder.prototype.display1__AO = (function() {
  return this.display1$1
});
$c_sci_VectorBuilder.prototype.display5__AO = (function() {
  return this.display5$1
});
$c_sci_VectorBuilder.prototype.result__sci_Vector = (function() {
  var size = ((this.blockIndex$1 + this.lo$1) | 0);
  if ((size === 0)) {
    var this$1 = $m_sci_Vector$();
    return this$1.NIL$6
  };
  var s = new $c_sci_Vector().init___I__I__I(0, size, 0);
  var depth = this.depth$1;
  $s_sci_VectorPointer$class__initFrom__sci_VectorPointer__sci_VectorPointer__I__V(s, this, depth);
  if ((this.depth$1 > 1)) {
    var xor = (((-1) + size) | 0);
    $s_sci_VectorPointer$class__gotoPos__sci_VectorPointer__I__I__V(s, 0, xor)
  };
  return s
});
$c_sci_VectorBuilder.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__O__sci_VectorBuilder(elem)
});
$c_sci_VectorBuilder.prototype.sizeHint__I__V = (function(size) {
  /*<skip>*/
});
$c_sci_VectorBuilder.prototype.depth$und$eq__I__V = (function(x$1) {
  this.depth$1 = x$1
});
$c_sci_VectorBuilder.prototype.display2__AO = (function() {
  return this.display2$1
});
$c_sci_VectorBuilder.prototype.display0$und$eq__AO__V = (function(x$1) {
  this.display0$1 = x$1
});
$c_sci_VectorBuilder.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return $as_sci_VectorBuilder($s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs))
});
$c_sci_VectorBuilder.prototype.display3$und$eq__AO__V = (function(x$1) {
  this.display3$1 = x$1
});
function $is_sci_VectorBuilder(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_VectorBuilder)))
}
function $as_sci_VectorBuilder(obj) {
  return (($is_sci_VectorBuilder(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.VectorBuilder"))
}
function $isArrayOf_sci_VectorBuilder(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_VectorBuilder)))
}
function $asArrayOf_sci_VectorBuilder(obj, depth) {
  return (($isArrayOf_sci_VectorBuilder(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.VectorBuilder;", depth))
}
var $d_sci_VectorBuilder = new $TypeData().initClass({
  sci_VectorBuilder: 0
}, false, "scala.collection.immutable.VectorBuilder", {
  sci_VectorBuilder: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  sci_VectorPointer: 1
});
$c_sci_VectorBuilder.prototype.$classData = $d_sci_VectorBuilder;
/** @constructor */
function $c_scm_Builder$$anon$1() {
  $c_O.call(this);
  this.self$1 = null;
  this.f$1$1 = null
}
$c_scm_Builder$$anon$1.prototype = new $h_O();
$c_scm_Builder$$anon$1.prototype.constructor = $c_scm_Builder$$anon$1;
/** @constructor */
function $h_scm_Builder$$anon$1() {
  /*<skip>*/
}
$h_scm_Builder$$anon$1.prototype = $c_scm_Builder$$anon$1.prototype;
$c_scm_Builder$$anon$1.prototype.init___scm_Builder__F1 = (function($$outer, f$1) {
  this.f$1$1 = f$1;
  this.self$1 = $$outer;
  return this
});
$c_scm_Builder$$anon$1.prototype.equals__O__Z = (function(that) {
  return $s_s_Proxy$class__equals__s_Proxy__O__Z(this, that)
});
$c_scm_Builder$$anon$1.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__O__scm_Builder$$anon$1(elem)
});
$c_scm_Builder$$anon$1.prototype.toString__T = (function() {
  return $s_s_Proxy$class__toString__s_Proxy__T(this)
});
$c_scm_Builder$$anon$1.prototype.$$plus$plus$eq__sc_TraversableOnce__scm_Builder$$anon$1 = (function(xs) {
  this.self$1.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs);
  return this
});
$c_scm_Builder$$anon$1.prototype.result__O = (function() {
  return this.f$1$1.apply__O__O(this.self$1.result__O())
});
$c_scm_Builder$$anon$1.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundColl) {
  this.self$1.sizeHintBounded__I__sc_TraversableLike__V(size, boundColl)
});
$c_scm_Builder$$anon$1.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__O__scm_Builder$$anon$1(elem)
});
$c_scm_Builder$$anon$1.prototype.$$plus$eq__O__scm_Builder$$anon$1 = (function(x) {
  this.self$1.$$plus$eq__O__scm_Builder(x);
  return this
});
$c_scm_Builder$$anon$1.prototype.hashCode__I = (function() {
  return this.self$1.hashCode__I()
});
$c_scm_Builder$$anon$1.prototype.sizeHint__I__V = (function(size) {
  this.self$1.sizeHint__I__V(size)
});
$c_scm_Builder$$anon$1.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return this.$$plus$plus$eq__sc_TraversableOnce__scm_Builder$$anon$1(xs)
});
var $d_scm_Builder$$anon$1 = new $TypeData().initClass({
  scm_Builder$$anon$1: 0
}, false, "scala.collection.mutable.Builder$$anon$1", {
  scm_Builder$$anon$1: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Proxy: 1
});
$c_scm_Builder$$anon$1.prototype.$classData = $d_scm_Builder$$anon$1;
/** @constructor */
function $c_scm_FlatHashTable$$anon$1() {
  $c_sc_AbstractIterator.call(this);
  this.i$2 = 0;
  this.$$outer$2 = null
}
$c_scm_FlatHashTable$$anon$1.prototype = new $h_sc_AbstractIterator();
$c_scm_FlatHashTable$$anon$1.prototype.constructor = $c_scm_FlatHashTable$$anon$1;
/** @constructor */
function $h_scm_FlatHashTable$$anon$1() {
  /*<skip>*/
}
$h_scm_FlatHashTable$$anon$1.prototype = $c_scm_FlatHashTable$$anon$1.prototype;
$c_scm_FlatHashTable$$anon$1.prototype.next__O = (function() {
  if (this.hasNext__Z()) {
    this.i$2 = ((1 + this.i$2) | 0);
    var this$1 = this.$$outer$2;
    var entry = this.$$outer$2.table$5.get((((-1) + this.i$2) | 0));
    return $s_scm_FlatHashTable$HashUtils$class__entryToElem__scm_FlatHashTable$HashUtils__O__O(this$1, entry)
  } else {
    return $m_sc_Iterator$().empty$1.next__O()
  }
});
$c_scm_FlatHashTable$$anon$1.prototype.init___scm_FlatHashTable = (function($$outer) {
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$2 = $$outer
  };
  this.i$2 = 0;
  return this
});
$c_scm_FlatHashTable$$anon$1.prototype.hasNext__Z = (function() {
  while (((this.i$2 < this.$$outer$2.table$5.u.length) && (this.$$outer$2.table$5.get(this.i$2) === null))) {
    this.i$2 = ((1 + this.i$2) | 0)
  };
  return (this.i$2 < this.$$outer$2.table$5.u.length)
});
var $d_scm_FlatHashTable$$anon$1 = new $TypeData().initClass({
  scm_FlatHashTable$$anon$1: 0
}, false, "scala.collection.mutable.FlatHashTable$$anon$1", {
  scm_FlatHashTable$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_scm_FlatHashTable$$anon$1.prototype.$classData = $d_scm_FlatHashTable$$anon$1;
/** @constructor */
function $c_scm_ListBuffer$$anon$1() {
  $c_sc_AbstractIterator.call(this);
  this.cursor$2 = null
}
$c_scm_ListBuffer$$anon$1.prototype = new $h_sc_AbstractIterator();
$c_scm_ListBuffer$$anon$1.prototype.constructor = $c_scm_ListBuffer$$anon$1;
/** @constructor */
function $h_scm_ListBuffer$$anon$1() {
  /*<skip>*/
}
$h_scm_ListBuffer$$anon$1.prototype = $c_scm_ListBuffer$$anon$1.prototype;
$c_scm_ListBuffer$$anon$1.prototype.init___scm_ListBuffer = (function($$outer) {
  this.cursor$2 = ($$outer.scala$collection$mutable$ListBuffer$$start$6.isEmpty__Z() ? $m_sci_Nil$() : $$outer.scala$collection$mutable$ListBuffer$$start$6);
  return this
});
$c_scm_ListBuffer$$anon$1.prototype.next__O = (function() {
  if ((!this.hasNext__Z())) {
    throw new $c_ju_NoSuchElementException().init___T("next on empty Iterator")
  } else {
    var ans = this.cursor$2.head__O();
    var this$1 = this.cursor$2;
    this.cursor$2 = this$1.tail__sci_List();
    return ans
  }
});
$c_scm_ListBuffer$$anon$1.prototype.hasNext__Z = (function() {
  return (this.cursor$2 !== $m_sci_Nil$())
});
var $d_scm_ListBuffer$$anon$1 = new $TypeData().initClass({
  scm_ListBuffer$$anon$1: 0
}, false, "scala.collection.mutable.ListBuffer$$anon$1", {
  scm_ListBuffer$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_scm_ListBuffer$$anon$1.prototype.$classData = $d_scm_ListBuffer$$anon$1;
function $is_sr_NonLocalReturnControl(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sr_NonLocalReturnControl)))
}
function $as_sr_NonLocalReturnControl(obj) {
  return (($is_sr_NonLocalReturnControl(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.runtime.NonLocalReturnControl"))
}
function $isArrayOf_sr_NonLocalReturnControl(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sr_NonLocalReturnControl)))
}
function $asArrayOf_sr_NonLocalReturnControl(obj, depth) {
  return (($isArrayOf_sr_NonLocalReturnControl(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.runtime.NonLocalReturnControl;", depth))
}
/** @constructor */
function $c_sr_ScalaRunTime$$anon$1() {
  $c_sc_AbstractIterator.call(this);
  this.c$2 = 0;
  this.cmax$2 = 0;
  this.x$2$2 = null
}
$c_sr_ScalaRunTime$$anon$1.prototype = new $h_sc_AbstractIterator();
$c_sr_ScalaRunTime$$anon$1.prototype.constructor = $c_sr_ScalaRunTime$$anon$1;
/** @constructor */
function $h_sr_ScalaRunTime$$anon$1() {
  /*<skip>*/
}
$h_sr_ScalaRunTime$$anon$1.prototype = $c_sr_ScalaRunTime$$anon$1.prototype;
$c_sr_ScalaRunTime$$anon$1.prototype.next__O = (function() {
  var result = this.x$2$2.productElement__I__O(this.c$2);
  this.c$2 = ((1 + this.c$2) | 0);
  return result
});
$c_sr_ScalaRunTime$$anon$1.prototype.init___s_Product = (function(x$2) {
  this.x$2$2 = x$2;
  this.c$2 = 0;
  this.cmax$2 = x$2.productArity__I();
  return this
});
$c_sr_ScalaRunTime$$anon$1.prototype.hasNext__Z = (function() {
  return (this.c$2 < this.cmax$2)
});
var $d_sr_ScalaRunTime$$anon$1 = new $TypeData().initClass({
  sr_ScalaRunTime$$anon$1: 0
}, false, "scala.runtime.ScalaRunTime$$anon$1", {
  sr_ScalaRunTime$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sr_ScalaRunTime$$anon$1.prototype.$classData = $d_sr_ScalaRunTime$$anon$1;
/** @constructor */
function $c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1.prototype.constructor = $c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1;
/** @constructor */
function $h_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1.prototype = $c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1.prototype;
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1.prototype.isDefinedAt__jl_Throwable__Z = (function(x4) {
  return $is_Lorg_scalajs_dom_ext_AjaxException(x4)
});
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1.prototype.applyOrElse__jl_Throwable__F1__O = (function(x4, $default) {
  if ($is_Lorg_scalajs_dom_ext_AjaxException(x4)) {
    var x2 = $as_Lorg_scalajs_dom_ext_AjaxException(x4);
    var xhr = x2.xhr$3;
    var y = $m_Lcom_iteration3_smilejs_BackendService$().com$iteration3$smilejs$BackendService$$processOutput__Lorg_scalajs_dom_raw_XMLHttpRequest__s_util_Either(xhr);
    return new $c_T2().init___O__O(xhr, y)
  } else {
    return $default.apply__O__O(x4)
  }
});
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__jl_Throwable__Z($as_jl_Throwable(x))
});
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__jl_Throwable__F1__O($as_jl_Throwable(x), $default)
});
var $d_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1: 0
}, false, "com.iteration3.smilejs.BackendService$$anonfun$getString$1", {
  Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1.prototype.$classData = $d_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1;
/** @constructor */
function $c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1.prototype.constructor = $c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1;
/** @constructor */
function $h_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1.prototype = $c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1.prototype;
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1.prototype.isDefinedAt__jl_Throwable__Z = (function(x1) {
  return $is_Lorg_scalajs_dom_ext_AjaxException(x1)
});
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1.prototype.applyOrElse__jl_Throwable__F1__O = (function(x1, $default) {
  if ($is_Lorg_scalajs_dom_ext_AjaxException(x1)) {
    var x2 = $as_Lorg_scalajs_dom_ext_AjaxException(x1);
    var xhr = x2.xhr$3;
    var y = $m_Lcom_iteration3_smilejs_BackendService$().com$iteration3$smilejs$BackendService$$processOutput__Lorg_scalajs_dom_raw_XMLHttpRequest__s_util_Either(xhr);
    return new $c_T2().init___O__O(xhr, y)
  } else {
    return $default.apply__O__O(x1)
  }
});
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__jl_Throwable__Z($as_jl_Throwable(x))
});
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__jl_Throwable__F1__O($as_jl_Throwable(x), $default)
});
var $d_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1: 0
}, false, "com.iteration3.smilejs.BackendService$$anonfun$postString$1", {
  Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1.prototype.$classData = $d_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1;
/** @constructor */
function $c_Lcom_iteration3_smilejs_ClientErrors() {
  $c_Lcom_iteration3_smilejs_ErrorResponse.call(this);
  this.list$2 = null
}
$c_Lcom_iteration3_smilejs_ClientErrors.prototype = new $h_Lcom_iteration3_smilejs_ErrorResponse();
$c_Lcom_iteration3_smilejs_ClientErrors.prototype.constructor = $c_Lcom_iteration3_smilejs_ClientErrors;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ClientErrors() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ClientErrors.prototype = $c_Lcom_iteration3_smilejs_ClientErrors.prototype;
$c_Lcom_iteration3_smilejs_ClientErrors.prototype.productPrefix__T = (function() {
  return "ClientErrors"
});
$c_Lcom_iteration3_smilejs_ClientErrors.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_iteration3_smilejs_ClientErrors.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_iteration3_smilejs_ClientErrors(x$1)) {
    var ClientErrors$1 = $as_Lcom_iteration3_smilejs_ClientErrors(x$1);
    var x = this.list$2;
    var x$2 = ClientErrors$1.list$2;
    return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
  } else {
    return false
  }
});
$c_Lcom_iteration3_smilejs_ClientErrors.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.list$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_iteration3_smilejs_ClientErrors.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_iteration3_smilejs_ClientErrors.prototype.init___sci_List = (function(list) {
  this.list$2 = list;
  $c_Lcom_iteration3_smilejs_ErrorResponse.prototype.init___I.call(this, 412);
  return this
});
$c_Lcom_iteration3_smilejs_ClientErrors.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_iteration3_smilejs_ClientErrors.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_iteration3_smilejs_ClientErrors(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_ClientErrors)))
}
function $as_Lcom_iteration3_smilejs_ClientErrors(obj) {
  return (($is_Lcom_iteration3_smilejs_ClientErrors(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.ClientErrors"))
}
function $isArrayOf_Lcom_iteration3_smilejs_ClientErrors(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_ClientErrors)))
}
function $asArrayOf_Lcom_iteration3_smilejs_ClientErrors(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_ClientErrors(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.ClientErrors;", depth))
}
var $d_Lcom_iteration3_smilejs_ClientErrors = new $TypeData().initClass({
  Lcom_iteration3_smilejs_ClientErrors: 0
}, false, "com.iteration3.smilejs.ClientErrors", {
  Lcom_iteration3_smilejs_ClientErrors: 1,
  Lcom_iteration3_smilejs_ErrorResponse: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_ClientErrors.prototype.$classData = $d_Lcom_iteration3_smilejs_ClientErrors;
/** @constructor */
function $c_Lcom_iteration3_smilejs_ClientExceptions() {
  $c_Lcom_iteration3_smilejs_ErrorResponse.call(this);
  this.list$2 = null
}
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype = new $h_Lcom_iteration3_smilejs_ErrorResponse();
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype.constructor = $c_Lcom_iteration3_smilejs_ClientExceptions;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ClientExceptions() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ClientExceptions.prototype = $c_Lcom_iteration3_smilejs_ClientExceptions.prototype;
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype.productPrefix__T = (function() {
  return "ClientExceptions"
});
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_iteration3_smilejs_ClientExceptions(x$1)) {
    var ClientExceptions$1 = $as_Lcom_iteration3_smilejs_ClientExceptions(x$1);
    var x = this.list$2;
    var x$2 = ClientExceptions$1.list$2;
    return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
  } else {
    return false
  }
});
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.list$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype.init___sci_List = (function(list) {
  this.list$2 = list;
  $c_Lcom_iteration3_smilejs_ErrorResponse.prototype.init___I.call(this, 400);
  return this
});
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_iteration3_smilejs_ClientExceptions(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_ClientExceptions)))
}
function $as_Lcom_iteration3_smilejs_ClientExceptions(obj) {
  return (($is_Lcom_iteration3_smilejs_ClientExceptions(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.ClientExceptions"))
}
function $isArrayOf_Lcom_iteration3_smilejs_ClientExceptions(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_ClientExceptions)))
}
function $asArrayOf_Lcom_iteration3_smilejs_ClientExceptions(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_ClientExceptions(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.ClientExceptions;", depth))
}
var $d_Lcom_iteration3_smilejs_ClientExceptions = new $TypeData().initClass({
  Lcom_iteration3_smilejs_ClientExceptions: 0
}, false, "com.iteration3.smilejs.ClientExceptions", {
  Lcom_iteration3_smilejs_ClientExceptions: 1,
  Lcom_iteration3_smilejs_ErrorResponse: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype.$classData = $d_Lcom_iteration3_smilejs_ClientExceptions;
/** @constructor */
function $c_Lcom_iteration3_smilejs_Forbidden() {
  $c_Lcom_iteration3_smilejs_ErrorResponse.call(this);
  this.reason$2 = null
}
$c_Lcom_iteration3_smilejs_Forbidden.prototype = new $h_Lcom_iteration3_smilejs_ErrorResponse();
$c_Lcom_iteration3_smilejs_Forbidden.prototype.constructor = $c_Lcom_iteration3_smilejs_Forbidden;
/** @constructor */
function $h_Lcom_iteration3_smilejs_Forbidden() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_Forbidden.prototype = $c_Lcom_iteration3_smilejs_Forbidden.prototype;
$c_Lcom_iteration3_smilejs_Forbidden.prototype.productPrefix__T = (function() {
  return "Forbidden"
});
$c_Lcom_iteration3_smilejs_Forbidden.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_iteration3_smilejs_Forbidden.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_iteration3_smilejs_Forbidden(x$1)) {
    var Forbidden$1 = $as_Lcom_iteration3_smilejs_Forbidden(x$1);
    return (this.reason$2 === Forbidden$1.reason$2)
  } else {
    return false
  }
});
$c_Lcom_iteration3_smilejs_Forbidden.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.reason$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_iteration3_smilejs_Forbidden.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_iteration3_smilejs_Forbidden.prototype.init___T = (function(reason) {
  this.reason$2 = reason;
  $c_Lcom_iteration3_smilejs_ErrorResponse.prototype.init___I.call(this, 403);
  return this
});
$c_Lcom_iteration3_smilejs_Forbidden.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_iteration3_smilejs_Forbidden.prototype.$$js$exported$prop$reason__O = (function() {
  return this.reason$2
});
$c_Lcom_iteration3_smilejs_Forbidden.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_iteration3_smilejs_Forbidden.prototype, "reason", {
  "get": (function() {
    return this.$$js$exported$prop$reason__O()
  }),
  "configurable": true
});
function $is_Lcom_iteration3_smilejs_Forbidden(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_Forbidden)))
}
function $as_Lcom_iteration3_smilejs_Forbidden(obj) {
  return (($is_Lcom_iteration3_smilejs_Forbidden(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.Forbidden"))
}
function $isArrayOf_Lcom_iteration3_smilejs_Forbidden(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_Forbidden)))
}
function $asArrayOf_Lcom_iteration3_smilejs_Forbidden(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_Forbidden(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.Forbidden;", depth))
}
var $d_Lcom_iteration3_smilejs_Forbidden = new $TypeData().initClass({
  Lcom_iteration3_smilejs_Forbidden: 0
}, false, "com.iteration3.smilejs.Forbidden", {
  Lcom_iteration3_smilejs_Forbidden: 1,
  Lcom_iteration3_smilejs_ErrorResponse: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_Forbidden.prototype.$classData = $d_Lcom_iteration3_smilejs_Forbidden;
/** @constructor */
function $c_Lcom_iteration3_smilejs_OtherResponse() {
  $c_Lcom_iteration3_smilejs_ErrorResponse.call(this);
  this.reason$2 = null
}
$c_Lcom_iteration3_smilejs_OtherResponse.prototype = new $h_Lcom_iteration3_smilejs_ErrorResponse();
$c_Lcom_iteration3_smilejs_OtherResponse.prototype.constructor = $c_Lcom_iteration3_smilejs_OtherResponse;
/** @constructor */
function $h_Lcom_iteration3_smilejs_OtherResponse() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_OtherResponse.prototype = $c_Lcom_iteration3_smilejs_OtherResponse.prototype;
$c_Lcom_iteration3_smilejs_OtherResponse.prototype.productPrefix__T = (function() {
  return "OtherResponse"
});
$c_Lcom_iteration3_smilejs_OtherResponse.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_iteration3_smilejs_OtherResponse.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_iteration3_smilejs_OtherResponse(x$1)) {
    var OtherResponse$1 = $as_Lcom_iteration3_smilejs_OtherResponse(x$1);
    return ((this.reason$2 === OtherResponse$1.reason$2) && (this.statusCode$1 === OtherResponse$1.statusCode$1))
  } else {
    return false
  }
});
$c_Lcom_iteration3_smilejs_OtherResponse.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.reason$2;
      break
    }
    case 1: {
      return this.statusCode$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_iteration3_smilejs_OtherResponse.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_iteration3_smilejs_OtherResponse.prototype.init___T__I = (function(reason, statusCode) {
  this.reason$2 = reason;
  $c_Lcom_iteration3_smilejs_ErrorResponse.prototype.init___I.call(this, statusCode);
  return this
});
$c_Lcom_iteration3_smilejs_OtherResponse.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.reason$2));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.statusCode$1);
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 2)
});
$c_Lcom_iteration3_smilejs_OtherResponse.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_iteration3_smilejs_OtherResponse(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_OtherResponse)))
}
function $as_Lcom_iteration3_smilejs_OtherResponse(obj) {
  return (($is_Lcom_iteration3_smilejs_OtherResponse(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.OtherResponse"))
}
function $isArrayOf_Lcom_iteration3_smilejs_OtherResponse(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_OtherResponse)))
}
function $asArrayOf_Lcom_iteration3_smilejs_OtherResponse(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_OtherResponse(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.OtherResponse;", depth))
}
var $d_Lcom_iteration3_smilejs_OtherResponse = new $TypeData().initClass({
  Lcom_iteration3_smilejs_OtherResponse: 0
}, false, "com.iteration3.smilejs.OtherResponse", {
  Lcom_iteration3_smilejs_OtherResponse: 1,
  Lcom_iteration3_smilejs_ErrorResponse: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_OtherResponse.prototype.$classData = $d_Lcom_iteration3_smilejs_OtherResponse;
/** @constructor */
function $c_Lcom_iteration3_smilejs_ServerError() {
  $c_Lcom_iteration3_smilejs_ErrorResponse.call(this);
  this.reason$2 = null
}
$c_Lcom_iteration3_smilejs_ServerError.prototype = new $h_Lcom_iteration3_smilejs_ErrorResponse();
$c_Lcom_iteration3_smilejs_ServerError.prototype.constructor = $c_Lcom_iteration3_smilejs_ServerError;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ServerError() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ServerError.prototype = $c_Lcom_iteration3_smilejs_ServerError.prototype;
$c_Lcom_iteration3_smilejs_ServerError.prototype.productPrefix__T = (function() {
  return "ServerError"
});
$c_Lcom_iteration3_smilejs_ServerError.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_iteration3_smilejs_ServerError.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_iteration3_smilejs_ServerError(x$1)) {
    var ServerError$1 = $as_Lcom_iteration3_smilejs_ServerError(x$1);
    return (this.reason$2 === ServerError$1.reason$2)
  } else {
    return false
  }
});
$c_Lcom_iteration3_smilejs_ServerError.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.reason$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_iteration3_smilejs_ServerError.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_iteration3_smilejs_ServerError.prototype.init___T = (function(reason) {
  this.reason$2 = reason;
  $c_Lcom_iteration3_smilejs_ErrorResponse.prototype.init___I.call(this, 500);
  return this
});
$c_Lcom_iteration3_smilejs_ServerError.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_iteration3_smilejs_ServerError.prototype.$$js$exported$prop$reason__O = (function() {
  return this.reason$2
});
$c_Lcom_iteration3_smilejs_ServerError.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_iteration3_smilejs_ServerError.prototype, "reason", {
  "get": (function() {
    return this.$$js$exported$prop$reason__O()
  }),
  "configurable": true
});
function $is_Lcom_iteration3_smilejs_ServerError(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_ServerError)))
}
function $as_Lcom_iteration3_smilejs_ServerError(obj) {
  return (($is_Lcom_iteration3_smilejs_ServerError(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.ServerError"))
}
function $isArrayOf_Lcom_iteration3_smilejs_ServerError(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_ServerError)))
}
function $asArrayOf_Lcom_iteration3_smilejs_ServerError(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_ServerError(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.ServerError;", depth))
}
var $d_Lcom_iteration3_smilejs_ServerError = new $TypeData().initClass({
  Lcom_iteration3_smilejs_ServerError: 0
}, false, "com.iteration3.smilejs.ServerError", {
  Lcom_iteration3_smilejs_ServerError: 1,
  Lcom_iteration3_smilejs_ErrorResponse: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_ServerError.prototype.$classData = $d_Lcom_iteration3_smilejs_ServerError;
/** @constructor */
function $c_Lcom_iteration3_smilejs_ServerTimeout() {
  $c_Lcom_iteration3_smilejs_ErrorResponse.call(this);
  this.ms$2 = 0
}
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype = new $h_Lcom_iteration3_smilejs_ErrorResponse();
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.constructor = $c_Lcom_iteration3_smilejs_ServerTimeout;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ServerTimeout() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ServerTimeout.prototype = $c_Lcom_iteration3_smilejs_ServerTimeout.prototype;
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.productPrefix__T = (function() {
  return "ServerTimeout"
});
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.$$js$exported$prop$ms__O = (function() {
  return this.ms$2
});
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_iteration3_smilejs_ServerTimeout(x$1)) {
    var ServerTimeout$1 = $as_Lcom_iteration3_smilejs_ServerTimeout(x$1);
    return (this.ms$2 === ServerTimeout$1.ms$2)
  } else {
    return false
  }
});
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.ms$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.init___I = (function(ms) {
  this.ms$2 = ms;
  $c_Lcom_iteration3_smilejs_ErrorResponse.prototype.init___I.call(this, 502);
  return this
});
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.ms$2);
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 1)
});
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_iteration3_smilejs_ServerTimeout.prototype, "ms", {
  "get": (function() {
    return this.$$js$exported$prop$ms__O()
  }),
  "configurable": true
});
function $is_Lcom_iteration3_smilejs_ServerTimeout(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_ServerTimeout)))
}
function $as_Lcom_iteration3_smilejs_ServerTimeout(obj) {
  return (($is_Lcom_iteration3_smilejs_ServerTimeout(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.ServerTimeout"))
}
function $isArrayOf_Lcom_iteration3_smilejs_ServerTimeout(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_ServerTimeout)))
}
function $asArrayOf_Lcom_iteration3_smilejs_ServerTimeout(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_ServerTimeout(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.ServerTimeout;", depth))
}
var $d_Lcom_iteration3_smilejs_ServerTimeout = new $TypeData().initClass({
  Lcom_iteration3_smilejs_ServerTimeout: 0
}, false, "com.iteration3.smilejs.ServerTimeout", {
  Lcom_iteration3_smilejs_ServerTimeout: 1,
  Lcom_iteration3_smilejs_ErrorResponse: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.$classData = $d_Lcom_iteration3_smilejs_ServerTimeout;
/** @constructor */
function $c_Lcom_iteration3_smilejs_Unauthorized() {
  $c_Lcom_iteration3_smilejs_ErrorResponse.call(this);
  this.reason$2 = null
}
$c_Lcom_iteration3_smilejs_Unauthorized.prototype = new $h_Lcom_iteration3_smilejs_ErrorResponse();
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.constructor = $c_Lcom_iteration3_smilejs_Unauthorized;
/** @constructor */
function $h_Lcom_iteration3_smilejs_Unauthorized() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_Unauthorized.prototype = $c_Lcom_iteration3_smilejs_Unauthorized.prototype;
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.productPrefix__T = (function() {
  return "Unauthorized"
});
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_iteration3_smilejs_Unauthorized(x$1)) {
    var Unauthorized$1 = $as_Lcom_iteration3_smilejs_Unauthorized(x$1);
    return (this.reason$2 === Unauthorized$1.reason$2)
  } else {
    return false
  }
});
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.reason$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.init___T = (function(reason) {
  this.reason$2 = reason;
  $c_Lcom_iteration3_smilejs_ErrorResponse.prototype.init___I.call(this, 401);
  return this
});
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.$$js$exported$prop$reason__O = (function() {
  return this.reason$2
});
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_iteration3_smilejs_Unauthorized.prototype, "reason", {
  "get": (function() {
    return this.$$js$exported$prop$reason__O()
  }),
  "configurable": true
});
function $is_Lcom_iteration3_smilejs_Unauthorized(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_Unauthorized)))
}
function $as_Lcom_iteration3_smilejs_Unauthorized(obj) {
  return (($is_Lcom_iteration3_smilejs_Unauthorized(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.Unauthorized"))
}
function $isArrayOf_Lcom_iteration3_smilejs_Unauthorized(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_Unauthorized)))
}
function $asArrayOf_Lcom_iteration3_smilejs_Unauthorized(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_Unauthorized(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.Unauthorized;", depth))
}
var $d_Lcom_iteration3_smilejs_Unauthorized = new $TypeData().initClass({
  Lcom_iteration3_smilejs_Unauthorized: 0
}, false, "com.iteration3.smilejs.Unauthorized", {
  Lcom_iteration3_smilejs_Unauthorized: 1,
  Lcom_iteration3_smilejs_ErrorResponse: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.$classData = $d_Lcom_iteration3_smilejs_Unauthorized;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1$$anonfun$apply$1() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1$$anonfun$apply$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1$$anonfun$apply$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1$$anonfun$apply$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1$$anonfun$apply$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1$$anonfun$apply$1.prototype = $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1$$anonfun$apply$1.prototype;
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1$$anonfun$apply$1.prototype.init___Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1$$anonfun$apply$1.prototype.applyOrElse__T2__F1__O = (function(x1, $default) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V("Comment Added", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      $m_Lcom_metastay_monitorapp_bus_CommentBus$().emitCommentAdded__V();
      return (void 0)
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_CommentActionsCode$().com$metastay$monitorapp$actions$CommentActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x1)
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1$$anonfun$apply$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1$$anonfun$apply$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1$$anonfun$apply$1.prototype.isDefinedAt__T2__Z = (function(x1) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1$$anonfun$apply$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1$$anonfun$apply$1: 0
}, false, "com.metastay.monitorapp.actions.CommentActionsCode$$anonfun$addFlowComment$1$$anonfun$apply$1", {
  Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1$$anonfun$apply$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1$$anonfun$apply$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addFlowComment$1$$anonfun$apply$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1$$anonfun$apply$2() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1$$anonfun$apply$2.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1$$anonfun$apply$2.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1$$anonfun$apply$2;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1$$anonfun$apply$2() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1$$anonfun$apply$2.prototype = $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1$$anonfun$apply$2.prototype;
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1$$anonfun$apply$2.prototype.init___Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1$$anonfun$apply$2.prototype.applyOrElse__T2__F1__O = (function(x2, $default) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V("Comment Added", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      $m_Lcom_metastay_monitorapp_bus_CommentBus$().emitCommentAdded__V();
      return (void 0)
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_CommentActionsCode$().com$metastay$monitorapp$actions$CommentActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x2)
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1$$anonfun$apply$2.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1$$anonfun$apply$2.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1$$anonfun$apply$2.prototype.isDefinedAt__T2__Z = (function(x2) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1$$anonfun$apply$2 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1$$anonfun$apply$2: 0
}, false, "com.metastay.monitorapp.actions.CommentActionsCode$$anonfun$addTaskComment$1$$anonfun$apply$2", {
  Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1$$anonfun$apply$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1$$anonfun$apply$2.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$addTaskComment$1$$anonfun$apply$2;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1$$anonfun$apply$3() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1$$anonfun$apply$3.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1$$anonfun$apply$3.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1$$anonfun$apply$3;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1$$anonfun$apply$3() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1$$anonfun$apply$3.prototype = $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1$$anonfun$apply$3.prototype;
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1$$anonfun$apply$3.prototype.init___Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1$$anonfun$apply$3.prototype.applyOrElse__T2__F1__O = (function(x3, $default) {
  if ((x3 !== null)) {
    var p2 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3$2 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3$2.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_monitordata_data_Comment(output$2);
        return $m_Lcom_metastay_monitorapp_data_CommentGrid$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_monitorapp_bus_CommentBus$().emitCommentListLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x3 !== null)) {
    var p4 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_CommentActionsCode$().com$metastay$monitorapp$actions$CommentActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x3)
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1$$anonfun$apply$3.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1$$anonfun$apply$3.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1$$anonfun$apply$3.prototype.isDefinedAt__T2__Z = (function(x3) {
  if ((x3 !== null)) {
    var p2 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x3 !== null)) {
    var p4 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1$$anonfun$apply$3 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1$$anonfun$apply$3: 0
}, false, "com.metastay.monitorapp.actions.CommentActionsCode$$anonfun$loadFlowCommentList$1$$anonfun$apply$3", {
  Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1$$anonfun$apply$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1$$anonfun$apply$3.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadFlowCommentList$1$$anonfun$apply$3;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1$$anonfun$apply$4() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1$$anonfun$apply$4.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1$$anonfun$apply$4.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1$$anonfun$apply$4;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1$$anonfun$apply$4() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1$$anonfun$apply$4.prototype = $c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1$$anonfun$apply$4.prototype;
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1$$anonfun$apply$4.prototype.init___Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1$$anonfun$apply$4.prototype.applyOrElse__T2__F1__O = (function(x4, $default) {
  if ((x4 !== null)) {
    var p2 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_monitordata_data_Comment(output$2);
        return $m_Lcom_metastay_monitorapp_data_CommentGrid$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_monitorapp_bus_CommentBus$().emitCommentListLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x4 !== null)) {
    var p4 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_CommentActionsCode$().com$metastay$monitorapp$actions$CommentActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x4)
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1$$anonfun$apply$4.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1$$anonfun$apply$4.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1$$anonfun$apply$4.prototype.isDefinedAt__T2__Z = (function(x4) {
  if ((x4 !== null)) {
    var p2 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x4 !== null)) {
    var p4 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1$$anonfun$apply$4 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1$$anonfun$apply$4: 0
}, false, "com.metastay.monitorapp.actions.CommentActionsCode$$anonfun$loadTaskCommentList$1$$anonfun$apply$4", {
  Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1$$anonfun$apply$4: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1$$anonfun$apply$4.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_CommentActionsCode$$anonfun$loadTaskCommentList$1$$anonfun$apply$4;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1() {
  $c_sr_AbstractPartialFunction.call(this);
  this.store$1$2 = null
}
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1.prototype = $c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1.prototype;
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1.prototype.init___Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1__Lcom_metastay_monitorapp_store_Store = (function($$outer, store$1) {
  this.store$1$2 = store$1;
  return this
});
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1.prototype.applyOrElse__T2__F1__O = (function(x1, $default) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var output = $as_Lsmilejs_com_metastay_monitordata_data_UserDetails(x3.b$2);
      var userDetails = $m_Lcom_metastay_monitorapp_data_UserDetails$().fromDynamic(output.toJson__sjs_js_Dynamic());
      var jsx$1 = $m_Lcom_metastay_monitorapp_store_Store$Ext$();
      var store = this.store$1$2;
      jsx$1.MUTATE$undUSER$undDETAILS$extension__Lcom_metastay_monitorapp_store_Store__Lcom_metastay_monitorapp_data_UserDetails__V(store, userDetails);
      var jsx$2 = $m_Lcom_metastay_monitorapp_store_Store$Ext$();
      var store$1 = this.store$1$2;
      jsx$2.MUTATE$undTASK$undSTATE$undLIST$extension__Lcom_metastay_monitorapp_store_Store__sjs_js_Array__V(store$1, $m_Lcom_metastay_monitorapp_enums_TaskState$().idList$1);
      return (void 0)
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$().com$metastay$monitorapp$actions$LoggedInUserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x1)
});
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1.prototype.isDefinedAt__T2__Z = (function(x1) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1: 0
}, false, "com.metastay.monitorapp.actions.LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1", {
  Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1$$anonfun$apply$mcV$sp$1() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1$$anonfun$apply$mcV$sp$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1$$anonfun$apply$mcV$sp$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1$$anonfun$apply$mcV$sp$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1$$anonfun$apply$mcV$sp$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1$$anonfun$apply$mcV$sp$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1$$anonfun$apply$mcV$sp$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1$$anonfun$apply$mcV$sp$1.prototype.init___Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1$$anonfun$apply$mcV$sp$1.prototype.applyOrElse__T2__F1__O = (function(x1, $default) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDashboardSummary(output$2);
        return $m_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$().emitMonitorFlowDashboardSummaryListLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$().com$metastay$monitorapp$actions$MonitorDashboardActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x1)
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1$$anonfun$apply$mcV$sp$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1$$anonfun$apply$mcV$sp$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1$$anonfun$apply$mcV$sp$1.prototype.isDefinedAt__T2__Z = (function(x1) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1$$anonfun$apply$mcV$sp$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1$$anonfun$apply$mcV$sp$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1$$anonfun$apply$mcV$sp$1", {
  Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1$$anonfun$apply$mcV$sp$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1$$anonfun$apply$mcV$sp$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1$$anonfun$apply$mcV$sp$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1$$anonfun$apply$mcV$sp$2() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1$$anonfun$apply$mcV$sp$2.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1$$anonfun$apply$mcV$sp$2.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1$$anonfun$apply$mcV$sp$2;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1$$anonfun$apply$mcV$sp$2() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1$$anonfun$apply$mcV$sp$2.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1$$anonfun$apply$mcV$sp$2.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1$$anonfun$apply$mcV$sp$2.prototype.init___Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1$$anonfun$apply$mcV$sp$2.prototype.applyOrElse__T2__F1__O = (function(x2, $default) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDashboardSummary(output$2);
        return $m_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2$1 = $as_sjs_js_ArrayOps(col);
        var list = x2$1.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$().emitMonitorTaskDashboardSummaryListLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$().com$metastay$monitorapp$actions$MonitorDashboardActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x2)
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1$$anonfun$apply$mcV$sp$2.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1$$anonfun$apply$mcV$sp$2.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1$$anonfun$apply$mcV$sp$2.prototype.isDefinedAt__T2__Z = (function(x2) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1$$anonfun$apply$mcV$sp$2 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1$$anonfun$apply$mcV$sp$2: 0
}, false, "com.metastay.monitorapp.actions.MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1$$anonfun$apply$mcV$sp$2", {
  Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1$$anonfun$apply$mcV$sp$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1$$anonfun$apply$mcV$sp$2.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1$$anonfun$apply$mcV$sp$2;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1$$anonfun$apply$mcV$sp$3() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1$$anonfun$apply$mcV$sp$3.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1$$anonfun$apply$mcV$sp$3.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1$$anonfun$apply$mcV$sp$3;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1$$anonfun$apply$mcV$sp$3() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1$$anonfun$apply$mcV$sp$3.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1$$anonfun$apply$mcV$sp$3.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1$$anonfun$apply$mcV$sp$3.prototype.init___Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1$$anonfun$apply$mcV$sp$3.prototype.applyOrElse__T2__F1__O = (function(x3, $default) {
  if ((x3 !== null)) {
    var p2 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3$2 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3$2.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_monitordata_data_MonitorUserDashboardSummary(output$2);
        return $m_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$().emitMonitorUserDashboardSummaryListLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x3 !== null)) {
    var p4 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$().com$metastay$monitorapp$actions$MonitorDashboardActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x3)
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1$$anonfun$apply$mcV$sp$3.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1$$anonfun$apply$mcV$sp$3.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1$$anonfun$apply$mcV$sp$3.prototype.isDefinedAt__T2__Z = (function(x3) {
  if ((x3 !== null)) {
    var p2 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x3 !== null)) {
    var p4 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1$$anonfun$apply$mcV$sp$3 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1$$anonfun$apply$mcV$sp$3: 0
}, false, "com.metastay.monitorapp.actions.MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1$$anonfun$apply$mcV$sp$3", {
  Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1$$anonfun$apply$mcV$sp$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1$$anonfun$apply$mcV$sp$3.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1$$anonfun$apply$mcV$sp$3;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1$$anonfun$apply$4() {
  $c_sr_AbstractPartialFunction.call(this);
  this.flowId$1$2 = null
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1$$anonfun$apply$4.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1$$anonfun$apply$4.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1$$anonfun$apply$4;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1$$anonfun$apply$4() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1$$anonfun$apply$4.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1$$anonfun$apply$4.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1$$anonfun$apply$4.prototype.applyOrElse__T2__F1__O = (function(x5, $default) {
  if ((x5 !== null)) {
    var p2 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V("Flow has been cancelled", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      $m_Lcom_metastay_monitorapp_bus_MonitorFlowBus$().emitFlowCancelled__T__V(this.flowId$1$2);
      return (void 0)
    }
  };
  if ((x5 !== null)) {
    var p4 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5$2 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5$2.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$().com$metastay$monitorapp$actions$MonitorFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x5)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1$$anonfun$apply$4.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1$$anonfun$apply$4.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1$$anonfun$apply$4.prototype.init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1__T = (function($$outer, flowId$1) {
  this.flowId$1$2 = flowId$1;
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1$$anonfun$apply$4.prototype.isDefinedAt__T2__Z = (function(x5) {
  if ((x5 !== null)) {
    var p2 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x5 !== null)) {
    var p4 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1$$anonfun$apply$4 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1$$anonfun$apply$4: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$cancel$1$$anonfun$apply$4", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1$$anonfun$apply$4: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1$$anonfun$apply$4.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$cancel$1$$anonfun$apply$4;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1$$anonfun$apply$5() {
  $c_sr_AbstractPartialFunction.call(this);
  this.flowId$2$2 = null;
  this.priority$1$2 = 0
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1$$anonfun$apply$5.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1$$anonfun$apply$5.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1$$anonfun$apply$5;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1$$anonfun$apply$5() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1$$anonfun$apply$5.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1$$anonfun$apply$5.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1$$anonfun$apply$5.prototype.init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1__T__I = (function($$outer, flowId$2, priority$1) {
  this.flowId$2$2 = flowId$2;
  this.priority$1$2 = priority$1;
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1$$anonfun$apply$5.prototype.applyOrElse__T2__F1__O = (function(x6, $default) {
  if ((x6 !== null)) {
    var p2 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V("Flow priority has been changed", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      $m_Lcom_metastay_monitorapp_bus_MonitorFlowBus$().emitFlowPriorityChanged__T__I__V(this.flowId$2$2, this.priority$1$2);
      return (void 0)
    }
  };
  if ((x6 !== null)) {
    var p4 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$().com$metastay$monitorapp$actions$MonitorFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x6)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1$$anonfun$apply$5.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1$$anonfun$apply$5.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1$$anonfun$apply$5.prototype.isDefinedAt__T2__Z = (function(x6) {
  if ((x6 !== null)) {
    var p2 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x6 !== null)) {
    var p4 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1$$anonfun$apply$5 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1$$anonfun$apply$5: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$changePriority$1$$anonfun$apply$5", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1$$anonfun$apply$5: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1$$anonfun$apply$5.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$changePriority$1$$anonfun$apply$5;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1$$anonfun$apply$3() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1$$anonfun$apply$3.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1$$anonfun$apply$3.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1$$anonfun$apply$3;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1$$anonfun$apply$3() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1$$anonfun$apply$3.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1$$anonfun$apply$3.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1$$anonfun$apply$3.prototype.applyOrElse__T2__F1__O = (function(x4, $default) {
  if ((x4 !== null)) {
    var p2 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var output = $as_Lcom_metastay_monitorapp_service_valeyflowwriter_Create$Output(x3.b$2);
      return $m_sjs_js_timers_package$().setTimeout__D__F0__sjs_js_timers_SetTimeoutHandle(2000.0, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(output$1) {
        return (function() {
          $m_Lcom_metastay_monitorapp_bus_MonitorFlowBus$().emitFlowCreated__T__V(output$1.flowId$1)
        })
      })(output)))
    }
  };
  if ((x4 !== null)) {
    var p4 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$().com$metastay$monitorapp$actions$MonitorFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x4)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1$$anonfun$apply$3.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1$$anonfun$apply$3.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1$$anonfun$apply$3.prototype.init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1$$anonfun$apply$3.prototype.isDefinedAt__T2__Z = (function(x4) {
  if ((x4 !== null)) {
    var p2 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x4 !== null)) {
    var p4 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1$$anonfun$apply$3 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1$$anonfun$apply$3: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$createFlow$1$$anonfun$apply$3", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1$$anonfun$apply$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1$$anonfun$apply$3.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$createFlow$1$$anonfun$apply$3;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1$$anonfun$apply$7() {
  $c_sr_AbstractPartialFunction.call(this);
  this.flowId$4$2 = null
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1$$anonfun$apply$7.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1$$anonfun$apply$7.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1$$anonfun$apply$7;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1$$anonfun$apply$7() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1$$anonfun$apply$7.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1$$anonfun$apply$7.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1$$anonfun$apply$7.prototype.applyOrElse__T2__F1__O = (function(x8, $default) {
  if ((x8 !== null)) {
    var p2 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V("Flow has been force completed", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      $m_Lcom_metastay_monitorapp_bus_MonitorFlowBus$().emitFlowForceComplete__T__V(this.flowId$4$2);
      return (void 0)
    }
  };
  if ((x8 !== null)) {
    var p4 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$().com$metastay$monitorapp$actions$MonitorFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x8)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1$$anonfun$apply$7.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1$$anonfun$apply$7.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1$$anonfun$apply$7.prototype.init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1__T = (function($$outer, flowId$4) {
  this.flowId$4$2 = flowId$4;
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1$$anonfun$apply$7.prototype.isDefinedAt__T2__Z = (function(x8) {
  if ((x8 !== null)) {
    var p2 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x8 !== null)) {
    var p4 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1$$anonfun$apply$7 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1$$anonfun$apply$7: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$forceComplete$1$$anonfun$apply$7", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1$$anonfun$apply$7: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1$$anonfun$apply$7.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$forceComplete$1$$anonfun$apply$7;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12() {
  $c_sr_AbstractPartialFunction.call(this);
  this.store$2$2 = null
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12.prototype.init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1__Lcom_metastay_monitorapp_store_Store = (function($$outer, store$2) {
  this.store$2$2 = store$2;
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12.prototype.applyOrElse__T2__F1__O = (function(x13, $default) {
  if ((x13 !== null)) {
    var p2 = $as_s_util_Either(x13.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var resultList = $as_Lcom_metastay_monitorapp_service_monitorflowreader_GetFlowNameList$Output(x3.b$2);
      var this$5 = resultList.fqFlowNameList$1;
      var f = (function(output$2) {
        var output = $as_T(output$2);
        var xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(output, "::", 0);
        var this$3 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
        return new ($a_Lcom_metastay_monitorapp_data_FqFlowName())(output, $as_T($s_sc_IndexedSeqOptimized$class__last__sc_IndexedSeqOptimized__O(this$3)))
      });
      var this$4 = $m_sci_List$();
      var bf = this$4.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((this$5 === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = this$5.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = this$5.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$6 = rest;
            rest = this$6.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf);
        var these = this$5;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$7 = these;
          these = this$7.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$10 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var fqFlowNameList = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var fqFlowNameList = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$10, result)));
        var fqFlowNameList = result
      };
      var jsx$2 = $m_Lcom_metastay_monitorapp_store_Store$Ext$();
      var store = this.store$2$2;
      jsx$2.MUTATE$undFQ$undFLOW$undNAME$undLIST$extension__Lcom_metastay_monitorapp_store_Store__sjs_js_Array__V(store, fqFlowNameList);
      return (void 0)
    }
  };
  if ((x13 !== null)) {
    var p4 = $as_s_util_Either(x13.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$().com$metastay$monitorapp$actions$MonitorFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x13)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12.prototype.isDefinedAt__T2__Z = (function(x13) {
  if ((x13 !== null)) {
    var p2 = $as_s_util_Either(x13.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x13 !== null)) {
    var p4 = $as_s_util_Either(x13.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1$$anonfun$apply$10() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1$$anonfun$apply$10.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1$$anonfun$apply$10.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1$$anonfun$apply$10;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1$$anonfun$apply$10() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1$$anonfun$apply$10.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1$$anonfun$apply$10.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1$$anonfun$apply$10.prototype.applyOrElse__T2__F1__O = (function(x11, $default) {
  if ((x11 !== null)) {
    var p2 = $as_s_util_Either(x11.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var output = $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetDocumentSchema$Output(x3.b$2);
      $m_Lcom_metastay_monitorapp_bus_MonitorFlowBus$().emitDocumentSchemaLoaded__T__V(output.documentSchema$1);
      return (void 0)
    }
  };
  if ((x11 !== null)) {
    var p4 = $as_s_util_Either(x11.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$().com$metastay$monitorapp$actions$MonitorFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x11)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1$$anonfun$apply$10.prototype.init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1$$anonfun$apply$10.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1$$anonfun$apply$10.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1$$anonfun$apply$10.prototype.isDefinedAt__T2__Z = (function(x11) {
  if ((x11 !== null)) {
    var p2 = $as_s_util_Either(x11.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x11 !== null)) {
    var p4 = $as_s_util_Either(x11.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1$$anonfun$apply$10 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1$$anonfun$apply$10: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1$$anonfun$apply$10", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1$$anonfun$apply$10: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1$$anonfun$apply$10.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadDocumentSchema$1$$anonfun$apply$10;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1$$anonfun$apply$mcV$sp$1() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1$$anonfun$apply$mcV$sp$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1$$anonfun$apply$mcV$sp$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1$$anonfun$apply$mcV$sp$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1$$anonfun$apply$mcV$sp$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1$$anonfun$apply$mcV$sp$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1$$anonfun$apply$mcV$sp$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1$$anonfun$apply$mcV$sp$1.prototype.applyOrElse__T2__F1__O = (function(x3, $default) {
  if ((x3 !== null)) {
    var p2 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3$2 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3$2.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_monitordata_data_MonitorTeamEarliestFlowMap(output$2);
        return $m_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var earliestActiveFlowMapList = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var earliestActiveFlowMapList = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var earliestActiveFlowMapList = result
      };
      $m_Lcom_metastay_monitorapp_bus_MonitorFlowBus$().emitEarliestActiveFlowListLoaded__sjs_js_Array__V(earliestActiveFlowMapList);
      return (void 0)
    }
  };
  if ((x3 !== null)) {
    var p4 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$().com$metastay$monitorapp$actions$MonitorFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x3)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1$$anonfun$apply$mcV$sp$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1$$anonfun$apply$mcV$sp$1.prototype.init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1$$anonfun$apply$mcV$sp$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1$$anonfun$apply$mcV$sp$1.prototype.isDefinedAt__T2__Z = (function(x3) {
  if ((x3 !== null)) {
    var p2 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x3 !== null)) {
    var p4 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1$$anonfun$apply$mcV$sp$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1$$anonfun$apply$mcV$sp$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1$$anonfun$apply$mcV$sp$1", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1$$anonfun$apply$mcV$sp$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1$$anonfun$apply$mcV$sp$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1$$anonfun$apply$mcV$sp$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1$$anonfun$apply$11() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1$$anonfun$apply$11.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1$$anonfun$apply$11.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1$$anonfun$apply$11;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1$$anonfun$apply$11() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1$$anonfun$apply$11.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1$$anonfun$apply$11.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1$$anonfun$apply$11.prototype.init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1$$anonfun$apply$11.prototype.applyOrElse__T2__F1__O = (function(x12, $default) {
  if ((x12 !== null)) {
    var p2 = $as_s_util_Either(x12.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_monitordata_data_MonitorFlowError(output$2);
        return $m_Lcom_metastay_monitorapp_data_MonitorFlowError$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_monitorapp_bus_MonitorFlowBus$().emitFlowErrorListLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x12 !== null)) {
    var p4 = $as_s_util_Either(x12.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$().com$metastay$monitorapp$actions$MonitorFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x12)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1$$anonfun$apply$11.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1$$anonfun$apply$11.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1$$anonfun$apply$11.prototype.isDefinedAt__T2__Z = (function(x12) {
  if ((x12 !== null)) {
    var p2 = $as_s_util_Either(x12.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x12 !== null)) {
    var p4 = $as_s_util_Either(x12.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1$$anonfun$apply$11 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1$$anonfun$apply$11: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1$$anonfun$apply$11", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1$$anonfun$apply$11: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1$$anonfun$apply$11.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadFlowErrorList$1$$anonfun$apply$11;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1$$anonfun$apply$9() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1$$anonfun$apply$9.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1$$anonfun$apply$9.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1$$anonfun$apply$9;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1$$anonfun$apply$9() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1$$anonfun$apply$9.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1$$anonfun$apply$9.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1$$anonfun$apply$9.prototype.init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1$$anonfun$apply$9.prototype.applyOrElse__T2__F1__O = (function(x10, $default) {
  if ((x10 !== null)) {
    var p2 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetNetInitDocumentSchemaMap$Output(output$2);
        return $m_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_monitorapp_bus_MonitorFlowBus$().emitInitDocumentSchemaLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x10 !== null)) {
    var p4 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$().com$metastay$monitorapp$actions$MonitorFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x10)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1$$anonfun$apply$9.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1$$anonfun$apply$9.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1$$anonfun$apply$9.prototype.isDefinedAt__T2__Z = (function(x10) {
  if ((x10 !== null)) {
    var p2 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x10 !== null)) {
    var p4 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1$$anonfun$apply$9 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1$$anonfun$apply$9: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1$$anonfun$apply$9", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1$$anonfun$apply$9: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1$$anonfun$apply$9.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadInitDocumentSchema$1$$anonfun$apply$9;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1$$anonfun$apply$2() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1$$anonfun$apply$2.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1$$anonfun$apply$2.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1$$anonfun$apply$2;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1$$anonfun$apply$2() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1$$anonfun$apply$2.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1$$anonfun$apply$2.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1$$anonfun$apply$2.prototype.init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1$$anonfun$apply$2.prototype.applyOrElse__T2__F1__O = (function(x2, $default) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var output = $as_Lsmilejs_com_metastay_monitordata_data_MonitorFlowDetails(x3.b$2);
      var details = $m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$().fromDynamic(output.toJson__sjs_js_Dynamic());
      $m_Lcom_metastay_monitorapp_bus_MonitorFlowBus$().emitMonitorFlowDetailsLoaded__Lcom_metastay_monitorapp_data_MonitorFlowDetails__V(details);
      return (void 0)
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$().com$metastay$monitorapp$actions$MonitorFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x2)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1$$anonfun$apply$2.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1$$anonfun$apply$2.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1$$anonfun$apply$2.prototype.isDefinedAt__T2__Z = (function(x2) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1$$anonfun$apply$2 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1$$anonfun$apply$2: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1$$anonfun$apply$2", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1$$anonfun$apply$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1$$anonfun$apply$2.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadMonitorFlowDetails$1$$anonfun$apply$2;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1$$anonfun$apply$17() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1$$anonfun$apply$17.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1$$anonfun$apply$17.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1$$anonfun$apply$17;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1$$anonfun$apply$17() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1$$anonfun$apply$17.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1$$anonfun$apply$17.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1$$anonfun$apply$17.prototype.init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1$$anonfun$apply$17.prototype.applyOrElse__T2__F1__O = (function(x19, $default) {
  if ((x19 !== null)) {
    var p2 = $as_s_util_Either(x19.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallList$Output(output$2);
        return $m_Lcom_metastay_monitorapp_data_StallEntryGrid$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var stallSetList = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var stallSetList = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var stallSetList = result
      };
      $m_Lcom_metastay_monitorapp_bus_MonitorFlowBus$().emitStallEntryListLoaded__sjs_js_Array__V(stallSetList);
      return (void 0)
    }
  };
  if ((x19 !== null)) {
    var p4 = $as_s_util_Either(x19.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$().com$metastay$monitorapp$actions$MonitorFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x19)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1$$anonfun$apply$17.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1$$anonfun$apply$17.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1$$anonfun$apply$17.prototype.isDefinedAt__T2__Z = (function(x19) {
  if ((x19 !== null)) {
    var p2 = $as_s_util_Either(x19.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x19 !== null)) {
    var p4 = $as_s_util_Either(x19.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1$$anonfun$apply$17 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1$$anonfun$apply$17: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$loadStallEntryList$1$$anonfun$apply$17", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1$$anonfun$apply$17: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1$$anonfun$apply$17.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1$$anonfun$apply$17;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1$$anonfun$apply$mcV$sp$2() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1$$anonfun$apply$mcV$sp$2.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1$$anonfun$apply$mcV$sp$2.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1$$anonfun$apply$mcV$sp$2;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1$$anonfun$apply$mcV$sp$2() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1$$anonfun$apply$mcV$sp$2.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1$$anonfun$apply$mcV$sp$2.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1$$anonfun$apply$mcV$sp$2.prototype.init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1$$anonfun$apply$mcV$sp$2.prototype.applyOrElse__T2__F1__O = (function(x18, $default) {
  if ((x18 !== null)) {
    var p2 = $as_s_util_Either(x18.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lcom_metastay_monitorapp_service_valeyflowreader_GetFlowStallSetList$Output(output$2);
        return $m_Lcom_metastay_monitorapp_data_StallSetGrid$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var stallSetList = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var stallSetList = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var stallSetList = result
      };
      $m_Lcom_metastay_monitorapp_bus_MonitorFlowBus$().emitStallSetListLoaded__sjs_js_Array__V(stallSetList);
      return (void 0)
    }
  };
  if ((x18 !== null)) {
    var p4 = $as_s_util_Either(x18.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$().com$metastay$monitorapp$actions$MonitorFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x18)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1$$anonfun$apply$mcV$sp$2.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1$$anonfun$apply$mcV$sp$2.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1$$anonfun$apply$mcV$sp$2.prototype.isDefinedAt__T2__Z = (function(x18) {
  if ((x18 !== null)) {
    var p2 = $as_s_util_Either(x18.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x18 !== null)) {
    var p4 = $as_s_util_Either(x18.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1$$anonfun$apply$mcV$sp$2 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1$$anonfun$apply$mcV$sp$2: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$loadStallSetList$1$$anonfun$apply$mcV$sp$2", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1$$anonfun$apply$mcV$sp$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1$$anonfun$apply$mcV$sp$2.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1$$anonfun$apply$mcV$sp$2;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1$$anonfun$apply$15() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1$$anonfun$apply$15.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1$$anonfun$apply$15.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1$$anonfun$apply$15;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1$$anonfun$apply$15() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1$$anonfun$apply$15.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1$$anonfun$apply$15.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1$$anonfun$apply$15.prototype.applyOrElse__T2__F1__O = (function(x16, $default) {
  if ((x16 !== null)) {
    var p2 = $as_s_util_Either(x16.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_sjs_js_timers_package$().setTimeout__D__F0__sjs_js_timers_SetTimeoutHandle(2000.0, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function() {
        new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1().init___().apply$mcV$sp__V()
      })));
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V("Flow has been released.", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      return (void 0)
    }
  };
  if ((x16 !== null)) {
    var p4 = $as_s_util_Either(x16.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$().com$metastay$monitorapp$actions$MonitorFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x16)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1$$anonfun$apply$15.prototype.init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1$$anonfun$apply$15.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1$$anonfun$apply$15.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1$$anonfun$apply$15.prototype.isDefinedAt__T2__Z = (function(x16) {
  if ((x16 !== null)) {
    var p2 = $as_s_util_Either(x16.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x16 !== null)) {
    var p4 = $as_s_util_Either(x16.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1$$anonfun$apply$15 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1$$anonfun$apply$15: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$releaseFlow$1$$anonfun$apply$15", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1$$anonfun$apply$15: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1$$anonfun$apply$15.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseFlow$1$$anonfun$apply$15;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1$$anonfun$apply$16() {
  $c_sr_AbstractPartialFunction.call(this);
  this.fqFlowName$1$f = null;
  this.netName$1$f = null
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1$$anonfun$apply$16.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1$$anonfun$apply$16.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1$$anonfun$apply$16;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1$$anonfun$apply$16() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1$$anonfun$apply$16.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1$$anonfun$apply$16.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1$$anonfun$apply$16.prototype.applyOrElse__T2__F1__O = (function(x17, $default) {
  if ((x17 !== null)) {
    var p2 = $as_s_util_Either(x17.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_sjs_js_timers_package$().setTimeout__D__F0__sjs_js_timers_SetTimeoutHandle(2000.0, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(arg$outer) {
        return (function() {
          var this$2 = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallEntryList$1().init___();
          var v1 = arg$outer.fqFlowName$1$f;
          var v2 = arg$outer.netName$1$f;
          this$2.apply__T__T__V(v1, v2)
        })
      })(this)));
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V("Flow has been released.", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      return (void 0)
    }
  };
  if ((x17 !== null)) {
    var p4 = $as_s_util_Either(x17.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$().com$metastay$monitorapp$actions$MonitorFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x17)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1$$anonfun$apply$16.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1$$anonfun$apply$16.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1$$anonfun$apply$16.prototype.isDefinedAt__T2__Z = (function(x17) {
  if ((x17 !== null)) {
    var p2 = $as_s_util_Either(x17.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x17 !== null)) {
    var p4 = $as_s_util_Either(x17.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1$$anonfun$apply$16.prototype.init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1__T__T = (function($$outer, fqFlowName$1, netName$1) {
  this.fqFlowName$1$f = fqFlowName$1;
  this.netName$1$f = netName$1;
  return this
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1$$anonfun$apply$16 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1$$anonfun$apply$16: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$releaseOneFlow$1$$anonfun$apply$16", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1$$anonfun$apply$16: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1$$anonfun$apply$16.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$releaseOneFlow$1$$anonfun$apply$16;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1$$anonfun$apply$8() {
  $c_sr_AbstractPartialFunction.call(this);
  this.flowId$5$2 = null
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1$$anonfun$apply$8.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1$$anonfun$apply$8.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1$$anonfun$apply$8;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1$$anonfun$apply$8() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1$$anonfun$apply$8.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1$$anonfun$apply$8.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1$$anonfun$apply$8.prototype.init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1__T = (function($$outer, flowId$5) {
  this.flowId$5$2 = flowId$5;
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1$$anonfun$apply$8.prototype.applyOrElse__T2__F1__O = (function(x9, $default) {
  if ((x9 !== null)) {
    var p2 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V("Flow rescue requested.", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      $m_Lcom_metastay_monitorapp_bus_MonitorFlowBus$().emitFlowForceComplete__T__V(this.flowId$5$2);
      return (void 0)
    }
  };
  if ((x9 !== null)) {
    var p4 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$().com$metastay$monitorapp$actions$MonitorFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x9)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1$$anonfun$apply$8.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1$$anonfun$apply$8.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1$$anonfun$apply$8.prototype.isDefinedAt__T2__Z = (function(x9) {
  if ((x9 !== null)) {
    var p2 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x9 !== null)) {
    var p4 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1$$anonfun$apply$8 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1$$anonfun$apply$8: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$rescue$1$$anonfun$apply$8", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1$$anonfun$apply$8: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1$$anonfun$apply$8.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$rescue$1$$anonfun$apply$8;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1$$anonfun$apply$6() {
  $c_sr_AbstractPartialFunction.call(this);
  this.flowId$3$2 = null
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1$$anonfun$apply$6.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1$$anonfun$apply$6.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1$$anonfun$apply$6;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1$$anonfun$apply$6() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1$$anonfun$apply$6.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1$$anonfun$apply$6.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1$$anonfun$apply$6.prototype.init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1__T = (function($$outer, flowId$3) {
  this.flowId$3$2 = flowId$3;
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1$$anonfun$apply$6.prototype.applyOrElse__T2__F1__O = (function(x7, $default) {
  if ((x7 !== null)) {
    var p2 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V("Reset has been triggered.", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      $m_Lcom_metastay_monitorapp_bus_MonitorFlowBus$().emitFlowReset__T__V(this.flowId$3$2);
      return (void 0)
    }
  };
  if ((x7 !== null)) {
    var p4 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$().com$metastay$monitorapp$actions$MonitorFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x7)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1$$anonfun$apply$6.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1$$anonfun$apply$6.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1$$anonfun$apply$6.prototype.isDefinedAt__T2__Z = (function(x7) {
  if ((x7 !== null)) {
    var p2 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x7 !== null)) {
    var p4 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1$$anonfun$apply$6 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1$$anonfun$apply$6: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$reset$1$$anonfun$apply$6", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1$$anonfun$apply$6: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1$$anonfun$apply$6.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$reset$1$$anonfun$apply$6;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1$$anonfun$apply$1() {
  $c_sr_AbstractPartialFunction.call(this);
  this.store$1$2 = null
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1$$anonfun$apply$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1$$anonfun$apply$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1__Lcom_metastay_monitorapp_store_Store = (function($$outer, store$1) {
  this.store$1$2 = store$1;
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.applyOrElse__T2__F1__O = (function(x1, $default) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_monitordata_data_MonitorFlowSearchResult(output$2);
        return $m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      var jsx$2 = $m_Lcom_metastay_monitorapp_store_Store$Ext$();
      var store = this.store$1$2;
      jsx$2.MUTATE$undMONITOR$undFLOW$undSEARCH$undRESULT$undLIST$extension__Lcom_metastay_monitorapp_store_Store__sjs_js_Array__V(store, list);
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V("Search result loaded.", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      return (void 0)
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$().com$metastay$monitorapp$actions$MonitorFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x1)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.isDefinedAt__T2__Z = (function(x1) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1$$anonfun$apply$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1$$anonfun$apply$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$search$1$$anonfun$apply$1", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1$$anonfun$apply$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$search$1$$anonfun$apply$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1$$anonfun$apply$14() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1$$anonfun$apply$14.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1$$anonfun$apply$14.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1$$anonfun$apply$14;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1$$anonfun$apply$14() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1$$anonfun$apply$14.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1$$anonfun$apply$14.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1$$anonfun$apply$14.prototype.init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1$$anonfun$apply$14.prototype.applyOrElse__T2__F1__O = (function(x15, $default) {
  if ((x15 !== null)) {
    var p2 = $as_s_util_Either(x15.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_sjs_js_timers_package$().setTimeout__D__F0__sjs_js_timers_SetTimeoutHandle(2000.0, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function() {
        new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1().init___().apply$mcV$sp__V()
      })));
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V("Flow has been stalled.", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      return (void 0)
    }
  };
  if ((x15 !== null)) {
    var p4 = $as_s_util_Either(x15.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$().com$metastay$monitorapp$actions$MonitorFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x15)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1$$anonfun$apply$14.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1$$anonfun$apply$14.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1$$anonfun$apply$14.prototype.isDefinedAt__T2__Z = (function(x15) {
  if ((x15 !== null)) {
    var p2 = $as_s_util_Either(x15.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x15 !== null)) {
    var p4 = $as_s_util_Either(x15.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1$$anonfun$apply$14 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1$$anonfun$apply$14: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$stallAllFlow$1$$anonfun$apply$14", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1$$anonfun$apply$14: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1$$anonfun$apply$14.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallAllFlow$1$$anonfun$apply$14;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1$$anonfun$apply$13() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1$$anonfun$apply$13.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1$$anonfun$apply$13.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1$$anonfun$apply$13;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1$$anonfun$apply$13() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1$$anonfun$apply$13.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1$$anonfun$apply$13.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1$$anonfun$apply$13.prototype.applyOrElse__T2__F1__O = (function(x14, $default) {
  if ((x14 !== null)) {
    var p2 = $as_s_util_Either(x14.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_sjs_js_timers_package$().setTimeout__D__F0__sjs_js_timers_SetTimeoutHandle(2000.0, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function() {
        new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1().init___().apply$mcV$sp__V()
      })));
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V("Flow has been stalled.", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      return (void 0)
    }
  };
  if ((x14 !== null)) {
    var p4 = $as_s_util_Either(x14.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$().com$metastay$monitorapp$actions$MonitorFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x14)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1$$anonfun$apply$13.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1$$anonfun$apply$13.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1$$anonfun$apply$13.prototype.isDefinedAt__T2__Z = (function(x14) {
  if ((x14 !== null)) {
    var p2 = $as_s_util_Either(x14.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x14 !== null)) {
    var p4 = $as_s_util_Either(x14.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1$$anonfun$apply$13.prototype.init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1 = (function($$outer) {
  return this
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1$$anonfun$apply$13 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1$$anonfun$apply$13: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$stallFlow$1$$anonfun$apply$13", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1$$anonfun$apply$13: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1$$anonfun$apply$13.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$stallFlow$1$$anonfun$apply$13;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1$$anonfun$apply$8() {
  $c_sr_AbstractPartialFunction.call(this);
  this.taskId$2$f = null
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1$$anonfun$apply$8.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1$$anonfun$apply$8.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1$$anonfun$apply$8;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1$$anonfun$apply$8() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1$$anonfun$apply$8.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1$$anonfun$apply$8.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1$$anonfun$apply$8.prototype.applyOrElse__T2__F1__O = (function(x8, $default) {
  if ((x8 !== null)) {
    var p2 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V("Task allocated", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      return $m_sjs_js_timers_package$().setTimeout__D__F0__sjs_js_timers_SetTimeoutHandle(2000.0, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(arg$outer) {
        return (function() {
          $m_Lcom_metastay_monitorapp_bus_MonitorTaskBus$().emitTaskAllocated__T__V(arg$outer.taskId$2$f)
        })
      })(this)))
    }
  };
  if ((x8 !== null)) {
    var p4 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$().com$metastay$monitorapp$actions$MonitorTaskActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x8)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1$$anonfun$apply$8.prototype.init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1__T = (function($$outer, taskId$2) {
  this.taskId$2$f = taskId$2;
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1$$anonfun$apply$8.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1$$anonfun$apply$8.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1$$anonfun$apply$8.prototype.isDefinedAt__T2__Z = (function(x8) {
  if ((x8 !== null)) {
    var p2 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x8 !== null)) {
    var p4 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1$$anonfun$apply$8 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1$$anonfun$apply$8: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$allocateTask$1$$anonfun$apply$8", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1$$anonfun$apply$8: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1$$anonfun$apply$8.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$allocateTask$1$$anonfun$apply$8;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1$$anonfun$apply$9() {
  $c_sr_AbstractPartialFunction.call(this);
  this.taskId$3$f = null
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1$$anonfun$apply$9.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1$$anonfun$apply$9.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1$$anonfun$apply$9;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1$$anonfun$apply$9() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1$$anonfun$apply$9.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1$$anonfun$apply$9.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1$$anonfun$apply$9.prototype.applyOrElse__T2__F1__O = (function(x9, $default) {
  if ((x9 !== null)) {
    var p2 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V("Task deallocated", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      return $m_sjs_js_timers_package$().setTimeout__D__F0__sjs_js_timers_SetTimeoutHandle(2000.0, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(arg$outer) {
        return (function() {
          $m_Lcom_metastay_monitorapp_bus_MonitorTaskBus$().emitTaskDeallocated__T__V(arg$outer.taskId$3$f)
        })
      })(this)))
    }
  };
  if ((x9 !== null)) {
    var p4 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$().com$metastay$monitorapp$actions$MonitorTaskActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x9)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1$$anonfun$apply$9.prototype.init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1__T = (function($$outer, taskId$3) {
  this.taskId$3$f = taskId$3;
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1$$anonfun$apply$9.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1$$anonfun$apply$9.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1$$anonfun$apply$9.prototype.isDefinedAt__T2__Z = (function(x9) {
  if ((x9 !== null)) {
    var p2 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x9 !== null)) {
    var p4 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1$$anonfun$apply$9 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1$$anonfun$apply$9: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$deallocateTask$1$$anonfun$apply$9", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1$$anonfun$apply$9: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1$$anonfun$apply$9.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTask$1$$anonfun$apply$9;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1$$anonfun$apply$7() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1$$anonfun$apply$7.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1$$anonfun$apply$7.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1$$anonfun$apply$7;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1$$anonfun$apply$7() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1$$anonfun$apply$7.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1$$anonfun$apply$7.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1$$anonfun$apply$7.prototype.init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1$$anonfun$apply$7.prototype.applyOrElse__sci_List__F1__O = (function(x7, $default) {
  $m_sci_List$();
  var b = new $c_scm_ListBuffer().init___();
  var these = x7;
  while ((!these.isEmpty__Z())) {
    var arg1 = these.head__O();
    var x$1 = $as_T2(arg1);
    if (($uZ(x$1.$$und2$f) !== true)) {
      b.$$plus$eq__O__scm_ListBuffer(arg1)
    };
    var this$2 = these;
    these = this$2.tail__sci_List()
  };
  var failedList = b.toList__sci_List();
  if ($s_sc_TraversableOnce$class__nonEmpty__sc_TraversableOnce__Z(failedList)) {
    var jsx$3 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var jsx$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Deallocate failed for Task ", ""]));
    var f = (function(x$2$2) {
      var x$2 = $as_T2(x$2$2);
      return $as_T(x$2.$$und1$f)
    });
    var this$3 = $m_sci_List$();
    var bf = this$3.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((failedList === $m_sci_Nil$())) {
        var jsx$1 = $m_sci_Nil$()
      } else {
        var arg1$1 = failedList.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
        var t = h;
        var rest = failedList.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$2 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$2), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$4 = rest;
          rest = this$4.tail__sci_List()
        };
        var jsx$1 = h
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(failedList, bf);
      var these$1 = failedList;
      while ((!these$1.isEmpty__Z())) {
        var arg1$3 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f(arg1$3));
        var this$5 = these$1;
        these$1 = this$5.tail__sci_List()
      };
      var jsx$1 = b$1.result__O()
    };
    jsx$3.error__T__s_Option__s_Option__V(jsx$2.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$as_sc_TraversableOnce(jsx$1).mkString__T__T(",")])), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
    return (void 0)
  } else {
    $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V("Task(s) de-allocated", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
    return (void 0)
  }
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1$$anonfun$apply$7.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__sci_List__Z($as_sci_List(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1$$anonfun$apply$7.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__sci_List__F1__O($as_sci_List(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1$$anonfun$apply$7.prototype.isDefinedAt__sci_List__Z = (function(x7) {
  return true
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1$$anonfun$apply$7 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1$$anonfun$apply$7: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$deallocateTaskList$1$$anonfun$apply$7", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1$$anonfun$apply$7: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1$$anonfun$apply$7.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$deallocateTaskList$1$$anonfun$apply$7;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1$$anonfun$apply$13() {
  $c_sr_AbstractPartialFunction.call(this);
  this.taskId$7$f = null
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1$$anonfun$apply$13.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1$$anonfun$apply$13.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1$$anonfun$apply$13;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1$$anonfun$apply$13() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1$$anonfun$apply$13.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1$$anonfun$apply$13.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1$$anonfun$apply$13.prototype.applyOrElse__T2__F1__O = (function(x13, $default) {
  if ((x13 !== null)) {
    var p2 = $as_s_util_Either(x13.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V("Task force completed", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      return $m_sjs_js_timers_package$().setTimeout__D__F0__sjs_js_timers_SetTimeoutHandle(2000.0, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(arg$outer) {
        return (function() {
          var this$4 = new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1().init___();
          var v1 = arg$outer.taskId$7$f;
          this$4.apply__T__V(v1)
        })
      })(this)))
    }
  };
  if ((x13 !== null)) {
    var p4 = $as_s_util_Either(x13.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$().com$metastay$monitorapp$actions$MonitorTaskActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x13)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1$$anonfun$apply$13.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1$$anonfun$apply$13.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1$$anonfun$apply$13.prototype.init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1__T = (function($$outer, taskId$7) {
  this.taskId$7$f = taskId$7;
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1$$anonfun$apply$13.prototype.isDefinedAt__T2__Z = (function(x13) {
  if ((x13 !== null)) {
    var p2 = $as_s_util_Either(x13.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x13 !== null)) {
    var p4 = $as_s_util_Either(x13.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1$$anonfun$apply$13 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1$$anonfun$apply$13: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$forceCompleteTask$1$$anonfun$apply$13", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1$$anonfun$apply$13: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1$$anonfun$apply$13.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$forceCompleteTask$1$$anonfun$apply$13;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1$$anonfun$apply$3() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1$$anonfun$apply$3.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1$$anonfun$apply$3.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1$$anonfun$apply$3;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1$$anonfun$apply$3() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1$$anonfun$apply$3.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1$$anonfun$apply$3.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1$$anonfun$apply$3.prototype.init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1$$anonfun$apply$3.prototype.applyOrElse__T2__F1__O = (function(x3, $default) {
  if ((x3 !== null)) {
    var p2 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3$2 = $as_s_util_Right(p2);
      var output = $as_Lsmilejs_com_metastay_monitordata_data_MonitorSubFlowTaskDetails(x3$2.b$2);
      var details = $m_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$().fromDynamic(output.toJson__sjs_js_Dynamic());
      $m_Lcom_metastay_monitorapp_bus_MonitorTaskBus$().emitMonitorSubFlowTaskDetailsLoaded__Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails__V(details);
      return (void 0)
    }
  };
  if ((x3 !== null)) {
    var p4 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$().com$metastay$monitorapp$actions$MonitorTaskActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x3)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1$$anonfun$apply$3.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1$$anonfun$apply$3.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1$$anonfun$apply$3.prototype.isDefinedAt__T2__Z = (function(x3) {
  if ((x3 !== null)) {
    var p2 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x3 !== null)) {
    var p4 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1$$anonfun$apply$3 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1$$anonfun$apply$3: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1$$anonfun$apply$3", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1$$anonfun$apply$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1$$anonfun$apply$3.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubFlowTaskDetails$1$$anonfun$apply$3;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1$$anonfun$apply$4() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1$$anonfun$apply$4.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1$$anonfun$apply$4.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1$$anonfun$apply$4;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1$$anonfun$apply$4() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1$$anonfun$apply$4.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1$$anonfun$apply$4.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1$$anonfun$apply$4.prototype.init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1$$anonfun$apply$4.prototype.applyOrElse__T2__F1__O = (function(x4, $default) {
  if ((x4 !== null)) {
    var p2 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails(output$2);
        return $m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var subTaskList = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var subTaskList = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var subTaskList = result
      };
      $m_Lcom_metastay_monitorapp_bus_MonitorTaskBus$().emitMonitorSubTaskListLoaded__sjs_js_Array__V(subTaskList);
      return (void 0)
    }
  };
  if ((x4 !== null)) {
    var p4 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$().com$metastay$monitorapp$actions$MonitorTaskActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x4)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1$$anonfun$apply$4.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1$$anonfun$apply$4.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1$$anonfun$apply$4.prototype.isDefinedAt__T2__Z = (function(x4) {
  if ((x4 !== null)) {
    var p2 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x4 !== null)) {
    var p4 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1$$anonfun$apply$4 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1$$anonfun$apply$4: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1$$anonfun$apply$4", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1$$anonfun$apply$4: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1$$anonfun$apply$4.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorSubTaskList$1$$anonfun$apply$4;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1$$anonfun$apply$2() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1$$anonfun$apply$2.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1$$anonfun$apply$2.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1$$anonfun$apply$2;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1$$anonfun$apply$2() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1$$anonfun$apply$2.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1$$anonfun$apply$2.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1$$anonfun$apply$2.prototype.init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1$$anonfun$apply$2.prototype.applyOrElse__T2__F1__O = (function(x2, $default) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var output = $as_Lsmilejs_com_metastay_monitordata_data_MonitorTaskDetails(x3.b$2);
      var details = $m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$().fromDynamic(output.toJson__sjs_js_Dynamic());
      $m_Lcom_metastay_monitorapp_bus_MonitorTaskBus$().emitMonitorTaskDetailsLoaded__Lcom_metastay_monitorapp_data_MonitorTaskDetails__V(details);
      return (void 0)
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$().com$metastay$monitorapp$actions$MonitorTaskActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x2)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1$$anonfun$apply$2.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1$$anonfun$apply$2.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1$$anonfun$apply$2.prototype.isDefinedAt__T2__Z = (function(x2) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1$$anonfun$apply$2 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1$$anonfun$apply$2: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1$$anonfun$apply$2", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1$$anonfun$apply$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1$$anonfun$apply$2.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1$$anonfun$apply$2;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1$$anonfun$apply$5() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1$$anonfun$apply$5.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1$$anonfun$apply$5.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1$$anonfun$apply$5;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1$$anonfun$apply$5() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1$$anonfun$apply$5.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1$$anonfun$apply$5.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1$$anonfun$apply$5.prototype.applyOrElse__T2__F1__O = (function(x5, $default) {
  if ((x5 !== null)) {
    var p2 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_monitordata_data_MonitorTaskError(output$2);
        return $m_Lcom_metastay_monitorapp_data_MonitorTaskError$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_monitorapp_bus_MonitorTaskBus$().emitTaskErrorListLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x5 !== null)) {
    var p4 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5$2 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5$2.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$().com$metastay$monitorapp$actions$MonitorTaskActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x5)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1$$anonfun$apply$5.prototype.init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1$$anonfun$apply$5.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1$$anonfun$apply$5.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1$$anonfun$apply$5.prototype.isDefinedAt__T2__Z = (function(x5) {
  if ((x5 !== null)) {
    var p2 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x5 !== null)) {
    var p4 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1$$anonfun$apply$5 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1$$anonfun$apply$5: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1$$anonfun$apply$5", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1$$anonfun$apply$5: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1$$anonfun$apply$5.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskErrorList$1$$anonfun$apply$5;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1$$anonfun$apply$6() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1$$anonfun$apply$6.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1$$anonfun$apply$6.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1$$anonfun$apply$6;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1$$anonfun$apply$6() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1$$anonfun$apply$6.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1$$anonfun$apply$6.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1$$anonfun$apply$6.prototype.init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1$$anonfun$apply$6.prototype.applyOrElse__T2__F1__O = (function(x6, $default) {
  if ((x6 !== null)) {
    var p2 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var output = $as_T(x3.b$2);
      $m_Lcom_metastay_monitorapp_bus_MonitorTaskBus$().emitTaskOutputSchemaLoaded__sjs_js_UndefOr__V(output);
      return (void 0)
    }
  };
  if ((x6 !== null)) {
    var p4 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$().com$metastay$monitorapp$actions$MonitorTaskActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x6)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1$$anonfun$apply$6.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1$$anonfun$apply$6.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1$$anonfun$apply$6.prototype.isDefinedAt__T2__Z = (function(x6) {
  if ((x6 !== null)) {
    var p2 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x6 !== null)) {
    var p4 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1$$anonfun$apply$6 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1$$anonfun$apply$6: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1$$anonfun$apply$6", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1$$anonfun$apply$6: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1$$anonfun$apply$6.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadTaskOutputSchema$1$$anonfun$apply$6;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1$$anonfun$apply$14() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1$$anonfun$apply$14.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1$$anonfun$apply$14.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1$$anonfun$apply$14;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1$$anonfun$apply$14() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1$$anonfun$apply$14.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1$$anonfun$apply$14.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1$$anonfun$apply$14.prototype.init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1$$anonfun$apply$14.prototype.applyOrElse__T2__F1__O = (function(x14, $default) {
  if ((x14 !== null)) {
    var p2 = $as_s_util_Either(x14.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_monitordata_data_AllocateToUser(output$2);
        return $m_Lcom_metastay_monitorapp_data_AllocateToUser$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var userList = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var userList = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var userList = result
      };
      $m_Lcom_metastay_monitorapp_bus_MonitorTaskBus$().emitUserListToAllocateTaskLoaded__sjs_js_Array__V(userList);
      return (void 0)
    }
  };
  if ((x14 !== null)) {
    var p4 = $as_s_util_Either(x14.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$().com$metastay$monitorapp$actions$MonitorTaskActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x14)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1$$anonfun$apply$14.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1$$anonfun$apply$14.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1$$anonfun$apply$14.prototype.isDefinedAt__T2__Z = (function(x14) {
  if ((x14 !== null)) {
    var p2 = $as_s_util_Either(x14.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x14 !== null)) {
    var p4 = $as_s_util_Either(x14.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1$$anonfun$apply$14 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1$$anonfun$apply$14: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1$$anonfun$apply$14", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1$$anonfun$apply$14: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1$$anonfun$apply$14.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadUserListToAllocateTask$1$$anonfun$apply$14;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1$$anonfun$apply$10() {
  $c_sr_AbstractPartialFunction.call(this);
  this.taskId$4$f = null
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1$$anonfun$apply$10.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1$$anonfun$apply$10.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1$$anonfun$apply$10;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1$$anonfun$apply$10() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1$$anonfun$apply$10.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1$$anonfun$apply$10.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1$$anonfun$apply$10.prototype.applyOrElse__T2__F1__O = (function(x10, $default) {
  if ((x10 !== null)) {
    var p2 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V("Task proceeded", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      return $m_sjs_js_timers_package$().setTimeout__D__F0__sjs_js_timers_SetTimeoutHandle(2000.0, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(arg$outer) {
        return (function() {
          $m_Lcom_metastay_monitorapp_bus_MonitorTaskBus$().emitTaskProceeded__T__V(arg$outer.taskId$4$f)
        })
      })(this)))
    }
  };
  if ((x10 !== null)) {
    var p4 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$().com$metastay$monitorapp$actions$MonitorTaskActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x10)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1$$anonfun$apply$10.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1$$anonfun$apply$10.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1$$anonfun$apply$10.prototype.init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1__T = (function($$outer, taskId$4) {
  this.taskId$4$f = taskId$4;
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1$$anonfun$apply$10.prototype.isDefinedAt__T2__Z = (function(x10) {
  if ((x10 !== null)) {
    var p2 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x10 !== null)) {
    var p4 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1$$anonfun$apply$10 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1$$anonfun$apply$10: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$proceedTask$1$$anonfun$apply$10", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1$$anonfun$apply$10: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1$$anonfun$apply$10.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$proceedTask$1$$anonfun$apply$10;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1$$anonfun$apply$11() {
  $c_sr_AbstractPartialFunction.call(this);
  this.taskId$5$f = null
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1$$anonfun$apply$11.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1$$anonfun$apply$11.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1$$anonfun$apply$11;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1$$anonfun$apply$11() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1$$anonfun$apply$11.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1$$anonfun$apply$11.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1$$anonfun$apply$11.prototype.init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1__T = (function($$outer, taskId$5) {
  this.taskId$5$f = taskId$5;
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1$$anonfun$apply$11.prototype.applyOrElse__T2__F1__O = (function(x11, $default) {
  if ((x11 !== null)) {
    var p2 = $as_s_util_Either(x11.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V("Task rescued", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      $m_Lcom_metastay_monitorapp_bus_MonitorTaskBus$().emitTaskRescued__T__V(this.taskId$5$f);
      return $m_sjs_js_timers_package$().setTimeout__D__F0__sjs_js_timers_SetTimeoutHandle(2000.0, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(arg$outer) {
        return (function() {
          var this$4 = new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1().init___();
          var v1 = arg$outer.taskId$5$f;
          this$4.apply__T__V(v1)
        })
      })(this)))
    }
  };
  if ((x11 !== null)) {
    var p4 = $as_s_util_Either(x11.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$().com$metastay$monitorapp$actions$MonitorTaskActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x11)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1$$anonfun$apply$11.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1$$anonfun$apply$11.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1$$anonfun$apply$11.prototype.isDefinedAt__T2__Z = (function(x11) {
  if ((x11 !== null)) {
    var p2 = $as_s_util_Either(x11.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x11 !== null)) {
    var p4 = $as_s_util_Either(x11.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1$$anonfun$apply$11 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1$$anonfun$apply$11: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$rescueTask$1$$anonfun$apply$11", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1$$anonfun$apply$11: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1$$anonfun$apply$11.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$rescueTask$1$$anonfun$apply$11;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1$$anonfun$apply$12() {
  $c_sr_AbstractPartialFunction.call(this);
  this.taskId$6$f = null
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1$$anonfun$apply$12.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1$$anonfun$apply$12.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1$$anonfun$apply$12;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1$$anonfun$apply$12() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1$$anonfun$apply$12.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1$$anonfun$apply$12.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1$$anonfun$apply$12.prototype.init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1__T = (function($$outer, taskId$6) {
  this.taskId$6$f = taskId$6;
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1$$anonfun$apply$12.prototype.applyOrElse__T2__F1__O = (function(x12, $default) {
  if ((x12 !== null)) {
    var p2 = $as_s_util_Either(x12.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V("Task retried.", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      return $m_sjs_js_timers_package$().setTimeout__D__F0__sjs_js_timers_SetTimeoutHandle(2000.0, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(arg$outer) {
        return (function() {
          var this$4 = new $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$loadMonitorTaskDetails$1().init___();
          var v1 = arg$outer.taskId$6$f;
          this$4.apply__T__V(v1)
        })
      })(this)))
    }
  };
  if ((x12 !== null)) {
    var p4 = $as_s_util_Either(x12.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$().com$metastay$monitorapp$actions$MonitorTaskActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x12)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1$$anonfun$apply$12.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1$$anonfun$apply$12.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1$$anonfun$apply$12.prototype.isDefinedAt__T2__Z = (function(x12) {
  if ((x12 !== null)) {
    var p2 = $as_s_util_Either(x12.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x12 !== null)) {
    var p4 = $as_s_util_Either(x12.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1$$anonfun$apply$12 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1$$anonfun$apply$12: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$retryTask$1$$anonfun$apply$12", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1$$anonfun$apply$12: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1$$anonfun$apply$12.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$retryTask$1$$anonfun$apply$12;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1$$anonfun$apply$1() {
  $c_sr_AbstractPartialFunction.call(this);
  this.store$1$2 = null
}
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1$$anonfun$apply$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1$$anonfun$apply$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.init___Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1__Lcom_metastay_monitorapp_store_Store = (function($$outer, store$1) {
  this.store$1$2 = store$1;
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.applyOrElse__T2__F1__O = (function(x1, $default) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_monitordata_data_MonitorTaskSearchResult(output$2);
        return $m_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      var jsx$2 = $m_Lcom_metastay_monitorapp_store_Store$Ext$();
      var store = this.store$1$2;
      jsx$2.MUTATE$undMONITOR$undTASK$undSEARCH$undRESULT$undLIST$extension__Lcom_metastay_monitorapp_store_Store__sjs_js_Array__V(store, list);
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V("Search result loaded.", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      return (void 0)
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$().com$metastay$monitorapp$actions$MonitorTaskActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x1)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.isDefinedAt__T2__Z = (function(x1) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1$$anonfun$apply$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1$$anonfun$apply$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorTaskActionsCode$$anonfun$search$1$$anonfun$apply$1", {
  Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1$$anonfun$apply$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorTaskActionsCode$$anonfun$search$1$$anonfun$apply$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1$$anonfun$apply$3() {
  $c_sr_AbstractPartialFunction.call(this);
  this.userName$1$2 = null
}
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1$$anonfun$apply$3.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1$$anonfun$apply$3.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1$$anonfun$apply$3;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1$$anonfun$apply$3() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1$$anonfun$apply$3.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1$$anonfun$apply$3.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1$$anonfun$apply$3.prototype.applyOrElse__T2__F1__O = (function(x2, $default) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["All ", " tasks deallocated"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.userName$1$2])), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      $m_Lcom_metastay_monitorapp_bus_MonitorUserBus$().emitAllTaskDeallocatedForUser__T__V(this.userName$1$2);
      return (void 0)
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$().com$metastay$monitorapp$actions$MonitorUserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x2)
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1$$anonfun$apply$3.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1$$anonfun$apply$3.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1$$anonfun$apply$3.prototype.init___Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1__T = (function($$outer, userName$1) {
  this.userName$1$2 = userName$1;
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1$$anonfun$apply$3.prototype.isDefinedAt__T2__Z = (function(x2) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1$$anonfun$apply$3 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1$$anonfun$apply$3: 0
}, false, "com.metastay.monitorapp.actions.MonitorUserActionsCode$$anonfun$deallocateAllForUser$1$$anonfun$apply$3", {
  Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1$$anonfun$apply$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1$$anonfun$apply$3.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$deallocateAllForUser$1$$anonfun$apply$3;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1$$anonfun$apply$5() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1$$anonfun$apply$5.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1$$anonfun$apply$5.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1$$anonfun$apply$5;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1$$anonfun$apply$5() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1$$anonfun$apply$5.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1$$anonfun$apply$5.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1$$anonfun$apply$5.prototype.applyOrElse__T2__F1__O = (function(x4, $default) {
  if ((x4 !== null)) {
    var p2 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var output = $as_Lsmilejs_com_metastay_monitordata_data_MonitorUserDetails(x3.b$2);
      var details = $m_Lcom_metastay_monitorapp_data_MonitorUserDetails$().fromDynamic(output.toJson__sjs_js_Dynamic());
      $m_Lcom_metastay_monitorapp_bus_MonitorUserBus$().emitMonitorUserDetailsLoaded__Lcom_metastay_monitorapp_data_MonitorUserDetails__V(details);
      return (void 0)
    }
  };
  if ((x4 !== null)) {
    var p4 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$().com$metastay$monitorapp$actions$MonitorUserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x4)
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1$$anonfun$apply$5.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1$$anonfun$apply$5.prototype.init___Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1$$anonfun$apply$5.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1$$anonfun$apply$5.prototype.isDefinedAt__T2__Z = (function(x4) {
  if ((x4 !== null)) {
    var p2 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x4 !== null)) {
    var p4 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1$$anonfun$apply$5 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1$$anonfun$apply$5: 0
}, false, "com.metastay.monitorapp.actions.MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1$$anonfun$apply$5", {
  Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1$$anonfun$apply$5: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1$$anonfun$apply$5.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$loadMonitorUserDetails$1$$anonfun$apply$5;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6$$anonfun$apply$4() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6$$anonfun$apply$4.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6$$anonfun$apply$4.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6$$anonfun$apply$4;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6$$anonfun$apply$4() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6$$anonfun$apply$4.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6$$anonfun$apply$4.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6$$anonfun$apply$4.prototype.init___Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6$$anonfun$apply$4.prototype.applyOrElse__T2__F1__O = (function(x3, $default) {
  if ((x3 !== null)) {
    var p2 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return (void 0)
    }
  };
  if ((x3 !== null)) {
    var p4 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$().com$metastay$monitorapp$actions$MonitorUserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x3)
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6$$anonfun$apply$4.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6$$anonfun$apply$4.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6$$anonfun$apply$4.prototype.isDefinedAt__T2__Z = (function(x3) {
  if ((x3 !== null)) {
    var p2 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x3 !== null)) {
    var p4 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6$$anonfun$apply$4 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6$$anonfun$apply$4: 0
}, false, "com.metastay.monitorapp.actions.MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6$$anonfun$apply$4", {
  Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6$$anonfun$apply$4: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6$$anonfun$apply$4.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$reassignTaskList$1$$anonfun$apply$6$$anonfun$apply$4;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1$$anonfun$apply$2() {
  $c_sr_AbstractPartialFunction.call(this);
  this.store$1$2 = null
}
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1$$anonfun$apply$2.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1$$anonfun$apply$2.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1$$anonfun$apply$2;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1$$anonfun$apply$2() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1$$anonfun$apply$2.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1$$anonfun$apply$2.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1$$anonfun$apply$2.prototype.init___Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1__Lcom_metastay_monitorapp_store_Store = (function($$outer, store$1) {
  this.store$1$2 = store$1;
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1$$anonfun$apply$2.prototype.applyOrElse__T2__F1__O = (function(x1, $default) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_monitordata_data_MonitorUserSearchResult(output$2);
        return $m_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      var jsx$2 = $m_Lcom_metastay_monitorapp_store_Store$Ext$();
      var store = this.store$1$2;
      jsx$2.MUTATE$undMONITOR$undUSER$undSEARCH$undRESULT$undLIST$extension__Lcom_metastay_monitorapp_store_Store__sjs_js_Array__V(store, list);
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V("Search result loaded.", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      return (void 0)
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$().com$metastay$monitorapp$actions$MonitorUserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x1)
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1$$anonfun$apply$2.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1$$anonfun$apply$2.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1$$anonfun$apply$2.prototype.isDefinedAt__T2__Z = (function(x1) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1$$anonfun$apply$2 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1$$anonfun$apply$2: 0
}, false, "com.metastay.monitorapp.actions.MonitorUserActionsCode$$anonfun$search$1$$anonfun$apply$2", {
  Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1$$anonfun$apply$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1$$anonfun$apply$2.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorUserActionsCode$$anonfun$search$1$$anonfun$apply$2;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1$$anonfun$apply$2() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1$$anonfun$apply$2.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1$$anonfun$apply$2.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1$$anonfun$apply$2;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1$$anonfun$apply$2() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1$$anonfun$apply$2.prototype = $c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1$$anonfun$apply$2.prototype;
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1$$anonfun$apply$2.prototype.init___Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1$$anonfun$apply$2.prototype.applyOrElse__T2__F1__O = (function(x2, $default) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_monitordata_data_Tag(output$2);
        return $m_Lcom_metastay_monitorapp_data_Tag$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2$1 = $as_sjs_js_ArrayOps(col);
        var list = x2$1.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_monitorapp_bus_TagBus$().emitFlowTagListLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_TagActionsCode$().com$metastay$monitorapp$actions$TagActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x2)
});
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1$$anonfun$apply$2.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1$$anonfun$apply$2.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1$$anonfun$apply$2.prototype.isDefinedAt__T2__Z = (function(x2) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1$$anonfun$apply$2 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1$$anonfun$apply$2: 0
}, false, "com.metastay.monitorapp.actions.TagActionsCode$$anonfun$loadFlowTagList$1$$anonfun$apply$2", {
  Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1$$anonfun$apply$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1$$anonfun$apply$2.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadFlowTagList$1$$anonfun$apply$2;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1$$anonfun$apply$1() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1$$anonfun$apply$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1$$anonfun$apply$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1$$anonfun$apply$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1$$anonfun$apply$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1$$anonfun$apply$1.prototype = $c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1$$anonfun$apply$1.prototype;
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1$$anonfun$apply$1.prototype.init___Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1$$anonfun$apply$1.prototype.applyOrElse__T2__F1__O = (function(x1, $default) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_monitordata_data_Tag(output$2);
        return $m_Lcom_metastay_monitorapp_data_Tag$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_monitorapp_bus_TagBus$().emitTaskTagListLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_monitorapp_actions_TagActionsCode$().com$metastay$monitorapp$actions$TagActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x1)
});
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1$$anonfun$apply$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1$$anonfun$apply$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1$$anonfun$apply$1.prototype.isDefinedAt__T2__Z = (function(x1) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1$$anonfun$apply$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1$$anonfun$apply$1: 0
}, false, "com.metastay.monitorapp.actions.TagActionsCode$$anonfun$loadTaskTagList$1$$anonfun$apply$1", {
  Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1$$anonfun$apply$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1$$anonfun$apply$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_TagActionsCode$$anonfun$loadTaskTagList$1$$anonfun$apply$1;
/** @constructor */
function $c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1() {
  $c_sr_AbstractPartialFunction.call(this);
  this.store$1$2 = null
}
$c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1.prototype.constructor = $c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1;
/** @constructor */
function $h_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1.prototype = $c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1.prototype;
$c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1.prototype.applyOrElse__T2__F1__O = (function(x1, $default) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var output = $as_Lsmilejs_com_metastay_browserdata_data_UserDetails(x3.b$2);
      var userDetails = $m_Lcom_metastay_reportapp_data_UserDetails$().fromDynamic(output.toJson__sjs_js_Dynamic());
      var jsx$1 = $m_Lcom_metastay_reportapp_store_Store$Ext$();
      var store = this.store$1$2;
      jsx$1.MUTATE$undUSER$undDETAILS$extension__Lcom_metastay_reportapp_store_Store__Lcom_metastay_reportapp_data_UserDetails__V(store, userDetails);
      return (void 0)
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$().com$metastay$reportapp$actions$LoggedInUserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x1)
});
$c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1.prototype.init___Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1__Lcom_metastay_reportapp_store_Store = (function($$outer, store$1) {
  this.store$1$2 = store$1;
  return this
});
$c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1.prototype.isDefinedAt__T2__Z = (function(x1) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1 = new $TypeData().initClass({
  Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1: 0
}, false, "com.metastay.reportapp.actions.LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1", {
  Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1.prototype.$classData = $d_Lcom_metastay_reportapp_actions_LoggedInUserActionsCode$$anonfun$loadLoggedInUserDetails$1$$anonfun$apply$1;
/** @constructor */
function $c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$2() {
  $c_sr_AbstractPartialFunction.call(this);
  this.store$2$2 = null
}
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$2.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$2.prototype.constructor = $c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$2;
/** @constructor */
function $h_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$2() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$2.prototype = $c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$2.prototype;
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$2.prototype.applyOrElse__T2__F1__O = (function(x2, $default) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var resultList = $as_Lcom_metastay_reportapp_service_reportflowreader_GetFlowNameList$Output(x3.b$2);
      var this$5 = resultList.fqFlowNameList$1;
      var f = (function(output$2) {
        var output = $as_T(output$2);
        var xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(output, "::", 0);
        var this$3 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
        return new ($a_Lcom_metastay_reportapp_data_FqFlowName())(output, $as_T($s_sc_IndexedSeqOptimized$class__last__sc_IndexedSeqOptimized__O(this$3)))
      });
      var this$4 = $m_sci_List$();
      var bf = this$4.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((this$5 === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = this$5.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = this$5.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$6 = rest;
            rest = this$6.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf);
        var these = this$5;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$7 = these;
          these = this$7.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$10 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2$1 = $as_sjs_js_ArrayOps(col);
        var fqFlowNameList = x2$1.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var fqFlowNameList = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$10, result)));
        var fqFlowNameList = result
      };
      var jsx$2 = $m_Lcom_metastay_reportapp_store_Store$Ext$();
      var store = this.store$2$2;
      jsx$2.MUTATE$undFQ$undFLOW$undNAME$undLIST$extension__Lcom_metastay_reportapp_store_Store__sjs_js_Array__V(store, fqFlowNameList);
      return (void 0)
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$().com$metastay$reportapp$actions$ReportFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x2)
});
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$2.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$2.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$2.prototype.isDefinedAt__T2__Z = (function(x2) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$2.prototype.init___Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1__Lcom_metastay_reportapp_store_Store = (function($$outer, store$2) {
  this.store$2$2 = store$2;
  return this
});
var $d_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$2 = new $TypeData().initClass({
  Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$2: 0
}, false, "com.metastay.reportapp.actions.ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$2", {
  Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$2.prototype.$classData = $d_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$2;
/** @constructor */
function $c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1$$anonfun$apply$1() {
  $c_sr_AbstractPartialFunction.call(this);
  this.store$1$2 = null
}
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.constructor = $c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1$$anonfun$apply$1;
/** @constructor */
function $h_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1$$anonfun$apply$1() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype = $c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype;
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.applyOrElse__T2__F1__O = (function(x1, $default) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var p4 = $as_Lcom_metastay_reportapp_service_reportflowreader_Search$Output(x3.b$2);
      if ((p4 !== null)) {
        var totalCount = p4.totalCount$1;
        var resultList = p4.resultList$1;
        var f = (function(output$2) {
          var output = $as_Lsmilejs_com_metastay_reportdata_data_ReportFlowSearchResult(output$2);
          return $m_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$().fromDynamic(output.toJson__sjs_js_Dynamic())
        });
        var this$1 = $m_sci_List$();
        var bf = this$1.ReusableCBFInstance$2;
        if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((resultList === $m_sci_Nil$())) {
            var jsx$1 = $m_sci_Nil$()
          } else {
            var arg1 = resultList.head__O();
            var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
            var t = h;
            var rest = resultList.tail__sci_List();
            while ((rest !== $m_sci_Nil$())) {
              var arg1$1 = rest.head__O();
              var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
              t.tl$5 = nx;
              t = nx;
              var this$2 = rest;
              rest = this$2.tail__sci_List()
            };
            var jsx$1 = h
          }
        } else {
          var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(resultList, bf);
          var these = resultList;
          while ((!these.isEmpty__Z())) {
            var arg1$2 = these.head__O();
            b.$$plus$eq__O__scm_Builder(f(arg1$2));
            var this$3 = these;
            these = this$3.tail__sci_List()
          };
          var jsx$1 = b.result__O()
        };
        var col = $as_sc_GenTraversableOnce(jsx$1);
        var this$6 = $m_sjsr_package$();
        if ($is_sjs_js_ArrayOps(col)) {
          var x2 = $as_sjs_js_ArrayOps(col);
          var list = x2.scala$scalajs$js$ArrayOps$$array$f
        } else if ($is_sjs_js_WrappedArray(col)) {
          var x3$1 = $as_sjs_js_WrappedArray(col);
          var list = x3$1.array$6
        } else {
          var result = [];
          col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
            return (function(x$2) {
              return $uI(result$1.push(x$2))
            })
          })(this$6, result)));
          var list = result
        };
        var jsx$2 = $m_Lcom_metastay_reportapp_store_Store$Ext$();
        var store = this.store$1$2;
        jsx$2.MUTATE$undREPORT$undFLOW$undSEARCH$undRESULT$undSUMMARY$extension__Lcom_metastay_reportapp_store_Store__Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary__V(store, new ($a_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary())(totalCount, list));
        return (void 0)
      }
    }
  };
  if ((x1 !== null)) {
    var p5 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p5)) {
      var x6 = $as_s_util_Left(p5);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x6.a$2);
      $m_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$().com$metastay$reportapp$actions$ReportFlowActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x1)
});
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.init___Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1__Lcom_metastay_reportapp_store_Store = (function($$outer, store$1) {
  this.store$1$2 = store$1;
  return this
});
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.isDefinedAt__T2__Z = (function(x1) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var p4 = $as_Lcom_metastay_reportapp_service_reportflowreader_Search$Output(x3.b$2);
      if ((p4 !== null)) {
        return true
      }
    }
  };
  if ((x1 !== null)) {
    var p5 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p5)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1$$anonfun$apply$1 = new $TypeData().initClass({
  Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1$$anonfun$apply$1: 0
}, false, "com.metastay.reportapp.actions.ReportFlowActionsCode$$anonfun$search$1$$anonfun$apply$1", {
  Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1$$anonfun$apply$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.$classData = $d_Lcom_metastay_reportapp_actions_ReportFlowActionsCode$$anonfun$search$1$$anonfun$apply$1;
/** @constructor */
function $c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1$$anonfun$apply$2() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1$$anonfun$apply$2.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1$$anonfun$apply$2.prototype.constructor = $c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1$$anonfun$apply$2;
/** @constructor */
function $h_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1$$anonfun$apply$2() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1$$anonfun$apply$2.prototype = $c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1$$anonfun$apply$2.prototype;
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1$$anonfun$apply$2.prototype.init___Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1$$anonfun$apply$2.prototype.applyOrElse__T2__F1__O = (function(x2, $default) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var resultList = $as_Lcom_metastay_reportapp_service_reporttaskreader_GetTaskNameList$Output(x3.b$2);
      var taskNameList = resultList.taskNameListJS__sjs_js_Array();
      $m_Lcom_metastay_reportapp_bus_ReportTaskBus$().emitTaskNameListForFlowLoaded__sjs_js_Array__V(taskNameList);
      return (void 0)
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$().com$metastay$reportapp$actions$ReportTaskActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x2)
});
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1$$anonfun$apply$2.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1$$anonfun$apply$2.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1$$anonfun$apply$2.prototype.isDefinedAt__T2__Z = (function(x2) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1$$anonfun$apply$2 = new $TypeData().initClass({
  Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1$$anonfun$apply$2: 0
}, false, "com.metastay.reportapp.actions.ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1$$anonfun$apply$2", {
  Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1$$anonfun$apply$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1$$anonfun$apply$2.prototype.$classData = $d_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$loadTaskNameListForFlow$1$$anonfun$apply$2;
/** @constructor */
function $c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1$$anonfun$apply$1() {
  $c_sr_AbstractPartialFunction.call(this);
  this.store$1$2 = null
}
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.constructor = $c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1$$anonfun$apply$1;
/** @constructor */
function $h_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1$$anonfun$apply$1() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype = $c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype;
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.applyOrElse__T2__F1__O = (function(x1, $default) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var p4 = $as_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output(x3.b$2);
      if ((p4 !== null)) {
        var totalCount = p4.totalCount$1;
        var resultList = p4.resultList$1;
        var f = (function(output$2) {
          var output = $as_Lsmilejs_com_metastay_reportdata_data_ReportTaskSearchResult(output$2);
          return $m_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$().fromDynamic(output.toJson__sjs_js_Dynamic())
        });
        var this$1 = $m_sci_List$();
        var bf = this$1.ReusableCBFInstance$2;
        if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((resultList === $m_sci_Nil$())) {
            var jsx$1 = $m_sci_Nil$()
          } else {
            var arg1 = resultList.head__O();
            var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
            var t = h;
            var rest = resultList.tail__sci_List();
            while ((rest !== $m_sci_Nil$())) {
              var arg1$1 = rest.head__O();
              var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
              t.tl$5 = nx;
              t = nx;
              var this$2 = rest;
              rest = this$2.tail__sci_List()
            };
            var jsx$1 = h
          }
        } else {
          var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(resultList, bf);
          var these = resultList;
          while ((!these.isEmpty__Z())) {
            var arg1$2 = these.head__O();
            b.$$plus$eq__O__scm_Builder(f(arg1$2));
            var this$3 = these;
            these = this$3.tail__sci_List()
          };
          var jsx$1 = b.result__O()
        };
        var col = $as_sc_GenTraversableOnce(jsx$1);
        var this$6 = $m_sjsr_package$();
        if ($is_sjs_js_ArrayOps(col)) {
          var x2 = $as_sjs_js_ArrayOps(col);
          var list = x2.scala$scalajs$js$ArrayOps$$array$f
        } else if ($is_sjs_js_WrappedArray(col)) {
          var x3$1 = $as_sjs_js_WrappedArray(col);
          var list = x3$1.array$6
        } else {
          var result = [];
          col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
            return (function(x$2) {
              return $uI(result$1.push(x$2))
            })
          })(this$6, result)));
          var list = result
        };
        var jsx$2 = $m_Lcom_metastay_reportapp_store_Store$Ext$();
        var store = this.store$1$2;
        jsx$2.MUTATE$undREPORT$undTASK$undSEARCH$undRESULT$undSUMMARY$extension__Lcom_metastay_reportapp_store_Store__Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary__V(store, new ($a_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary())(totalCount, list));
        return (void 0)
      }
    }
  };
  if ((x1 !== null)) {
    var p5 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p5)) {
      var x6 = $as_s_util_Left(p5);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x6.a$2);
      $m_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$().com$metastay$reportapp$actions$ReportTaskActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x1)
});
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.init___Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1__Lcom_metastay_reportapp_store_Store = (function($$outer, store$1) {
  this.store$1$2 = store$1;
  return this
});
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.isDefinedAt__T2__Z = (function(x1) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var p4 = $as_Lcom_metastay_reportapp_service_reporttaskreader_Search$Output(x3.b$2);
      if ((p4 !== null)) {
        return true
      }
    }
  };
  if ((x1 !== null)) {
    var p5 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p5)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1$$anonfun$apply$1 = new $TypeData().initClass({
  Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1$$anonfun$apply$1: 0
}, false, "com.metastay.reportapp.actions.ReportTaskActionsCode$$anonfun$search$1$$anonfun$apply$1", {
  Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1$$anonfun$apply$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.$classData = $d_Lcom_metastay_reportapp_actions_ReportTaskActionsCode$$anonfun$search$1$$anonfun$apply$1;
/** @constructor */
function $c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1$$anonfun$apply$1() {
  $c_sr_AbstractPartialFunction.call(this);
  this.store$1$2 = null
}
$c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.constructor = $c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1$$anonfun$apply$1;
/** @constructor */
function $h_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1$$anonfun$apply$1() {
  /*<skip>*/
}
$h_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype = $c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype;
$c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.applyOrElse__T2__F1__O = (function(x1, $default) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var p4 = $as_Lcom_metastay_reportapp_service_reportuserreader_Search$Output(x3.b$2);
      if ((p4 !== null)) {
        var totalCount = p4.totalCount$1;
        var resultList = p4.resultList$1;
        var f = (function(output$2) {
          var output = $as_Lsmilejs_com_metastay_reportdata_data_ReportUserSearchResult(output$2);
          return $m_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$().fromDynamic(output.toJson__sjs_js_Dynamic())
        });
        var this$1 = $m_sci_List$();
        var bf = this$1.ReusableCBFInstance$2;
        if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((resultList === $m_sci_Nil$())) {
            var jsx$1 = $m_sci_Nil$()
          } else {
            var arg1 = resultList.head__O();
            var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
            var t = h;
            var rest = resultList.tail__sci_List();
            while ((rest !== $m_sci_Nil$())) {
              var arg1$1 = rest.head__O();
              var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
              t.tl$5 = nx;
              t = nx;
              var this$2 = rest;
              rest = this$2.tail__sci_List()
            };
            var jsx$1 = h
          }
        } else {
          var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(resultList, bf);
          var these = resultList;
          while ((!these.isEmpty__Z())) {
            var arg1$2 = these.head__O();
            b.$$plus$eq__O__scm_Builder(f(arg1$2));
            var this$3 = these;
            these = this$3.tail__sci_List()
          };
          var jsx$1 = b.result__O()
        };
        var col = $as_sc_GenTraversableOnce(jsx$1);
        var this$6 = $m_sjsr_package$();
        if ($is_sjs_js_ArrayOps(col)) {
          var x2 = $as_sjs_js_ArrayOps(col);
          var list = x2.scala$scalajs$js$ArrayOps$$array$f
        } else if ($is_sjs_js_WrappedArray(col)) {
          var x3$1 = $as_sjs_js_WrappedArray(col);
          var list = x3$1.array$6
        } else {
          var result = [];
          col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
            return (function(x$2) {
              return $uI(result$1.push(x$2))
            })
          })(this$6, result)));
          var list = result
        };
        var jsx$2 = $m_Lcom_metastay_reportapp_store_Store$Ext$();
        var store = this.store$1$2;
        jsx$2.MUTATE$undREPORT$undUSER$undSEARCH$undRESULT$undSUMMARY$extension__Lcom_metastay_reportapp_store_Store__Lcom_metastay_reportapp_data_ReportUserSearchResultSummary__V(store, new ($a_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary())(totalCount, list));
        return (void 0)
      }
    }
  };
  if ((x1 !== null)) {
    var p5 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p5)) {
      var x6 = $as_s_util_Left(p5);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x6.a$2);
      $m_Lcom_metastay_reportapp_actions_ReportUserActionsCode$().com$metastay$reportapp$actions$ReportUserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x1)
});
$c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.isDefinedAt__T2__Z = (function(x1) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var p4 = $as_Lcom_metastay_reportapp_service_reportuserreader_Search$Output(x3.b$2);
      if ((p4 !== null)) {
        return true
      }
    }
  };
  if ((x1 !== null)) {
    var p5 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p5)) {
      return true
    }
  };
  return false
});
$c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.init___Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1__Lcom_metastay_reportapp_store_Store = (function($$outer, store$1) {
  this.store$1$2 = store$1;
  return this
});
var $d_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1$$anonfun$apply$1 = new $TypeData().initClass({
  Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1$$anonfun$apply$1: 0
}, false, "com.metastay.reportapp.actions.ReportUserActionsCode$$anonfun$search$1$$anonfun$apply$1", {
  Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1$$anonfun$apply$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1$$anonfun$apply$1.prototype.$classData = $d_Lcom_metastay_reportapp_actions_ReportUserActionsCode$$anonfun$search$1$$anonfun$apply$1;
/** @constructor */
function $c_Ljava_io_PrintStream() {
  $c_Ljava_io_FilterOutputStream.call(this);
  this.java$io$PrintStream$$autoFlush$f = false;
  this.charset$3 = null;
  this.java$io$PrintStream$$encoder$3 = null;
  this.java$io$PrintStream$$closing$3 = false;
  this.java$io$PrintStream$$closed$3 = false;
  this.errorFlag$3 = false;
  this.bitmap$0$3 = false
}
$c_Ljava_io_PrintStream.prototype = new $h_Ljava_io_FilterOutputStream();
$c_Ljava_io_PrintStream.prototype.constructor = $c_Ljava_io_PrintStream;
/** @constructor */
function $h_Ljava_io_PrintStream() {
  /*<skip>*/
}
$h_Ljava_io_PrintStream.prototype = $c_Ljava_io_PrintStream.prototype;
$c_Ljava_io_PrintStream.prototype.init___Ljava_io_OutputStream__Z__Ljava_nio_charset_Charset = (function(_out, autoFlush, charset) {
  this.java$io$PrintStream$$autoFlush$f = autoFlush;
  this.charset$3 = charset;
  $c_Ljava_io_FilterOutputStream.prototype.init___Ljava_io_OutputStream.call(this, _out);
  this.java$io$PrintStream$$closing$3 = false;
  this.java$io$PrintStream$$closed$3 = false;
  this.errorFlag$3 = false;
  return this
});
$c_Ljava_io_PrintStream.prototype.println__T__V = (function(s) {
  this.print__T__V(s);
  this.java$lang$JSConsoleBasedPrintStream$$printString__T__V("\n")
});
/** @constructor */
function $c_T2() {
  $c_O.call(this);
  this.$$und1$f = null;
  this.$$und2$f = null
}
$c_T2.prototype = new $h_O();
$c_T2.prototype.constructor = $c_T2;
/** @constructor */
function $h_T2() {
  /*<skip>*/
}
$h_T2.prototype = $c_T2.prototype;
$c_T2.prototype.productPrefix__T = (function() {
  return "Tuple2"
});
$c_T2.prototype.productArity__I = (function() {
  return 2
});
$c_T2.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_T2(x$1)) {
    var Tuple2$1 = $as_T2(x$1);
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(this.$$und1$f, Tuple2$1.$$und1$f) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.$$und2$f, Tuple2$1.$$und2$f))
  } else {
    return false
  }
});
$c_T2.prototype.productElement__I__O = (function(n) {
  return $s_s_Product2$class__productElement__s_Product2__I__O(this, n)
});
$c_T2.prototype.init___O__O = (function(_1, _2) {
  this.$$und1$f = _1;
  this.$$und2$f = _2;
  return this
});
$c_T2.prototype.toString__T = (function() {
  return (((("(" + this.$$und1$f) + ",") + this.$$und2$f) + ")")
});
$c_T2.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_T2.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_T2(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.T2)))
}
function $as_T2(obj) {
  return (($is_T2(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.Tuple2"))
}
function $isArrayOf_T2(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.T2)))
}
function $asArrayOf_T2(obj, depth) {
  return (($isArrayOf_T2(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.Tuple2;", depth))
}
var $d_T2 = new $TypeData().initClass({
  T2: 0
}, false, "scala.Tuple2", {
  T2: 1,
  O: 1,
  s_Product2: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_T2.prototype.$classData = $d_T2;
/** @constructor */
function $c_jl_ArrayIndexOutOfBoundsException() {
  $c_jl_IndexOutOfBoundsException.call(this)
}
$c_jl_ArrayIndexOutOfBoundsException.prototype = new $h_jl_IndexOutOfBoundsException();
$c_jl_ArrayIndexOutOfBoundsException.prototype.constructor = $c_jl_ArrayIndexOutOfBoundsException;
/** @constructor */
function $h_jl_ArrayIndexOutOfBoundsException() {
  /*<skip>*/
}
$h_jl_ArrayIndexOutOfBoundsException.prototype = $c_jl_ArrayIndexOutOfBoundsException.prototype;
$c_jl_ArrayIndexOutOfBoundsException.prototype.init___T = (function(s) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
var $d_jl_ArrayIndexOutOfBoundsException = new $TypeData().initClass({
  jl_ArrayIndexOutOfBoundsException: 0
}, false, "java.lang.ArrayIndexOutOfBoundsException", {
  jl_ArrayIndexOutOfBoundsException: 1,
  jl_IndexOutOfBoundsException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_ArrayIndexOutOfBoundsException.prototype.$classData = $d_jl_ArrayIndexOutOfBoundsException;
/** @constructor */
function $c_jl_NumberFormatException() {
  $c_jl_IllegalArgumentException.call(this)
}
$c_jl_NumberFormatException.prototype = new $h_jl_IllegalArgumentException();
$c_jl_NumberFormatException.prototype.constructor = $c_jl_NumberFormatException;
/** @constructor */
function $h_jl_NumberFormatException() {
  /*<skip>*/
}
$h_jl_NumberFormatException.prototype = $c_jl_NumberFormatException.prototype;
$c_jl_NumberFormatException.prototype.init___T = (function(s) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
var $d_jl_NumberFormatException = new $TypeData().initClass({
  jl_NumberFormatException: 0
}, false, "java.lang.NumberFormatException", {
  jl_NumberFormatException: 1,
  jl_IllegalArgumentException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_NumberFormatException.prototype.$classData = $d_jl_NumberFormatException;
/** @constructor */
function $c_s_None$() {
  $c_s_Option.call(this)
}
$c_s_None$.prototype = new $h_s_Option();
$c_s_None$.prototype.constructor = $c_s_None$;
/** @constructor */
function $h_s_None$() {
  /*<skip>*/
}
$h_s_None$.prototype = $c_s_None$.prototype;
$c_s_None$.prototype.init___ = (function() {
  return this
});
$c_s_None$.prototype.productPrefix__T = (function() {
  return "None"
});
$c_s_None$.prototype.productArity__I = (function() {
  return 0
});
$c_s_None$.prototype.isEmpty__Z = (function() {
  return true
});
$c_s_None$.prototype.get__O = (function() {
  this.get__sr_Nothing$()
});
$c_s_None$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_s_None$.prototype.toString__T = (function() {
  return "None"
});
$c_s_None$.prototype.get__sr_Nothing$ = (function() {
  throw new $c_ju_NoSuchElementException().init___T("None.get")
});
$c_s_None$.prototype.hashCode__I = (function() {
  return 2433880
});
$c_s_None$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_s_None$ = new $TypeData().initClass({
  s_None$: 0
}, false, "scala.None$", {
  s_None$: 1,
  s_Option: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_None$.prototype.$classData = $d_s_None$;
var $n_s_None$ = (void 0);
function $m_s_None$() {
  if ((!$n_s_None$)) {
    $n_s_None$ = new $c_s_None$().init___()
  };
  return $n_s_None$
}
/** @constructor */
function $c_s_PartialFunction$$anonfun$4() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_s_PartialFunction$$anonfun$4.prototype = new $h_sr_AbstractPartialFunction();
$c_s_PartialFunction$$anonfun$4.prototype.constructor = $c_s_PartialFunction$$anonfun$4;
/** @constructor */
function $h_s_PartialFunction$$anonfun$4() {
  /*<skip>*/
}
$h_s_PartialFunction$$anonfun$4.prototype = $c_s_PartialFunction$$anonfun$4.prototype;
$c_s_PartialFunction$$anonfun$4.prototype.init___ = (function() {
  return this
});
$c_s_PartialFunction$$anonfun$4.prototype.isDefinedAt__O__Z = (function(x1) {
  return true
});
$c_s_PartialFunction$$anonfun$4.prototype.applyOrElse__O__F1__O = (function(x1, $default) {
  return $m_s_PartialFunction$().scala$PartialFunction$$fallback$undpf$f
});
var $d_s_PartialFunction$$anonfun$4 = new $TypeData().initClass({
  s_PartialFunction$$anonfun$4: 0
}, false, "scala.PartialFunction$$anonfun$4", {
  s_PartialFunction$$anonfun$4: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_PartialFunction$$anonfun$4.prototype.$classData = $d_s_PartialFunction$$anonfun$4;
/** @constructor */
function $c_s_Some() {
  $c_s_Option.call(this);
  this.x$2 = null
}
$c_s_Some.prototype = new $h_s_Option();
$c_s_Some.prototype.constructor = $c_s_Some;
/** @constructor */
function $h_s_Some() {
  /*<skip>*/
}
$h_s_Some.prototype = $c_s_Some.prototype;
$c_s_Some.prototype.productPrefix__T = (function() {
  return "Some"
});
$c_s_Some.prototype.productArity__I = (function() {
  return 1
});
$c_s_Some.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_s_Some(x$1)) {
    var Some$1 = $as_s_Some(x$1);
    return $m_sr_BoxesRunTime$().equals__O__O__Z(this.x$2, Some$1.x$2)
  } else {
    return false
  }
});
$c_s_Some.prototype.isEmpty__Z = (function() {
  return false
});
$c_s_Some.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.x$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_s_Some.prototype.get__O = (function() {
  return this.x$2
});
$c_s_Some.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_s_Some.prototype.init___O = (function(x) {
  this.x$2 = x;
  return this
});
$c_s_Some.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_s_Some.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_s_Some(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_Some)))
}
function $as_s_Some(obj) {
  return (($is_s_Some(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.Some"))
}
function $isArrayOf_s_Some(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_Some)))
}
function $asArrayOf_s_Some(obj, depth) {
  return (($isArrayOf_s_Some(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.Some;", depth))
}
var $d_s_Some = new $TypeData().initClass({
  s_Some: 0
}, false, "scala.Some", {
  s_Some: 1,
  s_Option: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_Some.prototype.$classData = $d_s_Some;
/** @constructor */
function $c_s_StringContext$InvalidEscapeException() {
  $c_jl_IllegalArgumentException.call(this);
  this.index$5 = 0
}
$c_s_StringContext$InvalidEscapeException.prototype = new $h_jl_IllegalArgumentException();
$c_s_StringContext$InvalidEscapeException.prototype.constructor = $c_s_StringContext$InvalidEscapeException;
/** @constructor */
function $h_s_StringContext$InvalidEscapeException() {
  /*<skip>*/
}
$h_s_StringContext$InvalidEscapeException.prototype = $c_s_StringContext$InvalidEscapeException.prototype;
$c_s_StringContext$InvalidEscapeException.prototype.init___T__I = (function(str, index) {
  this.index$5 = index;
  var jsx$3 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["invalid escape ", " index ", " in \"", "\". Use \\\\\\\\ for literal \\\\."]));
  $m_s_Predef$().require__Z__V(((index >= 0) && (index < $uI(str.length))));
  if ((index === (((-1) + $uI(str.length)) | 0))) {
    var jsx$1 = "at terminal"
  } else {
    var jsx$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["'\\\\", "' not one of ", " at"]));
    var index$1 = ((1 + index) | 0);
    var c = (65535 & $uI(str.charCodeAt(index$1)));
    var jsx$1 = jsx$2.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_jl_Character().init___C(c), "[\\b, \\t, \\n, \\f, \\r, \\\\, \\\", \\']"]))
  };
  var s = jsx$3.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$1, index, str]));
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
var $d_s_StringContext$InvalidEscapeException = new $TypeData().initClass({
  s_StringContext$InvalidEscapeException: 0
}, false, "scala.StringContext$InvalidEscapeException", {
  s_StringContext$InvalidEscapeException: 1,
  jl_IllegalArgumentException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_s_StringContext$InvalidEscapeException.prototype.$classData = $d_s_StringContext$InvalidEscapeException;
/** @constructor */
function $c_s_util_Failure() {
  $c_s_util_Try.call(this);
  this.exception$2 = null
}
$c_s_util_Failure.prototype = new $h_s_util_Try();
$c_s_util_Failure.prototype.constructor = $c_s_util_Failure;
/** @constructor */
function $h_s_util_Failure() {
  /*<skip>*/
}
$h_s_util_Failure.prototype = $c_s_util_Failure.prototype;
$c_s_util_Failure.prototype.productPrefix__T = (function() {
  return "Failure"
});
$c_s_util_Failure.prototype.isSuccess__Z = (function() {
  return false
});
$c_s_util_Failure.prototype.productArity__I = (function() {
  return 1
});
$c_s_util_Failure.prototype.map__F1__s_util_Try = (function(f) {
  return this
});
$c_s_util_Failure.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_s_util_Failure(x$1)) {
    var Failure$1 = $as_s_util_Failure(x$1);
    var x = this.exception$2;
    var x$2 = Failure$1.exception$2;
    return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
  } else {
    return false
  }
});
$c_s_util_Failure.prototype.get__O = (function() {
  throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(this.exception$2)
});
$c_s_util_Failure.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.exception$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_s_util_Failure.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_s_util_Failure.prototype.init___jl_Throwable = (function(exception) {
  this.exception$2 = exception;
  return this
});
$c_s_util_Failure.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_s_util_Failure.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_s_util_Failure.prototype.recover__s_PartialFunction__s_util_Try = (function(rescueException) {
  try {
    if (rescueException.isDefinedAt__O__Z(this.exception$2)) {
      try {
        return new $c_s_util_Success().init___O(rescueException.apply__O__O(this.exception$2))
      } catch (e) {
        var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
        if ((e$2 !== null)) {
          var o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
          if ((!o11.isEmpty__Z())) {
            var e$3 = $as_jl_Throwable(o11.get__O());
            return new $c_s_util_Failure().init___jl_Throwable(e$3)
          };
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
        } else {
          throw e
        }
      }
    } else {
      return this
    }
  } catch (e$1) {
    var e$2$1 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e$1);
    if ((e$2$1 !== null)) {
      var o11$1 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2$1);
      if ((!o11$1.isEmpty__Z())) {
        var e$3$1 = $as_jl_Throwable(o11$1.get__O());
        return new $c_s_util_Failure().init___jl_Throwable(e$3$1)
      };
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2$1)
    } else {
      throw e$1
    }
  }
});
function $is_s_util_Failure(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Failure)))
}
function $as_s_util_Failure(obj) {
  return (($is_s_util_Failure(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.util.Failure"))
}
function $isArrayOf_s_util_Failure(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Failure)))
}
function $asArrayOf_s_util_Failure(obj, depth) {
  return (($isArrayOf_s_util_Failure(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.util.Failure;", depth))
}
var $d_s_util_Failure = new $TypeData().initClass({
  s_util_Failure: 0
}, false, "scala.util.Failure", {
  s_util_Failure: 1,
  s_util_Try: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Failure.prototype.$classData = $d_s_util_Failure;
/** @constructor */
function $c_s_util_Left() {
  $c_s_util_Either.call(this);
  this.a$2 = null
}
$c_s_util_Left.prototype = new $h_s_util_Either();
$c_s_util_Left.prototype.constructor = $c_s_util_Left;
/** @constructor */
function $h_s_util_Left() {
  /*<skip>*/
}
$h_s_util_Left.prototype = $c_s_util_Left.prototype;
$c_s_util_Left.prototype.productPrefix__T = (function() {
  return "Left"
});
$c_s_util_Left.prototype.productArity__I = (function() {
  return 1
});
$c_s_util_Left.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_s_util_Left(x$1)) {
    var Left$1 = $as_s_util_Left(x$1);
    return $m_sr_BoxesRunTime$().equals__O__O__Z(this.a$2, Left$1.a$2)
  } else {
    return false
  }
});
$c_s_util_Left.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.a$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_s_util_Left.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_s_util_Left.prototype.init___O = (function(a) {
  this.a$2 = a;
  return this
});
$c_s_util_Left.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_s_util_Left.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_s_util_Left(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Left)))
}
function $as_s_util_Left(obj) {
  return (($is_s_util_Left(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.util.Left"))
}
function $isArrayOf_s_util_Left(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Left)))
}
function $asArrayOf_s_util_Left(obj, depth) {
  return (($isArrayOf_s_util_Left(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.util.Left;", depth))
}
var $d_s_util_Left = new $TypeData().initClass({
  s_util_Left: 0
}, false, "scala.util.Left", {
  s_util_Left: 1,
  s_util_Either: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Left.prototype.$classData = $d_s_util_Left;
/** @constructor */
function $c_s_util_Right() {
  $c_s_util_Either.call(this);
  this.b$2 = null
}
$c_s_util_Right.prototype = new $h_s_util_Either();
$c_s_util_Right.prototype.constructor = $c_s_util_Right;
/** @constructor */
function $h_s_util_Right() {
  /*<skip>*/
}
$h_s_util_Right.prototype = $c_s_util_Right.prototype;
$c_s_util_Right.prototype.productPrefix__T = (function() {
  return "Right"
});
$c_s_util_Right.prototype.productArity__I = (function() {
  return 1
});
$c_s_util_Right.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_s_util_Right(x$1)) {
    var Right$1 = $as_s_util_Right(x$1);
    return $m_sr_BoxesRunTime$().equals__O__O__Z(this.b$2, Right$1.b$2)
  } else {
    return false
  }
});
$c_s_util_Right.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.b$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_s_util_Right.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_s_util_Right.prototype.init___O = (function(b) {
  this.b$2 = b;
  return this
});
$c_s_util_Right.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_s_util_Right.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_s_util_Right(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Right)))
}
function $as_s_util_Right(obj) {
  return (($is_s_util_Right(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.util.Right"))
}
function $isArrayOf_s_util_Right(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Right)))
}
function $asArrayOf_s_util_Right(obj, depth) {
  return (($isArrayOf_s_util_Right(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.util.Right;", depth))
}
var $d_s_util_Right = new $TypeData().initClass({
  s_util_Right: 0
}, false, "scala.util.Right", {
  s_util_Right: 1,
  s_util_Either: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Right.prototype.$classData = $d_s_util_Right;
/** @constructor */
function $c_s_util_Success() {
  $c_s_util_Try.call(this);
  this.value$2 = null
}
$c_s_util_Success.prototype = new $h_s_util_Try();
$c_s_util_Success.prototype.constructor = $c_s_util_Success;
/** @constructor */
function $h_s_util_Success() {
  /*<skip>*/
}
$h_s_util_Success.prototype = $c_s_util_Success.prototype;
$c_s_util_Success.prototype.productPrefix__T = (function() {
  return "Success"
});
$c_s_util_Success.prototype.isSuccess__Z = (function() {
  return true
});
$c_s_util_Success.prototype.productArity__I = (function() {
  return 1
});
$c_s_util_Success.prototype.map__F1__s_util_Try = (function(f) {
  try {
    return new $c_s_util_Success().init___O(f.apply__O__O(this.value$2))
  } catch (e) {
    var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
    if ((e$2 !== null)) {
      var o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
      if ((!o11.isEmpty__Z())) {
        var e$3 = $as_jl_Throwable(o11.get__O());
        return new $c_s_util_Failure().init___jl_Throwable(e$3)
      };
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
    } else {
      throw e
    }
  }
});
$c_s_util_Success.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_s_util_Success(x$1)) {
    var Success$1 = $as_s_util_Success(x$1);
    return $m_sr_BoxesRunTime$().equals__O__O__Z(this.value$2, Success$1.value$2)
  } else {
    return false
  }
});
$c_s_util_Success.prototype.get__O = (function() {
  return this.value$2
});
$c_s_util_Success.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.value$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_s_util_Success.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_s_util_Success.prototype.init___O = (function(value) {
  this.value$2 = value;
  return this
});
$c_s_util_Success.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_s_util_Success.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_s_util_Success.prototype.recover__s_PartialFunction__s_util_Try = (function(rescueException) {
  return this
});
function $is_s_util_Success(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Success)))
}
function $as_s_util_Success(obj) {
  return (($is_s_util_Success(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.util.Success"))
}
function $isArrayOf_s_util_Success(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Success)))
}
function $asArrayOf_s_util_Success(obj, depth) {
  return (($isArrayOf_s_util_Success(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.util.Success;", depth))
}
var $d_s_util_Success = new $TypeData().initClass({
  s_util_Success: 0
}, false, "scala.util.Success", {
  s_util_Success: 1,
  s_util_Try: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Success.prototype.$classData = $d_s_util_Success;
/** @constructor */
function $c_scg_SeqFactory() {
  $c_scg_GenSeqFactory.call(this)
}
$c_scg_SeqFactory.prototype = new $h_scg_GenSeqFactory();
$c_scg_SeqFactory.prototype.constructor = $c_scg_SeqFactory;
/** @constructor */
function $h_scg_SeqFactory() {
  /*<skip>*/
}
$h_scg_SeqFactory.prototype = $c_scg_SeqFactory.prototype;
/** @constructor */
function $c_sci_HashMap$HashTrieMap$$anon$1() {
  $c_sci_TrieIterator.call(this)
}
$c_sci_HashMap$HashTrieMap$$anon$1.prototype = new $h_sci_TrieIterator();
$c_sci_HashMap$HashTrieMap$$anon$1.prototype.constructor = $c_sci_HashMap$HashTrieMap$$anon$1;
/** @constructor */
function $h_sci_HashMap$HashTrieMap$$anon$1() {
  /*<skip>*/
}
$h_sci_HashMap$HashTrieMap$$anon$1.prototype = $c_sci_HashMap$HashTrieMap$$anon$1.prototype;
$c_sci_HashMap$HashTrieMap$$anon$1.prototype.init___sci_HashMap$HashTrieMap = (function($$outer) {
  $c_sci_TrieIterator.prototype.init___Asci_Iterable.call(this, $$outer.elems$6);
  return this
});
$c_sci_HashMap$HashTrieMap$$anon$1.prototype.getElem__O__O = (function(x) {
  return $as_sci_HashMap$HashMap1(x).ensurePair__T2()
});
var $d_sci_HashMap$HashTrieMap$$anon$1 = new $TypeData().initClass({
  sci_HashMap$HashTrieMap$$anon$1: 0
}, false, "scala.collection.immutable.HashMap$HashTrieMap$$anon$1", {
  sci_HashMap$HashTrieMap$$anon$1: 1,
  sci_TrieIterator: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sci_HashMap$HashTrieMap$$anon$1.prototype.$classData = $d_sci_HashMap$HashTrieMap$$anon$1;
/** @constructor */
function $c_sci_HashSet$HashTrieSet$$anon$1() {
  $c_sci_TrieIterator.call(this)
}
$c_sci_HashSet$HashTrieSet$$anon$1.prototype = new $h_sci_TrieIterator();
$c_sci_HashSet$HashTrieSet$$anon$1.prototype.constructor = $c_sci_HashSet$HashTrieSet$$anon$1;
/** @constructor */
function $h_sci_HashSet$HashTrieSet$$anon$1() {
  /*<skip>*/
}
$h_sci_HashSet$HashTrieSet$$anon$1.prototype = $c_sci_HashSet$HashTrieSet$$anon$1.prototype;
$c_sci_HashSet$HashTrieSet$$anon$1.prototype.init___sci_HashSet$HashTrieSet = (function($$outer) {
  $c_sci_TrieIterator.prototype.init___Asci_Iterable.call(this, $$outer.elems$5);
  return this
});
$c_sci_HashSet$HashTrieSet$$anon$1.prototype.getElem__O__O = (function(cc) {
  return $as_sci_HashSet$HashSet1(cc).key$6
});
var $d_sci_HashSet$HashTrieSet$$anon$1 = new $TypeData().initClass({
  sci_HashSet$HashTrieSet$$anon$1: 0
}, false, "scala.collection.immutable.HashSet$HashTrieSet$$anon$1", {
  sci_HashSet$HashTrieSet$$anon$1: 1,
  sci_TrieIterator: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sci_HashSet$HashTrieSet$$anon$1.prototype.$classData = $d_sci_HashSet$HashTrieSet$$anon$1;
/** @constructor */
function $c_sci_Set$() {
  $c_scg_ImmutableSetFactory.call(this)
}
$c_sci_Set$.prototype = new $h_scg_ImmutableSetFactory();
$c_sci_Set$.prototype.constructor = $c_sci_Set$;
/** @constructor */
function $h_sci_Set$() {
  /*<skip>*/
}
$h_sci_Set$.prototype = $c_sci_Set$.prototype;
$c_sci_Set$.prototype.init___ = (function() {
  return this
});
$c_sci_Set$.prototype.emptyInstance__sci_Set = (function() {
  return $m_sci_Set$EmptySet$()
});
var $d_sci_Set$ = new $TypeData().initClass({
  sci_Set$: 0
}, false, "scala.collection.immutable.Set$", {
  sci_Set$: 1,
  scg_ImmutableSetFactory: 1,
  scg_SetFactory: 1,
  scg_GenSetFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_GenericSeqCompanion: 1
});
$c_sci_Set$.prototype.$classData = $d_sci_Set$;
var $n_sci_Set$ = (void 0);
function $m_sci_Set$() {
  if ((!$n_sci_Set$)) {
    $n_sci_Set$ = new $c_sci_Set$().init___()
  };
  return $n_sci_Set$
}
/** @constructor */
function $c_sci_VectorIterator() {
  $c_sc_AbstractIterator.call(this);
  this.endIndex$2 = 0;
  this.blockIndex$2 = 0;
  this.lo$2 = 0;
  this.endLo$2 = 0;
  this.$$undhasNext$2 = false;
  this.depth$2 = 0;
  this.display0$2 = null;
  this.display1$2 = null;
  this.display2$2 = null;
  this.display3$2 = null;
  this.display4$2 = null;
  this.display5$2 = null
}
$c_sci_VectorIterator.prototype = new $h_sc_AbstractIterator();
$c_sci_VectorIterator.prototype.constructor = $c_sci_VectorIterator;
/** @constructor */
function $h_sci_VectorIterator() {
  /*<skip>*/
}
$h_sci_VectorIterator.prototype = $c_sci_VectorIterator.prototype;
$c_sci_VectorIterator.prototype.next__O = (function() {
  if ((!this.$$undhasNext$2)) {
    throw new $c_ju_NoSuchElementException().init___T("reached iterator end")
  };
  var res = this.display0$2.get(this.lo$2);
  this.lo$2 = ((1 + this.lo$2) | 0);
  if ((this.lo$2 === this.endLo$2)) {
    if ((((this.blockIndex$2 + this.lo$2) | 0) < this.endIndex$2)) {
      var newBlockIndex = ((32 + this.blockIndex$2) | 0);
      var xor = (this.blockIndex$2 ^ newBlockIndex);
      $s_sci_VectorPointer$class__gotoNextBlockStart__sci_VectorPointer__I__I__V(this, newBlockIndex, xor);
      this.blockIndex$2 = newBlockIndex;
      var x = ((this.endIndex$2 - this.blockIndex$2) | 0);
      this.endLo$2 = ((x < 32) ? x : 32);
      this.lo$2 = 0
    } else {
      this.$$undhasNext$2 = false
    }
  };
  return res
});
$c_sci_VectorIterator.prototype.display3__AO = (function() {
  return this.display3$2
});
$c_sci_VectorIterator.prototype.depth__I = (function() {
  return this.depth$2
});
$c_sci_VectorIterator.prototype.display5$und$eq__AO__V = (function(x$1) {
  this.display5$2 = x$1
});
$c_sci_VectorIterator.prototype.init___I__I = (function(_startIndex, endIndex) {
  this.endIndex$2 = endIndex;
  this.blockIndex$2 = ((-32) & _startIndex);
  this.lo$2 = (31 & _startIndex);
  var x = ((endIndex - this.blockIndex$2) | 0);
  this.endLo$2 = ((x < 32) ? x : 32);
  this.$$undhasNext$2 = (((this.blockIndex$2 + this.lo$2) | 0) < endIndex);
  return this
});
$c_sci_VectorIterator.prototype.display0__AO = (function() {
  return this.display0$2
});
$c_sci_VectorIterator.prototype.display4__AO = (function() {
  return this.display4$2
});
$c_sci_VectorIterator.prototype.display2$und$eq__AO__V = (function(x$1) {
  this.display2$2 = x$1
});
$c_sci_VectorIterator.prototype.display1$und$eq__AO__V = (function(x$1) {
  this.display1$2 = x$1
});
$c_sci_VectorIterator.prototype.hasNext__Z = (function() {
  return this.$$undhasNext$2
});
$c_sci_VectorIterator.prototype.display4$und$eq__AO__V = (function(x$1) {
  this.display4$2 = x$1
});
$c_sci_VectorIterator.prototype.display1__AO = (function() {
  return this.display1$2
});
$c_sci_VectorIterator.prototype.display5__AO = (function() {
  return this.display5$2
});
$c_sci_VectorIterator.prototype.depth$und$eq__I__V = (function(x$1) {
  this.depth$2 = x$1
});
$c_sci_VectorIterator.prototype.display2__AO = (function() {
  return this.display2$2
});
$c_sci_VectorIterator.prototype.display0$und$eq__AO__V = (function(x$1) {
  this.display0$2 = x$1
});
$c_sci_VectorIterator.prototype.display3$und$eq__AO__V = (function(x$1) {
  this.display3$2 = x$1
});
var $d_sci_VectorIterator = new $TypeData().initClass({
  sci_VectorIterator: 0
}, false, "scala.collection.immutable.VectorIterator", {
  sci_VectorIterator: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sci_VectorPointer: 1
});
$c_sci_VectorIterator.prototype.$classData = $d_sci_VectorIterator;
/** @constructor */
function $c_scm_ArrayBuilder() {
  $c_O.call(this)
}
$c_scm_ArrayBuilder.prototype = new $h_O();
$c_scm_ArrayBuilder.prototype.constructor = $c_scm_ArrayBuilder;
/** @constructor */
function $h_scm_ArrayBuilder() {
  /*<skip>*/
}
$h_scm_ArrayBuilder.prototype = $c_scm_ArrayBuilder.prototype;
$c_scm_ArrayBuilder.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
/** @constructor */
function $c_sjsr_UndefinedBehaviorError() {
  $c_jl_Error.call(this)
}
$c_sjsr_UndefinedBehaviorError.prototype = new $h_jl_Error();
$c_sjsr_UndefinedBehaviorError.prototype.constructor = $c_sjsr_UndefinedBehaviorError;
/** @constructor */
function $h_sjsr_UndefinedBehaviorError() {
  /*<skip>*/
}
$h_sjsr_UndefinedBehaviorError.prototype = $c_sjsr_UndefinedBehaviorError.prototype;
$c_sjsr_UndefinedBehaviorError.prototype.fillInStackTrace__jl_Throwable = (function() {
  return $c_jl_Throwable.prototype.fillInStackTrace__jl_Throwable.call(this)
});
$c_sjsr_UndefinedBehaviorError.prototype.init___jl_Throwable = (function(cause) {
  $c_sjsr_UndefinedBehaviorError.prototype.init___T__jl_Throwable.call(this, ("An undefined behavior was detected" + ((cause === null) ? "" : (": " + cause.getMessage__T()))), cause);
  return this
});
$c_sjsr_UndefinedBehaviorError.prototype.init___T__jl_Throwable = (function(message, cause) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, message, cause);
  return this
});
var $d_sjsr_UndefinedBehaviorError = new $TypeData().initClass({
  sjsr_UndefinedBehaviorError: 0
}, false, "scala.scalajs.runtime.UndefinedBehaviorError", {
  sjsr_UndefinedBehaviorError: 1,
  jl_Error: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_util_control_ControlThrowable: 1,
  s_util_control_NoStackTrace: 1
});
$c_sjsr_UndefinedBehaviorError.prototype.$classData = $d_sjsr_UndefinedBehaviorError;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1() {
  $c_sr_AbstractFunction0$mcV$sp.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1.prototype = new $h_sr_AbstractFunction0$mcV$sp();
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1.prototype.apply$mcV$sp__V = (function() {
  var this$1 = $m_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$().getMonitorFlowDashboardSummaryList__s_concurrent_Future();
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1$$anonfun$apply$mcV$sp$1().init___Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1.prototype.apply__O = (function() {
  this.apply$mcV$sp__V()
});
var $d_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1", {
  Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1: 1,
  sr_AbstractFunction0$mcV$sp: 1,
  sr_AbstractFunction0: 1,
  O: 1,
  F0: 1,
  s_Function0$mcV$sp: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorFlowDashboardSummaryList$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1() {
  $c_sr_AbstractFunction0$mcV$sp.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1.prototype = new $h_sr_AbstractFunction0$mcV$sp();
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1.prototype.apply$mcV$sp__V = (function() {
  var this$1 = $m_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$().getMonitorTaskDashboardSummaryList__s_concurrent_Future();
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1$$anonfun$apply$mcV$sp$2().init___Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1.prototype.apply__O = (function() {
  this.apply$mcV$sp__V()
});
var $d_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1", {
  Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1: 1,
  sr_AbstractFunction0$mcV$sp: 1,
  sr_AbstractFunction0: 1,
  O: 1,
  F0: 1,
  s_Function0$mcV$sp: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorTaskDashboardSummaryList$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1() {
  $c_sr_AbstractFunction0$mcV$sp.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1.prototype = new $h_sr_AbstractFunction0$mcV$sp();
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1.prototype.apply$mcV$sp__V = (function() {
  var this$1 = $m_Lcom_metastay_monitorapp_service_monitordashboardreader_MonitorDashboardReaderBackend$().getMonitorUserDashboardSummaryList__s_concurrent_Future();
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1$$anonfun$apply$mcV$sp$3().init___Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1.prototype.apply__O = (function() {
  this.apply$mcV$sp__V()
});
var $d_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1", {
  Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1: 1,
  sr_AbstractFunction0$mcV$sp: 1,
  sr_AbstractFunction0: 1,
  O: 1,
  F0: 1,
  s_Function0$mcV$sp: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorDashboardActionsCode$$anonfun$loadMonitorUserDashboardSummaryList$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1() {
  $c_sr_AbstractFunction0$mcV$sp.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1.prototype = new $h_sr_AbstractFunction0$mcV$sp();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1.prototype.apply$mcV$sp__V = (function() {
  var this$1 = $m_Lcom_metastay_monitorapp_service_monitorflowreader_MonitorFlowReaderBackend$().getEarliestActiveFlowList__s_concurrent_Future();
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1$$anonfun$apply$mcV$sp$1().init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1.prototype.apply__O = (function() {
  this.apply$mcV$sp__V()
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1: 1,
  sr_AbstractFunction0$mcV$sp: 1,
  sr_AbstractFunction0: 1,
  O: 1,
  F0: 1,
  s_Function0$mcV$sp: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadEarliestActiveFlowList$1;
/** @constructor */
function $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1() {
  $c_sr_AbstractFunction0$mcV$sp.call(this)
}
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1.prototype = new $h_sr_AbstractFunction0$mcV$sp();
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1.prototype.constructor = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1;
/** @constructor */
function $h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1.prototype = $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1.prototype;
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1.prototype.apply$mcV$sp__V = (function() {
  var this$1 = $m_Lcom_metastay_monitorapp_service_valeyflowreader_ValeyFlowReaderBackend$().getFlowStallSetList__s_concurrent_Future();
  var pf = new $c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1$$anonfun$apply$mcV$sp$2().init___Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1.prototype.apply__O = (function() {
  this.apply$mcV$sp__V()
});
var $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1 = new $TypeData().initClass({
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1: 0
}, false, "com.metastay.monitorapp.actions.MonitorFlowActionsCode$$anonfun$loadStallSetList$1", {
  Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1: 1,
  sr_AbstractFunction0$mcV$sp: 1,
  sr_AbstractFunction0: 1,
  O: 1,
  F0: 1,
  s_Function0$mcV$sp: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1.prototype.$classData = $d_Lcom_metastay_monitorapp_actions_MonitorFlowActionsCode$$anonfun$loadStallSetList$1;
/** @constructor */
function $c_Lorg_scalajs_dom_ext_AjaxException() {
  $c_jl_Exception.call(this);
  this.xhr$3 = null
}
$c_Lorg_scalajs_dom_ext_AjaxException.prototype = new $h_jl_Exception();
$c_Lorg_scalajs_dom_ext_AjaxException.prototype.constructor = $c_Lorg_scalajs_dom_ext_AjaxException;
/** @constructor */
function $h_Lorg_scalajs_dom_ext_AjaxException() {
  /*<skip>*/
}
$h_Lorg_scalajs_dom_ext_AjaxException.prototype = $c_Lorg_scalajs_dom_ext_AjaxException.prototype;
$c_Lorg_scalajs_dom_ext_AjaxException.prototype.productPrefix__T = (function() {
  return "AjaxException"
});
$c_Lorg_scalajs_dom_ext_AjaxException.prototype.productArity__I = (function() {
  return 1
});
$c_Lorg_scalajs_dom_ext_AjaxException.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lorg_scalajs_dom_ext_AjaxException(x$1)) {
    var AjaxException$1 = $as_Lorg_scalajs_dom_ext_AjaxException(x$1);
    return $m_sr_BoxesRunTime$().equals__O__O__Z(this.xhr$3, AjaxException$1.xhr$3)
  } else {
    return false
  }
});
$c_Lorg_scalajs_dom_ext_AjaxException.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.xhr$3;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lorg_scalajs_dom_ext_AjaxException.prototype.init___Lorg_scalajs_dom_raw_XMLHttpRequest = (function(xhr) {
  this.xhr$3 = xhr;
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
  return this
});
$c_Lorg_scalajs_dom_ext_AjaxException.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lorg_scalajs_dom_ext_AjaxException.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lorg_scalajs_dom_ext_AjaxException(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_scalajs_dom_ext_AjaxException)))
}
function $as_Lorg_scalajs_dom_ext_AjaxException(obj) {
  return (($is_Lorg_scalajs_dom_ext_AjaxException(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "org.scalajs.dom.ext.AjaxException"))
}
function $isArrayOf_Lorg_scalajs_dom_ext_AjaxException(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_scalajs_dom_ext_AjaxException)))
}
function $asArrayOf_Lorg_scalajs_dom_ext_AjaxException(obj, depth) {
  return (($isArrayOf_Lorg_scalajs_dom_ext_AjaxException(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lorg.scalajs.dom.ext.AjaxException;", depth))
}
var $d_Lorg_scalajs_dom_ext_AjaxException = new $TypeData().initClass({
  Lorg_scalajs_dom_ext_AjaxException: 0
}, false, "org.scalajs.dom.ext.AjaxException", {
  Lorg_scalajs_dom_ext_AjaxException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lorg_scalajs_dom_ext_AjaxException.prototype.$classData = $d_Lorg_scalajs_dom_ext_AjaxException;
/** @constructor */
function $c_jl_JSConsoleBasedPrintStream() {
  $c_Ljava_io_PrintStream.call(this);
  this.isErr$4 = null;
  this.flushed$4 = false;
  this.buffer$4 = null
}
$c_jl_JSConsoleBasedPrintStream.prototype = new $h_Ljava_io_PrintStream();
$c_jl_JSConsoleBasedPrintStream.prototype.constructor = $c_jl_JSConsoleBasedPrintStream;
/** @constructor */
function $h_jl_JSConsoleBasedPrintStream() {
  /*<skip>*/
}
$h_jl_JSConsoleBasedPrintStream.prototype = $c_jl_JSConsoleBasedPrintStream.prototype;
$c_jl_JSConsoleBasedPrintStream.prototype.init___jl_Boolean = (function(isErr) {
  this.isErr$4 = isErr;
  var out = new $c_jl_JSConsoleBasedPrintStream$DummyOutputStream().init___();
  $c_Ljava_io_PrintStream.prototype.init___Ljava_io_OutputStream__Z__Ljava_nio_charset_Charset.call(this, out, false, null);
  this.flushed$4 = true;
  this.buffer$4 = "";
  return this
});
$c_jl_JSConsoleBasedPrintStream.prototype.print__T__V = (function(s) {
  this.java$lang$JSConsoleBasedPrintStream$$printString__T__V(((s === null) ? "null" : s))
});
$c_jl_JSConsoleBasedPrintStream.prototype.java$lang$JSConsoleBasedPrintStream$$printString__T__V = (function(s) {
  var rest = s;
  while ((rest !== "")) {
    var thiz = rest;
    var nlPos = $uI(thiz.indexOf("\n"));
    if ((nlPos < 0)) {
      this.buffer$4 = (("" + this.buffer$4) + rest);
      this.flushed$4 = false;
      rest = ""
    } else {
      var jsx$1 = this.buffer$4;
      var thiz$1 = rest;
      this.doWriteLine__p4__T__V((("" + jsx$1) + $as_T(thiz$1.substring(0, nlPos))));
      this.buffer$4 = "";
      this.flushed$4 = true;
      var thiz$2 = rest;
      var beginIndex = ((1 + nlPos) | 0);
      rest = $as_T(thiz$2.substring(beginIndex))
    }
  }
});
$c_jl_JSConsoleBasedPrintStream.prototype.doWriteLine__p4__T__V = (function(line) {
  var x = $g.console;
  if ($uZ((!(!x)))) {
    var x$1 = this.isErr$4;
    if ($uZ(x$1)) {
      var x$2 = $g.console.error;
      var jsx$1 = $uZ((!(!x$2)))
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      $g.console.error(line)
    } else {
      $g.console.log(line)
    }
  }
});
var $d_jl_JSConsoleBasedPrintStream = new $TypeData().initClass({
  jl_JSConsoleBasedPrintStream: 0
}, false, "java.lang.JSConsoleBasedPrintStream", {
  jl_JSConsoleBasedPrintStream: 1,
  Ljava_io_PrintStream: 1,
  Ljava_io_FilterOutputStream: 1,
  Ljava_io_OutputStream: 1,
  O: 1,
  Ljava_io_Closeable: 1,
  Ljava_io_Flushable: 1,
  jl_Appendable: 1
});
$c_jl_JSConsoleBasedPrintStream.prototype.$classData = $d_jl_JSConsoleBasedPrintStream;
/** @constructor */
function $c_s_reflect_ClassTag$ClassClassTag() {
  $c_O.call(this);
  this.runtimeClass$1 = null
}
$c_s_reflect_ClassTag$ClassClassTag.prototype = new $h_O();
$c_s_reflect_ClassTag$ClassClassTag.prototype.constructor = $c_s_reflect_ClassTag$ClassClassTag;
/** @constructor */
function $h_s_reflect_ClassTag$ClassClassTag() {
  /*<skip>*/
}
$h_s_reflect_ClassTag$ClassClassTag.prototype = $c_s_reflect_ClassTag$ClassClassTag.prototype;
$c_s_reflect_ClassTag$ClassClassTag.prototype.newArray__I__O = (function(len) {
  return $s_s_reflect_ClassTag$class__newArray__s_reflect_ClassTag__I__O(this, len)
});
$c_s_reflect_ClassTag$ClassClassTag.prototype.equals__O__Z = (function(x) {
  return $s_s_reflect_ClassTag$class__equals__s_reflect_ClassTag__O__Z(this, x)
});
$c_s_reflect_ClassTag$ClassClassTag.prototype.toString__T = (function() {
  return $s_s_reflect_ClassTag$class__prettyprint$1__p0__s_reflect_ClassTag__jl_Class__T(this, this.runtimeClass$1)
});
$c_s_reflect_ClassTag$ClassClassTag.prototype.runtimeClass__jl_Class = (function() {
  return this.runtimeClass$1
});
$c_s_reflect_ClassTag$ClassClassTag.prototype.init___jl_Class = (function(runtimeClass) {
  this.runtimeClass$1 = runtimeClass;
  return this
});
$c_s_reflect_ClassTag$ClassClassTag.prototype.hashCode__I = (function() {
  return $m_sr_ScalaRunTime$().hash__O__I(this.runtimeClass$1)
});
var $d_s_reflect_ClassTag$ClassClassTag = new $TypeData().initClass({
  s_reflect_ClassTag$ClassClassTag: 0
}, false, "scala.reflect.ClassTag$ClassClassTag", {
  s_reflect_ClassTag$ClassClassTag: 1,
  O: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ClassTag$ClassClassTag.prototype.$classData = $d_s_reflect_ClassTag$ClassClassTag;
/** @constructor */
function $c_sc_Seq$() {
  $c_scg_SeqFactory.call(this)
}
$c_sc_Seq$.prototype = new $h_scg_SeqFactory();
$c_sc_Seq$.prototype.constructor = $c_sc_Seq$;
/** @constructor */
function $h_sc_Seq$() {
  /*<skip>*/
}
$h_sc_Seq$.prototype = $c_sc_Seq$.prototype;
$c_sc_Seq$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_sc_Seq$.prototype.newBuilder__scm_Builder = (function() {
  $m_sci_Seq$();
  return new $c_scm_ListBuffer().init___()
});
var $d_sc_Seq$ = new $TypeData().initClass({
  sc_Seq$: 0
}, false, "scala.collection.Seq$", {
  sc_Seq$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sc_Seq$.prototype.$classData = $d_sc_Seq$;
var $n_sc_Seq$ = (void 0);
function $m_sc_Seq$() {
  if ((!$n_sc_Seq$)) {
    $n_sc_Seq$ = new $c_sc_Seq$().init___()
  };
  return $n_sc_Seq$
}
/** @constructor */
function $c_scg_IndexedSeqFactory() {
  $c_scg_SeqFactory.call(this)
}
$c_scg_IndexedSeqFactory.prototype = new $h_scg_SeqFactory();
$c_scg_IndexedSeqFactory.prototype.constructor = $c_scg_IndexedSeqFactory;
/** @constructor */
function $h_scg_IndexedSeqFactory() {
  /*<skip>*/
}
$h_scg_IndexedSeqFactory.prototype = $c_scg_IndexedSeqFactory.prototype;
/** @constructor */
function $c_sci_HashMap$() {
  $c_scg_ImmutableMapFactory.call(this);
  this.defaultMerger$4 = null
}
$c_sci_HashMap$.prototype = new $h_scg_ImmutableMapFactory();
$c_sci_HashMap$.prototype.constructor = $c_sci_HashMap$;
/** @constructor */
function $h_sci_HashMap$() {
  /*<skip>*/
}
$h_sci_HashMap$.prototype = $c_sci_HashMap$.prototype;
$c_sci_HashMap$.prototype.init___ = (function() {
  $n_sci_HashMap$ = this;
  var mergef = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
    return (function(a$2, b$2) {
      var a = $as_T2(a$2);
      $as_T2(b$2);
      return a
    })
  })(this));
  this.defaultMerger$4 = new $c_sci_HashMap$$anon$2().init___F2(mergef);
  return this
});
$c_sci_HashMap$.prototype.scala$collection$immutable$HashMap$$makeHashTrieMap__I__sci_HashMap__I__sci_HashMap__I__I__sci_HashMap$HashTrieMap = (function(hash0, elem0, hash1, elem1, level, size) {
  var index0 = (31 & ((hash0 >>> level) | 0));
  var index1 = (31 & ((hash1 >>> level) | 0));
  if ((index0 !== index1)) {
    var bitmap = ((1 << index0) | (1 << index1));
    var elems = $newArrayObject($d_sci_HashMap.getArrayOf(), [2]);
    if ((index0 < index1)) {
      elems.set(0, elem0);
      elems.set(1, elem1)
    } else {
      elems.set(0, elem1);
      elems.set(1, elem0)
    };
    return new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I(bitmap, elems, size)
  } else {
    var elems$2 = $newArrayObject($d_sci_HashMap.getArrayOf(), [1]);
    var bitmap$2 = (1 << index0);
    elems$2.set(0, this.scala$collection$immutable$HashMap$$makeHashTrieMap__I__sci_HashMap__I__sci_HashMap__I__I__sci_HashMap$HashTrieMap(hash0, elem0, hash1, elem1, ((5 + level) | 0), size));
    return new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I(bitmap$2, elems$2, size)
  }
});
$c_sci_HashMap$.prototype.empty__sc_GenMap = (function() {
  return $m_sci_HashMap$EmptyHashMap$()
});
var $d_sci_HashMap$ = new $TypeData().initClass({
  sci_HashMap$: 0
}, false, "scala.collection.immutable.HashMap$", {
  sci_HashMap$: 1,
  scg_ImmutableMapFactory: 1,
  scg_MapFactory: 1,
  scg_GenMapFactory: 1,
  O: 1,
  scg_BitOperations$Int: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashMap$.prototype.$classData = $d_sci_HashMap$;
var $n_sci_HashMap$ = (void 0);
function $m_sci_HashMap$() {
  if ((!$n_sci_HashMap$)) {
    $n_sci_HashMap$ = new $c_sci_HashMap$().init___()
  };
  return $n_sci_HashMap$
}
/** @constructor */
function $c_sci_Seq$() {
  $c_scg_SeqFactory.call(this)
}
$c_sci_Seq$.prototype = new $h_scg_SeqFactory();
$c_sci_Seq$.prototype.constructor = $c_sci_Seq$;
/** @constructor */
function $h_sci_Seq$() {
  /*<skip>*/
}
$h_sci_Seq$.prototype = $c_sci_Seq$.prototype;
$c_sci_Seq$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_sci_Seq$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_ListBuffer().init___()
});
var $d_sci_Seq$ = new $TypeData().initClass({
  sci_Seq$: 0
}, false, "scala.collection.immutable.Seq$", {
  sci_Seq$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sci_Seq$.prototype.$classData = $d_sci_Seq$;
var $n_sci_Seq$ = (void 0);
function $m_sci_Seq$() {
  if ((!$n_sci_Seq$)) {
    $n_sci_Seq$ = new $c_sci_Seq$().init___()
  };
  return $n_sci_Seq$
}
/** @constructor */
function $c_scm_ArrayBuilder$ofRef() {
  $c_scm_ArrayBuilder.call(this);
  this.evidence$2$2 = null;
  this.elems$2 = null;
  this.capacity$2 = 0;
  this.size$2 = 0
}
$c_scm_ArrayBuilder$ofRef.prototype = new $h_scm_ArrayBuilder();
$c_scm_ArrayBuilder$ofRef.prototype.constructor = $c_scm_ArrayBuilder$ofRef;
/** @constructor */
function $h_scm_ArrayBuilder$ofRef() {
  /*<skip>*/
}
$h_scm_ArrayBuilder$ofRef.prototype = $c_scm_ArrayBuilder$ofRef.prototype;
$c_scm_ArrayBuilder$ofRef.prototype.init___s_reflect_ClassTag = (function(evidence$2) {
  this.evidence$2$2 = evidence$2;
  this.capacity$2 = 0;
  this.size$2 = 0;
  return this
});
$c_scm_ArrayBuilder$ofRef.prototype.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofRef = (function(xs) {
  if ($is_scm_WrappedArray$ofRef(xs)) {
    var x2 = $as_scm_WrappedArray$ofRef(xs);
    this.ensureSize__p2__I__V(((this.size$2 + x2.length__I()) | 0));
    $m_s_Array$().copy__O__I__O__I__I__V(x2.array$6, 0, this.elems$2, this.size$2, x2.length__I());
    this.size$2 = ((this.size$2 + x2.length__I()) | 0);
    return this
  } else {
    return $as_scm_ArrayBuilder$ofRef($s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs))
  }
});
$c_scm_ArrayBuilder$ofRef.prototype.equals__O__Z = (function(other) {
  if ($is_scm_ArrayBuilder$ofRef(other)) {
    var x2 = $as_scm_ArrayBuilder$ofRef(other);
    return ((this.size$2 === x2.size$2) && (this.elems$2 === x2.elems$2))
  } else {
    return false
  }
});
$c_scm_ArrayBuilder$ofRef.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__O__scm_ArrayBuilder$ofRef(elem)
});
$c_scm_ArrayBuilder$ofRef.prototype.toString__T = (function() {
  return "ArrayBuilder.ofRef"
});
$c_scm_ArrayBuilder$ofRef.prototype.result__O = (function() {
  return this.result__AO()
});
$c_scm_ArrayBuilder$ofRef.prototype.resize__p2__I__V = (function(size) {
  this.elems$2 = this.mkArray__p2__I__AO(size);
  this.capacity$2 = size
});
$c_scm_ArrayBuilder$ofRef.prototype.$$plus$eq__O__scm_ArrayBuilder$ofRef = (function(elem) {
  this.ensureSize__p2__I__V(((1 + this.size$2) | 0));
  this.elems$2.set(this.size$2, elem);
  this.size$2 = ((1 + this.size$2) | 0);
  return this
});
$c_scm_ArrayBuilder$ofRef.prototype.result__AO = (function() {
  if (((this.capacity$2 !== 0) && (this.capacity$2 === this.size$2))) {
    this.capacity$2 = 0;
    return this.elems$2
  } else {
    return this.mkArray__p2__I__AO(this.size$2)
  }
});
$c_scm_ArrayBuilder$ofRef.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__O__scm_ArrayBuilder$ofRef(elem)
});
$c_scm_ArrayBuilder$ofRef.prototype.sizeHint__I__V = (function(size) {
  if ((this.capacity$2 < size)) {
    this.resize__p2__I__V(size)
  }
});
$c_scm_ArrayBuilder$ofRef.prototype.ensureSize__p2__I__V = (function(size) {
  if (((this.capacity$2 < size) || (this.capacity$2 === 0))) {
    var newsize = ((this.capacity$2 === 0) ? 16 : (this.capacity$2 << 1));
    while ((newsize < size)) {
      newsize = (newsize << 1)
    };
    this.resize__p2__I__V(newsize)
  }
});
$c_scm_ArrayBuilder$ofRef.prototype.mkArray__p2__I__AO = (function(size) {
  var newelems = $asArrayOf_O(this.evidence$2$2.newArray__I__O(size), 1);
  if ((this.size$2 > 0)) {
    $m_s_Array$().copy__O__I__O__I__I__V(this.elems$2, 0, newelems, 0, this.size$2)
  };
  return newelems
});
$c_scm_ArrayBuilder$ofRef.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofRef(xs)
});
function $is_scm_ArrayBuilder$ofRef(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuilder$ofRef)))
}
function $as_scm_ArrayBuilder$ofRef(obj) {
  return (($is_scm_ArrayBuilder$ofRef(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.mutable.ArrayBuilder$ofRef"))
}
function $isArrayOf_scm_ArrayBuilder$ofRef(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuilder$ofRef)))
}
function $asArrayOf_scm_ArrayBuilder$ofRef(obj, depth) {
  return (($isArrayOf_scm_ArrayBuilder$ofRef(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.mutable.ArrayBuilder$ofRef;", depth))
}
var $d_scm_ArrayBuilder$ofRef = new $TypeData().initClass({
  scm_ArrayBuilder$ofRef: 0
}, false, "scala.collection.mutable.ArrayBuilder$ofRef", {
  scm_ArrayBuilder$ofRef: 1,
  scm_ArrayBuilder: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuilder$ofRef.prototype.$classData = $d_scm_ArrayBuilder$ofRef;
/** @constructor */
function $c_scm_IndexedSeq$() {
  $c_scg_SeqFactory.call(this)
}
$c_scm_IndexedSeq$.prototype = new $h_scg_SeqFactory();
$c_scm_IndexedSeq$.prototype.constructor = $c_scm_IndexedSeq$;
/** @constructor */
function $h_scm_IndexedSeq$() {
  /*<skip>*/
}
$h_scm_IndexedSeq$.prototype = $c_scm_IndexedSeq$.prototype;
$c_scm_IndexedSeq$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_scm_IndexedSeq$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_ArrayBuffer().init___()
});
var $d_scm_IndexedSeq$ = new $TypeData().initClass({
  scm_IndexedSeq$: 0
}, false, "scala.collection.mutable.IndexedSeq$", {
  scm_IndexedSeq$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_scm_IndexedSeq$.prototype.$classData = $d_scm_IndexedSeq$;
var $n_scm_IndexedSeq$ = (void 0);
function $m_scm_IndexedSeq$() {
  if ((!$n_scm_IndexedSeq$)) {
    $n_scm_IndexedSeq$ = new $c_scm_IndexedSeq$().init___()
  };
  return $n_scm_IndexedSeq$
}
/** @constructor */
function $c_sjs_js_WrappedArray$() {
  $c_scg_SeqFactory.call(this)
}
$c_sjs_js_WrappedArray$.prototype = new $h_scg_SeqFactory();
$c_sjs_js_WrappedArray$.prototype.constructor = $c_sjs_js_WrappedArray$;
/** @constructor */
function $h_sjs_js_WrappedArray$() {
  /*<skip>*/
}
$h_sjs_js_WrappedArray$.prototype = $c_sjs_js_WrappedArray$.prototype;
$c_sjs_js_WrappedArray$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_sjs_js_WrappedArray$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_sjs_js_WrappedArray().init___()
});
var $d_sjs_js_WrappedArray$ = new $TypeData().initClass({
  sjs_js_WrappedArray$: 0
}, false, "scala.scalajs.js.WrappedArray$", {
  sjs_js_WrappedArray$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sjs_js_WrappedArray$.prototype.$classData = $d_sjs_js_WrappedArray$;
var $n_sjs_js_WrappedArray$ = (void 0);
function $m_sjs_js_WrappedArray$() {
  if ((!$n_sjs_js_WrappedArray$)) {
    $n_sjs_js_WrappedArray$ = new $c_sjs_js_WrappedArray$().init___()
  };
  return $n_sjs_js_WrappedArray$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$() {
  $c_Lsmilejs_com_metastay_prism_enums_CommentLevel.call(this)
}
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$.prototype = new $h_Lsmilejs_com_metastay_prism_enums_CommentLevel();
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$.prototype.constructor = $c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$;
/** @constructor */
function $h_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$.prototype = $c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$.prototype;
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_prism_enums_CommentLevel.prototype.init___T__T.call(this, "Flow", "Flow");
  return this
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$.prototype.productPrefix__T = (function() {
  return "Flow"
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$.prototype.toString__T = (function() {
  return "Flow"
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$.prototype.hashCode__I = (function() {
  return 2192718
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$: 0
}, false, "smilejs.com.metastay.prism.enums.CommentLevel$Flow$", {
  Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$: 1,
  Lsmilejs_com_metastay_prism_enums_CommentLevel: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$.prototype.$classData = $d_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$;
var $n_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$ = (void 0);
function $m_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$() {
  if ((!$n_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$)) {
    $n_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$ = new $c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$().init___()
  };
  return $n_Lsmilejs_com_metastay_prism_enums_CommentLevel$Flow$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$() {
  $c_Lsmilejs_com_metastay_prism_enums_CommentLevel.call(this)
}
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$.prototype = new $h_Lsmilejs_com_metastay_prism_enums_CommentLevel();
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$.prototype.constructor = $c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$;
/** @constructor */
function $h_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$.prototype = $c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$.prototype;
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_prism_enums_CommentLevel.prototype.init___T__T.call(this, "Task", "Task");
  return this
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$.prototype.productPrefix__T = (function() {
  return "Task"
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$.prototype.toString__T = (function() {
  return "Task"
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$.prototype.hashCode__I = (function() {
  return 2599333
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$: 0
}, false, "smilejs.com.metastay.prism.enums.CommentLevel$Task$", {
  Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$: 1,
  Lsmilejs_com_metastay_prism_enums_CommentLevel: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$.prototype.$classData = $d_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$;
var $n_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$ = (void 0);
function $m_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$() {
  if ((!$n_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$)) {
    $n_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$ = new $c_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$().init___()
  };
  return $n_Lsmilejs_com_metastay_prism_enums_CommentLevel$Task$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$() {
  $c_Lsmilejs_com_metastay_valey_enums_FlowState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_FlowState();
$c_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$.prototype = $c_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_FlowState.prototype.init___T__T.call(this, "CANCELLED", "CANCELLED");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$.prototype.productPrefix__T = (function() {
  return "CANCELLED"
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$.prototype.toString__T = (function() {
  return "CANCELLED"
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$.prototype.hashCode__I = (function() {
  return (-1031784143)
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$: 0
}, false, "smilejs.com.metastay.valey.enums.FlowState$CANCELLED$", {
  Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$: 1,
  Lsmilejs_com_metastay_valey_enums_FlowState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$;
var $n_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$)) {
    $n_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$ = new $c_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_FlowState$CANCELLED$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$() {
  $c_Lsmilejs_com_metastay_valey_enums_FlowState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_FlowState();
$c_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$.prototype = $c_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_FlowState.prototype.init___T__T.call(this, "COMPLETED", "COMPLETED");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$.prototype.productPrefix__T = (function() {
  return "COMPLETED"
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$.prototype.toString__T = (function() {
  return "COMPLETED"
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$.prototype.hashCode__I = (function() {
  return 1383663147
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$: 0
}, false, "smilejs.com.metastay.valey.enums.FlowState$COMPLETED$", {
  Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$: 1,
  Lsmilejs_com_metastay_valey_enums_FlowState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$;
var $n_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$)) {
    $n_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$ = new $c_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_FlowState$COMPLETED$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$() {
  $c_Lsmilejs_com_metastay_valey_enums_FlowState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_FlowState();
$c_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$.prototype = $c_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_FlowState.prototype.init___T__T.call(this, "CREATED", "CREATED");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$.prototype.productPrefix__T = (function() {
  return "CREATED"
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$.prototype.toString__T = (function() {
  return "CREATED"
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$.prototype.hashCode__I = (function() {
  return 1746537160
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$: 0
}, false, "smilejs.com.metastay.valey.enums.FlowState$CREATED$", {
  Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$: 1,
  Lsmilejs_com_metastay_valey_enums_FlowState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$;
var $n_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$)) {
    $n_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$ = new $c_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_FlowState$CREATED$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$() {
  $c_Lsmilejs_com_metastay_valey_enums_FlowState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_FlowState();
$c_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$.prototype = $c_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_FlowState.prototype.init___T__T.call(this, "EXCEPTION_Q", "EXCEPTION_Q");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$.prototype.productPrefix__T = (function() {
  return "EXCEPTION_Q"
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$.prototype.toString__T = (function() {
  return "EXCEPTION_Q"
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$.prototype.hashCode__I = (function() {
  return 66100289
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$: 0
}, false, "smilejs.com.metastay.valey.enums.FlowState$EXCEPTION_Q$", {
  Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$: 1,
  Lsmilejs_com_metastay_valey_enums_FlowState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$;
var $n_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$)) {
    $n_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$ = new $c_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_FlowState$EXCEPTION$undQ$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$() {
  $c_Lsmilejs_com_metastay_valey_enums_FlowState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_FlowState();
$c_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$.prototype = $c_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_FlowState.prototype.init___T__T.call(this, "EXIT_Q", "EXIT_Q");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$.prototype.productPrefix__T = (function() {
  return "EXIT_Q"
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$.prototype.toString__T = (function() {
  return "EXIT_Q"
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$.prototype.hashCode__I = (function() {
  return 2058939760
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$: 0
}, false, "smilejs.com.metastay.valey.enums.FlowState$EXIT_Q$", {
  Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$: 1,
  Lsmilejs_com_metastay_valey_enums_FlowState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$;
var $n_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$)) {
    $n_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$ = new $c_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_FlowState$EXIT$undQ$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$() {
  $c_Lsmilejs_com_metastay_valey_enums_FlowState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_FlowState();
$c_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$.prototype = $c_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_FlowState.prototype.init___T__T.call(this, "FORCE_COMPLETED", "FORCE_COMPLETED");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$.prototype.productPrefix__T = (function() {
  return "FORCE_COMPLETED"
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$.prototype.toString__T = (function() {
  return "FORCE_COMPLETED"
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$.prototype.hashCode__I = (function() {
  return (-901459529)
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$: 0
}, false, "smilejs.com.metastay.valey.enums.FlowState$FORCE_COMPLETED$", {
  Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$: 1,
  Lsmilejs_com_metastay_valey_enums_FlowState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$;
var $n_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$)) {
    $n_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$ = new $c_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_FlowState$FORCE$undCOMPLETED$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$() {
  $c_Lsmilejs_com_metastay_valey_enums_FlowState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_FlowState();
$c_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$.prototype = $c_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_FlowState.prototype.init___T__T.call(this, "PENDING_CANCELLED", "PENDING_CANCELLED");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$.prototype.productPrefix__T = (function() {
  return "PENDING_CANCELLED"
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$.prototype.toString__T = (function() {
  return "PENDING_CANCELLED"
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$.prototype.hashCode__I = (function() {
  return 1909858409
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$: 0
}, false, "smilejs.com.metastay.valey.enums.FlowState$PENDING_CANCELLED$", {
  Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$: 1,
  Lsmilejs_com_metastay_valey_enums_FlowState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$;
var $n_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$)) {
    $n_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$ = new $c_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_FlowState$PENDING$undCANCELLED$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$() {
  $c_Lsmilejs_com_metastay_valey_enums_FlowState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_FlowState();
$c_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$.prototype = $c_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_FlowState.prototype.init___T__T.call(this, "RESET", "RESET");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$.prototype.productPrefix__T = (function() {
  return "RESET"
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$.prototype.toString__T = (function() {
  return "RESET"
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$.prototype.hashCode__I = (function() {
  return 77866287
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_FlowState$RESET$: 0
}, false, "smilejs.com.metastay.valey.enums.FlowState$RESET$", {
  Lsmilejs_com_metastay_valey_enums_FlowState$RESET$: 1,
  Lsmilejs_com_metastay_valey_enums_FlowState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$;
var $n_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$)) {
    $n_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$ = new $c_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_FlowState$RESET$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$() {
  $c_Lsmilejs_com_metastay_valey_enums_FlowState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_FlowState();
$c_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$.prototype = $c_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_FlowState.prototype.init___T__T.call(this, "STALLED", "STALLED");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$.prototype.productPrefix__T = (function() {
  return "STALLED"
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$.prototype.toString__T = (function() {
  return "STALLED"
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$.prototype.hashCode__I = (function() {
  return (-1179388897)
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$: 0
}, false, "smilejs.com.metastay.valey.enums.FlowState$STALLED$", {
  Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$: 1,
  Lsmilejs_com_metastay_valey_enums_FlowState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$;
var $n_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$)) {
    $n_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$ = new $c_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_FlowState$STALLED$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_TaskState();
$c_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$.prototype = $c_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype.init___T__T.call(this, "ALLOCATED", "ALLOCATED");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$.prototype.productPrefix__T = (function() {
  return "ALLOCATED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$.prototype.toString__T = (function() {
  return "ALLOCATED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$.prototype.hashCode__I = (function() {
  return (-1154422617)
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$: 0
}, false, "smilejs.com.metastay.valey.enums.TaskState$ALLOCATED$", {
  Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$: 1,
  Lsmilejs_com_metastay_valey_enums_TaskState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$;
var $n_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$)) {
    $n_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$ = new $c_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_TaskState$ALLOCATED$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_TaskState();
$c_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$.prototype = $c_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype.init___T__T.call(this, "CANCELLED", "CANCELLED");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$.prototype.productPrefix__T = (function() {
  return "CANCELLED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$.prototype.toString__T = (function() {
  return "CANCELLED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$.prototype.hashCode__I = (function() {
  return (-1031784143)
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$: 0
}, false, "smilejs.com.metastay.valey.enums.TaskState$CANCELLED$", {
  Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$: 1,
  Lsmilejs_com_metastay_valey_enums_TaskState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$;
var $n_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$)) {
    $n_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$ = new $c_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_TaskState$CANCELLED$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_TaskState();
$c_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$.prototype = $c_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype.init___T__T.call(this, "COMPLETED", "COMPLETED");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$.prototype.productPrefix__T = (function() {
  return "COMPLETED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$.prototype.toString__T = (function() {
  return "COMPLETED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$.prototype.hashCode__I = (function() {
  return 1383663147
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$: 0
}, false, "smilejs.com.metastay.valey.enums.TaskState$COMPLETED$", {
  Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$: 1,
  Lsmilejs_com_metastay_valey_enums_TaskState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$;
var $n_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$)) {
    $n_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$ = new $c_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_TaskState$COMPLETED$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_TaskState();
$c_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$.prototype = $c_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype.init___T__T.call(this, "CREATED", "CREATED");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$.prototype.productPrefix__T = (function() {
  return "CREATED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$.prototype.toString__T = (function() {
  return "CREATED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$.prototype.hashCode__I = (function() {
  return 1746537160
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$: 0
}, false, "smilejs.com.metastay.valey.enums.TaskState$CREATED$", {
  Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$: 1,
  Lsmilejs_com_metastay_valey_enums_TaskState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$;
var $n_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$)) {
    $n_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$ = new $c_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_TaskState$CREATED$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_TaskState();
$c_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$.prototype = $c_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype.init___T__T.call(this, "EXCEPTION_Q", "EXCEPTION_Q");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$.prototype.productPrefix__T = (function() {
  return "EXCEPTION_Q"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$.prototype.toString__T = (function() {
  return "EXCEPTION_Q"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$.prototype.hashCode__I = (function() {
  return 66100289
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$: 0
}, false, "smilejs.com.metastay.valey.enums.TaskState$EXCEPTION_Q$", {
  Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$: 1,
  Lsmilejs_com_metastay_valey_enums_TaskState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$;
var $n_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$)) {
    $n_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$ = new $c_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_TaskState$EXCEPTION$undQ$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_TaskState();
$c_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$.prototype = $c_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype.init___T__T.call(this, "EXIT_Q", "EXIT_Q");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$.prototype.productPrefix__T = (function() {
  return "EXIT_Q"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$.prototype.toString__T = (function() {
  return "EXIT_Q"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$.prototype.hashCode__I = (function() {
  return 2058939760
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$: 0
}, false, "smilejs.com.metastay.valey.enums.TaskState$EXIT_Q$", {
  Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$: 1,
  Lsmilejs_com_metastay_valey_enums_TaskState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$;
var $n_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$)) {
    $n_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$ = new $c_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_TaskState$EXIT$undQ$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_TaskState();
$c_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$.prototype = $c_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype.init___T__T.call(this, "FORCE_COMPLETED", "FORCE_COMPLETED");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$.prototype.productPrefix__T = (function() {
  return "FORCE_COMPLETED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$.prototype.toString__T = (function() {
  return "FORCE_COMPLETED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$.prototype.hashCode__I = (function() {
  return (-901459529)
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$: 0
}, false, "smilejs.com.metastay.valey.enums.TaskState$FORCE_COMPLETED$", {
  Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$: 1,
  Lsmilejs_com_metastay_valey_enums_TaskState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$;
var $n_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$)) {
    $n_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$ = new $c_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_TaskState$FORCE$undCOMPLETED$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_TaskState();
$c_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$.prototype = $c_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype.init___T__T.call(this, "PARTIALLY_COMPLETED", "PARTIALLY_COMPLETED");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$.prototype.productPrefix__T = (function() {
  return "PARTIALLY_COMPLETED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$.prototype.toString__T = (function() {
  return "PARTIALLY_COMPLETED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$.prototype.hashCode__I = (function() {
  return (-699430438)
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$: 0
}, false, "smilejs.com.metastay.valey.enums.TaskState$PARTIALLY_COMPLETED$", {
  Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$: 1,
  Lsmilejs_com_metastay_valey_enums_TaskState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$;
var $n_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$)) {
    $n_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$ = new $c_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_TaskState$PARTIALLY$undCOMPLETED$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_TaskState();
$c_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$.prototype = $c_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype.init___T__T.call(this, "PENDING_CANCELLED", "PENDING_CANCELLED");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$.prototype.productPrefix__T = (function() {
  return "PENDING_CANCELLED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$.prototype.toString__T = (function() {
  return "PENDING_CANCELLED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$.prototype.hashCode__I = (function() {
  return 1909858409
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$: 0
}, false, "smilejs.com.metastay.valey.enums.TaskState$PENDING_CANCELLED$", {
  Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$: 1,
  Lsmilejs_com_metastay_valey_enums_TaskState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$;
var $n_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$)) {
    $n_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$ = new $c_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_TaskState$PENDING$undCANCELLED$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_TaskState();
$c_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$.prototype = $c_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype.init___T__T.call(this, "RESET", "RESET");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$.prototype.productPrefix__T = (function() {
  return "RESET"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$.prototype.toString__T = (function() {
  return "RESET"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$.prototype.hashCode__I = (function() {
  return 77866287
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_TaskState$RESET$: 0
}, false, "smilejs.com.metastay.valey.enums.TaskState$RESET$", {
  Lsmilejs_com_metastay_valey_enums_TaskState$RESET$: 1,
  Lsmilejs_com_metastay_valey_enums_TaskState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$;
var $n_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$)) {
    $n_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$ = new $c_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_TaskState$RESET$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_TaskState();
$c_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$.prototype = $c_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype.init___T__T.call(this, "RESOURCE_UNAVAILABLE", "RESOURCE_UNAVAILABLE");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$.prototype.productPrefix__T = (function() {
  return "RESOURCE_UNAVAILABLE"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$.prototype.toString__T = (function() {
  return "RESOURCE_UNAVAILABLE"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$.prototype.hashCode__I = (function() {
  return (-2010916481)
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$: 0
}, false, "smilejs.com.metastay.valey.enums.TaskState$RESOURCE_UNAVAILABLE$", {
  Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$: 1,
  Lsmilejs_com_metastay_valey_enums_TaskState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$;
var $n_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$)) {
    $n_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$ = new $c_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_TaskState$RESOURCE$undUNAVAILABLE$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_TaskState();
$c_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$.prototype = $c_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype.init___T__T.call(this, "STALLED", "STALLED");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$.prototype.productPrefix__T = (function() {
  return "STALLED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$.prototype.toString__T = (function() {
  return "STALLED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$.prototype.hashCode__I = (function() {
  return (-1179388897)
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$: 0
}, false, "smilejs.com.metastay.valey.enums.TaskState$STALLED$", {
  Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$: 1,
  Lsmilejs_com_metastay_valey_enums_TaskState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$;
var $n_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$)) {
    $n_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$ = new $c_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_TaskState$STALLED$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_TaskState();
$c_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$.prototype = $c_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype.init___T__T.call(this, "STARTED", "STARTED");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$.prototype.productPrefix__T = (function() {
  return "STARTED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$.prototype.toString__T = (function() {
  return "STARTED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$.prototype.hashCode__I = (function() {
  return (-1179202463)
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$: 0
}, false, "smilejs.com.metastay.valey.enums.TaskState$STARTED$", {
  Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$: 1,
  Lsmilejs_com_metastay_valey_enums_TaskState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$;
var $n_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$)) {
    $n_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$ = new $c_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_TaskState$STARTED$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_TaskState();
$c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$.prototype = $c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype.init___T__T.call(this, "TO_BE_ALLOCATED", "TO_BE_ALLOCATED");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$.prototype.productPrefix__T = (function() {
  return "TO_BE_ALLOCATED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$.prototype.toString__T = (function() {
  return "TO_BE_ALLOCATED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$.prototype.hashCode__I = (function() {
  return 837956335
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$: 0
}, false, "smilejs.com.metastay.valey.enums.TaskState$TO_BE_ALLOCATED$", {
  Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$: 1,
  Lsmilejs_com_metastay_valey_enums_TaskState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$;
var $n_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$)) {
    $n_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$ = new $c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undALLOCATED$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.call(this)
}
$c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$.prototype = new $h_Lsmilejs_com_metastay_valey_enums_TaskState();
$c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$.prototype.constructor = $c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$;
/** @constructor */
function $h_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$.prototype = $c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$.prototype;
$c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$.prototype.init___ = (function() {
  $c_Lsmilejs_com_metastay_valey_enums_TaskState.prototype.init___T__T.call(this, "TO_BE_PULLED", "TO_BE_PULLED");
  return this
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$.prototype.productPrefix__T = (function() {
  return "TO_BE_PULLED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$.prototype.productArity__I = (function() {
  return 0
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$.prototype.toString__T = (function() {
  return "TO_BE_PULLED"
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$.prototype.hashCode__I = (function() {
  return (-2009510820)
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$: 0
}, false, "smilejs.com.metastay.valey.enums.TaskState$TO_BE_PULLED$", {
  Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$: 1,
  Lsmilejs_com_metastay_valey_enums_TaskState: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$.prototype.$classData = $d_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$;
var $n_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$ = (void 0);
function $m_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$() {
  if ((!$n_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$)) {
    $n_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$ = new $c_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$().init___()
  };
  return $n_Lsmilejs_com_metastay_valey_enums_TaskState$TO$undBE$undPULLED$
}
/** @constructor */
function $c_s_reflect_AnyValManifest() {
  $c_O.call(this);
  this.toString$1 = null
}
$c_s_reflect_AnyValManifest.prototype = new $h_O();
$c_s_reflect_AnyValManifest.prototype.constructor = $c_s_reflect_AnyValManifest;
/** @constructor */
function $h_s_reflect_AnyValManifest() {
  /*<skip>*/
}
$h_s_reflect_AnyValManifest.prototype = $c_s_reflect_AnyValManifest.prototype;
$c_s_reflect_AnyValManifest.prototype.equals__O__Z = (function(that) {
  return (this === that)
});
$c_s_reflect_AnyValManifest.prototype.toString__T = (function() {
  return this.toString$1
});
$c_s_reflect_AnyValManifest.prototype.hashCode__I = (function() {
  return $systemIdentityHashCode(this)
});
/** @constructor */
function $c_s_reflect_ManifestFactory$ClassTypeManifest() {
  $c_O.call(this);
  this.prefix$1 = null;
  this.runtimeClass1$1 = null;
  this.typeArguments$1 = null
}
$c_s_reflect_ManifestFactory$ClassTypeManifest.prototype = new $h_O();
$c_s_reflect_ManifestFactory$ClassTypeManifest.prototype.constructor = $c_s_reflect_ManifestFactory$ClassTypeManifest;
/** @constructor */
function $h_s_reflect_ManifestFactory$ClassTypeManifest() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$ClassTypeManifest.prototype = $c_s_reflect_ManifestFactory$ClassTypeManifest.prototype;
/** @constructor */
function $c_sc_IndexedSeq$() {
  $c_scg_IndexedSeqFactory.call(this);
  this.ReusableCBF$6 = null
}
$c_sc_IndexedSeq$.prototype = new $h_scg_IndexedSeqFactory();
$c_sc_IndexedSeq$.prototype.constructor = $c_sc_IndexedSeq$;
/** @constructor */
function $h_sc_IndexedSeq$() {
  /*<skip>*/
}
$h_sc_IndexedSeq$.prototype = $c_sc_IndexedSeq$.prototype;
$c_sc_IndexedSeq$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  $n_sc_IndexedSeq$ = this;
  this.ReusableCBF$6 = new $c_sc_IndexedSeq$$anon$1().init___();
  return this
});
$c_sc_IndexedSeq$.prototype.newBuilder__scm_Builder = (function() {
  $m_sci_IndexedSeq$();
  $m_sci_Vector$();
  return new $c_sci_VectorBuilder().init___()
});
var $d_sc_IndexedSeq$ = new $TypeData().initClass({
  sc_IndexedSeq$: 0
}, false, "scala.collection.IndexedSeq$", {
  sc_IndexedSeq$: 1,
  scg_IndexedSeqFactory: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sc_IndexedSeq$.prototype.$classData = $d_sc_IndexedSeq$;
var $n_sc_IndexedSeq$ = (void 0);
function $m_sc_IndexedSeq$() {
  if ((!$n_sc_IndexedSeq$)) {
    $n_sc_IndexedSeq$ = new $c_sc_IndexedSeq$().init___()
  };
  return $n_sc_IndexedSeq$
}
/** @constructor */
function $c_sc_IndexedSeqLike$Elements() {
  $c_sc_AbstractIterator.call(this);
  this.end$2 = 0;
  this.index$2 = 0;
  this.$$outer$f = null
}
$c_sc_IndexedSeqLike$Elements.prototype = new $h_sc_AbstractIterator();
$c_sc_IndexedSeqLike$Elements.prototype.constructor = $c_sc_IndexedSeqLike$Elements;
/** @constructor */
function $h_sc_IndexedSeqLike$Elements() {
  /*<skip>*/
}
$h_sc_IndexedSeqLike$Elements.prototype = $c_sc_IndexedSeqLike$Elements.prototype;
$c_sc_IndexedSeqLike$Elements.prototype.next__O = (function() {
  if ((this.index$2 >= this.end$2)) {
    $m_sc_Iterator$().empty$1.next__O()
  };
  var x = this.$$outer$f.apply__I__O(this.index$2);
  this.index$2 = ((1 + this.index$2) | 0);
  return x
});
$c_sc_IndexedSeqLike$Elements.prototype.init___sc_IndexedSeqLike__I__I = (function($$outer, start, end) {
  this.end$2 = end;
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$f = $$outer
  };
  this.index$2 = start;
  return this
});
$c_sc_IndexedSeqLike$Elements.prototype.hasNext__Z = (function() {
  return (this.index$2 < this.end$2)
});
var $d_sc_IndexedSeqLike$Elements = new $TypeData().initClass({
  sc_IndexedSeqLike$Elements: 0
}, false, "scala.collection.IndexedSeqLike$Elements", {
  sc_IndexedSeqLike$Elements: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_BufferedIterator: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sc_IndexedSeqLike$Elements.prototype.$classData = $d_sc_IndexedSeqLike$Elements;
/** @constructor */
function $c_sci_HashSet$() {
  $c_scg_ImmutableSetFactory.call(this)
}
$c_sci_HashSet$.prototype = new $h_scg_ImmutableSetFactory();
$c_sci_HashSet$.prototype.constructor = $c_sci_HashSet$;
/** @constructor */
function $h_sci_HashSet$() {
  /*<skip>*/
}
$h_sci_HashSet$.prototype = $c_sci_HashSet$.prototype;
$c_sci_HashSet$.prototype.init___ = (function() {
  return this
});
$c_sci_HashSet$.prototype.scala$collection$immutable$HashSet$$makeHashTrieSet__I__sci_HashSet__I__sci_HashSet__I__sci_HashSet$HashTrieSet = (function(hash0, elem0, hash1, elem1, level) {
  var index0 = (31 & ((hash0 >>> level) | 0));
  var index1 = (31 & ((hash1 >>> level) | 0));
  if ((index0 !== index1)) {
    var bitmap = ((1 << index0) | (1 << index1));
    var elems = $newArrayObject($d_sci_HashSet.getArrayOf(), [2]);
    if ((index0 < index1)) {
      elems.set(0, elem0);
      elems.set(1, elem1)
    } else {
      elems.set(0, elem1);
      elems.set(1, elem0)
    };
    return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(bitmap, elems, ((elem0.size__I() + elem1.size__I()) | 0))
  } else {
    var elems$2 = $newArrayObject($d_sci_HashSet.getArrayOf(), [1]);
    var bitmap$2 = (1 << index0);
    var child = this.scala$collection$immutable$HashSet$$makeHashTrieSet__I__sci_HashSet__I__sci_HashSet__I__sci_HashSet$HashTrieSet(hash0, elem0, hash1, elem1, ((5 + level) | 0));
    elems$2.set(0, child);
    return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(bitmap$2, elems$2, child.size0$5)
  }
});
$c_sci_HashSet$.prototype.emptyInstance__sci_Set = (function() {
  return $m_sci_HashSet$EmptyHashSet$()
});
var $d_sci_HashSet$ = new $TypeData().initClass({
  sci_HashSet$: 0
}, false, "scala.collection.immutable.HashSet$", {
  sci_HashSet$: 1,
  scg_ImmutableSetFactory: 1,
  scg_SetFactory: 1,
  scg_GenSetFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet$.prototype.$classData = $d_sci_HashSet$;
var $n_sci_HashSet$ = (void 0);
function $m_sci_HashSet$() {
  if ((!$n_sci_HashSet$)) {
    $n_sci_HashSet$ = new $c_sci_HashSet$().init___()
  };
  return $n_sci_HashSet$
}
/** @constructor */
function $c_sci_IndexedSeq$() {
  $c_scg_IndexedSeqFactory.call(this)
}
$c_sci_IndexedSeq$.prototype = new $h_scg_IndexedSeqFactory();
$c_sci_IndexedSeq$.prototype.constructor = $c_sci_IndexedSeq$;
/** @constructor */
function $h_sci_IndexedSeq$() {
  /*<skip>*/
}
$h_sci_IndexedSeq$.prototype = $c_sci_IndexedSeq$.prototype;
$c_sci_IndexedSeq$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_sci_IndexedSeq$.prototype.newBuilder__scm_Builder = (function() {
  $m_sci_Vector$();
  return new $c_sci_VectorBuilder().init___()
});
var $d_sci_IndexedSeq$ = new $TypeData().initClass({
  sci_IndexedSeq$: 0
}, false, "scala.collection.immutable.IndexedSeq$", {
  sci_IndexedSeq$: 1,
  scg_IndexedSeqFactory: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sci_IndexedSeq$.prototype.$classData = $d_sci_IndexedSeq$;
var $n_sci_IndexedSeq$ = (void 0);
function $m_sci_IndexedSeq$() {
  if ((!$n_sci_IndexedSeq$)) {
    $n_sci_IndexedSeq$ = new $c_sci_IndexedSeq$().init___()
  };
  return $n_sci_IndexedSeq$
}
/** @constructor */
function $c_sci_ListSet$() {
  $c_scg_ImmutableSetFactory.call(this)
}
$c_sci_ListSet$.prototype = new $h_scg_ImmutableSetFactory();
$c_sci_ListSet$.prototype.constructor = $c_sci_ListSet$;
/** @constructor */
function $h_sci_ListSet$() {
  /*<skip>*/
}
$h_sci_ListSet$.prototype = $c_sci_ListSet$.prototype;
$c_sci_ListSet$.prototype.init___ = (function() {
  return this
});
$c_sci_ListSet$.prototype.emptyInstance__sci_Set = (function() {
  return $m_sci_ListSet$EmptyListSet$()
});
$c_sci_ListSet$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_sci_ListSet$ListSetBuilder().init___()
});
var $d_sci_ListSet$ = new $TypeData().initClass({
  sci_ListSet$: 0
}, false, "scala.collection.immutable.ListSet$", {
  sci_ListSet$: 1,
  scg_ImmutableSetFactory: 1,
  scg_SetFactory: 1,
  scg_GenSetFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListSet$.prototype.$classData = $d_sci_ListSet$;
var $n_sci_ListSet$ = (void 0);
function $m_sci_ListSet$() {
  if ((!$n_sci_ListSet$)) {
    $n_sci_ListSet$ = new $c_sci_ListSet$().init___()
  };
  return $n_sci_ListSet$
}
/** @constructor */
function $c_scm_HashSet$() {
  $c_scg_MutableSetFactory.call(this)
}
$c_scm_HashSet$.prototype = new $h_scg_MutableSetFactory();
$c_scm_HashSet$.prototype.constructor = $c_scm_HashSet$;
/** @constructor */
function $h_scm_HashSet$() {
  /*<skip>*/
}
$h_scm_HashSet$.prototype = $c_scm_HashSet$.prototype;
$c_scm_HashSet$.prototype.init___ = (function() {
  return this
});
$c_scm_HashSet$.prototype.empty__sc_GenTraversable = (function() {
  return new $c_scm_HashSet().init___()
});
var $d_scm_HashSet$ = new $TypeData().initClass({
  scm_HashSet$: 0
}, false, "scala.collection.mutable.HashSet$", {
  scm_HashSet$: 1,
  scg_MutableSetFactory: 1,
  scg_SetFactory: 1,
  scg_GenSetFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_HashSet$.prototype.$classData = $d_scm_HashSet$;
var $n_scm_HashSet$ = (void 0);
function $m_scm_HashSet$() {
  if ((!$n_scm_HashSet$)) {
    $n_scm_HashSet$ = new $c_scm_HashSet$().init___()
  };
  return $n_scm_HashSet$
}
/** @constructor */
function $c_sjs_js_JavaScriptException() {
  $c_jl_RuntimeException.call(this);
  this.exception$4 = null
}
$c_sjs_js_JavaScriptException.prototype = new $h_jl_RuntimeException();
$c_sjs_js_JavaScriptException.prototype.constructor = $c_sjs_js_JavaScriptException;
/** @constructor */
function $h_sjs_js_JavaScriptException() {
  /*<skip>*/
}
$h_sjs_js_JavaScriptException.prototype = $c_sjs_js_JavaScriptException.prototype;
$c_sjs_js_JavaScriptException.prototype.productPrefix__T = (function() {
  return "JavaScriptException"
});
$c_sjs_js_JavaScriptException.prototype.productArity__I = (function() {
  return 1
});
$c_sjs_js_JavaScriptException.prototype.fillInStackTrace__jl_Throwable = (function() {
  var e = this.exception$4;
  this.stackdata = e;
  return this
});
$c_sjs_js_JavaScriptException.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_sjs_js_JavaScriptException(x$1)) {
    var JavaScriptException$1 = $as_sjs_js_JavaScriptException(x$1);
    return $m_sr_BoxesRunTime$().equals__O__O__Z(this.exception$4, JavaScriptException$1.exception$4)
  } else {
    return false
  }
});
$c_sjs_js_JavaScriptException.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.exception$4;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_sjs_js_JavaScriptException.prototype.getMessage__T = (function() {
  return $objectToString(this.exception$4)
});
$c_sjs_js_JavaScriptException.prototype.init___O = (function(exception) {
  this.exception$4 = exception;
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
  return this
});
$c_sjs_js_JavaScriptException.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_sjs_js_JavaScriptException.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_sjs_js_JavaScriptException(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sjs_js_JavaScriptException)))
}
function $as_sjs_js_JavaScriptException(obj) {
  return (($is_sjs_js_JavaScriptException(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.scalajs.js.JavaScriptException"))
}
function $isArrayOf_sjs_js_JavaScriptException(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sjs_js_JavaScriptException)))
}
function $asArrayOf_sjs_js_JavaScriptException(obj, depth) {
  return (($isArrayOf_sjs_js_JavaScriptException(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.scalajs.js.JavaScriptException;", depth))
}
var $d_sjs_js_JavaScriptException = new $TypeData().initClass({
  sjs_js_JavaScriptException: 0
}, false, "scala.scalajs.js.JavaScriptException", {
  sjs_js_JavaScriptException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_sjs_js_JavaScriptException.prototype.$classData = $d_sjs_js_JavaScriptException;
/** @constructor */
function $c_s_concurrent_impl_Promise$DefaultPromise() {
  $c_s_concurrent_impl_AbstractPromise.call(this)
}
$c_s_concurrent_impl_Promise$DefaultPromise.prototype = new $h_s_concurrent_impl_AbstractPromise();
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.constructor = $c_s_concurrent_impl_Promise$DefaultPromise;
/** @constructor */
function $h_s_concurrent_impl_Promise$DefaultPromise() {
  /*<skip>*/
}
$h_s_concurrent_impl_Promise$DefaultPromise.prototype = $c_s_concurrent_impl_Promise$DefaultPromise.prototype;
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.init___ = (function() {
  $c_ju_concurrent_atomic_AtomicReference.prototype.init___O.call(this, null);
  var newState = $m_sci_Nil$();
  this.compareAndSet__O__O__Z(null, newState);
  return this
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.tryComplete__s_util_Try__Z = (function(value) {
  var resolved = $m_s_concurrent_impl_Promise$().scala$concurrent$impl$Promise$$resolveTry__s_util_Try__s_util_Try(value);
  var x1 = this.tryCompleteAndGetListeners__p3__s_util_Try__sci_List(resolved);
  if ((x1 !== null)) {
    if (x1.isEmpty__Z()) {
      return true
    } else {
      var these = x1;
      while ((!these.isEmpty__Z())) {
        var arg1 = these.head__O();
        var r = $as_s_concurrent_impl_CallbackRunnable(arg1);
        r.executeWithValue__s_util_Try__V(resolved);
        var this$1 = these;
        these = this$1.tail__sci_List()
      };
      return true
    }
  } else {
    return false
  }
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.toString__T = (function() {
  return $s_s_concurrent_impl_Promise$class__toString__s_concurrent_impl_Promise__T(this)
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.tryCompleteAndGetListeners__p3__s_util_Try__sci_List = (function(v) {
  var _$this = this;
  _tryCompleteAndGetListeners: while (true) {
    var this$1 = _$this;
    var x1 = this$1.value$1;
    if ($is_sci_List(x1)) {
      var x2 = $as_sci_List(x1);
      var this$2 = _$this;
      if (this$2.compareAndSet__O__O__Z(x2, v)) {
        return x2
      } else {
        continue _tryCompleteAndGetListeners
      }
    } else if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
      _$this = _$this.compressedRoot__p3__s_concurrent_impl_Promise$DefaultPromise();
      continue _tryCompleteAndGetListeners
    } else {
      return null
    }
  }
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.onComplete__F1__s_concurrent_ExecutionContext__V = (function(func, executor) {
  var runnable = new $c_s_concurrent_impl_CallbackRunnable().init___s_concurrent_ExecutionContext__F1(executor, func);
  this.dispatchOrAddCallback__p3__s_concurrent_impl_CallbackRunnable__V(runnable)
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.compressedRoot__p3__s_concurrent_impl_Promise$DefaultPromise = (function() {
  _compressedRoot: while (true) {
    var x1 = this.value$1;
    if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
      var x2 = $as_s_concurrent_impl_Promise$DefaultPromise(x1);
      var target = x2.root__p3__s_concurrent_impl_Promise$DefaultPromise();
      if ((x2 === target)) {
        return target
      } else if (this.compareAndSet__O__O__Z(x2, target)) {
        return target
      } else {
        continue _compressedRoot
      }
    } else {
      return this
    }
  }
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.root__p3__s_concurrent_impl_Promise$DefaultPromise = (function() {
  var _$this = this;
  _root: while (true) {
    var this$1 = _$this;
    var x1 = this$1.value$1;
    if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
      var x2 = $as_s_concurrent_impl_Promise$DefaultPromise(x1);
      _$this = x2;
      continue _root
    } else {
      return _$this
    }
  }
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.value__s_Option = (function() {
  return this.value0__p3__s_Option()
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.link__p3__s_concurrent_impl_Promise$DefaultPromise__V = (function(target) {
  var _$this = this;
  _link: while (true) {
    if ((_$this !== target)) {
      var this$1 = _$this;
      var x1 = this$1.value$1;
      if ($is_s_util_Try(x1)) {
        var x2 = $as_s_util_Try(x1);
        if ((!target.tryComplete__s_util_Try__Z(x2))) {
          throw new $c_jl_IllegalStateException().init___T("Cannot link completed promises together")
        }
      } else {
        if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
          _$this = _$this.compressedRoot__p3__s_concurrent_impl_Promise$DefaultPromise();
          continue _link
        };
        if ((!$is_sci_List(x1))) {
          throw new $c_s_MatchError().init___O(x1)
        };
        var x4 = $as_sci_List(x1);
        var this$2 = _$this;
        if ((!this$2.compareAndSet__O__O__Z(x4, target))) {
          continue _link
        };
        if ((!x4.isEmpty__Z())) {
          var these = x4;
          while ((!these.isEmpty__Z())) {
            var arg1 = these.head__O();
            var x$2 = $as_s_concurrent_impl_CallbackRunnable(arg1);
            target.dispatchOrAddCallback__p3__s_concurrent_impl_CallbackRunnable__V(x$2);
            var this$3 = these;
            these = this$3.tail__sci_List()
          }
        }
      }
    };
    break
  }
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.dispatchOrAddCallback__p3__s_concurrent_impl_CallbackRunnable__V = (function(runnable) {
  var _$this = this;
  _dispatchOrAddCallback: while (true) {
    var this$1 = _$this;
    var x1 = this$1.value$1;
    if ($is_s_util_Try(x1)) {
      var x2 = $as_s_util_Try(x1);
      runnable.executeWithValue__s_util_Try__V(x2)
    } else {
      if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
        _$this = _$this.compressedRoot__p3__s_concurrent_impl_Promise$DefaultPromise();
        continue _dispatchOrAddCallback
      };
      if ((!$is_sci_List(x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      var x4 = $as_sci_List(x1);
      var this$2 = _$this;
      var newState = new $c_sci_$colon$colon().init___O__sci_List(runnable, x4);
      if ((!this$2.compareAndSet__O__O__Z(x4, newState))) {
        continue _dispatchOrAddCallback
      }
    };
    break
  }
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.value0__p3__s_Option = (function() {
  var _$this = this;
  _value0: while (true) {
    var this$1 = _$this;
    var x1 = this$1.value$1;
    if ($is_s_util_Try(x1)) {
      var x2 = $as_s_util_Try(x1);
      return new $c_s_Some().init___O(x2)
    } else if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
      _$this = _$this.compressedRoot__p3__s_concurrent_impl_Promise$DefaultPromise();
      continue _value0
    } else {
      return $m_s_None$()
    }
  }
});
function $is_s_concurrent_impl_Promise$DefaultPromise(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_concurrent_impl_Promise$DefaultPromise)))
}
function $as_s_concurrent_impl_Promise$DefaultPromise(obj) {
  return (($is_s_concurrent_impl_Promise$DefaultPromise(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.concurrent.impl.Promise$DefaultPromise"))
}
function $isArrayOf_s_concurrent_impl_Promise$DefaultPromise(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_concurrent_impl_Promise$DefaultPromise)))
}
function $asArrayOf_s_concurrent_impl_Promise$DefaultPromise(obj, depth) {
  return (($isArrayOf_s_concurrent_impl_Promise$DefaultPromise(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.concurrent.impl.Promise$DefaultPromise;", depth))
}
var $d_s_concurrent_impl_Promise$DefaultPromise = new $TypeData().initClass({
  s_concurrent_impl_Promise$DefaultPromise: 0
}, false, "scala.concurrent.impl.Promise$DefaultPromise", {
  s_concurrent_impl_Promise$DefaultPromise: 1,
  s_concurrent_impl_AbstractPromise: 1,
  ju_concurrent_atomic_AtomicReference: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_concurrent_impl_Promise: 1,
  s_concurrent_Promise: 1,
  s_concurrent_Future: 1,
  s_concurrent_Awaitable: 1
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.$classData = $d_s_concurrent_impl_Promise$DefaultPromise;
/** @constructor */
function $c_s_reflect_ManifestFactory$BooleanManifest$() {
  $c_s_reflect_AnyValManifest.call(this)
}
$c_s_reflect_ManifestFactory$BooleanManifest$.prototype = new $h_s_reflect_AnyValManifest();
$c_s_reflect_ManifestFactory$BooleanManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$BooleanManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$BooleanManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$BooleanManifest$.prototype = $c_s_reflect_ManifestFactory$BooleanManifest$.prototype;
$c_s_reflect_ManifestFactory$BooleanManifest$.prototype.init___ = (function() {
  this.toString$1 = "Boolean";
  return this
});
$c_s_reflect_ManifestFactory$BooleanManifest$.prototype.newArray__I__O = (function(len) {
  return $newArrayObject($d_Z.getArrayOf(), [len])
});
$c_s_reflect_ManifestFactory$BooleanManifest$.prototype.runtimeClass__jl_Class = (function() {
  return $d_Z.getClassOf()
});
var $d_s_reflect_ManifestFactory$BooleanManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$BooleanManifest$: 0
}, false, "scala.reflect.ManifestFactory$BooleanManifest$", {
  s_reflect_ManifestFactory$BooleanManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$BooleanManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$BooleanManifest$;
var $n_s_reflect_ManifestFactory$BooleanManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$BooleanManifest$() {
  if ((!$n_s_reflect_ManifestFactory$BooleanManifest$)) {
    $n_s_reflect_ManifestFactory$BooleanManifest$ = new $c_s_reflect_ManifestFactory$BooleanManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$BooleanManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$ByteManifest$() {
  $c_s_reflect_AnyValManifest.call(this)
}
$c_s_reflect_ManifestFactory$ByteManifest$.prototype = new $h_s_reflect_AnyValManifest();
$c_s_reflect_ManifestFactory$ByteManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$ByteManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$ByteManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$ByteManifest$.prototype = $c_s_reflect_ManifestFactory$ByteManifest$.prototype;
$c_s_reflect_ManifestFactory$ByteManifest$.prototype.init___ = (function() {
  this.toString$1 = "Byte";
  return this
});
$c_s_reflect_ManifestFactory$ByteManifest$.prototype.newArray__I__O = (function(len) {
  return $newArrayObject($d_B.getArrayOf(), [len])
});
$c_s_reflect_ManifestFactory$ByteManifest$.prototype.runtimeClass__jl_Class = (function() {
  return $d_B.getClassOf()
});
var $d_s_reflect_ManifestFactory$ByteManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$ByteManifest$: 0
}, false, "scala.reflect.ManifestFactory$ByteManifest$", {
  s_reflect_ManifestFactory$ByteManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$ByteManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$ByteManifest$;
var $n_s_reflect_ManifestFactory$ByteManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$ByteManifest$() {
  if ((!$n_s_reflect_ManifestFactory$ByteManifest$)) {
    $n_s_reflect_ManifestFactory$ByteManifest$ = new $c_s_reflect_ManifestFactory$ByteManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$ByteManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$CharManifest$() {
  $c_s_reflect_AnyValManifest.call(this)
}
$c_s_reflect_ManifestFactory$CharManifest$.prototype = new $h_s_reflect_AnyValManifest();
$c_s_reflect_ManifestFactory$CharManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$CharManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$CharManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$CharManifest$.prototype = $c_s_reflect_ManifestFactory$CharManifest$.prototype;
$c_s_reflect_ManifestFactory$CharManifest$.prototype.init___ = (function() {
  this.toString$1 = "Char";
  return this
});
$c_s_reflect_ManifestFactory$CharManifest$.prototype.newArray__I__O = (function(len) {
  return $newArrayObject($d_C.getArrayOf(), [len])
});
$c_s_reflect_ManifestFactory$CharManifest$.prototype.runtimeClass__jl_Class = (function() {
  return $d_C.getClassOf()
});
var $d_s_reflect_ManifestFactory$CharManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$CharManifest$: 0
}, false, "scala.reflect.ManifestFactory$CharManifest$", {
  s_reflect_ManifestFactory$CharManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$CharManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$CharManifest$;
var $n_s_reflect_ManifestFactory$CharManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$CharManifest$() {
  if ((!$n_s_reflect_ManifestFactory$CharManifest$)) {
    $n_s_reflect_ManifestFactory$CharManifest$ = new $c_s_reflect_ManifestFactory$CharManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$CharManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$DoubleManifest$() {
  $c_s_reflect_AnyValManifest.call(this)
}
$c_s_reflect_ManifestFactory$DoubleManifest$.prototype = new $h_s_reflect_AnyValManifest();
$c_s_reflect_ManifestFactory$DoubleManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$DoubleManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$DoubleManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$DoubleManifest$.prototype = $c_s_reflect_ManifestFactory$DoubleManifest$.prototype;
$c_s_reflect_ManifestFactory$DoubleManifest$.prototype.init___ = (function() {
  this.toString$1 = "Double";
  return this
});
$c_s_reflect_ManifestFactory$DoubleManifest$.prototype.newArray__I__O = (function(len) {
  return $newArrayObject($d_D.getArrayOf(), [len])
});
$c_s_reflect_ManifestFactory$DoubleManifest$.prototype.runtimeClass__jl_Class = (function() {
  return $d_D.getClassOf()
});
var $d_s_reflect_ManifestFactory$DoubleManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$DoubleManifest$: 0
}, false, "scala.reflect.ManifestFactory$DoubleManifest$", {
  s_reflect_ManifestFactory$DoubleManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$DoubleManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$DoubleManifest$;
var $n_s_reflect_ManifestFactory$DoubleManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$DoubleManifest$() {
  if ((!$n_s_reflect_ManifestFactory$DoubleManifest$)) {
    $n_s_reflect_ManifestFactory$DoubleManifest$ = new $c_s_reflect_ManifestFactory$DoubleManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$DoubleManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$FloatManifest$() {
  $c_s_reflect_AnyValManifest.call(this)
}
$c_s_reflect_ManifestFactory$FloatManifest$.prototype = new $h_s_reflect_AnyValManifest();
$c_s_reflect_ManifestFactory$FloatManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$FloatManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$FloatManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$FloatManifest$.prototype = $c_s_reflect_ManifestFactory$FloatManifest$.prototype;
$c_s_reflect_ManifestFactory$FloatManifest$.prototype.init___ = (function() {
  this.toString$1 = "Float";
  return this
});
$c_s_reflect_ManifestFactory$FloatManifest$.prototype.newArray__I__O = (function(len) {
  return $newArrayObject($d_F.getArrayOf(), [len])
});
$c_s_reflect_ManifestFactory$FloatManifest$.prototype.runtimeClass__jl_Class = (function() {
  return $d_F.getClassOf()
});
var $d_s_reflect_ManifestFactory$FloatManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$FloatManifest$: 0
}, false, "scala.reflect.ManifestFactory$FloatManifest$", {
  s_reflect_ManifestFactory$FloatManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$FloatManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$FloatManifest$;
var $n_s_reflect_ManifestFactory$FloatManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$FloatManifest$() {
  if ((!$n_s_reflect_ManifestFactory$FloatManifest$)) {
    $n_s_reflect_ManifestFactory$FloatManifest$ = new $c_s_reflect_ManifestFactory$FloatManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$FloatManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$IntManifest$() {
  $c_s_reflect_AnyValManifest.call(this)
}
$c_s_reflect_ManifestFactory$IntManifest$.prototype = new $h_s_reflect_AnyValManifest();
$c_s_reflect_ManifestFactory$IntManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$IntManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$IntManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$IntManifest$.prototype = $c_s_reflect_ManifestFactory$IntManifest$.prototype;
$c_s_reflect_ManifestFactory$IntManifest$.prototype.init___ = (function() {
  this.toString$1 = "Int";
  return this
});
$c_s_reflect_ManifestFactory$IntManifest$.prototype.newArray__I__O = (function(len) {
  return $newArrayObject($d_I.getArrayOf(), [len])
});
$c_s_reflect_ManifestFactory$IntManifest$.prototype.runtimeClass__jl_Class = (function() {
  return $d_I.getClassOf()
});
var $d_s_reflect_ManifestFactory$IntManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$IntManifest$: 0
}, false, "scala.reflect.ManifestFactory$IntManifest$", {
  s_reflect_ManifestFactory$IntManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$IntManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$IntManifest$;
var $n_s_reflect_ManifestFactory$IntManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$IntManifest$() {
  if ((!$n_s_reflect_ManifestFactory$IntManifest$)) {
    $n_s_reflect_ManifestFactory$IntManifest$ = new $c_s_reflect_ManifestFactory$IntManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$IntManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$LongManifest$() {
  $c_s_reflect_AnyValManifest.call(this)
}
$c_s_reflect_ManifestFactory$LongManifest$.prototype = new $h_s_reflect_AnyValManifest();
$c_s_reflect_ManifestFactory$LongManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$LongManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$LongManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$LongManifest$.prototype = $c_s_reflect_ManifestFactory$LongManifest$.prototype;
$c_s_reflect_ManifestFactory$LongManifest$.prototype.init___ = (function() {
  this.toString$1 = "Long";
  return this
});
$c_s_reflect_ManifestFactory$LongManifest$.prototype.newArray__I__O = (function(len) {
  return $newArrayObject($d_J.getArrayOf(), [len])
});
$c_s_reflect_ManifestFactory$LongManifest$.prototype.runtimeClass__jl_Class = (function() {
  return $d_J.getClassOf()
});
var $d_s_reflect_ManifestFactory$LongManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$LongManifest$: 0
}, false, "scala.reflect.ManifestFactory$LongManifest$", {
  s_reflect_ManifestFactory$LongManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$LongManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$LongManifest$;
var $n_s_reflect_ManifestFactory$LongManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$LongManifest$() {
  if ((!$n_s_reflect_ManifestFactory$LongManifest$)) {
    $n_s_reflect_ManifestFactory$LongManifest$ = new $c_s_reflect_ManifestFactory$LongManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$LongManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$PhantomManifest() {
  $c_s_reflect_ManifestFactory$ClassTypeManifest.call(this);
  this.toString$2 = null
}
$c_s_reflect_ManifestFactory$PhantomManifest.prototype = new $h_s_reflect_ManifestFactory$ClassTypeManifest();
$c_s_reflect_ManifestFactory$PhantomManifest.prototype.constructor = $c_s_reflect_ManifestFactory$PhantomManifest;
/** @constructor */
function $h_s_reflect_ManifestFactory$PhantomManifest() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$PhantomManifest.prototype = $c_s_reflect_ManifestFactory$PhantomManifest.prototype;
$c_s_reflect_ManifestFactory$PhantomManifest.prototype.equals__O__Z = (function(that) {
  return (this === that)
});
$c_s_reflect_ManifestFactory$PhantomManifest.prototype.toString__T = (function() {
  return this.toString$2
});
$c_s_reflect_ManifestFactory$PhantomManifest.prototype.hashCode__I = (function() {
  return $systemIdentityHashCode(this)
});
/** @constructor */
function $c_s_reflect_ManifestFactory$ShortManifest$() {
  $c_s_reflect_AnyValManifest.call(this)
}
$c_s_reflect_ManifestFactory$ShortManifest$.prototype = new $h_s_reflect_AnyValManifest();
$c_s_reflect_ManifestFactory$ShortManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$ShortManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$ShortManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$ShortManifest$.prototype = $c_s_reflect_ManifestFactory$ShortManifest$.prototype;
$c_s_reflect_ManifestFactory$ShortManifest$.prototype.init___ = (function() {
  this.toString$1 = "Short";
  return this
});
$c_s_reflect_ManifestFactory$ShortManifest$.prototype.newArray__I__O = (function(len) {
  return $newArrayObject($d_S.getArrayOf(), [len])
});
$c_s_reflect_ManifestFactory$ShortManifest$.prototype.runtimeClass__jl_Class = (function() {
  return $d_S.getClassOf()
});
var $d_s_reflect_ManifestFactory$ShortManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$ShortManifest$: 0
}, false, "scala.reflect.ManifestFactory$ShortManifest$", {
  s_reflect_ManifestFactory$ShortManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$ShortManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$ShortManifest$;
var $n_s_reflect_ManifestFactory$ShortManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$ShortManifest$() {
  if ((!$n_s_reflect_ManifestFactory$ShortManifest$)) {
    $n_s_reflect_ManifestFactory$ShortManifest$ = new $c_s_reflect_ManifestFactory$ShortManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$ShortManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$UnitManifest$() {
  $c_s_reflect_AnyValManifest.call(this)
}
$c_s_reflect_ManifestFactory$UnitManifest$.prototype = new $h_s_reflect_AnyValManifest();
$c_s_reflect_ManifestFactory$UnitManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$UnitManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$UnitManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$UnitManifest$.prototype = $c_s_reflect_ManifestFactory$UnitManifest$.prototype;
$c_s_reflect_ManifestFactory$UnitManifest$.prototype.init___ = (function() {
  this.toString$1 = "Unit";
  return this
});
$c_s_reflect_ManifestFactory$UnitManifest$.prototype.newArray__I__O = (function(len) {
  return $newArrayObject($d_sr_BoxedUnit.getArrayOf(), [len])
});
$c_s_reflect_ManifestFactory$UnitManifest$.prototype.runtimeClass__jl_Class = (function() {
  return $d_V.getClassOf()
});
var $d_s_reflect_ManifestFactory$UnitManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$UnitManifest$: 0
}, false, "scala.reflect.ManifestFactory$UnitManifest$", {
  s_reflect_ManifestFactory$UnitManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$UnitManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$UnitManifest$;
var $n_s_reflect_ManifestFactory$UnitManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$UnitManifest$() {
  if ((!$n_s_reflect_ManifestFactory$UnitManifest$)) {
    $n_s_reflect_ManifestFactory$UnitManifest$ = new $c_s_reflect_ManifestFactory$UnitManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$UnitManifest$
}
/** @constructor */
function $c_sci_List$() {
  $c_scg_SeqFactory.call(this);
  this.partialNotApplied$5 = null
}
$c_sci_List$.prototype = new $h_scg_SeqFactory();
$c_sci_List$.prototype.constructor = $c_sci_List$;
/** @constructor */
function $h_sci_List$() {
  /*<skip>*/
}
$h_sci_List$.prototype = $c_sci_List$.prototype;
$c_sci_List$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  $n_sci_List$ = this;
  this.partialNotApplied$5 = new $c_sci_List$$anon$1().init___();
  return this
});
$c_sci_List$.prototype.empty__sc_GenTraversable = (function() {
  return $m_sci_Nil$()
});
$c_sci_List$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_ListBuffer().init___()
});
var $d_sci_List$ = new $TypeData().initClass({
  sci_List$: 0
}, false, "scala.collection.immutable.List$", {
  sci_List$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_List$.prototype.$classData = $d_sci_List$;
var $n_sci_List$ = (void 0);
function $m_sci_List$() {
  if ((!$n_sci_List$)) {
    $n_sci_List$ = new $c_sci_List$().init___()
  };
  return $n_sci_List$
}
/** @constructor */
function $c_sci_Stream$() {
  $c_scg_SeqFactory.call(this)
}
$c_sci_Stream$.prototype = new $h_scg_SeqFactory();
$c_sci_Stream$.prototype.constructor = $c_sci_Stream$;
/** @constructor */
function $h_sci_Stream$() {
  /*<skip>*/
}
$h_sci_Stream$.prototype = $c_sci_Stream$.prototype;
$c_sci_Stream$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_sci_Stream$.prototype.empty__sc_GenTraversable = (function() {
  return $m_sci_Stream$Empty$()
});
$c_sci_Stream$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_sci_Stream$StreamBuilder().init___()
});
var $d_sci_Stream$ = new $TypeData().initClass({
  sci_Stream$: 0
}, false, "scala.collection.immutable.Stream$", {
  sci_Stream$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Stream$.prototype.$classData = $d_sci_Stream$;
var $n_sci_Stream$ = (void 0);
function $m_sci_Stream$() {
  if ((!$n_sci_Stream$)) {
    $n_sci_Stream$ = new $c_sci_Stream$().init___()
  };
  return $n_sci_Stream$
}
/** @constructor */
function $c_scm_ArrayBuffer$() {
  $c_scg_SeqFactory.call(this)
}
$c_scm_ArrayBuffer$.prototype = new $h_scg_SeqFactory();
$c_scm_ArrayBuffer$.prototype.constructor = $c_scm_ArrayBuffer$;
/** @constructor */
function $h_scm_ArrayBuffer$() {
  /*<skip>*/
}
$h_scm_ArrayBuffer$.prototype = $c_scm_ArrayBuffer$.prototype;
$c_scm_ArrayBuffer$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_scm_ArrayBuffer$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_ArrayBuffer().init___()
});
var $d_scm_ArrayBuffer$ = new $TypeData().initClass({
  scm_ArrayBuffer$: 0
}, false, "scala.collection.mutable.ArrayBuffer$", {
  scm_ArrayBuffer$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuffer$.prototype.$classData = $d_scm_ArrayBuffer$;
var $n_scm_ArrayBuffer$ = (void 0);
function $m_scm_ArrayBuffer$() {
  if ((!$n_scm_ArrayBuffer$)) {
    $n_scm_ArrayBuffer$ = new $c_scm_ArrayBuffer$().init___()
  };
  return $n_scm_ArrayBuffer$
}
/** @constructor */
function $c_scm_ListBuffer$() {
  $c_scg_SeqFactory.call(this)
}
$c_scm_ListBuffer$.prototype = new $h_scg_SeqFactory();
$c_scm_ListBuffer$.prototype.constructor = $c_scm_ListBuffer$;
/** @constructor */
function $h_scm_ListBuffer$() {
  /*<skip>*/
}
$h_scm_ListBuffer$.prototype = $c_scm_ListBuffer$.prototype;
$c_scm_ListBuffer$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_scm_ListBuffer$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___())
});
var $d_scm_ListBuffer$ = new $TypeData().initClass({
  scm_ListBuffer$: 0
}, false, "scala.collection.mutable.ListBuffer$", {
  scm_ListBuffer$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ListBuffer$.prototype.$classData = $d_scm_ListBuffer$;
var $n_scm_ListBuffer$ = (void 0);
function $m_scm_ListBuffer$() {
  if ((!$n_scm_ListBuffer$)) {
    $n_scm_ListBuffer$ = new $c_scm_ListBuffer$().init___()
  };
  return $n_scm_ListBuffer$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$AnyManifest$() {
  $c_s_reflect_ManifestFactory$PhantomManifest.call(this)
}
$c_s_reflect_ManifestFactory$AnyManifest$.prototype = new $h_s_reflect_ManifestFactory$PhantomManifest();
$c_s_reflect_ManifestFactory$AnyManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$AnyManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$AnyManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$AnyManifest$.prototype = $c_s_reflect_ManifestFactory$AnyManifest$.prototype;
$c_s_reflect_ManifestFactory$AnyManifest$.prototype.init___ = (function() {
  this.toString$2 = "Any";
  var prefix = $m_s_None$();
  var typeArguments = $m_sci_Nil$();
  this.prefix$1 = prefix;
  this.runtimeClass1$1 = $d_O.getClassOf();
  this.typeArguments$1 = typeArguments;
  return this
});
$c_s_reflect_ManifestFactory$AnyManifest$.prototype.newArray__I__O = (function(len) {
  return $newArrayObject($d_O.getArrayOf(), [len])
});
$c_s_reflect_ManifestFactory$AnyManifest$.prototype.runtimeClass__jl_Class = (function() {
  return $d_O.getClassOf()
});
var $d_s_reflect_ManifestFactory$AnyManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$AnyManifest$: 0
}, false, "scala.reflect.ManifestFactory$AnyManifest$", {
  s_reflect_ManifestFactory$AnyManifest$: 1,
  s_reflect_ManifestFactory$PhantomManifest: 1,
  s_reflect_ManifestFactory$ClassTypeManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$AnyManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$AnyManifest$;
var $n_s_reflect_ManifestFactory$AnyManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$AnyManifest$() {
  if ((!$n_s_reflect_ManifestFactory$AnyManifest$)) {
    $n_s_reflect_ManifestFactory$AnyManifest$ = new $c_s_reflect_ManifestFactory$AnyManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$AnyManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$AnyValManifest$() {
  $c_s_reflect_ManifestFactory$PhantomManifest.call(this)
}
$c_s_reflect_ManifestFactory$AnyValManifest$.prototype = new $h_s_reflect_ManifestFactory$PhantomManifest();
$c_s_reflect_ManifestFactory$AnyValManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$AnyValManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$AnyValManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$AnyValManifest$.prototype = $c_s_reflect_ManifestFactory$AnyValManifest$.prototype;
$c_s_reflect_ManifestFactory$AnyValManifest$.prototype.init___ = (function() {
  this.toString$2 = "AnyVal";
  var prefix = $m_s_None$();
  var typeArguments = $m_sci_Nil$();
  this.prefix$1 = prefix;
  this.runtimeClass1$1 = $d_O.getClassOf();
  this.typeArguments$1 = typeArguments;
  return this
});
$c_s_reflect_ManifestFactory$AnyValManifest$.prototype.newArray__I__O = (function(len) {
  return $newArrayObject($d_O.getArrayOf(), [len])
});
$c_s_reflect_ManifestFactory$AnyValManifest$.prototype.runtimeClass__jl_Class = (function() {
  return $d_O.getClassOf()
});
var $d_s_reflect_ManifestFactory$AnyValManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$AnyValManifest$: 0
}, false, "scala.reflect.ManifestFactory$AnyValManifest$", {
  s_reflect_ManifestFactory$AnyValManifest$: 1,
  s_reflect_ManifestFactory$PhantomManifest: 1,
  s_reflect_ManifestFactory$ClassTypeManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$AnyValManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$AnyValManifest$;
var $n_s_reflect_ManifestFactory$AnyValManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$AnyValManifest$() {
  if ((!$n_s_reflect_ManifestFactory$AnyValManifest$)) {
    $n_s_reflect_ManifestFactory$AnyValManifest$ = new $c_s_reflect_ManifestFactory$AnyValManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$AnyValManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$NothingManifest$() {
  $c_s_reflect_ManifestFactory$PhantomManifest.call(this)
}
$c_s_reflect_ManifestFactory$NothingManifest$.prototype = new $h_s_reflect_ManifestFactory$PhantomManifest();
$c_s_reflect_ManifestFactory$NothingManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$NothingManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$NothingManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$NothingManifest$.prototype = $c_s_reflect_ManifestFactory$NothingManifest$.prototype;
$c_s_reflect_ManifestFactory$NothingManifest$.prototype.init___ = (function() {
  this.toString$2 = "Nothing";
  var prefix = $m_s_None$();
  var typeArguments = $m_sci_Nil$();
  this.prefix$1 = prefix;
  this.runtimeClass1$1 = $d_sr_Nothing$.getClassOf();
  this.typeArguments$1 = typeArguments;
  return this
});
$c_s_reflect_ManifestFactory$NothingManifest$.prototype.newArray__I__O = (function(len) {
  return $newArrayObject($d_O.getArrayOf(), [len])
});
$c_s_reflect_ManifestFactory$NothingManifest$.prototype.runtimeClass__jl_Class = (function() {
  return $d_sr_Nothing$.getClassOf()
});
var $d_s_reflect_ManifestFactory$NothingManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$NothingManifest$: 0
}, false, "scala.reflect.ManifestFactory$NothingManifest$", {
  s_reflect_ManifestFactory$NothingManifest$: 1,
  s_reflect_ManifestFactory$PhantomManifest: 1,
  s_reflect_ManifestFactory$ClassTypeManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$NothingManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$NothingManifest$;
var $n_s_reflect_ManifestFactory$NothingManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$NothingManifest$() {
  if ((!$n_s_reflect_ManifestFactory$NothingManifest$)) {
    $n_s_reflect_ManifestFactory$NothingManifest$ = new $c_s_reflect_ManifestFactory$NothingManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$NothingManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$NullManifest$() {
  $c_s_reflect_ManifestFactory$PhantomManifest.call(this)
}
$c_s_reflect_ManifestFactory$NullManifest$.prototype = new $h_s_reflect_ManifestFactory$PhantomManifest();
$c_s_reflect_ManifestFactory$NullManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$NullManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$NullManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$NullManifest$.prototype = $c_s_reflect_ManifestFactory$NullManifest$.prototype;
$c_s_reflect_ManifestFactory$NullManifest$.prototype.init___ = (function() {
  this.toString$2 = "Null";
  var prefix = $m_s_None$();
  var typeArguments = $m_sci_Nil$();
  this.prefix$1 = prefix;
  this.runtimeClass1$1 = $d_sr_Null$.getClassOf();
  this.typeArguments$1 = typeArguments;
  return this
});
$c_s_reflect_ManifestFactory$NullManifest$.prototype.newArray__I__O = (function(len) {
  return $newArrayObject($d_O.getArrayOf(), [len])
});
$c_s_reflect_ManifestFactory$NullManifest$.prototype.runtimeClass__jl_Class = (function() {
  return $d_sr_Null$.getClassOf()
});
var $d_s_reflect_ManifestFactory$NullManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$NullManifest$: 0
}, false, "scala.reflect.ManifestFactory$NullManifest$", {
  s_reflect_ManifestFactory$NullManifest$: 1,
  s_reflect_ManifestFactory$PhantomManifest: 1,
  s_reflect_ManifestFactory$ClassTypeManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$NullManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$NullManifest$;
var $n_s_reflect_ManifestFactory$NullManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$NullManifest$() {
  if ((!$n_s_reflect_ManifestFactory$NullManifest$)) {
    $n_s_reflect_ManifestFactory$NullManifest$ = new $c_s_reflect_ManifestFactory$NullManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$NullManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$ObjectManifest$() {
  $c_s_reflect_ManifestFactory$PhantomManifest.call(this)
}
$c_s_reflect_ManifestFactory$ObjectManifest$.prototype = new $h_s_reflect_ManifestFactory$PhantomManifest();
$c_s_reflect_ManifestFactory$ObjectManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$ObjectManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$ObjectManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$ObjectManifest$.prototype = $c_s_reflect_ManifestFactory$ObjectManifest$.prototype;
$c_s_reflect_ManifestFactory$ObjectManifest$.prototype.init___ = (function() {
  this.toString$2 = "Object";
  var prefix = $m_s_None$();
  var typeArguments = $m_sci_Nil$();
  this.prefix$1 = prefix;
  this.runtimeClass1$1 = $d_O.getClassOf();
  this.typeArguments$1 = typeArguments;
  return this
});
$c_s_reflect_ManifestFactory$ObjectManifest$.prototype.newArray__I__O = (function(len) {
  return $newArrayObject($d_O.getArrayOf(), [len])
});
$c_s_reflect_ManifestFactory$ObjectManifest$.prototype.runtimeClass__jl_Class = (function() {
  return $d_O.getClassOf()
});
var $d_s_reflect_ManifestFactory$ObjectManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$ObjectManifest$: 0
}, false, "scala.reflect.ManifestFactory$ObjectManifest$", {
  s_reflect_ManifestFactory$ObjectManifest$: 1,
  s_reflect_ManifestFactory$PhantomManifest: 1,
  s_reflect_ManifestFactory$ClassTypeManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$ObjectManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$ObjectManifest$;
var $n_s_reflect_ManifestFactory$ObjectManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$ObjectManifest$() {
  if ((!$n_s_reflect_ManifestFactory$ObjectManifest$)) {
    $n_s_reflect_ManifestFactory$ObjectManifest$ = new $c_s_reflect_ManifestFactory$ObjectManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$ObjectManifest$
}
function $is_sc_GenMap(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenMap)))
}
function $as_sc_GenMap(obj) {
  return (($is_sc_GenMap(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.GenMap"))
}
function $isArrayOf_sc_GenMap(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenMap)))
}
function $asArrayOf_sc_GenMap(obj, depth) {
  return (($isArrayOf_sc_GenMap(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.GenMap;", depth))
}
function $is_sc_GenSeq(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenSeq)))
}
function $as_sc_GenSeq(obj) {
  return (($is_sc_GenSeq(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.GenSeq"))
}
function $isArrayOf_sc_GenSeq(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenSeq)))
}
function $asArrayOf_sc_GenSeq(obj, depth) {
  return (($isArrayOf_sc_GenSeq(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.GenSeq;", depth))
}
/** @constructor */
function $c_sci_Vector$() {
  $c_scg_IndexedSeqFactory.call(this);
  this.NIL$6 = null;
  this.Log2ConcatFaster$6 = 0;
  this.TinyAppendFaster$6 = 0
}
$c_sci_Vector$.prototype = new $h_scg_IndexedSeqFactory();
$c_sci_Vector$.prototype.constructor = $c_sci_Vector$;
/** @constructor */
function $h_sci_Vector$() {
  /*<skip>*/
}
$h_sci_Vector$.prototype = $c_sci_Vector$.prototype;
$c_sci_Vector$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  $n_sci_Vector$ = this;
  this.NIL$6 = new $c_sci_Vector().init___I__I__I(0, 0, 0);
  return this
});
$c_sci_Vector$.prototype.empty__sc_GenTraversable = (function() {
  return this.NIL$6
});
$c_sci_Vector$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_sci_VectorBuilder().init___()
});
var $d_sci_Vector$ = new $TypeData().initClass({
  sci_Vector$: 0
}, false, "scala.collection.immutable.Vector$", {
  sci_Vector$: 1,
  scg_IndexedSeqFactory: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Vector$.prototype.$classData = $d_sci_Vector$;
var $n_sci_Vector$ = (void 0);
function $m_sci_Vector$() {
  if ((!$n_sci_Vector$)) {
    $n_sci_Vector$ = new $c_sci_Vector$().init___()
  };
  return $n_sci_Vector$
}
/** @constructor */
function $c_sc_AbstractTraversable() {
  $c_O.call(this)
}
$c_sc_AbstractTraversable.prototype = new $h_O();
$c_sc_AbstractTraversable.prototype.constructor = $c_sc_AbstractTraversable;
/** @constructor */
function $h_sc_AbstractTraversable() {
  /*<skip>*/
}
$h_sc_AbstractTraversable.prototype = $c_sc_AbstractTraversable.prototype;
$c_sc_AbstractTraversable.prototype.toList__sci_List = (function() {
  var this$1 = $m_sci_List$();
  var cbf = this$1.ReusableCBFInstance$2;
  return $as_sci_List($s_sc_TraversableLike$class__to__sc_TraversableLike__scg_CanBuildFrom__O(this, cbf))
});
$c_sc_AbstractTraversable.prototype.mkString__T__T = (function(sep) {
  return this.mkString__T__T__T__T("", sep, "")
});
$c_sc_AbstractTraversable.prototype.mkString__T__T__T__T = (function(start, sep, end) {
  return $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T(this, start, sep, end)
});
$c_sc_AbstractTraversable.prototype.foldLeft__O__F2__O = (function(z, op) {
  return $s_sc_TraversableOnce$class__foldLeft__sc_TraversableOnce__O__F2__O(this, z, op)
});
$c_sc_AbstractTraversable.prototype.addString__scm_StringBuilder__T__T__T__scm_StringBuilder = (function(b, start, sep, end) {
  return $s_sc_TraversableOnce$class__addString__sc_TraversableOnce__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
});
$c_sc_AbstractTraversable.prototype.repr__O = (function() {
  return this
});
$c_sc_AbstractTraversable.prototype.newBuilder__scm_Builder = (function() {
  return this.companion__scg_GenericCompanion().newBuilder__scm_Builder()
});
$c_sc_AbstractTraversable.prototype.stringPrefix__T = (function() {
  return $s_sc_TraversableLike$class__stringPrefix__sc_TraversableLike__T(this)
});
function $is_sc_GenSet(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenSet)))
}
function $as_sc_GenSet(obj) {
  return (($is_sc_GenSet(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.GenSet"))
}
function $isArrayOf_sc_GenSet(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenSet)))
}
function $asArrayOf_sc_GenSet(obj, depth) {
  return (($isArrayOf_sc_GenSet(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.GenSet;", depth))
}
function $is_sc_IndexedSeqLike(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_IndexedSeqLike)))
}
function $as_sc_IndexedSeqLike(obj) {
  return (($is_sc_IndexedSeqLike(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.IndexedSeqLike"))
}
function $isArrayOf_sc_IndexedSeqLike(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_IndexedSeqLike)))
}
function $asArrayOf_sc_IndexedSeqLike(obj, depth) {
  return (($isArrayOf_sc_IndexedSeqLike(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.IndexedSeqLike;", depth))
}
function $is_sc_LinearSeqLike(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_LinearSeqLike)))
}
function $as_sc_LinearSeqLike(obj) {
  return (($is_sc_LinearSeqLike(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.LinearSeqLike"))
}
function $isArrayOf_sc_LinearSeqLike(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_LinearSeqLike)))
}
function $asArrayOf_sc_LinearSeqLike(obj, depth) {
  return (($isArrayOf_sc_LinearSeqLike(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.LinearSeqLike;", depth))
}
function $is_sc_LinearSeqOptimized(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_LinearSeqOptimized)))
}
function $as_sc_LinearSeqOptimized(obj) {
  return (($is_sc_LinearSeqOptimized(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.LinearSeqOptimized"))
}
function $isArrayOf_sc_LinearSeqOptimized(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_LinearSeqOptimized)))
}
function $asArrayOf_sc_LinearSeqOptimized(obj, depth) {
  return (($isArrayOf_sc_LinearSeqOptimized(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.LinearSeqOptimized;", depth))
}
/** @constructor */
function $c_sc_AbstractIterable() {
  $c_sc_AbstractTraversable.call(this)
}
$c_sc_AbstractIterable.prototype = new $h_sc_AbstractTraversable();
$c_sc_AbstractIterable.prototype.constructor = $c_sc_AbstractIterable;
/** @constructor */
function $h_sc_AbstractIterable() {
  /*<skip>*/
}
$h_sc_AbstractIterable.prototype = $c_sc_AbstractIterable.prototype;
$c_sc_AbstractIterable.prototype.head__O = (function() {
  return this.iterator__sc_Iterator().next__O()
});
$c_sc_AbstractIterable.prototype.sameElements__sc_GenIterable__Z = (function(that) {
  return $s_sc_IterableLike$class__sameElements__sc_IterableLike__sc_GenIterable__Z(this, that)
});
$c_sc_AbstractIterable.prototype.forall__F1__Z = (function(p) {
  var this$1 = this.iterator__sc_Iterator();
  return $s_sc_Iterator$class__forall__sc_Iterator__F1__Z(this$1, p)
});
$c_sc_AbstractIterable.prototype.foreach__F1__V = (function(f) {
  var this$1 = this.iterator__sc_Iterator();
  $s_sc_Iterator$class__foreach__sc_Iterator__F1__V(this$1, f)
});
$c_sc_AbstractIterable.prototype.toStream__sci_Stream = (function() {
  return this.iterator__sc_Iterator().toStream__sci_Stream()
});
$c_sc_AbstractIterable.prototype.copyToArray__O__I__I__V = (function(xs, start, len) {
  $s_sc_IterableLike$class__copyToArray__sc_IterableLike__O__I__I__V(this, xs, start, len)
});
function $is_sci_Iterable(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Iterable)))
}
function $as_sci_Iterable(obj) {
  return (($is_sci_Iterable(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.Iterable"))
}
function $isArrayOf_sci_Iterable(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Iterable)))
}
function $asArrayOf_sci_Iterable(obj, depth) {
  return (($isArrayOf_sci_Iterable(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.Iterable;", depth))
}
var $d_sci_Iterable = new $TypeData().initClass({
  sci_Iterable: 0
}, true, "scala.collection.immutable.Iterable", {
  sci_Iterable: 1,
  sci_Traversable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  s_Immutable: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1
});
/** @constructor */
function $c_sci_StringOps() {
  $c_O.call(this);
  this.repr$1 = null
}
$c_sci_StringOps.prototype = new $h_O();
$c_sci_StringOps.prototype.constructor = $c_sci_StringOps;
/** @constructor */
function $h_sci_StringOps() {
  /*<skip>*/
}
$h_sci_StringOps.prototype = $c_sci_StringOps.prototype;
$c_sci_StringOps.prototype.seq__sc_TraversableOnce = (function() {
  var $$this = this.repr$1;
  return new $c_sci_WrappedString().init___T($$this)
});
$c_sci_StringOps.prototype.head__O = (function() {
  return $s_sc_IndexedSeqOptimized$class__head__sc_IndexedSeqOptimized__O(this)
});
$c_sci_StringOps.prototype.apply__I__O = (function(idx) {
  var $$this = this.repr$1;
  var c = (65535 & $uI($$this.charCodeAt(idx)));
  return new $c_jl_Character().init___C(c)
});
$c_sci_StringOps.prototype.lengthCompare__I__I = (function(len) {
  return $s_sc_IndexedSeqOptimized$class__lengthCompare__sc_IndexedSeqOptimized__I__I(this, len)
});
$c_sci_StringOps.prototype.sameElements__sc_GenIterable__Z = (function(that) {
  return $s_sc_IndexedSeqOptimized$class__sameElements__sc_IndexedSeqOptimized__sc_GenIterable__Z(this, that)
});
$c_sci_StringOps.prototype.isEmpty__Z = (function() {
  return $s_sc_IndexedSeqOptimized$class__isEmpty__sc_IndexedSeqOptimized__Z(this)
});
$c_sci_StringOps.prototype.toList__sci_List = (function() {
  var this$1 = $m_sci_List$();
  var cbf = this$1.ReusableCBFInstance$2;
  return $as_sci_List($s_sc_TraversableLike$class__to__sc_TraversableLike__scg_CanBuildFrom__O(this, cbf))
});
$c_sci_StringOps.prototype.thisCollection__sc_Traversable = (function() {
  var $$this = this.repr$1;
  return new $c_sci_WrappedString().init___T($$this)
});
$c_sci_StringOps.prototype.equals__O__Z = (function(x$1) {
  return $m_sci_StringOps$().equals$extension__T__O__Z(this.repr$1, x$1)
});
$c_sci_StringOps.prototype.mkString__T__T__T__T = (function(start, sep, end) {
  return $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T(this, start, sep, end)
});
$c_sci_StringOps.prototype.mkString__T__T = (function(sep) {
  return $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T(this, "", sep, "")
});
$c_sci_StringOps.prototype.toString__T = (function() {
  var $$this = this.repr$1;
  return $$this
});
$c_sci_StringOps.prototype.foreach__F1__V = (function(f) {
  $s_sc_IndexedSeqOptimized$class__foreach__sc_IndexedSeqOptimized__F1__V(this, f)
});
$c_sci_StringOps.prototype.foldLeft__O__F2__O = (function(z, op) {
  var $$this = this.repr$1;
  return $s_sc_IndexedSeqOptimized$class__foldl__p0__sc_IndexedSeqOptimized__I__I__O__F2__O(this, 0, $uI($$this.length), z, op)
});
$c_sci_StringOps.prototype.reverse__O = (function() {
  return $s_sc_IndexedSeqOptimized$class__reverse__sc_IndexedSeqOptimized__O(this)
});
$c_sci_StringOps.prototype.size__I = (function() {
  var $$this = this.repr$1;
  return $uI($$this.length)
});
$c_sci_StringOps.prototype.iterator__sc_Iterator = (function() {
  var $$this = this.repr$1;
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $uI($$this.length))
});
$c_sci_StringOps.prototype.length__I = (function() {
  var $$this = this.repr$1;
  return $uI($$this.length)
});
$c_sci_StringOps.prototype.toStream__sci_Stream = (function() {
  var $$this = this.repr$1;
  var this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $uI($$this.length));
  return $s_sc_Iterator$class__toStream__sc_Iterator__sci_Stream(this$3)
});
$c_sci_StringOps.prototype.addString__scm_StringBuilder__T__T__T__scm_StringBuilder = (function(b, start, sep, end) {
  return $s_sc_TraversableOnce$class__addString__sc_TraversableOnce__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
});
$c_sci_StringOps.prototype.repr__O = (function() {
  return this.repr$1
});
$c_sci_StringOps.prototype.hashCode__I = (function() {
  var $$this = this.repr$1;
  return $m_sjsr_RuntimeString$().hashCode__T__I($$this)
});
$c_sci_StringOps.prototype.copyToArray__O__I__I__V = (function(xs, start, len) {
  $s_sc_IndexedSeqOptimized$class__copyToArray__sc_IndexedSeqOptimized__O__I__I__V(this, xs, start, len)
});
$c_sci_StringOps.prototype.init___T = (function(repr) {
  this.repr$1 = repr;
  return this
});
$c_sci_StringOps.prototype.toCollection__O__sc_Seq = (function(repr) {
  var repr$1 = $as_T(repr);
  return new $c_sci_WrappedString().init___T(repr$1)
});
$c_sci_StringOps.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_StringBuilder().init___()
});
$c_sci_StringOps.prototype.stringPrefix__T = (function() {
  return $s_sc_TraversableLike$class__stringPrefix__sc_TraversableLike__T(this)
});
function $is_sci_StringOps(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_StringOps)))
}
function $as_sci_StringOps(obj) {
  return (($is_sci_StringOps(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.StringOps"))
}
function $isArrayOf_sci_StringOps(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_StringOps)))
}
function $asArrayOf_sci_StringOps(obj, depth) {
  return (($isArrayOf_sci_StringOps(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.StringOps;", depth))
}
var $d_sci_StringOps = new $TypeData().initClass({
  sci_StringOps: 0
}, false, "scala.collection.immutable.StringOps", {
  sci_StringOps: 1,
  O: 1,
  sci_StringLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1
});
$c_sci_StringOps.prototype.$classData = $d_sci_StringOps;
function $is_sc_Seq(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_Seq)))
}
function $as_sc_Seq(obj) {
  return (($is_sc_Seq(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.Seq"))
}
function $isArrayOf_sc_Seq(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_Seq)))
}
function $asArrayOf_sc_Seq(obj, depth) {
  return (($isArrayOf_sc_Seq(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.Seq;", depth))
}
/** @constructor */
function $c_scm_ArrayOps$ofRef() {
  $c_O.call(this);
  this.repr$1 = null
}
$c_scm_ArrayOps$ofRef.prototype = new $h_O();
$c_scm_ArrayOps$ofRef.prototype.constructor = $c_scm_ArrayOps$ofRef;
/** @constructor */
function $h_scm_ArrayOps$ofRef() {
  /*<skip>*/
}
$h_scm_ArrayOps$ofRef.prototype = $c_scm_ArrayOps$ofRef.prototype;
$c_scm_ArrayOps$ofRef.prototype.seq__sc_TraversableOnce = (function() {
  var $$this = this.repr$1;
  return new $c_scm_WrappedArray$ofRef().init___AO($$this)
});
$c_scm_ArrayOps$ofRef.prototype.head__O = (function() {
  return $s_sc_IndexedSeqOptimized$class__head__sc_IndexedSeqOptimized__O(this)
});
$c_scm_ArrayOps$ofRef.prototype.apply__I__O = (function(index) {
  var $$this = this.repr$1;
  return $$this.get(index)
});
$c_scm_ArrayOps$ofRef.prototype.lengthCompare__I__I = (function(len) {
  return $s_sc_IndexedSeqOptimized$class__lengthCompare__sc_IndexedSeqOptimized__I__I(this, len)
});
$c_scm_ArrayOps$ofRef.prototype.sameElements__sc_GenIterable__Z = (function(that) {
  return $s_sc_IndexedSeqOptimized$class__sameElements__sc_IndexedSeqOptimized__sc_GenIterable__Z(this, that)
});
$c_scm_ArrayOps$ofRef.prototype.isEmpty__Z = (function() {
  return $s_sc_IndexedSeqOptimized$class__isEmpty__sc_IndexedSeqOptimized__Z(this)
});
$c_scm_ArrayOps$ofRef.prototype.toList__sci_List = (function() {
  var this$1 = $m_sci_List$();
  var cbf = this$1.ReusableCBFInstance$2;
  return $as_sci_List($s_sc_TraversableLike$class__to__sc_TraversableLike__scg_CanBuildFrom__O(this, cbf))
});
$c_scm_ArrayOps$ofRef.prototype.thisCollection__sc_Traversable = (function() {
  var $$this = this.repr$1;
  return new $c_scm_WrappedArray$ofRef().init___AO($$this)
});
$c_scm_ArrayOps$ofRef.prototype.equals__O__Z = (function(x$1) {
  return $m_scm_ArrayOps$ofRef$().equals$extension__AO__O__Z(this.repr$1, x$1)
});
$c_scm_ArrayOps$ofRef.prototype.mkString__T__T__T__T = (function(start, sep, end) {
  return $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T(this, start, sep, end)
});
$c_scm_ArrayOps$ofRef.prototype.mkString__T__T = (function(sep) {
  return $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T(this, "", sep, "")
});
$c_scm_ArrayOps$ofRef.prototype.toString__T = (function() {
  return $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this)
});
$c_scm_ArrayOps$ofRef.prototype.foreach__F1__V = (function(f) {
  $s_sc_IndexedSeqOptimized$class__foreach__sc_IndexedSeqOptimized__F1__V(this, f)
});
$c_scm_ArrayOps$ofRef.prototype.foldLeft__O__F2__O = (function(z, op) {
  var $$this = this.repr$1;
  return $s_sc_IndexedSeqOptimized$class__foldl__p0__sc_IndexedSeqOptimized__I__I__O__F2__O(this, 0, $$this.u.length, z, op)
});
$c_scm_ArrayOps$ofRef.prototype.reverse__O = (function() {
  return $s_sc_IndexedSeqOptimized$class__reverse__sc_IndexedSeqOptimized__O(this)
});
$c_scm_ArrayOps$ofRef.prototype.size__I = (function() {
  var $$this = this.repr$1;
  return $$this.u.length
});
$c_scm_ArrayOps$ofRef.prototype.init___AO = (function(repr) {
  this.repr$1 = repr;
  return this
});
$c_scm_ArrayOps$ofRef.prototype.iterator__sc_Iterator = (function() {
  var $$this = this.repr$1;
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
});
$c_scm_ArrayOps$ofRef.prototype.length__I = (function() {
  var $$this = this.repr$1;
  return $$this.u.length
});
$c_scm_ArrayOps$ofRef.prototype.toStream__sci_Stream = (function() {
  var $$this = this.repr$1;
  var this$2 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length);
  return $s_sc_Iterator$class__toStream__sc_Iterator__sci_Stream(this$2)
});
$c_scm_ArrayOps$ofRef.prototype.addString__scm_StringBuilder__T__T__T__scm_StringBuilder = (function(b, start, sep, end) {
  return $s_sc_TraversableOnce$class__addString__sc_TraversableOnce__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
});
$c_scm_ArrayOps$ofRef.prototype.repr__O = (function() {
  return this.repr$1
});
$c_scm_ArrayOps$ofRef.prototype.hashCode__I = (function() {
  var $$this = this.repr$1;
  return $$this.hashCode__I()
});
$c_scm_ArrayOps$ofRef.prototype.copyToArray__O__I__I__V = (function(xs, start, len) {
  $s_scm_ArrayOps$class__copyToArray__scm_ArrayOps__O__I__I__V(this, xs, start, len)
});
$c_scm_ArrayOps$ofRef.prototype.toCollection__O__sc_Seq = (function(repr) {
  var repr$1 = $asArrayOf_O(repr, 1);
  return new $c_scm_WrappedArray$ofRef().init___AO(repr$1)
});
$c_scm_ArrayOps$ofRef.prototype.newBuilder__scm_Builder = (function() {
  var $$this = this.repr$1;
  var jsx$1 = $m_s_reflect_ClassTag$();
  var schematic = $objectGetClass($$this);
  return new $c_scm_ArrayBuilder$ofRef().init___s_reflect_ClassTag(jsx$1.apply__jl_Class__s_reflect_ClassTag(schematic.getComponentType__jl_Class()))
});
$c_scm_ArrayOps$ofRef.prototype.stringPrefix__T = (function() {
  return $s_sc_TraversableLike$class__stringPrefix__sc_TraversableLike__T(this)
});
function $is_scm_ArrayOps$ofRef(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps$ofRef)))
}
function $as_scm_ArrayOps$ofRef(obj) {
  return (($is_scm_ArrayOps$ofRef(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.mutable.ArrayOps$ofRef"))
}
function $isArrayOf_scm_ArrayOps$ofRef(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps$ofRef)))
}
function $asArrayOf_scm_ArrayOps$ofRef(obj, depth) {
  return (($isArrayOf_scm_ArrayOps$ofRef(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.mutable.ArrayOps$ofRef;", depth))
}
var $d_scm_ArrayOps$ofRef = new $TypeData().initClass({
  scm_ArrayOps$ofRef: 0
}, false, "scala.collection.mutable.ArrayOps$ofRef", {
  scm_ArrayOps$ofRef: 1,
  O: 1,
  scm_ArrayOps: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1
});
$c_scm_ArrayOps$ofRef.prototype.$classData = $d_scm_ArrayOps$ofRef;
function $is_sc_Set(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_Set)))
}
function $as_sc_Set(obj) {
  return (($is_sc_Set(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.Set"))
}
function $isArrayOf_sc_Set(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_Set)))
}
function $asArrayOf_sc_Set(obj, depth) {
  return (($isArrayOf_sc_Set(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.Set;", depth))
}
/** @constructor */
function $c_scm_AbstractIterable() {
  $c_sc_AbstractIterable.call(this)
}
$c_scm_AbstractIterable.prototype = new $h_sc_AbstractIterable();
$c_scm_AbstractIterable.prototype.constructor = $c_scm_AbstractIterable;
/** @constructor */
function $h_scm_AbstractIterable() {
  /*<skip>*/
}
$h_scm_AbstractIterable.prototype = $c_scm_AbstractIterable.prototype;
function $is_sjs_js_ArrayOps(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sjs_js_ArrayOps)))
}
function $as_sjs_js_ArrayOps(obj) {
  return (($is_sjs_js_ArrayOps(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.scalajs.js.ArrayOps"))
}
function $isArrayOf_sjs_js_ArrayOps(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sjs_js_ArrayOps)))
}
function $asArrayOf_sjs_js_ArrayOps(obj, depth) {
  return (($isArrayOf_sjs_js_ArrayOps(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.scalajs.js.ArrayOps;", depth))
}
function $is_sc_IndexedSeq(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_IndexedSeq)))
}
function $as_sc_IndexedSeq(obj) {
  return (($is_sc_IndexedSeq(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.IndexedSeq"))
}
function $isArrayOf_sc_IndexedSeq(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_IndexedSeq)))
}
function $asArrayOf_sc_IndexedSeq(obj, depth) {
  return (($isArrayOf_sc_IndexedSeq(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.IndexedSeq;", depth))
}
function $is_sc_LinearSeq(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_LinearSeq)))
}
function $as_sc_LinearSeq(obj) {
  return (($is_sc_LinearSeq(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.LinearSeq"))
}
function $isArrayOf_sc_LinearSeq(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_LinearSeq)))
}
function $asArrayOf_sc_LinearSeq(obj, depth) {
  return (($isArrayOf_sc_LinearSeq(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.LinearSeq;", depth))
}
/** @constructor */
function $c_sc_AbstractSeq() {
  $c_sc_AbstractIterable.call(this)
}
$c_sc_AbstractSeq.prototype = new $h_sc_AbstractIterable();
$c_sc_AbstractSeq.prototype.constructor = $c_sc_AbstractSeq;
/** @constructor */
function $h_sc_AbstractSeq() {
  /*<skip>*/
}
$h_sc_AbstractSeq.prototype = $c_sc_AbstractSeq.prototype;
$c_sc_AbstractSeq.prototype.isEmpty__Z = (function() {
  return $s_sc_SeqLike$class__isEmpty__sc_SeqLike__Z(this)
});
$c_sc_AbstractSeq.prototype.equals__O__Z = (function(that) {
  return $s_sc_GenSeqLike$class__equals__sc_GenSeqLike__O__Z(this, that)
});
$c_sc_AbstractSeq.prototype.toString__T = (function() {
  return $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this)
});
$c_sc_AbstractSeq.prototype.reverse__O = (function() {
  return $s_sc_SeqLike$class__reverse__sc_SeqLike__O(this)
});
$c_sc_AbstractSeq.prototype.size__I = (function() {
  return this.length__I()
});
$c_sc_AbstractSeq.prototype.hashCode__I = (function() {
  return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this.seq__sc_Seq())
});
$c_sc_AbstractSeq.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return $s_s_PartialFunction$class__applyOrElse__s_PartialFunction__O__F1__O(this, x, $default)
});
$c_sc_AbstractSeq.prototype.toCollection__O__sc_Seq = (function(repr) {
  return $as_sc_Seq(repr)
});
/** @constructor */
function $c_sc_AbstractMap() {
  $c_sc_AbstractIterable.call(this)
}
$c_sc_AbstractMap.prototype = new $h_sc_AbstractIterable();
$c_sc_AbstractMap.prototype.constructor = $c_sc_AbstractMap;
/** @constructor */
function $h_sc_AbstractMap() {
  /*<skip>*/
}
$h_sc_AbstractMap.prototype = $c_sc_AbstractMap.prototype;
$c_sc_AbstractMap.prototype.apply__O__O = (function(key) {
  return $s_sc_MapLike$class__apply__sc_MapLike__O__O(this, key)
});
$c_sc_AbstractMap.prototype.isEmpty__Z = (function() {
  return $s_sc_MapLike$class__isEmpty__sc_MapLike__Z(this)
});
$c_sc_AbstractMap.prototype.equals__O__Z = (function(that) {
  return $s_sc_GenMapLike$class__equals__sc_GenMapLike__O__Z(this, that)
});
$c_sc_AbstractMap.prototype.toString__T = (function() {
  return $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this)
});
$c_sc_AbstractMap.prototype.contains__O__Z = (function(key) {
  return $s_sc_MapLike$class__contains__sc_MapLike__O__Z(this, key)
});
$c_sc_AbstractMap.prototype.addString__scm_StringBuilder__T__T__T__scm_StringBuilder = (function(b, start, sep, end) {
  return $s_sc_MapLike$class__addString__sc_MapLike__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
});
$c_sc_AbstractMap.prototype.isDefinedAt__O__Z = (function(key) {
  return this.contains__O__Z(key)
});
$c_sc_AbstractMap.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return $s_s_PartialFunction$class__applyOrElse__s_PartialFunction__O__F1__O(this, x, $default)
});
$c_sc_AbstractMap.prototype.hashCode__I = (function() {
  var this$1 = $m_s_util_hashing_MurmurHash3$();
  var xs = this.seq__sc_Map();
  return this$1.unorderedHash__sc_TraversableOnce__I__I(xs, this$1.mapSeed$2)
});
$c_sc_AbstractMap.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_MapBuilder().init___sc_GenMap(this.empty__sc_Map())
});
$c_sc_AbstractMap.prototype.stringPrefix__T = (function() {
  return "Map"
});
/** @constructor */
function $c_sc_AbstractSet() {
  $c_sc_AbstractIterable.call(this)
}
$c_sc_AbstractSet.prototype = new $h_sc_AbstractIterable();
$c_sc_AbstractSet.prototype.constructor = $c_sc_AbstractSet;
/** @constructor */
function $h_sc_AbstractSet() {
  /*<skip>*/
}
$h_sc_AbstractSet.prototype = $c_sc_AbstractSet.prototype;
$c_sc_AbstractSet.prototype.equals__O__Z = (function(that) {
  return $s_sc_GenSetLike$class__equals__sc_GenSetLike__O__Z(this, that)
});
$c_sc_AbstractSet.prototype.isEmpty__Z = (function() {
  return $s_sc_SetLike$class__isEmpty__sc_SetLike__Z(this)
});
$c_sc_AbstractSet.prototype.toString__T = (function() {
  return $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this)
});
$c_sc_AbstractSet.prototype.subsetOf__sc_GenSet__Z = (function(that) {
  return this.forall__F1__Z(that)
});
$c_sc_AbstractSet.prototype.hashCode__I = (function() {
  var this$1 = $m_s_util_hashing_MurmurHash3$();
  return this$1.unorderedHash__sc_TraversableOnce__I__I(this, this$1.setSeed$2)
});
$c_sc_AbstractSet.prototype.stringPrefix__T = (function() {
  return "Set"
});
$c_sc_AbstractSet.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_SetBuilder().init___sc_Set(this.empty__sc_Set())
});
function $is_sci_Map(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Map)))
}
function $as_sci_Map(obj) {
  return (($is_sci_Map(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.Map"))
}
function $isArrayOf_sci_Map(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Map)))
}
function $asArrayOf_sci_Map(obj, depth) {
  return (($isArrayOf_sci_Map(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.Map;", depth))
}
/** @constructor */
function $c_sci_AbstractMap() {
  $c_sc_AbstractMap.call(this)
}
$c_sci_AbstractMap.prototype = new $h_sc_AbstractMap();
$c_sci_AbstractMap.prototype.constructor = $c_sci_AbstractMap;
/** @constructor */
function $h_sci_AbstractMap() {
  /*<skip>*/
}
$h_sci_AbstractMap.prototype = $c_sci_AbstractMap.prototype;
$c_sci_AbstractMap.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_AbstractMap.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_AbstractMap.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_Iterable$()
});
$c_sci_AbstractMap.prototype.empty__sc_Map = (function() {
  return this.empty__sci_Map()
});
$c_sci_AbstractMap.prototype.empty__sci_Map = (function() {
  return $m_sci_Map$EmptyMap$()
});
$c_sci_AbstractMap.prototype.seq__sc_Map = (function() {
  return this
});
/** @constructor */
function $c_sci_ListSet() {
  $c_sc_AbstractSet.call(this)
}
$c_sci_ListSet.prototype = new $h_sc_AbstractSet();
$c_sci_ListSet.prototype.constructor = $c_sci_ListSet;
/** @constructor */
function $h_sci_ListSet() {
  /*<skip>*/
}
$h_sci_ListSet.prototype = $c_sci_ListSet.prototype;
$c_sci_ListSet.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_ListSet.prototype.head__O = (function() {
  throw new $c_ju_NoSuchElementException().init___T("Set has no elements")
});
$c_sci_ListSet.prototype.apply__O__O = (function(v1) {
  return this.contains__O__Z(v1)
});
$c_sci_ListSet.prototype.isEmpty__Z = (function() {
  return true
});
$c_sci_ListSet.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_ListSet.prototype.scala$collection$immutable$ListSet$$unchecked$undouter__sci_ListSet = (function() {
  throw new $c_ju_NoSuchElementException().init___T("Empty ListSet has no outer pointer")
});
$c_sci_ListSet.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_ListSet$()
});
$c_sci_ListSet.prototype.$$plus__O__sci_ListSet = (function(elem) {
  return new $c_sci_ListSet$Node().init___sci_ListSet__O(this, elem)
});
$c_sci_ListSet.prototype.size__I = (function() {
  return 0
});
$c_sci_ListSet.prototype.iterator__sc_Iterator = (function() {
  return new $c_sci_ListSet$$anon$1().init___sci_ListSet(this)
});
$c_sci_ListSet.prototype.empty__sc_Set = (function() {
  return $m_sci_ListSet$EmptyListSet$()
});
$c_sci_ListSet.prototype.contains__O__Z = (function(elem) {
  return false
});
$c_sci_ListSet.prototype.$$plus__O__sc_Set = (function(elem) {
  return this.$$plus__O__sci_ListSet(elem)
});
$c_sci_ListSet.prototype.tail__sci_ListSet = (function() {
  throw new $c_ju_NoSuchElementException().init___T("Next of an empty set")
});
$c_sci_ListSet.prototype.stringPrefix__T = (function() {
  return "ListSet"
});
function $is_sci_ListSet(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_ListSet)))
}
function $as_sci_ListSet(obj) {
  return (($is_sci_ListSet(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.ListSet"))
}
function $isArrayOf_sci_ListSet(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_ListSet)))
}
function $asArrayOf_sci_ListSet(obj, depth) {
  return (($isArrayOf_sci_ListSet(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.ListSet;", depth))
}
/** @constructor */
function $c_sci_Set$EmptySet$() {
  $c_sc_AbstractSet.call(this)
}
$c_sci_Set$EmptySet$.prototype = new $h_sc_AbstractSet();
$c_sci_Set$EmptySet$.prototype.constructor = $c_sci_Set$EmptySet$;
/** @constructor */
function $h_sci_Set$EmptySet$() {
  /*<skip>*/
}
$h_sci_Set$EmptySet$.prototype = $c_sci_Set$EmptySet$.prototype;
$c_sci_Set$EmptySet$.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_Set$EmptySet$.prototype.init___ = (function() {
  return this
});
$c_sci_Set$EmptySet$.prototype.apply__O__O = (function(v1) {
  return false
});
$c_sci_Set$EmptySet$.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_Set$EmptySet$.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_Set$()
});
$c_sci_Set$EmptySet$.prototype.foreach__F1__V = (function(f) {
  /*<skip>*/
});
$c_sci_Set$EmptySet$.prototype.size__I = (function() {
  return 0
});
$c_sci_Set$EmptySet$.prototype.iterator__sc_Iterator = (function() {
  return $m_sc_Iterator$().empty$1
});
$c_sci_Set$EmptySet$.prototype.empty__sc_Set = (function() {
  return $m_sci_Set$EmptySet$()
});
$c_sci_Set$EmptySet$.prototype.$$plus__O__sc_Set = (function(elem) {
  return new $c_sci_Set$Set1().init___O(elem)
});
var $d_sci_Set$EmptySet$ = new $TypeData().initClass({
  sci_Set$EmptySet$: 0
}, false, "scala.collection.immutable.Set$EmptySet$", {
  sci_Set$EmptySet$: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Set$EmptySet$.prototype.$classData = $d_sci_Set$EmptySet$;
var $n_sci_Set$EmptySet$ = (void 0);
function $m_sci_Set$EmptySet$() {
  if ((!$n_sci_Set$EmptySet$)) {
    $n_sci_Set$EmptySet$ = new $c_sci_Set$EmptySet$().init___()
  };
  return $n_sci_Set$EmptySet$
}
/** @constructor */
function $c_sci_Set$Set1() {
  $c_sc_AbstractSet.call(this);
  this.elem1$4 = null
}
$c_sci_Set$Set1.prototype = new $h_sc_AbstractSet();
$c_sci_Set$Set1.prototype.constructor = $c_sci_Set$Set1;
/** @constructor */
function $h_sci_Set$Set1() {
  /*<skip>*/
}
$h_sci_Set$Set1.prototype = $c_sci_Set$Set1.prototype;
$c_sci_Set$Set1.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_Set$Set1.prototype.apply__O__O = (function(v1) {
  return this.contains__O__Z(v1)
});
$c_sci_Set$Set1.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_Set$Set1.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_Set$()
});
$c_sci_Set$Set1.prototype.forall__F1__Z = (function(p) {
  return $uZ(p.apply__O__O(this.elem1$4))
});
$c_sci_Set$Set1.prototype.foreach__F1__V = (function(f) {
  f.apply__O__O(this.elem1$4)
});
$c_sci_Set$Set1.prototype.size__I = (function() {
  return 1
});
$c_sci_Set$Set1.prototype.init___O = (function(elem1) {
  this.elem1$4 = elem1;
  return this
});
$c_sci_Set$Set1.prototype.iterator__sc_Iterator = (function() {
  $m_sc_Iterator$();
  var elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.elem1$4]);
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, $uI(elems.array$6.length))
});
$c_sci_Set$Set1.prototype.empty__sc_Set = (function() {
  return $m_sci_Set$EmptySet$()
});
$c_sci_Set$Set1.prototype.$$plus__O__sci_Set = (function(elem) {
  return (this.contains__O__Z(elem) ? this : new $c_sci_Set$Set2().init___O__O(this.elem1$4, elem))
});
$c_sci_Set$Set1.prototype.contains__O__Z = (function(elem) {
  return $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4)
});
$c_sci_Set$Set1.prototype.$$plus__O__sc_Set = (function(elem) {
  return this.$$plus__O__sci_Set(elem)
});
var $d_sci_Set$Set1 = new $TypeData().initClass({
  sci_Set$Set1: 0
}, false, "scala.collection.immutable.Set$Set1", {
  sci_Set$Set1: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Set$Set1.prototype.$classData = $d_sci_Set$Set1;
/** @constructor */
function $c_sci_Set$Set2() {
  $c_sc_AbstractSet.call(this);
  this.elem1$4 = null;
  this.elem2$4 = null
}
$c_sci_Set$Set2.prototype = new $h_sc_AbstractSet();
$c_sci_Set$Set2.prototype.constructor = $c_sci_Set$Set2;
/** @constructor */
function $h_sci_Set$Set2() {
  /*<skip>*/
}
$h_sci_Set$Set2.prototype = $c_sci_Set$Set2.prototype;
$c_sci_Set$Set2.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_Set$Set2.prototype.apply__O__O = (function(v1) {
  return this.contains__O__Z(v1)
});
$c_sci_Set$Set2.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_Set$Set2.prototype.init___O__O = (function(elem1, elem2) {
  this.elem1$4 = elem1;
  this.elem2$4 = elem2;
  return this
});
$c_sci_Set$Set2.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_Set$()
});
$c_sci_Set$Set2.prototype.forall__F1__Z = (function(p) {
  return ($uZ(p.apply__O__O(this.elem1$4)) && $uZ(p.apply__O__O(this.elem2$4)))
});
$c_sci_Set$Set2.prototype.foreach__F1__V = (function(f) {
  f.apply__O__O(this.elem1$4);
  f.apply__O__O(this.elem2$4)
});
$c_sci_Set$Set2.prototype.size__I = (function() {
  return 2
});
$c_sci_Set$Set2.prototype.iterator__sc_Iterator = (function() {
  $m_sc_Iterator$();
  var elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.elem1$4, this.elem2$4]);
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, $uI(elems.array$6.length))
});
$c_sci_Set$Set2.prototype.empty__sc_Set = (function() {
  return $m_sci_Set$EmptySet$()
});
$c_sci_Set$Set2.prototype.$$plus__O__sci_Set = (function(elem) {
  return (this.contains__O__Z(elem) ? this : new $c_sci_Set$Set3().init___O__O__O(this.elem1$4, this.elem2$4, elem))
});
$c_sci_Set$Set2.prototype.contains__O__Z = (function(elem) {
  return ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem2$4))
});
$c_sci_Set$Set2.prototype.$$plus__O__sc_Set = (function(elem) {
  return this.$$plus__O__sci_Set(elem)
});
var $d_sci_Set$Set2 = new $TypeData().initClass({
  sci_Set$Set2: 0
}, false, "scala.collection.immutable.Set$Set2", {
  sci_Set$Set2: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Set$Set2.prototype.$classData = $d_sci_Set$Set2;
/** @constructor */
function $c_sci_Set$Set3() {
  $c_sc_AbstractSet.call(this);
  this.elem1$4 = null;
  this.elem2$4 = null;
  this.elem3$4 = null
}
$c_sci_Set$Set3.prototype = new $h_sc_AbstractSet();
$c_sci_Set$Set3.prototype.constructor = $c_sci_Set$Set3;
/** @constructor */
function $h_sci_Set$Set3() {
  /*<skip>*/
}
$h_sci_Set$Set3.prototype = $c_sci_Set$Set3.prototype;
$c_sci_Set$Set3.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_Set$Set3.prototype.apply__O__O = (function(v1) {
  return this.contains__O__Z(v1)
});
$c_sci_Set$Set3.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_Set$Set3.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_Set$()
});
$c_sci_Set$Set3.prototype.forall__F1__Z = (function(p) {
  return (($uZ(p.apply__O__O(this.elem1$4)) && $uZ(p.apply__O__O(this.elem2$4))) && $uZ(p.apply__O__O(this.elem3$4)))
});
$c_sci_Set$Set3.prototype.foreach__F1__V = (function(f) {
  f.apply__O__O(this.elem1$4);
  f.apply__O__O(this.elem2$4);
  f.apply__O__O(this.elem3$4)
});
$c_sci_Set$Set3.prototype.init___O__O__O = (function(elem1, elem2, elem3) {
  this.elem1$4 = elem1;
  this.elem2$4 = elem2;
  this.elem3$4 = elem3;
  return this
});
$c_sci_Set$Set3.prototype.size__I = (function() {
  return 3
});
$c_sci_Set$Set3.prototype.iterator__sc_Iterator = (function() {
  $m_sc_Iterator$();
  var elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.elem1$4, this.elem2$4, this.elem3$4]);
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, $uI(elems.array$6.length))
});
$c_sci_Set$Set3.prototype.empty__sc_Set = (function() {
  return $m_sci_Set$EmptySet$()
});
$c_sci_Set$Set3.prototype.$$plus__O__sci_Set = (function(elem) {
  return (this.contains__O__Z(elem) ? this : new $c_sci_Set$Set4().init___O__O__O__O(this.elem1$4, this.elem2$4, this.elem3$4, elem))
});
$c_sci_Set$Set3.prototype.contains__O__Z = (function(elem) {
  return (($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem2$4)) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem3$4))
});
$c_sci_Set$Set3.prototype.$$plus__O__sc_Set = (function(elem) {
  return this.$$plus__O__sci_Set(elem)
});
var $d_sci_Set$Set3 = new $TypeData().initClass({
  sci_Set$Set3: 0
}, false, "scala.collection.immutable.Set$Set3", {
  sci_Set$Set3: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Set$Set3.prototype.$classData = $d_sci_Set$Set3;
/** @constructor */
function $c_sci_Set$Set4() {
  $c_sc_AbstractSet.call(this);
  this.elem1$4 = null;
  this.elem2$4 = null;
  this.elem3$4 = null;
  this.elem4$4 = null
}
$c_sci_Set$Set4.prototype = new $h_sc_AbstractSet();
$c_sci_Set$Set4.prototype.constructor = $c_sci_Set$Set4;
/** @constructor */
function $h_sci_Set$Set4() {
  /*<skip>*/
}
$h_sci_Set$Set4.prototype = $c_sci_Set$Set4.prototype;
$c_sci_Set$Set4.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_Set$Set4.prototype.apply__O__O = (function(v1) {
  return this.contains__O__Z(v1)
});
$c_sci_Set$Set4.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_Set$Set4.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_Set$()
});
$c_sci_Set$Set4.prototype.forall__F1__Z = (function(p) {
  return ((($uZ(p.apply__O__O(this.elem1$4)) && $uZ(p.apply__O__O(this.elem2$4))) && $uZ(p.apply__O__O(this.elem3$4))) && $uZ(p.apply__O__O(this.elem4$4)))
});
$c_sci_Set$Set4.prototype.foreach__F1__V = (function(f) {
  f.apply__O__O(this.elem1$4);
  f.apply__O__O(this.elem2$4);
  f.apply__O__O(this.elem3$4);
  f.apply__O__O(this.elem4$4)
});
$c_sci_Set$Set4.prototype.size__I = (function() {
  return 4
});
$c_sci_Set$Set4.prototype.iterator__sc_Iterator = (function() {
  $m_sc_Iterator$();
  var elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.elem1$4, this.elem2$4, this.elem3$4, this.elem4$4]);
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, $uI(elems.array$6.length))
});
$c_sci_Set$Set4.prototype.empty__sc_Set = (function() {
  return $m_sci_Set$EmptySet$()
});
$c_sci_Set$Set4.prototype.$$plus__O__sci_Set = (function(elem) {
  if (this.contains__O__Z(elem)) {
    return this
  } else {
    var this$1 = new $c_sci_HashSet().init___();
    var elem1 = this.elem1$4;
    var elem2 = this.elem2$4;
    var array = [this.elem3$4, this.elem4$4, elem];
    var this$2 = this$1.$$plus__O__sci_HashSet(elem1).$$plus__O__sci_HashSet(elem2);
    var start = 0;
    var end = $uI(array.length);
    var z = this$2;
    var jsx$1;
    _foldl: while (true) {
      if ((start !== end)) {
        var temp$start = ((1 + start) | 0);
        var arg1 = z;
        var index = start;
        var arg2 = array[index];
        var x$2 = $as_sc_Set(arg1);
        var temp$z = x$2.$$plus__O__sc_Set(arg2);
        start = temp$start;
        z = temp$z;
        continue _foldl
      };
      var jsx$1 = z;
      break
    };
    return $as_sci_HashSet($as_sc_Set(jsx$1))
  }
});
$c_sci_Set$Set4.prototype.contains__O__Z = (function(elem) {
  return ((($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem2$4)) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem3$4)) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem4$4))
});
$c_sci_Set$Set4.prototype.init___O__O__O__O = (function(elem1, elem2, elem3, elem4) {
  this.elem1$4 = elem1;
  this.elem2$4 = elem2;
  this.elem3$4 = elem3;
  this.elem4$4 = elem4;
  return this
});
$c_sci_Set$Set4.prototype.$$plus__O__sc_Set = (function(elem) {
  return this.$$plus__O__sci_Set(elem)
});
var $d_sci_Set$Set4 = new $TypeData().initClass({
  sci_Set$Set4: 0
}, false, "scala.collection.immutable.Set$Set4", {
  sci_Set$Set4: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Set$Set4.prototype.$classData = $d_sci_Set$Set4;
function $is_scm_IndexedSeq(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_IndexedSeq)))
}
function $as_scm_IndexedSeq(obj) {
  return (($is_scm_IndexedSeq(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.mutable.IndexedSeq"))
}
function $isArrayOf_scm_IndexedSeq(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_IndexedSeq)))
}
function $asArrayOf_scm_IndexedSeq(obj, depth) {
  return (($isArrayOf_scm_IndexedSeq(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.mutable.IndexedSeq;", depth))
}
/** @constructor */
function $c_sci_HashSet() {
  $c_sc_AbstractSet.call(this)
}
$c_sci_HashSet.prototype = new $h_sc_AbstractSet();
$c_sci_HashSet.prototype.constructor = $c_sci_HashSet;
/** @constructor */
function $h_sci_HashSet() {
  /*<skip>*/
}
$h_sci_HashSet.prototype = $c_sci_HashSet.prototype;
$c_sci_HashSet.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_HashSet.prototype.updated0__O__I__I__sci_HashSet = (function(key, hash, level) {
  return new $c_sci_HashSet$HashSet1().init___O__I(key, hash)
});
$c_sci_HashSet.prototype.computeHash__O__I = (function(key) {
  return this.improve__I__I($m_sr_ScalaRunTime$().hash__O__I(key))
});
$c_sci_HashSet.prototype.init___ = (function() {
  return this
});
$c_sci_HashSet.prototype.apply__O__O = (function(v1) {
  return this.contains__O__Z(v1)
});
$c_sci_HashSet.prototype.$$plus__O__sci_HashSet = (function(e) {
  return this.updated0__O__I__I__sci_HashSet(e, this.computeHash__O__I(e), 0)
});
$c_sci_HashSet.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_HashSet.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_HashSet$()
});
$c_sci_HashSet.prototype.foreach__F1__V = (function(f) {
  /*<skip>*/
});
$c_sci_HashSet.prototype.subsetOf__sc_GenSet__Z = (function(that) {
  if ($is_sci_HashSet(that)) {
    var x2 = $as_sci_HashSet(that);
    return this.subsetOf0__sci_HashSet__I__Z(x2, 0)
  } else {
    var this$1 = this.iterator__sc_Iterator();
    return $s_sc_Iterator$class__forall__sc_Iterator__F1__Z(this$1, that)
  }
});
$c_sci_HashSet.prototype.size__I = (function() {
  return 0
});
$c_sci_HashSet.prototype.iterator__sc_Iterator = (function() {
  return $m_sc_Iterator$().empty$1
});
$c_sci_HashSet.prototype.empty__sc_Set = (function() {
  return $m_sci_HashSet$EmptyHashSet$()
});
$c_sci_HashSet.prototype.improve__I__I = (function(hcode) {
  var h = ((hcode + (~(hcode << 9))) | 0);
  h = (h ^ ((h >>> 14) | 0));
  h = ((h + (h << 4)) | 0);
  return (h ^ ((h >>> 10) | 0))
});
$c_sci_HashSet.prototype.contains__O__Z = (function(e) {
  return this.get0__O__I__I__Z(e, this.computeHash__O__I(e), 0)
});
$c_sci_HashSet.prototype.$$plus__O__sc_Set = (function(elem) {
  return this.$$plus__O__sci_HashSet(elem)
});
$c_sci_HashSet.prototype.get0__O__I__I__Z = (function(key, hash, level) {
  return false
});
$c_sci_HashSet.prototype.subsetOf0__sci_HashSet__I__Z = (function(that, level) {
  return true
});
function $is_sci_HashSet(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashSet)))
}
function $as_sci_HashSet(obj) {
  return (($is_sci_HashSet(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.HashSet"))
}
function $isArrayOf_sci_HashSet(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashSet)))
}
function $asArrayOf_sci_HashSet(obj, depth) {
  return (($isArrayOf_sci_HashSet(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.HashSet;", depth))
}
var $d_sci_HashSet = new $TypeData().initClass({
  sci_HashSet: 0
}, false, "scala.collection.immutable.HashSet", {
  sci_HashSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet.prototype.$classData = $d_sci_HashSet;
/** @constructor */
function $c_sci_ListSet$EmptyListSet$() {
  $c_sci_ListSet.call(this)
}
$c_sci_ListSet$EmptyListSet$.prototype = new $h_sci_ListSet();
$c_sci_ListSet$EmptyListSet$.prototype.constructor = $c_sci_ListSet$EmptyListSet$;
/** @constructor */
function $h_sci_ListSet$EmptyListSet$() {
  /*<skip>*/
}
$h_sci_ListSet$EmptyListSet$.prototype = $c_sci_ListSet$EmptyListSet$.prototype;
$c_sci_ListSet$EmptyListSet$.prototype.init___ = (function() {
  return this
});
var $d_sci_ListSet$EmptyListSet$ = new $TypeData().initClass({
  sci_ListSet$EmptyListSet$: 0
}, false, "scala.collection.immutable.ListSet$EmptyListSet$", {
  sci_ListSet$EmptyListSet$: 1,
  sci_ListSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListSet$EmptyListSet$.prototype.$classData = $d_sci_ListSet$EmptyListSet$;
var $n_sci_ListSet$EmptyListSet$ = (void 0);
function $m_sci_ListSet$EmptyListSet$() {
  if ((!$n_sci_ListSet$EmptyListSet$)) {
    $n_sci_ListSet$EmptyListSet$ = new $c_sci_ListSet$EmptyListSet$().init___()
  };
  return $n_sci_ListSet$EmptyListSet$
}
/** @constructor */
function $c_sci_ListSet$Node() {
  $c_sci_ListSet.call(this);
  this.head$5 = null;
  this.$$outer$f = null
}
$c_sci_ListSet$Node.prototype = new $h_sci_ListSet();
$c_sci_ListSet$Node.prototype.constructor = $c_sci_ListSet$Node;
/** @constructor */
function $h_sci_ListSet$Node() {
  /*<skip>*/
}
$h_sci_ListSet$Node.prototype = $c_sci_ListSet$Node.prototype;
$c_sci_ListSet$Node.prototype.head__O = (function() {
  return this.head$5
});
$c_sci_ListSet$Node.prototype.isEmpty__Z = (function() {
  return false
});
$c_sci_ListSet$Node.prototype.scala$collection$immutable$ListSet$$unchecked$undouter__sci_ListSet = (function() {
  return this.$$outer$f
});
$c_sci_ListSet$Node.prototype.$$plus__O__sci_ListSet = (function(e) {
  return (this.containsInternal__p5__sci_ListSet__O__Z(this, e) ? this : new $c_sci_ListSet$Node().init___sci_ListSet__O(this, e))
});
$c_sci_ListSet$Node.prototype.sizeInternal__p5__sci_ListSet__I__I = (function(n, acc) {
  _sizeInternal: while (true) {
    if (n.isEmpty__Z()) {
      return acc
    } else {
      var temp$n = n.scala$collection$immutable$ListSet$$unchecked$undouter__sci_ListSet();
      var temp$acc = ((1 + acc) | 0);
      n = temp$n;
      acc = temp$acc;
      continue _sizeInternal
    }
  }
});
$c_sci_ListSet$Node.prototype.size__I = (function() {
  return this.sizeInternal__p5__sci_ListSet__I__I(this, 0)
});
$c_sci_ListSet$Node.prototype.init___sci_ListSet__O = (function($$outer, head) {
  this.head$5 = head;
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$f = $$outer
  };
  return this
});
$c_sci_ListSet$Node.prototype.contains__O__Z = (function(e) {
  return this.containsInternal__p5__sci_ListSet__O__Z(this, e)
});
$c_sci_ListSet$Node.prototype.containsInternal__p5__sci_ListSet__O__Z = (function(n, e) {
  _containsInternal: while (true) {
    if ((!n.isEmpty__Z())) {
      if ($m_sr_BoxesRunTime$().equals__O__O__Z(n.head__O(), e)) {
        return true
      } else {
        n = n.scala$collection$immutable$ListSet$$unchecked$undouter__sci_ListSet();
        continue _containsInternal
      }
    } else {
      return false
    }
  }
});
$c_sci_ListSet$Node.prototype.$$plus__O__sc_Set = (function(elem) {
  return this.$$plus__O__sci_ListSet(elem)
});
$c_sci_ListSet$Node.prototype.tail__sci_ListSet = (function() {
  return this.$$outer$f
});
var $d_sci_ListSet$Node = new $TypeData().initClass({
  sci_ListSet$Node: 0
}, false, "scala.collection.immutable.ListSet$Node", {
  sci_ListSet$Node: 1,
  sci_ListSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListSet$Node.prototype.$classData = $d_sci_ListSet$Node;
/** @constructor */
function $c_scm_AbstractSeq() {
  $c_sc_AbstractSeq.call(this)
}
$c_scm_AbstractSeq.prototype = new $h_sc_AbstractSeq();
$c_scm_AbstractSeq.prototype.constructor = $c_scm_AbstractSeq;
/** @constructor */
function $h_scm_AbstractSeq() {
  /*<skip>*/
}
$h_scm_AbstractSeq.prototype = $c_scm_AbstractSeq.prototype;
$c_scm_AbstractSeq.prototype.seq__sc_TraversableOnce = (function() {
  return this.seq__scm_Seq()
});
$c_scm_AbstractSeq.prototype.seq__scm_Seq = (function() {
  return this
});
/** @constructor */
function $c_sci_HashSet$EmptyHashSet$() {
  $c_sci_HashSet.call(this)
}
$c_sci_HashSet$EmptyHashSet$.prototype = new $h_sci_HashSet();
$c_sci_HashSet$EmptyHashSet$.prototype.constructor = $c_sci_HashSet$EmptyHashSet$;
/** @constructor */
function $h_sci_HashSet$EmptyHashSet$() {
  /*<skip>*/
}
$h_sci_HashSet$EmptyHashSet$.prototype = $c_sci_HashSet$EmptyHashSet$.prototype;
$c_sci_HashSet$EmptyHashSet$.prototype.init___ = (function() {
  return this
});
var $d_sci_HashSet$EmptyHashSet$ = new $TypeData().initClass({
  sci_HashSet$EmptyHashSet$: 0
}, false, "scala.collection.immutable.HashSet$EmptyHashSet$", {
  sci_HashSet$EmptyHashSet$: 1,
  sci_HashSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet$EmptyHashSet$.prototype.$classData = $d_sci_HashSet$EmptyHashSet$;
var $n_sci_HashSet$EmptyHashSet$ = (void 0);
function $m_sci_HashSet$EmptyHashSet$() {
  if ((!$n_sci_HashSet$EmptyHashSet$)) {
    $n_sci_HashSet$EmptyHashSet$ = new $c_sci_HashSet$EmptyHashSet$().init___()
  };
  return $n_sci_HashSet$EmptyHashSet$
}
/** @constructor */
function $c_sci_HashSet$HashTrieSet() {
  $c_sci_HashSet.call(this);
  this.bitmap$5 = 0;
  this.elems$5 = null;
  this.size0$5 = 0
}
$c_sci_HashSet$HashTrieSet.prototype = new $h_sci_HashSet();
$c_sci_HashSet$HashTrieSet.prototype.constructor = $c_sci_HashSet$HashTrieSet;
/** @constructor */
function $h_sci_HashSet$HashTrieSet() {
  /*<skip>*/
}
$h_sci_HashSet$HashTrieSet.prototype = $c_sci_HashSet$HashTrieSet.prototype;
$c_sci_HashSet$HashTrieSet.prototype.updated0__O__I__I__sci_HashSet = (function(key, hash, level) {
  var index = (31 & ((hash >>> level) | 0));
  var mask = (1 << index);
  var offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$5 & (((-1) + mask) | 0)));
  if (((this.bitmap$5 & mask) !== 0)) {
    var sub = this.elems$5.get(offset);
    var subNew = sub.updated0__O__I__I__sci_HashSet(key, hash, ((5 + level) | 0));
    if ((sub === subNew)) {
      return this
    } else {
      var elemsNew = $newArrayObject($d_sci_HashSet.getArrayOf(), [this.elems$5.u.length]);
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$5, 0, elemsNew, 0, this.elems$5.u.length);
      elemsNew.set(offset, subNew);
      return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(this.bitmap$5, elemsNew, ((this.size0$5 + ((subNew.size__I() - sub.size__I()) | 0)) | 0))
    }
  } else {
    var elemsNew$2 = $newArrayObject($d_sci_HashSet.getArrayOf(), [((1 + this.elems$5.u.length) | 0)]);
    $m_s_Array$().copy__O__I__O__I__I__V(this.elems$5, 0, elemsNew$2, 0, offset);
    elemsNew$2.set(offset, new $c_sci_HashSet$HashSet1().init___O__I(key, hash));
    $m_s_Array$().copy__O__I__O__I__I__V(this.elems$5, offset, elemsNew$2, ((1 + offset) | 0), ((this.elems$5.u.length - offset) | 0));
    var bitmapNew = (this.bitmap$5 | mask);
    return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(bitmapNew, elemsNew$2, ((1 + this.size0$5) | 0))
  }
});
$c_sci_HashSet$HashTrieSet.prototype.foreach__F1__V = (function(f) {
  var i = 0;
  while ((i < this.elems$5.u.length)) {
    this.elems$5.get(i).foreach__F1__V(f);
    i = ((1 + i) | 0)
  }
});
$c_sci_HashSet$HashTrieSet.prototype.iterator__sc_Iterator = (function() {
  return new $c_sci_HashSet$HashTrieSet$$anon$1().init___sci_HashSet$HashTrieSet(this)
});
$c_sci_HashSet$HashTrieSet.prototype.size__I = (function() {
  return this.size0$5
});
$c_sci_HashSet$HashTrieSet.prototype.init___I__Asci_HashSet__I = (function(bitmap, elems, size0) {
  this.bitmap$5 = bitmap;
  this.elems$5 = elems;
  this.size0$5 = size0;
  $m_s_Predef$().assert__Z__V(($m_jl_Integer$().bitCount__I__I(bitmap) === elems.u.length));
  return this
});
$c_sci_HashSet$HashTrieSet.prototype.get0__O__I__I__Z = (function(key, hash, level) {
  var index = (31 & ((hash >>> level) | 0));
  var mask = (1 << index);
  if ((this.bitmap$5 === (-1))) {
    return this.elems$5.get((31 & index)).get0__O__I__I__Z(key, hash, ((5 + level) | 0))
  } else if (((this.bitmap$5 & mask) !== 0)) {
    var offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$5 & (((-1) + mask) | 0)));
    return this.elems$5.get(offset).get0__O__I__I__Z(key, hash, ((5 + level) | 0))
  } else {
    return false
  }
});
$c_sci_HashSet$HashTrieSet.prototype.subsetOf0__sci_HashSet__I__Z = (function(that, level) {
  if ((that === this)) {
    return true
  } else {
    if ($is_sci_HashSet$HashTrieSet(that)) {
      var x2 = $as_sci_HashSet$HashTrieSet(that);
      if ((this.size0$5 <= x2.size0$5)) {
        var abm = this.bitmap$5;
        var a = this.elems$5;
        var ai = 0;
        var b = x2.elems$5;
        var bbm = x2.bitmap$5;
        var bi = 0;
        if (((abm & bbm) === abm)) {
          while ((abm !== 0)) {
            var alsb = (abm ^ (abm & (((-1) + abm) | 0)));
            var blsb = (bbm ^ (bbm & (((-1) + bbm) | 0)));
            if ((alsb === blsb)) {
              if ((!a.get(ai).subsetOf0__sci_HashSet__I__Z(b.get(bi), ((5 + level) | 0)))) {
                return false
              };
              abm = (abm & (~alsb));
              ai = ((1 + ai) | 0)
            };
            bbm = (bbm & (~blsb));
            bi = ((1 + bi) | 0)
          };
          return true
        } else {
          return false
        }
      }
    };
    return false
  }
});
function $is_sci_HashSet$HashTrieSet(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashSet$HashTrieSet)))
}
function $as_sci_HashSet$HashTrieSet(obj) {
  return (($is_sci_HashSet$HashTrieSet(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.HashSet$HashTrieSet"))
}
function $isArrayOf_sci_HashSet$HashTrieSet(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashSet$HashTrieSet)))
}
function $asArrayOf_sci_HashSet$HashTrieSet(obj, depth) {
  return (($isArrayOf_sci_HashSet$HashTrieSet(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.HashSet$HashTrieSet;", depth))
}
var $d_sci_HashSet$HashTrieSet = new $TypeData().initClass({
  sci_HashSet$HashTrieSet: 0
}, false, "scala.collection.immutable.HashSet$HashTrieSet", {
  sci_HashSet$HashTrieSet: 1,
  sci_HashSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet$HashTrieSet.prototype.$classData = $d_sci_HashSet$HashTrieSet;
/** @constructor */
function $c_sci_HashSet$LeafHashSet() {
  $c_sci_HashSet.call(this)
}
$c_sci_HashSet$LeafHashSet.prototype = new $h_sci_HashSet();
$c_sci_HashSet$LeafHashSet.prototype.constructor = $c_sci_HashSet$LeafHashSet;
/** @constructor */
function $h_sci_HashSet$LeafHashSet() {
  /*<skip>*/
}
$h_sci_HashSet$LeafHashSet.prototype = $c_sci_HashSet$LeafHashSet.prototype;
/** @constructor */
function $c_sci_ListMap() {
  $c_sci_AbstractMap.call(this)
}
$c_sci_ListMap.prototype = new $h_sci_AbstractMap();
$c_sci_ListMap.prototype.constructor = $c_sci_ListMap;
/** @constructor */
function $h_sci_ListMap() {
  /*<skip>*/
}
$h_sci_ListMap.prototype = $c_sci_ListMap.prototype;
$c_sci_ListMap.prototype.value__O = (function() {
  throw new $c_ju_NoSuchElementException().init___T("empty map")
});
$c_sci_ListMap.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_ListMap.prototype.$$plus__T2__sci_Map = (function(kv) {
  return this.updated__O__O__sci_ListMap(kv.$$und1$f, kv.$$und2$f)
});
$c_sci_ListMap.prototype.empty__sc_Map = (function() {
  return $m_sci_ListMap$EmptyListMap$()
});
$c_sci_ListMap.prototype.empty__sci_Map = (function() {
  return $m_sci_ListMap$EmptyListMap$()
});
$c_sci_ListMap.prototype.size__I = (function() {
  return 0
});
$c_sci_ListMap.prototype.seq__sc_Map = (function() {
  return this
});
$c_sci_ListMap.prototype.iterator__sc_Iterator = (function() {
  var this$1 = new $c_sci_ListMap$$anon$1().init___sci_ListMap(this);
  var this$2 = $m_sci_List$();
  var cbf = this$2.ReusableCBFInstance$2;
  var this$3 = $as_sci_List($s_sc_TraversableOnce$class__to__sc_TraversableOnce__scg_CanBuildFrom__O(this$1, cbf));
  return $s_sc_SeqLike$class__reverseIterator__sc_SeqLike__sc_Iterator(this$3)
});
$c_sci_ListMap.prototype.key__O = (function() {
  throw new $c_ju_NoSuchElementException().init___T("empty map")
});
$c_sci_ListMap.prototype.updated__O__O__sci_ListMap = (function(key, value) {
  return new $c_sci_ListMap$Node().init___sci_ListMap__O__O(this, key, value)
});
$c_sci_ListMap.prototype.get__O__s_Option = (function(key) {
  return $m_s_None$()
});
$c_sci_ListMap.prototype.next__sci_ListMap = (function() {
  throw new $c_ju_NoSuchElementException().init___T("empty map")
});
$c_sci_ListMap.prototype.$$plus__T2__sc_GenMap = (function(kv) {
  return this.updated__O__O__sci_ListMap(kv.$$und1$f, kv.$$und2$f)
});
function $is_sci_ListMap(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_ListMap)))
}
function $as_sci_ListMap(obj) {
  return (($is_sci_ListMap(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.ListMap"))
}
function $isArrayOf_sci_ListMap(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_ListMap)))
}
function $asArrayOf_sci_ListMap(obj, depth) {
  return (($isArrayOf_sci_ListMap(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.ListMap;", depth))
}
/** @constructor */
function $c_sci_Map$EmptyMap$() {
  $c_sci_AbstractMap.call(this)
}
$c_sci_Map$EmptyMap$.prototype = new $h_sci_AbstractMap();
$c_sci_Map$EmptyMap$.prototype.constructor = $c_sci_Map$EmptyMap$;
/** @constructor */
function $h_sci_Map$EmptyMap$() {
  /*<skip>*/
}
$h_sci_Map$EmptyMap$.prototype = $c_sci_Map$EmptyMap$.prototype;
$c_sci_Map$EmptyMap$.prototype.init___ = (function() {
  return this
});
$c_sci_Map$EmptyMap$.prototype.$$plus__T2__sci_Map = (function(kv) {
  var key = kv.$$und1$f;
  var value = kv.$$und2$f;
  return new $c_sci_Map$Map1().init___O__O(key, value)
});
$c_sci_Map$EmptyMap$.prototype.iterator__sc_Iterator = (function() {
  return $m_sc_Iterator$().empty$1
});
$c_sci_Map$EmptyMap$.prototype.size__I = (function() {
  return 0
});
$c_sci_Map$EmptyMap$.prototype.get__O__s_Option = (function(key) {
  return $m_s_None$()
});
$c_sci_Map$EmptyMap$.prototype.$$plus__T2__sc_GenMap = (function(kv) {
  var key = kv.$$und1$f;
  var value = kv.$$und2$f;
  return new $c_sci_Map$Map1().init___O__O(key, value)
});
var $d_sci_Map$EmptyMap$ = new $TypeData().initClass({
  sci_Map$EmptyMap$: 0
}, false, "scala.collection.immutable.Map$EmptyMap$", {
  sci_Map$EmptyMap$: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Map$EmptyMap$.prototype.$classData = $d_sci_Map$EmptyMap$;
var $n_sci_Map$EmptyMap$ = (void 0);
function $m_sci_Map$EmptyMap$() {
  if ((!$n_sci_Map$EmptyMap$)) {
    $n_sci_Map$EmptyMap$ = new $c_sci_Map$EmptyMap$().init___()
  };
  return $n_sci_Map$EmptyMap$
}
/** @constructor */
function $c_sci_Map$Map1() {
  $c_sci_AbstractMap.call(this);
  this.key1$5 = null;
  this.value1$5 = null
}
$c_sci_Map$Map1.prototype = new $h_sci_AbstractMap();
$c_sci_Map$Map1.prototype.constructor = $c_sci_Map$Map1;
/** @constructor */
function $h_sci_Map$Map1() {
  /*<skip>*/
}
$h_sci_Map$Map1.prototype = $c_sci_Map$Map1.prototype;
$c_sci_Map$Map1.prototype.init___O__O = (function(key1, value1) {
  this.key1$5 = key1;
  this.value1$5 = value1;
  return this
});
$c_sci_Map$Map1.prototype.foreach__F1__V = (function(f) {
  f.apply__O__O(new $c_T2().init___O__O(this.key1$5, this.value1$5))
});
$c_sci_Map$Map1.prototype.$$plus__T2__sci_Map = (function(kv) {
  return this.updated__O__O__sci_Map(kv.$$und1$f, kv.$$und2$f)
});
$c_sci_Map$Map1.prototype.iterator__sc_Iterator = (function() {
  $m_sc_Iterator$();
  var elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_T2().init___O__O(this.key1$5, this.value1$5)]);
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, $uI(elems.array$6.length))
});
$c_sci_Map$Map1.prototype.size__I = (function() {
  return 1
});
$c_sci_Map$Map1.prototype.updated__O__O__sci_Map = (function(key, value) {
  return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_sci_Map$Map1().init___O__O(this.key1$5, value) : new $c_sci_Map$Map2().init___O__O__O__O(this.key1$5, this.value1$5, key, value))
});
$c_sci_Map$Map1.prototype.get__O__s_Option = (function(key) {
  return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_s_Some().init___O(this.value1$5) : $m_s_None$())
});
$c_sci_Map$Map1.prototype.$$plus__T2__sc_GenMap = (function(kv) {
  return this.updated__O__O__sci_Map(kv.$$und1$f, kv.$$und2$f)
});
var $d_sci_Map$Map1 = new $TypeData().initClass({
  sci_Map$Map1: 0
}, false, "scala.collection.immutable.Map$Map1", {
  sci_Map$Map1: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Map$Map1.prototype.$classData = $d_sci_Map$Map1;
/** @constructor */
function $c_sci_Map$Map2() {
  $c_sci_AbstractMap.call(this);
  this.key1$5 = null;
  this.value1$5 = null;
  this.key2$5 = null;
  this.value2$5 = null
}
$c_sci_Map$Map2.prototype = new $h_sci_AbstractMap();
$c_sci_Map$Map2.prototype.constructor = $c_sci_Map$Map2;
/** @constructor */
function $h_sci_Map$Map2() {
  /*<skip>*/
}
$h_sci_Map$Map2.prototype = $c_sci_Map$Map2.prototype;
$c_sci_Map$Map2.prototype.foreach__F1__V = (function(f) {
  f.apply__O__O(new $c_T2().init___O__O(this.key1$5, this.value1$5));
  f.apply__O__O(new $c_T2().init___O__O(this.key2$5, this.value2$5))
});
$c_sci_Map$Map2.prototype.$$plus__T2__sci_Map = (function(kv) {
  return this.updated__O__O__sci_Map(kv.$$und1$f, kv.$$und2$f)
});
$c_sci_Map$Map2.prototype.iterator__sc_Iterator = (function() {
  $m_sc_Iterator$();
  var elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_T2().init___O__O(this.key1$5, this.value1$5), new $c_T2().init___O__O(this.key2$5, this.value2$5)]);
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, $uI(elems.array$6.length))
});
$c_sci_Map$Map2.prototype.size__I = (function() {
  return 2
});
$c_sci_Map$Map2.prototype.updated__O__O__sci_Map = (function(key, value) {
  return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_sci_Map$Map2().init___O__O__O__O(this.key1$5, value, this.key2$5, this.value2$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_sci_Map$Map2().init___O__O__O__O(this.key1$5, this.value1$5, this.key2$5, value) : new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, key, value)))
});
$c_sci_Map$Map2.prototype.get__O__s_Option = (function(key) {
  return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_s_Some().init___O(this.value1$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_s_Some().init___O(this.value2$5) : $m_s_None$()))
});
$c_sci_Map$Map2.prototype.init___O__O__O__O = (function(key1, value1, key2, value2) {
  this.key1$5 = key1;
  this.value1$5 = value1;
  this.key2$5 = key2;
  this.value2$5 = value2;
  return this
});
$c_sci_Map$Map2.prototype.$$plus__T2__sc_GenMap = (function(kv) {
  return this.updated__O__O__sci_Map(kv.$$und1$f, kv.$$und2$f)
});
var $d_sci_Map$Map2 = new $TypeData().initClass({
  sci_Map$Map2: 0
}, false, "scala.collection.immutable.Map$Map2", {
  sci_Map$Map2: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Map$Map2.prototype.$classData = $d_sci_Map$Map2;
/** @constructor */
function $c_sci_Map$Map3() {
  $c_sci_AbstractMap.call(this);
  this.key1$5 = null;
  this.value1$5 = null;
  this.key2$5 = null;
  this.value2$5 = null;
  this.key3$5 = null;
  this.value3$5 = null
}
$c_sci_Map$Map3.prototype = new $h_sci_AbstractMap();
$c_sci_Map$Map3.prototype.constructor = $c_sci_Map$Map3;
/** @constructor */
function $h_sci_Map$Map3() {
  /*<skip>*/
}
$h_sci_Map$Map3.prototype = $c_sci_Map$Map3.prototype;
$c_sci_Map$Map3.prototype.foreach__F1__V = (function(f) {
  f.apply__O__O(new $c_T2().init___O__O(this.key1$5, this.value1$5));
  f.apply__O__O(new $c_T2().init___O__O(this.key2$5, this.value2$5));
  f.apply__O__O(new $c_T2().init___O__O(this.key3$5, this.value3$5))
});
$c_sci_Map$Map3.prototype.$$plus__T2__sci_Map = (function(kv) {
  return this.updated__O__O__sci_Map(kv.$$und1$f, kv.$$und2$f)
});
$c_sci_Map$Map3.prototype.init___O__O__O__O__O__O = (function(key1, value1, key2, value2, key3, value3) {
  this.key1$5 = key1;
  this.value1$5 = value1;
  this.key2$5 = key2;
  this.value2$5 = value2;
  this.key3$5 = key3;
  this.value3$5 = value3;
  return this
});
$c_sci_Map$Map3.prototype.iterator__sc_Iterator = (function() {
  $m_sc_Iterator$();
  var elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_T2().init___O__O(this.key1$5, this.value1$5), new $c_T2().init___O__O(this.key2$5, this.value2$5), new $c_T2().init___O__O(this.key3$5, this.value3$5)]);
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, $uI(elems.array$6.length))
});
$c_sci_Map$Map3.prototype.size__I = (function() {
  return 3
});
$c_sci_Map$Map3.prototype.updated__O__O__sci_Map = (function(key, value) {
  return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, value, this.key2$5, this.value2$5, this.key3$5, this.value3$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, value, this.key3$5, this.value3$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5) ? new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, this.key3$5, value) : new $c_sci_Map$Map4().init___O__O__O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, this.key3$5, this.value3$5, key, value))))
});
$c_sci_Map$Map3.prototype.get__O__s_Option = (function(key) {
  return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_s_Some().init___O(this.value1$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_s_Some().init___O(this.value2$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5) ? new $c_s_Some().init___O(this.value3$5) : $m_s_None$())))
});
$c_sci_Map$Map3.prototype.$$plus__T2__sc_GenMap = (function(kv) {
  return this.updated__O__O__sci_Map(kv.$$und1$f, kv.$$und2$f)
});
var $d_sci_Map$Map3 = new $TypeData().initClass({
  sci_Map$Map3: 0
}, false, "scala.collection.immutable.Map$Map3", {
  sci_Map$Map3: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Map$Map3.prototype.$classData = $d_sci_Map$Map3;
/** @constructor */
function $c_sci_Map$Map4() {
  $c_sci_AbstractMap.call(this);
  this.key1$5 = null;
  this.value1$5 = null;
  this.key2$5 = null;
  this.value2$5 = null;
  this.key3$5 = null;
  this.value3$5 = null;
  this.key4$5 = null;
  this.value4$5 = null
}
$c_sci_Map$Map4.prototype = new $h_sci_AbstractMap();
$c_sci_Map$Map4.prototype.constructor = $c_sci_Map$Map4;
/** @constructor */
function $h_sci_Map$Map4() {
  /*<skip>*/
}
$h_sci_Map$Map4.prototype = $c_sci_Map$Map4.prototype;
$c_sci_Map$Map4.prototype.foreach__F1__V = (function(f) {
  f.apply__O__O(new $c_T2().init___O__O(this.key1$5, this.value1$5));
  f.apply__O__O(new $c_T2().init___O__O(this.key2$5, this.value2$5));
  f.apply__O__O(new $c_T2().init___O__O(this.key3$5, this.value3$5));
  f.apply__O__O(new $c_T2().init___O__O(this.key4$5, this.value4$5))
});
$c_sci_Map$Map4.prototype.$$plus__T2__sci_Map = (function(kv) {
  return this.updated__O__O__sci_Map(kv.$$und1$f, kv.$$und2$f)
});
$c_sci_Map$Map4.prototype.iterator__sc_Iterator = (function() {
  $m_sc_Iterator$();
  var elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_T2().init___O__O(this.key1$5, this.value1$5), new $c_T2().init___O__O(this.key2$5, this.value2$5), new $c_T2().init___O__O(this.key3$5, this.value3$5), new $c_T2().init___O__O(this.key4$5, this.value4$5)]);
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, $uI(elems.array$6.length))
});
$c_sci_Map$Map4.prototype.size__I = (function() {
  return 4
});
$c_sci_Map$Map4.prototype.init___O__O__O__O__O__O__O__O = (function(key1, value1, key2, value2, key3, value3, key4, value4) {
  this.key1$5 = key1;
  this.value1$5 = value1;
  this.key2$5 = key2;
  this.value2$5 = value2;
  this.key3$5 = key3;
  this.value3$5 = value3;
  this.key4$5 = key4;
  this.value4$5 = value4;
  return this
});
$c_sci_Map$Map4.prototype.updated__O__O__sci_Map = (function(key, value) {
  if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5)) {
    return new $c_sci_Map$Map4().init___O__O__O__O__O__O__O__O(this.key1$5, value, this.key2$5, this.value2$5, this.key3$5, this.value3$5, this.key4$5, this.value4$5)
  } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5)) {
    return new $c_sci_Map$Map4().init___O__O__O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, value, this.key3$5, this.value3$5, this.key4$5, this.value4$5)
  } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5)) {
    return new $c_sci_Map$Map4().init___O__O__O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, this.key3$5, value, this.key4$5, this.value4$5)
  } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key4$5)) {
    return new $c_sci_Map$Map4().init___O__O__O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, this.key3$5, this.value3$5, this.key4$5, value)
  } else {
    var this$1 = new $c_sci_HashMap().init___();
    var elem1 = new $c_T2().init___O__O(this.key1$5, this.value1$5);
    var elem2 = new $c_T2().init___O__O(this.key2$5, this.value2$5);
    var array = [new $c_T2().init___O__O(this.key3$5, this.value3$5), new $c_T2().init___O__O(this.key4$5, this.value4$5), new $c_T2().init___O__O(key, value)];
    var this$3 = this$1.$$plus__T2__sci_HashMap(elem1).$$plus__T2__sci_HashMap(elem2);
    var this$2 = $m_sci_HashMap$();
    var bf = new $c_scg_GenMapFactory$MapCanBuildFrom().init___scg_GenMapFactory(this$2);
    var this$4 = bf.$$outer$f;
    var b = new $c_scm_MapBuilder().init___sc_GenMap(this$4.empty__sc_GenMap());
    var delta = $uI(array.length);
    $s_scm_Builder$class__sizeHint__scm_Builder__sc_TraversableLike__I__V(b, this$3, delta);
    $s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(b, this$3);
    var i = 0;
    var len = $uI(array.length);
    while ((i < len)) {
      var index = i;
      var arg1 = array[index];
      b.$$plus$eq__T2__scm_MapBuilder($as_T2(arg1));
      i = ((1 + i) | 0)
    };
    return $as_sci_HashMap(b.elems$1)
  }
});
$c_sci_Map$Map4.prototype.get__O__s_Option = (function(key) {
  return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_s_Some().init___O(this.value1$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_s_Some().init___O(this.value2$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5) ? new $c_s_Some().init___O(this.value3$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key4$5) ? new $c_s_Some().init___O(this.value4$5) : $m_s_None$()))))
});
$c_sci_Map$Map4.prototype.$$plus__T2__sc_GenMap = (function(kv) {
  return this.updated__O__O__sci_Map(kv.$$und1$f, kv.$$und2$f)
});
var $d_sci_Map$Map4 = new $TypeData().initClass({
  sci_Map$Map4: 0
}, false, "scala.collection.immutable.Map$Map4", {
  sci_Map$Map4: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Map$Map4.prototype.$classData = $d_sci_Map$Map4;
/** @constructor */
function $c_sci_HashMap() {
  $c_sci_AbstractMap.call(this)
}
$c_sci_HashMap.prototype = new $h_sci_AbstractMap();
$c_sci_HashMap.prototype.constructor = $c_sci_HashMap;
/** @constructor */
function $h_sci_HashMap() {
  /*<skip>*/
}
$h_sci_HashMap.prototype = $c_sci_HashMap.prototype;
$c_sci_HashMap.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_HashMap.prototype.computeHash__O__I = (function(key) {
  return this.improve__I__I($m_sr_ScalaRunTime$().hash__O__I(key))
});
$c_sci_HashMap.prototype.init___ = (function() {
  return this
});
$c_sci_HashMap.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_HashMap.prototype.updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap = (function(key, hash, level, value, kv, merger) {
  return new $c_sci_HashMap$HashMap1().init___O__I__O__T2(key, hash, value, kv)
});
$c_sci_HashMap.prototype.get0__O__I__I__s_Option = (function(key, hash, level) {
  return $m_s_None$()
});
$c_sci_HashMap.prototype.$$plus__T2__sci_Map = (function(kv) {
  return this.$$plus__T2__sci_HashMap(kv)
});
$c_sci_HashMap.prototype.foreach__F1__V = (function(f) {
  /*<skip>*/
});
$c_sci_HashMap.prototype.$$plus__T2__sci_HashMap = (function(kv) {
  return this.updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap(kv.$$und1$f, this.computeHash__O__I(kv.$$und1$f), 0, kv.$$und2$f, kv, null)
});
$c_sci_HashMap.prototype.empty__sc_Map = (function() {
  $m_sci_HashMap$();
  return $m_sci_HashMap$EmptyHashMap$()
});
$c_sci_HashMap.prototype.empty__sci_Map = (function() {
  $m_sci_HashMap$();
  return $m_sci_HashMap$EmptyHashMap$()
});
$c_sci_HashMap.prototype.seq__sc_Map = (function() {
  return this
});
$c_sci_HashMap.prototype.size__I = (function() {
  return 0
});
$c_sci_HashMap.prototype.iterator__sc_Iterator = (function() {
  return $m_sc_Iterator$().empty$1
});
$c_sci_HashMap.prototype.get__O__s_Option = (function(key) {
  return this.get0__O__I__I__s_Option(key, this.computeHash__O__I(key), 0)
});
$c_sci_HashMap.prototype.improve__I__I = (function(hcode) {
  var h = ((hcode + (~(hcode << 9))) | 0);
  h = (h ^ ((h >>> 14) | 0));
  h = ((h + (h << 4)) | 0);
  return (h ^ ((h >>> 10) | 0))
});
$c_sci_HashMap.prototype.$$plus__T2__sc_GenMap = (function(kv) {
  return this.$$plus__T2__sci_HashMap(kv)
});
function $is_sci_HashMap(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashMap)))
}
function $as_sci_HashMap(obj) {
  return (($is_sci_HashMap(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.HashMap"))
}
function $isArrayOf_sci_HashMap(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashMap)))
}
function $asArrayOf_sci_HashMap(obj, depth) {
  return (($isArrayOf_sci_HashMap(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.HashMap;", depth))
}
var $d_sci_HashMap = new $TypeData().initClass({
  sci_HashMap: 0
}, false, "scala.collection.immutable.HashMap", {
  sci_HashMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_HashMap.prototype.$classData = $d_sci_HashMap;
/** @constructor */
function $c_sci_HashSet$HashSet1() {
  $c_sci_HashSet$LeafHashSet.call(this);
  this.key$6 = null;
  this.hash$6 = 0
}
$c_sci_HashSet$HashSet1.prototype = new $h_sci_HashSet$LeafHashSet();
$c_sci_HashSet$HashSet1.prototype.constructor = $c_sci_HashSet$HashSet1;
/** @constructor */
function $h_sci_HashSet$HashSet1() {
  /*<skip>*/
}
$h_sci_HashSet$HashSet1.prototype = $c_sci_HashSet$HashSet1.prototype;
$c_sci_HashSet$HashSet1.prototype.updated0__O__I__I__sci_HashSet = (function(key, hash, level) {
  if (((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6))) {
    return this
  } else if ((hash !== this.hash$6)) {
    return $m_sci_HashSet$().scala$collection$immutable$HashSet$$makeHashTrieSet__I__sci_HashSet__I__sci_HashSet__I__sci_HashSet$HashTrieSet(this.hash$6, this, hash, new $c_sci_HashSet$HashSet1().init___O__I(key, hash), level)
  } else {
    var this$2 = $m_sci_ListSet$EmptyListSet$();
    var elem = this.key$6;
    return new $c_sci_HashSet$HashSetCollision1().init___I__sci_ListSet(hash, new $c_sci_ListSet$Node().init___sci_ListSet__O(this$2, elem).$$plus__O__sci_ListSet(key))
  }
});
$c_sci_HashSet$HashSet1.prototype.init___O__I = (function(key, hash) {
  this.key$6 = key;
  this.hash$6 = hash;
  return this
});
$c_sci_HashSet$HashSet1.prototype.foreach__F1__V = (function(f) {
  f.apply__O__O(this.key$6)
});
$c_sci_HashSet$HashSet1.prototype.iterator__sc_Iterator = (function() {
  $m_sc_Iterator$();
  var elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.key$6]);
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, $uI(elems.array$6.length))
});
$c_sci_HashSet$HashSet1.prototype.size__I = (function() {
  return 1
});
$c_sci_HashSet$HashSet1.prototype.get0__O__I__I__Z = (function(key, hash, level) {
  return ((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6))
});
$c_sci_HashSet$HashSet1.prototype.subsetOf0__sci_HashSet__I__Z = (function(that, level) {
  return that.get0__O__I__I__Z(this.key$6, this.hash$6, level)
});
function $is_sci_HashSet$HashSet1(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashSet$HashSet1)))
}
function $as_sci_HashSet$HashSet1(obj) {
  return (($is_sci_HashSet$HashSet1(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.HashSet$HashSet1"))
}
function $isArrayOf_sci_HashSet$HashSet1(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashSet$HashSet1)))
}
function $asArrayOf_sci_HashSet$HashSet1(obj, depth) {
  return (($isArrayOf_sci_HashSet$HashSet1(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.HashSet$HashSet1;", depth))
}
var $d_sci_HashSet$HashSet1 = new $TypeData().initClass({
  sci_HashSet$HashSet1: 0
}, false, "scala.collection.immutable.HashSet$HashSet1", {
  sci_HashSet$HashSet1: 1,
  sci_HashSet$LeafHashSet: 1,
  sci_HashSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet$HashSet1.prototype.$classData = $d_sci_HashSet$HashSet1;
/** @constructor */
function $c_sci_HashSet$HashSetCollision1() {
  $c_sci_HashSet$LeafHashSet.call(this);
  this.hash$6 = 0;
  this.ks$6 = null
}
$c_sci_HashSet$HashSetCollision1.prototype = new $h_sci_HashSet$LeafHashSet();
$c_sci_HashSet$HashSetCollision1.prototype.constructor = $c_sci_HashSet$HashSetCollision1;
/** @constructor */
function $h_sci_HashSet$HashSetCollision1() {
  /*<skip>*/
}
$h_sci_HashSet$HashSetCollision1.prototype = $c_sci_HashSet$HashSetCollision1.prototype;
$c_sci_HashSet$HashSetCollision1.prototype.updated0__O__I__I__sci_HashSet = (function(key, hash, level) {
  return ((hash === this.hash$6) ? new $c_sci_HashSet$HashSetCollision1().init___I__sci_ListSet(hash, this.ks$6.$$plus__O__sci_ListSet(key)) : $m_sci_HashSet$().scala$collection$immutable$HashSet$$makeHashTrieSet__I__sci_HashSet__I__sci_HashSet__I__sci_HashSet$HashTrieSet(this.hash$6, this, hash, new $c_sci_HashSet$HashSet1().init___O__I(key, hash), level))
});
$c_sci_HashSet$HashSetCollision1.prototype.foreach__F1__V = (function(f) {
  var this$1 = this.ks$6;
  var this$2 = new $c_sci_ListSet$$anon$1().init___sci_ListSet(this$1);
  $s_sc_Iterator$class__foreach__sc_Iterator__F1__V(this$2, f)
});
$c_sci_HashSet$HashSetCollision1.prototype.iterator__sc_Iterator = (function() {
  var this$1 = this.ks$6;
  return new $c_sci_ListSet$$anon$1().init___sci_ListSet(this$1)
});
$c_sci_HashSet$HashSetCollision1.prototype.size__I = (function() {
  return this.ks$6.size__I()
});
$c_sci_HashSet$HashSetCollision1.prototype.init___I__sci_ListSet = (function(hash, ks) {
  this.hash$6 = hash;
  this.ks$6 = ks;
  return this
});
$c_sci_HashSet$HashSetCollision1.prototype.get0__O__I__I__Z = (function(key, hash, level) {
  return ((hash === this.hash$6) && this.ks$6.contains__O__Z(key))
});
$c_sci_HashSet$HashSetCollision1.prototype.subsetOf0__sci_HashSet__I__Z = (function(that, level) {
  var this$1 = this.ks$6;
  var this$2 = new $c_sci_ListSet$$anon$1().init___sci_ListSet(this$1);
  var res = true;
  while (true) {
    if (res) {
      var this$3 = this$2.that$2;
      var jsx$1 = $s_sc_TraversableOnce$class__nonEmpty__sc_TraversableOnce__Z(this$3)
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      var arg1 = this$2.next__O();
      res = that.get0__O__I__I__Z(arg1, this.hash$6, level)
    } else {
      break
    }
  };
  return res
});
var $d_sci_HashSet$HashSetCollision1 = new $TypeData().initClass({
  sci_HashSet$HashSetCollision1: 0
}, false, "scala.collection.immutable.HashSet$HashSetCollision1", {
  sci_HashSet$HashSetCollision1: 1,
  sci_HashSet$LeafHashSet: 1,
  sci_HashSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet$HashSetCollision1.prototype.$classData = $d_sci_HashSet$HashSetCollision1;
/** @constructor */
function $c_sci_List() {
  $c_sc_AbstractSeq.call(this)
}
$c_sci_List.prototype = new $h_sc_AbstractSeq();
$c_sci_List.prototype.constructor = $c_sci_List;
/** @constructor */
function $h_sci_List() {
  /*<skip>*/
}
$h_sci_List.prototype = $c_sci_List.prototype;
$c_sci_List.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_List.prototype.lengthCompare__I__I = (function(len) {
  return $s_sc_LinearSeqOptimized$class__lengthCompare__sc_LinearSeqOptimized__I__I(this, len)
});
$c_sci_List.prototype.apply__O__O = (function(v1) {
  var n = $uI(v1);
  return $s_sc_LinearSeqOptimized$class__apply__sc_LinearSeqOptimized__I__O(this, n)
});
$c_sci_List.prototype.sameElements__sc_GenIterable__Z = (function(that) {
  return $s_sc_LinearSeqOptimized$class__sameElements__sc_LinearSeqOptimized__sc_GenIterable__Z(this, that)
});
$c_sci_List.prototype.toList__sci_List = (function() {
  return this
});
$c_sci_List.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_List.prototype.drop__I__sc_LinearSeqOptimized = (function(n) {
  return this.drop__I__sci_List(n)
});
$c_sci_List.prototype.take__I__sci_List = (function(n) {
  if ((this.isEmpty__Z() || (n <= 0))) {
    return $m_sci_Nil$()
  } else {
    var h = new $c_sci_$colon$colon().init___O__sci_List(this.head__O(), $m_sci_Nil$());
    var t = h;
    var rest = this.tail__sci_List();
    var i = 1;
    while (true) {
      if (rest.isEmpty__Z()) {
        return this
      };
      if ((i < n)) {
        i = ((1 + i) | 0);
        var nx = new $c_sci_$colon$colon().init___O__sci_List(rest.head__O(), $m_sci_Nil$());
        t.tl$5 = nx;
        t = nx;
        var this$1 = rest;
        rest = this$1.tail__sci_List()
      } else {
        break
      }
    };
    return h
  }
});
$c_sci_List.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_List$()
});
$c_sci_List.prototype.foreach__F1__V = (function(f) {
  var these = this;
  while ((!these.isEmpty__Z())) {
    f.apply__O__O(these.head__O());
    var this$1 = these;
    these = this$1.tail__sci_List()
  }
});
$c_sci_List.prototype.foldLeft__O__F2__O = (function(z, op) {
  return $s_sc_LinearSeqOptimized$class__foldLeft__sc_LinearSeqOptimized__O__F2__O(this, z, op)
});
$c_sci_List.prototype.$$colon$colon$colon__sci_List__sci_List = (function(prefix) {
  return (this.isEmpty__Z() ? prefix : (prefix.isEmpty__Z() ? this : new $c_scm_ListBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(prefix).prependToList__sci_List__sci_List(this)))
});
$c_sci_List.prototype.reverse__O = (function() {
  return this.reverse__sci_List()
});
$c_sci_List.prototype.iterator__sc_Iterator = (function() {
  return new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this)
});
$c_sci_List.prototype.drop__I__sci_List = (function(n) {
  var these = this;
  var count = n;
  while (((!these.isEmpty__Z()) && (count > 0))) {
    var this$1 = these;
    these = this$1.tail__sci_List();
    count = (((-1) + count) | 0)
  };
  return these
});
$c_sci_List.prototype.seq__sc_Seq = (function() {
  return this
});
$c_sci_List.prototype.length__I = (function() {
  return $s_sc_LinearSeqOptimized$class__length__sc_LinearSeqOptimized__I(this)
});
$c_sci_List.prototype.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O = (function(that, bf) {
  return ((bf === $m_sci_List$().ReusableCBFInstance$2) ? that.seq__sc_TraversableOnce().toList__sci_List().$$colon$colon$colon__sci_List__sci_List(this) : $s_sc_TraversableLike$class__$$plus$plus__sc_TraversableLike__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf))
});
$c_sci_List.prototype.take__I__O = (function(n) {
  return this.take__I__sci_List(n)
});
$c_sci_List.prototype.toStream__sci_Stream = (function() {
  return (this.isEmpty__Z() ? $m_sci_Stream$Empty$() : new $c_sci_Stream$Cons().init___O__F0(this.head__O(), new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
    return (function() {
      return $this.tail__sci_List().toStream__sci_Stream()
    })
  })(this))))
});
$c_sci_List.prototype.isDefinedAt__O__Z = (function(x) {
  var x$1 = $uI(x);
  return $s_sc_LinearSeqOptimized$class__isDefinedAt__sc_LinearSeqOptimized__I__Z(this, x$1)
});
$c_sci_List.prototype.hashCode__I = (function() {
  return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
});
$c_sci_List.prototype.toCollection__O__sc_Seq = (function(repr) {
  var repr$1 = $as_sc_LinearSeqLike(repr);
  return $as_sc_LinearSeq(repr$1)
});
$c_sci_List.prototype.reverse__sci_List = (function() {
  var result = $m_sci_Nil$();
  var these = this;
  while ((!these.isEmpty__Z())) {
    var x$4 = these.head__O();
    var this$1 = result;
    result = new $c_sci_$colon$colon().init___O__sci_List(x$4, this$1);
    var this$2 = these;
    these = this$2.tail__sci_List()
  };
  return result
});
$c_sci_List.prototype.stringPrefix__T = (function() {
  return "List"
});
function $is_sci_List(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_List)))
}
function $as_sci_List(obj) {
  return (($is_sci_List(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.List"))
}
function $isArrayOf_sci_List(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_List)))
}
function $asArrayOf_sci_List(obj, depth) {
  return (($isArrayOf_sci_List(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.List;", depth))
}
/** @constructor */
function $c_sci_ListMap$EmptyListMap$() {
  $c_sci_ListMap.call(this)
}
$c_sci_ListMap$EmptyListMap$.prototype = new $h_sci_ListMap();
$c_sci_ListMap$EmptyListMap$.prototype.constructor = $c_sci_ListMap$EmptyListMap$;
/** @constructor */
function $h_sci_ListMap$EmptyListMap$() {
  /*<skip>*/
}
$h_sci_ListMap$EmptyListMap$.prototype = $c_sci_ListMap$EmptyListMap$.prototype;
$c_sci_ListMap$EmptyListMap$.prototype.init___ = (function() {
  return this
});
var $d_sci_ListMap$EmptyListMap$ = new $TypeData().initClass({
  sci_ListMap$EmptyListMap$: 0
}, false, "scala.collection.immutable.ListMap$EmptyListMap$", {
  sci_ListMap$EmptyListMap$: 1,
  sci_ListMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListMap$EmptyListMap$.prototype.$classData = $d_sci_ListMap$EmptyListMap$;
var $n_sci_ListMap$EmptyListMap$ = (void 0);
function $m_sci_ListMap$EmptyListMap$() {
  if ((!$n_sci_ListMap$EmptyListMap$)) {
    $n_sci_ListMap$EmptyListMap$ = new $c_sci_ListMap$EmptyListMap$().init___()
  };
  return $n_sci_ListMap$EmptyListMap$
}
/** @constructor */
function $c_sci_ListMap$Node() {
  $c_sci_ListMap.call(this);
  this.key$6 = null;
  this.value$6 = null;
  this.$$outer$f = null
}
$c_sci_ListMap$Node.prototype = new $h_sci_ListMap();
$c_sci_ListMap$Node.prototype.constructor = $c_sci_ListMap$Node;
/** @constructor */
function $h_sci_ListMap$Node() {
  /*<skip>*/
}
$h_sci_ListMap$Node.prototype = $c_sci_ListMap$Node.prototype;
$c_sci_ListMap$Node.prototype.value__O = (function() {
  return this.value$6
});
$c_sci_ListMap$Node.prototype.apply__O__O = (function(k) {
  return this.apply0__p6__sci_ListMap__O__O(this, k)
});
$c_sci_ListMap$Node.prototype.isEmpty__Z = (function() {
  return false
});
$c_sci_ListMap$Node.prototype.apply0__p6__sci_ListMap__O__O = (function(cur, k) {
  _apply0: while (true) {
    if (cur.isEmpty__Z()) {
      throw new $c_ju_NoSuchElementException().init___T(("key not found: " + k))
    } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(k, cur.key__O())) {
      return cur.value__O()
    } else {
      cur = cur.next__sci_ListMap();
      continue _apply0
    }
  }
});
$c_sci_ListMap$Node.prototype.size0__p6__sci_ListMap__I__I = (function(cur, acc) {
  _size0: while (true) {
    if (cur.isEmpty__Z()) {
      return acc
    } else {
      var temp$cur = cur.next__sci_ListMap();
      var temp$acc = ((1 + acc) | 0);
      cur = temp$cur;
      acc = temp$acc;
      continue _size0
    }
  }
});
$c_sci_ListMap$Node.prototype.size__I = (function() {
  return this.size0__p6__sci_ListMap__I__I(this, 0)
});
$c_sci_ListMap$Node.prototype.key__O = (function() {
  return this.key$6
});
$c_sci_ListMap$Node.prototype.updated__O__O__sci_ListMap = (function(k, v) {
  var m = this.remove0__p6__O__sci_ListMap__sci_List__sci_ListMap(k, this, $m_sci_Nil$());
  return new $c_sci_ListMap$Node().init___sci_ListMap__O__O(m, k, v)
});
$c_sci_ListMap$Node.prototype.get__O__s_Option = (function(k) {
  return this.get0__p6__sci_ListMap__O__s_Option(this, k)
});
$c_sci_ListMap$Node.prototype.get0__p6__sci_ListMap__O__s_Option = (function(cur, k) {
  _get0: while (true) {
    if ($m_sr_BoxesRunTime$().equals__O__O__Z(k, cur.key__O())) {
      return new $c_s_Some().init___O(cur.value__O())
    } else {
      var this$1 = cur.next__sci_ListMap();
      if ($s_sc_TraversableOnce$class__nonEmpty__sc_TraversableOnce__Z(this$1)) {
        cur = cur.next__sci_ListMap();
        continue _get0
      } else {
        return $m_s_None$()
      }
    }
  }
});
$c_sci_ListMap$Node.prototype.init___sci_ListMap__O__O = (function($$outer, key, value) {
  this.key$6 = key;
  this.value$6 = value;
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$f = $$outer
  };
  return this
});
$c_sci_ListMap$Node.prototype.remove0__p6__O__sci_ListMap__sci_List__sci_ListMap = (function(k, cur, acc) {
  _remove0: while (true) {
    if (cur.isEmpty__Z()) {
      var this$1 = acc;
      return $as_sci_ListMap($s_sc_LinearSeqOptimized$class__last__sc_LinearSeqOptimized__O(this$1))
    } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(k, cur.key__O())) {
      var x$4 = cur.next__sci_ListMap();
      var this$2 = acc;
      var acc$1 = x$4;
      var these = this$2;
      while ((!these.isEmpty__Z())) {
        var arg1 = acc$1;
        var arg2 = these.head__O();
        var x0$1 = $as_sci_ListMap(arg1);
        var x1$1 = $as_sci_ListMap(arg2);
        acc$1 = new $c_sci_ListMap$Node().init___sci_ListMap__O__O(x0$1, x1$1.key__O(), x1$1.value__O());
        these = $as_sc_LinearSeqOptimized(these.tail__O())
      };
      return $as_sci_ListMap(acc$1)
    } else {
      var temp$cur = cur.next__sci_ListMap();
      var x$5 = cur;
      var this$3 = acc;
      var temp$acc = new $c_sci_$colon$colon().init___O__sci_List(x$5, this$3);
      cur = temp$cur;
      acc = temp$acc;
      continue _remove0
    }
  }
});
$c_sci_ListMap$Node.prototype.next__sci_ListMap = (function() {
  return this.$$outer$f
});
var $d_sci_ListMap$Node = new $TypeData().initClass({
  sci_ListMap$Node: 0
}, false, "scala.collection.immutable.ListMap$Node", {
  sci_ListMap$Node: 1,
  sci_ListMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListMap$Node.prototype.$classData = $d_sci_ListMap$Node;
/** @constructor */
function $c_sci_Stream() {
  $c_sc_AbstractSeq.call(this)
}
$c_sci_Stream.prototype = new $h_sc_AbstractSeq();
$c_sci_Stream.prototype.constructor = $c_sci_Stream;
/** @constructor */
function $h_sci_Stream() {
  /*<skip>*/
}
$h_sci_Stream.prototype = $c_sci_Stream.prototype;
$c_sci_Stream.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_Stream.prototype.reverse__sci_Stream = (function() {
  var elem = $m_sci_Stream$Empty$();
  var result = new $c_sr_ObjectRef().init___O(elem);
  var these = this;
  while ((!these.isEmpty__Z())) {
    $m_sci_Stream$();
    var stream = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, result$1) {
      return (function() {
        return $as_sci_Stream(result$1.elem$1)
      })
    })(this, result));
    var r = new $c_sci_Stream$ConsWrapper().init___F0(stream).$$hash$colon$colon__O__sci_Stream(these.head__O());
    r.tail__O();
    result.elem$1 = r;
    these = $as_sci_Stream(these.tail__O())
  };
  return $as_sci_Stream(result.elem$1)
});
$c_sci_Stream.prototype.lengthCompare__I__I = (function(len) {
  return $s_sc_LinearSeqOptimized$class__lengthCompare__sc_LinearSeqOptimized__I__I(this, len)
});
$c_sci_Stream.prototype.apply__O__O = (function(v1) {
  var n = $uI(v1);
  return $s_sc_LinearSeqOptimized$class__apply__sc_LinearSeqOptimized__I__O(this, n)
});
$c_sci_Stream.prototype.sameElements__sc_GenIterable__Z = (function(that) {
  return $s_sc_LinearSeqOptimized$class__sameElements__sc_LinearSeqOptimized__sc_GenIterable__Z(this, that)
});
$c_sci_Stream.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_Stream.prototype.flatMap__F1__scg_CanBuildFrom__O = (function(f, bf) {
  if ($is_sci_Stream$StreamBuilder(bf.apply__O__scm_Builder(this))) {
    if (this.isEmpty__Z()) {
      var x$1 = $m_sci_Stream$Empty$()
    } else {
      var nonEmptyPrefix = new $c_sr_ObjectRef().init___O(this);
      var prefix = $as_sc_GenTraversableOnce(f.apply__O__O($as_sci_Stream(nonEmptyPrefix.elem$1).head__O())).toStream__sci_Stream();
      while (((!$as_sci_Stream(nonEmptyPrefix.elem$1).isEmpty__Z()) && prefix.isEmpty__Z())) {
        nonEmptyPrefix.elem$1 = $as_sci_Stream($as_sci_Stream(nonEmptyPrefix.elem$1).tail__O());
        if ((!$as_sci_Stream(nonEmptyPrefix.elem$1).isEmpty__Z())) {
          prefix = $as_sc_GenTraversableOnce(f.apply__O__O($as_sci_Stream(nonEmptyPrefix.elem$1).head__O())).toStream__sci_Stream()
        }
      };
      var x$1 = ($as_sci_Stream(nonEmptyPrefix.elem$1).isEmpty__Z() ? ($m_sci_Stream$(), $m_sci_Stream$Empty$()) : prefix.append__F0__sci_Stream(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, f$1, nonEmptyPrefix$1) {
        return (function() {
          var x = $as_sci_Stream($as_sci_Stream(nonEmptyPrefix$1.elem$1).tail__O()).flatMap__F1__scg_CanBuildFrom__O(f$1, ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___()));
          return $as_sci_Stream(x)
        })
      })(this, f, nonEmptyPrefix))))
    };
    return x$1
  } else {
    return $s_sc_TraversableLike$class__flatMap__sc_TraversableLike__F1__scg_CanBuildFrom__O(this, f, bf)
  }
});
$c_sci_Stream.prototype.drop__I__sc_LinearSeqOptimized = (function(n) {
  return this.drop__I__sci_Stream(n)
});
$c_sci_Stream.prototype.mkString__T__T = (function(sep) {
  return this.mkString__T__T__T__T("", sep, "")
});
$c_sci_Stream.prototype.mkString__T__T__T__T = (function(start, sep, end) {
  this.force__sci_Stream();
  return $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T(this, start, sep, end)
});
$c_sci_Stream.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_Stream$()
});
$c_sci_Stream.prototype.toString__T = (function() {
  return $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T(this, "Stream(", ", ", ")")
});
$c_sci_Stream.prototype.foreach__F1__V = (function(f) {
  var _$this = this;
  _foreach: while (true) {
    if ((!_$this.isEmpty__Z())) {
      f.apply__O__O(_$this.head__O());
      _$this = $as_sci_Stream(_$this.tail__O());
      continue _foreach
    };
    break
  }
});
$c_sci_Stream.prototype.foldLeft__O__F2__O = (function(z, op) {
  var _$this = this;
  _foldLeft: while (true) {
    if (_$this.isEmpty__Z()) {
      return z
    } else {
      var temp$_$this = $as_sci_Stream(_$this.tail__O());
      var temp$z = op.apply__O__O__O(z, _$this.head__O());
      _$this = temp$_$this;
      z = temp$z;
      continue _foldLeft
    }
  }
});
$c_sci_Stream.prototype.reverse__O = (function() {
  return this.reverse__sci_Stream()
});
$c_sci_Stream.prototype.iterator__sc_Iterator = (function() {
  return new $c_sci_StreamIterator().init___sci_Stream(this)
});
$c_sci_Stream.prototype.seq__sc_Seq = (function() {
  return this
});
$c_sci_Stream.prototype.length__I = (function() {
  var len = 0;
  var left = this;
  while ((!left.isEmpty__Z())) {
    len = ((1 + len) | 0);
    left = $as_sci_Stream(left.tail__O())
  };
  return len
});
$c_sci_Stream.prototype.take__I__O = (function(n) {
  return this.take__I__sci_Stream(n)
});
$c_sci_Stream.prototype.toStream__sci_Stream = (function() {
  return this
});
$c_sci_Stream.prototype.drop__I__sci_Stream = (function(n) {
  var _$this = this;
  _drop: while (true) {
    if (((n <= 0) || _$this.isEmpty__Z())) {
      return _$this
    } else {
      var temp$_$this = $as_sci_Stream(_$this.tail__O());
      var temp$n = (((-1) + n) | 0);
      _$this = temp$_$this;
      n = temp$n;
      continue _drop
    }
  }
});
$c_sci_Stream.prototype.addString__scm_StringBuilder__T__T__T__scm_StringBuilder = (function(b, start, sep, end) {
  b.append__T__scm_StringBuilder(start);
  if ((!this.isEmpty__Z())) {
    b.append__O__scm_StringBuilder(this.head__O());
    var cursor = this;
    var n = 1;
    if (cursor.tailDefined__Z()) {
      var scout = $as_sci_Stream(this.tail__O());
      if (scout.isEmpty__Z()) {
        b.append__T__scm_StringBuilder(end);
        return b
      };
      if ((cursor !== scout)) {
        cursor = scout;
        if (scout.tailDefined__Z()) {
          scout = $as_sci_Stream(scout.tail__O());
          while (((cursor !== scout) && scout.tailDefined__Z())) {
            b.append__T__scm_StringBuilder(sep).append__O__scm_StringBuilder(cursor.head__O());
            n = ((1 + n) | 0);
            cursor = $as_sci_Stream(cursor.tail__O());
            scout = $as_sci_Stream(scout.tail__O());
            if (scout.tailDefined__Z()) {
              scout = $as_sci_Stream(scout.tail__O())
            }
          }
        }
      };
      if ((!scout.tailDefined__Z())) {
        while ((cursor !== scout)) {
          b.append__T__scm_StringBuilder(sep).append__O__scm_StringBuilder(cursor.head__O());
          n = ((1 + n) | 0);
          cursor = $as_sci_Stream(cursor.tail__O())
        };
        var this$1 = cursor;
        if ($s_sc_TraversableOnce$class__nonEmpty__sc_TraversableOnce__Z(this$1)) {
          b.append__T__scm_StringBuilder(sep).append__O__scm_StringBuilder(cursor.head__O())
        }
      } else {
        var runner = this;
        var k = 0;
        while ((runner !== scout)) {
          runner = $as_sci_Stream(runner.tail__O());
          scout = $as_sci_Stream(scout.tail__O());
          k = ((1 + k) | 0)
        };
        if (((cursor === scout) && (k > 0))) {
          b.append__T__scm_StringBuilder(sep).append__O__scm_StringBuilder(cursor.head__O());
          n = ((1 + n) | 0);
          cursor = $as_sci_Stream(cursor.tail__O())
        };
        while ((cursor !== scout)) {
          b.append__T__scm_StringBuilder(sep).append__O__scm_StringBuilder(cursor.head__O());
          n = ((1 + n) | 0);
          cursor = $as_sci_Stream(cursor.tail__O())
        };
        n = ((n - k) | 0)
      }
    };
    if ((!cursor.isEmpty__Z())) {
      if ((!cursor.tailDefined__Z())) {
        b.append__T__scm_StringBuilder(sep).append__T__scm_StringBuilder("?")
      } else {
        b.append__T__scm_StringBuilder(sep).append__T__scm_StringBuilder("...")
      }
    }
  };
  b.append__T__scm_StringBuilder(end);
  return b
});
$c_sci_Stream.prototype.force__sci_Stream = (function() {
  var these = this;
  var those = this;
  if ((!these.isEmpty__Z())) {
    these = $as_sci_Stream(these.tail__O())
  };
  while ((those !== these)) {
    if (these.isEmpty__Z()) {
      return this
    };
    these = $as_sci_Stream(these.tail__O());
    if (these.isEmpty__Z()) {
      return this
    };
    these = $as_sci_Stream(these.tail__O());
    if ((these === those)) {
      return this
    };
    those = $as_sci_Stream(those.tail__O())
  };
  return this
});
$c_sci_Stream.prototype.isDefinedAt__O__Z = (function(x) {
  var x$1 = $uI(x);
  return $s_sc_LinearSeqOptimized$class__isDefinedAt__sc_LinearSeqOptimized__I__Z(this, x$1)
});
$c_sci_Stream.prototype.hashCode__I = (function() {
  return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
});
$c_sci_Stream.prototype.take__I__sci_Stream = (function(n) {
  if (((n <= 0) || this.isEmpty__Z())) {
    $m_sci_Stream$();
    return $m_sci_Stream$Empty$()
  } else if ((n === 1)) {
    var hd = this.head__O();
    var tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        $m_sci_Stream$();
        return $m_sci_Stream$Empty$()
      })
    })(this));
    return new $c_sci_Stream$Cons().init___O__F0(hd, tl)
  } else {
    var hd$1 = this.head__O();
    var tl$1 = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$2$1, n$1) {
      return (function() {
        return $as_sci_Stream(this$2$1.tail__O()).take__I__sci_Stream((((-1) + n$1) | 0))
      })
    })(this, n));
    return new $c_sci_Stream$Cons().init___O__F0(hd$1, tl$1)
  }
});
$c_sci_Stream.prototype.toCollection__O__sc_Seq = (function(repr) {
  var repr$1 = $as_sc_LinearSeqLike(repr);
  return $as_sc_LinearSeq(repr$1)
});
$c_sci_Stream.prototype.append__F0__sci_Stream = (function(rest) {
  if (this.isEmpty__Z()) {
    return $as_sc_GenTraversableOnce(rest.apply__O()).toStream__sci_Stream()
  } else {
    var hd = this.head__O();
    var tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, rest$1) {
      return (function() {
        return $as_sci_Stream($this.tail__O()).append__F0__sci_Stream(rest$1)
      })
    })(this, rest));
    return new $c_sci_Stream$Cons().init___O__F0(hd, tl)
  }
});
$c_sci_Stream.prototype.stringPrefix__T = (function() {
  return "Stream"
});
function $is_sci_Stream(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Stream)))
}
function $as_sci_Stream(obj) {
  return (($is_sci_Stream(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.Stream"))
}
function $isArrayOf_sci_Stream(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Stream)))
}
function $asArrayOf_sci_Stream(obj, depth) {
  return (($isArrayOf_sci_Stream(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.Stream;", depth))
}
/** @constructor */
function $c_sci_HashMap$EmptyHashMap$() {
  $c_sci_HashMap.call(this)
}
$c_sci_HashMap$EmptyHashMap$.prototype = new $h_sci_HashMap();
$c_sci_HashMap$EmptyHashMap$.prototype.constructor = $c_sci_HashMap$EmptyHashMap$;
/** @constructor */
function $h_sci_HashMap$EmptyHashMap$() {
  /*<skip>*/
}
$h_sci_HashMap$EmptyHashMap$.prototype = $c_sci_HashMap$EmptyHashMap$.prototype;
$c_sci_HashMap$EmptyHashMap$.prototype.init___ = (function() {
  return this
});
var $d_sci_HashMap$EmptyHashMap$ = new $TypeData().initClass({
  sci_HashMap$EmptyHashMap$: 0
}, false, "scala.collection.immutable.HashMap$EmptyHashMap$", {
  sci_HashMap$EmptyHashMap$: 1,
  sci_HashMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_HashMap$EmptyHashMap$.prototype.$classData = $d_sci_HashMap$EmptyHashMap$;
var $n_sci_HashMap$EmptyHashMap$ = (void 0);
function $m_sci_HashMap$EmptyHashMap$() {
  if ((!$n_sci_HashMap$EmptyHashMap$)) {
    $n_sci_HashMap$EmptyHashMap$ = new $c_sci_HashMap$EmptyHashMap$().init___()
  };
  return $n_sci_HashMap$EmptyHashMap$
}
/** @constructor */
function $c_sci_HashMap$HashMap1() {
  $c_sci_HashMap.call(this);
  this.key$6 = null;
  this.hash$6 = 0;
  this.value$6 = null;
  this.kv$6 = null
}
$c_sci_HashMap$HashMap1.prototype = new $h_sci_HashMap();
$c_sci_HashMap$HashMap1.prototype.constructor = $c_sci_HashMap$HashMap1;
/** @constructor */
function $h_sci_HashMap$HashMap1() {
  /*<skip>*/
}
$h_sci_HashMap$HashMap1.prototype = $c_sci_HashMap$HashMap1.prototype;
$c_sci_HashMap$HashMap1.prototype.ensurePair__T2 = (function() {
  if ((this.kv$6 !== null)) {
    return this.kv$6
  } else {
    this.kv$6 = new $c_T2().init___O__O(this.key$6, this.value$6);
    return this.kv$6
  }
});
$c_sci_HashMap$HashMap1.prototype.init___O__I__O__T2 = (function(key, hash, value, kv) {
  this.key$6 = key;
  this.hash$6 = hash;
  this.value$6 = value;
  this.kv$6 = kv;
  return this
});
$c_sci_HashMap$HashMap1.prototype.updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap = (function(key, hash, level, value, kv, merger) {
  if (((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6))) {
    if ((merger === null)) {
      return ((this.value$6 === value) ? this : new $c_sci_HashMap$HashMap1().init___O__I__O__T2(key, hash, value, kv))
    } else {
      var nkv = merger.apply__T2__T2__T2(this.ensurePair__T2(), ((kv !== null) ? kv : new $c_T2().init___O__O(key, value)));
      return new $c_sci_HashMap$HashMap1().init___O__I__O__T2(nkv.$$und1$f, hash, nkv.$$und2$f, nkv)
    }
  } else if ((hash !== this.hash$6)) {
    var that = new $c_sci_HashMap$HashMap1().init___O__I__O__T2(key, hash, value, kv);
    return $m_sci_HashMap$().scala$collection$immutable$HashMap$$makeHashTrieMap__I__sci_HashMap__I__sci_HashMap__I__I__sci_HashMap$HashTrieMap(this.hash$6, this, hash, that, level, 2)
  } else {
    var this$2 = $m_sci_ListMap$EmptyListMap$();
    var key$1 = this.key$6;
    var value$1 = this.value$6;
    return new $c_sci_HashMap$HashMapCollision1().init___I__sci_ListMap(hash, new $c_sci_ListMap$Node().init___sci_ListMap__O__O(this$2, key$1, value$1).updated__O__O__sci_ListMap(key, value))
  }
});
$c_sci_HashMap$HashMap1.prototype.get0__O__I__I__s_Option = (function(key, hash, level) {
  return (((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6)) ? new $c_s_Some().init___O(this.value$6) : $m_s_None$())
});
$c_sci_HashMap$HashMap1.prototype.foreach__F1__V = (function(f) {
  f.apply__O__O(this.ensurePair__T2())
});
$c_sci_HashMap$HashMap1.prototype.iterator__sc_Iterator = (function() {
  $m_sc_Iterator$();
  var elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.ensurePair__T2()]);
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, $uI(elems.array$6.length))
});
$c_sci_HashMap$HashMap1.prototype.size__I = (function() {
  return 1
});
function $is_sci_HashMap$HashMap1(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashMap$HashMap1)))
}
function $as_sci_HashMap$HashMap1(obj) {
  return (($is_sci_HashMap$HashMap1(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.HashMap$HashMap1"))
}
function $isArrayOf_sci_HashMap$HashMap1(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashMap$HashMap1)))
}
function $asArrayOf_sci_HashMap$HashMap1(obj, depth) {
  return (($isArrayOf_sci_HashMap$HashMap1(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.HashMap$HashMap1;", depth))
}
var $d_sci_HashMap$HashMap1 = new $TypeData().initClass({
  sci_HashMap$HashMap1: 0
}, false, "scala.collection.immutable.HashMap$HashMap1", {
  sci_HashMap$HashMap1: 1,
  sci_HashMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_HashMap$HashMap1.prototype.$classData = $d_sci_HashMap$HashMap1;
/** @constructor */
function $c_sci_HashMap$HashMapCollision1() {
  $c_sci_HashMap.call(this);
  this.hash$6 = 0;
  this.kvs$6 = null
}
$c_sci_HashMap$HashMapCollision1.prototype = new $h_sci_HashMap();
$c_sci_HashMap$HashMapCollision1.prototype.constructor = $c_sci_HashMap$HashMapCollision1;
/** @constructor */
function $h_sci_HashMap$HashMapCollision1() {
  /*<skip>*/
}
$h_sci_HashMap$HashMapCollision1.prototype = $c_sci_HashMap$HashMapCollision1.prototype;
$c_sci_HashMap$HashMapCollision1.prototype.updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap = (function(key, hash, level, value, kv, merger) {
  if ((hash === this.hash$6)) {
    if ((merger === null)) {
      var jsx$1 = true
    } else {
      var this$1 = this.kvs$6;
      var jsx$1 = (!$s_sc_MapLike$class__contains__sc_MapLike__O__Z(this$1, key))
    };
    if (jsx$1) {
      return new $c_sci_HashMap$HashMapCollision1().init___I__sci_ListMap(hash, this.kvs$6.updated__O__O__sci_ListMap(key, value))
    } else {
      var this$2 = this.kvs$6;
      var kv$1 = merger.apply__T2__T2__T2(new $c_T2().init___O__O(key, this.kvs$6.apply__O__O(key)), kv);
      return new $c_sci_HashMap$HashMapCollision1().init___I__sci_ListMap(hash, this$2.updated__O__O__sci_ListMap(kv$1.$$und1$f, kv$1.$$und2$f))
    }
  } else {
    var that = new $c_sci_HashMap$HashMap1().init___O__I__O__T2(key, hash, value, kv);
    return $m_sci_HashMap$().scala$collection$immutable$HashMap$$makeHashTrieMap__I__sci_HashMap__I__sci_HashMap__I__I__sci_HashMap$HashTrieMap(this.hash$6, this, hash, that, level, ((1 + this.kvs$6.size__I()) | 0))
  }
});
$c_sci_HashMap$HashMapCollision1.prototype.get0__O__I__I__s_Option = (function(key, hash, level) {
  return ((hash === this.hash$6) ? this.kvs$6.get__O__s_Option(key) : $m_s_None$())
});
$c_sci_HashMap$HashMapCollision1.prototype.foreach__F1__V = (function(f) {
  var this$1 = this.kvs$6;
  var this$2 = this$1.iterator__sc_Iterator();
  $s_sc_Iterator$class__foreach__sc_Iterator__F1__V(this$2, f)
});
$c_sci_HashMap$HashMapCollision1.prototype.iterator__sc_Iterator = (function() {
  return this.kvs$6.iterator__sc_Iterator()
});
$c_sci_HashMap$HashMapCollision1.prototype.size__I = (function() {
  return this.kvs$6.size__I()
});
$c_sci_HashMap$HashMapCollision1.prototype.init___I__sci_ListMap = (function(hash, kvs) {
  this.hash$6 = hash;
  this.kvs$6 = kvs;
  return this
});
var $d_sci_HashMap$HashMapCollision1 = new $TypeData().initClass({
  sci_HashMap$HashMapCollision1: 0
}, false, "scala.collection.immutable.HashMap$HashMapCollision1", {
  sci_HashMap$HashMapCollision1: 1,
  sci_HashMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_HashMap$HashMapCollision1.prototype.$classData = $d_sci_HashMap$HashMapCollision1;
/** @constructor */
function $c_sci_HashMap$HashTrieMap() {
  $c_sci_HashMap.call(this);
  this.bitmap$6 = 0;
  this.elems$6 = null;
  this.size0$6 = 0
}
$c_sci_HashMap$HashTrieMap.prototype = new $h_sci_HashMap();
$c_sci_HashMap$HashTrieMap.prototype.constructor = $c_sci_HashMap$HashTrieMap;
/** @constructor */
function $h_sci_HashMap$HashTrieMap() {
  /*<skip>*/
}
$h_sci_HashMap$HashTrieMap.prototype = $c_sci_HashMap$HashTrieMap.prototype;
$c_sci_HashMap$HashTrieMap.prototype.updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap = (function(key, hash, level, value, kv, merger) {
  var index = (31 & ((hash >>> level) | 0));
  var mask = (1 << index);
  var offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$6 & (((-1) + mask) | 0)));
  if (((this.bitmap$6 & mask) !== 0)) {
    var sub = this.elems$6.get(offset);
    var subNew = sub.updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap(key, hash, ((5 + level) | 0), value, kv, merger);
    if ((subNew === sub)) {
      return this
    } else {
      var elemsNew = $newArrayObject($d_sci_HashMap.getArrayOf(), [this.elems$6.u.length]);
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$6, 0, elemsNew, 0, this.elems$6.u.length);
      elemsNew.set(offset, subNew);
      return new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I(this.bitmap$6, elemsNew, ((this.size0$6 + ((subNew.size__I() - sub.size__I()) | 0)) | 0))
    }
  } else {
    var elemsNew$2 = $newArrayObject($d_sci_HashMap.getArrayOf(), [((1 + this.elems$6.u.length) | 0)]);
    $m_s_Array$().copy__O__I__O__I__I__V(this.elems$6, 0, elemsNew$2, 0, offset);
    elemsNew$2.set(offset, new $c_sci_HashMap$HashMap1().init___O__I__O__T2(key, hash, value, kv));
    $m_s_Array$().copy__O__I__O__I__I__V(this.elems$6, offset, elemsNew$2, ((1 + offset) | 0), ((this.elems$6.u.length - offset) | 0));
    return new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I((this.bitmap$6 | mask), elemsNew$2, ((1 + this.size0$6) | 0))
  }
});
$c_sci_HashMap$HashTrieMap.prototype.get0__O__I__I__s_Option = (function(key, hash, level) {
  var index = (31 & ((hash >>> level) | 0));
  var mask = (1 << index);
  if ((this.bitmap$6 === (-1))) {
    return this.elems$6.get((31 & index)).get0__O__I__I__s_Option(key, hash, ((5 + level) | 0))
  } else if (((this.bitmap$6 & mask) !== 0)) {
    var offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$6 & (((-1) + mask) | 0)));
    return this.elems$6.get(offset).get0__O__I__I__s_Option(key, hash, ((5 + level) | 0))
  } else {
    return $m_s_None$()
  }
});
$c_sci_HashMap$HashTrieMap.prototype.foreach__F1__V = (function(f) {
  var i = 0;
  while ((i < this.elems$6.u.length)) {
    this.elems$6.get(i).foreach__F1__V(f);
    i = ((1 + i) | 0)
  }
});
$c_sci_HashMap$HashTrieMap.prototype.iterator__sc_Iterator = (function() {
  return new $c_sci_HashMap$HashTrieMap$$anon$1().init___sci_HashMap$HashTrieMap(this)
});
$c_sci_HashMap$HashTrieMap.prototype.size__I = (function() {
  return this.size0$6
});
$c_sci_HashMap$HashTrieMap.prototype.init___I__Asci_HashMap__I = (function(bitmap, elems, size0) {
  this.bitmap$6 = bitmap;
  this.elems$6 = elems;
  this.size0$6 = size0;
  return this
});
function $is_sci_HashMap$HashTrieMap(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashMap$HashTrieMap)))
}
function $as_sci_HashMap$HashTrieMap(obj) {
  return (($is_sci_HashMap$HashTrieMap(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.HashMap$HashTrieMap"))
}
function $isArrayOf_sci_HashMap$HashTrieMap(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashMap$HashTrieMap)))
}
function $asArrayOf_sci_HashMap$HashTrieMap(obj, depth) {
  return (($isArrayOf_sci_HashMap$HashTrieMap(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.HashMap$HashTrieMap;", depth))
}
var $d_sci_HashMap$HashTrieMap = new $TypeData().initClass({
  sci_HashMap$HashTrieMap: 0
}, false, "scala.collection.immutable.HashMap$HashTrieMap", {
  sci_HashMap$HashTrieMap: 1,
  sci_HashMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_HashMap$HashTrieMap.prototype.$classData = $d_sci_HashMap$HashTrieMap;
/** @constructor */
function $c_sci_Stream$Cons() {
  $c_sci_Stream.call(this);
  this.hd$5 = null;
  this.tlVal$5 = null;
  this.tlGen$5 = null
}
$c_sci_Stream$Cons.prototype = new $h_sci_Stream();
$c_sci_Stream$Cons.prototype.constructor = $c_sci_Stream$Cons;
/** @constructor */
function $h_sci_Stream$Cons() {
  /*<skip>*/
}
$h_sci_Stream$Cons.prototype = $c_sci_Stream$Cons.prototype;
$c_sci_Stream$Cons.prototype.head__O = (function() {
  return this.hd$5
});
$c_sci_Stream$Cons.prototype.tail__sci_Stream = (function() {
  if ((!this.tailDefined__Z())) {
    if ((!this.tailDefined__Z())) {
      this.tlVal$5 = $as_sci_Stream(this.tlGen$5.apply__O());
      this.tlGen$5 = null
    }
  };
  return this.tlVal$5
});
$c_sci_Stream$Cons.prototype.tailDefined__Z = (function() {
  return (this.tlGen$5 === null)
});
$c_sci_Stream$Cons.prototype.isEmpty__Z = (function() {
  return false
});
$c_sci_Stream$Cons.prototype.tail__O = (function() {
  return this.tail__sci_Stream()
});
$c_sci_Stream$Cons.prototype.init___O__F0 = (function(hd, tl) {
  this.hd$5 = hd;
  this.tlGen$5 = tl;
  return this
});
var $d_sci_Stream$Cons = new $TypeData().initClass({
  sci_Stream$Cons: 0
}, false, "scala.collection.immutable.Stream$Cons", {
  sci_Stream$Cons: 1,
  sci_Stream: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_LinearSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_LinearSeq: 1,
  sc_LinearSeqLike: 1,
  sc_LinearSeqOptimized: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Stream$Cons.prototype.$classData = $d_sci_Stream$Cons;
/** @constructor */
function $c_sci_Stream$Empty$() {
  $c_sci_Stream.call(this)
}
$c_sci_Stream$Empty$.prototype = new $h_sci_Stream();
$c_sci_Stream$Empty$.prototype.constructor = $c_sci_Stream$Empty$;
/** @constructor */
function $h_sci_Stream$Empty$() {
  /*<skip>*/
}
$h_sci_Stream$Empty$.prototype = $c_sci_Stream$Empty$.prototype;
$c_sci_Stream$Empty$.prototype.init___ = (function() {
  return this
});
$c_sci_Stream$Empty$.prototype.head__O = (function() {
  this.head__sr_Nothing$()
});
$c_sci_Stream$Empty$.prototype.tailDefined__Z = (function() {
  return false
});
$c_sci_Stream$Empty$.prototype.isEmpty__Z = (function() {
  return true
});
$c_sci_Stream$Empty$.prototype.tail__sr_Nothing$ = (function() {
  throw new $c_jl_UnsupportedOperationException().init___T("tail of empty stream")
});
$c_sci_Stream$Empty$.prototype.head__sr_Nothing$ = (function() {
  throw new $c_ju_NoSuchElementException().init___T("head of empty stream")
});
$c_sci_Stream$Empty$.prototype.tail__O = (function() {
  this.tail__sr_Nothing$()
});
var $d_sci_Stream$Empty$ = new $TypeData().initClass({
  sci_Stream$Empty$: 0
}, false, "scala.collection.immutable.Stream$Empty$", {
  sci_Stream$Empty$: 1,
  sci_Stream: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_LinearSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_LinearSeq: 1,
  sc_LinearSeqLike: 1,
  sc_LinearSeqOptimized: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Stream$Empty$.prototype.$classData = $d_sci_Stream$Empty$;
var $n_sci_Stream$Empty$ = (void 0);
function $m_sci_Stream$Empty$() {
  if ((!$n_sci_Stream$Empty$)) {
    $n_sci_Stream$Empty$ = new $c_sci_Stream$Empty$().init___()
  };
  return $n_sci_Stream$Empty$
}
/** @constructor */
function $c_sci_Vector() {
  $c_sc_AbstractSeq.call(this);
  this.startIndex$4 = 0;
  this.endIndex$4 = 0;
  this.focus$4 = 0;
  this.dirty$4 = false;
  this.depth$4 = 0;
  this.display0$4 = null;
  this.display1$4 = null;
  this.display2$4 = null;
  this.display3$4 = null;
  this.display4$4 = null;
  this.display5$4 = null
}
$c_sci_Vector.prototype = new $h_sc_AbstractSeq();
$c_sci_Vector.prototype.constructor = $c_sci_Vector;
/** @constructor */
function $h_sci_Vector() {
  /*<skip>*/
}
$h_sci_Vector.prototype = $c_sci_Vector.prototype;
$c_sci_Vector.prototype.checkRangeConvert__p4__I__I = (function(index) {
  var idx = ((index + this.startIndex$4) | 0);
  if (((index >= 0) && (idx < this.endIndex$4))) {
    return idx
  } else {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + index))
  }
});
$c_sci_Vector.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_Vector.prototype.display3__AO = (function() {
  return this.display3$4
});
$c_sci_Vector.prototype.head__O = (function() {
  if ($s_sc_SeqLike$class__isEmpty__sc_SeqLike__Z(this)) {
    throw new $c_jl_UnsupportedOperationException().init___T("empty.head")
  };
  return this.apply__I__O(0)
});
$c_sci_Vector.prototype.apply__I__O = (function(index) {
  var idx = this.checkRangeConvert__p4__I__I(index);
  var xor = (idx ^ this.focus$4);
  return $s_sci_VectorPointer$class__getElem__sci_VectorPointer__I__I__O(this, idx, xor)
});
$c_sci_Vector.prototype.lengthCompare__I__I = (function(len) {
  return ((this.length__I() - len) | 0)
});
$c_sci_Vector.prototype.depth__I = (function() {
  return this.depth$4
});
$c_sci_Vector.prototype.apply__O__O = (function(v1) {
  return this.apply__I__O($uI(v1))
});
$c_sci_Vector.prototype.initIterator__sci_VectorIterator__V = (function(s) {
  var depth = this.depth$4;
  $s_sci_VectorPointer$class__initFrom__sci_VectorPointer__sci_VectorPointer__I__V(s, this, depth);
  if (this.dirty$4) {
    var index = this.focus$4;
    $s_sci_VectorPointer$class__stabilize__sci_VectorPointer__I__V(s, index)
  };
  if ((s.depth$2 > 1)) {
    var index$1 = this.startIndex$4;
    var xor = (this.startIndex$4 ^ this.focus$4);
    $s_sci_VectorPointer$class__gotoPos__sci_VectorPointer__I__I__V(s, index$1, xor)
  }
});
$c_sci_Vector.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_Vector.prototype.init___I__I__I = (function(startIndex, endIndex, focus) {
  this.startIndex$4 = startIndex;
  this.endIndex$4 = endIndex;
  this.focus$4 = focus;
  this.dirty$4 = false;
  return this
});
$c_sci_Vector.prototype.display5$und$eq__AO__V = (function(x$1) {
  this.display5$4 = x$1
});
$c_sci_Vector.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_Vector$()
});
$c_sci_Vector.prototype.display0__AO = (function() {
  return this.display0$4
});
$c_sci_Vector.prototype.display4__AO = (function() {
  return this.display4$4
});
$c_sci_Vector.prototype.display2$und$eq__AO__V = (function(x$1) {
  this.display2$4 = x$1
});
$c_sci_Vector.prototype.iterator__sc_Iterator = (function() {
  return this.iterator__sci_VectorIterator()
});
$c_sci_Vector.prototype.display1$und$eq__AO__V = (function(x$1) {
  this.display1$4 = x$1
});
$c_sci_Vector.prototype.seq__sc_Seq = (function() {
  return this
});
$c_sci_Vector.prototype.length__I = (function() {
  return ((this.endIndex$4 - this.startIndex$4) | 0)
});
$c_sci_Vector.prototype.display4$und$eq__AO__V = (function(x$1) {
  this.display4$4 = x$1
});
$c_sci_Vector.prototype.display1__AO = (function() {
  return this.display1$4
});
$c_sci_Vector.prototype.display5__AO = (function() {
  return this.display5$4
});
$c_sci_Vector.prototype.iterator__sci_VectorIterator = (function() {
  var s = new $c_sci_VectorIterator().init___I__I(this.startIndex$4, this.endIndex$4);
  this.initIterator__sci_VectorIterator__V(s);
  return s
});
$c_sci_Vector.prototype.isDefinedAt__O__Z = (function(x) {
  var idx = $uI(x);
  return $s_sc_GenSeqLike$class__isDefinedAt__sc_GenSeqLike__I__Z(this, idx)
});
$c_sci_Vector.prototype.hashCode__I = (function() {
  return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
});
$c_sci_Vector.prototype.depth$und$eq__I__V = (function(x$1) {
  this.depth$4 = x$1
});
$c_sci_Vector.prototype.display2__AO = (function() {
  return this.display2$4
});
$c_sci_Vector.prototype.display0$und$eq__AO__V = (function(x$1) {
  this.display0$4 = x$1
});
$c_sci_Vector.prototype.toCollection__O__sc_Seq = (function(repr) {
  return $as_sc_IndexedSeq(repr)
});
$c_sci_Vector.prototype.display3$und$eq__AO__V = (function(x$1) {
  this.display3$4 = x$1
});
var $d_sci_Vector = new $TypeData().initClass({
  sci_Vector: 0
}, false, "scala.collection.immutable.Vector", {
  sci_Vector: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_IndexedSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  sci_VectorPointer: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_Vector.prototype.$classData = $d_sci_Vector;
/** @constructor */
function $c_sci_WrappedString() {
  $c_sc_AbstractSeq.call(this);
  this.self$4 = null
}
$c_sci_WrappedString.prototype = new $h_sc_AbstractSeq();
$c_sci_WrappedString.prototype.constructor = $c_sci_WrappedString;
/** @constructor */
function $h_sci_WrappedString() {
  /*<skip>*/
}
$h_sci_WrappedString.prototype = $c_sci_WrappedString.prototype;
$c_sci_WrappedString.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_WrappedString.prototype.head__O = (function() {
  return $s_sc_IndexedSeqOptimized$class__head__sc_IndexedSeqOptimized__O(this)
});
$c_sci_WrappedString.prototype.apply__I__O = (function(idx) {
  var thiz = this.self$4;
  var c = (65535 & $uI(thiz.charCodeAt(idx)));
  return new $c_jl_Character().init___C(c)
});
$c_sci_WrappedString.prototype.lengthCompare__I__I = (function(len) {
  return $s_sc_IndexedSeqOptimized$class__lengthCompare__sc_IndexedSeqOptimized__I__I(this, len)
});
$c_sci_WrappedString.prototype.apply__O__O = (function(v1) {
  var n = $uI(v1);
  var thiz = this.self$4;
  var c = (65535 & $uI(thiz.charCodeAt(n)));
  return new $c_jl_Character().init___C(c)
});
$c_sci_WrappedString.prototype.sameElements__sc_GenIterable__Z = (function(that) {
  return $s_sc_IndexedSeqOptimized$class__sameElements__sc_IndexedSeqOptimized__sc_GenIterable__Z(this, that)
});
$c_sci_WrappedString.prototype.isEmpty__Z = (function() {
  return $s_sc_IndexedSeqOptimized$class__isEmpty__sc_IndexedSeqOptimized__Z(this)
});
$c_sci_WrappedString.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_WrappedString.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_IndexedSeq$()
});
$c_sci_WrappedString.prototype.toString__T = (function() {
  return this.self$4
});
$c_sci_WrappedString.prototype.foreach__F1__V = (function(f) {
  $s_sc_IndexedSeqOptimized$class__foreach__sc_IndexedSeqOptimized__F1__V(this, f)
});
$c_sci_WrappedString.prototype.foldLeft__O__F2__O = (function(z, op) {
  var thiz = this.self$4;
  return $s_sc_IndexedSeqOptimized$class__foldl__p0__sc_IndexedSeqOptimized__I__I__O__F2__O(this, 0, $uI(thiz.length), z, op)
});
$c_sci_WrappedString.prototype.reverse__O = (function() {
  return $s_sc_IndexedSeqOptimized$class__reverse__sc_IndexedSeqOptimized__O(this)
});
$c_sci_WrappedString.prototype.iterator__sc_Iterator = (function() {
  var thiz = this.self$4;
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $uI(thiz.length))
});
$c_sci_WrappedString.prototype.length__I = (function() {
  var thiz = this.self$4;
  return $uI(thiz.length)
});
$c_sci_WrappedString.prototype.seq__sc_Seq = (function() {
  return this
});
$c_sci_WrappedString.prototype.isDefinedAt__O__Z = (function(x) {
  var idx = $uI(x);
  return $s_sc_GenSeqLike$class__isDefinedAt__sc_GenSeqLike__I__Z(this, idx)
});
$c_sci_WrappedString.prototype.copyToArray__O__I__I__V = (function(xs, start, len) {
  $s_sc_IndexedSeqOptimized$class__copyToArray__sc_IndexedSeqOptimized__O__I__I__V(this, xs, start, len)
});
$c_sci_WrappedString.prototype.hashCode__I = (function() {
  return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
});
$c_sci_WrappedString.prototype.init___T = (function(self) {
  this.self$4 = self;
  return this
});
$c_sci_WrappedString.prototype.toCollection__O__sc_Seq = (function(repr) {
  var repr$1 = $as_sci_WrappedString(repr);
  return repr$1
});
$c_sci_WrappedString.prototype.newBuilder__scm_Builder = (function() {
  return $m_sci_WrappedString$().newBuilder__scm_Builder()
});
function $is_sci_WrappedString(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_WrappedString)))
}
function $as_sci_WrappedString(obj) {
  return (($is_sci_WrappedString(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.WrappedString"))
}
function $isArrayOf_sci_WrappedString(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_WrappedString)))
}
function $asArrayOf_sci_WrappedString(obj, depth) {
  return (($isArrayOf_sci_WrappedString(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.WrappedString;", depth))
}
var $d_sci_WrappedString = new $TypeData().initClass({
  sci_WrappedString: 0
}, false, "scala.collection.immutable.WrappedString", {
  sci_WrappedString: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_IndexedSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  sci_StringLike: 1,
  sc_IndexedSeqOptimized: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1
});
$c_sci_WrappedString.prototype.$classData = $d_sci_WrappedString;
/** @constructor */
function $c_sci_$colon$colon() {
  $c_sci_List.call(this);
  this.head$5 = null;
  this.tl$5 = null
}
$c_sci_$colon$colon.prototype = new $h_sci_List();
$c_sci_$colon$colon.prototype.constructor = $c_sci_$colon$colon;
/** @constructor */
function $h_sci_$colon$colon() {
  /*<skip>*/
}
$h_sci_$colon$colon.prototype = $c_sci_$colon$colon.prototype;
$c_sci_$colon$colon.prototype.productPrefix__T = (function() {
  return "::"
});
$c_sci_$colon$colon.prototype.head__O = (function() {
  return this.head$5
});
$c_sci_$colon$colon.prototype.productArity__I = (function() {
  return 2
});
$c_sci_$colon$colon.prototype.isEmpty__Z = (function() {
  return false
});
$c_sci_$colon$colon.prototype.tail__sci_List = (function() {
  return this.tl$5
});
$c_sci_$colon$colon.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.head$5;
      break
    }
    case 1: {
      return this.tl$5;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_sci_$colon$colon.prototype.tail__O = (function() {
  return this.tl$5
});
$c_sci_$colon$colon.prototype.init___O__sci_List = (function(head, tl) {
  this.head$5 = head;
  this.tl$5 = tl;
  return this
});
$c_sci_$colon$colon.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_sci_$colon$colon(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_$colon$colon)))
}
function $as_sci_$colon$colon(obj) {
  return (($is_sci_$colon$colon(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.$colon$colon"))
}
function $isArrayOf_sci_$colon$colon(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_$colon$colon)))
}
function $asArrayOf_sci_$colon$colon(obj, depth) {
  return (($isArrayOf_sci_$colon$colon(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.$colon$colon;", depth))
}
var $d_sci_$colon$colon = new $TypeData().initClass({
  sci_$colon$colon: 0
}, false, "scala.collection.immutable.$colon$colon", {
  sci_$colon$colon: 1,
  sci_List: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_LinearSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_LinearSeq: 1,
  sc_LinearSeqLike: 1,
  s_Product: 1,
  sc_LinearSeqOptimized: 1,
  Ljava_io_Serializable: 1,
  s_Serializable: 1
});
$c_sci_$colon$colon.prototype.$classData = $d_sci_$colon$colon;
/** @constructor */
function $c_sci_Nil$() {
  $c_sci_List.call(this)
}
$c_sci_Nil$.prototype = new $h_sci_List();
$c_sci_Nil$.prototype.constructor = $c_sci_Nil$;
/** @constructor */
function $h_sci_Nil$() {
  /*<skip>*/
}
$h_sci_Nil$.prototype = $c_sci_Nil$.prototype;
$c_sci_Nil$.prototype.init___ = (function() {
  return this
});
$c_sci_Nil$.prototype.head__O = (function() {
  this.head__sr_Nothing$()
});
$c_sci_Nil$.prototype.productPrefix__T = (function() {
  return "Nil"
});
$c_sci_Nil$.prototype.productArity__I = (function() {
  return 0
});
$c_sci_Nil$.prototype.equals__O__Z = (function(that) {
  if ($is_sc_GenSeq(that)) {
    var x2 = $as_sc_GenSeq(that);
    return x2.isEmpty__Z()
  } else {
    return false
  }
});
$c_sci_Nil$.prototype.tail__sci_List = (function() {
  throw new $c_jl_UnsupportedOperationException().init___T("tail of empty list")
});
$c_sci_Nil$.prototype.isEmpty__Z = (function() {
  return true
});
$c_sci_Nil$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_sci_Nil$.prototype.head__sr_Nothing$ = (function() {
  throw new $c_ju_NoSuchElementException().init___T("head of empty list")
});
$c_sci_Nil$.prototype.tail__O = (function() {
  return this.tail__sci_List()
});
$c_sci_Nil$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_sci_Nil$ = new $TypeData().initClass({
  sci_Nil$: 0
}, false, "scala.collection.immutable.Nil$", {
  sci_Nil$: 1,
  sci_List: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_LinearSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_LinearSeq: 1,
  sc_LinearSeqLike: 1,
  s_Product: 1,
  sc_LinearSeqOptimized: 1,
  Ljava_io_Serializable: 1,
  s_Serializable: 1
});
$c_sci_Nil$.prototype.$classData = $d_sci_Nil$;
var $n_sci_Nil$ = (void 0);
function $m_sci_Nil$() {
  if ((!$n_sci_Nil$)) {
    $n_sci_Nil$ = new $c_sci_Nil$().init___()
  };
  return $n_sci_Nil$
}
/** @constructor */
function $c_scm_AbstractSet() {
  $c_scm_AbstractIterable.call(this)
}
$c_scm_AbstractSet.prototype = new $h_scm_AbstractIterable();
$c_scm_AbstractSet.prototype.constructor = $c_scm_AbstractSet;
/** @constructor */
function $h_scm_AbstractSet() {
  /*<skip>*/
}
$h_scm_AbstractSet.prototype = $c_scm_AbstractSet.prototype;
$c_scm_AbstractSet.prototype.isEmpty__Z = (function() {
  return $s_sc_SetLike$class__isEmpty__sc_SetLike__Z(this)
});
$c_scm_AbstractSet.prototype.equals__O__Z = (function(that) {
  return $s_sc_GenSetLike$class__equals__sc_GenSetLike__O__Z(this, that)
});
$c_scm_AbstractSet.prototype.toString__T = (function() {
  return $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this)
});
$c_scm_AbstractSet.prototype.subsetOf__sc_GenSet__Z = (function(that) {
  var this$1 = new $c_scm_FlatHashTable$$anon$1().init___scm_FlatHashTable(this);
  return $s_sc_Iterator$class__forall__sc_Iterator__F1__Z(this$1, that)
});
$c_scm_AbstractSet.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_scm_AbstractSet.prototype.hashCode__I = (function() {
  var this$1 = $m_s_util_hashing_MurmurHash3$();
  return this$1.unorderedHash__sc_TraversableOnce__I__I(this, this$1.setSeed$2)
});
$c_scm_AbstractSet.prototype.sizeHint__I__V = (function(size) {
  /*<skip>*/
});
$c_scm_AbstractSet.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_HashSet().init___()
});
$c_scm_AbstractSet.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return $s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs)
});
$c_scm_AbstractSet.prototype.stringPrefix__T = (function() {
  return "Set"
});
/** @constructor */
function $c_scm_AbstractBuffer() {
  $c_scm_AbstractSeq.call(this)
}
$c_scm_AbstractBuffer.prototype = new $h_scm_AbstractSeq();
$c_scm_AbstractBuffer.prototype.constructor = $c_scm_AbstractBuffer;
/** @constructor */
function $h_scm_AbstractBuffer() {
  /*<skip>*/
}
$h_scm_AbstractBuffer.prototype = $c_scm_AbstractBuffer.prototype;
$c_scm_AbstractBuffer.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return $s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs)
});
/** @constructor */
function $c_scm_WrappedArray() {
  $c_scm_AbstractSeq.call(this)
}
$c_scm_WrappedArray.prototype = new $h_scm_AbstractSeq();
$c_scm_WrappedArray.prototype.constructor = $c_scm_WrappedArray;
/** @constructor */
function $h_scm_WrappedArray() {
  /*<skip>*/
}
$h_scm_WrappedArray.prototype = $c_scm_WrappedArray.prototype;
$c_scm_WrappedArray.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_scm_WrappedArray.prototype.head__O = (function() {
  return $s_sc_IndexedSeqOptimized$class__head__sc_IndexedSeqOptimized__O(this)
});
$c_scm_WrappedArray.prototype.lengthCompare__I__I = (function(len) {
  return $s_sc_IndexedSeqOptimized$class__lengthCompare__sc_IndexedSeqOptimized__I__I(this, len)
});
$c_scm_WrappedArray.prototype.sameElements__sc_GenIterable__Z = (function(that) {
  return $s_sc_IndexedSeqOptimized$class__sameElements__sc_IndexedSeqOptimized__sc_GenIterable__Z(this, that)
});
$c_scm_WrappedArray.prototype.isEmpty__Z = (function() {
  return $s_sc_IndexedSeqOptimized$class__isEmpty__sc_IndexedSeqOptimized__Z(this)
});
$c_scm_WrappedArray.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_scm_WrappedArray.prototype.companion__scg_GenericCompanion = (function() {
  return $m_scm_IndexedSeq$()
});
$c_scm_WrappedArray.prototype.foreach__F1__V = (function(f) {
  $s_sc_IndexedSeqOptimized$class__foreach__sc_IndexedSeqOptimized__F1__V(this, f)
});
$c_scm_WrappedArray.prototype.foldLeft__O__F2__O = (function(z, op) {
  return $s_sc_IndexedSeqOptimized$class__foldl__p0__sc_IndexedSeqOptimized__I__I__O__F2__O(this, 0, this.length__I(), z, op)
});
$c_scm_WrappedArray.prototype.reverse__O = (function() {
  return $s_sc_IndexedSeqOptimized$class__reverse__sc_IndexedSeqOptimized__O(this)
});
$c_scm_WrappedArray.prototype.iterator__sc_Iterator = (function() {
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, this.length__I())
});
$c_scm_WrappedArray.prototype.seq__scm_Seq = (function() {
  return this
});
$c_scm_WrappedArray.prototype.seq__sc_Seq = (function() {
  return this
});
$c_scm_WrappedArray.prototype.isDefinedAt__O__Z = (function(x) {
  var idx = $uI(x);
  return $s_sc_GenSeqLike$class__isDefinedAt__sc_GenSeqLike__I__Z(this, idx)
});
$c_scm_WrappedArray.prototype.copyToArray__O__I__I__V = (function(xs, start, len) {
  $s_sc_IndexedSeqOptimized$class__copyToArray__sc_IndexedSeqOptimized__O__I__I__V(this, xs, start, len)
});
$c_scm_WrappedArray.prototype.hashCode__I = (function() {
  return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
});
$c_scm_WrappedArray.prototype.toCollection__O__sc_Seq = (function(repr) {
  var repr$1 = $as_scm_WrappedArray(repr);
  return repr$1
});
$c_scm_WrappedArray.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_WrappedArrayBuilder().init___s_reflect_ClassTag(this.elemTag__s_reflect_ClassTag())
});
$c_scm_WrappedArray.prototype.stringPrefix__T = (function() {
  return "WrappedArray"
});
function $is_scm_WrappedArray(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray)))
}
function $as_scm_WrappedArray(obj) {
  return (($is_scm_WrappedArray(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.mutable.WrappedArray"))
}
function $isArrayOf_scm_WrappedArray(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray)))
}
function $asArrayOf_scm_WrappedArray(obj, depth) {
  return (($isArrayOf_scm_WrappedArray(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.mutable.WrappedArray;", depth))
}
/** @constructor */
function $c_scm_HashSet() {
  $c_scm_AbstractSet.call(this);
  this.$$undloadFactor$5 = 0;
  this.table$5 = null;
  this.tableSize$5 = 0;
  this.threshold$5 = 0;
  this.sizemap$5 = null;
  this.seedvalue$5 = 0
}
$c_scm_HashSet.prototype = new $h_scm_AbstractSet();
$c_scm_HashSet.prototype.constructor = $c_scm_HashSet;
/** @constructor */
function $h_scm_HashSet() {
  /*<skip>*/
}
$h_scm_HashSet.prototype = $c_scm_HashSet.prototype;
$c_scm_HashSet.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_scm_HashSet.prototype.init___ = (function() {
  $c_scm_HashSet.prototype.init___scm_FlatHashTable$Contents.call(this, null);
  return this
});
$c_scm_HashSet.prototype.apply__O__O = (function(v1) {
  return $s_scm_FlatHashTable$class__containsElem__scm_FlatHashTable__O__Z(this, v1)
});
$c_scm_HashSet.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_scm_HashSet.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__O__scm_HashSet(elem)
});
$c_scm_HashSet.prototype.companion__scg_GenericCompanion = (function() {
  return $m_scm_HashSet$()
});
$c_scm_HashSet.prototype.foreach__F1__V = (function(f) {
  var i = 0;
  var len = this.table$5.u.length;
  while ((i < len)) {
    var curEntry = this.table$5.get(i);
    if ((curEntry !== null)) {
      f.apply__O__O($s_scm_FlatHashTable$HashUtils$class__entryToElem__scm_FlatHashTable$HashUtils__O__O(this, curEntry))
    };
    i = ((1 + i) | 0)
  }
});
$c_scm_HashSet.prototype.size__I = (function() {
  return this.tableSize$5
});
$c_scm_HashSet.prototype.result__O = (function() {
  return this
});
$c_scm_HashSet.prototype.iterator__sc_Iterator = (function() {
  return new $c_scm_FlatHashTable$$anon$1().init___scm_FlatHashTable(this)
});
$c_scm_HashSet.prototype.init___scm_FlatHashTable$Contents = (function(contents) {
  $s_scm_FlatHashTable$class__$$init$__scm_FlatHashTable__V(this);
  $s_scm_FlatHashTable$class__initWithContents__scm_FlatHashTable__scm_FlatHashTable$Contents__V(this, contents);
  return this
});
$c_scm_HashSet.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__O__scm_HashSet(elem)
});
$c_scm_HashSet.prototype.$$plus__O__sc_Set = (function(elem) {
  var this$1 = new $c_scm_HashSet().init___();
  var this$2 = $as_scm_HashSet($s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this$1, this));
  return this$2.$$plus$eq__O__scm_HashSet(elem)
});
$c_scm_HashSet.prototype.$$plus$eq__O__scm_HashSet = (function(elem) {
  $s_scm_FlatHashTable$class__addElem__scm_FlatHashTable__O__Z(this, elem);
  return this
});
function $is_scm_HashSet(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_HashSet)))
}
function $as_scm_HashSet(obj) {
  return (($is_scm_HashSet(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.mutable.HashSet"))
}
function $isArrayOf_scm_HashSet(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_HashSet)))
}
function $asArrayOf_scm_HashSet(obj, depth) {
  return (($isArrayOf_scm_HashSet(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.mutable.HashSet;", depth))
}
var $d_scm_HashSet = new $TypeData().initClass({
  scm_HashSet: 0
}, false, "scala.collection.mutable.HashSet", {
  scm_HashSet: 1,
  scm_AbstractSet: 1,
  scm_AbstractIterable: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_Set: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  scm_SetLike: 1,
  sc_script_Scriptable: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_FlatHashTable: 1,
  scm_FlatHashTable$HashUtils: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_HashSet.prototype.$classData = $d_scm_HashSet;
/** @constructor */
function $c_scm_WrappedArray$ofBoolean() {
  $c_scm_WrappedArray.call(this);
  this.array$6 = null
}
$c_scm_WrappedArray$ofBoolean.prototype = new $h_scm_WrappedArray();
$c_scm_WrappedArray$ofBoolean.prototype.constructor = $c_scm_WrappedArray$ofBoolean;
/** @constructor */
function $h_scm_WrappedArray$ofBoolean() {
  /*<skip>*/
}
$h_scm_WrappedArray$ofBoolean.prototype = $c_scm_WrappedArray$ofBoolean.prototype;
$c_scm_WrappedArray$ofBoolean.prototype.apply__I__O = (function(index) {
  return this.apply$mcZI$sp__I__Z(index)
});
$c_scm_WrappedArray$ofBoolean.prototype.apply__O__O = (function(v1) {
  var index = $uI(v1);
  return this.apply$mcZI$sp__I__Z(index)
});
$c_scm_WrappedArray$ofBoolean.prototype.update__I__O__V = (function(index, elem) {
  this.update__I__Z__V(index, $uZ(elem))
});
$c_scm_WrappedArray$ofBoolean.prototype.apply$mcZI$sp__I__Z = (function(index) {
  return this.array$6.get(index)
});
$c_scm_WrappedArray$ofBoolean.prototype.length__I = (function() {
  return this.array$6.u.length
});
$c_scm_WrappedArray$ofBoolean.prototype.update__I__Z__V = (function(index, elem) {
  this.array$6.set(index, elem)
});
$c_scm_WrappedArray$ofBoolean.prototype.elemTag__s_reflect_ClassTag = (function() {
  return $m_s_reflect_ManifestFactory$BooleanManifest$()
});
$c_scm_WrappedArray$ofBoolean.prototype.init___AZ = (function(array) {
  this.array$6 = array;
  return this
});
$c_scm_WrappedArray$ofBoolean.prototype.array__O = (function() {
  return this.array$6
});
var $d_scm_WrappedArray$ofBoolean = new $TypeData().initClass({
  scm_WrappedArray$ofBoolean: 0
}, false, "scala.collection.mutable.WrappedArray$ofBoolean", {
  scm_WrappedArray$ofBoolean: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofBoolean.prototype.$classData = $d_scm_WrappedArray$ofBoolean;
/** @constructor */
function $c_scm_WrappedArray$ofByte() {
  $c_scm_WrappedArray.call(this);
  this.array$6 = null
}
$c_scm_WrappedArray$ofByte.prototype = new $h_scm_WrappedArray();
$c_scm_WrappedArray$ofByte.prototype.constructor = $c_scm_WrappedArray$ofByte;
/** @constructor */
function $h_scm_WrappedArray$ofByte() {
  /*<skip>*/
}
$h_scm_WrappedArray$ofByte.prototype = $c_scm_WrappedArray$ofByte.prototype;
$c_scm_WrappedArray$ofByte.prototype.apply__I__O = (function(index) {
  return this.apply__I__B(index)
});
$c_scm_WrappedArray$ofByte.prototype.apply__O__O = (function(v1) {
  return this.apply__I__B($uI(v1))
});
$c_scm_WrappedArray$ofByte.prototype.update__I__O__V = (function(index, elem) {
  this.update__I__B__V(index, $uB(elem))
});
$c_scm_WrappedArray$ofByte.prototype.apply__I__B = (function(index) {
  return this.array$6.get(index)
});
$c_scm_WrappedArray$ofByte.prototype.length__I = (function() {
  return this.array$6.u.length
});
$c_scm_WrappedArray$ofByte.prototype.elemTag__s_reflect_ClassTag = (function() {
  return $m_s_reflect_ManifestFactory$ByteManifest$()
});
$c_scm_WrappedArray$ofByte.prototype.array__O = (function() {
  return this.array$6
});
$c_scm_WrappedArray$ofByte.prototype.init___AB = (function(array) {
  this.array$6 = array;
  return this
});
$c_scm_WrappedArray$ofByte.prototype.update__I__B__V = (function(index, elem) {
  this.array$6.set(index, elem)
});
var $d_scm_WrappedArray$ofByte = new $TypeData().initClass({
  scm_WrappedArray$ofByte: 0
}, false, "scala.collection.mutable.WrappedArray$ofByte", {
  scm_WrappedArray$ofByte: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofByte.prototype.$classData = $d_scm_WrappedArray$ofByte;
/** @constructor */
function $c_scm_WrappedArray$ofChar() {
  $c_scm_WrappedArray.call(this);
  this.array$6 = null
}
$c_scm_WrappedArray$ofChar.prototype = new $h_scm_WrappedArray();
$c_scm_WrappedArray$ofChar.prototype.constructor = $c_scm_WrappedArray$ofChar;
/** @constructor */
function $h_scm_WrappedArray$ofChar() {
  /*<skip>*/
}
$h_scm_WrappedArray$ofChar.prototype = $c_scm_WrappedArray$ofChar.prototype;
$c_scm_WrappedArray$ofChar.prototype.apply__I__O = (function(index) {
  var c = this.apply__I__C(index);
  return new $c_jl_Character().init___C(c)
});
$c_scm_WrappedArray$ofChar.prototype.apply__O__O = (function(v1) {
  var c = this.apply__I__C($uI(v1));
  return new $c_jl_Character().init___C(c)
});
$c_scm_WrappedArray$ofChar.prototype.update__I__O__V = (function(index, elem) {
  if ((elem === null)) {
    var jsx$1 = 0
  } else {
    var this$2 = $as_jl_Character(elem);
    var jsx$1 = this$2.value$1
  };
  this.update__I__C__V(index, jsx$1)
});
$c_scm_WrappedArray$ofChar.prototype.apply__I__C = (function(index) {
  return this.array$6.get(index)
});
$c_scm_WrappedArray$ofChar.prototype.update__I__C__V = (function(index, elem) {
  this.array$6.set(index, elem)
});
$c_scm_WrappedArray$ofChar.prototype.init___AC = (function(array) {
  this.array$6 = array;
  return this
});
$c_scm_WrappedArray$ofChar.prototype.length__I = (function() {
  return this.array$6.u.length
});
$c_scm_WrappedArray$ofChar.prototype.elemTag__s_reflect_ClassTag = (function() {
  return $m_s_reflect_ManifestFactory$CharManifest$()
});
$c_scm_WrappedArray$ofChar.prototype.array__O = (function() {
  return this.array$6
});
var $d_scm_WrappedArray$ofChar = new $TypeData().initClass({
  scm_WrappedArray$ofChar: 0
}, false, "scala.collection.mutable.WrappedArray$ofChar", {
  scm_WrappedArray$ofChar: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofChar.prototype.$classData = $d_scm_WrappedArray$ofChar;
/** @constructor */
function $c_scm_WrappedArray$ofDouble() {
  $c_scm_WrappedArray.call(this);
  this.array$6 = null
}
$c_scm_WrappedArray$ofDouble.prototype = new $h_scm_WrappedArray();
$c_scm_WrappedArray$ofDouble.prototype.constructor = $c_scm_WrappedArray$ofDouble;
/** @constructor */
function $h_scm_WrappedArray$ofDouble() {
  /*<skip>*/
}
$h_scm_WrappedArray$ofDouble.prototype = $c_scm_WrappedArray$ofDouble.prototype;
$c_scm_WrappedArray$ofDouble.prototype.apply__I__O = (function(index) {
  return this.apply$mcDI$sp__I__D(index)
});
$c_scm_WrappedArray$ofDouble.prototype.apply__O__O = (function(v1) {
  var index = $uI(v1);
  return this.apply$mcDI$sp__I__D(index)
});
$c_scm_WrappedArray$ofDouble.prototype.update__I__O__V = (function(index, elem) {
  this.update__I__D__V(index, $uD(elem))
});
$c_scm_WrappedArray$ofDouble.prototype.init___AD = (function(array) {
  this.array$6 = array;
  return this
});
$c_scm_WrappedArray$ofDouble.prototype.length__I = (function() {
  return this.array$6.u.length
});
$c_scm_WrappedArray$ofDouble.prototype.update__I__D__V = (function(index, elem) {
  this.array$6.set(index, elem)
});
$c_scm_WrappedArray$ofDouble.prototype.elemTag__s_reflect_ClassTag = (function() {
  return $m_s_reflect_ManifestFactory$DoubleManifest$()
});
$c_scm_WrappedArray$ofDouble.prototype.array__O = (function() {
  return this.array$6
});
$c_scm_WrappedArray$ofDouble.prototype.apply$mcDI$sp__I__D = (function(index) {
  return this.array$6.get(index)
});
var $d_scm_WrappedArray$ofDouble = new $TypeData().initClass({
  scm_WrappedArray$ofDouble: 0
}, false, "scala.collection.mutable.WrappedArray$ofDouble", {
  scm_WrappedArray$ofDouble: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofDouble.prototype.$classData = $d_scm_WrappedArray$ofDouble;
/** @constructor */
function $c_scm_WrappedArray$ofFloat() {
  $c_scm_WrappedArray.call(this);
  this.array$6 = null
}
$c_scm_WrappedArray$ofFloat.prototype = new $h_scm_WrappedArray();
$c_scm_WrappedArray$ofFloat.prototype.constructor = $c_scm_WrappedArray$ofFloat;
/** @constructor */
function $h_scm_WrappedArray$ofFloat() {
  /*<skip>*/
}
$h_scm_WrappedArray$ofFloat.prototype = $c_scm_WrappedArray$ofFloat.prototype;
$c_scm_WrappedArray$ofFloat.prototype.apply__I__O = (function(index) {
  return this.apply$mcFI$sp__I__F(index)
});
$c_scm_WrappedArray$ofFloat.prototype.apply__O__O = (function(v1) {
  var index = $uI(v1);
  return this.apply$mcFI$sp__I__F(index)
});
$c_scm_WrappedArray$ofFloat.prototype.update__I__O__V = (function(index, elem) {
  this.update__I__F__V(index, $uF(elem))
});
$c_scm_WrappedArray$ofFloat.prototype.init___AF = (function(array) {
  this.array$6 = array;
  return this
});
$c_scm_WrappedArray$ofFloat.prototype.apply$mcFI$sp__I__F = (function(index) {
  return this.array$6.get(index)
});
$c_scm_WrappedArray$ofFloat.prototype.length__I = (function() {
  return this.array$6.u.length
});
$c_scm_WrappedArray$ofFloat.prototype.update__I__F__V = (function(index, elem) {
  this.array$6.set(index, elem)
});
$c_scm_WrappedArray$ofFloat.prototype.elemTag__s_reflect_ClassTag = (function() {
  return $m_s_reflect_ManifestFactory$FloatManifest$()
});
$c_scm_WrappedArray$ofFloat.prototype.array__O = (function() {
  return this.array$6
});
var $d_scm_WrappedArray$ofFloat = new $TypeData().initClass({
  scm_WrappedArray$ofFloat: 0
}, false, "scala.collection.mutable.WrappedArray$ofFloat", {
  scm_WrappedArray$ofFloat: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofFloat.prototype.$classData = $d_scm_WrappedArray$ofFloat;
/** @constructor */
function $c_scm_WrappedArray$ofInt() {
  $c_scm_WrappedArray.call(this);
  this.array$6 = null
}
$c_scm_WrappedArray$ofInt.prototype = new $h_scm_WrappedArray();
$c_scm_WrappedArray$ofInt.prototype.constructor = $c_scm_WrappedArray$ofInt;
/** @constructor */
function $h_scm_WrappedArray$ofInt() {
  /*<skip>*/
}
$h_scm_WrappedArray$ofInt.prototype = $c_scm_WrappedArray$ofInt.prototype;
$c_scm_WrappedArray$ofInt.prototype.apply__I__O = (function(index) {
  return this.apply$mcII$sp__I__I(index)
});
$c_scm_WrappedArray$ofInt.prototype.apply__O__O = (function(v1) {
  var index = $uI(v1);
  return this.apply$mcII$sp__I__I(index)
});
$c_scm_WrappedArray$ofInt.prototype.update__I__O__V = (function(index, elem) {
  this.update__I__I__V(index, $uI(elem))
});
$c_scm_WrappedArray$ofInt.prototype.update__I__I__V = (function(index, elem) {
  this.array$6.set(index, elem)
});
$c_scm_WrappedArray$ofInt.prototype.apply$mcII$sp__I__I = (function(index) {
  return this.array$6.get(index)
});
$c_scm_WrappedArray$ofInt.prototype.init___AI = (function(array) {
  this.array$6 = array;
  return this
});
$c_scm_WrappedArray$ofInt.prototype.length__I = (function() {
  return this.array$6.u.length
});
$c_scm_WrappedArray$ofInt.prototype.elemTag__s_reflect_ClassTag = (function() {
  return $m_s_reflect_ManifestFactory$IntManifest$()
});
$c_scm_WrappedArray$ofInt.prototype.array__O = (function() {
  return this.array$6
});
var $d_scm_WrappedArray$ofInt = new $TypeData().initClass({
  scm_WrappedArray$ofInt: 0
}, false, "scala.collection.mutable.WrappedArray$ofInt", {
  scm_WrappedArray$ofInt: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofInt.prototype.$classData = $d_scm_WrappedArray$ofInt;
/** @constructor */
function $c_scm_WrappedArray$ofLong() {
  $c_scm_WrappedArray.call(this);
  this.array$6 = null
}
$c_scm_WrappedArray$ofLong.prototype = new $h_scm_WrappedArray();
$c_scm_WrappedArray$ofLong.prototype.constructor = $c_scm_WrappedArray$ofLong;
/** @constructor */
function $h_scm_WrappedArray$ofLong() {
  /*<skip>*/
}
$h_scm_WrappedArray$ofLong.prototype = $c_scm_WrappedArray$ofLong.prototype;
$c_scm_WrappedArray$ofLong.prototype.apply__I__O = (function(index) {
  return this.apply$mcJI$sp__I__J(index)
});
$c_scm_WrappedArray$ofLong.prototype.apply__O__O = (function(v1) {
  var index = $uI(v1);
  return this.apply$mcJI$sp__I__J(index)
});
$c_scm_WrappedArray$ofLong.prototype.init___AJ = (function(array) {
  this.array$6 = array;
  return this
});
$c_scm_WrappedArray$ofLong.prototype.update__I__O__V = (function(index, elem) {
  this.update__I__J__V(index, $uJ(elem))
});
$c_scm_WrappedArray$ofLong.prototype.length__I = (function() {
  return this.array$6.u.length
});
$c_scm_WrappedArray$ofLong.prototype.update__I__J__V = (function(index, elem) {
  this.array$6.set(index, elem)
});
$c_scm_WrappedArray$ofLong.prototype.elemTag__s_reflect_ClassTag = (function() {
  return $m_s_reflect_ManifestFactory$LongManifest$()
});
$c_scm_WrappedArray$ofLong.prototype.array__O = (function() {
  return this.array$6
});
$c_scm_WrappedArray$ofLong.prototype.apply$mcJI$sp__I__J = (function(index) {
  return this.array$6.get(index)
});
var $d_scm_WrappedArray$ofLong = new $TypeData().initClass({
  scm_WrappedArray$ofLong: 0
}, false, "scala.collection.mutable.WrappedArray$ofLong", {
  scm_WrappedArray$ofLong: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofLong.prototype.$classData = $d_scm_WrappedArray$ofLong;
/** @constructor */
function $c_scm_WrappedArray$ofRef() {
  $c_scm_WrappedArray.call(this);
  this.array$6 = null;
  this.elemTag$6 = null;
  this.bitmap$0$6 = false
}
$c_scm_WrappedArray$ofRef.prototype = new $h_scm_WrappedArray();
$c_scm_WrappedArray$ofRef.prototype.constructor = $c_scm_WrappedArray$ofRef;
/** @constructor */
function $h_scm_WrappedArray$ofRef() {
  /*<skip>*/
}
$h_scm_WrappedArray$ofRef.prototype = $c_scm_WrappedArray$ofRef.prototype;
$c_scm_WrappedArray$ofRef.prototype.apply__O__O = (function(v1) {
  return this.apply__I__O($uI(v1))
});
$c_scm_WrappedArray$ofRef.prototype.apply__I__O = (function(index) {
  return this.array$6.get(index)
});
$c_scm_WrappedArray$ofRef.prototype.update__I__O__V = (function(index, elem) {
  this.array$6.set(index, elem)
});
$c_scm_WrappedArray$ofRef.prototype.elemTag$lzycompute__p6__s_reflect_ClassTag = (function() {
  if ((!this.bitmap$0$6)) {
    var jsx$1 = $m_s_reflect_ClassTag$();
    var this$1 = this.array$6;
    var schematic = $objectGetClass(this$1);
    this.elemTag$6 = jsx$1.apply__jl_Class__s_reflect_ClassTag(schematic.getComponentType__jl_Class());
    this.bitmap$0$6 = true
  };
  return this.elemTag$6
});
$c_scm_WrappedArray$ofRef.prototype.init___AO = (function(array) {
  this.array$6 = array;
  return this
});
$c_scm_WrappedArray$ofRef.prototype.length__I = (function() {
  return this.array$6.u.length
});
$c_scm_WrappedArray$ofRef.prototype.elemTag__s_reflect_ClassTag = (function() {
  return ((!this.bitmap$0$6) ? this.elemTag$lzycompute__p6__s_reflect_ClassTag() : this.elemTag$6)
});
$c_scm_WrappedArray$ofRef.prototype.array__O = (function() {
  return this.array$6
});
function $is_scm_WrappedArray$ofRef(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray$ofRef)))
}
function $as_scm_WrappedArray$ofRef(obj) {
  return (($is_scm_WrappedArray$ofRef(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.mutable.WrappedArray$ofRef"))
}
function $isArrayOf_scm_WrappedArray$ofRef(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray$ofRef)))
}
function $asArrayOf_scm_WrappedArray$ofRef(obj, depth) {
  return (($isArrayOf_scm_WrappedArray$ofRef(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.mutable.WrappedArray$ofRef;", depth))
}
var $d_scm_WrappedArray$ofRef = new $TypeData().initClass({
  scm_WrappedArray$ofRef: 0
}, false, "scala.collection.mutable.WrappedArray$ofRef", {
  scm_WrappedArray$ofRef: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofRef.prototype.$classData = $d_scm_WrappedArray$ofRef;
/** @constructor */
function $c_scm_WrappedArray$ofShort() {
  $c_scm_WrappedArray.call(this);
  this.array$6 = null
}
$c_scm_WrappedArray$ofShort.prototype = new $h_scm_WrappedArray();
$c_scm_WrappedArray$ofShort.prototype.constructor = $c_scm_WrappedArray$ofShort;
/** @constructor */
function $h_scm_WrappedArray$ofShort() {
  /*<skip>*/
}
$h_scm_WrappedArray$ofShort.prototype = $c_scm_WrappedArray$ofShort.prototype;
$c_scm_WrappedArray$ofShort.prototype.apply__I__O = (function(index) {
  return this.apply__I__S(index)
});
$c_scm_WrappedArray$ofShort.prototype.apply__O__O = (function(v1) {
  return this.apply__I__S($uI(v1))
});
$c_scm_WrappedArray$ofShort.prototype.init___AS = (function(array) {
  this.array$6 = array;
  return this
});
$c_scm_WrappedArray$ofShort.prototype.update__I__O__V = (function(index, elem) {
  this.update__I__S__V(index, $uS(elem))
});
$c_scm_WrappedArray$ofShort.prototype.update__I__S__V = (function(index, elem) {
  this.array$6.set(index, elem)
});
$c_scm_WrappedArray$ofShort.prototype.length__I = (function() {
  return this.array$6.u.length
});
$c_scm_WrappedArray$ofShort.prototype.elemTag__s_reflect_ClassTag = (function() {
  return $m_s_reflect_ManifestFactory$ShortManifest$()
});
$c_scm_WrappedArray$ofShort.prototype.array__O = (function() {
  return this.array$6
});
$c_scm_WrappedArray$ofShort.prototype.apply__I__S = (function(index) {
  return this.array$6.get(index)
});
var $d_scm_WrappedArray$ofShort = new $TypeData().initClass({
  scm_WrappedArray$ofShort: 0
}, false, "scala.collection.mutable.WrappedArray$ofShort", {
  scm_WrappedArray$ofShort: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofShort.prototype.$classData = $d_scm_WrappedArray$ofShort;
/** @constructor */
function $c_scm_WrappedArray$ofUnit() {
  $c_scm_WrappedArray.call(this);
  this.array$6 = null
}
$c_scm_WrappedArray$ofUnit.prototype = new $h_scm_WrappedArray();
$c_scm_WrappedArray$ofUnit.prototype.constructor = $c_scm_WrappedArray$ofUnit;
/** @constructor */
function $h_scm_WrappedArray$ofUnit() {
  /*<skip>*/
}
$h_scm_WrappedArray$ofUnit.prototype = $c_scm_WrappedArray$ofUnit.prototype;
$c_scm_WrappedArray$ofUnit.prototype.apply__I__O = (function(index) {
  this.apply$mcVI$sp__I__V(index)
});
$c_scm_WrappedArray$ofUnit.prototype.apply__O__O = (function(v1) {
  var index = $uI(v1);
  this.apply$mcVI$sp__I__V(index)
});
$c_scm_WrappedArray$ofUnit.prototype.apply$mcVI$sp__I__V = (function(index) {
  this.array$6.get(index)
});
$c_scm_WrappedArray$ofUnit.prototype.update__I__O__V = (function(index, elem) {
  this.update__I__sr_BoxedUnit__V(index, $asUnit(elem))
});
$c_scm_WrappedArray$ofUnit.prototype.length__I = (function() {
  return this.array$6.u.length
});
$c_scm_WrappedArray$ofUnit.prototype.init___Asr_BoxedUnit = (function(array) {
  this.array$6 = array;
  return this
});
$c_scm_WrappedArray$ofUnit.prototype.elemTag__s_reflect_ClassTag = (function() {
  return $m_s_reflect_ManifestFactory$UnitManifest$()
});
$c_scm_WrappedArray$ofUnit.prototype.array__O = (function() {
  return this.array$6
});
$c_scm_WrappedArray$ofUnit.prototype.update__I__sr_BoxedUnit__V = (function(index, elem) {
  this.array$6.set(index, elem)
});
var $d_scm_WrappedArray$ofUnit = new $TypeData().initClass({
  scm_WrappedArray$ofUnit: 0
}, false, "scala.collection.mutable.WrappedArray$ofUnit", {
  scm_WrappedArray$ofUnit: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofUnit.prototype.$classData = $d_scm_WrappedArray$ofUnit;
/** @constructor */
function $c_scm_ListBuffer() {
  $c_scm_AbstractBuffer.call(this);
  this.scala$collection$mutable$ListBuffer$$start$6 = null;
  this.last0$6 = null;
  this.exported$6 = false;
  this.len$6 = 0
}
$c_scm_ListBuffer.prototype = new $h_scm_AbstractBuffer();
$c_scm_ListBuffer.prototype.constructor = $c_scm_ListBuffer;
/** @constructor */
function $h_scm_ListBuffer() {
  /*<skip>*/
}
$h_scm_ListBuffer.prototype = $c_scm_ListBuffer.prototype;
$c_scm_ListBuffer.prototype.copy__p6__V = (function() {
  if (this.scala$collection$mutable$ListBuffer$$start$6.isEmpty__Z()) {
    return (void 0)
  };
  var cursor = this.scala$collection$mutable$ListBuffer$$start$6;
  var this$1 = this.last0$6;
  var limit = this$1.tl$5;
  this.clear__V();
  while ((cursor !== limit)) {
    this.$$plus$eq__O__scm_ListBuffer(cursor.head__O());
    var this$2 = cursor;
    cursor = this$2.tail__sci_List()
  }
});
$c_scm_ListBuffer.prototype.init___ = (function() {
  this.scala$collection$mutable$ListBuffer$$start$6 = $m_sci_Nil$();
  this.exported$6 = false;
  this.len$6 = 0;
  return this
});
$c_scm_ListBuffer.prototype.head__O = (function() {
  return this.scala$collection$mutable$ListBuffer$$start$6.head__O()
});
$c_scm_ListBuffer.prototype.apply__I__O = (function(n) {
  if (((n < 0) || (n >= this.len$6))) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + n))
  } else {
    var this$2 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $s_sc_LinearSeqOptimized$class__apply__sc_LinearSeqOptimized__I__O(this$2, n)
  }
});
$c_scm_ListBuffer.prototype.lengthCompare__I__I = (function(len) {
  var this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
  return $s_sc_LinearSeqOptimized$class__lengthCompare__sc_LinearSeqOptimized__I__I(this$1, len)
});
$c_scm_ListBuffer.prototype.sameElements__sc_GenIterable__Z = (function(that) {
  var this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
  return $s_sc_LinearSeqOptimized$class__sameElements__sc_LinearSeqOptimized__sc_GenIterable__Z(this$1, that)
});
$c_scm_ListBuffer.prototype.apply__O__O = (function(v1) {
  return this.apply__I__O($uI(v1))
});
$c_scm_ListBuffer.prototype.isEmpty__Z = (function() {
  return this.scala$collection$mutable$ListBuffer$$start$6.isEmpty__Z()
});
$c_scm_ListBuffer.prototype.toList__sci_List = (function() {
  this.exported$6 = (!this.scala$collection$mutable$ListBuffer$$start$6.isEmpty__Z());
  return this.scala$collection$mutable$ListBuffer$$start$6
});
$c_scm_ListBuffer.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_scm_ListBuffer.prototype.equals__O__Z = (function(that) {
  if ($is_scm_ListBuffer(that)) {
    var x2 = $as_scm_ListBuffer(that);
    return this.scala$collection$mutable$ListBuffer$$start$6.equals__O__Z(x2.scala$collection$mutable$ListBuffer$$start$6)
  } else {
    return $s_sc_GenSeqLike$class__equals__sc_GenSeqLike__O__Z(this, that)
  }
});
$c_scm_ListBuffer.prototype.mkString__T__T__T__T = (function(start, sep, end) {
  var this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
  return $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T(this$1, start, sep, end)
});
$c_scm_ListBuffer.prototype.mkString__T__T = (function(sep) {
  var this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
  return $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T(this$1, "", sep, "")
});
$c_scm_ListBuffer.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__O__scm_ListBuffer(elem)
});
$c_scm_ListBuffer.prototype.companion__scg_GenericCompanion = (function() {
  return $m_scm_ListBuffer$()
});
$c_scm_ListBuffer.prototype.foreach__F1__V = (function(f) {
  var this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
  var these = this$1;
  while ((!these.isEmpty__Z())) {
    f.apply__O__O(these.head__O());
    var this$2 = these;
    these = this$2.tail__sci_List()
  }
});
$c_scm_ListBuffer.prototype.foldLeft__O__F2__O = (function(z, op) {
  var this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
  return $s_sc_LinearSeqOptimized$class__foldLeft__sc_LinearSeqOptimized__O__F2__O(this$1, z, op)
});
$c_scm_ListBuffer.prototype.size__I = (function() {
  return this.len$6
});
$c_scm_ListBuffer.prototype.result__O = (function() {
  return this.toList__sci_List()
});
$c_scm_ListBuffer.prototype.iterator__sc_Iterator = (function() {
  return new $c_scm_ListBuffer$$anon$1().init___scm_ListBuffer(this)
});
$c_scm_ListBuffer.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_scm_ListBuffer.prototype.length__I = (function() {
  return this.len$6
});
$c_scm_ListBuffer.prototype.seq__sc_Seq = (function() {
  return this
});
$c_scm_ListBuffer.prototype.toStream__sci_Stream = (function() {
  return this.scala$collection$mutable$ListBuffer$$start$6.toStream__sci_Stream()
});
$c_scm_ListBuffer.prototype.prependToList__sci_List__sci_List = (function(xs) {
  if (this.scala$collection$mutable$ListBuffer$$start$6.isEmpty__Z()) {
    return xs
  } else {
    if (this.exported$6) {
      this.copy__p6__V()
    };
    this.last0$6.tl$5 = xs;
    return this.toList__sci_List()
  }
});
$c_scm_ListBuffer.prototype.addString__scm_StringBuilder__T__T__T__scm_StringBuilder = (function(b, start, sep, end) {
  var this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
  return $s_sc_TraversableOnce$class__addString__sc_TraversableOnce__scm_StringBuilder__T__T__T__scm_StringBuilder(this$1, b, start, sep, end)
});
$c_scm_ListBuffer.prototype.$$plus$eq__O__scm_ListBuffer = (function(x) {
  if (this.exported$6) {
    this.copy__p6__V()
  };
  if (this.scala$collection$mutable$ListBuffer$$start$6.isEmpty__Z()) {
    this.last0$6 = new $c_sci_$colon$colon().init___O__sci_List(x, $m_sci_Nil$());
    this.scala$collection$mutable$ListBuffer$$start$6 = this.last0$6
  } else {
    var last1 = this.last0$6;
    this.last0$6 = new $c_sci_$colon$colon().init___O__sci_List(x, $m_sci_Nil$());
    last1.tl$5 = this.last0$6
  };
  this.len$6 = ((1 + this.len$6) | 0);
  return this
});
$c_scm_ListBuffer.prototype.isDefinedAt__O__Z = (function(x) {
  var x$1 = $uI(x);
  var this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
  return $s_sc_LinearSeqOptimized$class__isDefinedAt__sc_LinearSeqOptimized__I__Z(this$1, x$1)
});
$c_scm_ListBuffer.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__O__scm_ListBuffer(elem)
});
$c_scm_ListBuffer.prototype.sizeHint__I__V = (function(size) {
  /*<skip>*/
});
$c_scm_ListBuffer.prototype.clear__V = (function() {
  this.scala$collection$mutable$ListBuffer$$start$6 = $m_sci_Nil$();
  this.last0$6 = null;
  this.exported$6 = false;
  this.len$6 = 0
});
$c_scm_ListBuffer.prototype.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer = (function(xs) {
  _$plus$plus$eq: while (true) {
    var x1 = xs;
    if ((x1 !== null)) {
      if ((x1 === this)) {
        var n = this.len$6;
        xs = $as_sc_TraversableOnce($s_sc_IterableLike$class__take__sc_IterableLike__I__O(this, n));
        continue _$plus$plus$eq
      }
    };
    return $as_scm_ListBuffer($s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs))
  }
});
$c_scm_ListBuffer.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return this.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs)
});
$c_scm_ListBuffer.prototype.stringPrefix__T = (function() {
  return "ListBuffer"
});
function $is_scm_ListBuffer(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ListBuffer)))
}
function $as_scm_ListBuffer(obj) {
  return (($is_scm_ListBuffer(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.mutable.ListBuffer"))
}
function $isArrayOf_scm_ListBuffer(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ListBuffer)))
}
function $asArrayOf_scm_ListBuffer(obj, depth) {
  return (($isArrayOf_scm_ListBuffer(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.mutable.ListBuffer;", depth))
}
var $d_scm_ListBuffer = new $TypeData().initClass({
  scm_ListBuffer: 0
}, false, "scala.collection.mutable.ListBuffer", {
  scm_ListBuffer: 1,
  scm_AbstractBuffer: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_Buffer: 1,
  scm_BufferLike: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  sc_script_Scriptable: 1,
  scg_Subtractable: 1,
  scm_Builder: 1,
  scg_SeqForwarder: 1,
  scg_IterableForwarder: 1,
  scg_TraversableForwarder: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ListBuffer.prototype.$classData = $d_scm_ListBuffer;
/** @constructor */
function $c_scm_StringBuilder() {
  $c_scm_AbstractSeq.call(this);
  this.underlying$5 = null
}
$c_scm_StringBuilder.prototype = new $h_scm_AbstractSeq();
$c_scm_StringBuilder.prototype.constructor = $c_scm_StringBuilder;
/** @constructor */
function $h_scm_StringBuilder() {
  /*<skip>*/
}
$h_scm_StringBuilder.prototype = $c_scm_StringBuilder.prototype;
$c_scm_StringBuilder.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_scm_StringBuilder.prototype.init___ = (function() {
  $c_scm_StringBuilder.prototype.init___I__T.call(this, 16, "");
  return this
});
$c_scm_StringBuilder.prototype.head__O = (function() {
  return $s_sc_IndexedSeqOptimized$class__head__sc_IndexedSeqOptimized__O(this)
});
$c_scm_StringBuilder.prototype.$$plus$eq__C__scm_StringBuilder = (function(x) {
  this.append__C__scm_StringBuilder(x);
  return this
});
$c_scm_StringBuilder.prototype.apply__I__O = (function(idx) {
  var this$1 = this.underlying$5;
  var thiz = this$1.content$1;
  var c = (65535 & $uI(thiz.charCodeAt(idx)));
  return new $c_jl_Character().init___C(c)
});
$c_scm_StringBuilder.prototype.lengthCompare__I__I = (function(len) {
  return $s_sc_IndexedSeqOptimized$class__lengthCompare__sc_IndexedSeqOptimized__I__I(this, len)
});
$c_scm_StringBuilder.prototype.sameElements__sc_GenIterable__Z = (function(that) {
  return $s_sc_IndexedSeqOptimized$class__sameElements__sc_IndexedSeqOptimized__sc_GenIterable__Z(this, that)
});
$c_scm_StringBuilder.prototype.apply__O__O = (function(v1) {
  var index = $uI(v1);
  var this$1 = this.underlying$5;
  var thiz = this$1.content$1;
  var c = (65535 & $uI(thiz.charCodeAt(index)));
  return new $c_jl_Character().init___C(c)
});
$c_scm_StringBuilder.prototype.isEmpty__Z = (function() {
  return $s_sc_IndexedSeqOptimized$class__isEmpty__sc_IndexedSeqOptimized__Z(this)
});
$c_scm_StringBuilder.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_scm_StringBuilder.prototype.subSequence__I__I__jl_CharSequence = (function(start, end) {
  var this$1 = this.underlying$5;
  var thiz = this$1.content$1;
  return $as_T(thiz.substring(start, end))
});
$c_scm_StringBuilder.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  if ((elem === null)) {
    var jsx$1 = 0
  } else {
    var this$2 = $as_jl_Character(elem);
    var jsx$1 = this$2.value$1
  };
  return this.$$plus$eq__C__scm_StringBuilder(jsx$1)
});
$c_scm_StringBuilder.prototype.companion__scg_GenericCompanion = (function() {
  return $m_scm_IndexedSeq$()
});
$c_scm_StringBuilder.prototype.toString__T = (function() {
  var this$1 = this.underlying$5;
  return this$1.content$1
});
$c_scm_StringBuilder.prototype.foreach__F1__V = (function(f) {
  $s_sc_IndexedSeqOptimized$class__foreach__sc_IndexedSeqOptimized__F1__V(this, f)
});
$c_scm_StringBuilder.prototype.foldLeft__O__F2__O = (function(z, op) {
  var this$1 = this.underlying$5;
  var thiz = this$1.content$1;
  return $s_sc_IndexedSeqOptimized$class__foldl__p0__sc_IndexedSeqOptimized__I__I__O__F2__O(this, 0, $uI(thiz.length), z, op)
});
$c_scm_StringBuilder.prototype.reverse__O = (function() {
  return this.reverse__scm_StringBuilder()
});
$c_scm_StringBuilder.prototype.result__O = (function() {
  var this$1 = this.underlying$5;
  return this$1.content$1
});
$c_scm_StringBuilder.prototype.append__T__scm_StringBuilder = (function(s) {
  this.underlying$5.append__T__jl_StringBuilder(s);
  return this
});
$c_scm_StringBuilder.prototype.iterator__sc_Iterator = (function() {
  var this$1 = this.underlying$5;
  var thiz = this$1.content$1;
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $uI(thiz.length))
});
$c_scm_StringBuilder.prototype.seq__scm_Seq = (function() {
  return this
});
$c_scm_StringBuilder.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_scm_StringBuilder.prototype.init___I__T = (function(initCapacity, initValue) {
  $c_scm_StringBuilder.prototype.init___jl_StringBuilder.call(this, new $c_jl_StringBuilder().init___I((($uI(initValue.length) + initCapacity) | 0)).append__T__jl_StringBuilder(initValue));
  return this
});
$c_scm_StringBuilder.prototype.length__I = (function() {
  var this$1 = this.underlying$5;
  var thiz = this$1.content$1;
  return $uI(thiz.length)
});
$c_scm_StringBuilder.prototype.seq__sc_Seq = (function() {
  return this
});
$c_scm_StringBuilder.prototype.init___jl_StringBuilder = (function(underlying) {
  this.underlying$5 = underlying;
  return this
});
$c_scm_StringBuilder.prototype.append__O__scm_StringBuilder = (function(x) {
  this.underlying$5.append__T__jl_StringBuilder($m_sjsr_RuntimeString$().valueOf__O__T(x));
  return this
});
$c_scm_StringBuilder.prototype.isDefinedAt__O__Z = (function(x) {
  var idx = $uI(x);
  return $s_sc_GenSeqLike$class__isDefinedAt__sc_GenSeqLike__I__Z(this, idx)
});
$c_scm_StringBuilder.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  if ((elem === null)) {
    var jsx$1 = 0
  } else {
    var this$2 = $as_jl_Character(elem);
    var jsx$1 = this$2.value$1
  };
  return this.$$plus$eq__C__scm_StringBuilder(jsx$1)
});
$c_scm_StringBuilder.prototype.copyToArray__O__I__I__V = (function(xs, start, len) {
  $s_sc_IndexedSeqOptimized$class__copyToArray__sc_IndexedSeqOptimized__O__I__I__V(this, xs, start, len)
});
$c_scm_StringBuilder.prototype.sizeHint__I__V = (function(size) {
  /*<skip>*/
});
$c_scm_StringBuilder.prototype.hashCode__I = (function() {
  return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
});
$c_scm_StringBuilder.prototype.reverse__scm_StringBuilder = (function() {
  return new $c_scm_StringBuilder().init___jl_StringBuilder(new $c_jl_StringBuilder().init___jl_CharSequence(this.underlying$5).reverse__jl_StringBuilder())
});
$c_scm_StringBuilder.prototype.append__C__scm_StringBuilder = (function(x) {
  this.underlying$5.append__C__jl_StringBuilder(x);
  return this
});
$c_scm_StringBuilder.prototype.toCollection__O__sc_Seq = (function(repr) {
  var repr$1 = $as_scm_StringBuilder(repr);
  return repr$1
});
$c_scm_StringBuilder.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_StringBuilder().init___())
});
$c_scm_StringBuilder.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return $s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs)
});
function $is_scm_StringBuilder(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_StringBuilder)))
}
function $as_scm_StringBuilder(obj) {
  return (($is_scm_StringBuilder(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.mutable.StringBuilder"))
}
function $isArrayOf_scm_StringBuilder(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_StringBuilder)))
}
function $asArrayOf_scm_StringBuilder(obj, depth) {
  return (($isArrayOf_scm_StringBuilder(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.mutable.StringBuilder;", depth))
}
var $d_scm_StringBuilder = new $TypeData().initClass({
  scm_StringBuilder: 0
}, false, "scala.collection.mutable.StringBuilder", {
  scm_StringBuilder: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  jl_CharSequence: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  sci_StringLike: 1,
  sc_IndexedSeqOptimized: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_StringBuilder.prototype.$classData = $d_scm_StringBuilder;
/** @constructor */
function $c_sjs_js_WrappedArray() {
  $c_scm_AbstractBuffer.call(this);
  this.array$6 = null
}
$c_sjs_js_WrappedArray.prototype = new $h_scm_AbstractBuffer();
$c_sjs_js_WrappedArray.prototype.constructor = $c_sjs_js_WrappedArray;
/** @constructor */
function $h_sjs_js_WrappedArray() {
  /*<skip>*/
}
$h_sjs_js_WrappedArray.prototype = $c_sjs_js_WrappedArray.prototype;
$c_sjs_js_WrappedArray.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sjs_js_WrappedArray.prototype.init___ = (function() {
  $c_sjs_js_WrappedArray.prototype.init___sjs_js_Array.call(this, []);
  return this
});
$c_sjs_js_WrappedArray.prototype.head__O = (function() {
  return $s_sc_IndexedSeqOptimized$class__head__sc_IndexedSeqOptimized__O(this)
});
$c_sjs_js_WrappedArray.prototype.apply__I__O = (function(index) {
  return this.array$6[index]
});
$c_sjs_js_WrappedArray.prototype.lengthCompare__I__I = (function(len) {
  return $s_sc_IndexedSeqOptimized$class__lengthCompare__sc_IndexedSeqOptimized__I__I(this, len)
});
$c_sjs_js_WrappedArray.prototype.apply__O__O = (function(v1) {
  var index = $uI(v1);
  return this.array$6[index]
});
$c_sjs_js_WrappedArray.prototype.sameElements__sc_GenIterable__Z = (function(that) {
  return $s_sc_IndexedSeqOptimized$class__sameElements__sc_IndexedSeqOptimized__sc_GenIterable__Z(this, that)
});
$c_sjs_js_WrappedArray.prototype.isEmpty__Z = (function() {
  return $s_sc_IndexedSeqOptimized$class__isEmpty__sc_IndexedSeqOptimized__Z(this)
});
$c_sjs_js_WrappedArray.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sjs_js_WrappedArray.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  this.array$6.push(elem);
  return this
});
$c_sjs_js_WrappedArray.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sjs_js_WrappedArray$()
});
$c_sjs_js_WrappedArray.prototype.foreach__F1__V = (function(f) {
  $s_sc_IndexedSeqOptimized$class__foreach__sc_IndexedSeqOptimized__F1__V(this, f)
});
$c_sjs_js_WrappedArray.prototype.foldLeft__O__F2__O = (function(z, op) {
  return $s_sc_IndexedSeqOptimized$class__foldl__p0__sc_IndexedSeqOptimized__I__I__O__F2__O(this, 0, $uI(this.array$6.length), z, op)
});
$c_sjs_js_WrappedArray.prototype.reverse__O = (function() {
  return $s_sc_IndexedSeqOptimized$class__reverse__sc_IndexedSeqOptimized__O(this)
});
$c_sjs_js_WrappedArray.prototype.result__O = (function() {
  return this
});
$c_sjs_js_WrappedArray.prototype.seq__scm_Seq = (function() {
  return this
});
$c_sjs_js_WrappedArray.prototype.iterator__sc_Iterator = (function() {
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $uI(this.array$6.length))
});
$c_sjs_js_WrappedArray.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_sjs_js_WrappedArray.prototype.seq__sc_Seq = (function() {
  return this
});
$c_sjs_js_WrappedArray.prototype.length__I = (function() {
  return $uI(this.array$6.length)
});
$c_sjs_js_WrappedArray.prototype.isDefinedAt__O__Z = (function(x) {
  var idx = $uI(x);
  return $s_sc_GenSeqLike$class__isDefinedAt__sc_GenSeqLike__I__Z(this, idx)
});
$c_sjs_js_WrappedArray.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  this.array$6.push(elem);
  return this
});
$c_sjs_js_WrappedArray.prototype.copyToArray__O__I__I__V = (function(xs, start, len) {
  $s_sc_IndexedSeqOptimized$class__copyToArray__sc_IndexedSeqOptimized__O__I__I__V(this, xs, start, len)
});
$c_sjs_js_WrappedArray.prototype.sizeHint__I__V = (function(size) {
  /*<skip>*/
});
$c_sjs_js_WrappedArray.prototype.hashCode__I = (function() {
  return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
});
$c_sjs_js_WrappedArray.prototype.init___sjs_js_Array = (function(array) {
  this.array$6 = array;
  return this
});
$c_sjs_js_WrappedArray.prototype.toCollection__O__sc_Seq = (function(repr) {
  return $as_scm_IndexedSeq(repr)
});
$c_sjs_js_WrappedArray.prototype.stringPrefix__T = (function() {
  return "WrappedArray"
});
function $is_sjs_js_WrappedArray(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sjs_js_WrappedArray)))
}
function $as_sjs_js_WrappedArray(obj) {
  return (($is_sjs_js_WrappedArray(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.scalajs.js.WrappedArray"))
}
function $isArrayOf_sjs_js_WrappedArray(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sjs_js_WrappedArray)))
}
function $asArrayOf_sjs_js_WrappedArray(obj, depth) {
  return (($isArrayOf_sjs_js_WrappedArray(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.scalajs.js.WrappedArray;", depth))
}
var $d_sjs_js_WrappedArray = new $TypeData().initClass({
  sjs_js_WrappedArray: 0
}, false, "scala.scalajs.js.WrappedArray", {
  sjs_js_WrappedArray: 1,
  scm_AbstractBuffer: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_Buffer: 1,
  scm_BufferLike: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  sc_script_Scriptable: 1,
  scg_Subtractable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  scm_Builder: 1
});
$c_sjs_js_WrappedArray.prototype.$classData = $d_sjs_js_WrappedArray;
/** @constructor */
function $c_scm_ArrayBuffer() {
  $c_scm_AbstractBuffer.call(this);
  this.initialSize$6 = 0;
  this.array$6 = null;
  this.size0$6 = 0
}
$c_scm_ArrayBuffer.prototype = new $h_scm_AbstractBuffer();
$c_scm_ArrayBuffer.prototype.constructor = $c_scm_ArrayBuffer;
/** @constructor */
function $h_scm_ArrayBuffer() {
  /*<skip>*/
}
$h_scm_ArrayBuffer.prototype = $c_scm_ArrayBuffer.prototype;
$c_scm_ArrayBuffer.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_scm_ArrayBuffer.prototype.init___ = (function() {
  $c_scm_ArrayBuffer.prototype.init___I.call(this, 16);
  return this
});
$c_scm_ArrayBuffer.prototype.$$plus$eq__O__scm_ArrayBuffer = (function(elem) {
  var n = ((1 + this.size0$6) | 0);
  $s_scm_ResizableArray$class__ensureSize__scm_ResizableArray__I__V(this, n);
  this.array$6.set(this.size0$6, elem);
  this.size0$6 = ((1 + this.size0$6) | 0);
  return this
});
$c_scm_ArrayBuffer.prototype.head__O = (function() {
  return $s_sc_IndexedSeqOptimized$class__head__sc_IndexedSeqOptimized__O(this)
});
$c_scm_ArrayBuffer.prototype.apply__I__O = (function(idx) {
  return $s_scm_ResizableArray$class__apply__scm_ResizableArray__I__O(this, idx)
});
$c_scm_ArrayBuffer.prototype.lengthCompare__I__I = (function(len) {
  return $s_sc_IndexedSeqOptimized$class__lengthCompare__sc_IndexedSeqOptimized__I__I(this, len)
});
$c_scm_ArrayBuffer.prototype.apply__O__O = (function(v1) {
  var idx = $uI(v1);
  return $s_scm_ResizableArray$class__apply__scm_ResizableArray__I__O(this, idx)
});
$c_scm_ArrayBuffer.prototype.sameElements__sc_GenIterable__Z = (function(that) {
  return $s_sc_IndexedSeqOptimized$class__sameElements__sc_IndexedSeqOptimized__sc_GenIterable__Z(this, that)
});
$c_scm_ArrayBuffer.prototype.isEmpty__Z = (function() {
  return $s_sc_IndexedSeqOptimized$class__isEmpty__sc_IndexedSeqOptimized__Z(this)
});
$c_scm_ArrayBuffer.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_scm_ArrayBuffer.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__O__scm_ArrayBuffer(elem)
});
$c_scm_ArrayBuffer.prototype.companion__scg_GenericCompanion = (function() {
  return $m_scm_ArrayBuffer$()
});
$c_scm_ArrayBuffer.prototype.foreach__F1__V = (function(f) {
  $s_scm_ResizableArray$class__foreach__scm_ResizableArray__F1__V(this, f)
});
$c_scm_ArrayBuffer.prototype.foldLeft__O__F2__O = (function(z, op) {
  return $s_sc_IndexedSeqOptimized$class__foldl__p0__sc_IndexedSeqOptimized__I__I__O__F2__O(this, 0, this.size0$6, z, op)
});
$c_scm_ArrayBuffer.prototype.reverse__O = (function() {
  return $s_sc_IndexedSeqOptimized$class__reverse__sc_IndexedSeqOptimized__O(this)
});
$c_scm_ArrayBuffer.prototype.result__O = (function() {
  return this
});
$c_scm_ArrayBuffer.prototype.seq__scm_Seq = (function() {
  return this
});
$c_scm_ArrayBuffer.prototype.iterator__sc_Iterator = (function() {
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, this.size0$6)
});
$c_scm_ArrayBuffer.prototype.init___I = (function(initialSize) {
  this.initialSize$6 = initialSize;
  $s_scm_ResizableArray$class__$$init$__scm_ResizableArray__V(this);
  return this
});
$c_scm_ArrayBuffer.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_scm_ArrayBuffer.prototype.seq__sc_Seq = (function() {
  return this
});
$c_scm_ArrayBuffer.prototype.length__I = (function() {
  return this.size0$6
});
$c_scm_ArrayBuffer.prototype.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuffer = (function(xs) {
  if ($is_sc_IndexedSeqLike(xs)) {
    var x2 = $as_sc_IndexedSeqLike(xs);
    var n = x2.length__I();
    var n$1 = ((this.size0$6 + n) | 0);
    $s_scm_ResizableArray$class__ensureSize__scm_ResizableArray__I__V(this, n$1);
    x2.copyToArray__O__I__I__V(this.array$6, this.size0$6, n);
    this.size0$6 = ((this.size0$6 + n) | 0);
    return this
  } else {
    return $as_scm_ArrayBuffer($s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs))
  }
});
$c_scm_ArrayBuffer.prototype.isDefinedAt__O__Z = (function(x) {
  var idx = $uI(x);
  return $s_sc_GenSeqLike$class__isDefinedAt__sc_GenSeqLike__I__Z(this, idx)
});
$c_scm_ArrayBuffer.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__O__scm_ArrayBuffer(elem)
});
$c_scm_ArrayBuffer.prototype.sizeHint__I__V = (function(len) {
  if (((len > this.size0$6) && (len >= 1))) {
    var newarray = $newArrayObject($d_O.getArrayOf(), [len]);
    var src = this.array$6;
    var length = this.size0$6;
    $systemArraycopy(src, 0, newarray, 0, length);
    this.array$6 = newarray
  }
});
$c_scm_ArrayBuffer.prototype.copyToArray__O__I__I__V = (function(xs, start, len) {
  $s_scm_ResizableArray$class__copyToArray__scm_ResizableArray__O__I__I__V(this, xs, start, len)
});
$c_scm_ArrayBuffer.prototype.hashCode__I = (function() {
  return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
});
$c_scm_ArrayBuffer.prototype.toCollection__O__sc_Seq = (function(repr) {
  return $as_scm_IndexedSeq(repr)
});
$c_scm_ArrayBuffer.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuffer(xs)
});
$c_scm_ArrayBuffer.prototype.stringPrefix__T = (function() {
  return "ArrayBuffer"
});
function $is_scm_ArrayBuffer(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuffer)))
}
function $as_scm_ArrayBuffer(obj) {
  return (($is_scm_ArrayBuffer(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.mutable.ArrayBuffer"))
}
function $isArrayOf_scm_ArrayBuffer(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuffer)))
}
function $asArrayOf_scm_ArrayBuffer(obj, depth) {
  return (($isArrayOf_scm_ArrayBuffer(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.mutable.ArrayBuffer;", depth))
}
var $d_scm_ArrayBuffer = new $TypeData().initClass({
  scm_ArrayBuffer: 0
}, false, "scala.collection.mutable.ArrayBuffer", {
  scm_ArrayBuffer: 1,
  scm_AbstractBuffer: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_Buffer: 1,
  scm_BufferLike: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  sc_script_Scriptable: 1,
  scg_Subtractable: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  scm_Builder: 1,
  scm_ResizableArray: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuffer.prototype.$classData = $d_scm_ArrayBuffer;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
$e.com.iteration3.smilejs.util = ($e.com.iteration3.smilejs.util || {});
$e.com.iteration3.smilejs.util.EventBus = $m_Lcom_iteration3_smilejs_util_EventBus$();
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
$e.com.iteration3.smilejs.util = ($e.com.iteration3.smilejs.util || {});
/** @constructor */
$e.com.iteration3.smilejs.util.VRBuilderNamePath = (function(arg$1, arg$2, arg$3) {
  var $thiz = new $c_Lcom_iteration3_smilejs_util_VRBuilderNamePath();
  var prep0 = arg$1;
  var prep1 = $as_T(arg$2);
  var prep2 = $as_T(arg$3);
  $c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.init___sjs_js_Dynamic__T__T.call($thiz, prep0, prep1, prep2);
  return $thiz
});
$e.com.iteration3.smilejs.util.VRBuilderNamePath.prototype = $c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
$e.com.iteration3.smilejs.util = ($e.com.iteration3.smilejs.util || {});
$e.com.iteration3.smilejs.util.VueRouter = $m_Lcom_iteration3_smilejs_util_VueRouter$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.actions = ($e.com.metastay.monitorapp.actions || {});
$e.com.metastay.monitorapp.actions.CommentActions = $m_Lcom_metastay_monitorapp_actions_CommentActions$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.actions = ($e.com.metastay.monitorapp.actions || {});
$e.com.metastay.monitorapp.actions.LoggedInUserActions = $m_Lcom_metastay_monitorapp_actions_LoggedInUserActions$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.actions = ($e.com.metastay.monitorapp.actions || {});
$e.com.metastay.monitorapp.actions.MonitorDashboardActions = $m_Lcom_metastay_monitorapp_actions_MonitorDashboardActions$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.actions = ($e.com.metastay.monitorapp.actions || {});
$e.com.metastay.monitorapp.actions.MonitorFlowActions = $m_Lcom_metastay_monitorapp_actions_MonitorFlowActions$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.actions = ($e.com.metastay.monitorapp.actions || {});
$e.com.metastay.monitorapp.actions.MonitorTaskActions = $m_Lcom_metastay_monitorapp_actions_MonitorTaskActions$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.actions = ($e.com.metastay.monitorapp.actions || {});
$e.com.metastay.monitorapp.actions.MonitorUserActions = $m_Lcom_metastay_monitorapp_actions_MonitorUserActions$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.actions = ($e.com.metastay.monitorapp.actions || {});
$e.com.metastay.monitorapp.actions.TagActions = $m_Lcom_metastay_monitorapp_actions_TagActions$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.bus = ($e.com.metastay.monitorapp.bus || {});
$e.com.metastay.monitorapp.bus.CommentBus = $m_Lcom_metastay_monitorapp_bus_CommentBus$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.bus = ($e.com.metastay.monitorapp.bus || {});
$e.com.metastay.monitorapp.bus.MonitorDashboardBus = $m_Lcom_metastay_monitorapp_bus_MonitorDashboardBus$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.bus = ($e.com.metastay.monitorapp.bus || {});
$e.com.metastay.monitorapp.bus.MonitorFlowBus = $m_Lcom_metastay_monitorapp_bus_MonitorFlowBus$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.bus = ($e.com.metastay.monitorapp.bus || {});
$e.com.metastay.monitorapp.bus.MonitorTaskBus = $m_Lcom_metastay_monitorapp_bus_MonitorTaskBus$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.bus = ($e.com.metastay.monitorapp.bus || {});
$e.com.metastay.monitorapp.bus.MonitorUserBus = $m_Lcom_metastay_monitorapp_bus_MonitorUserBus$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.bus = ($e.com.metastay.monitorapp.bus || {});
$e.com.metastay.monitorapp.bus.TagBus = $m_Lcom_metastay_monitorapp_bus_TagBus$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.enums = ($e.com.metastay.monitorapp.enums || {});
$e.com.metastay.monitorapp.enums.TaskState = $m_Lcom_metastay_monitorapp_enums_TaskState$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.store = ($e.com.metastay.monitorapp.store || {});
$e.com.metastay.monitorapp.store.StateInit = $m_Lcom_metastay_monitorapp_store_StateInit$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.actions = ($e.com.metastay.reportapp.actions || {});
$e.com.metastay.reportapp.actions.LoggedInUserActions = $m_Lcom_metastay_reportapp_actions_LoggedInUserActions$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.actions = ($e.com.metastay.reportapp.actions || {});
$e.com.metastay.reportapp.actions.ReportFlowActions = $m_Lcom_metastay_reportapp_actions_ReportFlowActions$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.actions = ($e.com.metastay.reportapp.actions || {});
$e.com.metastay.reportapp.actions.ReportTaskActions = $m_Lcom_metastay_reportapp_actions_ReportTaskActions$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.actions = ($e.com.metastay.reportapp.actions || {});
$e.com.metastay.reportapp.actions.ReportUserActions = $m_Lcom_metastay_reportapp_actions_ReportUserActions$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.bus = ($e.com.metastay.reportapp.bus || {});
$e.com.metastay.reportapp.bus.ReportFlowBus = $m_Lcom_metastay_reportapp_bus_ReportFlowBus$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.bus = ($e.com.metastay.reportapp.bus || {});
$e.com.metastay.reportapp.bus.ReportTaskBus = $m_Lcom_metastay_reportapp_bus_ReportTaskBus$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.bus = ($e.com.metastay.reportapp.bus || {});
$e.com.metastay.reportapp.bus.ReportUserBus = $m_Lcom_metastay_reportapp_bus_ReportUserBus$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.store = ($e.com.metastay.reportapp.store || {});
$e.com.metastay.reportapp.store.StateInit = $m_Lcom_metastay_reportapp_store_StateInit$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.AllocateToUser = $a_Lcom_metastay_monitorapp_data_AllocateToUser();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.AllocateToUser = $m_Lcom_metastay_monitorapp_data_AllocateToUser$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.AppRole = $a_Lcom_metastay_monitorapp_data_AppRole();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.AppRole = $m_Lcom_metastay_monitorapp_data_AppRole$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.CommentGrid = $a_Lcom_metastay_monitorapp_data_CommentGrid();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.CommentGrid = $m_Lcom_metastay_monitorapp_data_CommentGrid$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.CreateFlowForm = $a_Lcom_metastay_monitorapp_data_CreateFlowForm();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.CreateFlowForm = $m_Lcom_metastay_monitorapp_data_CreateFlowForm$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.FqFlowName = $a_Lcom_metastay_monitorapp_data_FqFlowName();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.FqFlowName = $m_Lcom_metastay_monitorapp_data_FqFlowName$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorDashboardTaskGrid = $a_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorDashboardTaskGrid = $m_Lcom_metastay_monitorapp_data_MonitorDashboardTaskGrid$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorDashboardUserGrid = $a_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorDashboardUserGrid = $m_Lcom_metastay_monitorapp_data_MonitorDashboardUserGrid$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorEarliestFlowActive = $a_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorEarliestFlowActive = $m_Lcom_metastay_monitorapp_data_MonitorEarliestFlowActive$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorFlowDashboardSummary = $a_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorFlowDashboardSummary = $m_Lcom_metastay_monitorapp_data_MonitorFlowDashboardSummary$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorFlowDetails = $a_Lcom_metastay_monitorapp_data_MonitorFlowDetails();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorFlowDetails = $m_Lcom_metastay_monitorapp_data_MonitorFlowDetails$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorFlowDetailsTaskGrid = $a_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorFlowDetailsTaskGrid = $m_Lcom_metastay_monitorapp_data_MonitorFlowDetailsTaskGrid$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorFlowError = $a_Lcom_metastay_monitorapp_data_MonitorFlowError();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorFlowError = $m_Lcom_metastay_monitorapp_data_MonitorFlowError$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorFlowExitQ = $a_Lcom_metastay_monitorapp_data_MonitorFlowExitQ();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorFlowExitQ = $m_Lcom_metastay_monitorapp_data_MonitorFlowExitQ$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorFlowSearchForm = $a_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorFlowSearchForm = $m_Lcom_metastay_monitorapp_data_MonitorFlowSearchForm$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorFlowSearchResultGrid = $a_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorFlowSearchResultGrid = $m_Lcom_metastay_monitorapp_data_MonitorFlowSearchResultGrid$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorSubFlowTaskDetails = $a_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorSubFlowTaskDetails = $m_Lcom_metastay_monitorapp_data_MonitorSubFlowTaskDetails$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorSubTaskGrid = $a_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorSubTaskGrid = $m_Lcom_metastay_monitorapp_data_MonitorSubTaskGrid$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorTaskDashboardSummary = $a_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorTaskDashboardSummary = $m_Lcom_metastay_monitorapp_data_MonitorTaskDashboardSummary$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorTaskDetails = $a_Lcom_metastay_monitorapp_data_MonitorTaskDetails();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorTaskDetails = $m_Lcom_metastay_monitorapp_data_MonitorTaskDetails$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorTaskError = $a_Lcom_metastay_monitorapp_data_MonitorTaskError();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorTaskError = $m_Lcom_metastay_monitorapp_data_MonitorTaskError$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorTaskExitQ = $a_Lcom_metastay_monitorapp_data_MonitorTaskExitQ();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorTaskExitQ = $m_Lcom_metastay_monitorapp_data_MonitorTaskExitQ$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorTaskSearchForm = $a_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorTaskSearchForm = $m_Lcom_metastay_monitorapp_data_MonitorTaskSearchForm$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorTaskSearchResultGrid = $a_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorTaskSearchResultGrid = $m_Lcom_metastay_monitorapp_data_MonitorTaskSearchResultGrid$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorTeamEarliestFlowMap = $a_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorTeamEarliestFlowMap = $m_Lcom_metastay_monitorapp_data_MonitorTeamEarliestFlowMap$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorUserDashboardSummary = $a_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorUserDashboardSummary = $m_Lcom_metastay_monitorapp_data_MonitorUserDashboardSummary$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorUserDetails = $a_Lcom_metastay_monitorapp_data_MonitorUserDetails();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorUserDetails = $m_Lcom_metastay_monitorapp_data_MonitorUserDetails$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorUserDetailsTaskGrid = $a_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorUserDetailsTaskGrid = $m_Lcom_metastay_monitorapp_data_MonitorUserDetailsTaskGrid$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorUserSearchForm = $a_Lcom_metastay_monitorapp_data_MonitorUserSearchForm();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorUserSearchForm = $m_Lcom_metastay_monitorapp_data_MonitorUserSearchForm$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorUserSearchResultGrid = $a_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.MonitorUserSearchResultGrid = $m_Lcom_metastay_monitorapp_data_MonitorUserSearchResultGrid$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.NetInitDocumentSchemaMap = $a_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.NetInitDocumentSchemaMap = $m_Lcom_metastay_monitorapp_data_NetInitDocumentSchemaMap$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.StallEntryGrid = $a_Lcom_metastay_monitorapp_data_StallEntryGrid();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.StallEntryGrid = $m_Lcom_metastay_monitorapp_data_StallEntryGrid$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.StallSetGrid = $a_Lcom_metastay_monitorapp_data_StallSetGrid();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.StallSetGrid = $m_Lcom_metastay_monitorapp_data_StallSetGrid$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.Tag = $a_Lcom_metastay_monitorapp_data_Tag();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.Tag = $m_Lcom_metastay_monitorapp_data_Tag$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.TeamRole = $a_Lcom_metastay_monitorapp_data_TeamRole();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.TeamRole = $m_Lcom_metastay_monitorapp_data_TeamRole$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.TeamRoleList = $a_Lcom_metastay_monitorapp_data_TeamRoleList();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.TeamRoleList = $m_Lcom_metastay_monitorapp_data_TeamRoleList$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.TeamTask = $a_Lcom_metastay_monitorapp_data_TeamTask();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.TeamTask = $m_Lcom_metastay_monitorapp_data_TeamTask$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.UserDetails = $a_Lcom_metastay_monitorapp_data_UserDetails();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.data = ($e.com.metastay.monitorapp.data || {});
$e.com.metastay.monitorapp.data.UserDetails = $m_Lcom_metastay_monitorapp_data_UserDetails$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.store = ($e.com.metastay.monitorapp.store || {});
$e.com.metastay.monitorapp.store.Mutations = $a_Lcom_metastay_monitorapp_store_Mutations();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.store = ($e.com.metastay.monitorapp.store || {});
$e.com.metastay.monitorapp.store.State = $a_Lcom_metastay_monitorapp_store_State();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.monitorapp = ($e.com.metastay.monitorapp || {});
$e.com.metastay.monitorapp.store = ($e.com.metastay.monitorapp.store || {});
$e.com.metastay.monitorapp.store.State = $m_Lcom_metastay_monitorapp_store_State$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.AppRole = $a_Lcom_metastay_reportapp_data_AppRole();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.AppRole = $m_Lcom_metastay_reportapp_data_AppRole$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.FqFlowName = $a_Lcom_metastay_reportapp_data_FqFlowName();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.FqFlowName = $m_Lcom_metastay_reportapp_data_FqFlowName$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.ReportFlowSearchForm = $a_Lcom_metastay_reportapp_data_ReportFlowSearchForm();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.ReportFlowSearchForm = $m_Lcom_metastay_reportapp_data_ReportFlowSearchForm$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.ReportFlowSearchResultGrid = $a_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.ReportFlowSearchResultGrid = $m_Lcom_metastay_reportapp_data_ReportFlowSearchResultGrid$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.ReportFlowSearchResultSummary = $a_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.ReportFlowSearchResultSummary = $m_Lcom_metastay_reportapp_data_ReportFlowSearchResultSummary$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.ReportTaskSearchForm = $a_Lcom_metastay_reportapp_data_ReportTaskSearchForm();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.ReportTaskSearchForm = $m_Lcom_metastay_reportapp_data_ReportTaskSearchForm$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.ReportTaskSearchResultGrid = $a_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.ReportTaskSearchResultGrid = $m_Lcom_metastay_reportapp_data_ReportTaskSearchResultGrid$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.ReportTaskSearchResultSummary = $a_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.ReportTaskSearchResultSummary = $m_Lcom_metastay_reportapp_data_ReportTaskSearchResultSummary$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.ReportUserSearchForm = $a_Lcom_metastay_reportapp_data_ReportUserSearchForm();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.ReportUserSearchForm = $m_Lcom_metastay_reportapp_data_ReportUserSearchForm$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.ReportUserSearchResultGrid = $a_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.ReportUserSearchResultGrid = $m_Lcom_metastay_reportapp_data_ReportUserSearchResultGrid$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.ReportUserSearchResultSummary = $a_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.ReportUserSearchResultSummary = $m_Lcom_metastay_reportapp_data_ReportUserSearchResultSummary$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.UserDetails = $a_Lcom_metastay_reportapp_data_UserDetails();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.data = ($e.com.metastay.reportapp.data || {});
$e.com.metastay.reportapp.data.UserDetails = $m_Lcom_metastay_reportapp_data_UserDetails$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.store = ($e.com.metastay.reportapp.store || {});
$e.com.metastay.reportapp.store.Mutations = $a_Lcom_metastay_reportapp_store_Mutations();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.store = ($e.com.metastay.reportapp.store || {});
$e.com.metastay.reportapp.store.State = $a_Lcom_metastay_reportapp_store_State();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.reportapp = ($e.com.metastay.reportapp || {});
$e.com.metastay.reportapp.store = ($e.com.metastay.reportapp.store || {});
$e.com.metastay.reportapp.store.State = $m_Lcom_metastay_reportapp_store_State$();
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
/** @constructor */
$e.com.iteration3.smilejs.ClientError = (function(arg$1, arg$2) {
  var $thiz = new $c_Lcom_iteration3_smilejs_ClientError();
  var prep0 = $as_T(arg$1);
  var prep1 = $as_T(arg$2);
  $c_Lcom_iteration3_smilejs_ClientError.prototype.init___T__T.call($thiz, prep0, prep1);
  return $thiz
});
$e.com.iteration3.smilejs.ClientError.prototype = $c_Lcom_iteration3_smilejs_ClientError.prototype;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
/** @constructor */
$e.com.iteration3.smilejs.ClientException = (function(arg$1) {
  var $thiz = new $c_Lcom_iteration3_smilejs_ClientException();
  var jsx$1 = (arguments.length | 0);
  var jsx$2 = 1;
  var arg$rest = [];
  while ((jsx$2 < jsx$1)) {
    arg$rest.push(arguments[jsx$2]);
    jsx$2 = ((jsx$2 + 1) | 0)
  };
  var prep0 = $as_T(arg$1);
  var prep1 = ((arg$rest[0] === (void 0)) ? $m_Lcom_iteration3_smilejs_ClientException$().$$lessinit$greater$default$2__s_Option() : $as_s_Option(arg$rest[0]));
  $c_Lcom_iteration3_smilejs_ClientException.prototype.init___T__s_Option.call($thiz, prep0, prep1);
  return $thiz
});
$e.com.iteration3.smilejs.ClientException.prototype = $c_Lcom_iteration3_smilejs_ClientException.prototype;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
$e.com.iteration3.smilejs.util = ($e.com.iteration3.smilejs.util || {});
/** @constructor */
$e.com.iteration3.smilejs.util.VRBuilderPQ = (function() {
  var $thiz = new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ();
  var jsx$1 = (arguments.length | 0);
  var jsx$2 = 0;
  var arg$rest = [];
  while ((jsx$2 < jsx$1)) {
    arg$rest.push(arguments[jsx$2]);
    jsx$2 = ((jsx$2 + 1) | 0)
  };
  var prep0 = ((arg$rest[0] === (void 0)) ? $m_Lcom_iteration3_smilejs_util_VRBuilderPQ$().$$lessinit$greater$default$1__sci_List() : $as_sci_List(arg$rest[0]));
  var prep1 = ((arg$rest[1] === (void 0)) ? $m_Lcom_iteration3_smilejs_util_VRBuilderPQ$().$$lessinit$greater$default$2__sci_List() : $as_sci_List(arg$rest[1]));
  $c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.init___sci_List__sci_List.call($thiz, prep0, prep1);
  return $thiz
});
$e.com.iteration3.smilejs.util.VRBuilderPQ.prototype = $c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
/** @constructor */
$e.com.iteration3.smilejs.ClientErrors = (function(arg$1) {
  var $thiz = new $c_Lcom_iteration3_smilejs_ClientErrors();
  var prep0 = $as_sci_List(arg$1);
  $c_Lcom_iteration3_smilejs_ClientErrors.prototype.init___sci_List.call($thiz, prep0);
  return $thiz
});
$e.com.iteration3.smilejs.ClientErrors.prototype = $c_Lcom_iteration3_smilejs_ClientErrors.prototype;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
/** @constructor */
$e.com.iteration3.smilejs.ClientExceptions = (function(arg$1) {
  var $thiz = new $c_Lcom_iteration3_smilejs_ClientExceptions();
  var prep0 = $as_sci_List(arg$1);
  $c_Lcom_iteration3_smilejs_ClientExceptions.prototype.init___sci_List.call($thiz, prep0);
  return $thiz
});
$e.com.iteration3.smilejs.ClientExceptions.prototype = $c_Lcom_iteration3_smilejs_ClientExceptions.prototype;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
/** @constructor */
$e.com.iteration3.smilejs.Forbidden = (function(arg$1) {
  var $thiz = new $c_Lcom_iteration3_smilejs_Forbidden();
  var prep0 = $as_T(arg$1);
  $c_Lcom_iteration3_smilejs_Forbidden.prototype.init___T.call($thiz, prep0);
  return $thiz
});
$e.com.iteration3.smilejs.Forbidden.prototype = $c_Lcom_iteration3_smilejs_Forbidden.prototype;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
/** @constructor */
$e.com.iteration3.smilejs.OtherResponse = (function(arg$1, arg$2) {
  var $thiz = new $c_Lcom_iteration3_smilejs_OtherResponse();
  var prep0 = $as_T(arg$1);
  var prep1 = $uI(arg$2);
  $c_Lcom_iteration3_smilejs_OtherResponse.prototype.init___T__I.call($thiz, prep0, prep1);
  return $thiz
});
$e.com.iteration3.smilejs.OtherResponse.prototype = $c_Lcom_iteration3_smilejs_OtherResponse.prototype;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
/** @constructor */
$e.com.iteration3.smilejs.ServerError = (function(arg$1) {
  var $thiz = new $c_Lcom_iteration3_smilejs_ServerError();
  var prep0 = $as_T(arg$1);
  $c_Lcom_iteration3_smilejs_ServerError.prototype.init___T.call($thiz, prep0);
  return $thiz
});
$e.com.iteration3.smilejs.ServerError.prototype = $c_Lcom_iteration3_smilejs_ServerError.prototype;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
/** @constructor */
$e.com.iteration3.smilejs.ServerTimeout = (function(arg$1) {
  var $thiz = new $c_Lcom_iteration3_smilejs_ServerTimeout();
  var prep0 = $uI(arg$1);
  $c_Lcom_iteration3_smilejs_ServerTimeout.prototype.init___I.call($thiz, prep0);
  return $thiz
});
$e.com.iteration3.smilejs.ServerTimeout.prototype = $c_Lcom_iteration3_smilejs_ServerTimeout.prototype;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
/** @constructor */
$e.com.iteration3.smilejs.Unauthorized = (function(arg$1) {
  var $thiz = new $c_Lcom_iteration3_smilejs_Unauthorized();
  var prep0 = $as_T(arg$1);
  $c_Lcom_iteration3_smilejs_Unauthorized.prototype.init___T.call($thiz, prep0);
  return $thiz
});
$e.com.iteration3.smilejs.Unauthorized.prototype = $c_Lcom_iteration3_smilejs_Unauthorized.prototype;
}).call(this);
//# sourceMappingURL=MonitorApp-scala.js.map
